#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 22540
#define LARGE_STATE_COUNT 3324
#define SYMBOL_COUNT 421
#define ALIAS_COUNT 12
#define TOKEN_COUNT 144
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 15
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 137

enum ts_symbol_identifiers {
  sym__lowercase_identifier = 1,
  sym_shebang = 2,
  anon_sym_SEMI_SEMI = 3,
  anon_sym_let = 4,
  anon_sym_rec = 5,
  anon_sym_and = 6,
  anon_sym_COLON_GT = 7,
  anon_sym_EQ = 8,
  anon_sym_TILDE = 9,
  anon_sym_QMARK = 10,
  anon_sym_COLON = 11,
  anon_sym_LPAREN = 12,
  anon_sym_RPAREN = 13,
  anon_sym_external = 14,
  anon_sym_type = 15,
  anon_sym_nonrec = 16,
  anon_sym_private = 17,
  anon_sym_DOT_DOT = 18,
  anon_sym_PLUS_EQ = 19,
  anon_sym_COMMA = 20,
  anon_sym_PLUS = 21,
  anon_sym_BANG = 22,
  anon_sym_DASH = 23,
  anon_sym__ = 24,
  anon_sym_COLON_EQ = 25,
  anon_sym_PIPE = 26,
  anon_sym_LBRACK = 27,
  anon_sym_RBRACK = 28,
  anon_sym_true = 29,
  anon_sym_false = 30,
  anon_sym_of = 31,
  anon_sym_COLON2 = 32,
  anon_sym_DOT = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_STAR = 35,
  anon_sym_LBRACE = 36,
  anon_sym_SEMI = 37,
  anon_sym_RBRACE = 38,
  anon_sym_mutable = 39,
  anon_sym_constraint = 40,
  anon_sym_exception = 41,
  anon_sym_module = 42,
  anon_sym_open = 43,
  anon_sym_include = 44,
  anon_sym_class = 45,
  anon_sym_virtual = 46,
  anon_sym_val = 47,
  anon_sym_sig = 48,
  anon_sym_end = 49,
  anon_sym_with = 50,
  anon_sym_functor = 51,
  anon_sym_struct = 52,
  anon_sym_object = 53,
  anon_sym_inherit = 54,
  anon_sym_method = 55,
  anon_sym_in = 56,
  anon_sym_fun = 57,
  anon_sym_as = 58,
  anon_sym_initializer = 59,
  anon_sym_LBRACK_GT = 60,
  anon_sym_LBRACK_LT = 61,
  anon_sym_GT = 62,
  anon_sym_AMP = 63,
  anon_sym_LT = 64,
  anon_sym_POUND = 65,
  anon_sym_COLON_COLON = 66,
  anon_sym_LBRACK_PIPE = 67,
  anon_sym_PIPE_RBRACK = 68,
  anon_sym_LT_DASH = 69,
  anon_sym_if = 70,
  anon_sym_then = 71,
  anon_sym_else = 72,
  anon_sym_while = 73,
  anon_sym_do = 74,
  anon_sym_done = 75,
  anon_sym_for = 76,
  anon_sym_to = 77,
  anon_sym_downto = 78,
  anon_sym_match = 79,
  anon_sym_when = 80,
  anon_sym_function = 81,
  anon_sym_try = 82,
  anon_sym_assert = 83,
  anon_sym_lazy = 84,
  anon_sym_new = 85,
  anon_sym_LBRACE_LT = 86,
  anon_sym_GT_RBRACE = 87,
  anon_sym_begin = 88,
  sym_ocamlyacc_value = 89,
  anon_sym_effect = 90,
  aux_sym_attribute_token1 = 91,
  anon_sym_LBRACK_AT_AT = 92,
  anon_sym_LBRACK_AT_AT_AT = 93,
  anon_sym_LBRACK_PERCENT = 94,
  anon_sym_LBRACE_PERCENT = 95,
  aux_sym_quoted_extension_token1 = 96,
  anon_sym_LBRACK_PERCENT_PERCENT = 97,
  anon_sym_LBRACE_PERCENT_PERCENT = 98,
  anon_sym_PERCENT = 99,
  aux_sym_number_token1 = 100,
  aux_sym_signed_number_token1 = 101,
  anon_sym_SQUOTE = 102,
  anon_sym_SQUOTE2 = 103,
  aux_sym_character_content_token1 = 104,
  aux_sym_character_content_token2 = 105,
  anon_sym_DQUOTE = 106,
  aux_sym_string_content_token1 = 107,
  aux_sym_string_content_token2 = 108,
  aux_sym_string_content_token3 = 109,
  aux_sym_string_content_token4 = 110,
  aux_sym_string_content_token5 = 111,
  aux_sym_quoted_string_content_token1 = 112,
  aux_sym_escape_sequence_token1 = 113,
  aux_sym_escape_sequence_token2 = 114,
  aux_sym_escape_sequence_token3 = 115,
  aux_sym_escape_sequence_token4 = 116,
  sym_conversion_specification = 117,
  sym_pretty_printing_indication = 118,
  sym_prefix_operator = 119,
  aux_sym_sign_operator_token1 = 120,
  sym_hash_operator = 121,
  sym_pow_operator = 122,
  sym_mult_operator = 123,
  aux_sym_add_operator_token1 = 124,
  sym_concat_operator = 125,
  sym_rel_operator = 126,
  sym_and_operator = 127,
  sym_or_operator = 128,
  sym_assign_operator = 129,
  sym_indexing_operator = 130,
  sym_let_operator = 131,
  sym_let_and_operator = 132,
  sym_match_operator = 133,
  sym__uppercase_identifier = 134,
  aux_sym_directive_token1 = 135,
  aux_sym_type_variable_token1 = 136,
  aux_sym_tag_token1 = 137,
  aux_sym_attribute_id_token1 = 138,
  sym_comment = 139,
  sym__left_quoted_string_delimiter = 140,
  sym__right_quoted_string_delimiter = 141,
  sym_line_number_directive = 142,
  sym__null = 143,
  sym_compilation_unit = 144,
  sym__structure = 145,
  sym_expression_item = 146,
  sym__signature = 147,
  sym_toplevel_directive = 148,
  sym__structure_item = 149,
  sym_value_definition = 150,
  sym_let_binding = 151,
  sym_parameter = 152,
  sym_external = 153,
  sym_type_definition = 154,
  sym_type_binding = 155,
  sym__type_params = 156,
  sym__type_param = 157,
  sym__type_equation = 158,
  sym_variant_declaration = 159,
  sym_constructor_declaration = 160,
  sym__constructor_argument = 161,
  sym_record_declaration = 162,
  sym_field_declaration = 163,
  sym_type_constraint = 164,
  sym_exception_definition = 165,
  sym_module_definition = 166,
  sym_module_binding = 167,
  sym_module_parameter = 168,
  sym_module_type_definition = 169,
  sym_open_module = 170,
  sym_include_module = 171,
  sym_class_definition = 172,
  sym_class_binding = 173,
  sym_class_type_definition = 174,
  sym_class_type_binding = 175,
  sym__signature_item = 176,
  sym_value_specification = 177,
  sym_include_module_type = 178,
  sym__module_typed = 179,
  sym__module_type = 180,
  sym_signature = 181,
  sym_module_type_constraint = 182,
  sym_constrain_type = 183,
  sym_constrain_module = 184,
  sym_constrain_module_type = 185,
  sym_module_type_of = 186,
  sym_functor_type = 187,
  sym_parenthesized_module_type = 188,
  sym__simple_module_expression = 189,
  sym__module_expression = 190,
  sym_structure = 191,
  sym_functor = 192,
  sym_module_application = 193,
  sym_typed_module_expression = 194,
  sym_packed_module = 195,
  sym_parenthesized_module_expression = 196,
  sym__class_typed = 197,
  sym__simple_class_type = 198,
  sym__class_type = 199,
  sym_instantiated_class_type = 200,
  sym_class_body_type = 201,
  sym__class_field_specification = 202,
  sym_inheritance_specification = 203,
  sym_instance_variable_specification = 204,
  sym_method_specification = 205,
  sym_type_parameter_constraint = 206,
  sym_let_open_class_type = 207,
  sym_class_function_type = 208,
  sym__simple_class_expression = 209,
  sym__class_expression = 210,
  sym_instantiated_class = 211,
  sym_typed_class_expression = 212,
  sym_class_function = 213,
  sym_class_application = 214,
  sym_let_class_expression = 215,
  sym__class_field = 216,
  sym_inheritance_definition = 217,
  sym_instance_variable_definition = 218,
  sym_method_definition = 219,
  sym_class_initializer = 220,
  sym_let_open_class_expression = 221,
  sym_parenthesized_class_expression = 222,
  sym__typed = 223,
  sym__simple_typed = 224,
  sym__polymorphic_typed = 225,
  sym__polymorphic_type = 226,
  sym_polymorphic_type = 227,
  sym__abstract_type = 228,
  sym__parenthesized_abstract_type = 229,
  sym__simple_type = 230,
  sym__tuple_type = 231,
  sym__type = 232,
  sym_function_type = 233,
  sym_typed_label = 234,
  sym_tuple_type = 235,
  sym_constructed_type = 236,
  sym_aliased_type = 237,
  sym_local_open_type = 238,
  sym_polymorphic_variant_type = 239,
  sym__tag_spec = 240,
  sym_tag_specification = 241,
  sym_package_type = 242,
  sym_object_type = 243,
  sym_method_type = 244,
  sym_hash_type = 245,
  sym_parenthesized_type = 246,
  sym__simple_expression = 247,
  sym__expression = 248,
  sym__sequence_expression = 249,
  sym_typed_expression = 250,
  sym_product_expression = 251,
  sym_cons_expression = 252,
  sym_list_expression = 253,
  sym_array_expression = 254,
  sym_record_expression = 255,
  sym_field_expression = 256,
  sym_application_expression = 257,
  sym_labeled_argument = 258,
  sym_prefix_expression = 259,
  sym_sign_expression = 260,
  sym_hash_expression = 261,
  sym_infix_expression = 262,
  sym_field_get_expression = 263,
  sym_array_get_expression = 264,
  sym_string_get_expression = 265,
  sym_bigarray_get_expression = 266,
  sym_set_expression = 267,
  sym_if_expression = 268,
  sym_then_clause = 269,
  sym_else_clause = 270,
  sym_while_expression = 271,
  sym_do_clause = 272,
  sym_for_expression = 273,
  sym_sequence_expression = 274,
  sym_match_expression = 275,
  sym__match_cases = 276,
  sym_match_case = 277,
  sym_guard = 278,
  sym_refutation_case = 279,
  sym_function_expression = 280,
  sym_fun_expression = 281,
  sym_try_expression = 282,
  sym_let_expression = 283,
  sym_coercion_expression = 284,
  sym_assert_expression = 285,
  sym_lazy_expression = 286,
  sym_let_module_expression = 287,
  sym_let_open_expression = 288,
  sym_local_open_expression = 289,
  sym_package_expression = 290,
  sym_let_exception_expression = 291,
  sym_new_expression = 292,
  sym_object_copy_expression = 293,
  sym_instance_variable_expression = 294,
  sym_method_invocation = 295,
  sym_object_expression = 296,
  sym_parenthesized_expression = 297,
  sym__simple_pattern = 298,
  sym__effect_pattern = 299,
  sym__pattern = 300,
  sym__binding_pattern = 301,
  sym_alias_pattern = 302,
  sym_alias_binding_pattern = 303,
  sym_typed_pattern = 304,
  sym_typed_binding_pattern = 305,
  sym_or_pattern = 306,
  sym_or_binding_pattern = 307,
  sym_constructor_pattern = 308,
  sym_constructor_binding_pattern = 309,
  sym_tag_pattern = 310,
  sym_tag_binding_pattern = 311,
  sym_polymorphic_variant_pattern = 312,
  sym_tuple_pattern = 313,
  sym_tuple_binding_pattern = 314,
  sym_record_pattern = 315,
  sym_field_pattern = 316,
  sym_record_binding_pattern = 317,
  sym_field_binding_pattern = 318,
  sym_list_pattern = 319,
  sym_list_binding_pattern = 320,
  sym_cons_pattern = 321,
  sym_cons_binding_pattern = 322,
  sym_array_pattern = 323,
  sym_array_binding_pattern = 324,
  sym_range_pattern = 325,
  sym_lazy_pattern = 326,
  sym_lazy_binding_pattern = 327,
  sym_local_open_pattern = 328,
  sym_local_open_binding_pattern = 329,
  sym_package_pattern = 330,
  sym_parenthesized_pattern = 331,
  sym_parenthesized_binding_pattern = 332,
  sym_exception_pattern = 333,
  sym_effect_pattern = 334,
  sym_attribute = 335,
  sym_item_attribute = 336,
  sym_floating_attribute = 337,
  sym_attribute_payload = 338,
  sym_extension = 339,
  sym_quoted_extension = 340,
  sym_item_extension = 341,
  sym_quoted_item_extension = 342,
  sym__attribute = 343,
  sym__constant = 344,
  sym__signed_constant = 345,
  sym_number = 346,
  sym_signed_number = 347,
  sym_character = 348,
  sym_character_content = 349,
  sym_string = 350,
  sym_string_content = 351,
  sym_quoted_string = 352,
  sym__quoted_string = 353,
  sym_quoted_string_content = 354,
  sym_escape_sequence = 355,
  sym_boolean = 356,
  sym_unit = 357,
  sym_sign_operator = 358,
  sym__infix_operator = 359,
  sym_add_operator = 360,
  sym_indexing_operator_path = 361,
  sym__value_name = 362,
  sym__simple_value_pattern = 363,
  sym_parenthesized_operator = 364,
  sym_value_path = 365,
  sym_module_path = 366,
  sym_extended_module_path = 367,
  sym_module_type_path = 368,
  sym_field_path = 369,
  sym_constructor_path = 370,
  sym_type_constructor_path = 371,
  sym_class_path = 372,
  sym_class_type_path = 373,
  sym__instance_variable_name = 374,
  sym__constructor_name = 375,
  sym_directive = 376,
  sym_type_variable = 377,
  sym_tag = 378,
  sym_attribute_id = 379,
  aux_sym__structure_repeat1 = 380,
  aux_sym__structure_repeat2 = 381,
  aux_sym_expression_item_repeat1 = 382,
  aux_sym__signature_repeat1 = 383,
  aux_sym_value_definition_repeat1 = 384,
  aux_sym_let_binding_repeat1 = 385,
  aux_sym_external_repeat1 = 386,
  aux_sym_type_definition_repeat1 = 387,
  aux_sym_type_binding_repeat1 = 388,
  aux_sym__type_params_repeat1 = 389,
  aux_sym_variant_declaration_repeat1 = 390,
  aux_sym_constructor_declaration_repeat1 = 391,
  aux_sym__constructor_argument_repeat1 = 392,
  aux_sym_record_declaration_repeat1 = 393,
  aux_sym_module_definition_repeat1 = 394,
  aux_sym_module_binding_repeat1 = 395,
  aux_sym_class_definition_repeat1 = 396,
  aux_sym_class_type_definition_repeat1 = 397,
  aux_sym_module_type_constraint_repeat1 = 398,
  aux_sym_instantiated_class_type_repeat1 = 399,
  aux_sym_class_body_type_repeat1 = 400,
  aux_sym_instance_variable_specification_repeat1 = 401,
  aux_sym_method_specification_repeat1 = 402,
  aux_sym_class_application_repeat1 = 403,
  aux_sym__abstract_type_repeat1 = 404,
  aux_sym_polymorphic_variant_type_repeat1 = 405,
  aux_sym_polymorphic_variant_type_repeat2 = 406,
  aux_sym_tag_specification_repeat1 = 407,
  aux_sym_object_type_repeat1 = 408,
  aux_sym_list_expression_repeat1 = 409,
  aux_sym_record_expression_repeat1 = 410,
  aux_sym__match_cases_repeat1 = 411,
  aux_sym_object_copy_expression_repeat1 = 412,
  aux_sym_object_expression_repeat1 = 413,
  aux_sym_record_pattern_repeat1 = 414,
  aux_sym_record_binding_pattern_repeat1 = 415,
  aux_sym_list_pattern_repeat1 = 416,
  aux_sym_list_binding_pattern_repeat1 = 417,
  aux_sym_string_content_repeat1 = 418,
  aux_sym_quoted_string_content_repeat1 = 419,
  aux_sym_attribute_id_repeat1 = 420,
  alias_sym_class_name = 421,
  alias_sym_class_type_name = 422,
  alias_sym_constructor_name = 423,
  alias_sym_field_name = 424,
  alias_sym_instance_variable_name = 425,
  alias_sym_label_name = 426,
  alias_sym_method_name = 427,
  alias_sym_module_name = 428,
  alias_sym_module_type_name = 429,
  alias_sym_type_constructor = 430,
  alias_sym_value_name = 431,
  alias_sym_value_pattern = 432,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__lowercase_identifier] = "_lowercase_identifier",
  [sym_shebang] = "shebang",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_let] = "let",
  [anon_sym_rec] = "rec",
  [anon_sym_and] = "and",
  [anon_sym_COLON_GT] = ":>",
  [anon_sym_EQ] = "=",
  [anon_sym_TILDE] = "~",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_external] = "external",
  [anon_sym_type] = "type",
  [anon_sym_nonrec] = "nonrec",
  [anon_sym_private] = "private",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_COMMA] = ",",
  [anon_sym_PLUS] = "+",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_of] = "of",
  [anon_sym_COLON2] = ":",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACE] = "{",
  [anon_sym_SEMI] = ";",
  [anon_sym_RBRACE] = "}",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constraint] = "constraint",
  [anon_sym_exception] = "exception",
  [anon_sym_module] = "module",
  [anon_sym_open] = "open",
  [anon_sym_include] = "include",
  [anon_sym_class] = "class",
  [anon_sym_virtual] = "virtual",
  [anon_sym_val] = "val",
  [anon_sym_sig] = "sig",
  [anon_sym_end] = "end",
  [anon_sym_with] = "with",
  [anon_sym_functor] = "functor",
  [anon_sym_struct] = "struct",
  [anon_sym_object] = "object",
  [anon_sym_inherit] = "inherit",
  [anon_sym_method] = "method",
  [anon_sym_in] = "in",
  [anon_sym_fun] = "fun",
  [anon_sym_as] = "as",
  [anon_sym_initializer] = "initializer",
  [anon_sym_LBRACK_GT] = "[>",
  [anon_sym_LBRACK_LT] = "[<",
  [anon_sym_GT] = ">",
  [anon_sym_AMP] = "&",
  [anon_sym_LT] = "<",
  [anon_sym_POUND] = "#",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_PIPE] = "[|",
  [anon_sym_PIPE_RBRACK] = "|]",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_for] = "for",
  [anon_sym_to] = "to",
  [anon_sym_downto] = "downto",
  [anon_sym_match] = "match",
  [anon_sym_when] = "when",
  [anon_sym_function] = "function",
  [anon_sym_try] = "try",
  [anon_sym_assert] = "assert",
  [anon_sym_lazy] = "lazy",
  [anon_sym_new] = "new",
  [anon_sym_LBRACE_LT] = "{<",
  [anon_sym_GT_RBRACE] = ">}",
  [anon_sym_begin] = "begin",
  [sym_ocamlyacc_value] = "ocamlyacc_value",
  [anon_sym_effect] = "effect",
  [aux_sym_attribute_token1] = "[@",
  [anon_sym_LBRACK_AT_AT] = "[@@",
  [anon_sym_LBRACK_AT_AT_AT] = "[@@@",
  [anon_sym_LBRACK_PERCENT] = "[%",
  [anon_sym_LBRACE_PERCENT] = "{%",
  [aux_sym_quoted_extension_token1] = "quoted_extension_token1",
  [anon_sym_LBRACK_PERCENT_PERCENT] = "[%%",
  [anon_sym_LBRACE_PERCENT_PERCENT] = "{%%",
  [anon_sym_PERCENT] = "%",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_signed_number_token1] = "signed_number_token1",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_SQUOTE2] = "'",
  [aux_sym_character_content_token1] = "character_content_token1",
  [aux_sym_character_content_token2] = "character_content_token2",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_content_token1] = "string_content_token1",
  [aux_sym_string_content_token2] = "string_content_token2",
  [aux_sym_string_content_token3] = "string_content_token3",
  [aux_sym_string_content_token4] = "escape_sequence",
  [aux_sym_string_content_token5] = "escape_sequence",
  [aux_sym_quoted_string_content_token1] = "quoted_string_content_token1",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [aux_sym_escape_sequence_token2] = "escape_sequence_token2",
  [aux_sym_escape_sequence_token3] = "escape_sequence_token3",
  [aux_sym_escape_sequence_token4] = "escape_sequence_token4",
  [sym_conversion_specification] = "conversion_specification",
  [sym_pretty_printing_indication] = "pretty_printing_indication",
  [sym_prefix_operator] = "prefix_operator",
  [aux_sym_sign_operator_token1] = "sign_operator_token1",
  [sym_hash_operator] = "hash_operator",
  [sym_pow_operator] = "pow_operator",
  [sym_mult_operator] = "mult_operator",
  [aux_sym_add_operator_token1] = "add_operator_token1",
  [sym_concat_operator] = "concat_operator",
  [sym_rel_operator] = "rel_operator",
  [sym_and_operator] = "and_operator",
  [sym_or_operator] = "or_operator",
  [sym_assign_operator] = "assign_operator",
  [sym_indexing_operator] = "indexing_operator",
  [sym_let_operator] = "let_operator",
  [sym_let_and_operator] = "let_and_operator",
  [sym_match_operator] = "match_operator",
  [sym__uppercase_identifier] = "_uppercase_identifier",
  [aux_sym_directive_token1] = "directive_token1",
  [aux_sym_type_variable_token1] = "type_variable_token1",
  [aux_sym_tag_token1] = "tag_token1",
  [aux_sym_attribute_id_token1] = "attribute_id_token1",
  [sym_comment] = "comment",
  [sym__left_quoted_string_delimiter] = "_left_quoted_string_delimiter",
  [sym__right_quoted_string_delimiter] = "_right_quoted_string_delimiter",
  [sym_line_number_directive] = "line_number_directive",
  [sym__null] = "_null",
  [sym_compilation_unit] = "compilation_unit",
  [sym__structure] = "_structure",
  [sym_expression_item] = "expression_item",
  [sym__signature] = "_signature",
  [sym_toplevel_directive] = "toplevel_directive",
  [sym__structure_item] = "_structure_item",
  [sym_value_definition] = "value_definition",
  [sym_let_binding] = "let_binding",
  [sym_parameter] = "parameter",
  [sym_external] = "external",
  [sym_type_definition] = "type_definition",
  [sym_type_binding] = "type_binding",
  [sym__type_params] = "_type_params",
  [sym__type_param] = "_type_param",
  [sym__type_equation] = "_type_equation",
  [sym_variant_declaration] = "variant_declaration",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_argument] = "_constructor_argument",
  [sym_record_declaration] = "record_declaration",
  [sym_field_declaration] = "field_declaration",
  [sym_type_constraint] = "type_constraint",
  [sym_exception_definition] = "exception_definition",
  [sym_module_definition] = "module_definition",
  [sym_module_binding] = "module_binding",
  [sym_module_parameter] = "module_parameter",
  [sym_module_type_definition] = "module_type_definition",
  [sym_open_module] = "open_module",
  [sym_include_module] = "include_module",
  [sym_class_definition] = "class_definition",
  [sym_class_binding] = "class_binding",
  [sym_class_type_definition] = "class_type_definition",
  [sym_class_type_binding] = "class_type_binding",
  [sym__signature_item] = "_signature_item",
  [sym_value_specification] = "value_specification",
  [sym_include_module_type] = "include_module_type",
  [sym__module_typed] = "_module_typed",
  [sym__module_type] = "_module_type",
  [sym_signature] = "signature",
  [sym_module_type_constraint] = "module_type_constraint",
  [sym_constrain_type] = "constrain_type",
  [sym_constrain_module] = "constrain_module",
  [sym_constrain_module_type] = "constrain_module_type",
  [sym_module_type_of] = "module_type_of",
  [sym_functor_type] = "functor_type",
  [sym_parenthesized_module_type] = "parenthesized_module_type",
  [sym__simple_module_expression] = "_simple_module_expression",
  [sym__module_expression] = "_module_expression",
  [sym_structure] = "structure",
  [sym_functor] = "functor",
  [sym_module_application] = "module_application",
  [sym_typed_module_expression] = "typed_module_expression",
  [sym_packed_module] = "packed_module",
  [sym_parenthesized_module_expression] = "parenthesized_module_expression",
  [sym__class_typed] = "_class_typed",
  [sym__simple_class_type] = "_simple_class_type",
  [sym__class_type] = "_class_type",
  [sym_instantiated_class_type] = "instantiated_class_type",
  [sym_class_body_type] = "class_body_type",
  [sym__class_field_specification] = "_class_field_specification",
  [sym_inheritance_specification] = "inheritance_specification",
  [sym_instance_variable_specification] = "instance_variable_specification",
  [sym_method_specification] = "method_specification",
  [sym_type_parameter_constraint] = "type_parameter_constraint",
  [sym_let_open_class_type] = "let_open_class_type",
  [sym_class_function_type] = "class_function_type",
  [sym__simple_class_expression] = "_simple_class_expression",
  [sym__class_expression] = "_class_expression",
  [sym_instantiated_class] = "instantiated_class",
  [sym_typed_class_expression] = "typed_class_expression",
  [sym_class_function] = "class_function",
  [sym_class_application] = "class_application",
  [sym_let_class_expression] = "let_class_expression",
  [sym__class_field] = "_class_field",
  [sym_inheritance_definition] = "inheritance_definition",
  [sym_instance_variable_definition] = "instance_variable_definition",
  [sym_method_definition] = "method_definition",
  [sym_class_initializer] = "class_initializer",
  [sym_let_open_class_expression] = "let_open_class_expression",
  [sym_parenthesized_class_expression] = "parenthesized_class_expression",
  [sym__typed] = "_typed",
  [sym__simple_typed] = "_simple_typed",
  [sym__polymorphic_typed] = "_polymorphic_typed",
  [sym__polymorphic_type] = "_polymorphic_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym__abstract_type] = "_abstract_type",
  [sym__parenthesized_abstract_type] = "abstract_type",
  [sym__simple_type] = "_simple_type",
  [sym__tuple_type] = "_tuple_type",
  [sym__type] = "_type",
  [sym_function_type] = "function_type",
  [sym_typed_label] = "typed_label",
  [sym_tuple_type] = "tuple_type",
  [sym_constructed_type] = "constructed_type",
  [sym_aliased_type] = "aliased_type",
  [sym_local_open_type] = "local_open_type",
  [sym_polymorphic_variant_type] = "polymorphic_variant_type",
  [sym__tag_spec] = "_tag_spec",
  [sym_tag_specification] = "tag_specification",
  [sym_package_type] = "package_type",
  [sym_object_type] = "object_type",
  [sym_method_type] = "method_type",
  [sym_hash_type] = "hash_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_expression] = "_simple_expression",
  [sym__expression] = "_expression",
  [sym__sequence_expression] = "_sequence_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_product_expression] = "product_expression",
  [sym_cons_expression] = "cons_expression",
  [sym_list_expression] = "list_expression",
  [sym_array_expression] = "array_expression",
  [sym_record_expression] = "record_expression",
  [sym_field_expression] = "field_expression",
  [sym_application_expression] = "application_expression",
  [sym_labeled_argument] = "labeled_argument",
  [sym_prefix_expression] = "prefix_expression",
  [sym_sign_expression] = "sign_expression",
  [sym_hash_expression] = "hash_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_field_get_expression] = "field_get_expression",
  [sym_array_get_expression] = "array_get_expression",
  [sym_string_get_expression] = "string_get_expression",
  [sym_bigarray_get_expression] = "bigarray_get_expression",
  [sym_set_expression] = "set_expression",
  [sym_if_expression] = "if_expression",
  [sym_then_clause] = "then_clause",
  [sym_else_clause] = "else_clause",
  [sym_while_expression] = "while_expression",
  [sym_do_clause] = "do_clause",
  [sym_for_expression] = "for_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_match_expression] = "match_expression",
  [sym__match_cases] = "_match_cases",
  [sym_match_case] = "match_case",
  [sym_guard] = "guard",
  [sym_refutation_case] = "refutation_case",
  [sym_function_expression] = "function_expression",
  [sym_fun_expression] = "fun_expression",
  [sym_try_expression] = "try_expression",
  [sym_let_expression] = "let_expression",
  [sym_coercion_expression] = "coercion_expression",
  [sym_assert_expression] = "assert_expression",
  [sym_lazy_expression] = "lazy_expression",
  [sym_let_module_expression] = "let_module_expression",
  [sym_let_open_expression] = "let_open_expression",
  [sym_local_open_expression] = "local_open_expression",
  [sym_package_expression] = "package_expression",
  [sym_let_exception_expression] = "let_exception_expression",
  [sym_new_expression] = "new_expression",
  [sym_object_copy_expression] = "object_copy_expression",
  [sym_instance_variable_expression] = "instance_variable_expression",
  [sym_method_invocation] = "method_invocation",
  [sym_object_expression] = "object_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__effect_pattern] = "_effect_pattern",
  [sym__pattern] = "_pattern",
  [sym__binding_pattern] = "_binding_pattern",
  [sym_alias_pattern] = "alias_pattern",
  [sym_alias_binding_pattern] = "alias_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_typed_binding_pattern] = "typed_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym_or_binding_pattern] = "or_pattern",
  [sym_constructor_pattern] = "constructor_pattern",
  [sym_constructor_binding_pattern] = "constructor_pattern",
  [sym_tag_pattern] = "tag_pattern",
  [sym_tag_binding_pattern] = "tag_pattern",
  [sym_polymorphic_variant_pattern] = "polymorphic_variant_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_tuple_binding_pattern] = "tuple_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_field_pattern] = "field_pattern",
  [sym_record_binding_pattern] = "record_binding_pattern",
  [sym_field_binding_pattern] = "field_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_list_binding_pattern] = "list_binding_pattern",
  [sym_cons_pattern] = "cons_pattern",
  [sym_cons_binding_pattern] = "cons_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_array_binding_pattern] = "array_binding_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_lazy_pattern] = "lazy_pattern",
  [sym_lazy_binding_pattern] = "lazy_pattern",
  [sym_local_open_pattern] = "local_open_pattern",
  [sym_local_open_binding_pattern] = "local_open_pattern",
  [sym_package_pattern] = "package_pattern",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym_parenthesized_binding_pattern] = "parenthesized_pattern",
  [sym_exception_pattern] = "exception_pattern",
  [sym_effect_pattern] = "effect_pattern",
  [sym_attribute] = "attribute",
  [sym_item_attribute] = "item_attribute",
  [sym_floating_attribute] = "floating_attribute",
  [sym_attribute_payload] = "attribute_payload",
  [sym_extension] = "extension",
  [sym_quoted_extension] = "quoted_extension",
  [sym_item_extension] = "item_extension",
  [sym_quoted_item_extension] = "quoted_item_extension",
  [sym__attribute] = "_attribute",
  [sym__constant] = "_constant",
  [sym__signed_constant] = "_signed_constant",
  [sym_number] = "number",
  [sym_signed_number] = "signed_number",
  [sym_character] = "character",
  [sym_character_content] = "character_content",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_quoted_string] = "quoted_string",
  [sym__quoted_string] = "_quoted_string",
  [sym_quoted_string_content] = "quoted_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_boolean] = "boolean",
  [sym_unit] = "unit",
  [sym_sign_operator] = "sign_operator",
  [sym__infix_operator] = "_infix_operator",
  [sym_add_operator] = "add_operator",
  [sym_indexing_operator_path] = "indexing_operator_path",
  [sym__value_name] = "_value_name",
  [sym__simple_value_pattern] = "_simple_value_pattern",
  [sym_parenthesized_operator] = "parenthesized_operator",
  [sym_value_path] = "value_path",
  [sym_module_path] = "module_path",
  [sym_extended_module_path] = "extended_module_path",
  [sym_module_type_path] = "module_type_path",
  [sym_field_path] = "field_path",
  [sym_constructor_path] = "constructor_path",
  [sym_type_constructor_path] = "type_constructor_path",
  [sym_class_path] = "class_path",
  [sym_class_type_path] = "class_type_path",
  [sym__instance_variable_name] = "_instance_variable_name",
  [sym__constructor_name] = "_constructor_name",
  [sym_directive] = "directive",
  [sym_type_variable] = "type_variable",
  [sym_tag] = "tag",
  [sym_attribute_id] = "attribute_id",
  [aux_sym__structure_repeat1] = "_structure_repeat1",
  [aux_sym__structure_repeat2] = "_structure_repeat2",
  [aux_sym_expression_item_repeat1] = "expression_item_repeat1",
  [aux_sym__signature_repeat1] = "_signature_repeat1",
  [aux_sym_value_definition_repeat1] = "value_definition_repeat1",
  [aux_sym_let_binding_repeat1] = "let_binding_repeat1",
  [aux_sym_external_repeat1] = "external_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym_type_binding_repeat1] = "type_binding_repeat1",
  [aux_sym__type_params_repeat1] = "_type_params_repeat1",
  [aux_sym_variant_declaration_repeat1] = "variant_declaration_repeat1",
  [aux_sym_constructor_declaration_repeat1] = "constructor_declaration_repeat1",
  [aux_sym__constructor_argument_repeat1] = "_constructor_argument_repeat1",
  [aux_sym_record_declaration_repeat1] = "record_declaration_repeat1",
  [aux_sym_module_definition_repeat1] = "module_definition_repeat1",
  [aux_sym_module_binding_repeat1] = "module_binding_repeat1",
  [aux_sym_class_definition_repeat1] = "class_definition_repeat1",
  [aux_sym_class_type_definition_repeat1] = "class_type_definition_repeat1",
  [aux_sym_module_type_constraint_repeat1] = "module_type_constraint_repeat1",
  [aux_sym_instantiated_class_type_repeat1] = "instantiated_class_type_repeat1",
  [aux_sym_class_body_type_repeat1] = "class_body_type_repeat1",
  [aux_sym_instance_variable_specification_repeat1] = "instance_variable_specification_repeat1",
  [aux_sym_method_specification_repeat1] = "method_specification_repeat1",
  [aux_sym_class_application_repeat1] = "class_application_repeat1",
  [aux_sym__abstract_type_repeat1] = "_abstract_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat1] = "polymorphic_variant_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat2] = "polymorphic_variant_type_repeat2",
  [aux_sym_tag_specification_repeat1] = "tag_specification_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_list_expression_repeat1] = "list_expression_repeat1",
  [aux_sym_record_expression_repeat1] = "record_expression_repeat1",
  [aux_sym__match_cases_repeat1] = "_match_cases_repeat1",
  [aux_sym_object_copy_expression_repeat1] = "object_copy_expression_repeat1",
  [aux_sym_object_expression_repeat1] = "object_expression_repeat1",
  [aux_sym_record_pattern_repeat1] = "record_pattern_repeat1",
  [aux_sym_record_binding_pattern_repeat1] = "record_binding_pattern_repeat1",
  [aux_sym_list_pattern_repeat1] = "list_pattern_repeat1",
  [aux_sym_list_binding_pattern_repeat1] = "list_binding_pattern_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_quoted_string_content_repeat1] = "quoted_string_content_repeat1",
  [aux_sym_attribute_id_repeat1] = "attribute_id_repeat1",
  [alias_sym_class_name] = "class_name",
  [alias_sym_class_type_name] = "class_type_name",
  [alias_sym_constructor_name] = "constructor_name",
  [alias_sym_field_name] = "field_name",
  [alias_sym_instance_variable_name] = "instance_variable_name",
  [alias_sym_label_name] = "label_name",
  [alias_sym_method_name] = "method_name",
  [alias_sym_module_name] = "module_name",
  [alias_sym_module_type_name] = "module_type_name",
  [alias_sym_type_constructor] = "type_constructor",
  [alias_sym_value_name] = "value_name",
  [alias_sym_value_pattern] = "value_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__lowercase_identifier] = sym__lowercase_identifier,
  [sym_shebang] = sym_shebang,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_COLON_GT] = anon_sym_COLON_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_nonrec] = anon_sym_nonrec,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constraint] = anon_sym_constraint,
  [anon_sym_exception] = anon_sym_exception,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_sig] = anon_sym_sig,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_functor] = anon_sym_functor,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_inherit] = anon_sym_inherit,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_initializer] = anon_sym_initializer,
  [anon_sym_LBRACK_GT] = anon_sym_LBRACK_GT,
  [anon_sym_LBRACK_LT] = anon_sym_LBRACK_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_PIPE] = anon_sym_LBRACK_PIPE,
  [anon_sym_PIPE_RBRACK] = anon_sym_PIPE_RBRACK,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_downto] = anon_sym_downto,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACE_LT] = anon_sym_LBRACE_LT,
  [anon_sym_GT_RBRACE] = anon_sym_GT_RBRACE,
  [anon_sym_begin] = anon_sym_begin,
  [sym_ocamlyacc_value] = sym_ocamlyacc_value,
  [anon_sym_effect] = anon_sym_effect,
  [aux_sym_attribute_token1] = aux_sym_attribute_token1,
  [anon_sym_LBRACK_AT_AT] = anon_sym_LBRACK_AT_AT,
  [anon_sym_LBRACK_AT_AT_AT] = anon_sym_LBRACK_AT_AT_AT,
  [anon_sym_LBRACK_PERCENT] = anon_sym_LBRACK_PERCENT,
  [anon_sym_LBRACE_PERCENT] = anon_sym_LBRACE_PERCENT,
  [aux_sym_quoted_extension_token1] = aux_sym_quoted_extension_token1,
  [anon_sym_LBRACK_PERCENT_PERCENT] = anon_sym_LBRACK_PERCENT_PERCENT,
  [anon_sym_LBRACE_PERCENT_PERCENT] = anon_sym_LBRACE_PERCENT_PERCENT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_signed_number_token1] = aux_sym_signed_number_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [aux_sym_character_content_token1] = aux_sym_character_content_token1,
  [aux_sym_character_content_token2] = aux_sym_character_content_token2,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [aux_sym_string_content_token2] = aux_sym_string_content_token2,
  [aux_sym_string_content_token3] = aux_sym_string_content_token3,
  [aux_sym_string_content_token4] = sym_escape_sequence,
  [aux_sym_string_content_token5] = sym_escape_sequence,
  [aux_sym_quoted_string_content_token1] = aux_sym_quoted_string_content_token1,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [aux_sym_escape_sequence_token2] = aux_sym_escape_sequence_token2,
  [aux_sym_escape_sequence_token3] = aux_sym_escape_sequence_token3,
  [aux_sym_escape_sequence_token4] = aux_sym_escape_sequence_token4,
  [sym_conversion_specification] = sym_conversion_specification,
  [sym_pretty_printing_indication] = sym_pretty_printing_indication,
  [sym_prefix_operator] = sym_prefix_operator,
  [aux_sym_sign_operator_token1] = aux_sym_sign_operator_token1,
  [sym_hash_operator] = sym_hash_operator,
  [sym_pow_operator] = sym_pow_operator,
  [sym_mult_operator] = sym_mult_operator,
  [aux_sym_add_operator_token1] = aux_sym_add_operator_token1,
  [sym_concat_operator] = sym_concat_operator,
  [sym_rel_operator] = sym_rel_operator,
  [sym_and_operator] = sym_and_operator,
  [sym_or_operator] = sym_or_operator,
  [sym_assign_operator] = sym_assign_operator,
  [sym_indexing_operator] = sym_indexing_operator,
  [sym_let_operator] = sym_let_operator,
  [sym_let_and_operator] = sym_let_and_operator,
  [sym_match_operator] = sym_match_operator,
  [sym__uppercase_identifier] = sym__uppercase_identifier,
  [aux_sym_directive_token1] = aux_sym_directive_token1,
  [aux_sym_type_variable_token1] = aux_sym_type_variable_token1,
  [aux_sym_tag_token1] = aux_sym_tag_token1,
  [aux_sym_attribute_id_token1] = aux_sym_attribute_id_token1,
  [sym_comment] = sym_comment,
  [sym__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [sym__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [sym_line_number_directive] = sym_line_number_directive,
  [sym__null] = sym__null,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__structure] = sym__structure,
  [sym_expression_item] = sym_expression_item,
  [sym__signature] = sym__signature,
  [sym_toplevel_directive] = sym_toplevel_directive,
  [sym__structure_item] = sym__structure_item,
  [sym_value_definition] = sym_value_definition,
  [sym_let_binding] = sym_let_binding,
  [sym_parameter] = sym_parameter,
  [sym_external] = sym_external,
  [sym_type_definition] = sym_type_definition,
  [sym_type_binding] = sym_type_binding,
  [sym__type_params] = sym__type_params,
  [sym__type_param] = sym__type_param,
  [sym__type_equation] = sym__type_equation,
  [sym_variant_declaration] = sym_variant_declaration,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_argument] = sym__constructor_argument,
  [sym_record_declaration] = sym_record_declaration,
  [sym_field_declaration] = sym_field_declaration,
  [sym_type_constraint] = sym_type_constraint,
  [sym_exception_definition] = sym_exception_definition,
  [sym_module_definition] = sym_module_definition,
  [sym_module_binding] = sym_module_binding,
  [sym_module_parameter] = sym_module_parameter,
  [sym_module_type_definition] = sym_module_type_definition,
  [sym_open_module] = sym_open_module,
  [sym_include_module] = sym_include_module,
  [sym_class_definition] = sym_class_definition,
  [sym_class_binding] = sym_class_binding,
  [sym_class_type_definition] = sym_class_type_definition,
  [sym_class_type_binding] = sym_class_type_binding,
  [sym__signature_item] = sym__signature_item,
  [sym_value_specification] = sym_value_specification,
  [sym_include_module_type] = sym_include_module_type,
  [sym__module_typed] = sym__module_typed,
  [sym__module_type] = sym__module_type,
  [sym_signature] = sym_signature,
  [sym_module_type_constraint] = sym_module_type_constraint,
  [sym_constrain_type] = sym_constrain_type,
  [sym_constrain_module] = sym_constrain_module,
  [sym_constrain_module_type] = sym_constrain_module_type,
  [sym_module_type_of] = sym_module_type_of,
  [sym_functor_type] = sym_functor_type,
  [sym_parenthesized_module_type] = sym_parenthesized_module_type,
  [sym__simple_module_expression] = sym__simple_module_expression,
  [sym__module_expression] = sym__module_expression,
  [sym_structure] = sym_structure,
  [sym_functor] = sym_functor,
  [sym_module_application] = sym_module_application,
  [sym_typed_module_expression] = sym_typed_module_expression,
  [sym_packed_module] = sym_packed_module,
  [sym_parenthesized_module_expression] = sym_parenthesized_module_expression,
  [sym__class_typed] = sym__class_typed,
  [sym__simple_class_type] = sym__simple_class_type,
  [sym__class_type] = sym__class_type,
  [sym_instantiated_class_type] = sym_instantiated_class_type,
  [sym_class_body_type] = sym_class_body_type,
  [sym__class_field_specification] = sym__class_field_specification,
  [sym_inheritance_specification] = sym_inheritance_specification,
  [sym_instance_variable_specification] = sym_instance_variable_specification,
  [sym_method_specification] = sym_method_specification,
  [sym_type_parameter_constraint] = sym_type_parameter_constraint,
  [sym_let_open_class_type] = sym_let_open_class_type,
  [sym_class_function_type] = sym_class_function_type,
  [sym__simple_class_expression] = sym__simple_class_expression,
  [sym__class_expression] = sym__class_expression,
  [sym_instantiated_class] = sym_instantiated_class,
  [sym_typed_class_expression] = sym_typed_class_expression,
  [sym_class_function] = sym_class_function,
  [sym_class_application] = sym_class_application,
  [sym_let_class_expression] = sym_let_class_expression,
  [sym__class_field] = sym__class_field,
  [sym_inheritance_definition] = sym_inheritance_definition,
  [sym_instance_variable_definition] = sym_instance_variable_definition,
  [sym_method_definition] = sym_method_definition,
  [sym_class_initializer] = sym_class_initializer,
  [sym_let_open_class_expression] = sym_let_open_class_expression,
  [sym_parenthesized_class_expression] = sym_parenthesized_class_expression,
  [sym__typed] = sym__typed,
  [sym__simple_typed] = sym__simple_typed,
  [sym__polymorphic_typed] = sym__polymorphic_typed,
  [sym__polymorphic_type] = sym__polymorphic_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym__abstract_type] = sym__abstract_type,
  [sym__parenthesized_abstract_type] = sym__parenthesized_abstract_type,
  [sym__simple_type] = sym__simple_type,
  [sym__tuple_type] = sym__tuple_type,
  [sym__type] = sym__type,
  [sym_function_type] = sym_function_type,
  [sym_typed_label] = sym_typed_label,
  [sym_tuple_type] = sym_tuple_type,
  [sym_constructed_type] = sym_constructed_type,
  [sym_aliased_type] = sym_aliased_type,
  [sym_local_open_type] = sym_local_open_type,
  [sym_polymorphic_variant_type] = sym_polymorphic_variant_type,
  [sym__tag_spec] = sym__tag_spec,
  [sym_tag_specification] = sym_tag_specification,
  [sym_package_type] = sym_package_type,
  [sym_object_type] = sym_object_type,
  [sym_method_type] = sym_method_type,
  [sym_hash_type] = sym_hash_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_expression] = sym__simple_expression,
  [sym__expression] = sym__expression,
  [sym__sequence_expression] = sym__sequence_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_product_expression] = sym_product_expression,
  [sym_cons_expression] = sym_cons_expression,
  [sym_list_expression] = sym_list_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_record_expression] = sym_record_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_application_expression] = sym_application_expression,
  [sym_labeled_argument] = sym_labeled_argument,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_sign_expression] = sym_sign_expression,
  [sym_hash_expression] = sym_hash_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_field_get_expression] = sym_field_get_expression,
  [sym_array_get_expression] = sym_array_get_expression,
  [sym_string_get_expression] = sym_string_get_expression,
  [sym_bigarray_get_expression] = sym_bigarray_get_expression,
  [sym_set_expression] = sym_set_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_then_clause] = sym_then_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_while_expression] = sym_while_expression,
  [sym_do_clause] = sym_do_clause,
  [sym_for_expression] = sym_for_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_match_expression] = sym_match_expression,
  [sym__match_cases] = sym__match_cases,
  [sym_match_case] = sym_match_case,
  [sym_guard] = sym_guard,
  [sym_refutation_case] = sym_refutation_case,
  [sym_function_expression] = sym_function_expression,
  [sym_fun_expression] = sym_fun_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_let_expression] = sym_let_expression,
  [sym_coercion_expression] = sym_coercion_expression,
  [sym_assert_expression] = sym_assert_expression,
  [sym_lazy_expression] = sym_lazy_expression,
  [sym_let_module_expression] = sym_let_module_expression,
  [sym_let_open_expression] = sym_let_open_expression,
  [sym_local_open_expression] = sym_local_open_expression,
  [sym_package_expression] = sym_package_expression,
  [sym_let_exception_expression] = sym_let_exception_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_object_copy_expression] = sym_object_copy_expression,
  [sym_instance_variable_expression] = sym_instance_variable_expression,
  [sym_method_invocation] = sym_method_invocation,
  [sym_object_expression] = sym_object_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__effect_pattern] = sym__effect_pattern,
  [sym__pattern] = sym__pattern,
  [sym__binding_pattern] = sym__binding_pattern,
  [sym_alias_pattern] = sym_alias_pattern,
  [sym_alias_binding_pattern] = sym_alias_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_typed_binding_pattern] = sym_typed_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym_or_binding_pattern] = sym_or_pattern,
  [sym_constructor_pattern] = sym_constructor_pattern,
  [sym_constructor_binding_pattern] = sym_constructor_pattern,
  [sym_tag_pattern] = sym_tag_pattern,
  [sym_tag_binding_pattern] = sym_tag_pattern,
  [sym_polymorphic_variant_pattern] = sym_polymorphic_variant_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_tuple_binding_pattern] = sym_tuple_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_field_pattern] = sym_field_pattern,
  [sym_record_binding_pattern] = sym_record_binding_pattern,
  [sym_field_binding_pattern] = sym_field_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_list_binding_pattern] = sym_list_binding_pattern,
  [sym_cons_pattern] = sym_cons_pattern,
  [sym_cons_binding_pattern] = sym_cons_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_array_binding_pattern] = sym_array_binding_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_lazy_pattern] = sym_lazy_pattern,
  [sym_lazy_binding_pattern] = sym_lazy_pattern,
  [sym_local_open_pattern] = sym_local_open_pattern,
  [sym_local_open_binding_pattern] = sym_local_open_pattern,
  [sym_package_pattern] = sym_package_pattern,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym_parenthesized_binding_pattern] = sym_parenthesized_pattern,
  [sym_exception_pattern] = sym_exception_pattern,
  [sym_effect_pattern] = sym_effect_pattern,
  [sym_attribute] = sym_attribute,
  [sym_item_attribute] = sym_item_attribute,
  [sym_floating_attribute] = sym_floating_attribute,
  [sym_attribute_payload] = sym_attribute_payload,
  [sym_extension] = sym_extension,
  [sym_quoted_extension] = sym_quoted_extension,
  [sym_item_extension] = sym_item_extension,
  [sym_quoted_item_extension] = sym_quoted_item_extension,
  [sym__attribute] = sym__attribute,
  [sym__constant] = sym__constant,
  [sym__signed_constant] = sym__signed_constant,
  [sym_number] = sym_number,
  [sym_signed_number] = sym_signed_number,
  [sym_character] = sym_character,
  [sym_character_content] = sym_character_content,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_quoted_string] = sym_quoted_string,
  [sym__quoted_string] = sym__quoted_string,
  [sym_quoted_string_content] = sym_quoted_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_boolean] = sym_boolean,
  [sym_unit] = sym_unit,
  [sym_sign_operator] = sym_sign_operator,
  [sym__infix_operator] = sym__infix_operator,
  [sym_add_operator] = sym_add_operator,
  [sym_indexing_operator_path] = sym_indexing_operator_path,
  [sym__value_name] = sym__value_name,
  [sym__simple_value_pattern] = sym__simple_value_pattern,
  [sym_parenthesized_operator] = sym_parenthesized_operator,
  [sym_value_path] = sym_value_path,
  [sym_module_path] = sym_module_path,
  [sym_extended_module_path] = sym_extended_module_path,
  [sym_module_type_path] = sym_module_type_path,
  [sym_field_path] = sym_field_path,
  [sym_constructor_path] = sym_constructor_path,
  [sym_type_constructor_path] = sym_type_constructor_path,
  [sym_class_path] = sym_class_path,
  [sym_class_type_path] = sym_class_type_path,
  [sym__instance_variable_name] = sym__instance_variable_name,
  [sym__constructor_name] = sym__constructor_name,
  [sym_directive] = sym_directive,
  [sym_type_variable] = sym_type_variable,
  [sym_tag] = sym_tag,
  [sym_attribute_id] = sym_attribute_id,
  [aux_sym__structure_repeat1] = aux_sym__structure_repeat1,
  [aux_sym__structure_repeat2] = aux_sym__structure_repeat2,
  [aux_sym_expression_item_repeat1] = aux_sym_expression_item_repeat1,
  [aux_sym__signature_repeat1] = aux_sym__signature_repeat1,
  [aux_sym_value_definition_repeat1] = aux_sym_value_definition_repeat1,
  [aux_sym_let_binding_repeat1] = aux_sym_let_binding_repeat1,
  [aux_sym_external_repeat1] = aux_sym_external_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym_type_binding_repeat1] = aux_sym_type_binding_repeat1,
  [aux_sym__type_params_repeat1] = aux_sym__type_params_repeat1,
  [aux_sym_variant_declaration_repeat1] = aux_sym_variant_declaration_repeat1,
  [aux_sym_constructor_declaration_repeat1] = aux_sym_constructor_declaration_repeat1,
  [aux_sym__constructor_argument_repeat1] = aux_sym__constructor_argument_repeat1,
  [aux_sym_record_declaration_repeat1] = aux_sym_record_declaration_repeat1,
  [aux_sym_module_definition_repeat1] = aux_sym_module_definition_repeat1,
  [aux_sym_module_binding_repeat1] = aux_sym_module_binding_repeat1,
  [aux_sym_class_definition_repeat1] = aux_sym_class_definition_repeat1,
  [aux_sym_class_type_definition_repeat1] = aux_sym_class_type_definition_repeat1,
  [aux_sym_module_type_constraint_repeat1] = aux_sym_module_type_constraint_repeat1,
  [aux_sym_instantiated_class_type_repeat1] = aux_sym_instantiated_class_type_repeat1,
  [aux_sym_class_body_type_repeat1] = aux_sym_class_body_type_repeat1,
  [aux_sym_instance_variable_specification_repeat1] = aux_sym_instance_variable_specification_repeat1,
  [aux_sym_method_specification_repeat1] = aux_sym_method_specification_repeat1,
  [aux_sym_class_application_repeat1] = aux_sym_class_application_repeat1,
  [aux_sym__abstract_type_repeat1] = aux_sym__abstract_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat1] = aux_sym_polymorphic_variant_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat2] = aux_sym_polymorphic_variant_type_repeat2,
  [aux_sym_tag_specification_repeat1] = aux_sym_tag_specification_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_list_expression_repeat1] = aux_sym_list_expression_repeat1,
  [aux_sym_record_expression_repeat1] = aux_sym_record_expression_repeat1,
  [aux_sym__match_cases_repeat1] = aux_sym__match_cases_repeat1,
  [aux_sym_object_copy_expression_repeat1] = aux_sym_object_copy_expression_repeat1,
  [aux_sym_object_expression_repeat1] = aux_sym_object_expression_repeat1,
  [aux_sym_record_pattern_repeat1] = aux_sym_record_pattern_repeat1,
  [aux_sym_record_binding_pattern_repeat1] = aux_sym_record_binding_pattern_repeat1,
  [aux_sym_list_pattern_repeat1] = aux_sym_list_pattern_repeat1,
  [aux_sym_list_binding_pattern_repeat1] = aux_sym_list_binding_pattern_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_quoted_string_content_repeat1] = aux_sym_quoted_string_content_repeat1,
  [aux_sym_attribute_id_repeat1] = aux_sym_attribute_id_repeat1,
  [alias_sym_class_name] = alias_sym_class_name,
  [alias_sym_class_type_name] = alias_sym_class_type_name,
  [alias_sym_constructor_name] = alias_sym_constructor_name,
  [alias_sym_field_name] = alias_sym_field_name,
  [alias_sym_instance_variable_name] = alias_sym_instance_variable_name,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_method_name] = alias_sym_method_name,
  [alias_sym_module_name] = alias_sym_module_name,
  [alias_sym_module_type_name] = alias_sym_module_type_name,
  [alias_sym_type_constructor] = alias_sym_type_constructor,
  [alias_sym_value_name] = alias_sym_value_name,
  [alias_sym_value_pattern] = alias_sym_value_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__lowercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_shebang] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonrec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constraint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exception] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_functor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_initializer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [sym_ocamlyacc_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_effect] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_extension_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signed_number_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_content_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token4] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token5] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_conversion_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_pretty_printing_indication] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_sign_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_hash_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_pow_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_add_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_concat_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_rel_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_or_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_match_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__uppercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_directive_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__left_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__right_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym_line_number_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__null] = {
    .visible = false,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__structure] = {
    .visible = false,
    .named = true,
  },
  [sym_expression_item] = {
    .visible = true,
    .named = true,
  },
  [sym__signature] = {
    .visible = false,
    .named = true,
  },
  [sym_toplevel_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__structure_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_external] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__type_params] = {
    .visible = false,
    .named = true,
  },
  [sym__type_param] = {
    .visible = false,
    .named = true,
  },
  [sym__type_equation] = {
    .visible = false,
    .named = true,
  },
  [sym_variant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_module_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_open_module] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__module_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__module_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_of] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_structure] = {
    .visible = true,
    .named = true,
  },
  [sym_functor] = {
    .visible = true,
    .named = true,
  },
  [sym_module_application] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_packed_module] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body_type] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field_specification] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_method_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function] = {
    .visible = true,
    .named = true,
  },
  [sym_class_application] = {
    .visible = true,
    .named = true,
  },
  [sym_let_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym__abstract_type] = {
    .visible = false,
    .named = true,
  },
  [sym__parenthesized_abstract_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__tuple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_label] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constructed_type] = {
    .visible = true,
    .named = true,
  },
  [sym_aliased_type] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tag_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_tag_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_package_type] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_type] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__sequence_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_product_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_record_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_application_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bigarray_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_set_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_then_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__match_cases] = {
    .visible = false,
    .named = true,
  },
  [sym_match_case] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_refutation_case] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fun_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_package_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_exception_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_copy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__effect_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__binding_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_alias_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_package_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_effect_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_item_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__signed_constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_signed_number] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_character_content] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__infix_operator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_add_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator_path] = {
    .visible = true,
    .named = true,
  },
  [sym__value_name] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_value_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_extended_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym_field_path] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym__instance_variable_name] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_name] = {
    .visible = false,
    .named = true,
  },
  [sym_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_type_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_id] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__structure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__structure_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_external_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variant_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_type_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instantiated_class_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instance_variable_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_application_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__abstract_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_copy_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quoted_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_class_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_class_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_constructor_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_instance_variable_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constructor] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_body = 2,
  field_class = 3,
  field_condition = 4,
  field_continuation = 5,
  field_effect = 6,
  field_from = 7,
  field_function = 8,
  field_functor = 9,
  field_left = 10,
  field_name = 11,
  field_operator = 12,
  field_pattern = 13,
  field_right = 14,
  field_to = 15,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_body] = "body",
  [field_class] = "class",
  [field_condition] = "condition",
  [field_continuation] = "continuation",
  [field_effect] = "effect",
  [field_from] = "from",
  [field_function] = "function",
  [field_functor] = "functor",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_pattern] = "pattern",
  [field_right] = "right",
  [field_to] = "to",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [5] = {.index = 0, .length = 1},
  [10] = {.index = 1, .length = 1},
  [13] = {.index = 1, .length = 1},
  [14] = {.index = 1, .length = 1},
  [15] = {.index = 1, .length = 1},
  [18] = {.index = 2, .length = 2},
  [19] = {.index = 4, .length = 1},
  [20] = {.index = 5, .length = 2},
  [21] = {.index = 7, .length = 1},
  [22] = {.index = 8, .length = 1},
  [25] = {.index = 9, .length = 1},
  [27] = {.index = 10, .length = 1},
  [28] = {.index = 11, .length = 2},
  [29] = {.index = 9, .length = 1},
  [30] = {.index = 9, .length = 1},
  [31] = {.index = 9, .length = 1},
  [32] = {.index = 13, .length = 1},
  [35] = {.index = 14, .length = 3},
  [36] = {.index = 17, .length = 2},
  [37] = {.index = 19, .length = 2},
  [38] = {.index = 21, .length = 1},
  [40] = {.index = 22, .length = 1},
  [41] = {.index = 23, .length = 2},
  [43] = {.index = 25, .length = 2},
  [45] = {.index = 25, .length = 2},
  [47] = {.index = 27, .length = 1},
  [48] = {.index = 25, .length = 2},
  [50] = {.index = 28, .length = 1},
  [51] = {.index = 25, .length = 2},
  [53] = {.index = 10, .length = 1},
  [54] = {.index = 29, .length = 2},
  [55] = {.index = 10, .length = 1},
  [56] = {.index = 31, .length = 1},
  [58] = {.index = 32, .length = 2},
  [59] = {.index = 34, .length = 1},
  [60] = {.index = 35, .length = 2},
  [61] = {.index = 37, .length = 2},
  [62] = {.index = 39, .length = 2},
  [63] = {.index = 39, .length = 2},
  [64] = {.index = 37, .length = 2},
  [65] = {.index = 41, .length = 2},
  [66] = {.index = 37, .length = 2},
  [67] = {.index = 25, .length = 2},
  [68] = {.index = 27, .length = 1},
  [69] = {.index = 39, .length = 2},
  [70] = {.index = 37, .length = 2},
  [73] = {.index = 27, .length = 1},
  [74] = {.index = 27, .length = 1},
  [75] = {.index = 39, .length = 2},
  [76] = {.index = 43, .length = 1},
  [77] = {.index = 44, .length = 1},
  [78] = {.index = 45, .length = 2},
  [80] = {.index = 43, .length = 1},
  [81] = {.index = 47, .length = 2},
  [83] = {.index = 49, .length = 2},
  [84] = {.index = 51, .length = 2},
  [85] = {.index = 51, .length = 2},
  [86] = {.index = 53, .length = 2},
  [87] = {.index = 9, .length = 1},
  [89] = {.index = 49, .length = 2},
  [90] = {.index = 39, .length = 2},
  [91] = {.index = 55, .length = 1},
  [92] = {.index = 51, .length = 2},
  [94] = {.index = 49, .length = 2},
  [95] = {.index = 41, .length = 2},
  [96] = {.index = 41, .length = 2},
  [97] = {.index = 51, .length = 2},
  [98] = {.index = 56, .length = 1},
  [100] = {.index = 57, .length = 2},
  [102] = {.index = 59, .length = 2},
  [103] = {.index = 53, .length = 2},
  [104] = {.index = 61, .length = 1},
  [105] = {.index = 59, .length = 2},
  [107] = {.index = 62, .length = 2},
  [108] = {.index = 53, .length = 2},
  [109] = {.index = 59, .length = 2},
  [110] = {.index = 62, .length = 2},
  [111] = {.index = 53, .length = 2},
  [112] = {.index = 59, .length = 2},
  [113] = {.index = 64, .length = 3},
  [114] = {.index = 67, .length = 2},
  [115] = {.index = 53, .length = 2},
  [116] = {.index = 69, .length = 2},
  [117] = {.index = 71, .length = 2},
  [118] = {.index = 73, .length = 2},
  [119] = {.index = 69, .length = 2},
  [120] = {.index = 75, .length = 2},
  [121] = {.index = 73, .length = 2},
  [122] = {.index = 69, .length = 2},
  [123] = {.index = 77, .length = 3},
  [124] = {.index = 71, .length = 2},
  [125] = {.index = 80, .length = 2},
  [126] = {.index = 82, .length = 2},
  [127] = {.index = 84, .length = 2},
  [128] = {.index = 86, .length = 2},
  [129] = {.index = 80, .length = 2},
  [130] = {.index = 80, .length = 2},
  [131] = {.index = 88, .length = 1},
  [132] = {.index = 84, .length = 2},
  [133] = {.index = 89, .length = 2},
  [134] = {.index = 91, .length = 2},
  [135] = {.index = 93, .length = 2},
  [136] = {.index = 95, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_pattern, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_operator, 0},
    {field_right, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_function, 0},
  [7] =
    {field_left, 0},
  [8] =
    {field_pattern, 1},
  [9] =
    {field_name, 1},
  [10] =
    {field_name, 2},
  [11] =
    {field_argument, 1},
    {field_functor, 0},
  [13] =
    {field_condition, 1},
  [14] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [17] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [19] =
    {field_left, 0},
    {field_right, 2},
  [21] =
    {field_body, 2},
  [22] =
    {field_body, 3},
  [23] =
    {field_body, 2},
    {field_pattern, 0},
  [25] =
    {field_body, 2},
    {field_name, 0},
  [27] =
    {field_name, 3},
  [28] =
    {field_functor, 0},
  [29] =
    {field_argument, 1, .inherited = true},
    {field_class, 0},
  [31] =
    {field_condition, 2},
  [32] =
    {field_left, 0},
    {field_right, 3},
  [34] =
    {field_pattern, 2},
  [35] =
    {field_body, 3},
    {field_pattern, 0},
  [37] =
    {field_body, 3},
    {field_name, 0},
  [39] =
    {field_body, 3},
    {field_name, 1},
  [41] =
    {field_body, 4},
    {field_name, 2},
  [43] =
    {field_pattern, 3},
  [44] =
    {field_body, 4},
  [45] =
    {field_continuation, 3},
    {field_effect, 1},
  [47] =
    {field_body, 4},
    {field_pattern, 0},
  [49] =
    {field_body, 4},
    {field_name, 0},
  [51] =
    {field_body, 4},
    {field_name, 1},
  [53] =
    {field_body, 5},
    {field_name, 3},
  [55] =
    {field_name, 4},
  [56] =
    {field_body, 5},
  [57] =
    {field_body, 5},
    {field_pattern, 0},
  [59] =
    {field_body, 5},
    {field_name, 1},
  [61] =
    {field_name, 5},
  [62] =
    {field_body, 5},
    {field_name, 2},
  [64] =
    {field_from, 3},
    {field_name, 1},
    {field_to, 5},
  [67] =
    {field_body, 6},
    {field_pattern, 0},
  [69] =
    {field_body, 6},
    {field_name, 3},
  [71] =
    {field_body, 6},
    {field_name, 4},
  [73] =
    {field_body, 6},
    {field_name, 2},
  [75] =
    {field_body, 6},
    {field_name, 1},
  [77] =
    {field_from, 4},
    {field_name, 2},
    {field_to, 6},
  [80] =
    {field_body, 7},
    {field_name, 3},
  [82] =
    {field_body, 7},
    {field_name, 4},
  [84] =
    {field_body, 7},
    {field_name, 5},
  [86] =
    {field_body, 7},
    {field_name, 2},
  [88] =
    {field_pattern, 4},
  [89] =
    {field_body, 8},
    {field_name, 4},
  [91] =
    {field_body, 8},
    {field_name, 5},
  [93] =
    {field_body, 8},
    {field_name, 3},
  [95] =
    {field_body, 9},
    {field_name, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_value_name,
  },
  [2] = {
    [0] = alias_sym_instance_variable_name,
  },
  [3] = {
    [0] = alias_sym_module_name,
  },
  [4] = {
    [0] = alias_sym_constructor_name,
  },
  [6] = {
    [0] = sym_record_pattern,
  },
  [7] = {
    [0] = sym_list_pattern,
  },
  [8] = {
    [0] = sym_array_pattern,
  },
  [9] = {
    [0] = sym_type_variable,
  },
  [10] = {
    [0] = alias_sym_type_constructor,
  },
  [11] = {
    [0] = alias_sym_type_constructor,
  },
  [12] = {
    [0] = alias_sym_field_name,
  },
  [14] = {
    [0] = alias_sym_module_name,
  },
  [15] = {
    [0] = alias_sym_class_name,
  },
  [16] = {
    [0] = alias_sym_value_pattern,
  },
  [17] = {
    [0] = alias_sym_class_name,
  },
  [23] = {
    [1] = alias_sym_constructor_name,
  },
  [24] = {
    [1] = sym_type_variable,
  },
  [25] = {
    [1] = alias_sym_type_constructor,
  },
  [26] = {
    [0] = alias_sym_constructor_name,
    [1] = alias_sym_constructor_name,
  },
  [27] = {
    [2] = alias_sym_module_type_name,
  },
  [29] = {
    [1] = alias_sym_class_name,
  },
  [31] = {
    [1] = alias_sym_method_name,
  },
  [33] = {
    [1] = alias_sym_label_name,
  },
  [34] = {
    [2] = alias_sym_method_name,
  },
  [39] = {
    [2] = alias_sym_module_name,
  },
  [42] = {
    [2] = sym_type_variable,
  },
  [43] = {
    [0] = alias_sym_type_constructor,
  },
  [44] = {
    [2] = alias_sym_type_constructor,
  },
  [46] = {
    [2] = alias_sym_field_name,
  },
  [47] = {
    [3] = alias_sym_module_type_name,
  },
  [48] = {
    [0] = alias_sym_module_name,
  },
  [49] = {
    [0] = alias_sym_module_type_name,
  },
  [51] = {
    [0] = alias_sym_class_name,
  },
  [52] = {
    [0] = alias_sym_class_type_name,
  },
  [55] = {
    [2] = alias_sym_method_name,
  },
  [57] = {
    [2] = alias_sym_class_name,
  },
  [61] = {
    [0] = alias_sym_type_constructor,
  },
  [62] = {
    [1] = alias_sym_type_constructor,
  },
  [65] = {
    [2] = alias_sym_module_type_name,
  },
  [66] = {
    [0] = alias_sym_module_name,
  },
  [67] = {
    [0] = alias_sym_class_type_name,
  },
  [68] = {
    [3] = alias_sym_class_name,
  },
  [69] = {
    [1] = alias_sym_class_name,
  },
  [70] = {
    [0] = alias_sym_class_name,
  },
  [71] = {
    [0] = alias_sym_method_name,
  },
  [72] = {
    [0] = alias_sym_label_name,
  },
  [74] = {
    [3] = alias_sym_method_name,
  },
  [75] = {
    [1] = alias_sym_method_name,
  },
  [76] = {
    [1] = alias_sym_label_name,
  },
  [79] = {
    [3] = alias_sym_module_name,
  },
  [82] = {
    [0] = sym__parenthesized_abstract_type,
  },
  [83] = {
    [0] = alias_sym_type_constructor,
  },
  [84] = {
    [1] = alias_sym_type_constructor,
  },
  [86] = {
    [3] = alias_sym_module_type_name,
  },
  [87] = {
    [1] = alias_sym_module_name,
  },
  [88] = {
    [2] = alias_sym_module_type_name,
  },
  [89] = {
    [0] = alias_sym_module_name,
  },
  [90] = {
    [1] = alias_sym_class_type_name,
  },
  [91] = {
    [4] = alias_sym_class_name,
  },
  [92] = {
    [1] = alias_sym_class_name,
  },
  [93] = {
    [2] = alias_sym_class_type_name,
  },
  [94] = {
    [0] = alias_sym_class_name,
  },
  [96] = {
    [2] = alias_sym_method_name,
  },
  [97] = {
    [1] = alias_sym_method_name,
  },
  [99] = {
    [2] = alias_sym_label_name,
  },
  [101] = {
    [1] = alias_sym_field_name,
  },
  [102] = {
    [1] = alias_sym_type_constructor,
  },
  [103] = {
    [3] = alias_sym_class_name,
  },
  [104] = {
    [5] = alias_sym_class_name,
  },
  [105] = {
    [1] = alias_sym_class_name,
  },
  [106] = {
    [1] = alias_sym_method_name,
  },
  [110] = {
    [2] = alias_sym_method_name,
  },
  [111] = {
    [3] = alias_sym_method_name,
  },
  [112] = {
    [1] = alias_sym_method_name,
  },
  [115] = {
    [3] = alias_sym_class_type_name,
  },
  [116] = {
    [3] = alias_sym_class_name,
  },
  [117] = {
    [4] = alias_sym_class_name,
  },
  [121] = {
    [2] = alias_sym_method_name,
  },
  [122] = {
    [3] = alias_sym_method_name,
  },
  [124] = {
    [4] = alias_sym_class_type_name,
  },
  [125] = {
    [3] = alias_sym_class_name,
  },
  [126] = {
    [4] = alias_sym_class_name,
  },
  [127] = {
    [5] = alias_sym_class_name,
  },
  [130] = {
    [3] = alias_sym_method_name,
  },
  [131] = {
    [1] = alias_sym_label_name,
  },
  [132] = {
    [5] = alias_sym_class_type_name,
  },
  [133] = {
    [4] = alias_sym_class_name,
  },
  [134] = {
    [5] = alias_sym_class_name,
  },
  [136] = {
    [5] = alias_sym_class_name,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__abstract_type, 2,
    sym__abstract_type,
    sym__parenthesized_abstract_type,
  sym_record_binding_pattern, 2,
    sym_record_binding_pattern,
    sym_record_pattern,
  sym_list_binding_pattern, 2,
    sym_list_binding_pattern,
    sym_list_pattern,
  sym_array_binding_pattern, 2,
    sym_array_binding_pattern,
    sym_array_pattern,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 5,
  [6] = 2,
  [7] = 5,
  [8] = 2,
  [9] = 5,
  [10] = 2,
  [11] = 5,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 21,
  [22] = 22,
  [23] = 2,
  [24] = 2,
  [25] = 2,
  [26] = 2,
  [27] = 2,
  [28] = 2,
  [29] = 2,
  [30] = 2,
  [31] = 2,
  [32] = 2,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 2,
  [87] = 2,
  [88] = 2,
  [89] = 2,
  [90] = 2,
  [91] = 2,
  [92] = 2,
  [93] = 2,
  [94] = 2,
  [95] = 4,
  [96] = 2,
  [97] = 97,
  [98] = 97,
  [99] = 97,
  [100] = 97,
  [101] = 97,
  [102] = 97,
  [103] = 97,
  [104] = 104,
  [105] = 104,
  [106] = 97,
  [107] = 107,
  [108] = 97,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 110,
  [114] = 111,
  [115] = 112,
  [116] = 110,
  [117] = 109,
  [118] = 111,
  [119] = 97,
  [120] = 97,
  [121] = 112,
  [122] = 97,
  [123] = 109,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 97,
  [128] = 97,
  [129] = 97,
  [130] = 97,
  [131] = 97,
  [132] = 97,
  [133] = 97,
  [134] = 97,
  [135] = 97,
  [136] = 97,
  [137] = 97,
  [138] = 97,
  [139] = 97,
  [140] = 97,
  [141] = 97,
  [142] = 97,
  [143] = 97,
  [144] = 97,
  [145] = 97,
  [146] = 97,
  [147] = 97,
  [148] = 97,
  [149] = 97,
  [150] = 97,
  [151] = 97,
  [152] = 152,
  [153] = 153,
  [154] = 152,
  [155] = 97,
  [156] = 153,
  [157] = 152,
  [158] = 97,
  [159] = 153,
  [160] = 152,
  [161] = 97,
  [162] = 153,
  [163] = 152,
  [164] = 97,
  [165] = 153,
  [166] = 97,
  [167] = 153,
  [168] = 152,
  [169] = 152,
  [170] = 153,
  [171] = 152,
  [172] = 153,
  [173] = 152,
  [174] = 97,
  [175] = 153,
  [176] = 152,
  [177] = 153,
  [178] = 153,
  [179] = 152,
  [180] = 152,
  [181] = 153,
  [182] = 152,
  [183] = 153,
  [184] = 152,
  [185] = 97,
  [186] = 153,
  [187] = 152,
  [188] = 153,
  [189] = 153,
  [190] = 152,
  [191] = 152,
  [192] = 152,
  [193] = 153,
  [194] = 152,
  [195] = 153,
  [196] = 152,
  [197] = 153,
  [198] = 153,
  [199] = 152,
  [200] = 152,
  [201] = 153,
  [202] = 152,
  [203] = 97,
  [204] = 153,
  [205] = 152,
  [206] = 153,
  [207] = 153,
  [208] = 152,
  [209] = 152,
  [210] = 153,
  [211] = 152,
  [212] = 153,
  [213] = 152,
  [214] = 153,
  [215] = 153,
  [216] = 152,
  [217] = 152,
  [218] = 152,
  [219] = 153,
  [220] = 152,
  [221] = 153,
  [222] = 153,
  [223] = 152,
  [224] = 152,
  [225] = 153,
  [226] = 152,
  [227] = 153,
  [228] = 152,
  [229] = 153,
  [230] = 153,
  [231] = 152,
  [232] = 152,
  [233] = 153,
  [234] = 153,
  [235] = 152,
  [236] = 153,
  [237] = 152,
  [238] = 152,
  [239] = 153,
  [240] = 152,
  [241] = 97,
  [242] = 153,
  [243] = 152,
  [244] = 153,
  [245] = 153,
  [246] = 152,
  [247] = 153,
  [248] = 153,
  [249] = 152,
  [250] = 153,
  [251] = 152,
  [252] = 153,
  [253] = 152,
  [254] = 153,
  [255] = 152,
  [256] = 153,
  [257] = 152,
  [258] = 153,
  [259] = 152,
  [260] = 97,
  [261] = 153,
  [262] = 152,
  [263] = 153,
  [264] = 97,
  [265] = 97,
  [266] = 97,
  [267] = 97,
  [268] = 97,
  [269] = 97,
  [270] = 97,
  [271] = 97,
  [272] = 97,
  [273] = 97,
  [274] = 97,
  [275] = 97,
  [276] = 97,
  [277] = 97,
  [278] = 97,
  [279] = 97,
  [280] = 97,
  [281] = 97,
  [282] = 282,
  [283] = 97,
  [284] = 282,
  [285] = 282,
  [286] = 282,
  [287] = 282,
  [288] = 282,
  [289] = 282,
  [290] = 282,
  [291] = 282,
  [292] = 282,
  [293] = 282,
  [294] = 282,
  [295] = 282,
  [296] = 97,
  [297] = 282,
  [298] = 282,
  [299] = 282,
  [300] = 97,
  [301] = 282,
  [302] = 282,
  [303] = 282,
  [304] = 282,
  [305] = 282,
  [306] = 282,
  [307] = 282,
  [308] = 282,
  [309] = 282,
  [310] = 282,
  [311] = 282,
  [312] = 282,
  [313] = 282,
  [314] = 282,
  [315] = 282,
  [316] = 282,
  [317] = 97,
  [318] = 282,
  [319] = 282,
  [320] = 282,
  [321] = 282,
  [322] = 282,
  [323] = 282,
  [324] = 282,
  [325] = 282,
  [326] = 97,
  [327] = 282,
  [328] = 282,
  [329] = 282,
  [330] = 282,
  [331] = 97,
  [332] = 282,
  [333] = 282,
  [334] = 282,
  [335] = 282,
  [336] = 282,
  [337] = 282,
  [338] = 282,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 341,
  [343] = 341,
  [344] = 340,
  [345] = 340,
  [346] = 341,
  [347] = 341,
  [348] = 341,
  [349] = 340,
  [350] = 340,
  [351] = 340,
  [352] = 341,
  [353] = 341,
  [354] = 341,
  [355] = 341,
  [356] = 356,
  [357] = 341,
  [358] = 340,
  [359] = 359,
  [360] = 340,
  [361] = 341,
  [362] = 340,
  [363] = 340,
  [364] = 340,
  [365] = 340,
  [366] = 340,
  [367] = 341,
  [368] = 340,
  [369] = 340,
  [370] = 341,
  [371] = 340,
  [372] = 341,
  [373] = 341,
  [374] = 340,
  [375] = 359,
  [376] = 341,
  [377] = 340,
  [378] = 340,
  [379] = 341,
  [380] = 341,
  [381] = 341,
  [382] = 340,
  [383] = 340,
  [384] = 340,
  [385] = 340,
  [386] = 341,
  [387] = 341,
  [388] = 341,
  [389] = 340,
  [390] = 340,
  [391] = 341,
  [392] = 340,
  [393] = 340,
  [394] = 341,
  [395] = 341,
  [396] = 341,
  [397] = 340,
  [398] = 340,
  [399] = 341,
  [400] = 340,
  [401] = 341,
  [402] = 340,
  [403] = 341,
  [404] = 359,
  [405] = 340,
  [406] = 341,
  [407] = 341,
  [408] = 341,
  [409] = 340,
  [410] = 340,
  [411] = 341,
  [412] = 412,
  [413] = 341,
  [414] = 340,
  [415] = 341,
  [416] = 340,
  [417] = 340,
  [418] = 339,
  [419] = 419,
  [420] = 341,
  [421] = 341,
  [422] = 340,
  [423] = 339,
  [424] = 419,
  [425] = 339,
  [426] = 419,
  [427] = 339,
  [428] = 339,
  [429] = 339,
  [430] = 339,
  [431] = 339,
  [432] = 339,
  [433] = 339,
  [434] = 339,
  [435] = 339,
  [436] = 339,
  [437] = 339,
  [438] = 339,
  [439] = 339,
  [440] = 339,
  [441] = 339,
  [442] = 339,
  [443] = 339,
  [444] = 339,
  [445] = 339,
  [446] = 339,
  [447] = 339,
  [448] = 339,
  [449] = 339,
  [450] = 339,
  [451] = 339,
  [452] = 339,
  [453] = 339,
  [454] = 339,
  [455] = 339,
  [456] = 339,
  [457] = 339,
  [458] = 339,
  [459] = 356,
  [460] = 412,
  [461] = 339,
  [462] = 356,
  [463] = 412,
  [464] = 339,
  [465] = 356,
  [466] = 412,
  [467] = 419,
  [468] = 356,
  [469] = 412,
  [470] = 339,
  [471] = 356,
  [472] = 412,
  [473] = 339,
  [474] = 356,
  [475] = 412,
  [476] = 339,
  [477] = 356,
  [478] = 412,
  [479] = 339,
  [480] = 356,
  [481] = 412,
  [482] = 339,
  [483] = 356,
  [484] = 412,
  [485] = 339,
  [486] = 356,
  [487] = 412,
  [488] = 339,
  [489] = 356,
  [490] = 412,
  [491] = 339,
  [492] = 356,
  [493] = 412,
  [494] = 339,
  [495] = 356,
  [496] = 412,
  [497] = 339,
  [498] = 356,
  [499] = 412,
  [500] = 339,
  [501] = 356,
  [502] = 412,
  [503] = 339,
  [504] = 356,
  [505] = 412,
  [506] = 339,
  [507] = 356,
  [508] = 412,
  [509] = 356,
  [510] = 412,
  [511] = 356,
  [512] = 412,
  [513] = 356,
  [514] = 412,
  [515] = 356,
  [516] = 412,
  [517] = 356,
  [518] = 412,
  [519] = 356,
  [520] = 412,
  [521] = 356,
  [522] = 412,
  [523] = 356,
  [524] = 412,
  [525] = 356,
  [526] = 412,
  [527] = 356,
  [528] = 412,
  [529] = 356,
  [530] = 412,
  [531] = 356,
  [532] = 412,
  [533] = 356,
  [534] = 412,
  [535] = 356,
  [536] = 412,
  [537] = 356,
  [538] = 412,
  [539] = 356,
  [540] = 412,
  [541] = 356,
  [542] = 412,
  [543] = 356,
  [544] = 412,
  [545] = 356,
  [546] = 412,
  [547] = 356,
  [548] = 412,
  [549] = 356,
  [550] = 412,
  [551] = 356,
  [552] = 412,
  [553] = 356,
  [554] = 412,
  [555] = 356,
  [556] = 412,
  [557] = 356,
  [558] = 412,
  [559] = 356,
  [560] = 412,
  [561] = 356,
  [562] = 412,
  [563] = 356,
  [564] = 412,
  [565] = 356,
  [566] = 412,
  [567] = 356,
  [568] = 412,
  [569] = 356,
  [570] = 412,
  [571] = 356,
  [572] = 412,
  [573] = 339,
  [574] = 574,
  [575] = 574,
  [576] = 574,
  [577] = 574,
  [578] = 574,
  [579] = 574,
  [580] = 574,
  [581] = 574,
  [582] = 574,
  [583] = 574,
  [584] = 574,
  [585] = 359,
  [586] = 574,
  [587] = 359,
  [588] = 574,
  [589] = 574,
  [590] = 574,
  [591] = 574,
  [592] = 359,
  [593] = 574,
  [594] = 359,
  [595] = 574,
  [596] = 359,
  [597] = 574,
  [598] = 574,
  [599] = 574,
  [600] = 574,
  [601] = 574,
  [602] = 359,
  [603] = 574,
  [604] = 574,
  [605] = 574,
  [606] = 574,
  [607] = 607,
  [608] = 574,
  [609] = 574,
  [610] = 574,
  [611] = 574,
  [612] = 574,
  [613] = 574,
  [614] = 574,
  [615] = 574,
  [616] = 574,
  [617] = 574,
  [618] = 607,
  [619] = 574,
  [620] = 574,
  [621] = 574,
  [622] = 574,
  [623] = 574,
  [624] = 574,
  [625] = 574,
  [626] = 574,
  [627] = 607,
  [628] = 574,
  [629] = 607,
  [630] = 574,
  [631] = 574,
  [632] = 574,
  [633] = 574,
  [634] = 574,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 637,
  [644] = 638,
  [645] = 639,
  [646] = 640,
  [647] = 647,
  [648] = 648,
  [649] = 641,
  [650] = 647,
  [651] = 639,
  [652] = 648,
  [653] = 642,
  [654] = 654,
  [655] = 637,
  [656] = 638,
  [657] = 639,
  [658] = 641,
  [659] = 642,
  [660] = 637,
  [661] = 638,
  [662] = 639,
  [663] = 640,
  [664] = 647,
  [665] = 648,
  [666] = 640,
  [667] = 647,
  [668] = 640,
  [669] = 648,
  [670] = 642,
  [671] = 671,
  [672] = 637,
  [673] = 638,
  [674] = 641,
  [675] = 642,
  [676] = 637,
  [677] = 638,
  [678] = 639,
  [679] = 640,
  [680] = 647,
  [681] = 648,
  [682] = 639,
  [683] = 640,
  [684] = 647,
  [685] = 647,
  [686] = 648,
  [687] = 642,
  [688] = 637,
  [689] = 638,
  [690] = 641,
  [691] = 642,
  [692] = 637,
  [693] = 638,
  [694] = 639,
  [695] = 640,
  [696] = 647,
  [697] = 648,
  [698] = 639,
  [699] = 640,
  [700] = 648,
  [701] = 647,
  [702] = 648,
  [703] = 642,
  [704] = 704,
  [705] = 637,
  [706] = 641,
  [707] = 642,
  [708] = 637,
  [709] = 638,
  [710] = 639,
  [711] = 640,
  [712] = 647,
  [713] = 648,
  [714] = 638,
  [715] = 639,
  [716] = 716,
  [717] = 640,
  [718] = 647,
  [719] = 648,
  [720] = 642,
  [721] = 721,
  [722] = 641,
  [723] = 642,
  [724] = 637,
  [725] = 638,
  [726] = 639,
  [727] = 640,
  [728] = 647,
  [729] = 648,
  [730] = 637,
  [731] = 638,
  [732] = 639,
  [733] = 640,
  [734] = 647,
  [735] = 648,
  [736] = 736,
  [737] = 641,
  [738] = 642,
  [739] = 637,
  [740] = 638,
  [741] = 639,
  [742] = 640,
  [743] = 647,
  [744] = 648,
  [745] = 745,
  [746] = 359,
  [747] = 747,
  [748] = 637,
  [749] = 641,
  [750] = 642,
  [751] = 637,
  [752] = 638,
  [753] = 639,
  [754] = 640,
  [755] = 647,
  [756] = 648,
  [757] = 757,
  [758] = 642,
  [759] = 759,
  [760] = 638,
  [761] = 761,
  [762] = 641,
  [763] = 642,
  [764] = 637,
  [765] = 638,
  [766] = 639,
  [767] = 640,
  [768] = 647,
  [769] = 648,
  [770] = 770,
  [771] = 648,
  [772] = 641,
  [773] = 642,
  [774] = 637,
  [775] = 638,
  [776] = 639,
  [777] = 640,
  [778] = 647,
  [779] = 648,
  [780] = 359,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 641,
  [785] = 642,
  [786] = 637,
  [787] = 638,
  [788] = 639,
  [789] = 640,
  [790] = 647,
  [791] = 648,
  [792] = 359,
  [793] = 793,
  [794] = 639,
  [795] = 795,
  [796] = 641,
  [797] = 642,
  [798] = 637,
  [799] = 638,
  [800] = 639,
  [801] = 640,
  [802] = 647,
  [803] = 648,
  [804] = 804,
  [805] = 805,
  [806] = 641,
  [807] = 642,
  [808] = 637,
  [809] = 638,
  [810] = 639,
  [811] = 640,
  [812] = 647,
  [813] = 648,
  [814] = 814,
  [815] = 815,
  [816] = 640,
  [817] = 817,
  [818] = 818,
  [819] = 641,
  [820] = 642,
  [821] = 637,
  [822] = 638,
  [823] = 639,
  [824] = 640,
  [825] = 647,
  [826] = 648,
  [827] = 827,
  [828] = 641,
  [829] = 647,
  [830] = 830,
  [831] = 648,
  [832] = 641,
  [833] = 642,
  [834] = 637,
  [835] = 638,
  [836] = 639,
  [837] = 640,
  [838] = 647,
  [839] = 648,
  [840] = 840,
  [841] = 841,
  [842] = 641,
  [843] = 843,
  [844] = 641,
  [845] = 845,
  [846] = 642,
  [847] = 637,
  [848] = 638,
  [849] = 639,
  [850] = 640,
  [851] = 647,
  [852] = 648,
  [853] = 853,
  [854] = 854,
  [855] = 642,
  [856] = 856,
  [857] = 857,
  [858] = 641,
  [859] = 642,
  [860] = 637,
  [861] = 638,
  [862] = 639,
  [863] = 640,
  [864] = 647,
  [865] = 648,
  [866] = 866,
  [867] = 637,
  [868] = 638,
  [869] = 869,
  [870] = 642,
  [871] = 641,
  [872] = 642,
  [873] = 637,
  [874] = 639,
  [875] = 638,
  [876] = 639,
  [877] = 641,
  [878] = 640,
  [879] = 879,
  [880] = 640,
  [881] = 637,
  [882] = 641,
  [883] = 641,
  [884] = 647,
  [885] = 638,
  [886] = 647,
  [887] = 641,
  [888] = 639,
  [889] = 648,
  [890] = 890,
  [891] = 648,
  [892] = 641,
  [893] = 890,
  [894] = 641,
  [895] = 895,
  [896] = 641,
  [897] = 642,
  [898] = 640,
  [899] = 641,
  [900] = 900,
  [901] = 637,
  [902] = 745,
  [903] = 641,
  [904] = 782,
  [905] = 818,
  [906] = 647,
  [907] = 642,
  [908] = 641,
  [909] = 641,
  [910] = 637,
  [911] = 638,
  [912] = 642,
  [913] = 641,
  [914] = 637,
  [915] = 638,
  [916] = 639,
  [917] = 640,
  [918] = 641,
  [919] = 647,
  [920] = 637,
  [921] = 648,
  [922] = 642,
  [923] = 637,
  [924] = 638,
  [925] = 639,
  [926] = 640,
  [927] = 639,
  [928] = 641,
  [929] = 647,
  [930] = 640,
  [931] = 648,
  [932] = 642,
  [933] = 638,
  [934] = 637,
  [935] = 638,
  [936] = 639,
  [937] = 640,
  [938] = 639,
  [939] = 641,
  [940] = 647,
  [941] = 640,
  [942] = 648,
  [943] = 641,
  [944] = 642,
  [945] = 637,
  [946] = 638,
  [947] = 639,
  [948] = 641,
  [949] = 640,
  [950] = 641,
  [951] = 647,
  [952] = 648,
  [953] = 642,
  [954] = 642,
  [955] = 637,
  [956] = 638,
  [957] = 639,
  [958] = 637,
  [959] = 640,
  [960] = 641,
  [961] = 647,
  [962] = 648,
  [963] = 638,
  [964] = 641,
  [965] = 636,
  [966] = 642,
  [967] = 641,
  [968] = 639,
  [969] = 637,
  [970] = 638,
  [971] = 639,
  [972] = 640,
  [973] = 640,
  [974] = 647,
  [975] = 648,
  [976] = 642,
  [977] = 637,
  [978] = 654,
  [979] = 638,
  [980] = 639,
  [981] = 640,
  [982] = 647,
  [983] = 648,
  [984] = 642,
  [985] = 647,
  [986] = 637,
  [987] = 638,
  [988] = 639,
  [989] = 640,
  [990] = 647,
  [991] = 648,
  [992] = 992,
  [993] = 895,
  [994] = 648,
  [995] = 642,
  [996] = 996,
  [997] = 637,
  [998] = 638,
  [999] = 639,
  [1000] = 640,
  [1001] = 635,
  [1002] = 641,
  [1003] = 647,
  [1004] = 647,
  [1005] = 890,
  [1006] = 648,
  [1007] = 1007,
  [1008] = 648,
  [1009] = 900,
  [1010] = 745,
  [1011] = 992,
  [1012] = 996,
  [1013] = 671,
  [1014] = 782,
  [1015] = 635,
  [1016] = 1007,
  [1017] = 1017,
  [1018] = 704,
  [1019] = 721,
  [1020] = 736,
  [1021] = 770,
  [1022] = 781,
  [1023] = 815,
  [1024] = 817,
  [1025] = 845,
  [1026] = 857,
  [1027] = 642,
  [1028] = 637,
  [1029] = 638,
  [1030] = 639,
  [1031] = 640,
  [1032] = 647,
  [1033] = 648,
  [1034] = 641,
  [1035] = 641,
  [1036] = 641,
  [1037] = 818,
  [1038] = 642,
  [1039] = 637,
  [1040] = 638,
  [1041] = 639,
  [1042] = 640,
  [1043] = 647,
  [1044] = 648,
  [1045] = 642,
  [1046] = 641,
  [1047] = 641,
  [1048] = 641,
  [1049] = 641,
  [1050] = 641,
  [1051] = 641,
  [1052] = 641,
  [1053] = 1017,
  [1054] = 992,
  [1055] = 996,
  [1056] = 671,
  [1057] = 635,
  [1058] = 1007,
  [1059] = 1017,
  [1060] = 704,
  [1061] = 721,
  [1062] = 736,
  [1063] = 770,
  [1064] = 781,
  [1065] = 815,
  [1066] = 817,
  [1067] = 845,
  [1068] = 857,
  [1069] = 641,
  [1070] = 637,
  [1071] = 992,
  [1072] = 996,
  [1073] = 671,
  [1074] = 635,
  [1075] = 1007,
  [1076] = 1017,
  [1077] = 704,
  [1078] = 721,
  [1079] = 736,
  [1080] = 770,
  [1081] = 781,
  [1082] = 815,
  [1083] = 817,
  [1084] = 845,
  [1085] = 857,
  [1086] = 641,
  [1087] = 992,
  [1088] = 671,
  [1089] = 635,
  [1090] = 1007,
  [1091] = 1017,
  [1092] = 704,
  [1093] = 721,
  [1094] = 736,
  [1095] = 770,
  [1096] = 815,
  [1097] = 845,
  [1098] = 857,
  [1099] = 638,
  [1100] = 992,
  [1101] = 671,
  [1102] = 635,
  [1103] = 1007,
  [1104] = 1017,
  [1105] = 704,
  [1106] = 721,
  [1107] = 736,
  [1108] = 770,
  [1109] = 815,
  [1110] = 845,
  [1111] = 857,
  [1112] = 641,
  [1113] = 992,
  [1114] = 671,
  [1115] = 635,
  [1116] = 1007,
  [1117] = 1017,
  [1118] = 704,
  [1119] = 721,
  [1120] = 736,
  [1121] = 639,
  [1122] = 992,
  [1123] = 671,
  [1124] = 642,
  [1125] = 1007,
  [1126] = 1017,
  [1127] = 704,
  [1128] = 721,
  [1129] = 736,
  [1130] = 641,
  [1131] = 992,
  [1132] = 671,
  [1133] = 635,
  [1134] = 1007,
  [1135] = 1017,
  [1136] = 704,
  [1137] = 721,
  [1138] = 736,
  [1139] = 641,
  [1140] = 992,
  [1141] = 671,
  [1142] = 635,
  [1143] = 1007,
  [1144] = 1017,
  [1145] = 704,
  [1146] = 721,
  [1147] = 736,
  [1148] = 641,
  [1149] = 992,
  [1150] = 671,
  [1151] = 635,
  [1152] = 1007,
  [1153] = 641,
  [1154] = 704,
  [1155] = 721,
  [1156] = 736,
  [1157] = 642,
  [1158] = 992,
  [1159] = 671,
  [1160] = 635,
  [1161] = 1007,
  [1162] = 1017,
  [1163] = 704,
  [1164] = 721,
  [1165] = 736,
  [1166] = 637,
  [1167] = 992,
  [1168] = 671,
  [1169] = 635,
  [1170] = 1007,
  [1171] = 1017,
  [1172] = 704,
  [1173] = 721,
  [1174] = 736,
  [1175] = 638,
  [1176] = 992,
  [1177] = 671,
  [1178] = 635,
  [1179] = 1007,
  [1180] = 1017,
  [1181] = 704,
  [1182] = 721,
  [1183] = 736,
  [1184] = 639,
  [1185] = 992,
  [1186] = 671,
  [1187] = 635,
  [1188] = 1007,
  [1189] = 1017,
  [1190] = 704,
  [1191] = 721,
  [1192] = 736,
  [1193] = 640,
  [1194] = 992,
  [1195] = 671,
  [1196] = 635,
  [1197] = 1007,
  [1198] = 1017,
  [1199] = 704,
  [1200] = 721,
  [1201] = 736,
  [1202] = 647,
  [1203] = 992,
  [1204] = 671,
  [1205] = 635,
  [1206] = 1007,
  [1207] = 1017,
  [1208] = 704,
  [1209] = 721,
  [1210] = 736,
  [1211] = 648,
  [1212] = 992,
  [1213] = 671,
  [1214] = 635,
  [1215] = 1007,
  [1216] = 1017,
  [1217] = 704,
  [1218] = 721,
  [1219] = 736,
  [1220] = 640,
  [1221] = 992,
  [1222] = 671,
  [1223] = 635,
  [1224] = 1007,
  [1225] = 1017,
  [1226] = 704,
  [1227] = 721,
  [1228] = 736,
  [1229] = 992,
  [1230] = 671,
  [1231] = 635,
  [1232] = 1007,
  [1233] = 1017,
  [1234] = 704,
  [1235] = 721,
  [1236] = 736,
  [1237] = 992,
  [1238] = 671,
  [1239] = 635,
  [1240] = 1007,
  [1241] = 1017,
  [1242] = 704,
  [1243] = 721,
  [1244] = 736,
  [1245] = 641,
  [1246] = 992,
  [1247] = 671,
  [1248] = 635,
  [1249] = 1007,
  [1250] = 1017,
  [1251] = 704,
  [1252] = 721,
  [1253] = 736,
  [1254] = 647,
  [1255] = 992,
  [1256] = 671,
  [1257] = 635,
  [1258] = 1007,
  [1259] = 1017,
  [1260] = 704,
  [1261] = 721,
  [1262] = 736,
  [1263] = 647,
  [1264] = 992,
  [1265] = 671,
  [1266] = 635,
  [1267] = 1007,
  [1268] = 1017,
  [1269] = 704,
  [1270] = 721,
  [1271] = 736,
  [1272] = 890,
  [1273] = 992,
  [1274] = 671,
  [1275] = 635,
  [1276] = 1007,
  [1277] = 1017,
  [1278] = 704,
  [1279] = 721,
  [1280] = 736,
  [1281] = 992,
  [1282] = 671,
  [1283] = 635,
  [1284] = 1007,
  [1285] = 1017,
  [1286] = 704,
  [1287] = 721,
  [1288] = 736,
  [1289] = 992,
  [1290] = 671,
  [1291] = 635,
  [1292] = 1007,
  [1293] = 1017,
  [1294] = 704,
  [1295] = 721,
  [1296] = 736,
  [1297] = 992,
  [1298] = 671,
  [1299] = 635,
  [1300] = 1007,
  [1301] = 1017,
  [1302] = 704,
  [1303] = 721,
  [1304] = 736,
  [1305] = 641,
  [1306] = 992,
  [1307] = 671,
  [1308] = 635,
  [1309] = 1007,
  [1310] = 1017,
  [1311] = 704,
  [1312] = 721,
  [1313] = 736,
  [1314] = 648,
  [1315] = 992,
  [1316] = 671,
  [1317] = 635,
  [1318] = 1007,
  [1319] = 1017,
  [1320] = 704,
  [1321] = 721,
  [1322] = 736,
  [1323] = 900,
  [1324] = 992,
  [1325] = 671,
  [1326] = 635,
  [1327] = 1007,
  [1328] = 1017,
  [1329] = 704,
  [1330] = 721,
  [1331] = 736,
  [1332] = 992,
  [1333] = 671,
  [1334] = 635,
  [1335] = 1007,
  [1336] = 1017,
  [1337] = 704,
  [1338] = 721,
  [1339] = 736,
  [1340] = 992,
  [1341] = 671,
  [1342] = 635,
  [1343] = 1007,
  [1344] = 1017,
  [1345] = 704,
  [1346] = 721,
  [1347] = 736,
  [1348] = 745,
  [1349] = 992,
  [1350] = 671,
  [1351] = 635,
  [1352] = 1007,
  [1353] = 1017,
  [1354] = 704,
  [1355] = 721,
  [1356] = 736,
  [1357] = 782,
  [1358] = 992,
  [1359] = 671,
  [1360] = 635,
  [1361] = 1007,
  [1362] = 1017,
  [1363] = 704,
  [1364] = 721,
  [1365] = 736,
  [1366] = 992,
  [1367] = 671,
  [1368] = 635,
  [1369] = 1007,
  [1370] = 1017,
  [1371] = 704,
  [1372] = 721,
  [1373] = 736,
  [1374] = 992,
  [1375] = 671,
  [1376] = 635,
  [1377] = 1007,
  [1378] = 1017,
  [1379] = 704,
  [1380] = 721,
  [1381] = 736,
  [1382] = 992,
  [1383] = 671,
  [1384] = 635,
  [1385] = 1007,
  [1386] = 1017,
  [1387] = 704,
  [1388] = 721,
  [1389] = 736,
  [1390] = 992,
  [1391] = 671,
  [1392] = 635,
  [1393] = 1007,
  [1394] = 1017,
  [1395] = 704,
  [1396] = 721,
  [1397] = 736,
  [1398] = 992,
  [1399] = 671,
  [1400] = 635,
  [1401] = 1007,
  [1402] = 1017,
  [1403] = 704,
  [1404] = 721,
  [1405] = 736,
  [1406] = 992,
  [1407] = 671,
  [1408] = 635,
  [1409] = 1007,
  [1410] = 1017,
  [1411] = 704,
  [1412] = 721,
  [1413] = 736,
  [1414] = 992,
  [1415] = 671,
  [1416] = 635,
  [1417] = 1007,
  [1418] = 1017,
  [1419] = 704,
  [1420] = 721,
  [1421] = 736,
  [1422] = 992,
  [1423] = 671,
  [1424] = 635,
  [1425] = 1007,
  [1426] = 1017,
  [1427] = 704,
  [1428] = 721,
  [1429] = 736,
  [1430] = 992,
  [1431] = 671,
  [1432] = 635,
  [1433] = 1007,
  [1434] = 1017,
  [1435] = 704,
  [1436] = 721,
  [1437] = 736,
  [1438] = 992,
  [1439] = 671,
  [1440] = 635,
  [1441] = 1007,
  [1442] = 1017,
  [1443] = 704,
  [1444] = 721,
  [1445] = 736,
  [1446] = 992,
  [1447] = 671,
  [1448] = 635,
  [1449] = 1007,
  [1450] = 1017,
  [1451] = 704,
  [1452] = 721,
  [1453] = 736,
  [1454] = 992,
  [1455] = 671,
  [1456] = 635,
  [1457] = 1007,
  [1458] = 1017,
  [1459] = 704,
  [1460] = 721,
  [1461] = 736,
  [1462] = 992,
  [1463] = 671,
  [1464] = 635,
  [1465] = 1007,
  [1466] = 1017,
  [1467] = 704,
  [1468] = 721,
  [1469] = 736,
  [1470] = 671,
  [1471] = 635,
  [1472] = 1007,
  [1473] = 1017,
  [1474] = 704,
  [1475] = 721,
  [1476] = 736,
  [1477] = 671,
  [1478] = 635,
  [1479] = 1007,
  [1480] = 1017,
  [1481] = 704,
  [1482] = 721,
  [1483] = 736,
  [1484] = 818,
  [1485] = 642,
  [1486] = 641,
  [1487] = 869,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 992,
  [1491] = 992,
  [1492] = 992,
  [1493] = 992,
  [1494] = 1488,
  [1495] = 637,
  [1496] = 638,
  [1497] = 869,
  [1498] = 1488,
  [1499] = 1489,
  [1500] = 639,
  [1501] = 641,
  [1502] = 642,
  [1503] = 869,
  [1504] = 1488,
  [1505] = 1489,
  [1506] = 637,
  [1507] = 638,
  [1508] = 639,
  [1509] = 869,
  [1510] = 1488,
  [1511] = 1489,
  [1512] = 640,
  [1513] = 647,
  [1514] = 648,
  [1515] = 869,
  [1516] = 1488,
  [1517] = 1489,
  [1518] = 640,
  [1519] = 869,
  [1520] = 1488,
  [1521] = 1489,
  [1522] = 641,
  [1523] = 647,
  [1524] = 869,
  [1525] = 1488,
  [1526] = 1489,
  [1527] = 890,
  [1528] = 869,
  [1529] = 1488,
  [1530] = 1489,
  [1531] = 1489,
  [1532] = 900,
  [1533] = 869,
  [1534] = 1488,
  [1535] = 1489,
  [1536] = 745,
  [1537] = 782,
  [1538] = 869,
  [1539] = 1488,
  [1540] = 1489,
  [1541] = 818,
  [1542] = 648,
  [1543] = 642,
  [1544] = 869,
  [1545] = 1488,
  [1546] = 1489,
  [1547] = 900,
  [1548] = 637,
  [1549] = 638,
  [1550] = 869,
  [1551] = 1488,
  [1552] = 1489,
  [1553] = 641,
  [1554] = 642,
  [1555] = 637,
  [1556] = 869,
  [1557] = 1488,
  [1558] = 1489,
  [1559] = 638,
  [1560] = 639,
  [1561] = 640,
  [1562] = 869,
  [1563] = 1488,
  [1564] = 1489,
  [1565] = 647,
  [1566] = 648,
  [1567] = 639,
  [1568] = 869,
  [1569] = 1488,
  [1570] = 1489,
  [1571] = 640,
  [1572] = 869,
  [1573] = 1488,
  [1574] = 1489,
  [1575] = 648,
  [1576] = 641,
  [1577] = 890,
  [1578] = 869,
  [1579] = 1488,
  [1580] = 1489,
  [1581] = 869,
  [1582] = 1488,
  [1583] = 1489,
  [1584] = 647,
  [1585] = 900,
  [1586] = 869,
  [1587] = 1488,
  [1588] = 1489,
  [1589] = 869,
  [1590] = 1488,
  [1591] = 1489,
  [1592] = 745,
  [1593] = 782,
  [1594] = 869,
  [1595] = 1488,
  [1596] = 1489,
  [1597] = 818,
  [1598] = 648,
  [1599] = 869,
  [1600] = 1488,
  [1601] = 1489,
  [1602] = 642,
  [1603] = 869,
  [1604] = 1488,
  [1605] = 1489,
  [1606] = 637,
  [1607] = 638,
  [1608] = 869,
  [1609] = 1488,
  [1610] = 1489,
  [1611] = 641,
  [1612] = 642,
  [1613] = 869,
  [1614] = 1488,
  [1615] = 1489,
  [1616] = 637,
  [1617] = 638,
  [1618] = 869,
  [1619] = 1488,
  [1620] = 1489,
  [1621] = 639,
  [1622] = 640,
  [1623] = 869,
  [1624] = 1488,
  [1625] = 1489,
  [1626] = 647,
  [1627] = 648,
  [1628] = 869,
  [1629] = 1488,
  [1630] = 1489,
  [1631] = 639,
  [1632] = 869,
  [1633] = 1488,
  [1634] = 1489,
  [1635] = 640,
  [1636] = 869,
  [1637] = 1488,
  [1638] = 1489,
  [1639] = 638,
  [1640] = 641,
  [1641] = 869,
  [1642] = 1488,
  [1643] = 1489,
  [1644] = 890,
  [1645] = 869,
  [1646] = 1488,
  [1647] = 1489,
  [1648] = 647,
  [1649] = 869,
  [1650] = 1488,
  [1651] = 1489,
  [1652] = 900,
  [1653] = 869,
  [1654] = 1488,
  [1655] = 1489,
  [1656] = 745,
  [1657] = 869,
  [1658] = 1488,
  [1659] = 1489,
  [1660] = 782,
  [1661] = 818,
  [1662] = 869,
  [1663] = 1488,
  [1664] = 1489,
  [1665] = 648,
  [1666] = 642,
  [1667] = 869,
  [1668] = 1488,
  [1669] = 1489,
  [1670] = 1670,
  [1671] = 637,
  [1672] = 869,
  [1673] = 1488,
  [1674] = 1489,
  [1675] = 641,
  [1676] = 642,
  [1677] = 869,
  [1678] = 1488,
  [1679] = 1489,
  [1680] = 637,
  [1681] = 638,
  [1682] = 869,
  [1683] = 1488,
  [1684] = 1489,
  [1685] = 639,
  [1686] = 640,
  [1687] = 869,
  [1688] = 1488,
  [1689] = 1489,
  [1690] = 647,
  [1691] = 648,
  [1692] = 869,
  [1693] = 1488,
  [1694] = 1489,
  [1695] = 638,
  [1696] = 869,
  [1697] = 1488,
  [1698] = 1489,
  [1699] = 639,
  [1700] = 869,
  [1701] = 1488,
  [1702] = 1489,
  [1703] = 642,
  [1704] = 640,
  [1705] = 869,
  [1706] = 1488,
  [1707] = 1489,
  [1708] = 869,
  [1709] = 1488,
  [1710] = 1489,
  [1711] = 641,
  [1712] = 869,
  [1713] = 1488,
  [1714] = 1489,
  [1715] = 647,
  [1716] = 869,
  [1717] = 1488,
  [1718] = 1489,
  [1719] = 648,
  [1720] = 869,
  [1721] = 1488,
  [1722] = 1489,
  [1723] = 636,
  [1724] = 654,
  [1725] = 636,
  [1726] = 654,
  [1727] = 1017,
  [1728] = 1728,
  [1729] = 1728,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1728,
  [1737] = 1731,
  [1738] = 1734,
  [1739] = 1730,
  [1740] = 1728,
  [1741] = 1730,
  [1742] = 1728,
  [1743] = 1732,
  [1744] = 1733,
  [1745] = 1730,
  [1746] = 1732,
  [1747] = 1733,
  [1748] = 1731,
  [1749] = 1734,
  [1750] = 1730,
  [1751] = 1728,
  [1752] = 1730,
  [1753] = 1734,
  [1754] = 1732,
  [1755] = 1733,
  [1756] = 1732,
  [1757] = 1731,
  [1758] = 1734,
  [1759] = 1731,
  [1760] = 1734,
  [1761] = 1733,
  [1762] = 1728,
  [1763] = 1730,
  [1764] = 1732,
  [1765] = 1732,
  [1766] = 1733,
  [1767] = 1733,
  [1768] = 1728,
  [1769] = 1730,
  [1770] = 1731,
  [1771] = 1734,
  [1772] = 1732,
  [1773] = 1728,
  [1774] = 1730,
  [1775] = 1731,
  [1776] = 1732,
  [1777] = 1733,
  [1778] = 1734,
  [1779] = 1733,
  [1780] = 1728,
  [1781] = 1731,
  [1782] = 1734,
  [1783] = 1730,
  [1784] = 1732,
  [1785] = 1728,
  [1786] = 1730,
  [1787] = 1732,
  [1788] = 1732,
  [1789] = 1733,
  [1790] = 1732,
  [1791] = 1733,
  [1792] = 1731,
  [1793] = 1733,
  [1794] = 1731,
  [1795] = 1734,
  [1796] = 1733,
  [1797] = 1728,
  [1798] = 1730,
  [1799] = 1734,
  [1800] = 1732,
  [1801] = 1733,
  [1802] = 1731,
  [1803] = 1732,
  [1804] = 1733,
  [1805] = 1732,
  [1806] = 1733,
  [1807] = 1733,
  [1808] = 1734,
  [1809] = 1732,
  [1810] = 1728,
  [1811] = 1731,
  [1812] = 1731,
  [1813] = 1734,
  [1814] = 1734,
  [1815] = 1731,
  [1816] = 1728,
  [1817] = 1730,
  [1818] = 1734,
  [1819] = 1728,
  [1820] = 1820,
  [1821] = 1732,
  [1822] = 1733,
  [1823] = 1730,
  [1824] = 1820,
  [1825] = 1735,
  [1826] = 1728,
  [1827] = 1730,
  [1828] = 1730,
  [1829] = 1731,
  [1830] = 1734,
  [1831] = 1731,
  [1832] = 1728,
  [1833] = 1730,
  [1834] = 1732,
  [1835] = 1733,
  [1836] = 1734,
  [1837] = 1731,
  [1838] = 1732,
  [1839] = 1733,
  [1840] = 1731,
  [1841] = 1734,
  [1842] = 1728,
  [1843] = 1730,
  [1844] = 1734,
  [1845] = 1731,
  [1846] = 1731,
  [1847] = 1728,
  [1848] = 1730,
  [1849] = 1734,
  [1850] = 1732,
  [1851] = 1728,
  [1852] = 1730,
  [1853] = 1732,
  [1854] = 1734,
  [1855] = 1732,
  [1856] = 1732,
  [1857] = 1733,
  [1858] = 1733,
  [1859] = 1732,
  [1860] = 1733,
  [1861] = 1735,
  [1862] = 1732,
  [1863] = 1731,
  [1864] = 1734,
  [1865] = 1732,
  [1866] = 1733,
  [1867] = 1728,
  [1868] = 1730,
  [1869] = 1728,
  [1870] = 1733,
  [1871] = 1731,
  [1872] = 1734,
  [1873] = 1732,
  [1874] = 1733,
  [1875] = 1731,
  [1876] = 359,
  [1877] = 1734,
  [1878] = 1731,
  [1879] = 1734,
  [1880] = 1730,
  [1881] = 1728,
  [1882] = 1730,
  [1883] = 1728,
  [1884] = 1730,
  [1885] = 1728,
  [1886] = 1730,
  [1887] = 1732,
  [1888] = 1733,
  [1889] = 1731,
  [1890] = 1732,
  [1891] = 1734,
  [1892] = 1731,
  [1893] = 1734,
  [1894] = 1733,
  [1895] = 1734,
  [1896] = 1733,
  [1897] = 1728,
  [1898] = 1733,
  [1899] = 1732,
  [1900] = 1732,
  [1901] = 1733,
  [1902] = 1733,
  [1903] = 359,
  [1904] = 1731,
  [1905] = 1731,
  [1906] = 1728,
  [1907] = 1734,
  [1908] = 1728,
  [1909] = 1728,
  [1910] = 1730,
  [1911] = 1728,
  [1912] = 1731,
  [1913] = 1732,
  [1914] = 1733,
  [1915] = 1730,
  [1916] = 1728,
  [1917] = 1734,
  [1918] = 1730,
  [1919] = 1731,
  [1920] = 1734,
  [1921] = 1731,
  [1922] = 1728,
  [1923] = 1730,
  [1924] = 1732,
  [1925] = 1733,
  [1926] = 1732,
  [1927] = 1732,
  [1928] = 1733,
  [1929] = 1728,
  [1930] = 1730,
  [1931] = 1733,
  [1932] = 1734,
  [1933] = 1731,
  [1934] = 1734,
  [1935] = 1734,
  [1936] = 1728,
  [1937] = 1730,
  [1938] = 1731,
  [1939] = 1734,
  [1940] = 1732,
  [1941] = 1733,
  [1942] = 1731,
  [1943] = 1730,
  [1944] = 1731,
  [1945] = 1728,
  [1946] = 1734,
  [1947] = 1731,
  [1948] = 1734,
  [1949] = 1730,
  [1950] = 1728,
  [1951] = 1730,
  [1952] = 1728,
  [1953] = 1728,
  [1954] = 1730,
  [1955] = 1732,
  [1956] = 1730,
  [1957] = 1733,
  [1958] = 1732,
  [1959] = 1734,
  [1960] = 1733,
  [1961] = 1731,
  [1962] = 1734,
  [1963] = 1731,
  [1964] = 1728,
  [1965] = 1730,
  [1966] = 1732,
  [1967] = 1732,
  [1968] = 1733,
  [1969] = 1734,
  [1970] = 359,
  [1971] = 1732,
  [1972] = 1731,
  [1973] = 1734,
  [1974] = 1732,
  [1975] = 1728,
  [1976] = 1730,
  [1977] = 1733,
  [1978] = 1732,
  [1979] = 1733,
  [1980] = 1733,
  [1981] = 1728,
  [1982] = 1820,
  [1983] = 1731,
  [1984] = 1734,
  [1985] = 1731,
  [1986] = 1728,
  [1987] = 1730,
  [1988] = 1731,
  [1989] = 1732,
  [1990] = 1733,
  [1991] = 1734,
  [1992] = 1730,
  [1993] = 1731,
  [1994] = 1731,
  [1995] = 1734,
  [1996] = 1728,
  [1997] = 1732,
  [1998] = 1728,
  [1999] = 1730,
  [2000] = 1730,
  [2001] = 1733,
  [2002] = 1732,
  [2003] = 1733,
  [2004] = 1731,
  [2005] = 1734,
  [2006] = 1734,
  [2007] = 1731,
  [2008] = 1734,
  [2009] = 1728,
  [2010] = 1728,
  [2011] = 1731,
  [2012] = 1734,
  [2013] = 1730,
  [2014] = 1730,
  [2015] = 1732,
  [2016] = 1733,
  [2017] = 1728,
  [2018] = 1730,
  [2019] = 1728,
  [2020] = 1730,
  [2021] = 1730,
  [2022] = 1731,
  [2023] = 1734,
  [2024] = 1728,
  [2025] = 1728,
  [2026] = 1730,
  [2027] = 1731,
  [2028] = 1732,
  [2029] = 1732,
  [2030] = 1733,
  [2031] = 1733,
  [2032] = 1730,
  [2033] = 1733,
  [2034] = 1731,
  [2035] = 1734,
  [2036] = 1730,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2037,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 1735,
  [2053] = 2038,
  [2054] = 2038,
  [2055] = 2055,
  [2056] = 1735,
  [2057] = 2057,
  [2058] = 2037,
  [2059] = 2040,
  [2060] = 2041,
  [2061] = 2042,
  [2062] = 2043,
  [2063] = 2044,
  [2064] = 2045,
  [2065] = 2046,
  [2066] = 2047,
  [2067] = 2048,
  [2068] = 2049,
  [2069] = 2050,
  [2070] = 2038,
  [2071] = 2057,
  [2072] = 2037,
  [2073] = 2040,
  [2074] = 2041,
  [2075] = 2042,
  [2076] = 2043,
  [2077] = 2044,
  [2078] = 2045,
  [2079] = 2046,
  [2080] = 2047,
  [2081] = 2048,
  [2082] = 2049,
  [2083] = 2050,
  [2084] = 2038,
  [2085] = 2057,
  [2086] = 2037,
  [2087] = 2040,
  [2088] = 2041,
  [2089] = 2042,
  [2090] = 2043,
  [2091] = 2044,
  [2092] = 2045,
  [2093] = 2046,
  [2094] = 2047,
  [2095] = 2048,
  [2096] = 2049,
  [2097] = 2050,
  [2098] = 2038,
  [2099] = 2057,
  [2100] = 2037,
  [2101] = 2040,
  [2102] = 2041,
  [2103] = 2057,
  [2104] = 2043,
  [2105] = 2044,
  [2106] = 2045,
  [2107] = 2046,
  [2108] = 2047,
  [2109] = 2048,
  [2110] = 2049,
  [2111] = 2050,
  [2112] = 2038,
  [2113] = 2057,
  [2114] = 2037,
  [2115] = 2040,
  [2116] = 2041,
  [2117] = 2042,
  [2118] = 2043,
  [2119] = 2044,
  [2120] = 2045,
  [2121] = 2046,
  [2122] = 2047,
  [2123] = 2048,
  [2124] = 2049,
  [2125] = 2050,
  [2126] = 2038,
  [2127] = 2057,
  [2128] = 2037,
  [2129] = 2040,
  [2130] = 2041,
  [2131] = 2042,
  [2132] = 2043,
  [2133] = 2044,
  [2134] = 2045,
  [2135] = 2046,
  [2136] = 2047,
  [2137] = 2048,
  [2138] = 2049,
  [2139] = 2050,
  [2140] = 2038,
  [2141] = 2057,
  [2142] = 2037,
  [2143] = 2040,
  [2144] = 2041,
  [2145] = 2042,
  [2146] = 2043,
  [2147] = 2044,
  [2148] = 2045,
  [2149] = 2046,
  [2150] = 2047,
  [2151] = 2048,
  [2152] = 2049,
  [2153] = 2050,
  [2154] = 2038,
  [2155] = 2040,
  [2156] = 2041,
  [2157] = 2042,
  [2158] = 2043,
  [2159] = 2044,
  [2160] = 2045,
  [2161] = 2046,
  [2162] = 2047,
  [2163] = 2048,
  [2164] = 2049,
  [2165] = 2050,
  [2166] = 2038,
  [2167] = 2037,
  [2168] = 2040,
  [2169] = 2041,
  [2170] = 2042,
  [2171] = 2043,
  [2172] = 2044,
  [2173] = 2045,
  [2174] = 2046,
  [2175] = 2047,
  [2176] = 2048,
  [2177] = 2049,
  [2178] = 2050,
  [2179] = 2057,
  [2180] = 2038,
  [2181] = 2057,
  [2182] = 2037,
  [2183] = 2037,
  [2184] = 2040,
  [2185] = 2041,
  [2186] = 2042,
  [2187] = 2043,
  [2188] = 2044,
  [2189] = 2045,
  [2190] = 2046,
  [2191] = 2047,
  [2192] = 2048,
  [2193] = 2049,
  [2194] = 2050,
  [2195] = 2040,
  [2196] = 2041,
  [2197] = 2042,
  [2198] = 2043,
  [2199] = 2044,
  [2200] = 2038,
  [2201] = 2045,
  [2202] = 2037,
  [2203] = 2046,
  [2204] = 2040,
  [2205] = 2041,
  [2206] = 2042,
  [2207] = 2043,
  [2208] = 2044,
  [2209] = 2045,
  [2210] = 2046,
  [2211] = 2047,
  [2212] = 2048,
  [2213] = 2049,
  [2214] = 2050,
  [2215] = 2047,
  [2216] = 2048,
  [2217] = 2049,
  [2218] = 2050,
  [2219] = 2038,
  [2220] = 2037,
  [2221] = 2040,
  [2222] = 2041,
  [2223] = 2042,
  [2224] = 2043,
  [2225] = 2044,
  [2226] = 2045,
  [2227] = 2046,
  [2228] = 2047,
  [2229] = 2048,
  [2230] = 2049,
  [2231] = 2050,
  [2232] = 2038,
  [2233] = 2233,
  [2234] = 2038,
  [2235] = 359,
  [2236] = 2037,
  [2237] = 2037,
  [2238] = 2040,
  [2239] = 2041,
  [2240] = 2042,
  [2241] = 2043,
  [2242] = 2044,
  [2243] = 2045,
  [2244] = 2046,
  [2245] = 2047,
  [2246] = 2048,
  [2247] = 2049,
  [2248] = 2050,
  [2249] = 2040,
  [2250] = 2038,
  [2251] = 2041,
  [2252] = 2037,
  [2253] = 2042,
  [2254] = 2040,
  [2255] = 2041,
  [2256] = 2042,
  [2257] = 2043,
  [2258] = 2044,
  [2259] = 2045,
  [2260] = 2046,
  [2261] = 2047,
  [2262] = 2048,
  [2263] = 2049,
  [2264] = 2050,
  [2265] = 2043,
  [2266] = 2044,
  [2267] = 2045,
  [2268] = 2046,
  [2269] = 2047,
  [2270] = 2048,
  [2271] = 2038,
  [2272] = 2049,
  [2273] = 1820,
  [2274] = 1735,
  [2275] = 2050,
  [2276] = 359,
  [2277] = 2037,
  [2278] = 2037,
  [2279] = 2038,
  [2280] = 2037,
  [2281] = 359,
  [2282] = 2040,
  [2283] = 2041,
  [2284] = 2042,
  [2285] = 2043,
  [2286] = 2044,
  [2287] = 2045,
  [2288] = 2046,
  [2289] = 2047,
  [2290] = 2048,
  [2291] = 2049,
  [2292] = 2050,
  [2293] = 2037,
  [2294] = 2040,
  [2295] = 2038,
  [2296] = 2041,
  [2297] = 2037,
  [2298] = 2042,
  [2299] = 2040,
  [2300] = 2043,
  [2301] = 2041,
  [2302] = 2042,
  [2303] = 2043,
  [2304] = 2044,
  [2305] = 2045,
  [2306] = 2046,
  [2307] = 2047,
  [2308] = 2048,
  [2309] = 2049,
  [2310] = 2050,
  [2311] = 2044,
  [2312] = 2045,
  [2313] = 2046,
  [2314] = 2047,
  [2315] = 2048,
  [2316] = 2038,
  [2317] = 2049,
  [2318] = 2050,
  [2319] = 1820,
  [2320] = 2040,
  [2321] = 2038,
  [2322] = 1735,
  [2323] = 2040,
  [2324] = 2037,
  [2325] = 2041,
  [2326] = 2040,
  [2327] = 2042,
  [2328] = 2041,
  [2329] = 2042,
  [2330] = 2043,
  [2331] = 2055,
  [2332] = 2044,
  [2333] = 2057,
  [2334] = 2045,
  [2335] = 2335,
  [2336] = 2046,
  [2337] = 2047,
  [2338] = 2048,
  [2339] = 2049,
  [2340] = 2037,
  [2341] = 2040,
  [2342] = 2041,
  [2343] = 2042,
  [2344] = 2043,
  [2345] = 2044,
  [2346] = 2045,
  [2347] = 2046,
  [2348] = 2047,
  [2349] = 2048,
  [2350] = 2049,
  [2351] = 2050,
  [2352] = 2050,
  [2353] = 2043,
  [2354] = 2038,
  [2355] = 2044,
  [2356] = 2045,
  [2357] = 2046,
  [2358] = 2037,
  [2359] = 2040,
  [2360] = 2041,
  [2361] = 2042,
  [2362] = 2043,
  [2363] = 2044,
  [2364] = 2045,
  [2365] = 2046,
  [2366] = 2047,
  [2367] = 2048,
  [2368] = 2049,
  [2369] = 2050,
  [2370] = 2038,
  [2371] = 2037,
  [2372] = 2040,
  [2373] = 2041,
  [2374] = 2042,
  [2375] = 2043,
  [2376] = 2044,
  [2377] = 2045,
  [2378] = 2046,
  [2379] = 2047,
  [2380] = 2048,
  [2381] = 2049,
  [2382] = 2050,
  [2383] = 2047,
  [2384] = 2048,
  [2385] = 2038,
  [2386] = 2049,
  [2387] = 2038,
  [2388] = 2050,
  [2389] = 2037,
  [2390] = 2390,
  [2391] = 1820,
  [2392] = 2037,
  [2393] = 2040,
  [2394] = 2040,
  [2395] = 2057,
  [2396] = 2037,
  [2397] = 2040,
  [2398] = 2041,
  [2399] = 2042,
  [2400] = 2043,
  [2401] = 2044,
  [2402] = 2045,
  [2403] = 2046,
  [2404] = 2047,
  [2405] = 2048,
  [2406] = 2049,
  [2407] = 2050,
  [2408] = 2038,
  [2409] = 2041,
  [2410] = 2042,
  [2411] = 2043,
  [2412] = 2044,
  [2413] = 2045,
  [2414] = 2046,
  [2415] = 2047,
  [2416] = 2048,
  [2417] = 2049,
  [2418] = 2050,
  [2419] = 2041,
  [2420] = 2042,
  [2421] = 2043,
  [2422] = 2044,
  [2423] = 2038,
  [2424] = 2045,
  [2425] = 2046,
  [2426] = 2047,
  [2427] = 2048,
  [2428] = 2049,
  [2429] = 2050,
  [2430] = 2057,
  [2431] = 2038,
  [2432] = 2041,
  [2433] = 2037,
  [2434] = 2040,
  [2435] = 2041,
  [2436] = 2042,
  [2437] = 2043,
  [2438] = 2044,
  [2439] = 2045,
  [2440] = 2037,
  [2441] = 2046,
  [2442] = 2040,
  [2443] = 2041,
  [2444] = 2042,
  [2445] = 2043,
  [2446] = 2044,
  [2447] = 2045,
  [2448] = 2046,
  [2449] = 2047,
  [2450] = 2048,
  [2451] = 2049,
  [2452] = 2050,
  [2453] = 2047,
  [2454] = 2048,
  [2455] = 2049,
  [2456] = 2050,
  [2457] = 2038,
  [2458] = 2038,
  [2459] = 1735,
  [2460] = 2042,
  [2461] = 2038,
  [2462] = 2037,
  [2463] = 2057,
  [2464] = 2040,
  [2465] = 2043,
  [2466] = 2041,
  [2467] = 2042,
  [2468] = 2043,
  [2469] = 2044,
  [2470] = 2045,
  [2471] = 2046,
  [2472] = 2047,
  [2473] = 2048,
  [2474] = 2049,
  [2475] = 2037,
  [2476] = 2050,
  [2477] = 2040,
  [2478] = 2041,
  [2479] = 2042,
  [2480] = 2043,
  [2481] = 2044,
  [2482] = 2045,
  [2483] = 2046,
  [2484] = 2047,
  [2485] = 2048,
  [2486] = 2049,
  [2487] = 2050,
  [2488] = 2038,
  [2489] = 2038,
  [2490] = 2037,
  [2491] = 2057,
  [2492] = 2037,
  [2493] = 2038,
  [2494] = 2040,
  [2495] = 2041,
  [2496] = 2042,
  [2497] = 2043,
  [2498] = 2044,
  [2499] = 2045,
  [2500] = 2046,
  [2501] = 2037,
  [2502] = 2047,
  [2503] = 2040,
  [2504] = 2041,
  [2505] = 2042,
  [2506] = 2043,
  [2507] = 2044,
  [2508] = 2045,
  [2509] = 2046,
  [2510] = 2047,
  [2511] = 2048,
  [2512] = 2049,
  [2513] = 2050,
  [2514] = 2048,
  [2515] = 2049,
  [2516] = 2050,
  [2517] = 2044,
  [2518] = 2038,
  [2519] = 2040,
  [2520] = 2038,
  [2521] = 2045,
  [2522] = 2037,
  [2523] = 2041,
  [2524] = 2057,
  [2525] = 2040,
  [2526] = 2042,
  [2527] = 2041,
  [2528] = 2042,
  [2529] = 2043,
  [2530] = 2044,
  [2531] = 2045,
  [2532] = 2046,
  [2533] = 2047,
  [2534] = 2048,
  [2535] = 2049,
  [2536] = 2050,
  [2537] = 2037,
  [2538] = 2040,
  [2539] = 2041,
  [2540] = 2042,
  [2541] = 2043,
  [2542] = 2044,
  [2543] = 2045,
  [2544] = 2046,
  [2545] = 2047,
  [2546] = 2048,
  [2547] = 2049,
  [2548] = 2050,
  [2549] = 2043,
  [2550] = 2044,
  [2551] = 2045,
  [2552] = 2046,
  [2553] = 2038,
  [2554] = 2047,
  [2555] = 2038,
  [2556] = 2048,
  [2557] = 2037,
  [2558] = 2049,
  [2559] = 2040,
  [2560] = 2057,
  [2561] = 2050,
  [2562] = 2041,
  [2563] = 2042,
  [2564] = 2043,
  [2565] = 2044,
  [2566] = 2045,
  [2567] = 2046,
  [2568] = 2047,
  [2569] = 2037,
  [2570] = 2048,
  [2571] = 2040,
  [2572] = 2041,
  [2573] = 2042,
  [2574] = 2043,
  [2575] = 2044,
  [2576] = 2045,
  [2577] = 2046,
  [2578] = 2047,
  [2579] = 2048,
  [2580] = 2049,
  [2581] = 2050,
  [2582] = 2049,
  [2583] = 2050,
  [2584] = 2046,
  [2585] = 2047,
  [2586] = 2038,
  [2587] = 2038,
  [2588] = 2037,
  [2589] = 2048,
  [2590] = 2057,
  [2591] = 2040,
  [2592] = 2041,
  [2593] = 2042,
  [2594] = 2043,
  [2595] = 2044,
  [2596] = 2045,
  [2597] = 2046,
  [2598] = 2037,
  [2599] = 2047,
  [2600] = 2040,
  [2601] = 2041,
  [2602] = 2042,
  [2603] = 2043,
  [2604] = 2044,
  [2605] = 2045,
  [2606] = 2046,
  [2607] = 2047,
  [2608] = 2048,
  [2609] = 2049,
  [2610] = 2050,
  [2611] = 2048,
  [2612] = 2049,
  [2613] = 2050,
  [2614] = 2049,
  [2615] = 2050,
  [2616] = 2038,
  [2617] = 2038,
  [2618] = 2037,
  [2619] = 2335,
  [2620] = 2057,
  [2621] = 2040,
  [2622] = 2038,
  [2623] = 2041,
  [2624] = 2042,
  [2625] = 2043,
  [2626] = 2044,
  [2627] = 2045,
  [2628] = 2037,
  [2629] = 2046,
  [2630] = 2040,
  [2631] = 2041,
  [2632] = 2042,
  [2633] = 2043,
  [2634] = 2044,
  [2635] = 2045,
  [2636] = 2046,
  [2637] = 2047,
  [2638] = 2048,
  [2639] = 2049,
  [2640] = 2050,
  [2641] = 2047,
  [2642] = 2048,
  [2643] = 2049,
  [2644] = 2050,
  [2645] = 2038,
  [2646] = 2038,
  [2647] = 2057,
  [2648] = 2037,
  [2649] = 2040,
  [2650] = 2041,
  [2651] = 2042,
  [2652] = 2043,
  [2653] = 2044,
  [2654] = 2045,
  [2655] = 2046,
  [2656] = 2047,
  [2657] = 2048,
  [2658] = 2049,
  [2659] = 2050,
  [2660] = 2038,
  [2661] = 2037,
  [2662] = 1820,
  [2663] = 2057,
  [2664] = 2040,
  [2665] = 2037,
  [2666] = 2040,
  [2667] = 2041,
  [2668] = 2042,
  [2669] = 2043,
  [2670] = 2044,
  [2671] = 2045,
  [2672] = 2046,
  [2673] = 2047,
  [2674] = 2048,
  [2675] = 2049,
  [2676] = 2050,
  [2677] = 2041,
  [2678] = 2042,
  [2679] = 2038,
  [2680] = 1735,
  [2681] = 2057,
  [2682] = 2043,
  [2683] = 2044,
  [2684] = 2045,
  [2685] = 2037,
  [2686] = 2046,
  [2687] = 2040,
  [2688] = 2041,
  [2689] = 2042,
  [2690] = 2043,
  [2691] = 2044,
  [2692] = 2045,
  [2693] = 2046,
  [2694] = 2047,
  [2695] = 2048,
  [2696] = 2049,
  [2697] = 2050,
  [2698] = 2038,
  [2699] = 2047,
  [2700] = 2048,
  [2701] = 2057,
  [2702] = 1820,
  [2703] = 2049,
  [2704] = 2050,
  [2705] = 2037,
  [2706] = 2040,
  [2707] = 2041,
  [2708] = 2042,
  [2709] = 2043,
  [2710] = 2044,
  [2711] = 2045,
  [2712] = 2046,
  [2713] = 2047,
  [2714] = 2048,
  [2715] = 2049,
  [2716] = 2050,
  [2717] = 1820,
  [2718] = 2038,
  [2719] = 2057,
  [2720] = 2037,
  [2721] = 2040,
  [2722] = 2041,
  [2723] = 2042,
  [2724] = 2043,
  [2725] = 2044,
  [2726] = 2045,
  [2727] = 2046,
  [2728] = 2047,
  [2729] = 2048,
  [2730] = 2049,
  [2731] = 2050,
  [2732] = 2038,
  [2733] = 2057,
  [2734] = 2037,
  [2735] = 2040,
  [2736] = 2041,
  [2737] = 2042,
  [2738] = 2043,
  [2739] = 2044,
  [2740] = 2045,
  [2741] = 2046,
  [2742] = 2047,
  [2743] = 2048,
  [2744] = 2049,
  [2745] = 2050,
  [2746] = 2038,
  [2747] = 2057,
  [2748] = 2037,
  [2749] = 2040,
  [2750] = 2041,
  [2751] = 2042,
  [2752] = 2043,
  [2753] = 2044,
  [2754] = 2045,
  [2755] = 2046,
  [2756] = 2047,
  [2757] = 2048,
  [2758] = 2049,
  [2759] = 2050,
  [2760] = 2042,
  [2761] = 1820,
  [2762] = 1820,
  [2763] = 1735,
  [2764] = 1735,
  [2765] = 1820,
  [2766] = 1735,
  [2767] = 1820,
  [2768] = 1820,
  [2769] = 1735,
  [2770] = 1735,
  [2771] = 1735,
  [2772] = 1820,
  [2773] = 1820,
  [2774] = 1735,
  [2775] = 1820,
  [2776] = 1735,
  [2777] = 1735,
  [2778] = 1820,
  [2779] = 359,
  [2780] = 359,
  [2781] = 359,
  [2782] = 359,
  [2783] = 1820,
  [2784] = 359,
  [2785] = 1735,
  [2786] = 1820,
  [2787] = 1735,
  [2788] = 359,
  [2789] = 1820,
  [2790] = 1735,
  [2791] = 1735,
  [2792] = 2792,
  [2793] = 1735,
  [2794] = 1820,
  [2795] = 359,
  [2796] = 1820,
  [2797] = 2797,
  [2798] = 2798,
  [2799] = 2798,
  [2800] = 2797,
  [2801] = 1820,
  [2802] = 2798,
  [2803] = 2792,
  [2804] = 2798,
  [2805] = 1735,
  [2806] = 2798,
  [2807] = 2797,
  [2808] = 2798,
  [2809] = 2798,
  [2810] = 2798,
  [2811] = 2792,
  [2812] = 359,
  [2813] = 2797,
  [2814] = 359,
  [2815] = 2792,
  [2816] = 359,
  [2817] = 2817,
  [2818] = 2817,
  [2819] = 2819,
  [2820] = 2817,
  [2821] = 359,
  [2822] = 359,
  [2823] = 1820,
  [2824] = 359,
  [2825] = 2819,
  [2826] = 359,
  [2827] = 2819,
  [2828] = 2819,
  [2829] = 2819,
  [2830] = 2819,
  [2831] = 359,
  [2832] = 1735,
  [2833] = 2817,
  [2834] = 2834,
  [2835] = 1735,
  [2836] = 359,
  [2837] = 359,
  [2838] = 359,
  [2839] = 1820,
  [2840] = 2834,
  [2841] = 359,
  [2842] = 2834,
  [2843] = 359,
  [2844] = 2844,
  [2845] = 2834,
  [2846] = 2846,
  [2847] = 1735,
  [2848] = 2844,
  [2849] = 1735,
  [2850] = 2834,
  [2851] = 1735,
  [2852] = 2846,
  [2853] = 2846,
  [2854] = 1735,
  [2855] = 2844,
  [2856] = 2834,
  [2857] = 1820,
  [2858] = 1820,
  [2859] = 1820,
  [2860] = 1735,
  [2861] = 1820,
  [2862] = 1820,
  [2863] = 1735,
  [2864] = 1735,
  [2865] = 1820,
  [2866] = 1735,
  [2867] = 1735,
  [2868] = 1735,
  [2869] = 1820,
  [2870] = 1735,
  [2871] = 2844,
  [2872] = 1735,
  [2873] = 2846,
  [2874] = 1820,
  [2875] = 2846,
  [2876] = 1735,
  [2877] = 1820,
  [2878] = 1820,
  [2879] = 2844,
  [2880] = 1820,
  [2881] = 1735,
  [2882] = 1820,
  [2883] = 1735,
  [2884] = 1735,
  [2885] = 1735,
  [2886] = 2886,
  [2887] = 2886,
  [2888] = 2886,
  [2889] = 2886,
  [2890] = 2886,
  [2891] = 2886,
  [2892] = 2886,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 2893,
  [2896] = 2896,
  [2897] = 2897,
  [2898] = 2898,
  [2899] = 2899,
  [2900] = 2900,
  [2901] = 2901,
  [2902] = 2902,
  [2903] = 2903,
  [2904] = 2894,
  [2905] = 2896,
  [2906] = 2901,
  [2907] = 2896,
  [2908] = 2894,
  [2909] = 1735,
  [2910] = 2893,
  [2911] = 2897,
  [2912] = 2903,
  [2913] = 2900,
  [2914] = 2899,
  [2915] = 2846,
  [2916] = 2898,
  [2917] = 2898,
  [2918] = 2899,
  [2919] = 2901,
  [2920] = 2897,
  [2921] = 2844,
  [2922] = 2902,
  [2923] = 2903,
  [2924] = 2900,
  [2925] = 2902,
  [2926] = 2926,
  [2927] = 2899,
  [2928] = 2897,
  [2929] = 2901,
  [2930] = 2896,
  [2931] = 2899,
  [2932] = 2897,
  [2933] = 2902,
  [2934] = 2896,
  [2935] = 2894,
  [2936] = 2893,
  [2937] = 2898,
  [2938] = 2900,
  [2939] = 2903,
  [2940] = 2900,
  [2941] = 2903,
  [2942] = 2942,
  [2943] = 2943,
  [2944] = 2901,
  [2945] = 2894,
  [2946] = 2902,
  [2947] = 2898,
  [2948] = 2893,
  [2949] = 2943,
  [2950] = 2926,
  [2951] = 2943,
  [2952] = 2797,
  [2953] = 2926,
  [2954] = 2943,
  [2955] = 2942,
  [2956] = 2792,
  [2957] = 2942,
  [2958] = 2958,
  [2959] = 2958,
  [2960] = 2958,
  [2961] = 2958,
  [2962] = 2958,
  [2963] = 2958,
  [2964] = 2958,
  [2965] = 2958,
  [2966] = 2958,
  [2967] = 2958,
  [2968] = 2958,
  [2969] = 2958,
  [2970] = 2958,
  [2971] = 2958,
  [2972] = 2958,
  [2973] = 2958,
  [2974] = 2958,
  [2975] = 2958,
  [2976] = 2958,
  [2977] = 2958,
  [2978] = 2958,
  [2979] = 2979,
  [2980] = 2958,
  [2981] = 2958,
  [2982] = 2958,
  [2983] = 2958,
  [2984] = 2958,
  [2985] = 2958,
  [2986] = 2958,
  [2987] = 2958,
  [2988] = 2958,
  [2989] = 2958,
  [2990] = 2958,
  [2991] = 2991,
  [2992] = 2958,
  [2993] = 2958,
  [2994] = 2958,
  [2995] = 2958,
  [2996] = 2958,
  [2997] = 2958,
  [2998] = 2958,
  [2999] = 2999,
  [3000] = 3000,
  [3001] = 2958,
  [3002] = 2958,
  [3003] = 2958,
  [3004] = 2958,
  [3005] = 2958,
  [3006] = 2958,
  [3007] = 2958,
  [3008] = 2958,
  [3009] = 3009,
  [3010] = 2958,
  [3011] = 3011,
  [3012] = 2958,
  [3013] = 2958,
  [3014] = 3014,
  [3015] = 3014,
  [3016] = 3014,
  [3017] = 3014,
  [3018] = 3014,
  [3019] = 3014,
  [3020] = 3014,
  [3021] = 3014,
  [3022] = 3014,
  [3023] = 3014,
  [3024] = 3014,
  [3025] = 3014,
  [3026] = 3014,
  [3027] = 3014,
  [3028] = 3014,
  [3029] = 3014,
  [3030] = 3014,
  [3031] = 3014,
  [3032] = 3014,
  [3033] = 3014,
  [3034] = 3014,
  [3035] = 3014,
  [3036] = 3014,
  [3037] = 3014,
  [3038] = 3014,
  [3039] = 3014,
  [3040] = 3014,
  [3041] = 3014,
  [3042] = 3014,
  [3043] = 3014,
  [3044] = 3014,
  [3045] = 3014,
  [3046] = 2834,
  [3047] = 3014,
  [3048] = 3014,
  [3049] = 3014,
  [3050] = 3014,
  [3051] = 3014,
  [3052] = 3014,
  [3053] = 3014,
  [3054] = 3014,
  [3055] = 3014,
  [3056] = 3014,
  [3057] = 3014,
  [3058] = 3014,
  [3059] = 3014,
  [3060] = 3014,
  [3061] = 3014,
  [3062] = 3014,
  [3063] = 3014,
  [3064] = 3014,
  [3065] = 3014,
  [3066] = 3014,
  [3067] = 3014,
  [3068] = 3014,
  [3069] = 3014,
  [3070] = 3070,
  [3071] = 3071,
  [3072] = 3070,
  [3073] = 3071,
  [3074] = 3074,
  [3075] = 3075,
  [3076] = 3074,
  [3077] = 3075,
  [3078] = 3078,
  [3079] = 3078,
  [3080] = 3071,
  [3081] = 3070,
  [3082] = 3074,
  [3083] = 3071,
  [3084] = 3070,
  [3085] = 3071,
  [3086] = 3074,
  [3087] = 3075,
  [3088] = 3074,
  [3089] = 3075,
  [3090] = 3074,
  [3091] = 3078,
  [3092] = 3071,
  [3093] = 3070,
  [3094] = 3074,
  [3095] = 3075,
  [3096] = 3078,
  [3097] = 3071,
  [3098] = 3070,
  [3099] = 3078,
  [3100] = 3074,
  [3101] = 3075,
  [3102] = 3071,
  [3103] = 3070,
  [3104] = 3078,
  [3105] = 3071,
  [3106] = 3070,
  [3107] = 3074,
  [3108] = 3075,
  [3109] = 3074,
  [3110] = 3075,
  [3111] = 3070,
  [3112] = 3078,
  [3113] = 3071,
  [3114] = 3070,
  [3115] = 3078,
  [3116] = 3075,
  [3117] = 3074,
  [3118] = 3075,
  [3119] = 3071,
  [3120] = 3070,
  [3121] = 3074,
  [3122] = 3075,
  [3123] = 3078,
  [3124] = 3078,
  [3125] = 3071,
  [3126] = 3070,
  [3127] = 3074,
  [3128] = 3075,
  [3129] = 3078,
  [3130] = 3078,
  [3131] = 3074,
  [3132] = 3071,
  [3133] = 1735,
  [3134] = 3070,
  [3135] = 3078,
  [3136] = 3071,
  [3137] = 3074,
  [3138] = 3075,
  [3139] = 3070,
  [3140] = 3078,
  [3141] = 3074,
  [3142] = 3078,
  [3143] = 3075,
  [3144] = 3071,
  [3145] = 3070,
  [3146] = 3071,
  [3147] = 3071,
  [3148] = 3070,
  [3149] = 3074,
  [3150] = 3075,
  [3151] = 3070,
  [3152] = 3074,
  [3153] = 3075,
  [3154] = 3074,
  [3155] = 3075,
  [3156] = 3078,
  [3157] = 3071,
  [3158] = 3070,
  [3159] = 3074,
  [3160] = 3075,
  [3161] = 3078,
  [3162] = 3071,
  [3163] = 3070,
  [3164] = 3078,
  [3165] = 3074,
  [3166] = 3075,
  [3167] = 3078,
  [3168] = 3071,
  [3169] = 3078,
  [3170] = 3071,
  [3171] = 3070,
  [3172] = 3070,
  [3173] = 3071,
  [3174] = 3074,
  [3175] = 3075,
  [3176] = 3070,
  [3177] = 3074,
  [3178] = 3075,
  [3179] = 3074,
  [3180] = 3075,
  [3181] = 3071,
  [3182] = 3078,
  [3183] = 3071,
  [3184] = 3070,
  [3185] = 3070,
  [3186] = 3074,
  [3187] = 3075,
  [3188] = 3075,
  [3189] = 2846,
  [3190] = 3078,
  [3191] = 3078,
  [3192] = 3071,
  [3193] = 3070,
  [3194] = 3074,
  [3195] = 3075,
  [3196] = 3071,
  [3197] = 3070,
  [3198] = 3074,
  [3199] = 3075,
  [3200] = 3078,
  [3201] = 3201,
  [3202] = 3078,
  [3203] = 3071,
  [3204] = 2844,
  [3205] = 3078,
  [3206] = 3070,
  [3207] = 3071,
  [3208] = 3070,
  [3209] = 3071,
  [3210] = 3070,
  [3211] = 3074,
  [3212] = 3075,
  [3213] = 3074,
  [3214] = 3075,
  [3215] = 3078,
  [3216] = 3071,
  [3217] = 3070,
  [3218] = 3074,
  [3219] = 3075,
  [3220] = 3074,
  [3221] = 3075,
  [3222] = 3078,
  [3223] = 3078,
  [3224] = 3078,
  [3225] = 3071,
  [3226] = 3070,
  [3227] = 3071,
  [3228] = 3070,
  [3229] = 3074,
  [3230] = 3075,
  [3231] = 3074,
  [3232] = 3075,
  [3233] = 3078,
  [3234] = 3071,
  [3235] = 3070,
  [3236] = 3074,
  [3237] = 3075,
  [3238] = 3078,
  [3239] = 3071,
  [3240] = 3070,
  [3241] = 3078,
  [3242] = 3074,
  [3243] = 3071,
  [3244] = 3070,
  [3245] = 3075,
  [3246] = 3074,
  [3247] = 3075,
  [3248] = 3071,
  [3249] = 3070,
  [3250] = 3078,
  [3251] = 3071,
  [3252] = 3070,
  [3253] = 3074,
  [3254] = 3075,
  [3255] = 3074,
  [3256] = 3075,
  [3257] = 3078,
  [3258] = 3078,
  [3259] = 3078,
  [3260] = 3071,
  [3261] = 3070,
  [3262] = 3074,
  [3263] = 3075,
  [3264] = 3071,
  [3265] = 3070,
  [3266] = 3078,
  [3267] = 3074,
  [3268] = 3075,
  [3269] = 3071,
  [3270] = 3078,
  [3271] = 3078,
  [3272] = 3070,
  [3273] = 3078,
  [3274] = 3071,
  [3275] = 3070,
  [3276] = 3071,
  [3277] = 3074,
  [3278] = 3075,
  [3279] = 3071,
  [3280] = 3070,
  [3281] = 3071,
  [3282] = 3070,
  [3283] = 3074,
  [3284] = 3075,
  [3285] = 3070,
  [3286] = 3074,
  [3287] = 3078,
  [3288] = 3075,
  [3289] = 3071,
  [3290] = 3070,
  [3291] = 3074,
  [3292] = 3075,
  [3293] = 3074,
  [3294] = 3078,
  [3295] = 3075,
  [3296] = 3071,
  [3297] = 3070,
  [3298] = 3078,
  [3299] = 3071,
  [3300] = 3070,
  [3301] = 3074,
  [3302] = 3075,
  [3303] = 3074,
  [3304] = 3075,
  [3305] = 3074,
  [3306] = 3078,
  [3307] = 3078,
  [3308] = 3071,
  [3309] = 3070,
  [3310] = 3078,
  [3311] = 3074,
  [3312] = 3075,
  [3313] = 3071,
  [3314] = 3070,
  [3315] = 3074,
  [3316] = 3075,
  [3317] = 3078,
  [3318] = 3078,
  [3319] = 3075,
  [3320] = 3078,
  [3321] = 3071,
  [3322] = 3070,
  [3323] = 3075,
  [3324] = 3324,
  [3325] = 3324,
  [3326] = 3324,
  [3327] = 3327,
  [3328] = 3324,
  [3329] = 3324,
  [3330] = 3330,
  [3331] = 3331,
  [3332] = 3332,
  [3333] = 3333,
  [3334] = 3331,
  [3335] = 3330,
  [3336] = 3336,
  [3337] = 3333,
  [3338] = 3336,
  [3339] = 3332,
  [3340] = 3340,
  [3341] = 3331,
  [3342] = 3324,
  [3343] = 3343,
  [3344] = 3344,
  [3345] = 3330,
  [3346] = 3332,
  [3347] = 3347,
  [3348] = 2926,
  [3349] = 3340,
  [3350] = 3350,
  [3351] = 3347,
  [3352] = 3340,
  [3353] = 3344,
  [3354] = 3327,
  [3355] = 3350,
  [3356] = 3356,
  [3357] = 3324,
  [3358] = 3343,
  [3359] = 3359,
  [3360] = 3350,
  [3361] = 3359,
  [3362] = 3336,
  [3363] = 3324,
  [3364] = 3333,
  [3365] = 3324,
  [3366] = 3344,
  [3367] = 3356,
  [3368] = 3324,
  [3369] = 3356,
  [3370] = 3359,
  [3371] = 3336,
  [3372] = 2943,
  [3373] = 3347,
  [3374] = 3327,
  [3375] = 3343,
  [3376] = 3376,
  [3377] = 3377,
  [3378] = 3378,
  [3379] = 3350,
  [3380] = 3380,
  [3381] = 3381,
  [3382] = 3382,
  [3383] = 3383,
  [3384] = 3384,
  [3385] = 3385,
  [3386] = 3386,
  [3387] = 3387,
  [3388] = 3377,
  [3389] = 3331,
  [3390] = 3330,
  [3391] = 3391,
  [3392] = 3332,
  [3393] = 3393,
  [3394] = 3394,
  [3395] = 3395,
  [3396] = 3343,
  [3397] = 3340,
  [3398] = 3350,
  [3399] = 3377,
  [3400] = 3400,
  [3401] = 3377,
  [3402] = 3400,
  [3403] = 3403,
  [3404] = 3386,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 3407,
  [3408] = 3408,
  [3409] = 3377,
  [3410] = 3376,
  [3411] = 3406,
  [3412] = 3376,
  [3413] = 3403,
  [3414] = 3414,
  [3415] = 3415,
  [3416] = 3416,
  [3417] = 3344,
  [3418] = 3418,
  [3419] = 3377,
  [3420] = 3420,
  [3421] = 3421,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 3356,
  [3425] = 3425,
  [3426] = 3415,
  [3427] = 3427,
  [3428] = 3344,
  [3429] = 3377,
  [3430] = 3356,
  [3431] = 3431,
  [3432] = 3344,
  [3433] = 3433,
  [3434] = 3434,
  [3435] = 3435,
  [3436] = 3436,
  [3437] = 3377,
  [3438] = 3386,
  [3439] = 3377,
  [3440] = 3340,
  [3441] = 3377,
  [3442] = 3433,
  [3443] = 3425,
  [3444] = 3444,
  [3445] = 3445,
  [3446] = 3446,
  [3447] = 3386,
  [3448] = 3448,
  [3449] = 3377,
  [3450] = 3386,
  [3451] = 3377,
  [3452] = 3403,
  [3453] = 3384,
  [3454] = 3454,
  [3455] = 3455,
  [3456] = 3456,
  [3457] = 3403,
  [3458] = 3356,
  [3459] = 3377,
  [3460] = 3460,
  [3461] = 3461,
  [3462] = 3403,
  [3463] = 3463,
  [3464] = 3377,
  [3465] = 3465,
  [3466] = 3434,
  [3467] = 3386,
  [3468] = 3460,
  [3469] = 3377,
  [3470] = 3461,
  [3471] = 3463,
  [3472] = 3382,
  [3473] = 3383,
  [3474] = 3474,
  [3475] = 3391,
  [3476] = 3448,
  [3477] = 3433,
  [3478] = 3474,
  [3479] = 3377,
  [3480] = 3480,
  [3481] = 3481,
  [3482] = 3445,
  [3483] = 3435,
  [3484] = 3403,
  [3485] = 3485,
  [3486] = 3446,
  [3487] = 3454,
  [3488] = 3455,
  [3489] = 3377,
  [3490] = 3490,
  [3491] = 3491,
  [3492] = 3386,
  [3493] = 3377,
  [3494] = 3494,
  [3495] = 3406,
  [3496] = 3435,
  [3497] = 3497,
  [3498] = 3394,
  [3499] = 3377,
  [3500] = 3377,
  [3501] = 3381,
  [3502] = 3502,
  [3503] = 3460,
  [3504] = 3504,
  [3505] = 3461,
  [3506] = 3382,
  [3507] = 3407,
  [3508] = 3463,
  [3509] = 3377,
  [3510] = 3408,
  [3511] = 3480,
  [3512] = 3403,
  [3513] = 3513,
  [3514] = 3481,
  [3515] = 3403,
  [3516] = 3333,
  [3517] = 3395,
  [3518] = 3474,
  [3519] = 3377,
  [3520] = 3377,
  [3521] = 3445,
  [3522] = 3421,
  [3523] = 3403,
  [3524] = 3377,
  [3525] = 3480,
  [3526] = 3481,
  [3527] = 3422,
  [3528] = 3423,
  [3529] = 3377,
  [3530] = 3494,
  [3531] = 3497,
  [3532] = 3414,
  [3533] = 3446,
  [3534] = 3502,
  [3535] = 3407,
  [3536] = 3418,
  [3537] = 3403,
  [3538] = 3377,
  [3539] = 3403,
  [3540] = 3408,
  [3541] = 3421,
  [3542] = 3422,
  [3543] = 3386,
  [3544] = 3347,
  [3545] = 3347,
  [3546] = 3546,
  [3547] = 3377,
  [3548] = 3327,
  [3549] = 3423,
  [3550] = 3327,
  [3551] = 3551,
  [3552] = 3552,
  [3553] = 3553,
  [3554] = 3386,
  [3555] = 3420,
  [3556] = 3556,
  [3557] = 3386,
  [3558] = 3551,
  [3559] = 3434,
  [3560] = 3386,
  [3561] = 3435,
  [3562] = 3552,
  [3563] = 3553,
  [3564] = 3556,
  [3565] = 3444,
  [3566] = 3403,
  [3567] = 3333,
  [3568] = 3551,
  [3569] = 3552,
  [3570] = 3377,
  [3571] = 3347,
  [3572] = 3553,
  [3573] = 3327,
  [3574] = 3436,
  [3575] = 3575,
  [3576] = 3403,
  [3577] = 3393,
  [3578] = 3350,
  [3579] = 3556,
  [3580] = 3454,
  [3581] = 3386,
  [3582] = 3377,
  [3583] = 3583,
  [3584] = 3403,
  [3585] = 3403,
  [3586] = 3377,
  [3587] = 3385,
  [3588] = 3455,
  [3589] = 3589,
  [3590] = 3377,
  [3591] = 3591,
  [3592] = 3377,
  [3593] = 3403,
  [3594] = 3377,
  [3595] = 3595,
  [3596] = 3386,
  [3597] = 3597,
  [3598] = 3434,
  [3599] = 3382,
  [3600] = 3383,
  [3601] = 3435,
  [3602] = 3380,
  [3603] = 3386,
  [3604] = 3386,
  [3605] = 3387,
  [3606] = 3386,
  [3607] = 3333,
  [3608] = 3608,
  [3609] = 3331,
  [3610] = 3330,
  [3611] = 3332,
  [3612] = 3343,
  [3613] = 3403,
  [3614] = 3340,
  [3615] = 3350,
  [3616] = 3546,
  [3617] = 3377,
  [3618] = 3406,
  [3619] = 3403,
  [3620] = 3376,
  [3621] = 2942,
  [3622] = 3383,
  [3623] = 3623,
  [3624] = 3403,
  [3625] = 3608,
  [3626] = 3626,
  [3627] = 3386,
  [3628] = 3403,
  [3629] = 3386,
  [3630] = 3630,
  [3631] = 3377,
  [3632] = 3386,
  [3633] = 3633,
  [3634] = 3403,
  [3635] = 3333,
  [3636] = 3403,
  [3637] = 3386,
  [3638] = 3377,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 3403,
  [3642] = 3642,
  [3643] = 3344,
  [3644] = 3333,
  [3645] = 3434,
  [3646] = 3356,
  [3647] = 3331,
  [3648] = 3435,
  [3649] = 3330,
  [3650] = 3332,
  [3651] = 3343,
  [3652] = 3340,
  [3653] = 3350,
  [3654] = 3386,
  [3655] = 3344,
  [3656] = 3331,
  [3657] = 3434,
  [3658] = 3626,
  [3659] = 3377,
  [3660] = 3630,
  [3661] = 3403,
  [3662] = 3330,
  [3663] = 3386,
  [3664] = 3343,
  [3665] = 3331,
  [3666] = 3330,
  [3667] = 3640,
  [3668] = 3344,
  [3669] = 3386,
  [3670] = 3356,
  [3671] = 3377,
  [3672] = 3386,
  [3673] = 3403,
  [3674] = 3377,
  [3675] = 3597,
  [3676] = 3332,
  [3677] = 3403,
  [3678] = 3386,
  [3679] = 3394,
  [3680] = 3403,
  [3681] = 3343,
  [3682] = 3382,
  [3683] = 3332,
  [3684] = 3340,
  [3685] = 3383,
  [3686] = 3382,
  [3687] = 3347,
  [3688] = 3383,
  [3689] = 3327,
  [3690] = 3386,
  [3691] = 3350,
  [3692] = 3400,
  [3693] = 3405,
  [3694] = 3589,
  [3695] = 3377,
  [3696] = 3386,
  [3697] = 3589,
  [3698] = 3386,
  [3699] = 3591,
  [3700] = 3380,
  [3701] = 3701,
  [3702] = 3425,
  [3703] = 3356,
  [3704] = 3403,
  [3705] = 3490,
  [3706] = 3706,
  [3707] = 3707,
  [3708] = 3386,
  [3709] = 3382,
  [3710] = 3377,
  [3711] = 3711,
  [3712] = 3378,
  [3713] = 3427,
  [3714] = 3431,
  [3715] = 3377,
  [3716] = 3583,
  [3717] = 3591,
  [3718] = 3491,
  [3719] = 3494,
  [3720] = 3386,
  [3721] = 3504,
  [3722] = 3406,
  [3723] = 3406,
  [3724] = 3376,
  [3725] = 3376,
  [3726] = 3377,
  [3727] = 3403,
  [3728] = 3623,
  [3729] = 3633,
  [3730] = 3434,
  [3731] = 3639,
  [3732] = 3642,
  [3733] = 3435,
  [3734] = 3706,
  [3735] = 3711,
  [3736] = 3504,
  [3737] = 3595,
  [3738] = 3597,
  [3739] = 3393,
  [3740] = 3331,
  [3741] = 3546,
  [3742] = 3456,
  [3743] = 3465,
  [3744] = 3497,
  [3745] = 3386,
  [3746] = 3403,
  [3747] = 3403,
  [3748] = 3485,
  [3749] = 3381,
  [3750] = 3395,
  [3751] = 3377,
  [3752] = 3377,
  [3753] = 3414,
  [3754] = 3418,
  [3755] = 3420,
  [3756] = 3444,
  [3757] = 2792,
  [3758] = 3403,
  [3759] = 3434,
  [3760] = 3377,
  [3761] = 3386,
  [3762] = 2797,
  [3763] = 3386,
  [3764] = 3707,
  [3765] = 3377,
  [3766] = 3595,
  [3767] = 3456,
  [3768] = 3378,
  [3769] = 3386,
  [3770] = 3405,
  [3771] = 3435,
  [3772] = 3608,
  [3773] = 3626,
  [3774] = 3630,
  [3775] = 3382,
  [3776] = 3640,
  [3777] = 3383,
  [3778] = 3386,
  [3779] = 3383,
  [3780] = 3384,
  [3781] = 3330,
  [3782] = 3332,
  [3783] = 3343,
  [3784] = 3377,
  [3785] = 3391,
  [3786] = 3427,
  [3787] = 3406,
  [3788] = 3403,
  [3789] = 3376,
  [3790] = 3416,
  [3791] = 3513,
  [3792] = 3431,
  [3793] = 3340,
  [3794] = 3415,
  [3795] = 3436,
  [3796] = 3448,
  [3797] = 3347,
  [3798] = 3403,
  [3799] = 3403,
  [3800] = 3327,
  [3801] = 3465,
  [3802] = 3583,
  [3803] = 3386,
  [3804] = 3623,
  [3805] = 3377,
  [3806] = 3633,
  [3807] = 3502,
  [3808] = 3333,
  [3809] = 3386,
  [3810] = 3575,
  [3811] = 3377,
  [3812] = 3406,
  [3813] = 3377,
  [3814] = 3639,
  [3815] = 3701,
  [3816] = 3347,
  [3817] = 3642,
  [3818] = 3711,
  [3819] = 3327,
  [3820] = 3490,
  [3821] = 3491,
  [3822] = 3376,
  [3823] = 3513,
  [3824] = 3403,
  [3825] = 3706,
  [3826] = 3575,
  [3827] = 3707,
  [3828] = 3416,
  [3829] = 3385,
  [3830] = 3485,
  [3831] = 3386,
  [3832] = 3403,
  [3833] = 3403,
  [3834] = 3387,
  [3835] = 3701,
  [3836] = 3427,
  [3837] = 3630,
  [3838] = 3640,
  [3839] = 3384,
  [3840] = 3391,
  [3841] = 3490,
  [3842] = 3513,
  [3843] = 3436,
  [3844] = 3575,
  [3845] = 3387,
  [3846] = 3394,
  [3847] = 3400,
  [3848] = 3405,
  [3849] = 3425,
  [3850] = 3415,
  [3851] = 3491,
  [3852] = 3385,
  [3853] = 3425,
  [3854] = 3333,
  [3855] = 3331,
  [3856] = 3330,
  [3857] = 3332,
  [3858] = 3343,
  [3859] = 3340,
  [3860] = 3350,
  [3861] = 3415,
  [3862] = 3862,
  [3863] = 3863,
  [3864] = 2792,
  [3865] = 2797,
  [3866] = 3866,
  [3867] = 3867,
  [3868] = 3868,
  [3869] = 3869,
  [3870] = 3344,
  [3871] = 3433,
  [3872] = 3356,
  [3873] = 3445,
  [3874] = 3446,
  [3875] = 3454,
  [3876] = 3455,
  [3877] = 3333,
  [3878] = 3331,
  [3879] = 3330,
  [3880] = 3332,
  [3881] = 3343,
  [3882] = 3340,
  [3883] = 3350,
  [3884] = 3460,
  [3885] = 3461,
  [3886] = 3463,
  [3887] = 3474,
  [3888] = 3480,
  [3889] = 3608,
  [3890] = 3481,
  [3891] = 3494,
  [3892] = 3497,
  [3893] = 3344,
  [3894] = 3433,
  [3895] = 3502,
  [3896] = 3356,
  [3897] = 3445,
  [3898] = 3446,
  [3899] = 3454,
  [3900] = 3455,
  [3901] = 3407,
  [3902] = 3408,
  [3903] = 3421,
  [3904] = 3422,
  [3905] = 3423,
  [3906] = 3460,
  [3907] = 3461,
  [3908] = 3463,
  [3909] = 3474,
  [3910] = 3480,
  [3911] = 3481,
  [3912] = 3589,
  [3913] = 3591,
  [3914] = 3380,
  [3915] = 3701,
  [3916] = 3706,
  [3917] = 3494,
  [3918] = 3707,
  [3919] = 3497,
  [3920] = 3416,
  [3921] = 3378,
  [3922] = 3427,
  [3923] = 3431,
  [3924] = 3583,
  [3925] = 3623,
  [3926] = 3633,
  [3927] = 3502,
  [3928] = 3639,
  [3929] = 3642,
  [3930] = 3711,
  [3931] = 3504,
  [3932] = 3595,
  [3933] = 3597,
  [3934] = 3393,
  [3935] = 3546,
  [3936] = 3456,
  [3937] = 3465,
  [3938] = 3485,
  [3939] = 3381,
  [3940] = 3395,
  [3941] = 3414,
  [3942] = 3418,
  [3943] = 3420,
  [3944] = 3444,
  [3945] = 3448,
  [3946] = 3608,
  [3947] = 3626,
  [3948] = 3630,
  [3949] = 3640,
  [3950] = 3384,
  [3951] = 3407,
  [3952] = 3391,
  [3953] = 3408,
  [3954] = 3421,
  [3955] = 3422,
  [3956] = 3436,
  [3957] = 3423,
  [3958] = 3490,
  [3959] = 3491,
  [3960] = 3416,
  [3961] = 3513,
  [3962] = 3551,
  [3963] = 3575,
  [3964] = 3385,
  [3965] = 3552,
  [3966] = 3553,
  [3967] = 3387,
  [3968] = 3556,
  [3969] = 3448,
  [3970] = 3394,
  [3971] = 3400,
  [3972] = 3405,
  [3973] = 3589,
  [3974] = 3425,
  [3975] = 3591,
  [3976] = 3380,
  [3977] = 3701,
  [3978] = 3706,
  [3979] = 3707,
  [3980] = 3416,
  [3981] = 3378,
  [3982] = 3431,
  [3983] = 3583,
  [3984] = 3623,
  [3985] = 3633,
  [3986] = 3639,
  [3987] = 3642,
  [3988] = 3711,
  [3989] = 3504,
  [3990] = 3595,
  [3991] = 3597,
  [3992] = 3393,
  [3993] = 3546,
  [3994] = 3456,
  [3995] = 3465,
  [3996] = 3485,
  [3997] = 3381,
  [3998] = 3395,
  [3999] = 3414,
  [4000] = 3418,
  [4001] = 3420,
  [4002] = 3444,
  [4003] = 3448,
  [4004] = 3608,
  [4005] = 3626,
  [4006] = 3630,
  [4007] = 3640,
  [4008] = 3384,
  [4009] = 3589,
  [4010] = 3391,
  [4011] = 3415,
  [4012] = 3591,
  [4013] = 3380,
  [4014] = 3701,
  [4015] = 3706,
  [4016] = 3707,
  [4017] = 3378,
  [4018] = 3427,
  [4019] = 3431,
  [4020] = 3583,
  [4021] = 3623,
  [4022] = 3633,
  [4023] = 3639,
  [4024] = 3642,
  [4025] = 3711,
  [4026] = 3436,
  [4027] = 3504,
  [4028] = 3595,
  [4029] = 3597,
  [4030] = 3393,
  [4031] = 3546,
  [4032] = 3456,
  [4033] = 3465,
  [4034] = 3485,
  [4035] = 3381,
  [4036] = 3395,
  [4037] = 3414,
  [4038] = 3418,
  [4039] = 3420,
  [4040] = 3444,
  [4041] = 3608,
  [4042] = 3626,
  [4043] = 3630,
  [4044] = 3640,
  [4045] = 3384,
  [4046] = 3391,
  [4047] = 3490,
  [4048] = 3491,
  [4049] = 3513,
  [4050] = 3551,
  [4051] = 3436,
  [4052] = 3575,
  [4053] = 3385,
  [4054] = 3552,
  [4055] = 3553,
  [4056] = 3387,
  [4057] = 3556,
  [4058] = 3394,
  [4059] = 3400,
  [4060] = 3405,
  [4061] = 3490,
  [4062] = 3491,
  [4063] = 3513,
  [4064] = 3575,
  [4065] = 3385,
  [4066] = 3387,
  [4067] = 3394,
  [4068] = 3400,
  [4069] = 3405,
  [4070] = 3425,
  [4071] = 3415,
  [4072] = 3425,
  [4073] = 3415,
  [4074] = 3433,
  [4075] = 3445,
  [4076] = 3446,
  [4077] = 3454,
  [4078] = 3455,
  [4079] = 3460,
  [4080] = 3461,
  [4081] = 3463,
  [4082] = 3474,
  [4083] = 3480,
  [4084] = 3481,
  [4085] = 3494,
  [4086] = 3497,
  [4087] = 3502,
  [4088] = 3407,
  [4089] = 3408,
  [4090] = 3421,
  [4091] = 3433,
  [4092] = 3422,
  [4093] = 3423,
  [4094] = 3445,
  [4095] = 3446,
  [4096] = 3454,
  [4097] = 3455,
  [4098] = 3433,
  [4099] = 3445,
  [4100] = 3446,
  [4101] = 3454,
  [4102] = 3455,
  [4103] = 3460,
  [4104] = 3461,
  [4105] = 3463,
  [4106] = 3474,
  [4107] = 3480,
  [4108] = 3481,
  [4109] = 3460,
  [4110] = 3461,
  [4111] = 3463,
  [4112] = 3474,
  [4113] = 3494,
  [4114] = 3497,
  [4115] = 3480,
  [4116] = 3626,
  [4117] = 3502,
  [4118] = 3407,
  [4119] = 3408,
  [4120] = 3494,
  [4121] = 3497,
  [4122] = 3421,
  [4123] = 3502,
  [4124] = 3422,
  [4125] = 3423,
  [4126] = 3407,
  [4127] = 3408,
  [4128] = 3421,
  [4129] = 3422,
  [4130] = 3423,
  [4131] = 3551,
  [4132] = 3552,
  [4133] = 3553,
  [4134] = 3556,
  [4135] = 3551,
  [4136] = 3552,
  [4137] = 3553,
  [4138] = 3556,
  [4139] = 3551,
  [4140] = 3552,
  [4141] = 3553,
  [4142] = 3556,
  [4143] = 3862,
  [4144] = 3863,
  [4145] = 3866,
  [4146] = 3867,
  [4147] = 3868,
  [4148] = 3869,
  [4149] = 4149,
  [4150] = 4150,
  [4151] = 3863,
  [4152] = 3869,
  [4153] = 4153,
  [4154] = 4154,
  [4155] = 4149,
  [4156] = 3416,
  [4157] = 3448,
  [4158] = 3589,
  [4159] = 3591,
  [4160] = 3380,
  [4161] = 3701,
  [4162] = 3706,
  [4163] = 3707,
  [4164] = 3378,
  [4165] = 3427,
  [4166] = 3431,
  [4167] = 3583,
  [4168] = 3623,
  [4169] = 3633,
  [4170] = 3639,
  [4171] = 3642,
  [4172] = 3711,
  [4173] = 3504,
  [4174] = 3595,
  [4175] = 3597,
  [4176] = 3393,
  [4177] = 3546,
  [4178] = 3456,
  [4179] = 3465,
  [4180] = 3485,
  [4181] = 3381,
  [4182] = 3395,
  [4183] = 3414,
  [4184] = 3418,
  [4185] = 3420,
  [4186] = 3444,
  [4187] = 3608,
  [4188] = 3626,
  [4189] = 3630,
  [4190] = 3640,
  [4191] = 3384,
  [4192] = 3391,
  [4193] = 3490,
  [4194] = 2792,
  [4195] = 2797,
  [4196] = 3513,
  [4197] = 3436,
  [4198] = 3575,
  [4199] = 3387,
  [4200] = 3394,
  [4201] = 3400,
  [4202] = 3405,
  [4203] = 3425,
  [4204] = 3491,
  [4205] = 3385,
  [4206] = 3415,
  [4207] = 4207,
  [4208] = 3433,
  [4209] = 3445,
  [4210] = 3446,
  [4211] = 3454,
  [4212] = 3455,
  [4213] = 4213,
  [4214] = 3460,
  [4215] = 3461,
  [4216] = 3463,
  [4217] = 3474,
  [4218] = 3494,
  [4219] = 3480,
  [4220] = 3481,
  [4221] = 3502,
  [4222] = 3407,
  [4223] = 3408,
  [4224] = 3497,
  [4225] = 3422,
  [4226] = 3423,
  [4227] = 3347,
  [4228] = 3327,
  [4229] = 3421,
  [4230] = 3551,
  [4231] = 3552,
  [4232] = 3553,
  [4233] = 3556,
  [4234] = 4234,
  [4235] = 3416,
  [4236] = 3333,
  [4237] = 4234,
  [4238] = 4207,
  [4239] = 4213,
  [4240] = 3862,
  [4241] = 3863,
  [4242] = 3866,
  [4243] = 3867,
  [4244] = 3868,
  [4245] = 3869,
  [4246] = 3448,
  [4247] = 3331,
  [4248] = 3330,
  [4249] = 3332,
  [4250] = 4234,
  [4251] = 4207,
  [4252] = 4213,
  [4253] = 3343,
  [4254] = 3340,
  [4255] = 3350,
  [4256] = 4234,
  [4257] = 4207,
  [4258] = 4213,
  [4259] = 4234,
  [4260] = 3589,
  [4261] = 4207,
  [4262] = 4213,
  [4263] = 3347,
  [4264] = 4234,
  [4265] = 3327,
  [4266] = 4207,
  [4267] = 4213,
  [4268] = 4234,
  [4269] = 3591,
  [4270] = 4207,
  [4271] = 4213,
  [4272] = 3380,
  [4273] = 3701,
  [4274] = 4234,
  [4275] = 3706,
  [4276] = 4213,
  [4277] = 3707,
  [4278] = 4234,
  [4279] = 4213,
  [4280] = 4234,
  [4281] = 3378,
  [4282] = 3427,
  [4283] = 4213,
  [4284] = 3431,
  [4285] = 3583,
  [4286] = 4234,
  [4287] = 3623,
  [4288] = 3633,
  [4289] = 4213,
  [4290] = 4234,
  [4291] = 3639,
  [4292] = 3642,
  [4293] = 4213,
  [4294] = 3711,
  [4295] = 4234,
  [4296] = 3504,
  [4297] = 4213,
  [4298] = 3595,
  [4299] = 3597,
  [4300] = 3393,
  [4301] = 4234,
  [4302] = 3546,
  [4303] = 4213,
  [4304] = 3456,
  [4305] = 3465,
  [4306] = 3485,
  [4307] = 4234,
  [4308] = 3381,
  [4309] = 3395,
  [4310] = 4213,
  [4311] = 3414,
  [4312] = 3418,
  [4313] = 3420,
  [4314] = 4234,
  [4315] = 3444,
  [4316] = 4213,
  [4317] = 3608,
  [4318] = 4234,
  [4319] = 3626,
  [4320] = 4213,
  [4321] = 3630,
  [4322] = 3640,
  [4323] = 4234,
  [4324] = 4213,
  [4325] = 3384,
  [4326] = 4234,
  [4327] = 4213,
  [4328] = 4234,
  [4329] = 4213,
  [4330] = 4234,
  [4331] = 4213,
  [4332] = 3391,
  [4333] = 4234,
  [4334] = 4213,
  [4335] = 3490,
  [4336] = 4234,
  [4337] = 4213,
  [4338] = 4234,
  [4339] = 4213,
  [4340] = 3344,
  [4341] = 4234,
  [4342] = 4213,
  [4343] = 4234,
  [4344] = 3513,
  [4345] = 4213,
  [4346] = 4234,
  [4347] = 4213,
  [4348] = 4234,
  [4349] = 4213,
  [4350] = 3436,
  [4351] = 4234,
  [4352] = 4213,
  [4353] = 4234,
  [4354] = 3575,
  [4355] = 4213,
  [4356] = 4234,
  [4357] = 4213,
  [4358] = 3356,
  [4359] = 4234,
  [4360] = 4213,
  [4361] = 3387,
  [4362] = 4234,
  [4363] = 4213,
  [4364] = 4234,
  [4365] = 4213,
  [4366] = 4234,
  [4367] = 4213,
  [4368] = 3394,
  [4369] = 4234,
  [4370] = 4213,
  [4371] = 3400,
  [4372] = 4234,
  [4373] = 3405,
  [4374] = 4213,
  [4375] = 3589,
  [4376] = 4234,
  [4377] = 3347,
  [4378] = 4213,
  [4379] = 3327,
  [4380] = 4234,
  [4381] = 4213,
  [4382] = 4234,
  [4383] = 3591,
  [4384] = 4213,
  [4385] = 3380,
  [4386] = 3491,
  [4387] = 4234,
  [4388] = 3701,
  [4389] = 3706,
  [4390] = 4213,
  [4391] = 3707,
  [4392] = 4234,
  [4393] = 3416,
  [4394] = 4213,
  [4395] = 4234,
  [4396] = 3378,
  [4397] = 4213,
  [4398] = 3427,
  [4399] = 3431,
  [4400] = 4234,
  [4401] = 3583,
  [4402] = 4213,
  [4403] = 3623,
  [4404] = 3633,
  [4405] = 4234,
  [4406] = 4213,
  [4407] = 3639,
  [4408] = 4234,
  [4409] = 3642,
  [4410] = 4213,
  [4411] = 3711,
  [4412] = 4234,
  [4413] = 3504,
  [4414] = 4213,
  [4415] = 3595,
  [4416] = 3597,
  [4417] = 3393,
  [4418] = 4234,
  [4419] = 3546,
  [4420] = 4213,
  [4421] = 3385,
  [4422] = 3456,
  [4423] = 3465,
  [4424] = 4234,
  [4425] = 4213,
  [4426] = 3485,
  [4427] = 3381,
  [4428] = 4234,
  [4429] = 3395,
  [4430] = 3414,
  [4431] = 4213,
  [4432] = 4234,
  [4433] = 4213,
  [4434] = 4234,
  [4435] = 4213,
  [4436] = 3418,
  [4437] = 3420,
  [4438] = 3444,
  [4439] = 3448,
  [4440] = 3481,
  [4441] = 3387,
  [4442] = 3446,
  [4443] = 4443,
  [4444] = 4443,
  [4445] = 4443,
  [4446] = 4443,
  [4447] = 3433,
  [4448] = 4443,
  [4449] = 4443,
  [4450] = 3454,
  [4451] = 4443,
  [4452] = 3455,
  [4453] = 4443,
  [4454] = 3344,
  [4455] = 3344,
  [4456] = 4443,
  [4457] = 4443,
  [4458] = 4443,
  [4459] = 3356,
  [4460] = 4443,
  [4461] = 3344,
  [4462] = 4443,
  [4463] = 3331,
  [4464] = 3436,
  [4465] = 3356,
  [4466] = 3448,
  [4467] = 3589,
  [4468] = 4468,
  [4469] = 3445,
  [4470] = 3330,
  [4471] = 3591,
  [4472] = 3446,
  [4473] = 3454,
  [4474] = 3455,
  [4475] = 3380,
  [4476] = 3701,
  [4477] = 3460,
  [4478] = 3461,
  [4479] = 3463,
  [4480] = 3474,
  [4481] = 3706,
  [4482] = 3707,
  [4483] = 3480,
  [4484] = 3378,
  [4485] = 3481,
  [4486] = 3427,
  [4487] = 3431,
  [4488] = 3347,
  [4489] = 3327,
  [4490] = 3460,
  [4491] = 3347,
  [4492] = 3327,
  [4493] = 3416,
  [4494] = 3448,
  [4495] = 3589,
  [4496] = 3591,
  [4497] = 3380,
  [4498] = 3701,
  [4499] = 3706,
  [4500] = 3707,
  [4501] = 3589,
  [4502] = 3378,
  [4503] = 3427,
  [4504] = 3431,
  [4505] = 3583,
  [4506] = 3623,
  [4507] = 3633,
  [4508] = 3461,
  [4509] = 3639,
  [4510] = 3642,
  [4511] = 3711,
  [4512] = 3504,
  [4513] = 3595,
  [4514] = 3597,
  [4515] = 3393,
  [4516] = 3463,
  [4517] = 3546,
  [4518] = 3456,
  [4519] = 3465,
  [4520] = 3485,
  [4521] = 3474,
  [4522] = 3591,
  [4523] = 3494,
  [4524] = 3497,
  [4525] = 3502,
  [4526] = 3407,
  [4527] = 3490,
  [4528] = 3408,
  [4529] = 3381,
  [4530] = 3395,
  [4531] = 3414,
  [4532] = 3418,
  [4533] = 3420,
  [4534] = 3444,
  [4535] = 3380,
  [4536] = 3421,
  [4537] = 3422,
  [4538] = 3423,
  [4539] = 3608,
  [4540] = 3626,
  [4541] = 3630,
  [4542] = 3491,
  [4543] = 3640,
  [4544] = 3701,
  [4545] = 3706,
  [4546] = 3707,
  [4547] = 3416,
  [4548] = 3378,
  [4549] = 3427,
  [4550] = 3384,
  [4551] = 3431,
  [4552] = 3480,
  [4553] = 3513,
  [4554] = 3583,
  [4555] = 3623,
  [4556] = 4556,
  [4557] = 3633,
  [4558] = 3433,
  [4559] = 3481,
  [4560] = 4468,
  [4561] = 3583,
  [4562] = 3391,
  [4563] = 3445,
  [4564] = 3446,
  [4565] = 3454,
  [4566] = 3455,
  [4567] = 3490,
  [4568] = 3551,
  [4569] = 3552,
  [4570] = 3553,
  [4571] = 3556,
  [4572] = 3460,
  [4573] = 3461,
  [4574] = 3463,
  [4575] = 3474,
  [4576] = 3639,
  [4577] = 3642,
  [4578] = 3711,
  [4579] = 3480,
  [4580] = 3504,
  [4581] = 3513,
  [4582] = 3595,
  [4583] = 3481,
  [4584] = 3597,
  [4585] = 3393,
  [4586] = 3575,
  [4587] = 3546,
  [4588] = 3385,
  [4589] = 3456,
  [4590] = 3465,
  [4591] = 3485,
  [4592] = 3436,
  [4593] = 3381,
  [4594] = 3395,
  [4595] = 3414,
  [4596] = 3418,
  [4597] = 3551,
  [4598] = 3387,
  [4599] = 3575,
  [4600] = 3420,
  [4601] = 3444,
  [4602] = 3552,
  [4603] = 3553,
  [4604] = 3556,
  [4605] = 3448,
  [4606] = 3494,
  [4607] = 3623,
  [4608] = 3497,
  [4609] = 3633,
  [4610] = 3551,
  [4611] = 3552,
  [4612] = 3350,
  [4613] = 4443,
  [4614] = 3556,
  [4615] = 3332,
  [4616] = 3608,
  [4617] = 3626,
  [4618] = 3630,
  [4619] = 3640,
  [4620] = 3502,
  [4621] = 3394,
  [4622] = 3639,
  [4623] = 3394,
  [4624] = 3642,
  [4625] = 3711,
  [4626] = 3384,
  [4627] = 3400,
  [4628] = 3400,
  [4629] = 4556,
  [4630] = 3405,
  [4631] = 4631,
  [4632] = 3405,
  [4633] = 3504,
  [4634] = 3595,
  [4635] = 3597,
  [4636] = 3391,
  [4637] = 3425,
  [4638] = 4443,
  [4639] = 3393,
  [4640] = 3491,
  [4641] = 4631,
  [4642] = 3494,
  [4643] = 4556,
  [4644] = 4631,
  [4645] = 3497,
  [4646] = 3546,
  [4647] = 4443,
  [4648] = 4556,
  [4649] = 4631,
  [4650] = 4443,
  [4651] = 4556,
  [4652] = 3333,
  [4653] = 4631,
  [4654] = 4443,
  [4655] = 4443,
  [4656] = 4443,
  [4657] = 4443,
  [4658] = 4443,
  [4659] = 4443,
  [4660] = 4443,
  [4661] = 3385,
  [4662] = 4443,
  [4663] = 4443,
  [4664] = 3456,
  [4665] = 4443,
  [4666] = 4443,
  [4667] = 4443,
  [4668] = 4443,
  [4669] = 3465,
  [4670] = 3331,
  [4671] = 4443,
  [4672] = 3330,
  [4673] = 3332,
  [4674] = 4443,
  [4675] = 3347,
  [4676] = 3327,
  [4677] = 3502,
  [4678] = 3343,
  [4679] = 3436,
  [4680] = 3340,
  [4681] = 3350,
  [4682] = 4443,
  [4683] = 4443,
  [4684] = 4443,
  [4685] = 3407,
  [4686] = 3408,
  [4687] = 4443,
  [4688] = 4443,
  [4689] = 3485,
  [4690] = 3381,
  [4691] = 3407,
  [4692] = 3395,
  [4693] = 3408,
  [4694] = 3421,
  [4695] = 3414,
  [4696] = 4443,
  [4697] = 3418,
  [4698] = 3422,
  [4699] = 3423,
  [4700] = 3420,
  [4701] = 3421,
  [4702] = 3433,
  [4703] = 3444,
  [4704] = 3425,
  [4705] = 3343,
  [4706] = 4706,
  [4707] = 3340,
  [4708] = 3608,
  [4709] = 3626,
  [4710] = 3415,
  [4711] = 3490,
  [4712] = 3422,
  [4713] = 3630,
  [4714] = 3513,
  [4715] = 3423,
  [4716] = 4443,
  [4717] = 3640,
  [4718] = 3350,
  [4719] = 3575,
  [4720] = 4468,
  [4721] = 3387,
  [4722] = 3394,
  [4723] = 3400,
  [4724] = 3405,
  [4725] = 3333,
  [4726] = 4443,
  [4727] = 3415,
  [4728] = 3384,
  [4729] = 3425,
  [4730] = 4443,
  [4731] = 3391,
  [4732] = 3491,
  [4733] = 4443,
  [4734] = 4734,
  [4735] = 3416,
  [4736] = 4443,
  [4737] = 3445,
  [4738] = 4443,
  [4739] = 3385,
  [4740] = 3356,
  [4741] = 3415,
  [4742] = 4443,
  [4743] = 4443,
  [4744] = 4443,
  [4745] = 3333,
  [4746] = 4443,
  [4747] = 4443,
  [4748] = 3331,
  [4749] = 3330,
  [4750] = 3332,
  [4751] = 4443,
  [4752] = 3343,
  [4753] = 3340,
  [4754] = 3553,
  [4755] = 3327,
  [4756] = 3707,
  [4757] = 3494,
  [4758] = 3497,
  [4759] = 3384,
  [4760] = 3502,
  [4761] = 3460,
  [4762] = 3461,
  [4763] = 3407,
  [4764] = 3463,
  [4765] = 3408,
  [4766] = 3474,
  [4767] = 4767,
  [4768] = 4768,
  [4769] = 3425,
  [4770] = 3421,
  [4771] = 4767,
  [4772] = 3480,
  [4773] = 3391,
  [4774] = 3400,
  [4775] = 3481,
  [4776] = 4767,
  [4777] = 3378,
  [4778] = 4767,
  [4779] = 4768,
  [4780] = 4767,
  [4781] = 3347,
  [4782] = 3422,
  [4783] = 3327,
  [4784] = 4767,
  [4785] = 4767,
  [4786] = 4767,
  [4787] = 3423,
  [4788] = 3347,
  [4789] = 3327,
  [4790] = 4767,
  [4791] = 4767,
  [4792] = 4767,
  [4793] = 4767,
  [4794] = 4767,
  [4795] = 3344,
  [4796] = 3331,
  [4797] = 3333,
  [4798] = 3330,
  [4799] = 3332,
  [4800] = 4767,
  [4801] = 3356,
  [4802] = 3331,
  [4803] = 3330,
  [4804] = 3332,
  [4805] = 3343,
  [4806] = 4767,
  [4807] = 3340,
  [4808] = 3350,
  [4809] = 4706,
  [4810] = 4767,
  [4811] = 3491,
  [4812] = 4468,
  [4813] = 3333,
  [4814] = 4767,
  [4815] = 4767,
  [4816] = 4767,
  [4817] = 3331,
  [4818] = 3330,
  [4819] = 3332,
  [4820] = 4734,
  [4821] = 3343,
  [4822] = 3340,
  [4823] = 3350,
  [4824] = 4767,
  [4825] = 3416,
  [4826] = 3343,
  [4827] = 3340,
  [4828] = 3350,
  [4829] = 3344,
  [4830] = 4767,
  [4831] = 4767,
  [4832] = 3356,
  [4833] = 4767,
  [4834] = 4767,
  [4835] = 3494,
  [4836] = 3497,
  [4837] = 3556,
  [4838] = 3502,
  [4839] = 4706,
  [4840] = 4767,
  [4841] = 4468,
  [4842] = 4767,
  [4843] = 3407,
  [4844] = 3408,
  [4845] = 4767,
  [4846] = 4767,
  [4847] = 3421,
  [4848] = 4767,
  [4849] = 3422,
  [4850] = 3423,
  [4851] = 4767,
  [4852] = 4734,
  [4853] = 3589,
  [4854] = 4767,
  [4855] = 3591,
  [4856] = 3380,
  [4857] = 3701,
  [4858] = 3706,
  [4859] = 4767,
  [4860] = 3707,
  [4861] = 3416,
  [4862] = 4767,
  [4863] = 3378,
  [4864] = 3427,
  [4865] = 3431,
  [4866] = 3583,
  [4867] = 3623,
  [4868] = 3633,
  [4869] = 4767,
  [4870] = 3639,
  [4871] = 3642,
  [4872] = 3711,
  [4873] = 3504,
  [4874] = 3595,
  [4875] = 3597,
  [4876] = 3393,
  [4877] = 3546,
  [4878] = 4767,
  [4879] = 3456,
  [4880] = 3465,
  [4881] = 3485,
  [4882] = 3381,
  [4883] = 3395,
  [4884] = 3414,
  [4885] = 3418,
  [4886] = 3420,
  [4887] = 3444,
  [4888] = 3448,
  [4889] = 4767,
  [4890] = 3608,
  [4891] = 3626,
  [4892] = 3630,
  [4893] = 3640,
  [4894] = 3384,
  [4895] = 4767,
  [4896] = 3436,
  [4897] = 3344,
  [4898] = 3391,
  [4899] = 3415,
  [4900] = 4767,
  [4901] = 4767,
  [4902] = 4767,
  [4903] = 3436,
  [4904] = 4767,
  [4905] = 4767,
  [4906] = 4767,
  [4907] = 4767,
  [4908] = 3490,
  [4909] = 3491,
  [4910] = 4767,
  [4911] = 3385,
  [4912] = 4767,
  [4913] = 4706,
  [4914] = 3513,
  [4915] = 4767,
  [4916] = 4767,
  [4917] = 3575,
  [4918] = 3385,
  [4919] = 4767,
  [4920] = 3387,
  [4921] = 4767,
  [4922] = 3394,
  [4923] = 3400,
  [4924] = 4767,
  [4925] = 3405,
  [4926] = 3425,
  [4927] = 3706,
  [4928] = 3448,
  [4929] = 4468,
  [4930] = 3415,
  [4931] = 3433,
  [4932] = 3445,
  [4933] = 3446,
  [4934] = 3454,
  [4935] = 3455,
  [4936] = 3347,
  [4937] = 3460,
  [4938] = 3461,
  [4939] = 3425,
  [4940] = 3356,
  [4941] = 3490,
  [4942] = 3463,
  [4943] = 3474,
  [4944] = 3494,
  [4945] = 3480,
  [4946] = 3481,
  [4947] = 3502,
  [4948] = 3497,
  [4949] = 3427,
  [4950] = 4468,
  [4951] = 3407,
  [4952] = 3408,
  [4953] = 3431,
  [4954] = 3421,
  [4955] = 3422,
  [4956] = 3423,
  [4957] = 3513,
  [4958] = 3575,
  [4959] = 3405,
  [4960] = 3583,
  [4961] = 3387,
  [4962] = 3394,
  [4963] = 3400,
  [4964] = 3405,
  [4965] = 3623,
  [4966] = 4734,
  [4967] = 3633,
  [4968] = 3415,
  [4969] = 3491,
  [4970] = 3589,
  [4971] = 4768,
  [4972] = 3639,
  [4973] = 3642,
  [4974] = 3551,
  [4975] = 3711,
  [4976] = 3433,
  [4977] = 3504,
  [4978] = 3595,
  [4979] = 4468,
  [4980] = 3597,
  [4981] = 3445,
  [4982] = 3552,
  [4983] = 3553,
  [4984] = 3446,
  [4985] = 3454,
  [4986] = 3455,
  [4987] = 3393,
  [4988] = 3556,
  [4989] = 3546,
  [4990] = 3456,
  [4991] = 3465,
  [4992] = 3485,
  [4993] = 3381,
  [4994] = 3395,
  [4995] = 3414,
  [4996] = 3385,
  [4997] = 3418,
  [4998] = 3591,
  [4999] = 3460,
  [5000] = 3589,
  [5001] = 3461,
  [5002] = 3591,
  [5003] = 3463,
  [5004] = 3380,
  [5005] = 3420,
  [5006] = 3701,
  [5007] = 3474,
  [5008] = 3706,
  [5009] = 3707,
  [5010] = 3416,
  [5011] = 3333,
  [5012] = 3378,
  [5013] = 3427,
  [5014] = 3431,
  [5015] = 3444,
  [5016] = 3433,
  [5017] = 3583,
  [5018] = 3623,
  [5019] = 3633,
  [5020] = 3480,
  [5021] = 3639,
  [5022] = 3642,
  [5023] = 3711,
  [5024] = 3504,
  [5025] = 3595,
  [5026] = 3597,
  [5027] = 3393,
  [5028] = 3546,
  [5029] = 3394,
  [5030] = 3456,
  [5031] = 3481,
  [5032] = 3465,
  [5033] = 3485,
  [5034] = 3380,
  [5035] = 3381,
  [5036] = 3395,
  [5037] = 3414,
  [5038] = 3418,
  [5039] = 3420,
  [5040] = 3444,
  [5041] = 3448,
  [5042] = 3701,
  [5043] = 3608,
  [5044] = 3626,
  [5045] = 3630,
  [5046] = 3640,
  [5047] = 3384,
  [5048] = 3608,
  [5049] = 3391,
  [5050] = 3490,
  [5051] = 3513,
  [5052] = 3551,
  [5053] = 3445,
  [5054] = 3626,
  [5055] = 3446,
  [5056] = 3436,
  [5057] = 3551,
  [5058] = 3575,
  [5059] = 3552,
  [5060] = 3553,
  [5061] = 3556,
  [5062] = 3552,
  [5063] = 3553,
  [5064] = 3454,
  [5065] = 3630,
  [5066] = 3455,
  [5067] = 3640,
  [5068] = 3387,
  [5069] = 4468,
  [5070] = 3481,
  [5071] = 3640,
  [5072] = 5072,
  [5073] = 5073,
  [5074] = 5074,
  [5075] = 5075,
  [5076] = 5076,
  [5077] = 3446,
  [5078] = 3384,
  [5079] = 3400,
  [5080] = 3454,
  [5081] = 3405,
  [5082] = 3455,
  [5083] = 5074,
  [5084] = 3391,
  [5085] = 3425,
  [5086] = 3415,
  [5087] = 3491,
  [5088] = 5072,
  [5089] = 3707,
  [5090] = 5075,
  [5091] = 3385,
  [5092] = 3456,
  [5093] = 5073,
  [5094] = 5074,
  [5095] = 5075,
  [5096] = 3446,
  [5097] = 3384,
  [5098] = 3465,
  [5099] = 3400,
  [5100] = 5073,
  [5101] = 5074,
  [5102] = 5075,
  [5103] = 3436,
  [5104] = 3385,
  [5105] = 5073,
  [5106] = 5074,
  [5107] = 3407,
  [5108] = 5073,
  [5109] = 5074,
  [5110] = 5075,
  [5111] = 3460,
  [5112] = 3461,
  [5113] = 5074,
  [5114] = 5075,
  [5115] = 3407,
  [5116] = 3463,
  [5117] = 3408,
  [5118] = 3474,
  [5119] = 5073,
  [5120] = 5074,
  [5121] = 5075,
  [5122] = 3494,
  [5123] = 3623,
  [5124] = 3497,
  [5125] = 3591,
  [5126] = 5075,
  [5127] = 3454,
  [5128] = 3405,
  [5129] = 3552,
  [5130] = 3455,
  [5131] = 3433,
  [5132] = 3633,
  [5133] = 3480,
  [5134] = 3553,
  [5135] = 3497,
  [5136] = 3380,
  [5137] = 5073,
  [5138] = 5074,
  [5139] = 5075,
  [5140] = 3551,
  [5141] = 3502,
  [5142] = 3551,
  [5143] = 3422,
  [5144] = 3423,
  [5145] = 5073,
  [5146] = 5074,
  [5147] = 3504,
  [5148] = 3481,
  [5149] = 3552,
  [5150] = 3553,
  [5151] = 3391,
  [5152] = 5073,
  [5153] = 5073,
  [5154] = 3556,
  [5155] = 5074,
  [5156] = 5075,
  [5157] = 3445,
  [5158] = 3446,
  [5159] = 3454,
  [5160] = 3455,
  [5161] = 5076,
  [5162] = 5074,
  [5163] = 3421,
  [5164] = 3502,
  [5165] = 3415,
  [5166] = 5073,
  [5167] = 5074,
  [5168] = 5075,
  [5169] = 5072,
  [5170] = 5075,
  [5171] = 3433,
  [5172] = 3642,
  [5173] = 3378,
  [5174] = 3421,
  [5175] = 5073,
  [5176] = 5074,
  [5177] = 5075,
  [5178] = 5073,
  [5179] = 5073,
  [5180] = 5074,
  [5181] = 5075,
  [5182] = 5074,
  [5183] = 5075,
  [5184] = 5073,
  [5185] = 5074,
  [5186] = 5075,
  [5187] = 3639,
  [5188] = 5073,
  [5189] = 5074,
  [5190] = 5075,
  [5191] = 3460,
  [5192] = 5074,
  [5193] = 3461,
  [5194] = 3407,
  [5195] = 3463,
  [5196] = 3408,
  [5197] = 3474,
  [5198] = 3597,
  [5199] = 5073,
  [5200] = 5074,
  [5201] = 5075,
  [5202] = 5074,
  [5203] = 5073,
  [5204] = 3485,
  [5205] = 3494,
  [5206] = 5074,
  [5207] = 3497,
  [5208] = 5075,
  [5209] = 5075,
  [5210] = 5073,
  [5211] = 5074,
  [5212] = 5075,
  [5213] = 3427,
  [5214] = 3431,
  [5215] = 3480,
  [5216] = 5075,
  [5217] = 3416,
  [5218] = 5075,
  [5219] = 3480,
  [5220] = 5073,
  [5221] = 5074,
  [5222] = 5075,
  [5223] = 5075,
  [5224] = 3551,
  [5225] = 3481,
  [5226] = 3381,
  [5227] = 3502,
  [5228] = 3395,
  [5229] = 3422,
  [5230] = 5073,
  [5231] = 3423,
  [5232] = 5074,
  [5233] = 5075,
  [5234] = 5073,
  [5235] = 5074,
  [5236] = 5074,
  [5237] = 5075,
  [5238] = 3414,
  [5239] = 5073,
  [5240] = 5074,
  [5241] = 3552,
  [5242] = 3553,
  [5243] = 5075,
  [5244] = 3416,
  [5245] = 3448,
  [5246] = 3393,
  [5247] = 5073,
  [5248] = 5074,
  [5249] = 5075,
  [5250] = 3408,
  [5251] = 5073,
  [5252] = 3556,
  [5253] = 5074,
  [5254] = 5075,
  [5255] = 5074,
  [5256] = 5073,
  [5257] = 3394,
  [5258] = 5075,
  [5259] = 5073,
  [5260] = 5074,
  [5261] = 5075,
  [5262] = 3595,
  [5263] = 5075,
  [5264] = 5073,
  [5265] = 3416,
  [5266] = 5073,
  [5267] = 5074,
  [5268] = 5075,
  [5269] = 5074,
  [5270] = 5075,
  [5271] = 5073,
  [5272] = 5074,
  [5273] = 5075,
  [5274] = 3387,
  [5275] = 3421,
  [5276] = 5073,
  [5277] = 5076,
  [5278] = 5073,
  [5279] = 5073,
  [5280] = 5073,
  [5281] = 3461,
  [5282] = 5073,
  [5283] = 5074,
  [5284] = 5073,
  [5285] = 5075,
  [5286] = 3575,
  [5287] = 5073,
  [5288] = 5074,
  [5289] = 5075,
  [5290] = 3448,
  [5291] = 5074,
  [5292] = 5073,
  [5293] = 3589,
  [5294] = 5074,
  [5295] = 5075,
  [5296] = 5074,
  [5297] = 3425,
  [5298] = 5074,
  [5299] = 3591,
  [5300] = 3490,
  [5301] = 3380,
  [5302] = 3701,
  [5303] = 3513,
  [5304] = 3706,
  [5305] = 4468,
  [5306] = 3707,
  [5307] = 5075,
  [5308] = 3425,
  [5309] = 5075,
  [5310] = 5074,
  [5311] = 3420,
  [5312] = 3474,
  [5313] = 5072,
  [5314] = 5073,
  [5315] = 5073,
  [5316] = 3444,
  [5317] = 5074,
  [5318] = 5075,
  [5319] = 3556,
  [5320] = 3448,
  [5321] = 3378,
  [5322] = 3427,
  [5323] = 3431,
  [5324] = 4706,
  [5325] = 3513,
  [5326] = 3491,
  [5327] = 3583,
  [5328] = 4468,
  [5329] = 4734,
  [5330] = 3623,
  [5331] = 4706,
  [5332] = 3633,
  [5333] = 4734,
  [5334] = 3639,
  [5335] = 3642,
  [5336] = 3711,
  [5337] = 5076,
  [5338] = 3504,
  [5339] = 3595,
  [5340] = 3597,
  [5341] = 3393,
  [5342] = 3583,
  [5343] = 3422,
  [5344] = 3575,
  [5345] = 3711,
  [5346] = 3608,
  [5347] = 3546,
  [5348] = 3456,
  [5349] = 3465,
  [5350] = 5073,
  [5351] = 3485,
  [5352] = 4468,
  [5353] = 5074,
  [5354] = 5075,
  [5355] = 5072,
  [5356] = 3381,
  [5357] = 3395,
  [5358] = 5074,
  [5359] = 3414,
  [5360] = 3418,
  [5361] = 4706,
  [5362] = 3387,
  [5363] = 3420,
  [5364] = 3444,
  [5365] = 5074,
  [5366] = 3701,
  [5367] = 3436,
  [5368] = 3463,
  [5369] = 3608,
  [5370] = 3626,
  [5371] = 4734,
  [5372] = 5075,
  [5373] = 3630,
  [5374] = 3640,
  [5375] = 3394,
  [5376] = 3706,
  [5377] = 3423,
  [5378] = 3384,
  [5379] = 3490,
  [5380] = 3400,
  [5381] = 3405,
  [5382] = 3589,
  [5383] = 5074,
  [5384] = 5073,
  [5385] = 5074,
  [5386] = 5075,
  [5387] = 3391,
  [5388] = 3591,
  [5389] = 3490,
  [5390] = 3380,
  [5391] = 3491,
  [5392] = 3701,
  [5393] = 3706,
  [5394] = 3707,
  [5395] = 5075,
  [5396] = 3546,
  [5397] = 3445,
  [5398] = 3626,
  [5399] = 3630,
  [5400] = 3640,
  [5401] = 3394,
  [5402] = 5073,
  [5403] = 5073,
  [5404] = 3433,
  [5405] = 5074,
  [5406] = 5075,
  [5407] = 3378,
  [5408] = 3427,
  [5409] = 3431,
  [5410] = 3513,
  [5411] = 5075,
  [5412] = 3583,
  [5413] = 3623,
  [5414] = 3633,
  [5415] = 3460,
  [5416] = 5075,
  [5417] = 3639,
  [5418] = 3642,
  [5419] = 5074,
  [5420] = 3711,
  [5421] = 3436,
  [5422] = 3504,
  [5423] = 3595,
  [5424] = 3597,
  [5425] = 5073,
  [5426] = 3393,
  [5427] = 5074,
  [5428] = 5075,
  [5429] = 3575,
  [5430] = 5075,
  [5431] = 3546,
  [5432] = 3385,
  [5433] = 3456,
  [5434] = 3465,
  [5435] = 3485,
  [5436] = 3381,
  [5437] = 3395,
  [5438] = 3414,
  [5439] = 3418,
  [5440] = 3387,
  [5441] = 3420,
  [5442] = 3444,
  [5443] = 3589,
  [5444] = 3415,
  [5445] = 5076,
  [5446] = 3494,
  [5447] = 3608,
  [5448] = 3445,
  [5449] = 3626,
  [5450] = 3630,
  [5451] = 3418,
  [5452] = 4468,
  [5453] = 5453,
  [5454] = 5454,
  [5455] = 5454,
  [5456] = 5453,
  [5457] = 5453,
  [5458] = 5454,
  [5459] = 5454,
  [5460] = 5454,
  [5461] = 4706,
  [5462] = 5454,
  [5463] = 5454,
  [5464] = 5454,
  [5465] = 5454,
  [5466] = 5466,
  [5467] = 5454,
  [5468] = 5454,
  [5469] = 4734,
  [5470] = 5454,
  [5471] = 5454,
  [5472] = 5454,
  [5473] = 5453,
  [5474] = 5454,
  [5475] = 5466,
  [5476] = 5454,
  [5477] = 5453,
  [5478] = 5454,
  [5479] = 4734,
  [5480] = 5454,
  [5481] = 5454,
  [5482] = 5454,
  [5483] = 5454,
  [5484] = 5454,
  [5485] = 5485,
  [5486] = 5454,
  [5487] = 5454,
  [5488] = 5454,
  [5489] = 5454,
  [5490] = 5454,
  [5491] = 5466,
  [5492] = 5485,
  [5493] = 5454,
  [5494] = 5454,
  [5495] = 5453,
  [5496] = 5454,
  [5497] = 5454,
  [5498] = 5453,
  [5499] = 5454,
  [5500] = 5454,
  [5501] = 5454,
  [5502] = 5485,
  [5503] = 5466,
  [5504] = 5454,
  [5505] = 5466,
  [5506] = 5454,
  [5507] = 4468,
  [5508] = 5485,
  [5509] = 5454,
  [5510] = 5454,
  [5511] = 5454,
  [5512] = 5466,
  [5513] = 5454,
  [5514] = 5454,
  [5515] = 4468,
  [5516] = 5454,
  [5517] = 5453,
  [5518] = 5485,
  [5519] = 5454,
  [5520] = 5466,
  [5521] = 5454,
  [5522] = 5454,
  [5523] = 5485,
  [5524] = 5454,
  [5525] = 5485,
  [5526] = 5454,
  [5527] = 4706,
  [5528] = 5454,
  [5529] = 5454,
  [5530] = 5454,
  [5531] = 5454,
  [5532] = 5532,
  [5533] = 5532,
  [5534] = 5534,
  [5535] = 5535,
  [5536] = 5536,
  [5537] = 5537,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 5532,
  [5542] = 5535,
  [5543] = 5540,
  [5544] = 5536,
  [5545] = 5545,
  [5546] = 5537,
  [5547] = 5536,
  [5548] = 5537,
  [5549] = 5539,
  [5550] = 5540,
  [5551] = 5532,
  [5552] = 5535,
  [5553] = 5536,
  [5554] = 5537,
  [5555] = 4468,
  [5556] = 5538,
  [5557] = 5557,
  [5558] = 5539,
  [5559] = 5540,
  [5560] = 4706,
  [5561] = 4468,
  [5562] = 5535,
  [5563] = 5536,
  [5564] = 5537,
  [5565] = 5534,
  [5566] = 5545,
  [5567] = 5534,
  [5568] = 5534,
  [5569] = 5545,
  [5570] = 5534,
  [5571] = 5545,
  [5572] = 5538,
  [5573] = 5557,
  [5574] = 5538,
  [5575] = 5557,
  [5576] = 5539,
  [5577] = 5540,
  [5578] = 5532,
  [5579] = 5535,
  [5580] = 4706,
  [5581] = 5536,
  [5582] = 5537,
  [5583] = 5534,
  [5584] = 5538,
  [5585] = 5545,
  [5586] = 5557,
  [5587] = 4468,
  [5588] = 5557,
  [5589] = 5539,
  [5590] = 5538,
  [5591] = 5557,
  [5592] = 5539,
  [5593] = 4734,
  [5594] = 5540,
  [5595] = 5532,
  [5596] = 5535,
  [5597] = 5532,
  [5598] = 5535,
  [5599] = 5536,
  [5600] = 5537,
  [5601] = 5534,
  [5602] = 5545,
  [5603] = 5538,
  [5604] = 5557,
  [5605] = 5539,
  [5606] = 5540,
  [5607] = 4734,
  [5608] = 5545,
  [5609] = 5609,
  [5610] = 5609,
  [5611] = 5611,
  [5612] = 5612,
  [5613] = 2943,
  [5614] = 4706,
  [5615] = 5609,
  [5616] = 5616,
  [5617] = 5617,
  [5618] = 5609,
  [5619] = 5611,
  [5620] = 5620,
  [5621] = 5612,
  [5622] = 5609,
  [5623] = 5611,
  [5624] = 5612,
  [5625] = 5616,
  [5626] = 5620,
  [5627] = 5627,
  [5628] = 5627,
  [5629] = 4734,
  [5630] = 5612,
  [5631] = 5611,
  [5632] = 5620,
  [5633] = 5620,
  [5634] = 5609,
  [5635] = 5611,
  [5636] = 5612,
  [5637] = 5637,
  [5638] = 5620,
  [5639] = 5612,
  [5640] = 5627,
  [5641] = 5620,
  [5642] = 5609,
  [5643] = 5620,
  [5644] = 5611,
  [5645] = 5609,
  [5646] = 5611,
  [5647] = 5612,
  [5648] = 5612,
  [5649] = 5620,
  [5650] = 5627,
  [5651] = 5627,
  [5652] = 5627,
  [5653] = 5627,
  [5654] = 5611,
  [5655] = 5655,
  [5656] = 5656,
  [5657] = 5656,
  [5658] = 5655,
  [5659] = 5656,
  [5660] = 5655,
  [5661] = 5656,
  [5662] = 5655,
  [5663] = 5656,
  [5664] = 5655,
  [5665] = 5656,
  [5666] = 5655,
  [5667] = 5656,
  [5668] = 5668,
  [5669] = 5655,
  [5670] = 5656,
  [5671] = 5655,
  [5672] = 5656,
  [5673] = 5656,
  [5674] = 5656,
  [5675] = 5655,
  [5676] = 5655,
  [5677] = 5656,
  [5678] = 5656,
  [5679] = 5655,
  [5680] = 5656,
  [5681] = 5655,
  [5682] = 5656,
  [5683] = 5655,
  [5684] = 5656,
  [5685] = 5655,
  [5686] = 3327,
  [5687] = 5655,
  [5688] = 5656,
  [5689] = 3331,
  [5690] = 5656,
  [5691] = 5655,
  [5692] = 5656,
  [5693] = 3333,
  [5694] = 3330,
  [5695] = 5655,
  [5696] = 5656,
  [5697] = 3332,
  [5698] = 5655,
  [5699] = 5656,
  [5700] = 5655,
  [5701] = 5656,
  [5702] = 3343,
  [5703] = 5656,
  [5704] = 5656,
  [5705] = 3340,
  [5706] = 3350,
  [5707] = 5656,
  [5708] = 5655,
  [5709] = 5655,
  [5710] = 5655,
  [5711] = 5656,
  [5712] = 5655,
  [5713] = 5656,
  [5714] = 5655,
  [5715] = 5655,
  [5716] = 5655,
  [5717] = 5655,
  [5718] = 5656,
  [5719] = 3347,
  [5720] = 5655,
  [5721] = 5656,
  [5722] = 5655,
  [5723] = 5655,
  [5724] = 5656,
  [5725] = 5655,
  [5726] = 5656,
  [5727] = 5656,
  [5728] = 5655,
  [5729] = 5655,
  [5730] = 5656,
  [5731] = 5655,
  [5732] = 5656,
  [5733] = 5656,
  [5734] = 3344,
  [5735] = 5735,
  [5736] = 5656,
  [5737] = 5656,
  [5738] = 5656,
  [5739] = 5655,
  [5740] = 5655,
  [5741] = 5656,
  [5742] = 5655,
  [5743] = 5655,
  [5744] = 5656,
  [5745] = 5745,
  [5746] = 5656,
  [5747] = 5655,
  [5748] = 5656,
  [5749] = 5655,
  [5750] = 5656,
  [5751] = 5655,
  [5752] = 5655,
  [5753] = 5655,
  [5754] = 5656,
  [5755] = 3356,
  [5756] = 5656,
  [5757] = 5656,
  [5758] = 5655,
  [5759] = 5656,
  [5760] = 5655,
  [5761] = 5655,
  [5762] = 5655,
  [5763] = 5656,
  [5764] = 5655,
  [5765] = 5656,
  [5766] = 5655,
  [5767] = 5656,
  [5768] = 5655,
  [5769] = 5656,
  [5770] = 5655,
  [5771] = 5655,
  [5772] = 5656,
  [5773] = 3327,
  [5774] = 3393,
  [5775] = 3546,
  [5776] = 3333,
  [5777] = 3633,
  [5778] = 3456,
  [5779] = 3465,
  [5780] = 3344,
  [5781] = 3407,
  [5782] = 3485,
  [5783] = 3400,
  [5784] = 3474,
  [5785] = 3381,
  [5786] = 3395,
  [5787] = 3414,
  [5788] = 3418,
  [5789] = 5789,
  [5790] = 3420,
  [5791] = 3551,
  [5792] = 3444,
  [5793] = 3639,
  [5794] = 3425,
  [5795] = 3480,
  [5796] = 3481,
  [5797] = 3405,
  [5798] = 3408,
  [5799] = 3331,
  [5800] = 5789,
  [5801] = 3608,
  [5802] = 3626,
  [5803] = 3330,
  [5804] = 5789,
  [5805] = 5789,
  [5806] = 5789,
  [5807] = 3433,
  [5808] = 3630,
  [5809] = 5789,
  [5810] = 3640,
  [5811] = 3332,
  [5812] = 3491,
  [5813] = 3552,
  [5814] = 5789,
  [5815] = 3356,
  [5816] = 5789,
  [5817] = 5789,
  [5818] = 5789,
  [5819] = 5789,
  [5820] = 3384,
  [5821] = 5789,
  [5822] = 3391,
  [5823] = 5789,
  [5824] = 5789,
  [5825] = 3446,
  [5826] = 3380,
  [5827] = 5789,
  [5828] = 5789,
  [5829] = 5789,
  [5830] = 5789,
  [5831] = 5789,
  [5832] = 5789,
  [5833] = 5789,
  [5834] = 3427,
  [5835] = 5789,
  [5836] = 3454,
  [5837] = 5789,
  [5838] = 3431,
  [5839] = 5789,
  [5840] = 5789,
  [5841] = 5789,
  [5842] = 5789,
  [5843] = 5789,
  [5844] = 5789,
  [5845] = 5789,
  [5846] = 3589,
  [5847] = 3642,
  [5848] = 5789,
  [5849] = 5789,
  [5850] = 5789,
  [5851] = 5789,
  [5852] = 5789,
  [5853] = 3455,
  [5854] = 5789,
  [5855] = 3416,
  [5856] = 3711,
  [5857] = 5789,
  [5858] = 5789,
  [5859] = 5789,
  [5860] = 5789,
  [5861] = 5789,
  [5862] = 5789,
  [5863] = 5789,
  [5864] = 5789,
  [5865] = 5789,
  [5866] = 3436,
  [5867] = 3385,
  [5868] = 3327,
  [5869] = 5789,
  [5870] = 5789,
  [5871] = 3448,
  [5872] = 5789,
  [5873] = 3421,
  [5874] = 5789,
  [5875] = 3343,
  [5876] = 3347,
  [5877] = 5789,
  [5878] = 5789,
  [5879] = 3490,
  [5880] = 3340,
  [5881] = 3350,
  [5882] = 3415,
  [5883] = 3513,
  [5884] = 3394,
  [5885] = 3460,
  [5886] = 5886,
  [5887] = 3494,
  [5888] = 3497,
  [5889] = 3461,
  [5890] = 3575,
  [5891] = 3504,
  [5892] = 3378,
  [5893] = 3583,
  [5894] = 3502,
  [5895] = 3422,
  [5896] = 3445,
  [5897] = 3463,
  [5898] = 3423,
  [5899] = 3595,
  [5900] = 3556,
  [5901] = 3597,
  [5902] = 3701,
  [5903] = 3591,
  [5904] = 3623,
  [5905] = 3706,
  [5906] = 3387,
  [5907] = 3707,
  [5908] = 3553,
  [5909] = 5789,
  [5910] = 3552,
  [5911] = 3639,
  [5912] = 3387,
  [5913] = 3381,
  [5914] = 3474,
  [5915] = 3436,
  [5916] = 3494,
  [5917] = 3575,
  [5918] = 3344,
  [5919] = 3395,
  [5920] = 3444,
  [5921] = 3356,
  [5922] = 3378,
  [5923] = 3400,
  [5924] = 3445,
  [5925] = 3608,
  [5926] = 3405,
  [5927] = 3416,
  [5928] = 3497,
  [5929] = 3465,
  [5930] = 3640,
  [5931] = 3446,
  [5932] = 3626,
  [5933] = 3485,
  [5934] = 3551,
  [5935] = 3414,
  [5936] = 3630,
  [5937] = 3454,
  [5938] = 3327,
  [5939] = 3513,
  [5940] = 3455,
  [5941] = 3333,
  [5942] = 3384,
  [5943] = 3480,
  [5944] = 5944,
  [5945] = 3347,
  [5946] = 3583,
  [5947] = 3623,
  [5948] = 5948,
  [5949] = 3481,
  [5950] = 3415,
  [5951] = 3633,
  [5952] = 3711,
  [5953] = 3391,
  [5954] = 3425,
  [5955] = 3427,
  [5956] = 3491,
  [5957] = 3408,
  [5958] = 3385,
  [5959] = 3490,
  [5960] = 5948,
  [5961] = 3556,
  [5962] = 3504,
  [5963] = 3394,
  [5964] = 3331,
  [5965] = 3330,
  [5966] = 3332,
  [5967] = 3502,
  [5968] = 3642,
  [5969] = 3343,
  [5970] = 3340,
  [5971] = 3595,
  [5972] = 5948,
  [5973] = 3350,
  [5974] = 3418,
  [5975] = 3597,
  [5976] = 3393,
  [5977] = 3433,
  [5978] = 3448,
  [5979] = 3546,
  [5980] = 3421,
  [5981] = 5948,
  [5982] = 3589,
  [5983] = 5948,
  [5984] = 3456,
  [5985] = 3422,
  [5986] = 3423,
  [5987] = 3420,
  [5988] = 5948,
  [5989] = 3460,
  [5990] = 3461,
  [5991] = 3591,
  [5992] = 3380,
  [5993] = 3701,
  [5994] = 3407,
  [5995] = 3706,
  [5996] = 3707,
  [5997] = 5948,
  [5998] = 3463,
  [5999] = 3431,
  [6000] = 3553,
  [6001] = 3407,
  [6002] = 3333,
  [6003] = 6003,
  [6004] = 3422,
  [6005] = 6005,
  [6006] = 3589,
  [6007] = 3591,
  [6008] = 3380,
  [6009] = 3701,
  [6010] = 3706,
  [6011] = 3707,
  [6012] = 3416,
  [6013] = 3378,
  [6014] = 3427,
  [6015] = 3431,
  [6016] = 3583,
  [6017] = 3623,
  [6018] = 3633,
  [6019] = 6005,
  [6020] = 3639,
  [6021] = 3642,
  [6022] = 3711,
  [6023] = 3504,
  [6024] = 3595,
  [6025] = 3597,
  [6026] = 3393,
  [6027] = 6005,
  [6028] = 3546,
  [6029] = 3456,
  [6030] = 3465,
  [6031] = 3485,
  [6032] = 3381,
  [6033] = 3395,
  [6034] = 3414,
  [6035] = 3418,
  [6036] = 3420,
  [6037] = 3444,
  [6038] = 3448,
  [6039] = 6039,
  [6040] = 3608,
  [6041] = 3626,
  [6042] = 6005,
  [6043] = 3630,
  [6044] = 3640,
  [6045] = 3344,
  [6046] = 3384,
  [6047] = 3347,
  [6048] = 3391,
  [6049] = 6005,
  [6050] = 6005,
  [6051] = 3551,
  [6052] = 3436,
  [6053] = 6005,
  [6054] = 6005,
  [6055] = 6005,
  [6056] = 6005,
  [6057] = 3490,
  [6058] = 3491,
  [6059] = 6005,
  [6060] = 3513,
  [6061] = 6005,
  [6062] = 3575,
  [6063] = 3385,
  [6064] = 6064,
  [6065] = 3387,
  [6066] = 3394,
  [6067] = 3400,
  [6068] = 6005,
  [6069] = 3405,
  [6070] = 3425,
  [6071] = 6005,
  [6072] = 6005,
  [6073] = 6005,
  [6074] = 6005,
  [6075] = 6005,
  [6076] = 6005,
  [6077] = 3407,
  [6078] = 6005,
  [6079] = 3356,
  [6080] = 6005,
  [6081] = 6005,
  [6082] = 6005,
  [6083] = 6005,
  [6084] = 6005,
  [6085] = 3343,
  [6086] = 6005,
  [6087] = 6005,
  [6088] = 6005,
  [6089] = 6005,
  [6090] = 6005,
  [6091] = 6005,
  [6092] = 6005,
  [6093] = 6005,
  [6094] = 6005,
  [6095] = 6005,
  [6096] = 6005,
  [6097] = 3415,
  [6098] = 6005,
  [6099] = 3433,
  [6100] = 6005,
  [6101] = 6005,
  [6102] = 6005,
  [6103] = 6005,
  [6104] = 6005,
  [6105] = 3445,
  [6106] = 6005,
  [6107] = 3446,
  [6108] = 3454,
  [6109] = 6005,
  [6110] = 3455,
  [6111] = 3340,
  [6112] = 6005,
  [6113] = 6005,
  [6114] = 6005,
  [6115] = 6005,
  [6116] = 5944,
  [6117] = 6005,
  [6118] = 6005,
  [6119] = 6064,
  [6120] = 6003,
  [6121] = 6064,
  [6122] = 6003,
  [6123] = 6003,
  [6124] = 3460,
  [6125] = 6003,
  [6126] = 3461,
  [6127] = 3463,
  [6128] = 3556,
  [6129] = 6003,
  [6130] = 3474,
  [6131] = 6003,
  [6132] = 3494,
  [6133] = 3480,
  [6134] = 3350,
  [6135] = 3481,
  [6136] = 3502,
  [6137] = 4468,
  [6138] = 3331,
  [6139] = 3330,
  [6140] = 3332,
  [6141] = 3347,
  [6142] = 3327,
  [6143] = 3552,
  [6144] = 3497,
  [6145] = 3553,
  [6146] = 3333,
  [6147] = 3408,
  [6148] = 3331,
  [6149] = 3330,
  [6150] = 3332,
  [6151] = 3343,
  [6152] = 3340,
  [6153] = 3350,
  [6154] = 3421,
  [6155] = 3344,
  [6156] = 3356,
  [6157] = 3422,
  [6158] = 3423,
  [6159] = 6005,
  [6160] = 6005,
  [6161] = 3445,
  [6162] = 3387,
  [6163] = 3552,
  [6164] = 3497,
  [6165] = 3407,
  [6166] = 3553,
  [6167] = 6167,
  [6168] = 6168,
  [6169] = 3480,
  [6170] = 3481,
  [6171] = 3589,
  [6172] = 3463,
  [6173] = 3461,
  [6174] = 3481,
  [6175] = 3421,
  [6176] = 3502,
  [6177] = 6039,
  [6178] = 3454,
  [6179] = 3446,
  [6180] = 3639,
  [6181] = 3454,
  [6182] = 3421,
  [6183] = 3642,
  [6184] = 3385,
  [6185] = 3556,
  [6186] = 3480,
  [6187] = 6187,
  [6188] = 3433,
  [6189] = 3706,
  [6190] = 3456,
  [6191] = 3465,
  [6192] = 3407,
  [6193] = 3408,
  [6194] = 3391,
  [6195] = 3408,
  [6196] = 3460,
  [6197] = 3455,
  [6198] = 3420,
  [6199] = 3327,
  [6200] = 3556,
  [6201] = 3583,
  [6202] = 3416,
  [6203] = 3494,
  [6204] = 3461,
  [6205] = 3707,
  [6206] = 6206,
  [6207] = 3425,
  [6208] = 3474,
  [6209] = 6209,
  [6210] = 3408,
  [6211] = 3415,
  [6212] = 3405,
  [6213] = 3497,
  [6214] = 3415,
  [6215] = 3347,
  [6216] = 3327,
  [6217] = 3448,
  [6218] = 3455,
  [6219] = 3384,
  [6220] = 3407,
  [6221] = 3422,
  [6222] = 3551,
  [6223] = 3407,
  [6224] = 3421,
  [6225] = 3425,
  [6226] = 3494,
  [6227] = 3552,
  [6228] = 3491,
  [6229] = 3485,
  [6230] = 6230,
  [6231] = 3422,
  [6232] = 3481,
  [6233] = 4706,
  [6234] = 3474,
  [6235] = 3422,
  [6236] = 3463,
  [6237] = 4468,
  [6238] = 3553,
  [6239] = 3711,
  [6240] = 3333,
  [6241] = 3378,
  [6242] = 3427,
  [6243] = 3331,
  [6244] = 3330,
  [6245] = 3332,
  [6246] = 3444,
  [6247] = 3448,
  [6248] = 3343,
  [6249] = 3340,
  [6250] = 3350,
  [6251] = 4734,
  [6252] = 3436,
  [6253] = 3423,
  [6254] = 3504,
  [6255] = 3591,
  [6256] = 3431,
  [6257] = 3446,
  [6258] = 3445,
  [6259] = 3626,
  [6260] = 3502,
  [6261] = 3416,
  [6262] = 3480,
  [6263] = 3595,
  [6264] = 3494,
  [6265] = 3490,
  [6266] = 3630,
  [6267] = 3640,
  [6268] = 3597,
  [6269] = 3344,
  [6270] = 3356,
  [6271] = 3589,
  [6272] = 3591,
  [6273] = 3380,
  [6274] = 3701,
  [6275] = 3706,
  [6276] = 3707,
  [6277] = 3380,
  [6278] = 3460,
  [6279] = 3378,
  [6280] = 3427,
  [6281] = 3431,
  [6282] = 3583,
  [6283] = 3623,
  [6284] = 3633,
  [6285] = 3502,
  [6286] = 3639,
  [6287] = 3642,
  [6288] = 3711,
  [6289] = 3504,
  [6290] = 3595,
  [6291] = 3597,
  [6292] = 3393,
  [6293] = 3546,
  [6294] = 3456,
  [6295] = 3465,
  [6296] = 3485,
  [6297] = 3381,
  [6298] = 3423,
  [6299] = 3395,
  [6300] = 3623,
  [6301] = 3414,
  [6302] = 3418,
  [6303] = 3420,
  [6304] = 3513,
  [6305] = 3444,
  [6306] = 3381,
  [6307] = 3393,
  [6308] = 3575,
  [6309] = 3608,
  [6310] = 3626,
  [6311] = 3630,
  [6312] = 3640,
  [6313] = 3701,
  [6314] = 3460,
  [6315] = 3394,
  [6316] = 3423,
  [6317] = 3395,
  [6318] = 3384,
  [6319] = 3391,
  [6320] = 3400,
  [6321] = 3414,
  [6322] = 3436,
  [6323] = 3418,
  [6324] = 3461,
  [6325] = 3546,
  [6326] = 3463,
  [6327] = 3497,
  [6328] = 3490,
  [6329] = 3491,
  [6330] = 3513,
  [6331] = 3474,
  [6332] = 3575,
  [6333] = 3385,
  [6334] = 3387,
  [6335] = 3394,
  [6336] = 3400,
  [6337] = 3405,
  [6338] = 3422,
  [6339] = 3551,
  [6340] = 3433,
  [6341] = 3633,
  [6342] = 3608,
  [6343] = 3454,
  [6344] = 3408,
  [6345] = 3421,
  [6346] = 3407,
  [6347] = 3423,
  [6348] = 6348,
  [6349] = 3556,
  [6350] = 4734,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 6353,
  [6354] = 3460,
  [6355] = 6355,
  [6356] = 3461,
  [6357] = 6357,
  [6358] = 3327,
  [6359] = 3455,
  [6360] = 3422,
  [6361] = 6361,
  [6362] = 6362,
  [6363] = 3408,
  [6364] = 6364,
  [6365] = 6230,
  [6366] = 6366,
  [6367] = 3463,
  [6368] = 6168,
  [6369] = 3497,
  [6370] = 6370,
  [6371] = 6371,
  [6372] = 3551,
  [6373] = 3445,
  [6374] = 3474,
  [6375] = 3446,
  [6376] = 3552,
  [6377] = 3553,
  [6378] = 6206,
  [6379] = 3425,
  [6380] = 3480,
  [6381] = 3446,
  [6382] = 3481,
  [6383] = 3454,
  [6384] = 3455,
  [6385] = 4706,
  [6386] = 3423,
  [6387] = 6387,
  [6388] = 6388,
  [6389] = 6389,
  [6390] = 6390,
  [6391] = 6391,
  [6392] = 3589,
  [6393] = 3460,
  [6394] = 6394,
  [6395] = 3433,
  [6396] = 3591,
  [6397] = 3380,
  [6398] = 3461,
  [6399] = 3551,
  [6400] = 3701,
  [6401] = 3706,
  [6402] = 3707,
  [6403] = 3463,
  [6404] = 6404,
  [6405] = 3378,
  [6406] = 3427,
  [6407] = 3431,
  [6408] = 3583,
  [6409] = 3623,
  [6410] = 3633,
  [6411] = 3474,
  [6412] = 3639,
  [6413] = 3642,
  [6414] = 3711,
  [6415] = 3504,
  [6416] = 3595,
  [6417] = 3597,
  [6418] = 3393,
  [6419] = 3546,
  [6420] = 3456,
  [6421] = 3465,
  [6422] = 3485,
  [6423] = 3381,
  [6424] = 3395,
  [6425] = 3414,
  [6426] = 3418,
  [6427] = 6427,
  [6428] = 3444,
  [6429] = 3608,
  [6430] = 3626,
  [6431] = 3556,
  [6432] = 3494,
  [6433] = 3630,
  [6434] = 3640,
  [6435] = 3384,
  [6436] = 3460,
  [6437] = 3461,
  [6438] = 3391,
  [6439] = 6439,
  [6440] = 3494,
  [6441] = 3445,
  [6442] = 3463,
  [6443] = 6443,
  [6444] = 3436,
  [6445] = 6445,
  [6446] = 3474,
  [6447] = 3497,
  [6448] = 6448,
  [6449] = 3502,
  [6450] = 3494,
  [6451] = 3490,
  [6452] = 6452,
  [6453] = 3491,
  [6454] = 6454,
  [6455] = 3416,
  [6456] = 3513,
  [6457] = 6230,
  [6458] = 3575,
  [6459] = 3385,
  [6460] = 6206,
  [6461] = 3387,
  [6462] = 3394,
  [6463] = 3400,
  [6464] = 6464,
  [6465] = 3405,
  [6466] = 3407,
  [6467] = 3421,
  [6468] = 6468,
  [6469] = 3408,
  [6470] = 3421,
  [6471] = 3480,
  [6472] = 3422,
  [6473] = 3423,
  [6474] = 6474,
  [6475] = 3481,
  [6476] = 3502,
  [6477] = 6477,
  [6478] = 6478,
  [6479] = 3415,
  [6480] = 3433,
  [6481] = 6481,
  [6482] = 3448,
  [6483] = 6483,
  [6484] = 6484,
  [6485] = 6485,
  [6486] = 3497,
  [6487] = 3425,
  [6488] = 3552,
  [6489] = 3480,
  [6490] = 6168,
  [6491] = 3415,
  [6492] = 6492,
  [6493] = 3553,
  [6494] = 6494,
  [6495] = 6495,
  [6496] = 3481,
  [6497] = 3502,
  [6498] = 4468,
  [6499] = 3420,
  [6500] = 6484,
  [6501] = 6443,
  [6502] = 6357,
  [6503] = 3340,
  [6504] = 3423,
  [6505] = 3327,
  [6506] = 6364,
  [6507] = 4706,
  [6508] = 6445,
  [6509] = 3332,
  [6510] = 6481,
  [6511] = 6427,
  [6512] = 6371,
  [6513] = 6492,
  [6514] = 3408,
  [6515] = 6394,
  [6516] = 6477,
  [6517] = 3445,
  [6518] = 6404,
  [6519] = 6362,
  [6520] = 6370,
  [6521] = 6357,
  [6522] = 6353,
  [6523] = 6351,
  [6524] = 6371,
  [6525] = 6477,
  [6526] = 3433,
  [6527] = 6454,
  [6528] = 6351,
  [6529] = 6348,
  [6530] = 6352,
  [6531] = 6468,
  [6532] = 3344,
  [6533] = 3333,
  [6534] = 3331,
  [6535] = 6355,
  [6536] = 6366,
  [6537] = 4734,
  [6538] = 6353,
  [6539] = 6352,
  [6540] = 6168,
  [6541] = 6390,
  [6542] = 6348,
  [6543] = 6391,
  [6544] = 6388,
  [6545] = 6485,
  [6546] = 6394,
  [6547] = 3415,
  [6548] = 6404,
  [6549] = 6452,
  [6550] = 6483,
  [6551] = 6230,
  [6552] = 6474,
  [6553] = 6439,
  [6554] = 6494,
  [6555] = 6495,
  [6556] = 6492,
  [6557] = 4468,
  [6558] = 6448,
  [6559] = 6387,
  [6560] = 6448,
  [6561] = 6464,
  [6562] = 6474,
  [6563] = 6478,
  [6564] = 3356,
  [6565] = 6366,
  [6566] = 6494,
  [6567] = 6387,
  [6568] = 6361,
  [6569] = 6388,
  [6570] = 3551,
  [6571] = 3415,
  [6572] = 3343,
  [6573] = 3551,
  [6574] = 6483,
  [6575] = 6370,
  [6576] = 6389,
  [6577] = 6484,
  [6578] = 3494,
  [6579] = 6485,
  [6580] = 6445,
  [6581] = 3446,
  [6582] = 3552,
  [6583] = 3553,
  [6584] = 3421,
  [6585] = 3460,
  [6586] = 4468,
  [6587] = 3461,
  [6588] = 3556,
  [6589] = 6390,
  [6590] = 3425,
  [6591] = 3463,
  [6592] = 3474,
  [6593] = 6468,
  [6594] = 6391,
  [6595] = 3347,
  [6596] = 3497,
  [6597] = 6439,
  [6598] = 3454,
  [6599] = 3433,
  [6600] = 6452,
  [6601] = 3480,
  [6602] = 3350,
  [6603] = 6464,
  [6604] = 3552,
  [6605] = 6478,
  [6606] = 6206,
  [6607] = 3481,
  [6608] = 6481,
  [6609] = 3445,
  [6610] = 3502,
  [6611] = 3425,
  [6612] = 6364,
  [6613] = 6427,
  [6614] = 3553,
  [6615] = 3455,
  [6616] = 6443,
  [6617] = 3446,
  [6618] = 3454,
  [6619] = 3556,
  [6620] = 3330,
  [6621] = 6362,
  [6622] = 6389,
  [6623] = 6454,
  [6624] = 6495,
  [6625] = 6361,
  [6626] = 3455,
  [6627] = 6355,
  [6628] = 3480,
  [6629] = 3405,
  [6630] = 6443,
  [6631] = 6364,
  [6632] = 3436,
  [6633] = 3425,
  [6634] = 6370,
  [6635] = 3393,
  [6636] = 3445,
  [6637] = 3556,
  [6638] = 6404,
  [6639] = 3394,
  [6640] = 3422,
  [6641] = 3446,
  [6642] = 6477,
  [6643] = 3608,
  [6644] = 3454,
  [6645] = 6353,
  [6646] = 3455,
  [6647] = 3391,
  [6648] = 3706,
  [6649] = 3583,
  [6650] = 3623,
  [6651] = 3633,
  [6652] = 6391,
  [6653] = 3485,
  [6654] = 3400,
  [6655] = 3626,
  [6656] = 3707,
  [6657] = 3381,
  [6658] = 3416,
  [6659] = 3546,
  [6660] = 4706,
  [6661] = 6389,
  [6662] = 6351,
  [6663] = 3395,
  [6664] = 3640,
  [6665] = 3421,
  [6666] = 3327,
  [6667] = 6454,
  [6668] = 3630,
  [6669] = 3384,
  [6670] = 3551,
  [6671] = 3414,
  [6672] = 3418,
  [6673] = 3456,
  [6674] = 6478,
  [6675] = 6352,
  [6676] = 3551,
  [6677] = 3331,
  [6678] = 3385,
  [6679] = 3344,
  [6680] = 3423,
  [6681] = 3415,
  [6682] = 3407,
  [6683] = 3347,
  [6684] = 6445,
  [6685] = 6468,
  [6686] = 3701,
  [6687] = 3330,
  [6688] = 3420,
  [6689] = 6448,
  [6690] = 6388,
  [6691] = 3332,
  [6692] = 3491,
  [6693] = 3444,
  [6694] = 3553,
  [6695] = 3433,
  [6696] = 3427,
  [6697] = 3378,
  [6698] = 3431,
  [6699] = 3408,
  [6700] = 6355,
  [6701] = 3513,
  [6702] = 6387,
  [6703] = 6452,
  [6704] = 3575,
  [6705] = 4468,
  [6706] = 6361,
  [6707] = 3356,
  [6708] = 6492,
  [6709] = 6366,
  [6710] = 6439,
  [6711] = 6485,
  [6712] = 3433,
  [6713] = 6464,
  [6714] = 6483,
  [6715] = 3387,
  [6716] = 6494,
  [6717] = 3445,
  [6718] = 3425,
  [6719] = 6495,
  [6720] = 6394,
  [6721] = 3556,
  [6722] = 3327,
  [6723] = 3446,
  [6724] = 6484,
  [6725] = 3454,
  [6726] = 3455,
  [6727] = 6474,
  [6728] = 3639,
  [6729] = 3711,
  [6730] = 3448,
  [6731] = 3343,
  [6732] = 4706,
  [6733] = 3415,
  [6734] = 3504,
  [6735] = 4734,
  [6736] = 3460,
  [6737] = 3461,
  [6738] = 3463,
  [6739] = 3552,
  [6740] = 3474,
  [6741] = 6371,
  [6742] = 6481,
  [6743] = 3490,
  [6744] = 3553,
  [6745] = 3552,
  [6746] = 3481,
  [6747] = 6348,
  [6748] = 6427,
  [6749] = 3591,
  [6750] = 6362,
  [6751] = 3380,
  [6752] = 3340,
  [6753] = 4734,
  [6754] = 3465,
  [6755] = 3595,
  [6756] = 3494,
  [6757] = 3497,
  [6758] = 3642,
  [6759] = 6390,
  [6760] = 3350,
  [6761] = 3589,
  [6762] = 3597,
  [6763] = 3502,
  [6764] = 3333,
  [6765] = 6357,
  [6766] = 3347,
  [6767] = 3415,
  [6768] = 3333,
  [6769] = 3407,
  [6770] = 3589,
  [6771] = 3706,
  [6772] = 3387,
  [6773] = 3460,
  [6774] = 4734,
  [6775] = 3497,
  [6776] = 6776,
  [6777] = 3461,
  [6778] = 3444,
  [6779] = 3394,
  [6780] = 3400,
  [6781] = 3405,
  [6782] = 3448,
  [6783] = 3422,
  [6784] = 3640,
  [6785] = 3327,
  [6786] = 3552,
  [6787] = 3463,
  [6788] = 3425,
  [6789] = 3340,
  [6790] = 3423,
  [6791] = 6791,
  [6792] = 3327,
  [6793] = 3474,
  [6794] = 3408,
  [6795] = 6791,
  [6796] = 3595,
  [6797] = 3416,
  [6798] = 3395,
  [6799] = 3350,
  [6800] = 3446,
  [6801] = 3454,
  [6802] = 3436,
  [6803] = 3553,
  [6804] = 3418,
  [6805] = 3378,
  [6806] = 3356,
  [6807] = 3711,
  [6808] = 6776,
  [6809] = 3455,
  [6810] = 3393,
  [6811] = 3551,
  [6812] = 3427,
  [6813] = 3490,
  [6814] = 3481,
  [6815] = 3494,
  [6816] = 3502,
  [6817] = 3431,
  [6818] = 4706,
  [6819] = 3456,
  [6820] = 3433,
  [6821] = 3639,
  [6822] = 3445,
  [6823] = 3491,
  [6824] = 3380,
  [6825] = 3701,
  [6826] = 3583,
  [6827] = 3513,
  [6828] = 3420,
  [6829] = 3421,
  [6830] = 6791,
  [6831] = 3504,
  [6832] = 3623,
  [6833] = 3485,
  [6834] = 6791,
  [6835] = 3343,
  [6836] = 3608,
  [6837] = 3465,
  [6838] = 3384,
  [6839] = 3591,
  [6840] = 3597,
  [6841] = 3633,
  [6842] = 3707,
  [6843] = 3331,
  [6844] = 6791,
  [6845] = 3480,
  [6846] = 3556,
  [6847] = 3330,
  [6848] = 3332,
  [6849] = 3344,
  [6850] = 3414,
  [6851] = 3391,
  [6852] = 3626,
  [6853] = 3575,
  [6854] = 3546,
  [6855] = 3385,
  [6856] = 6791,
  [6857] = 3642,
  [6858] = 3630,
  [6859] = 6776,
  [6860] = 3381,
  [6861] = 3711,
  [6862] = 3551,
  [6863] = 3454,
  [6864] = 3455,
  [6865] = 3552,
  [6866] = 3553,
  [6867] = 3356,
  [6868] = 3556,
  [6869] = 3331,
  [6870] = 3330,
  [6871] = 3332,
  [6872] = 3343,
  [6873] = 3340,
  [6874] = 3350,
  [6875] = 3589,
  [6876] = 3421,
  [6877] = 3460,
  [6878] = 3591,
  [6879] = 3461,
  [6880] = 3490,
  [6881] = 3463,
  [6882] = 3380,
  [6883] = 3701,
  [6884] = 3474,
  [6885] = 3706,
  [6886] = 3707,
  [6887] = 3416,
  [6888] = 3378,
  [6889] = 3427,
  [6890] = 3378,
  [6891] = 3427,
  [6892] = 3480,
  [6893] = 3431,
  [6894] = 3513,
  [6895] = 3583,
  [6896] = 3623,
  [6897] = 3481,
  [6898] = 3633,
  [6899] = 3639,
  [6900] = 3642,
  [6901] = 3431,
  [6902] = 3504,
  [6903] = 3595,
  [6904] = 3597,
  [6905] = 3393,
  [6906] = 3575,
  [6907] = 3546,
  [6908] = 3456,
  [6909] = 3465,
  [6910] = 3485,
  [6911] = 3381,
  [6912] = 3395,
  [6913] = 3414,
  [6914] = 3418,
  [6915] = 3387,
  [6916] = 3420,
  [6917] = 3444,
  [6918] = 3448,
  [6919] = 3583,
  [6920] = 3608,
  [6921] = 3626,
  [6922] = 3630,
  [6923] = 3640,
  [6924] = 3394,
  [6925] = 3623,
  [6926] = 3633,
  [6927] = 3344,
  [6928] = 3384,
  [6929] = 3400,
  [6930] = 3494,
  [6931] = 3497,
  [6932] = 3433,
  [6933] = 3405,
  [6934] = 3333,
  [6935] = 3502,
  [6936] = 3639,
  [6937] = 3445,
  [6938] = 3642,
  [6939] = 3446,
  [6940] = 3454,
  [6941] = 3455,
  [6942] = 3407,
  [6943] = 3422,
  [6944] = 3408,
  [6945] = 3391,
  [6946] = 3425,
  [6947] = 3421,
  [6948] = 3711,
  [6949] = 3422,
  [6950] = 3423,
  [6951] = 3491,
  [6952] = 3460,
  [6953] = 3461,
  [6954] = 3463,
  [6955] = 3344,
  [6956] = 3474,
  [6957] = 3480,
  [6958] = 3481,
  [6959] = 3436,
  [6960] = 3385,
  [6961] = 3356,
  [6962] = 3423,
  [6963] = 3494,
  [6964] = 3497,
  [6965] = 3504,
  [6966] = 3502,
  [6967] = 3416,
  [6968] = 3595,
  [6969] = 3356,
  [6970] = 3597,
  [6971] = 3407,
  [6972] = 3408,
  [6973] = 3393,
  [6974] = 3421,
  [6975] = 3481,
  [6976] = 3546,
  [6977] = 3422,
  [6978] = 3423,
  [6979] = 3416,
  [6980] = 3456,
  [6981] = 3465,
  [6982] = 3485,
  [6983] = 3474,
  [6984] = 3381,
  [6985] = 3395,
  [6986] = 3414,
  [6987] = 3418,
  [6988] = 3448,
  [6989] = 3420,
  [6990] = 3589,
  [6991] = 3347,
  [6992] = 3327,
  [6993] = 3444,
  [6994] = 3331,
  [6995] = 3330,
  [6996] = 3332,
  [6997] = 3415,
  [6998] = 3591,
  [6999] = 3490,
  [7000] = 3380,
  [7001] = 3491,
  [7002] = 3701,
  [7003] = 3706,
  [7004] = 3707,
  [7005] = 3608,
  [7006] = 3626,
  [7007] = 3630,
  [7008] = 3640,
  [7009] = 3378,
  [7010] = 3427,
  [7011] = 3431,
  [7012] = 3551,
  [7013] = 3513,
  [7014] = 3552,
  [7015] = 3553,
  [7016] = 3556,
  [7017] = 3583,
  [7018] = 3623,
  [7019] = 3633,
  [7020] = 3333,
  [7021] = 3639,
  [7022] = 3642,
  [7023] = 3490,
  [7024] = 3711,
  [7025] = 3504,
  [7026] = 3595,
  [7027] = 3597,
  [7028] = 3393,
  [7029] = 3575,
  [7030] = 3433,
  [7031] = 3546,
  [7032] = 3385,
  [7033] = 3456,
  [7034] = 3465,
  [7035] = 3513,
  [7036] = 3551,
  [7037] = 3552,
  [7038] = 3553,
  [7039] = 3556,
  [7040] = 3485,
  [7041] = 3343,
  [7042] = 3381,
  [7043] = 3395,
  [7044] = 3414,
  [7045] = 3418,
  [7046] = 3387,
  [7047] = 3420,
  [7048] = 3444,
  [7049] = 3340,
  [7050] = 3331,
  [7051] = 3330,
  [7052] = 3332,
  [7053] = 3575,
  [7054] = 3608,
  [7055] = 3551,
  [7056] = 3552,
  [7057] = 3553,
  [7058] = 3556,
  [7059] = 3350,
  [7060] = 3626,
  [7061] = 3630,
  [7062] = 3640,
  [7063] = 3394,
  [7064] = 3343,
  [7065] = 3387,
  [7066] = 3340,
  [7067] = 3350,
  [7068] = 3384,
  [7069] = 3384,
  [7070] = 3400,
  [7071] = 3445,
  [7072] = 3405,
  [7073] = 3394,
  [7074] = 3446,
  [7075] = 3347,
  [7076] = 3400,
  [7077] = 3454,
  [7078] = 3405,
  [7079] = 3455,
  [7080] = 3425,
  [7081] = 3333,
  [7082] = 3391,
  [7083] = 3425,
  [7084] = 3491,
  [7085] = 3331,
  [7086] = 3330,
  [7087] = 3332,
  [7088] = 3343,
  [7089] = 3340,
  [7090] = 3350,
  [7091] = 3347,
  [7092] = 3391,
  [7093] = 3327,
  [7094] = 3327,
  [7095] = 3327,
  [7096] = 3327,
  [7097] = 3347,
  [7098] = 3333,
  [7099] = 3415,
  [7100] = 3344,
  [7101] = 3448,
  [7102] = 3356,
  [7103] = 3494,
  [7104] = 3589,
  [7105] = 3347,
  [7106] = 3446,
  [7107] = 3591,
  [7108] = 3380,
  [7109] = 3701,
  [7110] = 3706,
  [7111] = 3707,
  [7112] = 3378,
  [7113] = 3427,
  [7114] = 3431,
  [7115] = 3583,
  [7116] = 3623,
  [7117] = 3633,
  [7118] = 3333,
  [7119] = 3639,
  [7120] = 3642,
  [7121] = 3711,
  [7122] = 3504,
  [7123] = 3595,
  [7124] = 3597,
  [7125] = 3393,
  [7126] = 3546,
  [7127] = 3456,
  [7128] = 3465,
  [7129] = 3460,
  [7130] = 3485,
  [7131] = 3381,
  [7132] = 3395,
  [7133] = 3414,
  [7134] = 3418,
  [7135] = 3420,
  [7136] = 3444,
  [7137] = 3331,
  [7138] = 3330,
  [7139] = 3332,
  [7140] = 3608,
  [7141] = 3626,
  [7142] = 3630,
  [7143] = 3640,
  [7144] = 3343,
  [7145] = 3340,
  [7146] = 3350,
  [7147] = 3384,
  [7148] = 3391,
  [7149] = 3461,
  [7150] = 3327,
  [7151] = 3463,
  [7152] = 3497,
  [7153] = 3415,
  [7154] = 3436,
  [7155] = 3474,
  [7156] = 3490,
  [7157] = 3344,
  [7158] = 3513,
  [7159] = 3333,
  [7160] = 3575,
  [7161] = 3356,
  [7162] = 3387,
  [7163] = 3331,
  [7164] = 3330,
  [7165] = 3332,
  [7166] = 3394,
  [7167] = 3343,
  [7168] = 3340,
  [7169] = 3350,
  [7170] = 3400,
  [7171] = 3405,
  [7172] = 3480,
  [7173] = 3491,
  [7174] = 3481,
  [7175] = 3333,
  [7176] = 3436,
  [7177] = 3385,
  [7178] = 3331,
  [7179] = 3330,
  [7180] = 3332,
  [7181] = 3343,
  [7182] = 3340,
  [7183] = 3350,
  [7184] = 3425,
  [7185] = 3344,
  [7186] = 3333,
  [7187] = 3356,
  [7188] = 3331,
  [7189] = 3330,
  [7190] = 3332,
  [7191] = 3343,
  [7192] = 3340,
  [7193] = 3350,
  [7194] = 3344,
  [7195] = 3333,
  [7196] = 3356,
  [7197] = 3331,
  [7198] = 3330,
  [7199] = 3332,
  [7200] = 3343,
  [7201] = 3340,
  [7202] = 3350,
  [7203] = 3344,
  [7204] = 3463,
  [7205] = 3480,
  [7206] = 4468,
  [7207] = 3460,
  [7208] = 3356,
  [7209] = 3494,
  [7210] = 3497,
  [7211] = 3327,
  [7212] = 3436,
  [7213] = 3461,
  [7214] = 3502,
  [7215] = 3416,
  [7216] = 3344,
  [7217] = 3356,
  [7218] = 3589,
  [7219] = 3448,
  [7220] = 3347,
  [7221] = 3407,
  [7222] = 3433,
  [7223] = 3407,
  [7224] = 3408,
  [7225] = 3502,
  [7226] = 3408,
  [7227] = 3415,
  [7228] = 3421,
  [7229] = 3433,
  [7230] = 3591,
  [7231] = 3445,
  [7232] = 3422,
  [7233] = 3446,
  [7234] = 3454,
  [7235] = 3455,
  [7236] = 3423,
  [7237] = 3380,
  [7238] = 3344,
  [7239] = 3701,
  [7240] = 3706,
  [7241] = 3707,
  [7242] = 3445,
  [7243] = 3385,
  [7244] = 3491,
  [7245] = 3393,
  [7246] = 3407,
  [7247] = 3546,
  [7248] = 3480,
  [7249] = 3456,
  [7250] = 3465,
  [7251] = 3485,
  [7252] = 3381,
  [7253] = 3395,
  [7254] = 3414,
  [7255] = 3418,
  [7256] = 3408,
  [7257] = 3420,
  [7258] = 3444,
  [7259] = 3448,
  [7260] = 3575,
  [7261] = 3463,
  [7262] = 3595,
  [7263] = 3608,
  [7264] = 3626,
  [7265] = 3630,
  [7266] = 3640,
  [7267] = 3608,
  [7268] = 3408,
  [7269] = 3552,
  [7270] = 3384,
  [7271] = 7271,
  [7272] = 3553,
  [7273] = 3327,
  [7274] = 3391,
  [7275] = 3343,
  [7276] = 3463,
  [7277] = 3340,
  [7278] = 3350,
  [7279] = 7271,
  [7280] = 3344,
  [7281] = 3454,
  [7282] = 3551,
  [7283] = 3494,
  [7284] = 3552,
  [7285] = 3436,
  [7286] = 3347,
  [7287] = 3497,
  [7288] = 3327,
  [7289] = 3327,
  [7290] = 3327,
  [7291] = 3327,
  [7292] = 3474,
  [7293] = 3553,
  [7294] = 3356,
  [7295] = 7295,
  [7296] = 3474,
  [7297] = 3626,
  [7298] = 3630,
  [7299] = 3460,
  [7300] = 3327,
  [7301] = 3461,
  [7302] = 3344,
  [7303] = 3387,
  [7304] = 3490,
  [7305] = 3491,
  [7306] = 3552,
  [7307] = 3553,
  [7308] = 3333,
  [7309] = 3421,
  [7310] = 3513,
  [7311] = 3333,
  [7312] = 3463,
  [7313] = 3575,
  [7314] = 3433,
  [7315] = 3385,
  [7316] = 3556,
  [7317] = 3556,
  [7318] = 3387,
  [7319] = 3494,
  [7320] = 3394,
  [7321] = 3494,
  [7322] = 3400,
  [7323] = 3405,
  [7324] = 3640,
  [7325] = 3497,
  [7326] = 3327,
  [7327] = 3497,
  [7328] = 3356,
  [7329] = 3425,
  [7330] = 3474,
  [7331] = 3445,
  [7332] = 3344,
  [7333] = 3474,
  [7334] = 3421,
  [7335] = 3394,
  [7336] = 3454,
  [7337] = 3481,
  [7338] = 3502,
  [7339] = 4706,
  [7340] = 3597,
  [7341] = 3480,
  [7342] = 3480,
  [7343] = 3400,
  [7344] = 3393,
  [7345] = 3481,
  [7346] = 3331,
  [7347] = 3330,
  [7348] = 3480,
  [7349] = 3332,
  [7350] = 3436,
  [7351] = 3405,
  [7352] = 3546,
  [7353] = 3384,
  [7354] = 3455,
  [7355] = 3481,
  [7356] = 3502,
  [7357] = 3502,
  [7358] = 3425,
  [7359] = 3356,
  [7360] = 3460,
  [7361] = 3422,
  [7362] = 3456,
  [7363] = 3422,
  [7364] = 3491,
  [7365] = 3455,
  [7366] = 3423,
  [7367] = 3494,
  [7368] = 3423,
  [7369] = 3497,
  [7370] = 3551,
  [7371] = 3331,
  [7372] = 3330,
  [7373] = 3502,
  [7374] = 3332,
  [7375] = 3494,
  [7376] = 3552,
  [7377] = 3343,
  [7378] = 3340,
  [7379] = 3350,
  [7380] = 3553,
  [7381] = 3465,
  [7382] = 3416,
  [7383] = 3556,
  [7384] = 3461,
  [7385] = 3347,
  [7386] = 3407,
  [7387] = 3551,
  [7388] = 3327,
  [7389] = 3448,
  [7390] = 3433,
  [7391] = 3589,
  [7392] = 7295,
  [7393] = 3347,
  [7394] = 3591,
  [7395] = 3408,
  [7396] = 3380,
  [7397] = 3701,
  [7398] = 3706,
  [7399] = 3707,
  [7400] = 3416,
  [7401] = 3343,
  [7402] = 3378,
  [7403] = 3427,
  [7404] = 3431,
  [7405] = 3340,
  [7406] = 3583,
  [7407] = 3623,
  [7408] = 3633,
  [7409] = 3421,
  [7410] = 3639,
  [7411] = 3642,
  [7412] = 3711,
  [7413] = 3504,
  [7414] = 3595,
  [7415] = 3597,
  [7416] = 3393,
  [7417] = 3350,
  [7418] = 3546,
  [7419] = 3456,
  [7420] = 3465,
  [7421] = 3485,
  [7422] = 3391,
  [7423] = 3381,
  [7424] = 3395,
  [7425] = 3414,
  [7426] = 3418,
  [7427] = 3422,
  [7428] = 3420,
  [7429] = 3444,
  [7430] = 3448,
  [7431] = 3423,
  [7432] = 3445,
  [7433] = 3407,
  [7434] = 3608,
  [7435] = 3626,
  [7436] = 3630,
  [7437] = 3422,
  [7438] = 3640,
  [7439] = 3551,
  [7440] = 3642,
  [7441] = 3552,
  [7442] = 3553,
  [7443] = 3384,
  [7444] = 3556,
  [7445] = 3497,
  [7446] = 3589,
  [7447] = 7271,
  [7448] = 3391,
  [7449] = 3415,
  [7450] = 3422,
  [7451] = 3591,
  [7452] = 3490,
  [7453] = 3380,
  [7454] = 3485,
  [7455] = 3701,
  [7456] = 3706,
  [7457] = 3707,
  [7458] = 3416,
  [7459] = 3433,
  [7460] = 3378,
  [7461] = 3427,
  [7462] = 3431,
  [7463] = 3556,
  [7464] = 3446,
  [7465] = 3513,
  [7466] = 3583,
  [7467] = 3623,
  [7468] = 3633,
  [7469] = 3711,
  [7470] = 3639,
  [7471] = 3642,
  [7472] = 3381,
  [7473] = 3711,
  [7474] = 3436,
  [7475] = 3504,
  [7476] = 3595,
  [7477] = 3597,
  [7478] = 3393,
  [7479] = 3575,
  [7480] = 3546,
  [7481] = 3385,
  [7482] = 3456,
  [7483] = 3465,
  [7484] = 3485,
  [7485] = 3381,
  [7486] = 3395,
  [7487] = 3414,
  [7488] = 3418,
  [7489] = 3387,
  [7490] = 3420,
  [7491] = 3444,
  [7492] = 3448,
  [7493] = 3454,
  [7494] = 3395,
  [7495] = 3552,
  [7496] = 3608,
  [7497] = 3445,
  [7498] = 3626,
  [7499] = 3630,
  [7500] = 3640,
  [7501] = 3394,
  [7502] = 3423,
  [7503] = 3553,
  [7504] = 3455,
  [7505] = 3414,
  [7506] = 3446,
  [7507] = 3384,
  [7508] = 3400,
  [7509] = 3454,
  [7510] = 3405,
  [7511] = 3455,
  [7512] = 3589,
  [7513] = 3445,
  [7514] = 3391,
  [7515] = 3418,
  [7516] = 3591,
  [7517] = 3490,
  [7518] = 3380,
  [7519] = 3639,
  [7520] = 3597,
  [7521] = 3706,
  [7522] = 3707,
  [7523] = 3416,
  [7524] = 3446,
  [7525] = 3378,
  [7526] = 3427,
  [7527] = 3431,
  [7528] = 3513,
  [7529] = 3583,
  [7530] = 3623,
  [7531] = 3633,
  [7532] = 3490,
  [7533] = 3639,
  [7534] = 3642,
  [7535] = 3711,
  [7536] = 3436,
  [7537] = 3504,
  [7538] = 3595,
  [7539] = 3597,
  [7540] = 3393,
  [7541] = 3575,
  [7542] = 3546,
  [7543] = 3385,
  [7544] = 3456,
  [7545] = 3465,
  [7546] = 3485,
  [7547] = 3420,
  [7548] = 3381,
  [7549] = 3395,
  [7550] = 3414,
  [7551] = 3418,
  [7552] = 3387,
  [7553] = 3420,
  [7554] = 3444,
  [7555] = 3448,
  [7556] = 3444,
  [7557] = 3421,
  [7558] = 3556,
  [7559] = 3608,
  [7560] = 3626,
  [7561] = 3630,
  [7562] = 3640,
  [7563] = 3394,
  [7564] = 3481,
  [7565] = 3446,
  [7566] = 3333,
  [7567] = 3480,
  [7568] = 3384,
  [7569] = 3400,
  [7570] = 3405,
  [7571] = 3460,
  [7572] = 3589,
  [7573] = 3461,
  [7574] = 3344,
  [7575] = 3463,
  [7576] = 3391,
  [7577] = 3474,
  [7578] = 3591,
  [7579] = 3490,
  [7580] = 3380,
  [7581] = 3491,
  [7582] = 3701,
  [7583] = 3706,
  [7584] = 3494,
  [7585] = 3707,
  [7586] = 3463,
  [7587] = 3378,
  [7588] = 3427,
  [7589] = 3431,
  [7590] = 3480,
  [7591] = 3513,
  [7592] = 3583,
  [7593] = 3623,
  [7594] = 3633,
  [7595] = 3481,
  [7596] = 3502,
  [7597] = 3513,
  [7598] = 3639,
  [7599] = 3642,
  [7600] = 3711,
  [7601] = 3436,
  [7602] = 3504,
  [7603] = 3595,
  [7604] = 3597,
  [7605] = 3393,
  [7606] = 3575,
  [7607] = 3546,
  [7608] = 3385,
  [7609] = 3456,
  [7610] = 3465,
  [7611] = 3485,
  [7612] = 3433,
  [7613] = 3381,
  [7614] = 3395,
  [7615] = 3414,
  [7616] = 3418,
  [7617] = 3387,
  [7618] = 3420,
  [7619] = 3444,
  [7620] = 3454,
  [7621] = 3551,
  [7622] = 3331,
  [7623] = 3608,
  [7624] = 3626,
  [7625] = 3630,
  [7626] = 3640,
  [7627] = 3394,
  [7628] = 3330,
  [7629] = 3332,
  [7630] = 3344,
  [7631] = 3384,
  [7632] = 3400,
  [7633] = 3405,
  [7634] = 7295,
  [7635] = 3391,
  [7636] = 3425,
  [7637] = 3415,
  [7638] = 3490,
  [7639] = 3491,
  [7640] = 3497,
  [7641] = 3455,
  [7642] = 7271,
  [7643] = 3513,
  [7644] = 3333,
  [7645] = 3436,
  [7646] = 3343,
  [7647] = 3445,
  [7648] = 3340,
  [7649] = 3575,
  [7650] = 3481,
  [7651] = 3385,
  [7652] = 3502,
  [7653] = 3350,
  [7654] = 3433,
  [7655] = 3589,
  [7656] = 3408,
  [7657] = 3347,
  [7658] = 3356,
  [7659] = 3387,
  [7660] = 3327,
  [7661] = 3327,
  [7662] = 3460,
  [7663] = 3394,
  [7664] = 3433,
  [7665] = 3461,
  [7666] = 3400,
  [7667] = 3405,
  [7668] = 3333,
  [7669] = 3407,
  [7670] = 3446,
  [7671] = 3425,
  [7672] = 3408,
  [7673] = 3415,
  [7674] = 3356,
  [7675] = 3491,
  [7676] = 3591,
  [7677] = 3460,
  [7678] = 3421,
  [7679] = 3422,
  [7680] = 3331,
  [7681] = 3423,
  [7682] = 3454,
  [7683] = 3330,
  [7684] = 3332,
  [7685] = 3455,
  [7686] = 3385,
  [7687] = 3380,
  [7688] = 3460,
  [7689] = 3701,
  [7690] = 3706,
  [7691] = 3343,
  [7692] = 3340,
  [7693] = 3350,
  [7694] = 3461,
  [7695] = 3407,
  [7696] = 3425,
  [7697] = 3415,
  [7698] = 3707,
  [7699] = 3416,
  [7700] = 3446,
  [7701] = 3448,
  [7702] = 3463,
  [7703] = 3461,
  [7704] = 3551,
  [7705] = 3589,
  [7706] = 3347,
  [7707] = 3415,
  [7708] = 3378,
  [7709] = 3407,
  [7710] = 3427,
  [7711] = 3431,
  [7712] = 7295,
  [7713] = 3474,
  [7714] = 3408,
  [7715] = 3583,
  [7716] = 3623,
  [7717] = 3591,
  [7718] = 3380,
  [7719] = 3633,
  [7720] = 3331,
  [7721] = 3701,
  [7722] = 4468,
  [7723] = 3423,
  [7724] = 3639,
  [7725] = 3706,
  [7726] = 3642,
  [7727] = 3707,
  [7728] = 3445,
  [7729] = 3416,
  [7730] = 3425,
  [7731] = 3415,
  [7732] = 3504,
  [7733] = 3421,
  [7734] = 3330,
  [7735] = 3378,
  [7736] = 3427,
  [7737] = 3431,
  [7738] = 3332,
  [7739] = 3711,
  [7740] = 3583,
  [7741] = 3623,
  [7742] = 3504,
  [7743] = 3633,
  [7744] = 3595,
  [7745] = 4734,
  [7746] = 3701,
  [7747] = 3416,
  [7748] = 3591,
  [7749] = 3420,
  [7750] = 3444,
  [7751] = 3448,
  [7752] = 3591,
  [7753] = 3415,
  [7754] = 3608,
  [7755] = 3626,
  [7756] = 3630,
  [7757] = 3433,
  [7758] = 3640,
  [7759] = 3497,
  [7760] = 3384,
  [7761] = 3485,
  [7762] = 3490,
  [7763] = 7763,
  [7764] = 3445,
  [7765] = 3391,
  [7766] = 3380,
  [7767] = 7767,
  [7768] = 3381,
  [7769] = 3395,
  [7770] = 3414,
  [7771] = 4706,
  [7772] = 3418,
  [7773] = 3387,
  [7774] = 7774,
  [7775] = 3420,
  [7776] = 3444,
  [7777] = 3415,
  [7778] = 3448,
  [7779] = 3701,
  [7780] = 3407,
  [7781] = 3706,
  [7782] = 3408,
  [7783] = 3436,
  [7784] = 3608,
  [7785] = 3445,
  [7786] = 3497,
  [7787] = 3707,
  [7788] = 4706,
  [7789] = 3446,
  [7790] = 3626,
  [7791] = 3454,
  [7792] = 3455,
  [7793] = 3425,
  [7794] = 3630,
  [7795] = 3491,
  [7796] = 3640,
  [7797] = 3491,
  [7798] = 4734,
  [7799] = 3552,
  [7800] = 3385,
  [7801] = 3378,
  [7802] = 7774,
  [7803] = 3427,
  [7804] = 3394,
  [7805] = 3431,
  [7806] = 3446,
  [7807] = 3490,
  [7808] = 3491,
  [7809] = 3327,
  [7810] = 3454,
  [7811] = 7811,
  [7812] = 3378,
  [7813] = 3384,
  [7814] = 3551,
  [7815] = 3400,
  [7816] = 3583,
  [7817] = 3556,
  [7818] = 3623,
  [7819] = 3513,
  [7820] = 4468,
  [7821] = 3405,
  [7822] = 3633,
  [7823] = 3497,
  [7824] = 3589,
  [7825] = 3575,
  [7826] = 3327,
  [7827] = 3421,
  [7828] = 3385,
  [7829] = 3391,
  [7830] = 3333,
  [7831] = 3425,
  [7832] = 4468,
  [7833] = 3433,
  [7834] = 3422,
  [7835] = 3378,
  [7836] = 3387,
  [7837] = 3591,
  [7838] = 3490,
  [7839] = 3380,
  [7840] = 3394,
  [7841] = 3491,
  [7842] = 3701,
  [7843] = 3706,
  [7844] = 3707,
  [7845] = 3400,
  [7846] = 3405,
  [7847] = 3416,
  [7848] = 3639,
  [7849] = 3423,
  [7850] = 3642,
  [7851] = 3711,
  [7852] = 3427,
  [7853] = 3504,
  [7854] = 3425,
  [7855] = 3595,
  [7856] = 3552,
  [7857] = 3553,
  [7858] = 3597,
  [7859] = 3378,
  [7860] = 3427,
  [7861] = 3431,
  [7862] = 3393,
  [7863] = 3513,
  [7864] = 3575,
  [7865] = 3583,
  [7866] = 3623,
  [7867] = 3633,
  [7868] = 3546,
  [7869] = 3639,
  [7870] = 3642,
  [7871] = 3711,
  [7872] = 3436,
  [7873] = 3455,
  [7874] = 3456,
  [7875] = 3504,
  [7876] = 3465,
  [7877] = 3595,
  [7878] = 3597,
  [7879] = 3393,
  [7880] = 3460,
  [7881] = 3431,
  [7882] = 3575,
  [7883] = 3546,
  [7884] = 3556,
  [7885] = 3385,
  [7886] = 3456,
  [7887] = 3465,
  [7888] = 3485,
  [7889] = 3589,
  [7890] = 3485,
  [7891] = 3381,
  [7892] = 3395,
  [7893] = 3414,
  [7894] = 3418,
  [7895] = 3420,
  [7896] = 3381,
  [7897] = 3444,
  [7898] = 3395,
  [7899] = 3480,
  [7900] = 3414,
  [7901] = 3418,
  [7902] = 4734,
  [7903] = 3513,
  [7904] = 3387,
  [7905] = 3331,
  [7906] = 3330,
  [7907] = 3332,
  [7908] = 3608,
  [7909] = 3420,
  [7910] = 3444,
  [7911] = 3448,
  [7912] = 3626,
  [7913] = 3461,
  [7914] = 3460,
  [7915] = 3461,
  [7916] = 3421,
  [7917] = 3463,
  [7918] = 3433,
  [7919] = 3608,
  [7920] = 3630,
  [7921] = 3640,
  [7922] = 3583,
  [7923] = 3474,
  [7924] = 3623,
  [7925] = 3633,
  [7926] = 3427,
  [7927] = 3589,
  [7928] = 3626,
  [7929] = 3551,
  [7930] = 3630,
  [7931] = 3491,
  [7932] = 3480,
  [7933] = 3640,
  [7934] = 3481,
  [7935] = 3394,
  [7936] = 3551,
  [7937] = 3343,
  [7938] = 3490,
  [7939] = 3481,
  [7940] = 3340,
  [7941] = 3350,
  [7942] = 3502,
  [7943] = 3384,
  [7944] = 3384,
  [7945] = 3400,
  [7946] = 3407,
  [7947] = 3639,
  [7948] = 3642,
  [7949] = 3425,
  [7950] = 3421,
  [7951] = 3701,
  [7952] = 3591,
  [7953] = 3490,
  [7954] = 3380,
  [7955] = 3405,
  [7956] = 3387,
  [7957] = 3460,
  [7958] = 3589,
  [7959] = 3701,
  [7960] = 3706,
  [7961] = 3461,
  [7962] = 3494,
  [7963] = 3497,
  [7964] = 3431,
  [7965] = 3415,
  [7966] = 3463,
  [7967] = 3391,
  [7968] = 3502,
  [7969] = 3422,
  [7970] = 3711,
  [7971] = 3707,
  [7972] = 3407,
  [7973] = 3436,
  [7974] = 3433,
  [7975] = 3385,
  [7976] = 3423,
  [7977] = 3416,
  [7978] = 3504,
  [7979] = 3595,
  [7980] = 3385,
  [7981] = 3327,
  [7982] = 3513,
  [7983] = 3597,
  [7984] = 3416,
  [7985] = 3463,
  [7986] = 3407,
  [7987] = 3408,
  [7988] = 3385,
  [7989] = 3391,
  [7990] = 3394,
  [7991] = 3421,
  [7992] = 3433,
  [7993] = 3393,
  [7994] = 3552,
  [7995] = 3422,
  [7996] = 3423,
  [7997] = 3575,
  [7998] = 3553,
  [7999] = 3445,
  [8000] = 3425,
  [8001] = 3446,
  [8002] = 3454,
  [8003] = 3455,
  [8004] = 3400,
  [8005] = 3391,
  [8006] = 3405,
  [8007] = 3445,
  [8008] = 3425,
  [8009] = 3408,
  [8010] = 3583,
  [8011] = 3416,
  [8012] = 3546,
  [8013] = 3553,
  [8014] = 3446,
  [8015] = 3623,
  [8016] = 3454,
  [8017] = 3378,
  [8018] = 3455,
  [8019] = 3633,
  [8020] = 3427,
  [8021] = 7774,
  [8022] = 3415,
  [8023] = 3456,
  [8024] = 3431,
  [8025] = 3639,
  [8026] = 3460,
  [8027] = 3461,
  [8028] = 3436,
  [8029] = 3551,
  [8030] = 3463,
  [8031] = 3465,
  [8032] = 3513,
  [8033] = 3583,
  [8034] = 3474,
  [8035] = 3623,
  [8036] = 3642,
  [8037] = 3552,
  [8038] = 3556,
  [8039] = 3480,
  [8040] = 3633,
  [8041] = 3481,
  [8042] = 3556,
  [8043] = 3553,
  [8044] = 3485,
  [8045] = 7811,
  [8046] = 3408,
  [8047] = 3445,
  [8048] = 3711,
  [8049] = 3474,
  [8050] = 3591,
  [8051] = 3436,
  [8052] = 3381,
  [8053] = 3494,
  [8054] = 3490,
  [8055] = 3497,
  [8056] = 3395,
  [8057] = 3551,
  [8058] = 3502,
  [8059] = 3552,
  [8060] = 3553,
  [8061] = 3556,
  [8062] = 3414,
  [8063] = 3333,
  [8064] = 3418,
  [8065] = 3639,
  [8066] = 3387,
  [8067] = 3380,
  [8068] = 3420,
  [8069] = 3446,
  [8070] = 3407,
  [8071] = 3444,
  [8072] = 3642,
  [8073] = 3408,
  [8074] = 3711,
  [8075] = 3556,
  [8076] = 3454,
  [8077] = 3421,
  [8078] = 3448,
  [8079] = 3455,
  [8080] = 3504,
  [8081] = 3460,
  [8082] = 3422,
  [8083] = 3423,
  [8084] = 3461,
  [8085] = 3504,
  [8086] = 3463,
  [8087] = 3460,
  [8088] = 3474,
  [8089] = 3415,
  [8090] = 3461,
  [8091] = 3474,
  [8092] = 3494,
  [8093] = 3595,
  [8094] = 3380,
  [8095] = 3407,
  [8096] = 3595,
  [8097] = 3491,
  [8098] = 3701,
  [8099] = 3494,
  [8100] = 3706,
  [8101] = 3480,
  [8102] = 3463,
  [8103] = 3707,
  [8104] = 3597,
  [8105] = 3497,
  [8106] = 3591,
  [8107] = 3597,
  [8108] = 3481,
  [8109] = 3502,
  [8110] = 3393,
  [8111] = 3408,
  [8112] = 3393,
  [8113] = 3575,
  [8114] = 3546,
  [8115] = 3416,
  [8116] = 3490,
  [8117] = 3474,
  [8118] = 4468,
  [8119] = 3608,
  [8120] = 3494,
  [8121] = 3490,
  [8122] = 3445,
  [8123] = 3626,
  [8124] = 3589,
  [8125] = 3456,
  [8126] = 3465,
  [8127] = 3344,
  [8128] = 3575,
  [8129] = 3513,
  [8130] = 3630,
  [8131] = 3485,
  [8132] = 3381,
  [8133] = 3497,
  [8134] = 3395,
  [8135] = 8135,
  [8136] = 3414,
  [8137] = 3418,
  [8138] = 3387,
  [8139] = 3575,
  [8140] = 3551,
  [8141] = 3420,
  [8142] = 3444,
  [8143] = 4468,
  [8144] = 3491,
  [8145] = 3331,
  [8146] = 3330,
  [8147] = 3480,
  [8148] = 3552,
  [8149] = 3332,
  [8150] = 3553,
  [8151] = 3387,
  [8152] = 3513,
  [8153] = 3433,
  [8154] = 3378,
  [8155] = 3556,
  [8156] = 3608,
  [8157] = 3481,
  [8158] = 3502,
  [8159] = 3640,
  [8160] = 3427,
  [8161] = 3626,
  [8162] = 3394,
  [8163] = 3431,
  [8164] = 3480,
  [8165] = 3407,
  [8166] = 3408,
  [8167] = 3630,
  [8168] = 3513,
  [8169] = 3394,
  [8170] = 3640,
  [8171] = 3394,
  [8172] = 3343,
  [8173] = 3340,
  [8174] = 3400,
  [8175] = 3421,
  [8176] = 3350,
  [8177] = 3583,
  [8178] = 7774,
  [8179] = 3422,
  [8180] = 3405,
  [8181] = 3623,
  [8182] = 3633,
  [8183] = 3481,
  [8184] = 3502,
  [8185] = 3639,
  [8186] = 3384,
  [8187] = 3400,
  [8188] = 3642,
  [8189] = 3422,
  [8190] = 7811,
  [8191] = 3405,
  [8192] = 3422,
  [8193] = 3423,
  [8194] = 3711,
  [8195] = 3436,
  [8196] = 3589,
  [8197] = 3391,
  [8198] = 3423,
  [8199] = 3407,
  [8200] = 3448,
  [8201] = 3380,
  [8202] = 3423,
  [8203] = 3504,
  [8204] = 3595,
  [8205] = 3597,
  [8206] = 3393,
  [8207] = 3575,
  [8208] = 3546,
  [8209] = 3591,
  [8210] = 3385,
  [8211] = 3385,
  [8212] = 3380,
  [8213] = 3456,
  [8214] = 3465,
  [8215] = 3485,
  [8216] = 3701,
  [8217] = 3701,
  [8218] = 3436,
  [8219] = 3706,
  [8220] = 3381,
  [8221] = 3395,
  [8222] = 3707,
  [8223] = 3414,
  [8224] = 3418,
  [8225] = 3707,
  [8226] = 3387,
  [8227] = 3420,
  [8228] = 3444,
  [8229] = 3448,
  [8230] = 3416,
  [8231] = 3706,
  [8232] = 3446,
  [8233] = 3356,
  [8234] = 3384,
  [8235] = 3551,
  [8236] = 3608,
  [8237] = 3552,
  [8238] = 3553,
  [8239] = 3556,
  [8240] = 3445,
  [8241] = 3626,
  [8242] = 3630,
  [8243] = 3640,
  [8244] = 3394,
  [8245] = 3400,
  [8246] = 3454,
  [8247] = 3405,
  [8248] = 3455,
  [8249] = 3446,
  [8250] = 3384,
  [8251] = 3400,
  [8252] = 3454,
  [8253] = 3405,
  [8254] = 3546,
  [8255] = 3455,
  [8256] = 3456,
  [8257] = 3460,
  [8258] = 3461,
  [8259] = 3378,
  [8260] = 3407,
  [8261] = 3427,
  [8262] = 3463,
  [8263] = 3425,
  [8264] = 3408,
  [8265] = 3415,
  [8266] = 3465,
  [8267] = 3431,
  [8268] = 3415,
  [8269] = 3589,
  [8270] = 3583,
  [8271] = 3474,
  [8272] = 3623,
  [8273] = 3633,
  [8274] = 3491,
  [8275] = 3494,
  [8276] = 3497,
  [8277] = 3494,
  [8278] = 3344,
  [8279] = 3448,
  [8280] = 3327,
  [8281] = 3639,
  [8282] = 3642,
  [8283] = 3391,
  [8284] = 3422,
  [8285] = 3711,
  [8286] = 3504,
  [8287] = 3595,
  [8288] = 3597,
  [8289] = 3421,
  [8290] = 3433,
  [8291] = 3393,
  [8292] = 3707,
  [8293] = 3546,
  [8294] = 8294,
  [8295] = 3552,
  [8296] = 3480,
  [8297] = 8297,
  [8298] = 8298,
  [8299] = 3551,
  [8300] = 3481,
  [8301] = 3456,
  [8302] = 3356,
  [8303] = 3465,
  [8304] = 3502,
  [8305] = 7811,
  [8306] = 3422,
  [8307] = 3423,
  [8308] = 3485,
  [8309] = 3381,
  [8310] = 3395,
  [8311] = 3414,
  [8312] = 3418,
  [8313] = 3553,
  [8314] = 3706,
  [8315] = 3394,
  [8316] = 3556,
  [8317] = 3407,
  [8318] = 3491,
  [8319] = 4734,
  [8320] = 3385,
  [8321] = 8321,
  [8322] = 3344,
  [8323] = 3433,
  [8324] = 3445,
  [8325] = 4468,
  [8326] = 3446,
  [8327] = 3454,
  [8328] = 3455,
  [8329] = 3460,
  [8330] = 3461,
  [8331] = 6452,
  [8332] = 6478,
  [8333] = 3427,
  [8334] = 3463,
  [8335] = 6168,
  [8336] = 3474,
  [8337] = 3480,
  [8338] = 8338,
  [8339] = 3481,
  [8340] = 3456,
  [8341] = 4706,
  [8342] = 8342,
  [8343] = 8294,
  [8344] = 3465,
  [8345] = 3552,
  [8346] = 4468,
  [8347] = 3553,
  [8348] = 3494,
  [8349] = 3421,
  [8350] = 8350,
  [8351] = 8135,
  [8352] = 8352,
  [8353] = 3502,
  [8354] = 3333,
  [8355] = 8355,
  [8356] = 6187,
  [8357] = 3485,
  [8358] = 3381,
  [8359] = 6167,
  [8360] = 7763,
  [8361] = 3385,
  [8362] = 8297,
  [8363] = 8298,
  [8364] = 6474,
  [8365] = 8365,
  [8366] = 4734,
  [8367] = 3422,
  [8368] = 3395,
  [8369] = 8369,
  [8370] = 3414,
  [8371] = 3418,
  [8372] = 3589,
  [8373] = 8373,
  [8374] = 3415,
  [8375] = 3420,
  [8376] = 3421,
  [8377] = 3556,
  [8378] = 3639,
  [8379] = 3575,
  [8380] = 8380,
  [8381] = 7767,
  [8382] = 3387,
  [8383] = 3460,
  [8384] = 8384,
  [8385] = 3461,
  [8386] = 8386,
  [8387] = 8387,
  [8388] = 3444,
  [8389] = 3394,
  [8390] = 3463,
  [8391] = 8391,
  [8392] = 3331,
  [8393] = 3408,
  [8394] = 3330,
  [8395] = 3332,
  [8396] = 3425,
  [8397] = 3608,
  [8398] = 3626,
  [8399] = 8399,
  [8400] = 3630,
  [8401] = 3474,
  [8402] = 6206,
  [8403] = 3640,
  [8404] = 3513,
  [8405] = 8405,
  [8406] = 3623,
  [8407] = 3491,
  [8408] = 6443,
  [8409] = 3591,
  [8410] = 8410,
  [8411] = 3378,
  [8412] = 8412,
  [8413] = 4468,
  [8414] = 8414,
  [8415] = 8415,
  [8416] = 8416,
  [8417] = 3497,
  [8418] = 8418,
  [8419] = 3400,
  [8420] = 8420,
  [8421] = 3422,
  [8422] = 8422,
  [8423] = 3405,
  [8424] = 3343,
  [8425] = 3340,
  [8426] = 3423,
  [8427] = 3350,
  [8428] = 8428,
  [8429] = 6388,
  [8430] = 6485,
  [8431] = 3384,
  [8432] = 8432,
  [8433] = 3642,
  [8434] = 3380,
  [8435] = 3433,
  [8436] = 3387,
  [8437] = 3551,
  [8438] = 6389,
  [8439] = 3701,
  [8440] = 3400,
  [8441] = 8441,
  [8442] = 8442,
  [8443] = 3546,
  [8444] = 4706,
  [8445] = 3431,
  [8446] = 3490,
  [8447] = 3405,
  [8448] = 8448,
  [8449] = 8449,
  [8450] = 3504,
  [8451] = 8451,
  [8452] = 6209,
  [8453] = 3480,
  [8454] = 3445,
  [8455] = 3595,
  [8456] = 3356,
  [8457] = 3446,
  [8458] = 8458,
  [8459] = 3551,
  [8460] = 3513,
  [8461] = 3481,
  [8462] = 3407,
  [8463] = 3502,
  [8464] = 4468,
  [8465] = 3711,
  [8466] = 3454,
  [8467] = 4468,
  [8468] = 3436,
  [8469] = 8469,
  [8470] = 3597,
  [8471] = 3633,
  [8472] = 3423,
  [8473] = 3575,
  [8474] = 3408,
  [8475] = 3455,
  [8476] = 3706,
  [8477] = 3393,
  [8478] = 8478,
  [8479] = 3707,
  [8480] = 4468,
  [8481] = 3391,
  [8482] = 3552,
  [8483] = 3551,
  [8484] = 3553,
  [8485] = 8485,
  [8486] = 3552,
  [8487] = 3553,
  [8488] = 3490,
  [8489] = 3556,
  [8490] = 3583,
  [8491] = 3494,
  [8492] = 3455,
  [8493] = 3490,
  [8494] = 8338,
  [8495] = 3445,
  [8496] = 3378,
  [8497] = 3711,
  [8498] = 8449,
  [8499] = 4706,
  [8500] = 3583,
  [8501] = 4468,
  [8502] = 3446,
  [8503] = 3454,
  [8504] = 3504,
  [8505] = 3552,
  [8506] = 3556,
  [8507] = 3546,
  [8508] = 3455,
  [8509] = 3595,
  [8510] = 3407,
  [8511] = 3597,
  [8512] = 3408,
  [8513] = 3494,
  [8514] = 3445,
  [8515] = 3446,
  [8516] = 3454,
  [8517] = 3350,
  [8518] = 3455,
  [8519] = 3623,
  [8520] = 3460,
  [8521] = 3394,
  [8522] = 3502,
  [8523] = 3461,
  [8524] = 3422,
  [8525] = 3407,
  [8526] = 8373,
  [8527] = 3456,
  [8528] = 3393,
  [8529] = 6206,
  [8530] = 3465,
  [8531] = 3445,
  [8532] = 4734,
  [8533] = 4706,
  [8534] = 8386,
  [8535] = 8387,
  [8536] = 3423,
  [8537] = 8391,
  [8538] = 8405,
  [8539] = 8414,
  [8540] = 3485,
  [8541] = 3463,
  [8542] = 3384,
  [8543] = 3553,
  [8544] = 3446,
  [8545] = 3421,
  [8546] = 3408,
  [8547] = 3491,
  [8548] = 3454,
  [8549] = 3415,
  [8550] = 3552,
  [8551] = 3474,
  [8552] = 3427,
  [8553] = 8451,
  [8554] = 3546,
  [8555] = 4468,
  [8556] = 8399,
  [8557] = 3400,
  [8558] = 3356,
  [8559] = 3480,
  [8560] = 3381,
  [8561] = 8432,
  [8562] = 4706,
  [8563] = 3405,
  [8564] = 8321,
  [8565] = 3421,
  [8566] = 3633,
  [8567] = 4734,
  [8568] = 3481,
  [8569] = 3408,
  [8570] = 6452,
  [8571] = 3422,
  [8572] = 3381,
  [8573] = 3415,
  [8574] = 8342,
  [8575] = 3423,
  [8576] = 3395,
  [8577] = 3414,
  [8578] = 3418,
  [8579] = 3553,
  [8580] = 6478,
  [8581] = 3395,
  [8582] = 8352,
  [8583] = 8355,
  [8584] = 8380,
  [8585] = 8458,
  [8586] = 6168,
  [8587] = 8365,
  [8588] = 3556,
  [8589] = 3589,
  [8590] = 3414,
  [8591] = 3418,
  [8592] = 3431,
  [8593] = 4706,
  [8594] = 3513,
  [8595] = 3423,
  [8596] = 3385,
  [8597] = 3420,
  [8598] = 3494,
  [8599] = 3421,
  [8600] = 3425,
  [8601] = 3344,
  [8602] = 3420,
  [8603] = 3444,
  [8604] = 3391,
  [8605] = 3331,
  [8606] = 3330,
  [8607] = 3583,
  [8608] = 8350,
  [8609] = 3623,
  [8610] = 3444,
  [8611] = 3633,
  [8612] = 3490,
  [8613] = 3502,
  [8614] = 3491,
  [8615] = 3391,
  [8616] = 8412,
  [8617] = 8415,
  [8618] = 8418,
  [8619] = 8420,
  [8620] = 3551,
  [8621] = 3427,
  [8622] = 3331,
  [8623] = 3504,
  [8624] = 3485,
  [8625] = 3589,
  [8626] = 3330,
  [8627] = 3332,
  [8628] = 3608,
  [8629] = 3556,
  [8630] = 8441,
  [8631] = 3460,
  [8632] = 3608,
  [8633] = 8369,
  [8634] = 3461,
  [8635] = 8485,
  [8636] = 8448,
  [8637] = 4706,
  [8638] = 3463,
  [8639] = 3591,
  [8640] = 3626,
  [8641] = 3474,
  [8642] = 3431,
  [8643] = 4468,
  [8644] = 3356,
  [8645] = 3460,
  [8646] = 3513,
  [8647] = 3461,
  [8648] = 3591,
  [8649] = 3463,
  [8650] = 4468,
  [8651] = 3333,
  [8652] = 3480,
  [8653] = 6474,
  [8654] = 3474,
  [8655] = 8410,
  [8656] = 3481,
  [8657] = 4468,
  [8658] = 3626,
  [8659] = 6388,
  [8660] = 6443,
  [8661] = 3630,
  [8662] = 8384,
  [8663] = 3497,
  [8664] = 3575,
  [8665] = 3380,
  [8666] = 3385,
  [8667] = 3630,
  [8668] = 3575,
  [8669] = 4734,
  [8670] = 3553,
  [8671] = 3640,
  [8672] = 3433,
  [8673] = 3480,
  [8674] = 3456,
  [8675] = 3640,
  [8676] = 3387,
  [8677] = 3333,
  [8678] = 3481,
  [8679] = 3639,
  [8680] = 8422,
  [8681] = 3380,
  [8682] = 3394,
  [8683] = 3642,
  [8684] = 8428,
  [8685] = 8469,
  [8686] = 8478,
  [8687] = 3400,
  [8688] = 8416,
  [8689] = 3497,
  [8690] = 3343,
  [8691] = 3465,
  [8692] = 3387,
  [8693] = 3701,
  [8694] = 4734,
  [8695] = 6389,
  [8696] = 3405,
  [8697] = 3706,
  [8698] = 3701,
  [8699] = 3595,
  [8700] = 3433,
  [8701] = 3706,
  [8702] = 3343,
  [8703] = 3340,
  [8704] = 3350,
  [8705] = 4706,
  [8706] = 3551,
  [8707] = 3433,
  [8708] = 6485,
  [8709] = 3494,
  [8710] = 3707,
  [8711] = 3497,
  [8712] = 8442,
  [8713] = 4468,
  [8714] = 3551,
  [8715] = 3425,
  [8716] = 3597,
  [8717] = 3415,
  [8718] = 3707,
  [8719] = 3639,
  [8720] = 4734,
  [8721] = 3642,
  [8722] = 8338,
  [8723] = 3502,
  [8724] = 3436,
  [8725] = 8342,
  [8726] = 3384,
  [8727] = 8442,
  [8728] = 3711,
  [8729] = 3436,
  [8730] = 3344,
  [8731] = 4468,
  [8732] = 3340,
  [8733] = 3393,
  [8734] = 3378,
  [8735] = 3552,
  [8736] = 4734,
  [8737] = 8449,
  [8738] = 3332,
  [8739] = 3420,
  [8740] = 3343,
  [8741] = 8741,
  [8742] = 3445,
  [8743] = 3446,
  [8744] = 3454,
  [8745] = 3455,
  [8746] = 3340,
  [8747] = 3350,
  [8748] = 4706,
  [8749] = 8749,
  [8750] = 3381,
  [8751] = 3384,
  [8752] = 3421,
  [8753] = 8135,
  [8754] = 3400,
  [8755] = 8749,
  [8756] = 3395,
  [8757] = 8297,
  [8758] = 3414,
  [8759] = 3405,
  [8760] = 8298,
  [8761] = 3418,
  [8762] = 3387,
  [8763] = 4706,
  [8764] = 4734,
  [8765] = 7767,
  [8766] = 3407,
  [8767] = 8749,
  [8768] = 4734,
  [8769] = 8749,
  [8770] = 8749,
  [8771] = 8749,
  [8772] = 3385,
  [8773] = 3444,
  [8774] = 3331,
  [8775] = 3330,
  [8776] = 4706,
  [8777] = 3497,
  [8778] = 8749,
  [8779] = 3422,
  [8780] = 3456,
  [8781] = 3332,
  [8782] = 8749,
  [8783] = 8749,
  [8784] = 3465,
  [8785] = 3491,
  [8786] = 3608,
  [8787] = 3425,
  [8788] = 3407,
  [8789] = 4706,
  [8790] = 3551,
  [8791] = 8749,
  [8792] = 8749,
  [8793] = 4734,
  [8794] = 8338,
  [8795] = 8342,
  [8796] = 8749,
  [8797] = 3485,
  [8798] = 3460,
  [8799] = 3461,
  [8800] = 4706,
  [8801] = 3422,
  [8802] = 3463,
  [8803] = 3552,
  [8804] = 3553,
  [8805] = 8749,
  [8806] = 3474,
  [8807] = 3546,
  [8808] = 3494,
  [8809] = 3626,
  [8810] = 3556,
  [8811] = 3575,
  [8812] = 8741,
  [8813] = 8749,
  [8814] = 4734,
  [8815] = 8294,
  [8816] = 3630,
  [8817] = 7763,
  [8818] = 8741,
  [8819] = 8749,
  [8820] = 8749,
  [8821] = 3640,
  [8822] = 8135,
  [8823] = 3394,
  [8824] = 4734,
  [8825] = 4706,
  [8826] = 8297,
  [8827] = 8298,
  [8828] = 8828,
  [8829] = 4734,
  [8830] = 7767,
  [8831] = 8749,
  [8832] = 3589,
  [8833] = 4706,
  [8834] = 3391,
  [8835] = 8294,
  [8836] = 7763,
  [8837] = 3591,
  [8838] = 3490,
  [8839] = 8442,
  [8840] = 3380,
  [8841] = 3701,
  [8842] = 3706,
  [8843] = 3707,
  [8844] = 3480,
  [8845] = 8749,
  [8846] = 8741,
  [8847] = 3344,
  [8848] = 4734,
  [8849] = 8749,
  [8850] = 3378,
  [8851] = 3427,
  [8852] = 3431,
  [8853] = 3513,
  [8854] = 3583,
  [8855] = 3623,
  [8856] = 3633,
  [8857] = 8449,
  [8858] = 3333,
  [8859] = 3639,
  [8860] = 3642,
  [8861] = 3711,
  [8862] = 3436,
  [8863] = 3481,
  [8864] = 3502,
  [8865] = 8749,
  [8866] = 3433,
  [8867] = 3504,
  [8868] = 3595,
  [8869] = 3356,
  [8870] = 3597,
  [8871] = 8749,
  [8872] = 3393,
  [8873] = 8749,
  [8874] = 6389,
  [8875] = 3463,
  [8876] = 3448,
  [8877] = 3474,
  [8878] = 8878,
  [8879] = 3494,
  [8880] = 3575,
  [8881] = 3463,
  [8882] = 8373,
  [8883] = 8352,
  [8884] = 8884,
  [8885] = 8885,
  [8886] = 3480,
  [8887] = 8884,
  [8888] = 3502,
  [8889] = 8355,
  [8890] = 8890,
  [8891] = 8386,
  [8892] = 8387,
  [8893] = 8391,
  [8894] = 8884,
  [8895] = 8885,
  [8896] = 8451,
  [8897] = 8399,
  [8898] = 3480,
  [8899] = 8321,
  [8900] = 8380,
  [8901] = 8405,
  [8902] = 8890,
  [8903] = 3446,
  [8904] = 8884,
  [8905] = 8885,
  [8906] = 3408,
  [8907] = 8907,
  [8908] = 3387,
  [8909] = 8909,
  [8910] = 8458,
  [8911] = 8884,
  [8912] = 8885,
  [8913] = 8414,
  [8914] = 8914,
  [8915] = 3497,
  [8916] = 3454,
  [8917] = 3455,
  [8918] = 8365,
  [8919] = 8884,
  [8920] = 8885,
  [8921] = 8386,
  [8922] = 8914,
  [8923] = 3394,
  [8924] = 8884,
  [8925] = 8885,
  [8926] = 8914,
  [8927] = 8927,
  [8928] = 8391,
  [8929] = 8929,
  [8930] = 3400,
  [8931] = 3405,
  [8932] = 3421,
  [8933] = 8884,
  [8934] = 8885,
  [8935] = 3481,
  [8936] = 8936,
  [8937] = 8352,
  [8938] = 8884,
  [8939] = 8885,
  [8940] = 8355,
  [8941] = 8380,
  [8942] = 8458,
  [8943] = 8909,
  [8944] = 6206,
  [8945] = 3497,
  [8946] = 3460,
  [8947] = 8365,
  [8948] = 8948,
  [8949] = 8884,
  [8950] = 8885,
  [8951] = 8884,
  [8952] = 8885,
  [8953] = 3474,
  [8954] = 3423,
  [8955] = 8914,
  [8956] = 3344,
  [8957] = 5668,
  [8958] = 8884,
  [8959] = 8885,
  [8960] = 8884,
  [8961] = 3385,
  [8962] = 3407,
  [8963] = 8416,
  [8964] = 8914,
  [8965] = 3408,
  [8966] = 8884,
  [8967] = 8885,
  [8968] = 8878,
  [8969] = 8969,
  [8970] = 3415,
  [8971] = 8890,
  [8972] = 8907,
  [8973] = 3421,
  [8974] = 3461,
  [8975] = 8975,
  [8976] = 6452,
  [8977] = 6478,
  [8978] = 8914,
  [8979] = 8979,
  [8980] = 6168,
  [8981] = 3422,
  [8982] = 8914,
  [8983] = 3423,
  [8984] = 8885,
  [8985] = 8412,
  [8986] = 8415,
  [8987] = 8987,
  [8988] = 8410,
  [8989] = 8989,
  [8990] = 8936,
  [8991] = 8914,
  [8992] = 3356,
  [8993] = 8418,
  [8994] = 3408,
  [8995] = 8420,
  [8996] = 8350,
  [8997] = 6474,
  [8998] = 8998,
  [8999] = 3421,
  [9000] = 8387,
  [9001] = 8428,
  [9002] = 8432,
  [9003] = 8369,
  [9004] = 8405,
  [9005] = 6443,
  [9006] = 3463,
  [9007] = 3513,
  [9008] = 8441,
  [9009] = 3425,
  [9010] = 8936,
  [9011] = 8914,
  [9012] = 8448,
  [9013] = 8914,
  [9014] = 8948,
  [9015] = 8975,
  [9016] = 6388,
  [9017] = 6485,
  [9018] = 8885,
  [9019] = 9019,
  [9020] = 8884,
  [9021] = 8987,
  [9022] = 8998,
  [9023] = 8936,
  [9024] = 8885,
  [9025] = 8384,
  [9026] = 8914,
  [9027] = 3474,
  [9028] = 8441,
  [9029] = 9029,
  [9030] = 9030,
  [9031] = 8936,
  [9032] = 9032,
  [9033] = 9033,
  [9034] = 3589,
  [9035] = 8907,
  [9036] = 9036,
  [9037] = 8909,
  [9038] = 9038,
  [9039] = 5735,
  [9040] = 8969,
  [9041] = 3423,
  [9042] = 9042,
  [9043] = 9043,
  [9044] = 6206,
  [9045] = 9045,
  [9046] = 3591,
  [9047] = 3380,
  [9048] = 3701,
  [9049] = 3706,
  [9050] = 3707,
  [9051] = 8414,
  [9052] = 8878,
  [9053] = 3460,
  [9054] = 8828,
  [9055] = 3416,
  [9056] = 6452,
  [9057] = 6478,
  [9058] = 6168,
  [9059] = 8914,
  [9060] = 3461,
  [9061] = 3494,
  [9062] = 8907,
  [9063] = 9063,
  [9064] = 3378,
  [9065] = 3427,
  [9066] = 3431,
  [9067] = 8909,
  [9068] = 8422,
  [9069] = 3497,
  [9070] = 9042,
  [9071] = 3583,
  [9072] = 9072,
  [9073] = 8927,
  [9074] = 8929,
  [9075] = 8989,
  [9076] = 3623,
  [9077] = 3633,
  [9078] = 8914,
  [9079] = 8878,
  [9080] = 3333,
  [9081] = 3639,
  [9082] = 3642,
  [9083] = 8884,
  [9084] = 8885,
  [9085] = 9085,
  [9086] = 5745,
  [9087] = 9030,
  [9088] = 3711,
  [9089] = 9063,
  [9090] = 8914,
  [9091] = 8890,
  [9092] = 3504,
  [9093] = 3551,
  [9094] = 3595,
  [9095] = 3597,
  [9096] = 8384,
  [9097] = 3393,
  [9098] = 8979,
  [9099] = 9072,
  [9100] = 3433,
  [9101] = 3546,
  [9102] = 9102,
  [9103] = 9103,
  [9104] = 3456,
  [9105] = 3465,
  [9106] = 8914,
  [9107] = 3485,
  [9108] = 8914,
  [9109] = 3552,
  [9110] = 9102,
  [9111] = 3553,
  [9112] = 6443,
  [9113] = 9113,
  [9114] = 3381,
  [9115] = 9115,
  [9116] = 3395,
  [9117] = 3414,
  [9118] = 8907,
  [9119] = 8909,
  [9120] = 3418,
  [9121] = 9029,
  [9122] = 9122,
  [9123] = 3556,
  [9124] = 8884,
  [9125] = 9103,
  [9126] = 9113,
  [9127] = 3420,
  [9128] = 8428,
  [9129] = 8432,
  [9130] = 3444,
  [9131] = 8885,
  [9132] = 8914,
  [9133] = 8350,
  [9134] = 8369,
  [9135] = 3331,
  [9136] = 3445,
  [9137] = 3330,
  [9138] = 9122,
  [9139] = 3332,
  [9140] = 3608,
  [9141] = 3502,
  [9142] = 6388,
  [9143] = 6485,
  [9144] = 3551,
  [9145] = 8485,
  [9146] = 3552,
  [9147] = 3436,
  [9148] = 9085,
  [9149] = 9032,
  [9150] = 8412,
  [9151] = 8914,
  [9152] = 3553,
  [9153] = 8373,
  [9154] = 8878,
  [9155] = 3445,
  [9156] = 3626,
  [9157] = 3630,
  [9158] = 3640,
  [9159] = 8451,
  [9160] = 8907,
  [9161] = 8399,
  [9162] = 3480,
  [9163] = 3556,
  [9164] = 8321,
  [9165] = 8415,
  [9166] = 8914,
  [9167] = 8890,
  [9168] = 3446,
  [9169] = 8884,
  [9170] = 3343,
  [9171] = 3446,
  [9172] = 8914,
  [9173] = 3454,
  [9174] = 3340,
  [9175] = 8885,
  [9176] = 3350,
  [9177] = 8418,
  [9178] = 6389,
  [9179] = 3455,
  [9180] = 9033,
  [9181] = 9036,
  [9182] = 3384,
  [9183] = 3454,
  [9184] = 3433,
  [9185] = 8469,
  [9186] = 3494,
  [9187] = 3455,
  [9188] = 8422,
  [9189] = 3491,
  [9190] = 8410,
  [9191] = 8416,
  [9192] = 3445,
  [9193] = 3502,
  [9194] = 8914,
  [9195] = 8884,
  [9196] = 3490,
  [9197] = 8485,
  [9198] = 8448,
  [9199] = 8884,
  [9200] = 3481,
  [9201] = 8884,
  [9202] = 8885,
  [9203] = 8885,
  [9204] = 3551,
  [9205] = 8885,
  [9206] = 9206,
  [9207] = 8478,
  [9208] = 8914,
  [9209] = 8469,
  [9210] = 8478,
  [9211] = 3552,
  [9212] = 3553,
  [9213] = 9206,
  [9214] = 3433,
  [9215] = 3556,
  [9216] = 8420,
  [9217] = 3460,
  [9218] = 3391,
  [9219] = 3461,
  [9220] = 6474,
  [9221] = 8884,
  [9222] = 8885,
  [9223] = 3481,
  [9224] = 9063,
  [9225] = 9225,
  [9226] = 9226,
  [9227] = 9227,
  [9228] = 3423,
  [9229] = 9229,
  [9230] = 9230,
  [9231] = 9231,
  [9232] = 9232,
  [9233] = 9233,
  [9234] = 9232,
  [9235] = 9233,
  [9236] = 9226,
  [9237] = 8979,
  [9238] = 9226,
  [9239] = 9239,
  [9240] = 9226,
  [9241] = 9241,
  [9242] = 9242,
  [9243] = 9243,
  [9244] = 9244,
  [9245] = 9245,
  [9246] = 9029,
  [9247] = 9232,
  [9248] = 9233,
  [9249] = 9249,
  [9250] = 9232,
  [9251] = 9226,
  [9252] = 9032,
  [9253] = 9232,
  [9254] = 9254,
  [9255] = 9255,
  [9256] = 9245,
  [9257] = 9233,
  [9258] = 9241,
  [9259] = 9232,
  [9260] = 9229,
  [9261] = 9233,
  [9262] = 9206,
  [9263] = 9263,
  [9264] = 9232,
  [9265] = 9226,
  [9266] = 9233,
  [9267] = 9267,
  [9268] = 9232,
  [9269] = 6187,
  [9270] = 9226,
  [9271] = 9115,
  [9272] = 9233,
  [9273] = 9273,
  [9274] = 9033,
  [9275] = 9072,
  [9276] = 9232,
  [9277] = 9233,
  [9278] = 9226,
  [9279] = 6167,
  [9280] = 9245,
  [9281] = 9232,
  [9282] = 9226,
  [9283] = 9283,
  [9284] = 9232,
  [9285] = 9285,
  [9286] = 9233,
  [9287] = 9233,
  [9288] = 9226,
  [9289] = 9232,
  [9290] = 9043,
  [9291] = 9242,
  [9292] = 8998,
  [9293] = 9243,
  [9294] = 9233,
  [9295] = 3421,
  [9296] = 8969,
  [9297] = 9297,
  [9298] = 9298,
  [9299] = 9299,
  [9300] = 9300,
  [9301] = 8948,
  [9302] = 9036,
  [9303] = 9303,
  [9304] = 9225,
  [9305] = 9227,
  [9306] = 9226,
  [9307] = 9226,
  [9308] = 9232,
  [9309] = 3407,
  [9310] = 9310,
  [9311] = 9226,
  [9312] = 9255,
  [9313] = 9233,
  [9314] = 9267,
  [9315] = 9226,
  [9316] = 8987,
  [9317] = 9273,
  [9318] = 9297,
  [9319] = 9254,
  [9320] = 8989,
  [9321] = 9310,
  [9322] = 9230,
  [9323] = 9239,
  [9324] = 9244,
  [9325] = 9245,
  [9326] = 8975,
  [9327] = 9255,
  [9328] = 9249,
  [9329] = 9255,
  [9330] = 9298,
  [9331] = 9299,
  [9332] = 9233,
  [9333] = 9232,
  [9334] = 9229,
  [9335] = 9232,
  [9336] = 9233,
  [9337] = 9233,
  [9338] = 9232,
  [9339] = 9226,
  [9340] = 9245,
  [9341] = 9045,
  [9342] = 9226,
  [9343] = 9233,
  [9344] = 8927,
  [9345] = 8929,
  [9346] = 9300,
  [9347] = 9102,
  [9348] = 9232,
  [9349] = 9303,
  [9350] = 9226,
  [9351] = 9103,
  [9352] = 9113,
  [9353] = 9038,
  [9354] = 6209,
  [9355] = 9303,
  [9356] = 5886,
  [9357] = 9241,
  [9358] = 9242,
  [9359] = 9232,
  [9360] = 9233,
  [9361] = 9232,
  [9362] = 9226,
  [9363] = 9232,
  [9364] = 9255,
  [9365] = 9232,
  [9366] = 9233,
  [9367] = 9233,
  [9368] = 9226,
  [9369] = 9267,
  [9370] = 9263,
  [9371] = 9122,
  [9372] = 9232,
  [9373] = 9273,
  [9374] = 9297,
  [9375] = 9298,
  [9376] = 9233,
  [9377] = 9299,
  [9378] = 9263,
  [9379] = 9300,
  [9380] = 9225,
  [9381] = 9227,
  [9382] = 9226,
  [9383] = 9230,
  [9384] = 9239,
  [9385] = 9244,
  [9386] = 3422,
  [9387] = 9245,
  [9388] = 9310,
  [9389] = 9249,
  [9390] = 3408,
  [9391] = 9243,
  [9392] = 9226,
  [9393] = 3497,
  [9394] = 9255,
  [9395] = 9233,
  [9396] = 9030,
  [9397] = 9233,
  [9398] = 9042,
  [9399] = 9226,
  [9400] = 9400,
  [9401] = 9254,
  [9402] = 9303,
  [9403] = 9273,
  [9404] = 9297,
  [9405] = 9298,
  [9406] = 9299,
  [9407] = 9300,
  [9408] = 9225,
  [9409] = 9227,
  [9410] = 9230,
  [9411] = 9239,
  [9412] = 9244,
  [9413] = 9245,
  [9414] = 9249,
  [9415] = 9249,
  [9416] = 9416,
  [9417] = 9310,
  [9418] = 9263,
  [9419] = 9310,
  [9420] = 9255,
  [9421] = 9267,
  [9422] = 9273,
  [9423] = 9297,
  [9424] = 9298,
  [9425] = 9299,
  [9426] = 9300,
  [9427] = 9225,
  [9428] = 9227,
  [9429] = 9230,
  [9430] = 9239,
  [9431] = 9244,
  [9432] = 9416,
  [9433] = 9245,
  [9434] = 9241,
  [9435] = 9242,
  [9436] = 9303,
  [9437] = 9243,
  [9438] = 9229,
  [9439] = 9254,
  [9440] = 9267,
  [9441] = 9273,
  [9442] = 9297,
  [9443] = 9249,
  [9444] = 9298,
  [9445] = 9299,
  [9446] = 9446,
  [9447] = 9300,
  [9448] = 9225,
  [9449] = 9303,
  [9450] = 9227,
  [9451] = 9230,
  [9452] = 9239,
  [9453] = 9244,
  [9454] = 9245,
  [9455] = 9249,
  [9456] = 9229,
  [9457] = 9310,
  [9458] = 9267,
  [9459] = 4468,
  [9460] = 9267,
  [9461] = 9273,
  [9462] = 9297,
  [9463] = 9298,
  [9464] = 9464,
  [9465] = 9299,
  [9466] = 9416,
  [9467] = 9300,
  [9468] = 9225,
  [9469] = 9227,
  [9470] = 9230,
  [9471] = 9239,
  [9472] = 9244,
  [9473] = 9245,
  [9474] = 9249,
  [9475] = 9241,
  [9476] = 9242,
  [9477] = 9243,
  [9478] = 9273,
  [9479] = 9297,
  [9480] = 9303,
  [9481] = 9298,
  [9482] = 9299,
  [9483] = 9300,
  [9484] = 9254,
  [9485] = 9485,
  [9486] = 9225,
  [9487] = 9229,
  [9488] = 9227,
  [9489] = 9230,
  [9490] = 9239,
  [9491] = 9263,
  [9492] = 9310,
  [9493] = 9255,
  [9494] = 9267,
  [9495] = 9273,
  [9496] = 9297,
  [9497] = 9298,
  [9498] = 9299,
  [9499] = 9300,
  [9500] = 9225,
  [9501] = 9227,
  [9502] = 9230,
  [9503] = 9239,
  [9504] = 9244,
  [9505] = 9249,
  [9506] = 9241,
  [9507] = 9242,
  [9508] = 9243,
  [9509] = 9303,
  [9510] = 9255,
  [9511] = 9254,
  [9512] = 9229,
  [9513] = 9241,
  [9514] = 9242,
  [9515] = 9243,
  [9516] = 9245,
  [9517] = 9254,
  [9518] = 9241,
  [9519] = 9229,
  [9520] = 9263,
  [9521] = 9303,
  [9522] = 9242,
  [9523] = 9243,
  [9524] = 9310,
  [9525] = 9255,
  [9526] = 9416,
  [9527] = 9310,
  [9528] = 9254,
  [9529] = 9241,
  [9530] = 9242,
  [9531] = 9243,
  [9532] = 9229,
  [9533] = 9255,
  [9534] = 9255,
  [9535] = 9244,
  [9536] = 9245,
  [9537] = 9254,
  [9538] = 9267,
  [9539] = 9254,
  [9540] = 9299,
  [9541] = 9300,
  [9542] = 9242,
  [9543] = 9225,
  [9544] = 9227,
  [9545] = 9241,
  [9546] = 9242,
  [9547] = 9243,
  [9548] = 9249,
  [9549] = 9254,
  [9550] = 9303,
  [9551] = 9230,
  [9552] = 9229,
  [9553] = 9553,
  [9554] = 8294,
  [9555] = 9555,
  [9556] = 9556,
  [9557] = 9239,
  [9558] = 9244,
  [9559] = 9310,
  [9560] = 9560,
  [9561] = 9249,
  [9562] = 9267,
  [9563] = 3407,
  [9564] = 4734,
  [9565] = 9273,
  [9566] = 9297,
  [9567] = 9567,
  [9568] = 9298,
  [9569] = 9299,
  [9570] = 9567,
  [9571] = 9300,
  [9572] = 9225,
  [9573] = 9227,
  [9574] = 9310,
  [9575] = 9230,
  [9576] = 9239,
  [9577] = 9577,
  [9578] = 9243,
  [9579] = 9303,
  [9580] = 9244,
  [9581] = 9577,
  [9582] = 9249,
  [9583] = 9583,
  [9584] = 8135,
  [9585] = 9577,
  [9586] = 9298,
  [9587] = 8297,
  [9588] = 3422,
  [9589] = 9303,
  [9590] = 9556,
  [9591] = 9560,
  [9592] = 9303,
  [9593] = 8298,
  [9594] = 9267,
  [9595] = 9229,
  [9596] = 7767,
  [9597] = 9556,
  [9598] = 9553,
  [9599] = 9273,
  [9600] = 9241,
  [9601] = 9297,
  [9602] = 9298,
  [9603] = 9299,
  [9604] = 9300,
  [9605] = 9225,
  [9606] = 9227,
  [9607] = 9230,
  [9608] = 9239,
  [9609] = 9229,
  [9610] = 9244,
  [9611] = 9267,
  [9612] = 4706,
  [9613] = 9560,
  [9614] = 3422,
  [9615] = 9241,
  [9616] = 9553,
  [9617] = 3407,
  [9618] = 9310,
  [9619] = 9273,
  [9620] = 9303,
  [9621] = 9242,
  [9622] = 9243,
  [9623] = 9297,
  [9624] = 9303,
  [9625] = 9567,
  [9626] = 9254,
  [9627] = 3408,
  [9628] = 3423,
  [9629] = 9254,
  [9630] = 9630,
  [9631] = 3407,
  [9632] = 3408,
  [9633] = 9245,
  [9634] = 9634,
  [9635] = 9255,
  [9636] = 9636,
  [9637] = 9255,
  [9638] = 9634,
  [9639] = 9639,
  [9640] = 9303,
  [9641] = 3497,
  [9642] = 9639,
  [9643] = 9241,
  [9644] = 3421,
  [9645] = 3421,
  [9646] = 9639,
  [9647] = 9303,
  [9648] = 9634,
  [9649] = 9303,
  [9650] = 9634,
  [9651] = 9639,
  [9652] = 9242,
  [9653] = 9630,
  [9654] = 9630,
  [9655] = 9634,
  [9656] = 9263,
  [9657] = 9229,
  [9658] = 9243,
  [9659] = 9634,
  [9660] = 9303,
  [9661] = 9639,
  [9662] = 9639,
  [9663] = 9634,
  [9664] = 3422,
  [9665] = 9639,
  [9666] = 9634,
  [9667] = 9634,
  [9668] = 9639,
  [9669] = 9241,
  [9670] = 9634,
  [9671] = 9267,
  [9672] = 9639,
  [9673] = 9630,
  [9674] = 9241,
  [9675] = 9310,
  [9676] = 9630,
  [9677] = 9242,
  [9678] = 9243,
  [9679] = 9273,
  [9680] = 9255,
  [9681] = 9634,
  [9682] = 3407,
  [9683] = 9249,
  [9684] = 9297,
  [9685] = 9639,
  [9686] = 9254,
  [9687] = 3497,
  [9688] = 9634,
  [9689] = 9298,
  [9690] = 9299,
  [9691] = 9229,
  [9692] = 9639,
  [9693] = 9242,
  [9694] = 9634,
  [9695] = 9267,
  [9696] = 9245,
  [9697] = 9300,
  [9698] = 9263,
  [9699] = 9225,
  [9700] = 9227,
  [9701] = 9273,
  [9702] = 9230,
  [9703] = 9245,
  [9704] = 9639,
  [9705] = 9243,
  [9706] = 9630,
  [9707] = 9255,
  [9708] = 9639,
  [9709] = 9239,
  [9710] = 9634,
  [9711] = 9634,
  [9712] = 9244,
  [9713] = 9639,
  [9714] = 9639,
  [9715] = 9297,
  [9716] = 9298,
  [9717] = 9634,
  [9718] = 9310,
  [9719] = 7763,
  [9720] = 9634,
  [9721] = 9630,
  [9722] = 9254,
  [9723] = 9639,
  [9724] = 9639,
  [9725] = 3422,
  [9726] = 9630,
  [9727] = 9639,
  [9728] = 9634,
  [9729] = 9634,
  [9730] = 9255,
  [9731] = 9267,
  [9732] = 9273,
  [9733] = 9297,
  [9734] = 9298,
  [9735] = 9244,
  [9736] = 9299,
  [9737] = 9300,
  [9738] = 9245,
  [9739] = 9249,
  [9740] = 9225,
  [9741] = 9299,
  [9742] = 9227,
  [9743] = 9230,
  [9744] = 9239,
  [9745] = 9244,
  [9746] = 9300,
  [9747] = 9634,
  [9748] = 9245,
  [9749] = 9249,
  [9750] = 9639,
  [9751] = 9639,
  [9752] = 9634,
  [9753] = 9263,
  [9754] = 9630,
  [9755] = 9225,
  [9756] = 3423,
  [9757] = 9227,
  [9758] = 9634,
  [9759] = 9229,
  [9760] = 9303,
  [9761] = 9230,
  [9762] = 9245,
  [9763] = 9303,
  [9764] = 9310,
  [9765] = 9630,
  [9766] = 9639,
  [9767] = 9639,
  [9768] = 9255,
  [9769] = 9239,
  [9770] = 3494,
  [9771] = 9771,
  [9772] = 9772,
  [9773] = 9773,
  [9774] = 9771,
  [9775] = 9775,
  [9776] = 9771,
  [9777] = 9777,
  [9778] = 9778,
  [9779] = 9772,
  [9780] = 9780,
  [9781] = 9772,
  [9782] = 9773,
  [9783] = 9783,
  [9784] = 9773,
  [9785] = 3422,
  [9786] = 6388,
  [9787] = 6485,
  [9788] = 9243,
  [9789] = 8355,
  [9790] = 9772,
  [9791] = 9242,
  [9792] = 3480,
  [9793] = 8384,
  [9794] = 9773,
  [9795] = 8441,
  [9796] = 9243,
  [9797] = 9773,
  [9798] = 9772,
  [9799] = 9772,
  [9800] = 9773,
  [9801] = 8386,
  [9802] = 9772,
  [9803] = 9803,
  [9804] = 9804,
  [9805] = 9773,
  [9806] = 9778,
  [9807] = 8448,
  [9808] = 9773,
  [9809] = 9273,
  [9810] = 9772,
  [9811] = 9777,
  [9812] = 9773,
  [9813] = 9771,
  [9814] = 3481,
  [9815] = 9297,
  [9816] = 9267,
  [9817] = 9771,
  [9818] = 9772,
  [9819] = 9254,
  [9820] = 3502,
  [9821] = 9773,
  [9822] = 9778,
  [9823] = 9771,
  [9824] = 9772,
  [9825] = 3463,
  [9826] = 8387,
  [9827] = 9773,
  [9828] = 9773,
  [9829] = 9229,
  [9830] = 9772,
  [9831] = 9780,
  [9832] = 9832,
  [9833] = 9773,
  [9834] = 8391,
  [9835] = 9835,
  [9836] = 9836,
  [9837] = 9773,
  [9838] = 9773,
  [9839] = 9803,
  [9840] = 9840,
  [9841] = 9804,
  [9842] = 9778,
  [9843] = 3421,
  [9844] = 9844,
  [9845] = 9773,
  [9846] = 9846,
  [9847] = 9847,
  [9848] = 9848,
  [9849] = 3454,
  [9850] = 9772,
  [9851] = 3423,
  [9852] = 9771,
  [9853] = 8418,
  [9854] = 9771,
  [9855] = 9803,
  [9856] = 9804,
  [9857] = 9310,
  [9858] = 9773,
  [9859] = 9772,
  [9860] = 9835,
  [9861] = 9836,
  [9862] = 9771,
  [9863] = 9840,
  [9864] = 9844,
  [9865] = 9846,
  [9866] = 9772,
  [9867] = 3455,
  [9868] = 9249,
  [9869] = 6206,
  [9870] = 9835,
  [9871] = 9836,
  [9872] = 9254,
  [9873] = 9840,
  [9874] = 3460,
  [9875] = 9844,
  [9876] = 9846,
  [9877] = 9772,
  [9878] = 3461,
  [9879] = 9773,
  [9880] = 9835,
  [9881] = 9836,
  [9882] = 3408,
  [9883] = 9840,
  [9884] = 9844,
  [9885] = 9846,
  [9886] = 9780,
  [9887] = 9773,
  [9888] = 9267,
  [9889] = 9773,
  [9890] = 8380,
  [9891] = 9772,
  [9892] = 9835,
  [9893] = 9836,
  [9894] = 9300,
  [9895] = 9840,
  [9896] = 9225,
  [9897] = 9298,
  [9898] = 9844,
  [9899] = 9846,
  [9900] = 9299,
  [9901] = 8458,
  [9902] = 3463,
  [9903] = 8428,
  [9904] = 9835,
  [9905] = 9836,
  [9906] = 8350,
  [9907] = 6206,
  [9908] = 9844,
  [9909] = 9846,
  [9910] = 9772,
  [9911] = 9773,
  [9912] = 3474,
  [9913] = 3474,
  [9914] = 8485,
  [9915] = 9836,
  [9916] = 8414,
  [9917] = 9772,
  [9918] = 9918,
  [9919] = 8420,
  [9920] = 9300,
  [9921] = 9836,
  [9922] = 6452,
  [9923] = 9777,
  [9924] = 6389,
  [9925] = 9225,
  [9926] = 8416,
  [9927] = 9773,
  [9928] = 6443,
  [9929] = 9836,
  [9930] = 9777,
  [9931] = 9227,
  [9932] = 9230,
  [9933] = 8352,
  [9934] = 8410,
  [9935] = 9239,
  [9936] = 9772,
  [9937] = 9778,
  [9938] = 6478,
  [9939] = 9772,
  [9940] = 9773,
  [9941] = 9241,
  [9942] = 6187,
  [9943] = 9773,
  [9944] = 9771,
  [9945] = 9773,
  [9946] = 9773,
  [9947] = 3408,
  [9948] = 9772,
  [9949] = 9803,
  [9950] = 9804,
  [9951] = 9227,
  [9952] = 9230,
  [9953] = 9953,
  [9954] = 3407,
  [9955] = 9955,
  [9956] = 9772,
  [9957] = 6167,
  [9958] = 9958,
  [9959] = 6168,
  [9960] = 8365,
  [9961] = 9773,
  [9962] = 9772,
  [9963] = 9303,
  [9964] = 9241,
  [9965] = 9773,
  [9966] = 9771,
  [9967] = 9242,
  [9968] = 3494,
  [9969] = 9303,
  [9970] = 9772,
  [9971] = 9772,
  [9972] = 9243,
  [9973] = 8373,
  [9974] = 3497,
  [9975] = 3480,
  [9976] = 9976,
  [9977] = 9775,
  [9978] = 9780,
  [9979] = 9297,
  [9980] = 9773,
  [9981] = 3445,
  [9982] = 9778,
  [9983] = 9773,
  [9984] = 9249,
  [9985] = 9273,
  [9986] = 9773,
  [9987] = 6168,
  [9988] = 9239,
  [9989] = 3481,
  [9990] = 3502,
  [9991] = 9771,
  [9992] = 9992,
  [9993] = 9993,
  [9994] = 9778,
  [9995] = 8451,
  [9996] = 9772,
  [9997] = 9772,
  [9998] = 9777,
  [9999] = 9773,
  [10000] = 9229,
  [10001] = 9772,
  [10002] = 3421,
  [10003] = 8369,
  [10004] = 9773,
  [10005] = 9778,
  [10006] = 9836,
  [10007] = 3551,
  [10008] = 9310,
  [10009] = 9772,
  [10010] = 8399,
  [10011] = 8321,
  [10012] = 9832,
  [10013] = 9772,
  [10014] = 8469,
  [10015] = 8478,
  [10016] = 10016,
  [10017] = 9772,
  [10018] = 3497,
  [10019] = 9772,
  [10020] = 9773,
  [10021] = 3552,
  [10022] = 9773,
  [10023] = 3553,
  [10024] = 8412,
  [10025] = 9254,
  [10026] = 9773,
  [10027] = 9772,
  [10028] = 9773,
  [10029] = 9772,
  [10030] = 10030,
  [10031] = 9771,
  [10032] = 9229,
  [10033] = 3556,
  [10034] = 9777,
  [10035] = 9772,
  [10036] = 9803,
  [10037] = 9303,
  [10038] = 9804,
  [10039] = 9803,
  [10040] = 9804,
  [10041] = 9773,
  [10042] = 3446,
  [10043] = 9299,
  [10044] = 9773,
  [10045] = 9244,
  [10046] = 8422,
  [10047] = 3461,
  [10048] = 9298,
  [10049] = 9835,
  [10050] = 9844,
  [10051] = 10051,
  [10052] = 9772,
  [10053] = 3423,
  [10054] = 9846,
  [10055] = 9244,
  [10056] = 9772,
  [10057] = 9772,
  [10058] = 10058,
  [10059] = 9772,
  [10060] = 9773,
  [10061] = 9241,
  [10062] = 9772,
  [10063] = 9847,
  [10064] = 6474,
  [10065] = 6209,
  [10066] = 3433,
  [10067] = 9771,
  [10068] = 9773,
  [10069] = 9773,
  [10070] = 8415,
  [10071] = 9777,
  [10072] = 10072,
  [10073] = 10073,
  [10074] = 9773,
  [10075] = 9772,
  [10076] = 9778,
  [10077] = 9773,
  [10078] = 9772,
  [10079] = 9242,
  [10080] = 9772,
  [10081] = 10081,
  [10082] = 9772,
  [10083] = 8432,
  [10084] = 9777,
  [10085] = 9772,
  [10086] = 9840,
  [10087] = 9772,
  [10088] = 9778,
  [10089] = 9267,
  [10090] = 8405,
  [10091] = 9771,
  [10092] = 9273,
  [10093] = 10093,
  [10094] = 9297,
  [10095] = 9298,
  [10096] = 9299,
  [10097] = 9773,
  [10098] = 9300,
  [10099] = 9225,
  [10100] = 9227,
  [10101] = 9230,
  [10102] = 9239,
  [10103] = 9244,
  [10104] = 9777,
  [10105] = 9772,
  [10106] = 9249,
  [10107] = 9772,
  [10108] = 10108,
  [10109] = 9773,
  [10110] = 9773,
  [10111] = 9773,
  [10112] = 9773,
  [10113] = 9772,
  [10114] = 6230,
  [10115] = 9310,
  [10116] = 9771,
  [10117] = 10117,
  [10118] = 9773,
  [10119] = 9772,
  [10120] = 9777,
  [10121] = 3460,
  [10122] = 6348,
  [10123] = 6388,
  [10124] = 3556,
  [10125] = 10125,
  [10126] = 3454,
  [10127] = 10127,
  [10128] = 3455,
  [10129] = 10129,
  [10130] = 3552,
  [10131] = 3553,
  [10132] = 10132,
  [10133] = 3425,
  [10134] = 10134,
  [10135] = 6492,
  [10136] = 6389,
  [10137] = 6394,
  [10138] = 10138,
  [10139] = 6448,
  [10140] = 6361,
  [10141] = 3551,
  [10142] = 6387,
  [10143] = 3408,
  [10144] = 6494,
  [10145] = 10145,
  [10146] = 6454,
  [10147] = 10147,
  [10148] = 6468,
  [10149] = 10149,
  [10150] = 6427,
  [10151] = 6483,
  [10152] = 6364,
  [10153] = 6464,
  [10154] = 10154,
  [10155] = 10155,
  [10156] = 10156,
  [10157] = 3423,
  [10158] = 10158,
  [10159] = 6353,
  [10160] = 3556,
  [10161] = 6485,
  [10162] = 9303,
  [10163] = 3446,
  [10164] = 3433,
  [10165] = 3415,
  [10166] = 10166,
  [10167] = 6390,
  [10168] = 3551,
  [10169] = 3553,
  [10170] = 6495,
  [10171] = 10171,
  [10172] = 10172,
  [10173] = 3445,
  [10174] = 6452,
  [10175] = 6478,
  [10176] = 6477,
  [10177] = 3552,
  [10178] = 10138,
  [10179] = 6391,
  [10180] = 10180,
  [10181] = 6474,
  [10182] = 6351,
  [10183] = 6357,
  [10184] = 6362,
  [10185] = 6484,
  [10186] = 6445,
  [10187] = 6370,
  [10188] = 6352,
  [10189] = 6355,
  [10190] = 6366,
  [10191] = 10191,
  [10192] = 9303,
  [10193] = 10193,
  [10194] = 6481,
  [10195] = 6404,
  [10196] = 6443,
  [10197] = 9303,
  [10198] = 6371,
  [10199] = 6439,
  [10200] = 10149,
  [10201] = 10201,
  [10202] = 10191,
  [10203] = 10203,
  [10204] = 10201,
  [10205] = 10205,
  [10206] = 10203,
  [10207] = 10180,
  [10208] = 10208,
  [10209] = 10191,
  [10210] = 10210,
  [10211] = 10117,
  [10212] = 10212,
  [10213] = 10213,
  [10214] = 10214,
  [10215] = 10215,
  [10216] = 10212,
  [10217] = 10212,
  [10218] = 10213,
  [10219] = 10212,
  [10220] = 10212,
  [10221] = 10221,
  [10222] = 10222,
  [10223] = 10223,
  [10224] = 10224,
  [10225] = 10225,
  [10226] = 10226,
  [10227] = 10227,
  [10228] = 10228,
  [10229] = 10229,
  [10230] = 10230,
  [10231] = 10231,
  [10232] = 10232,
  [10233] = 10212,
  [10234] = 10234,
  [10235] = 10213,
  [10236] = 10236,
  [10237] = 10237,
  [10238] = 10236,
  [10239] = 10239,
  [10240] = 10213,
  [10241] = 10213,
  [10242] = 10225,
  [10243] = 10243,
  [10244] = 10149,
  [10245] = 3552,
  [10246] = 10225,
  [10247] = 10117,
  [10248] = 10225,
  [10249] = 10249,
  [10250] = 10214,
  [10251] = 3551,
  [10252] = 10252,
  [10253] = 10117,
  [10254] = 10213,
  [10255] = 10225,
  [10256] = 10225,
  [10257] = 10212,
  [10258] = 6474,
  [10259] = 10213,
  [10260] = 10212,
  [10261] = 10261,
  [10262] = 10205,
  [10263] = 10225,
  [10264] = 10225,
  [10265] = 10265,
  [10266] = 10212,
  [10267] = 10267,
  [10268] = 6452,
  [10269] = 10213,
  [10270] = 10191,
  [10271] = 10271,
  [10272] = 10212,
  [10273] = 10213,
  [10274] = 10213,
  [10275] = 10275,
  [10276] = 10225,
  [10277] = 10225,
  [10278] = 10278,
  [10279] = 10212,
  [10280] = 10280,
  [10281] = 10212,
  [10282] = 10282,
  [10283] = 10283,
  [10284] = 10284,
  [10285] = 3553,
  [10286] = 10225,
  [10287] = 10287,
  [10288] = 10288,
  [10289] = 10212,
  [10290] = 10290,
  [10291] = 10291,
  [10292] = 10292,
  [10293] = 10293,
  [10294] = 10213,
  [10295] = 10225,
  [10296] = 10296,
  [10297] = 10213,
  [10298] = 10213,
  [10299] = 10225,
  [10300] = 10300,
  [10301] = 10180,
  [10302] = 10302,
  [10303] = 3556,
  [10304] = 10304,
  [10305] = 10228,
  [10306] = 10287,
  [10307] = 10239,
  [10308] = 10223,
  [10309] = 3445,
  [10310] = 3446,
  [10311] = 3454,
  [10312] = 3455,
  [10313] = 10313,
  [10314] = 10314,
  [10315] = 10315,
  [10316] = 6452,
  [10317] = 10317,
  [10318] = 10318,
  [10319] = 10319,
  [10320] = 10320,
  [10321] = 10321,
  [10322] = 10304,
  [10323] = 3460,
  [10324] = 3461,
  [10325] = 3463,
  [10326] = 10313,
  [10327] = 10314,
  [10328] = 10315,
  [10329] = 3480,
  [10330] = 10317,
  [10331] = 3481,
  [10332] = 10243,
  [10333] = 10318,
  [10334] = 10319,
  [10335] = 10320,
  [10336] = 10321,
  [10337] = 10304,
  [10338] = 10261,
  [10339] = 10265,
  [10340] = 10237,
  [10341] = 10222,
  [10342] = 10313,
  [10343] = 10314,
  [10344] = 3494,
  [10345] = 10315,
  [10346] = 10317,
  [10347] = 3502,
  [10348] = 10318,
  [10349] = 10319,
  [10350] = 10320,
  [10351] = 10321,
  [10352] = 10304,
  [10353] = 10353,
  [10354] = 10293,
  [10355] = 10278,
  [10356] = 10288,
  [10357] = 10226,
  [10358] = 10313,
  [10359] = 10314,
  [10360] = 10315,
  [10361] = 10317,
  [10362] = 10318,
  [10363] = 10319,
  [10364] = 10320,
  [10365] = 10321,
  [10366] = 10304,
  [10367] = 10313,
  [10368] = 10314,
  [10369] = 10315,
  [10370] = 10317,
  [10371] = 10318,
  [10372] = 10319,
  [10373] = 10320,
  [10374] = 10321,
  [10375] = 10304,
  [10376] = 10224,
  [10377] = 10229,
  [10378] = 10230,
  [10379] = 10232,
  [10380] = 10221,
  [10381] = 10317,
  [10382] = 10313,
  [10383] = 10314,
  [10384] = 6474,
  [10385] = 10315,
  [10386] = 10317,
  [10387] = 10275,
  [10388] = 10280,
  [10389] = 10318,
  [10390] = 10319,
  [10391] = 10320,
  [10392] = 10321,
  [10393] = 10304,
  [10394] = 10282,
  [10395] = 10291,
  [10396] = 10292,
  [10397] = 10296,
  [10398] = 10149,
  [10399] = 10300,
  [10400] = 10302,
  [10401] = 10283,
  [10402] = 10313,
  [10403] = 10314,
  [10404] = 10315,
  [10405] = 10284,
  [10406] = 10317,
  [10407] = 10318,
  [10408] = 10319,
  [10409] = 10320,
  [10410] = 10321,
  [10411] = 10304,
  [10412] = 10412,
  [10413] = 10180,
  [10414] = 10313,
  [10415] = 10314,
  [10416] = 10315,
  [10417] = 10317,
  [10418] = 10318,
  [10419] = 10319,
  [10420] = 10320,
  [10421] = 10321,
  [10422] = 10304,
  [10423] = 10313,
  [10424] = 10314,
  [10425] = 10315,
  [10426] = 10317,
  [10427] = 10318,
  [10428] = 10319,
  [10429] = 10320,
  [10430] = 10321,
  [10431] = 10304,
  [10432] = 10315,
  [10433] = 10320,
  [10434] = 10434,
  [10435] = 10315,
  [10436] = 10320,
  [10437] = 10304,
  [10438] = 10315,
  [10439] = 10439,
  [10440] = 10320,
  [10441] = 10304,
  [10442] = 3491,
  [10443] = 3416,
  [10444] = 10315,
  [10445] = 10320,
  [10446] = 10304,
  [10447] = 6474,
  [10448] = 10315,
  [10449] = 3385,
  [10450] = 10320,
  [10451] = 10304,
  [10452] = 3448,
  [10453] = 10315,
  [10454] = 10320,
  [10455] = 10304,
  [10456] = 10456,
  [10457] = 10315,
  [10458] = 10458,
  [10459] = 10320,
  [10460] = 10304,
  [10461] = 10149,
  [10462] = 10315,
  [10463] = 10320,
  [10464] = 10304,
  [10465] = 10180,
  [10466] = 10315,
  [10467] = 10320,
  [10468] = 10304,
  [10469] = 10313,
  [10470] = 3490,
  [10471] = 6452,
  [10472] = 3513,
  [10473] = 10149,
  [10474] = 10314,
  [10475] = 3575,
  [10476] = 3387,
  [10477] = 3394,
  [10478] = 10318,
  [10479] = 10319,
  [10480] = 3400,
  [10481] = 3405,
  [10482] = 10215,
  [10483] = 10227,
  [10484] = 10234,
  [10485] = 10180,
  [10486] = 10287,
  [10487] = 10239,
  [10488] = 10488,
  [10489] = 3407,
  [10490] = 10223,
  [10491] = 10320,
  [10492] = 3422,
  [10493] = 10191,
  [10494] = 10494,
  [10495] = 10495,
  [10496] = 10315,
  [10497] = 10497,
  [10498] = 3415,
  [10499] = 10321,
  [10500] = 3589,
  [10501] = 3591,
  [10502] = 3380,
  [10503] = 3701,
  [10504] = 3706,
  [10505] = 3707,
  [10506] = 3378,
  [10507] = 3427,
  [10508] = 3431,
  [10509] = 3583,
  [10510] = 3623,
  [10511] = 3633,
  [10512] = 3333,
  [10513] = 3639,
  [10514] = 3642,
  [10515] = 3711,
  [10516] = 3504,
  [10517] = 3595,
  [10518] = 3597,
  [10519] = 3393,
  [10520] = 10495,
  [10521] = 3546,
  [10522] = 3456,
  [10523] = 3465,
  [10524] = 3485,
  [10525] = 3381,
  [10526] = 3395,
  [10527] = 3414,
  [10528] = 3418,
  [10529] = 3420,
  [10530] = 3444,
  [10531] = 3331,
  [10532] = 3330,
  [10533] = 3332,
  [10534] = 3608,
  [10535] = 3626,
  [10536] = 3630,
  [10537] = 3640,
  [10538] = 3343,
  [10539] = 3340,
  [10540] = 3350,
  [10541] = 3384,
  [10542] = 3391,
  [10543] = 10304,
  [10544] = 3551,
  [10545] = 3436,
  [10546] = 10546,
  [10547] = 10547,
  [10548] = 10548,
  [10549] = 3552,
  [10550] = 3553,
  [10551] = 10191,
  [10552] = 3556,
  [10553] = 3344,
  [10554] = 10228,
  [10555] = 10243,
  [10556] = 10261,
  [10557] = 10237,
  [10558] = 10222,
  [10559] = 3356,
  [10560] = 10293,
  [10561] = 10278,
  [10562] = 10288,
  [10563] = 10226,
  [10564] = 3551,
  [10565] = 3552,
  [10566] = 3553,
  [10567] = 3556,
  [10568] = 10224,
  [10569] = 10229,
  [10570] = 10230,
  [10571] = 10232,
  [10572] = 10275,
  [10573] = 10280,
  [10574] = 10282,
  [10575] = 10291,
  [10576] = 10292,
  [10577] = 10296,
  [10578] = 10300,
  [10579] = 10302,
  [10580] = 10283,
  [10581] = 10284,
  [10582] = 10117,
  [10583] = 10313,
  [10584] = 10314,
  [10585] = 10315,
  [10586] = 10265,
  [10587] = 10317,
  [10588] = 10221,
  [10589] = 10318,
  [10590] = 10319,
  [10591] = 10320,
  [10592] = 10321,
  [10593] = 10304,
  [10594] = 3425,
  [10595] = 3551,
  [10596] = 10313,
  [10597] = 10314,
  [10598] = 3552,
  [10599] = 3553,
  [10600] = 10315,
  [10601] = 3556,
  [10602] = 10317,
  [10603] = 10318,
  [10604] = 10319,
  [10605] = 10320,
  [10606] = 10321,
  [10607] = 10304,
  [10608] = 10215,
  [10609] = 10227,
  [10610] = 10610,
  [10611] = 10313,
  [10612] = 10314,
  [10613] = 10315,
  [10614] = 10234,
  [10615] = 10317,
  [10616] = 3433,
  [10617] = 10318,
  [10618] = 10319,
  [10619] = 10320,
  [10620] = 10205,
  [10621] = 10321,
  [10622] = 10304,
  [10623] = 3474,
  [10624] = 10237,
  [10625] = 3408,
  [10626] = 10626,
  [10627] = 3497,
  [10628] = 10628,
  [10629] = 3446,
  [10630] = 10191,
  [10631] = 9267,
  [10632] = 9273,
  [10633] = 9297,
  [10634] = 9298,
  [10635] = 9299,
  [10636] = 9300,
  [10637] = 9225,
  [10638] = 9227,
  [10639] = 9230,
  [10640] = 9239,
  [10641] = 9244,
  [10642] = 9249,
  [10643] = 3454,
  [10644] = 10191,
  [10645] = 10628,
  [10646] = 10117,
  [10647] = 3455,
  [10648] = 10488,
  [10649] = 3423,
  [10650] = 3433,
  [10651] = 10651,
  [10652] = 3551,
  [10653] = 3421,
  [10654] = 3552,
  [10655] = 3553,
  [10656] = 10458,
  [10657] = 3556,
  [10658] = 6474,
  [10659] = 10205,
  [10660] = 9255,
  [10661] = 10497,
  [10662] = 9254,
  [10663] = 9229,
  [10664] = 9241,
  [10665] = 9242,
  [10666] = 9243,
  [10667] = 10667,
  [10668] = 6452,
  [10669] = 10669,
  [10670] = 10670,
  [10671] = 10671,
  [10672] = 10672,
  [10673] = 10215,
  [10674] = 10674,
  [10675] = 10117,
  [10676] = 10228,
  [10677] = 10243,
  [10678] = 10261,
  [10679] = 9255,
  [10680] = 10191,
  [10681] = 9245,
  [10682] = 10682,
  [10683] = 10293,
  [10684] = 10278,
  [10685] = 10288,
  [10686] = 10226,
  [10687] = 10224,
  [10688] = 10229,
  [10689] = 10230,
  [10690] = 10232,
  [10691] = 10287,
  [10692] = 10275,
  [10693] = 10280,
  [10694] = 10282,
  [10695] = 10291,
  [10696] = 10292,
  [10697] = 10296,
  [10698] = 10300,
  [10699] = 10302,
  [10700] = 10283,
  [10701] = 10239,
  [10702] = 10223,
  [10703] = 10227,
  [10704] = 10205,
  [10705] = 10705,
  [10706] = 10284,
  [10707] = 10439,
  [10708] = 10626,
  [10709] = 10628,
  [10710] = 10626,
  [10711] = 10628,
  [10712] = 10434,
  [10713] = 10610,
  [10714] = 10497,
  [10715] = 10715,
  [10716] = 10439,
  [10717] = 10117,
  [10718] = 10626,
  [10719] = 10265,
  [10720] = 9303,
  [10721] = 10628,
  [10722] = 10234,
  [10723] = 9263,
  [10724] = 10221,
  [10725] = 10626,
  [10726] = 9245,
  [10727] = 3445,
  [10728] = 10728,
  [10729] = 10729,
  [10730] = 10730,
  [10731] = 10205,
  [10732] = 9310,
  [10733] = 10222,
  [10734] = 10651,
  [10735] = 10735,
  [10736] = 10736,
  [10737] = 3394,
  [10738] = 10735,
  [10739] = 3400,
  [10740] = 3405,
  [10741] = 9300,
  [10742] = 10215,
  [10743] = 10743,
  [10744] = 9225,
  [10745] = 10745,
  [10746] = 9227,
  [10747] = 10747,
  [10748] = 10748,
  [10749] = 9230,
  [10750] = 10750,
  [10751] = 10751,
  [10752] = 10752,
  [10753] = 10753,
  [10754] = 10754,
  [10755] = 10755,
  [10756] = 10756,
  [10757] = 10757,
  [10758] = 10758,
  [10759] = 10234,
  [10760] = 10760,
  [10761] = 9239,
  [10762] = 9244,
  [10763] = 9245,
  [10764] = 4468,
  [10765] = 9249,
  [10766] = 9255,
  [10767] = 10215,
  [10768] = 10227,
  [10769] = 10756,
  [10770] = 10770,
  [10771] = 10234,
  [10772] = 10743,
  [10773] = 10215,
  [10774] = 10774,
  [10775] = 10227,
  [10776] = 10227,
  [10777] = 10745,
  [10778] = 9263,
  [10779] = 10287,
  [10780] = 10780,
  [10781] = 10781,
  [10782] = 10239,
  [10783] = 10223,
  [10784] = 10228,
  [10785] = 10785,
  [10786] = 9310,
  [10787] = 10785,
  [10788] = 10757,
  [10789] = 3425,
  [10790] = 10243,
  [10791] = 3415,
  [10792] = 10261,
  [10793] = 10237,
  [10794] = 10222,
  [10795] = 10795,
  [10796] = 10728,
  [10797] = 6474,
  [10798] = 10798,
  [10799] = 10228,
  [10800] = 10293,
  [10801] = 10278,
  [10802] = 10288,
  [10803] = 10226,
  [10804] = 10234,
  [10805] = 10497,
  [10806] = 10758,
  [10807] = 10224,
  [10808] = 10229,
  [10809] = 10230,
  [10810] = 10232,
  [10811] = 10275,
  [10812] = 10280,
  [10813] = 10282,
  [10814] = 10291,
  [10815] = 10292,
  [10816] = 10296,
  [10817] = 10300,
  [10818] = 10302,
  [10819] = 10283,
  [10820] = 10284,
  [10821] = 10798,
  [10822] = 10243,
  [10823] = 10261,
  [10824] = 10237,
  [10825] = 10222,
  [10826] = 10117,
  [10827] = 10752,
  [10828] = 3460,
  [10829] = 3461,
  [10830] = 3463,
  [10831] = 3474,
  [10832] = 3433,
  [10833] = 3480,
  [10834] = 3481,
  [10835] = 10798,
  [10836] = 3445,
  [10837] = 3446,
  [10838] = 3454,
  [10839] = 3455,
  [10840] = 10439,
  [10841] = 3494,
  [10842] = 3497,
  [10843] = 10293,
  [10844] = 10278,
  [10845] = 10288,
  [10846] = 3502,
  [10847] = 10265,
  [10848] = 10226,
  [10849] = 10760,
  [10850] = 10287,
  [10851] = 3407,
  [10852] = 3408,
  [10853] = 3421,
  [10854] = 3422,
  [10855] = 3423,
  [10856] = 8442,
  [10857] = 8449,
  [10858] = 10223,
  [10859] = 10224,
  [10860] = 10798,
  [10861] = 10229,
  [10862] = 10230,
  [10863] = 10232,
  [10864] = 3551,
  [10865] = 3552,
  [10866] = 3553,
  [10867] = 3556,
  [10868] = 9254,
  [10869] = 9229,
  [10870] = 9241,
  [10871] = 9242,
  [10872] = 9243,
  [10873] = 10275,
  [10874] = 10280,
  [10875] = 3551,
  [10876] = 3552,
  [10877] = 3553,
  [10878] = 3556,
  [10879] = 10282,
  [10880] = 10291,
  [10881] = 10292,
  [10882] = 10296,
  [10883] = 10300,
  [10884] = 10302,
  [10885] = 10283,
  [10886] = 10284,
  [10887] = 3421,
  [10888] = 10888,
  [10889] = 10751,
  [10890] = 10239,
  [10891] = 10117,
  [10892] = 10149,
  [10893] = 10754,
  [10894] = 9303,
  [10895] = 8338,
  [10896] = 8342,
  [10897] = 10191,
  [10898] = 10223,
  [10899] = 10221,
  [10900] = 10265,
  [10901] = 10752,
  [10902] = 10760,
  [10903] = 10755,
  [10904] = 10221,
  [10905] = 6474,
  [10906] = 10906,
  [10907] = 3551,
  [10908] = 3552,
  [10909] = 3553,
  [10910] = 3556,
  [10911] = 10180,
  [10912] = 10912,
  [10913] = 10287,
  [10914] = 10239,
  [10915] = 10750,
  [10916] = 10751,
  [10917] = 10917,
  [10918] = 10918,
  [10919] = 10919,
  [10920] = 9245,
  [10921] = 10921,
  [10922] = 10728,
  [10923] = 10888,
  [10924] = 3589,
  [10925] = 10925,
  [10926] = 10753,
  [10927] = 10927,
  [10928] = 3380,
  [10929] = 10929,
  [10930] = 10735,
  [10931] = 10785,
  [10932] = 3701,
  [10933] = 3706,
  [10934] = 3707,
  [10935] = 3378,
  [10936] = 3427,
  [10937] = 3431,
  [10938] = 3583,
  [10939] = 3623,
  [10940] = 10743,
  [10941] = 10745,
  [10942] = 3633,
  [10943] = 10752,
  [10944] = 10760,
  [10945] = 10945,
  [10946] = 10747,
  [10947] = 10748,
  [10948] = 3333,
  [10949] = 10750,
  [10950] = 10751,
  [10951] = 10753,
  [10952] = 10754,
  [10953] = 10755,
  [10954] = 10756,
  [10955] = 10757,
  [10956] = 10758,
  [10957] = 3639,
  [10958] = 10958,
  [10959] = 3642,
  [10960] = 10753,
  [10961] = 10754,
  [10962] = 10755,
  [10963] = 10963,
  [10964] = 10964,
  [10965] = 3711,
  [10966] = 10149,
  [10967] = 3504,
  [10968] = 10968,
  [10969] = 10969,
  [10970] = 3595,
  [10971] = 3597,
  [10972] = 3393,
  [10973] = 3546,
  [10974] = 3551,
  [10975] = 9267,
  [10976] = 9273,
  [10977] = 9297,
  [10978] = 9298,
  [10979] = 9299,
  [10980] = 9300,
  [10981] = 9225,
  [10982] = 9227,
  [10983] = 9230,
  [10984] = 9239,
  [10985] = 9244,
  [10986] = 10756,
  [10987] = 3456,
  [10988] = 9249,
  [10989] = 10757,
  [10990] = 10990,
  [10991] = 3552,
  [10992] = 3553,
  [10993] = 10993,
  [10994] = 3465,
  [10995] = 3556,
  [10996] = 3485,
  [10997] = 3381,
  [10998] = 3395,
  [10999] = 10180,
  [11000] = 3414,
  [11001] = 10758,
  [11002] = 3418,
  [11003] = 3420,
  [11004] = 3444,
  [11005] = 3331,
  [11006] = 3330,
  [11007] = 3332,
  [11008] = 3608,
  [11009] = 3626,
  [11010] = 3630,
  [11011] = 3640,
  [11012] = 3343,
  [11013] = 3340,
  [11014] = 3350,
  [11015] = 3384,
  [11016] = 10785,
  [11017] = 3391,
  [11018] = 10888,
  [11019] = 3344,
  [11020] = 10747,
  [11021] = 9267,
  [11022] = 10117,
  [11023] = 9273,
  [11024] = 3436,
  [11025] = 10929,
  [11026] = 10735,
  [11027] = 10785,
  [11028] = 10785,
  [11029] = 11029,
  [11030] = 10743,
  [11031] = 10745,
  [11032] = 3356,
  [11033] = 10752,
  [11034] = 10760,
  [11035] = 10798,
  [11036] = 11036,
  [11037] = 10747,
  [11038] = 10748,
  [11039] = 9297,
  [11040] = 10651,
  [11041] = 10750,
  [11042] = 10751,
  [11043] = 10753,
  [11044] = 10754,
  [11045] = 10755,
  [11046] = 10756,
  [11047] = 10757,
  [11048] = 11048,
  [11049] = 10758,
  [11050] = 10715,
  [11051] = 9303,
  [11052] = 6452,
  [11053] = 11053,
  [11054] = 9298,
  [11055] = 10752,
  [11056] = 3490,
  [11057] = 3491,
  [11058] = 10760,
  [11059] = 9299,
  [11060] = 10888,
  [11061] = 10888,
  [11062] = 3513,
  [11063] = 10798,
  [11064] = 9310,
  [11065] = 10929,
  [11066] = 10735,
  [11067] = 10785,
  [11068] = 6452,
  [11069] = 9255,
  [11070] = 10929,
  [11071] = 10748,
  [11072] = 10743,
  [11073] = 10745,
  [11074] = 3575,
  [11075] = 10752,
  [11076] = 10760,
  [11077] = 3385,
  [11078] = 11078,
  [11079] = 10747,
  [11080] = 10748,
  [11081] = 10929,
  [11082] = 10750,
  [11083] = 3387,
  [11084] = 3591,
  [11085] = 10232,
  [11086] = 8135,
  [11087] = 10284,
  [11088] = 10234,
  [11089] = 10287,
  [11090] = 10239,
  [11091] = 11091,
  [11092] = 10223,
  [11093] = 10945,
  [11094] = 11094,
  [11095] = 10912,
  [11096] = 11096,
  [11097] = 8297,
  [11098] = 8298,
  [11099] = 11099,
  [11100] = 11100,
  [11101] = 11101,
  [11102] = 7767,
  [11103] = 11103,
  [11104] = 11104,
  [11105] = 11105,
  [11106] = 11100,
  [11107] = 11107,
  [11108] = 11108,
  [11109] = 11105,
  [11110] = 11107,
  [11111] = 11111,
  [11112] = 10497,
  [11113] = 11111,
  [11114] = 3551,
  [11115] = 11101,
  [11116] = 11103,
  [11117] = 11104,
  [11118] = 10497,
  [11119] = 10265,
  [11120] = 6452,
  [11121] = 3552,
  [11122] = 3553,
  [11123] = 10228,
  [11124] = 11124,
  [11125] = 3556,
  [11126] = 9267,
  [11127] = 11127,
  [11128] = 10906,
  [11129] = 10912,
  [11130] = 9273,
  [11131] = 9297,
  [11132] = 10221,
  [11133] = 10945,
  [11134] = 11029,
  [11135] = 11036,
  [11136] = 11053,
  [11137] = 10439,
  [11138] = 6474,
  [11139] = 11096,
  [11140] = 10265,
  [11141] = 11101,
  [11142] = 11103,
  [11143] = 11104,
  [11144] = 11029,
  [11145] = 11036,
  [11146] = 11100,
  [11147] = 11105,
  [11148] = 11107,
  [11149] = 11111,
  [11150] = 9298,
  [11151] = 10205,
  [11152] = 11152,
  [11153] = 9299,
  [11154] = 10728,
  [11155] = 10215,
  [11156] = 10227,
  [11157] = 9300,
  [11158] = 11158,
  [11159] = 10234,
  [11160] = 11100,
  [11161] = 9225,
  [11162] = 10221,
  [11163] = 10287,
  [11164] = 10239,
  [11165] = 9227,
  [11166] = 11096,
  [11167] = 11101,
  [11168] = 11103,
  [11169] = 9230,
  [11170] = 11104,
  [11171] = 9239,
  [11172] = 3551,
  [11173] = 9244,
  [11174] = 11100,
  [11175] = 11053,
  [11176] = 11105,
  [11177] = 11107,
  [11178] = 3552,
  [11179] = 3553,
  [11180] = 11111,
  [11181] = 3556,
  [11182] = 10223,
  [11183] = 11107,
  [11184] = 10439,
  [11185] = 6452,
  [11186] = 10243,
  [11187] = 11096,
  [11188] = 10261,
  [11189] = 11101,
  [11190] = 11103,
  [11191] = 11104,
  [11192] = 11100,
  [11193] = 10237,
  [11194] = 10222,
  [11195] = 6474,
  [11196] = 11105,
  [11197] = 11107,
  [11198] = 11111,
  [11199] = 10906,
  [11200] = 11096,
  [11201] = 10228,
  [11202] = 11078,
  [11203] = 3551,
  [11204] = 3552,
  [11205] = 3553,
  [11206] = 3556,
  [11207] = 10293,
  [11208] = 10215,
  [11209] = 10227,
  [11210] = 10243,
  [11211] = 11101,
  [11212] = 10261,
  [11213] = 11213,
  [11214] = 11096,
  [11215] = 10237,
  [11216] = 10222,
  [11217] = 11101,
  [11218] = 11103,
  [11219] = 11103,
  [11220] = 11104,
  [11221] = 11104,
  [11222] = 11100,
  [11223] = 11105,
  [11224] = 10610,
  [11225] = 11107,
  [11226] = 11111,
  [11227] = 10228,
  [11228] = 11228,
  [11229] = 10234,
  [11230] = 10293,
  [11231] = 10278,
  [11232] = 10288,
  [11233] = 10278,
  [11234] = 10226,
  [11235] = 10610,
  [11236] = 7763,
  [11237] = 10288,
  [11238] = 11100,
  [11239] = 10243,
  [11240] = 10261,
  [11241] = 10287,
  [11242] = 10237,
  [11243] = 10239,
  [11244] = 10222,
  [11245] = 10224,
  [11246] = 6474,
  [11247] = 10229,
  [11248] = 10230,
  [11249] = 10434,
  [11250] = 11096,
  [11251] = 11101,
  [11252] = 11103,
  [11253] = 11104,
  [11254] = 11105,
  [11255] = 11100,
  [11256] = 11107,
  [11257] = 3551,
  [11258] = 3552,
  [11259] = 3553,
  [11260] = 3556,
  [11261] = 11105,
  [11262] = 11107,
  [11263] = 11105,
  [11264] = 11107,
  [11265] = 11111,
  [11266] = 9303,
  [11267] = 11111,
  [11268] = 9303,
  [11269] = 10223,
  [11270] = 10275,
  [11271] = 10280,
  [11272] = 10282,
  [11273] = 10291,
  [11274] = 10292,
  [11275] = 10296,
  [11276] = 10300,
  [11277] = 10302,
  [11278] = 10283,
  [11279] = 10284,
  [11280] = 9310,
  [11281] = 10226,
  [11282] = 11282,
  [11283] = 9249,
  [11284] = 11284,
  [11285] = 11285,
  [11286] = 10293,
  [11287] = 10278,
  [11288] = 4706,
  [11289] = 11096,
  [11290] = 11101,
  [11291] = 10288,
  [11292] = 11103,
  [11293] = 11096,
  [11294] = 11104,
  [11295] = 11111,
  [11296] = 10226,
  [11297] = 11297,
  [11298] = 11100,
  [11299] = 11101,
  [11300] = 11300,
  [11301] = 10224,
  [11302] = 10229,
  [11303] = 11105,
  [11304] = 10230,
  [11305] = 10232,
  [11306] = 11107,
  [11307] = 11111,
  [11308] = 10275,
  [11309] = 10280,
  [11310] = 10282,
  [11311] = 10291,
  [11312] = 10292,
  [11313] = 10296,
  [11314] = 11096,
  [11315] = 10300,
  [11316] = 10302,
  [11317] = 10117,
  [11318] = 10283,
  [11319] = 11103,
  [11320] = 10284,
  [11321] = 11101,
  [11322] = 11103,
  [11323] = 8294,
  [11324] = 11104,
  [11325] = 10925,
  [11326] = 11100,
  [11327] = 11096,
  [11328] = 11101,
  [11329] = 11105,
  [11330] = 11107,
  [11331] = 11111,
  [11332] = 10224,
  [11333] = 10439,
  [11334] = 10229,
  [11335] = 10230,
  [11336] = 6452,
  [11337] = 11111,
  [11338] = 10265,
  [11339] = 11096,
  [11340] = 11104,
  [11341] = 10205,
  [11342] = 10265,
  [11343] = 11096,
  [11344] = 10221,
  [11345] = 4734,
  [11346] = 10275,
  [11347] = 10280,
  [11348] = 10221,
  [11349] = 10458,
  [11350] = 10282,
  [11351] = 10291,
  [11352] = 10292,
  [11353] = 11096,
  [11354] = 11101,
  [11355] = 11103,
  [11356] = 10296,
  [11357] = 11104,
  [11358] = 11100,
  [11359] = 11105,
  [11360] = 11107,
  [11361] = 10651,
  [11362] = 11111,
  [11363] = 10434,
  [11364] = 10669,
  [11365] = 10300,
  [11366] = 10458,
  [11367] = 11367,
  [11368] = 10497,
  [11369] = 10302,
  [11370] = 11096,
  [11371] = 10215,
  [11372] = 10227,
  [11373] = 11101,
  [11374] = 11103,
  [11375] = 11104,
  [11376] = 10283,
  [11377] = 11100,
  [11378] = 10191,
  [11379] = 11048,
  [11380] = 11105,
  [11381] = 10958,
  [11382] = 10968,
  [11383] = 10969,
  [11384] = 10993,
  [11385] = 10488,
  [11386] = 10488,
  [11387] = 10232,
  [11388] = 10228,
  [11389] = 3415,
  [11390] = 11390,
  [11391] = 11297,
  [11392] = 10280,
  [11393] = 11393,
  [11394] = 11394,
  [11395] = 10282,
  [11396] = 11396,
  [11397] = 10291,
  [11398] = 11099,
  [11399] = 11399,
  [11400] = 10292,
  [11401] = 11401,
  [11402] = 11213,
  [11403] = 3446,
  [11404] = 11404,
  [11405] = 8416,
  [11406] = 6389,
  [11407] = 3454,
  [11408] = 11408,
  [11409] = 11409,
  [11410] = 11410,
  [11411] = 10925,
  [11412] = 3455,
  [11413] = 11413,
  [11414] = 11414,
  [11415] = 10296,
  [11416] = 10300,
  [11417] = 11417,
  [11418] = 10302,
  [11419] = 11282,
  [11420] = 11413,
  [11421] = 10191,
  [11422] = 11152,
  [11423] = 10191,
  [11424] = 9310,
  [11425] = 9255,
  [11426] = 10439,
  [11427] = 10283,
  [11428] = 10284,
  [11429] = 10117,
  [11430] = 9267,
  [11431] = 9273,
  [11432] = 9297,
  [11433] = 9298,
  [11434] = 9299,
  [11435] = 9300,
  [11436] = 9225,
  [11437] = 9227,
  [11438] = 9230,
  [11439] = 9239,
  [11440] = 9244,
  [11441] = 9249,
  [11442] = 11442,
  [11443] = 10728,
  [11444] = 11414,
  [11445] = 8485,
  [11446] = 10117,
  [11447] = 5668,
  [11448] = 8412,
  [11449] = 3551,
  [11450] = 8415,
  [11451] = 8418,
  [11452] = 8420,
  [11453] = 11414,
  [11454] = 11454,
  [11455] = 8422,
  [11456] = 6452,
  [11457] = 11457,
  [11458] = 11458,
  [11459] = 8469,
  [11460] = 11460,
  [11461] = 10728,
  [11462] = 11414,
  [11463] = 11463,
  [11464] = 10497,
  [11465] = 10117,
  [11466] = 11466,
  [11467] = 9245,
  [11468] = 11468,
  [11469] = 3552,
  [11470] = 3553,
  [11471] = 11414,
  [11472] = 11053,
  [11473] = 10293,
  [11474] = 11474,
  [11475] = 11475,
  [11476] = 11476,
  [11477] = 8478,
  [11478] = 10224,
  [11479] = 5735,
  [11480] = 10229,
  [11481] = 6443,
  [11482] = 11414,
  [11483] = 3460,
  [11484] = 3461,
  [11485] = 9254,
  [11486] = 9229,
  [11487] = 9241,
  [11488] = 9242,
  [11489] = 9243,
  [11490] = 11414,
  [11491] = 3556,
  [11492] = 11414,
  [11493] = 3463,
  [11494] = 10906,
  [11495] = 3474,
  [11496] = 10230,
  [11497] = 11414,
  [11498] = 3494,
  [11499] = 10232,
  [11500] = 8350,
  [11501] = 10278,
  [11502] = 11414,
  [11503] = 11414,
  [11504] = 11504,
  [11505] = 11414,
  [11506] = 6388,
  [11507] = 8352,
  [11508] = 11414,
  [11509] = 8355,
  [11510] = 8380,
  [11511] = 8458,
  [11512] = 8365,
  [11513] = 10912,
  [11514] = 9255,
  [11515] = 6485,
  [11516] = 11414,
  [11517] = 3433,
  [11518] = 11414,
  [11519] = 5668,
  [11520] = 3480,
  [11521] = 11414,
  [11522] = 10497,
  [11523] = 11414,
  [11524] = 8373,
  [11525] = 8441,
  [11526] = 11526,
  [11527] = 11527,
  [11528] = 11528,
  [11529] = 11414,
  [11530] = 3481,
  [11531] = 11531,
  [11532] = 3502,
  [11533] = 11533,
  [11534] = 11414,
  [11535] = 5735,
  [11536] = 11414,
  [11537] = 6474,
  [11538] = 8410,
  [11539] = 11414,
  [11540] = 11414,
  [11541] = 8451,
  [11542] = 5745,
  [11543] = 8448,
  [11544] = 11544,
  [11545] = 10497,
  [11546] = 9245,
  [11547] = 5745,
  [11548] = 10945,
  [11549] = 8399,
  [11550] = 10439,
  [11551] = 10265,
  [11552] = 8321,
  [11553] = 6206,
  [11554] = 11554,
  [11555] = 6474,
  [11556] = 8428,
  [11557] = 11557,
  [11558] = 8432,
  [11559] = 10288,
  [11560] = 9303,
  [11561] = 11094,
  [11562] = 11029,
  [11563] = 11127,
  [11564] = 11564,
  [11565] = 11565,
  [11566] = 8384,
  [11567] = 11567,
  [11568] = 9263,
  [11569] = 8386,
  [11570] = 8387,
  [11571] = 10651,
  [11572] = 10651,
  [11573] = 8391,
  [11574] = 11574,
  [11575] = 6452,
  [11576] = 6478,
  [11577] = 6168,
  [11578] = 11036,
  [11579] = 10275,
  [11580] = 11580,
  [11581] = 11581,
  [11582] = 8405,
  [11583] = 10191,
  [11584] = 8414,
  [11585] = 11585,
  [11586] = 10439,
  [11587] = 10243,
  [11588] = 10261,
  [11589] = 10237,
  [11590] = 10222,
  [11591] = 10728,
  [11592] = 10226,
  [11593] = 3445,
  [11594] = 10221,
  [11595] = 11581,
  [11596] = 11284,
  [11597] = 8369,
  [11598] = 11598,
  [11599] = 3553,
  [11600] = 10945,
  [11601] = 10229,
  [11602] = 9102,
  [11603] = 9103,
  [11604] = 9030,
  [11605] = 11598,
  [11606] = 9113,
  [11607] = 9115,
  [11608] = 9122,
  [11609] = 11053,
  [11610] = 6187,
  [11611] = 11611,
  [11612] = 3556,
  [11613] = 9303,
  [11614] = 10230,
  [11615] = 11615,
  [11616] = 11152,
  [11617] = 11617,
  [11618] = 11618,
  [11619] = 10232,
  [11620] = 11620,
  [11621] = 10221,
  [11622] = 11598,
  [11623] = 11623,
  [11624] = 9255,
  [11625] = 11598,
  [11626] = 11626,
  [11627] = 11627,
  [11628] = 11628,
  [11629] = 11629,
  [11630] = 11630,
  [11631] = 11598,
  [11632] = 5735,
  [11633] = 11633,
  [11634] = 11634,
  [11635] = 11297,
  [11636] = 11636,
  [11637] = 9273,
  [11638] = 9206,
  [11639] = 11639,
  [11640] = 10234,
  [11641] = 11598,
  [11642] = 11408,
  [11643] = 11409,
  [11644] = 5745,
  [11645] = 8969,
  [11646] = 9310,
  [11647] = 9249,
  [11648] = 11410,
  [11649] = 10497,
  [11650] = 9297,
  [11651] = 11598,
  [11652] = 11652,
  [11653] = 8975,
  [11654] = 6452,
  [11655] = 11284,
  [11656] = 11598,
  [11657] = 6209,
  [11658] = 10180,
  [11659] = 11598,
  [11660] = 9241,
  [11661] = 11598,
  [11662] = 11662,
  [11663] = 11598,
  [11664] = 11664,
  [11665] = 11598,
  [11666] = 11666,
  [11667] = 11667,
  [11668] = 11668,
  [11669] = 11669,
  [11670] = 11670,
  [11671] = 8927,
  [11672] = 11672,
  [11673] = 11673,
  [11674] = 10275,
  [11675] = 10280,
  [11676] = 11676,
  [11677] = 10728,
  [11678] = 10282,
  [11679] = 10287,
  [11680] = 8929,
  [11681] = 10239,
  [11682] = 3551,
  [11683] = 3552,
  [11684] = 11598,
  [11685] = 3553,
  [11686] = 10291,
  [11687] = 10292,
  [11688] = 3556,
  [11689] = 11598,
  [11690] = 8989,
  [11691] = 10296,
  [11692] = 9303,
  [11693] = 10223,
  [11694] = 9243,
  [11695] = 11598,
  [11696] = 11696,
  [11697] = 11697,
  [11698] = 10925,
  [11699] = 11699,
  [11700] = 11598,
  [11701] = 9298,
  [11702] = 11702,
  [11703] = 11367,
  [11704] = 11598,
  [11705] = 10300,
  [11706] = 11706,
  [11707] = 11598,
  [11708] = 11708,
  [11709] = 11709,
  [11710] = 10228,
  [11711] = 9299,
  [11712] = 10925,
  [11713] = 11713,
  [11714] = 11598,
  [11715] = 11285,
  [11716] = 9300,
  [11717] = 11598,
  [11718] = 11598,
  [11719] = 11719,
  [11720] = 11598,
  [11721] = 9255,
  [11722] = 11722,
  [11723] = 11078,
  [11724] = 11724,
  [11725] = 11598,
  [11726] = 11726,
  [11727] = 10302,
  [11728] = 11408,
  [11729] = 10191,
  [11730] = 11409,
  [11731] = 11410,
  [11732] = 10283,
  [11733] = 11733,
  [11734] = 11598,
  [11735] = 10226,
  [11736] = 11598,
  [11737] = 11737,
  [11738] = 11738,
  [11739] = 11739,
  [11740] = 10149,
  [11741] = 8979,
  [11742] = 11742,
  [11743] = 9029,
  [11744] = 11744,
  [11745] = 9225,
  [11746] = 11746,
  [11747] = 11747,
  [11748] = 11598,
  [11749] = 9227,
  [11750] = 11029,
  [11751] = 11036,
  [11752] = 9230,
  [11753] = 11753,
  [11754] = 9239,
  [11755] = 11755,
  [11756] = 11756,
  [11757] = 10945,
  [11758] = 11598,
  [11759] = 11759,
  [11760] = 9032,
  [11761] = 11761,
  [11762] = 11762,
  [11763] = 9033,
  [11764] = 11764,
  [11765] = 11598,
  [11766] = 11766,
  [11767] = 11091,
  [11768] = 9036,
  [11769] = 11598,
  [11770] = 9038,
  [11771] = 10284,
  [11772] = 10191,
  [11773] = 11773,
  [11774] = 9043,
  [11775] = 11598,
  [11776] = 5886,
  [11777] = 9244,
  [11778] = 9045,
  [11779] = 6167,
  [11780] = 11780,
  [11781] = 11053,
  [11782] = 11782,
  [11783] = 11783,
  [11784] = 11784,
  [11785] = 11785,
  [11786] = 11786,
  [11787] = 11787,
  [11788] = 10215,
  [11789] = 10227,
  [11790] = 11598,
  [11791] = 9263,
  [11792] = 11792,
  [11793] = 10925,
  [11794] = 11598,
  [11795] = 5886,
  [11796] = 9245,
  [11797] = 11598,
  [11798] = 11798,
  [11799] = 11799,
  [11800] = 11800,
  [11801] = 10728,
  [11802] = 10906,
  [11803] = 11803,
  [11804] = 11804,
  [11805] = 9063,
  [11806] = 10912,
  [11807] = 9229,
  [11808] = 11598,
  [11809] = 11809,
  [11810] = 11810,
  [11811] = 11811,
  [11812] = 10234,
  [11813] = 11813,
  [11814] = 11814,
  [11815] = 11815,
  [11816] = 8987,
  [11817] = 10945,
  [11818] = 11818,
  [11819] = 11819,
  [11820] = 11598,
  [11821] = 11821,
  [11822] = 9267,
  [11823] = 11823,
  [11824] = 11824,
  [11825] = 11825,
  [11826] = 11826,
  [11827] = 11827,
  [11828] = 10287,
  [11829] = 10239,
  [11830] = 10906,
  [11831] = 8948,
  [11832] = 11598,
  [11833] = 10223,
  [11834] = 11598,
  [11835] = 11029,
  [11836] = 11036,
  [11837] = 11078,
  [11838] = 11598,
  [11839] = 11053,
  [11840] = 9310,
  [11841] = 8998,
  [11842] = 11842,
  [11843] = 11598,
  [11844] = 11844,
  [11845] = 3551,
  [11846] = 8410,
  [11847] = 9254,
  [11848] = 11029,
  [11849] = 11849,
  [11850] = 11598,
  [11851] = 11036,
  [11852] = 11852,
  [11853] = 10215,
  [11854] = 10227,
  [11855] = 11454,
  [11856] = 10243,
  [11857] = 9267,
  [11858] = 10261,
  [11859] = 11476,
  [11860] = 10265,
  [11861] = 11442,
  [11862] = 9273,
  [11863] = 11475,
  [11864] = 11393,
  [11865] = 11394,
  [11866] = 11399,
  [11867] = 11401,
  [11868] = 11565,
  [11869] = 11574,
  [11870] = 11580,
  [11871] = 11585,
  [11872] = 11463,
  [11873] = 11466,
  [11874] = 11468,
  [11875] = 11531,
  [11876] = 11876,
  [11877] = 10237,
  [11878] = 11878,
  [11879] = 10222,
  [11880] = 9297,
  [11881] = 9298,
  [11882] = 11598,
  [11883] = 9299,
  [11884] = 11598,
  [11885] = 11885,
  [11886] = 11598,
  [11887] = 9300,
  [11888] = 11888,
  [11889] = 9225,
  [11890] = 9245,
  [11891] = 11474,
  [11892] = 11533,
  [11893] = 10651,
  [11894] = 11048,
  [11895] = 10117,
  [11896] = 9227,
  [11897] = 9230,
  [11898] = 10651,
  [11899] = 10149,
  [11900] = 11900,
  [11901] = 9239,
  [11902] = 11902,
  [11903] = 11903,
  [11904] = 11598,
  [11905] = 9244,
  [11906] = 10497,
  [11907] = 10117,
  [11908] = 11908,
  [11909] = 11909,
  [11910] = 11598,
  [11911] = 5668,
  [11912] = 11912,
  [11913] = 11598,
  [11914] = 11914,
  [11915] = 11915,
  [11916] = 11598,
  [11917] = 11598,
  [11918] = 10180,
  [11919] = 11919,
  [11920] = 11598,
  [11921] = 11921,
  [11922] = 11922,
  [11923] = 11923,
  [11924] = 11598,
  [11925] = 10224,
  [11926] = 10728,
  [11927] = 11927,
  [11928] = 9072,
  [11929] = 11598,
  [11930] = 10912,
  [11931] = 11931,
  [11932] = 10906,
  [11933] = 9242,
  [11934] = 10293,
  [11935] = 10958,
  [11936] = 10968,
  [11937] = 10969,
  [11938] = 10993,
  [11939] = 11048,
  [11940] = 3552,
  [11941] = 10912,
  [11942] = 10958,
  [11943] = 10968,
  [11944] = 10969,
  [11945] = 10993,
  [11946] = 11396,
  [11947] = 11598,
  [11948] = 3551,
  [11949] = 11949,
  [11950] = 9249,
  [11951] = 10278,
  [11952] = 10288,
  [11953] = 3552,
  [11954] = 3553,
  [11955] = 3556,
  [11956] = 9042,
  [11957] = 6474,
  [11958] = 9227,
  [11959] = 11152,
  [11960] = 10265,
  [11961] = 9267,
  [11962] = 11053,
  [11963] = 11963,
  [11964] = 11964,
  [11965] = 10243,
  [11966] = 10228,
  [11967] = 9273,
  [11968] = 11968,
  [11969] = 10261,
  [11970] = 10237,
  [11971] = 11971,
  [11972] = 11284,
  [11973] = 11053,
  [11974] = 10222,
  [11975] = 11975,
  [11976] = 11976,
  [11977] = 11977,
  [11978] = 10221,
  [11979] = 10224,
  [11980] = 9303,
  [11981] = 9297,
  [11982] = 9298,
  [11983] = 10293,
  [11984] = 10278,
  [11985] = 10288,
  [11986] = 10226,
  [11987] = 11987,
  [11988] = 9299,
  [11989] = 11297,
  [11990] = 11990,
  [11991] = 10906,
  [11992] = 10224,
  [11993] = 10229,
  [11994] = 10230,
  [11995] = 10232,
  [11996] = 10945,
  [11997] = 10275,
  [11998] = 10275,
  [11999] = 10280,
  [12000] = 10282,
  [12001] = 10291,
  [12002] = 10292,
  [12003] = 10296,
  [12004] = 10300,
  [12005] = 10302,
  [12006] = 10283,
  [12007] = 10284,
  [12008] = 11213,
  [12009] = 11968,
  [12010] = 10282,
  [12011] = 11849,
  [12012] = 11878,
  [12013] = 9249,
  [12014] = 6474,
  [12015] = 6452,
  [12016] = 10229,
  [12017] = 10265,
  [12018] = 10912,
  [12019] = 11284,
  [12020] = 10205,
  [12021] = 9300,
  [12022] = 11968,
  [12023] = 9225,
  [12024] = 10291,
  [12025] = 10221,
  [12026] = 11152,
  [12027] = 12027,
  [12028] = 10243,
  [12029] = 12029,
  [12030] = 11968,
  [12031] = 10261,
  [12032] = 10292,
  [12033] = 10237,
  [12034] = 11099,
  [12035] = 10296,
  [12036] = 12036,
  [12037] = 12037,
  [12038] = 10439,
  [12039] = 10222,
  [12040] = 9230,
  [12041] = 10906,
  [12042] = 6474,
  [12043] = 10912,
  [12044] = 11297,
  [12045] = 12045,
  [12046] = 11968,
  [12047] = 12047,
  [12048] = 9239,
  [12049] = 12049,
  [12050] = 11099,
  [12051] = 10280,
  [12052] = 10300,
  [12053] = 10293,
  [12054] = 10278,
  [12055] = 10288,
  [12056] = 10226,
  [12057] = 10945,
  [12058] = 12058,
  [12059] = 11968,
  [12060] = 9485,
  [12061] = 11029,
  [12062] = 11036,
  [12063] = 11053,
  [12064] = 11849,
  [12065] = 11878,
  [12066] = 9485,
  [12067] = 10302,
  [12068] = 10230,
  [12069] = 9244,
  [12070] = 10224,
  [12071] = 10229,
  [12072] = 10232,
  [12073] = 10230,
  [12074] = 10232,
  [12075] = 12075,
  [12076] = 11968,
  [12077] = 12077,
  [12078] = 12078,
  [12079] = 11408,
  [12080] = 11409,
  [12081] = 11410,
  [12082] = 11968,
  [12083] = 12083,
  [12084] = 6452,
  [12085] = 12085,
  [12086] = 11968,
  [12087] = 12087,
  [12088] = 10275,
  [12089] = 10280,
  [12090] = 11968,
  [12091] = 10283,
  [12092] = 3551,
  [12093] = 10282,
  [12094] = 12094,
  [12095] = 11284,
  [12096] = 11968,
  [12097] = 11990,
  [12098] = 10292,
  [12099] = 10296,
  [12100] = 12100,
  [12101] = 10300,
  [12102] = 11282,
  [12103] = 11968,
  [12104] = 3552,
  [12105] = 11297,
  [12106] = 3553,
  [12107] = 11968,
  [12108] = 3556,
  [12109] = 10302,
  [12110] = 10283,
  [12111] = 11968,
  [12112] = 11968,
  [12113] = 12113,
  [12114] = 12114,
  [12115] = 11968,
  [12116] = 10284,
  [12117] = 12117,
  [12118] = 11968,
  [12119] = 11152,
  [12120] = 12120,
  [12121] = 11968,
  [12122] = 12122,
  [12123] = 11099,
  [12124] = 11968,
  [12125] = 11968,
  [12126] = 11968,
  [12127] = 10221,
  [12128] = 12085,
  [12129] = 11968,
  [12130] = 11048,
  [12131] = 6474,
  [12132] = 11987,
  [12133] = 11282,
  [12134] = 6452,
  [12135] = 10439,
  [12136] = 12136,
  [12137] = 12137,
  [12138] = 12138,
  [12139] = 12139,
  [12140] = 11964,
  [12141] = 12083,
  [12142] = 10906,
  [12143] = 10912,
  [12144] = 11213,
  [12145] = 12145,
  [12146] = 12146,
  [12147] = 6474,
  [12148] = 12148,
  [12149] = 12149,
  [12150] = 12087,
  [12151] = 11990,
  [12152] = 12085,
  [12153] = 12083,
  [12154] = 11029,
  [12155] = 11987,
  [12156] = 11094,
  [12157] = 11127,
  [12158] = 11094,
  [12159] = 11127,
  [12160] = 5886,
  [12161] = 10205,
  [12162] = 10228,
  [12163] = 9310,
  [12164] = 10284,
  [12165] = 10243,
  [12166] = 10261,
  [12167] = 10237,
  [12168] = 10222,
  [12169] = 10293,
  [12170] = 10278,
  [12171] = 10288,
  [12172] = 10226,
  [12173] = 11971,
  [12174] = 12087,
  [12175] = 10945,
  [12176] = 10265,
  [12177] = 11036,
  [12178] = 11029,
  [12179] = 11036,
  [12180] = 12180,
  [12181] = 11739,
  [12182] = 12113,
  [12183] = 12085,
  [12184] = 12083,
  [12185] = 11949,
  [12186] = 11615,
  [12187] = 12113,
  [12188] = 12085,
  [12189] = 12083,
  [12190] = 12113,
  [12191] = 11699,
  [12192] = 12085,
  [12193] = 12083,
  [12194] = 12087,
  [12195] = 10228,
  [12196] = 11975,
  [12197] = 11990,
  [12198] = 12045,
  [12199] = 11987,
  [12200] = 12087,
  [12201] = 11975,
  [12202] = 11990,
  [12203] = 11987,
  [12204] = 12087,
  [12205] = 12205,
  [12206] = 11975,
  [12207] = 11990,
  [12208] = 11987,
  [12209] = 12209,
  [12210] = 10291,
  [12211] = 11396,
  [12212] = 12212,
  [12213] = 10221,
  [12214] = 10243,
  [12215] = 9267,
  [12216] = 9273,
  [12217] = 9297,
  [12218] = 9298,
  [12219] = 9299,
  [12220] = 9300,
  [12221] = 9225,
  [12222] = 9227,
  [12223] = 9230,
  [12224] = 9239,
  [12225] = 9244,
  [12226] = 9245,
  [12227] = 9249,
  [12228] = 12228,
  [12229] = 12229,
  [12230] = 10261,
  [12231] = 12212,
  [12232] = 12232,
  [12233] = 10925,
  [12234] = 10237,
  [12235] = 12212,
  [12236] = 10221,
  [12237] = 12212,
  [12238] = 10222,
  [12239] = 12212,
  [12240] = 3551,
  [12241] = 3552,
  [12242] = 3553,
  [12243] = 3556,
  [12244] = 12244,
  [12245] = 12212,
  [12246] = 10728,
  [12247] = 12247,
  [12248] = 12248,
  [12249] = 3551,
  [12250] = 12212,
  [12251] = 12251,
  [12252] = 9254,
  [12253] = 9229,
  [12254] = 9241,
  [12255] = 9242,
  [12256] = 9243,
  [12257] = 3552,
  [12258] = 3553,
  [12259] = 12229,
  [12260] = 3556,
  [12261] = 12261,
  [12262] = 10117,
  [12263] = 12212,
  [12264] = 6452,
  [12265] = 12232,
  [12266] = 12212,
  [12267] = 12267,
  [12268] = 10293,
  [12269] = 10278,
  [12270] = 6452,
  [12271] = 10925,
  [12272] = 10288,
  [12273] = 12261,
  [12274] = 10226,
  [12275] = 12212,
  [12276] = 5745,
  [12277] = 12212,
  [12278] = 12278,
  [12279] = 11849,
  [12280] = 11878,
  [12281] = 12281,
  [12282] = 12212,
  [12283] = 9245,
  [12284] = 12212,
  [12285] = 11408,
  [12286] = 11409,
  [12287] = 11410,
  [12288] = 5668,
  [12289] = 10265,
  [12290] = 12290,
  [12291] = 12212,
  [12292] = 12292,
  [12293] = 6474,
  [12294] = 11408,
  [12295] = 11409,
  [12296] = 11410,
  [12297] = 12290,
  [12298] = 11409,
  [12299] = 12299,
  [12300] = 12212,
  [12301] = 12212,
  [12302] = 10149,
  [12303] = 10228,
  [12304] = 12212,
  [12305] = 12212,
  [12306] = 6452,
  [12307] = 11099,
  [12308] = 12212,
  [12309] = 10228,
  [12310] = 12212,
  [12311] = 12212,
  [12312] = 12212,
  [12313] = 10243,
  [12314] = 10261,
  [12315] = 12212,
  [12316] = 10191,
  [12317] = 10237,
  [12318] = 12318,
  [12319] = 9485,
  [12320] = 10222,
  [12321] = 12321,
  [12322] = 12212,
  [12323] = 12212,
  [12324] = 12278,
  [12325] = 10293,
  [12326] = 12212,
  [12327] = 6474,
  [12328] = 12212,
  [12329] = 12281,
  [12330] = 10278,
  [12331] = 10288,
  [12332] = 10226,
  [12333] = 10224,
  [12334] = 10229,
  [12335] = 10230,
  [12336] = 12336,
  [12337] = 10232,
  [12338] = 12212,
  [12339] = 10224,
  [12340] = 10229,
  [12341] = 12212,
  [12342] = 12212,
  [12343] = 10230,
  [12344] = 10232,
  [12345] = 12212,
  [12346] = 12346,
  [12347] = 10728,
  [12348] = 10275,
  [12349] = 10280,
  [12350] = 10282,
  [12351] = 10291,
  [12352] = 12212,
  [12353] = 10292,
  [12354] = 10296,
  [12355] = 12212,
  [12356] = 10300,
  [12357] = 10302,
  [12358] = 12212,
  [12359] = 10283,
  [12360] = 10284,
  [12361] = 12212,
  [12362] = 12212,
  [12363] = 12267,
  [12364] = 9255,
  [12365] = 11048,
  [12366] = 12229,
  [12367] = 12232,
  [12368] = 12205,
  [12369] = 9303,
  [12370] = 12290,
  [12371] = 12371,
  [12372] = 12120,
  [12373] = 12122,
  [12374] = 12212,
  [12375] = 12299,
  [12376] = 11474,
  [12377] = 12278,
  [12378] = 12281,
  [12379] = 12212,
  [12380] = 11533,
  [12381] = 12318,
  [12382] = 12321,
  [12383] = 12336,
  [12384] = 10275,
  [12385] = 10280,
  [12386] = 12212,
  [12387] = 12318,
  [12388] = 11454,
  [12389] = 8384,
  [12390] = 11476,
  [12391] = 11442,
  [12392] = 11475,
  [12393] = 11393,
  [12394] = 11394,
  [12395] = 12205,
  [12396] = 11399,
  [12397] = 11401,
  [12398] = 11565,
  [12399] = 12120,
  [12400] = 12122,
  [12401] = 11574,
  [12402] = 11580,
  [12403] = 11585,
  [12404] = 11463,
  [12405] = 11466,
  [12406] = 11468,
  [12407] = 11531,
  [12408] = 10282,
  [12409] = 11454,
  [12410] = 10291,
  [12411] = 10292,
  [12412] = 11476,
  [12413] = 10296,
  [12414] = 11442,
  [12415] = 12212,
  [12416] = 11475,
  [12417] = 11393,
  [12418] = 11394,
  [12419] = 11399,
  [12420] = 11401,
  [12421] = 11565,
  [12422] = 11574,
  [12423] = 11580,
  [12424] = 11585,
  [12425] = 11463,
  [12426] = 11466,
  [12427] = 11468,
  [12428] = 11474,
  [12429] = 11531,
  [12430] = 11533,
  [12431] = 12212,
  [12432] = 10300,
  [12433] = 12212,
  [12434] = 10302,
  [12435] = 3494,
  [12436] = 10283,
  [12437] = 12321,
  [12438] = 3502,
  [12439] = 10284,
  [12440] = 12212,
  [12441] = 9263,
  [12442] = 12212,
  [12443] = 12212,
  [12444] = 12212,
  [12445] = 12212,
  [12446] = 12336,
  [12447] = 12212,
  [12448] = 12212,
  [12449] = 5735,
  [12450] = 10265,
  [12451] = 12451,
  [12452] = 12452,
  [12453] = 12212,
  [12454] = 12049,
  [12455] = 12180,
  [12456] = 12138,
  [12457] = 10180,
  [12458] = 12299,
  [12459] = 12049,
  [12460] = 12180,
  [12461] = 11396,
  [12462] = 12212,
  [12463] = 12463,
  [12464] = 12100,
  [12465] = 9310,
  [12466] = 9255,
  [12467] = 12267,
  [12468] = 11977,
  [12469] = 11408,
  [12470] = 12212,
  [12471] = 12136,
  [12472] = 11410,
  [12473] = 12473,
  [12474] = 12474,
  [12475] = 12475,
  [12476] = 12476,
  [12477] = 3421,
  [12478] = 10945,
  [12479] = 12479,
  [12480] = 11849,
  [12481] = 11878,
  [12482] = 12482,
  [12483] = 12482,
  [12484] = 12484,
  [12485] = 12485,
  [12486] = 12486,
  [12487] = 12487,
  [12488] = 9303,
  [12489] = 12487,
  [12490] = 12473,
  [12491] = 12474,
  [12492] = 12485,
  [12493] = 12493,
  [12494] = 12493,
  [12495] = 12485,
  [12496] = 12482,
  [12497] = 12473,
  [12498] = 11029,
  [12499] = 12487,
  [12500] = 12474,
  [12501] = 12482,
  [12502] = 11036,
  [12503] = 12484,
  [12504] = 11408,
  [12505] = 11409,
  [12506] = 12473,
  [12507] = 12476,
  [12508] = 12474,
  [12509] = 11410,
  [12510] = 12510,
  [12511] = 12485,
  [12512] = 12476,
  [12513] = 12476,
  [12514] = 12514,
  [12515] = 12476,
  [12516] = 10205,
  [12517] = 12474,
  [12518] = 12479,
  [12519] = 11053,
  [12520] = 12479,
  [12521] = 9310,
  [12522] = 12484,
  [12523] = 12473,
  [12524] = 12474,
  [12525] = 12482,
  [12526] = 12473,
  [12527] = 12474,
  [12528] = 12485,
  [12529] = 12473,
  [12530] = 12493,
  [12531] = 12487,
  [12532] = 9255,
  [12533] = 12485,
  [12534] = 12473,
  [12535] = 12474,
  [12536] = 12484,
  [12537] = 12476,
  [12538] = 12538,
  [12539] = 12476,
  [12540] = 12493,
  [12541] = 12541,
  [12542] = 12482,
  [12543] = 12484,
  [12544] = 12479,
  [12545] = 12479,
  [12546] = 12479,
  [12547] = 12482,
  [12548] = 12476,
  [12549] = 12549,
  [12550] = 12485,
  [12551] = 12482,
  [12552] = 12479,
  [12553] = 12493,
  [12554] = 12484,
  [12555] = 12485,
  [12556] = 12482,
  [12557] = 12479,
  [12558] = 12473,
  [12559] = 12473,
  [12560] = 12474,
  [12561] = 12475,
  [12562] = 12487,
  [12563] = 12563,
  [12564] = 12484,
  [12565] = 12473,
  [12566] = 12485,
  [12567] = 12493,
  [12568] = 12487,
  [12569] = 12474,
  [12570] = 12485,
  [12571] = 12487,
  [12572] = 12493,
  [12573] = 12487,
  [12574] = 9255,
  [12575] = 12474,
  [12576] = 12474,
  [12577] = 12484,
  [12578] = 12485,
  [12579] = 12485,
  [12580] = 12493,
  [12581] = 12482,
  [12582] = 12476,
  [12583] = 12476,
  [12584] = 9310,
  [12585] = 12487,
  [12586] = 10497,
  [12587] = 12479,
  [12588] = 12493,
  [12589] = 12479,
  [12590] = 12482,
  [12591] = 12484,
  [12592] = 12484,
  [12593] = 12487,
  [12594] = 12493,
  [12595] = 12473,
  [12596] = 12482,
  [12597] = 12493,
  [12598] = 12484,
  [12599] = 12474,
  [12600] = 12485,
  [12601] = 12473,
  [12602] = 12474,
  [12603] = 12485,
  [12604] = 12493,
  [12605] = 12487,
  [12606] = 12487,
  [12607] = 12485,
  [12608] = 12479,
  [12609] = 12473,
  [12610] = 12487,
  [12611] = 12474,
  [12612] = 12485,
  [12613] = 12493,
  [12614] = 11152,
  [12615] = 12493,
  [12616] = 12487,
  [12617] = 12484,
  [12618] = 12476,
  [12619] = 12487,
  [12620] = 12479,
  [12621] = 12479,
  [12622] = 12479,
  [12623] = 12484,
  [12624] = 12482,
  [12625] = 12476,
  [12626] = 12487,
  [12627] = 12473,
  [12628] = 12474,
  [12629] = 12479,
  [12630] = 12484,
  [12631] = 12484,
  [12632] = 12485,
  [12633] = 12493,
  [12634] = 12484,
  [12635] = 12487,
  [12636] = 12636,
  [12637] = 12482,
  [12638] = 12482,
  [12639] = 12479,
  [12640] = 12476,
  [12641] = 12484,
  [12642] = 12476,
  [12643] = 12476,
  [12644] = 12479,
  [12645] = 12493,
  [12646] = 12476,
  [12647] = 12493,
  [12648] = 12473,
  [12649] = 12484,
  [12650] = 12479,
  [12651] = 11878,
  [12652] = 12474,
  [12653] = 12473,
  [12654] = 12473,
  [12655] = 12476,
  [12656] = 12482,
  [12657] = 12482,
  [12658] = 12485,
  [12659] = 12479,
  [12660] = 12474,
  [12661] = 12479,
  [12662] = 12493,
  [12663] = 12473,
  [12664] = 12482,
  [12665] = 12484,
  [12666] = 12474,
  [12667] = 12485,
  [12668] = 12473,
  [12669] = 12474,
  [12670] = 12493,
  [12671] = 12485,
  [12672] = 12487,
  [12673] = 12493,
  [12674] = 12487,
  [12675] = 12474,
  [12676] = 12476,
  [12677] = 12479,
  [12678] = 12479,
  [12679] = 12482,
  [12680] = 12485,
  [12681] = 12484,
  [12682] = 12682,
  [12683] = 12476,
  [12684] = 12473,
  [12685] = 12484,
  [12686] = 12476,
  [12687] = 12479,
  [12688] = 12485,
  [12689] = 12479,
  [12690] = 12479,
  [12691] = 12474,
  [12692] = 12485,
  [12693] = 12482,
  [12694] = 12474,
  [12695] = 12493,
  [12696] = 12482,
  [12697] = 12476,
  [12698] = 12484,
  [12699] = 12484,
  [12700] = 12485,
  [12701] = 12493,
  [12702] = 12484,
  [12703] = 12703,
  [12704] = 11152,
  [12705] = 12473,
  [12706] = 12474,
  [12707] = 12485,
  [12708] = 12493,
  [12709] = 12487,
  [12710] = 12484,
  [12711] = 12479,
  [12712] = 12487,
  [12713] = 12484,
  [12714] = 12493,
  [12715] = 12482,
  [12716] = 9263,
  [12717] = 12484,
  [12718] = 12485,
  [12719] = 9303,
  [12720] = 12474,
  [12721] = 10906,
  [12722] = 12476,
  [12723] = 12484,
  [12724] = 10912,
  [12725] = 12487,
  [12726] = 12482,
  [12727] = 12476,
  [12728] = 12473,
  [12729] = 12482,
  [12730] = 12479,
  [12731] = 12487,
  [12732] = 12484,
  [12733] = 12484,
  [12734] = 12484,
  [12735] = 10945,
  [12736] = 12473,
  [12737] = 12482,
  [12738] = 12484,
  [12739] = 12474,
  [12740] = 12476,
  [12741] = 12493,
  [12742] = 12482,
  [12743] = 12485,
  [12744] = 12493,
  [12745] = 12484,
  [12746] = 12473,
  [12747] = 12479,
  [12748] = 11029,
  [12749] = 12484,
  [12750] = 11036,
  [12751] = 12479,
  [12752] = 12487,
  [12753] = 12484,
  [12754] = 12485,
  [12755] = 12476,
  [12756] = 12473,
  [12757] = 12476,
  [12758] = 12484,
  [12759] = 12474,
  [12760] = 12485,
  [12761] = 11053,
  [12762] = 12479,
  [12763] = 12493,
  [12764] = 12479,
  [12765] = 12487,
  [12766] = 12479,
  [12767] = 12484,
  [12768] = 12482,
  [12769] = 12473,
  [12770] = 12484,
  [12771] = 12474,
  [12772] = 12484,
  [12773] = 12484,
  [12774] = 11284,
  [12775] = 12484,
  [12776] = 12473,
  [12777] = 12474,
  [12778] = 12485,
  [12779] = 12482,
  [12780] = 12484,
  [12781] = 12493,
  [12782] = 12485,
  [12783] = 12484,
  [12784] = 12475,
  [12785] = 12487,
  [12786] = 12484,
  [12787] = 11297,
  [12788] = 12563,
  [12789] = 12473,
  [12790] = 12487,
  [12791] = 12476,
  [12792] = 12538,
  [12793] = 12474,
  [12794] = 12473,
  [12795] = 12493,
  [12796] = 12487,
  [12797] = 12563,
  [12798] = 12473,
  [12799] = 12474,
  [12800] = 12541,
  [12801] = 12479,
  [12802] = 12476,
  [12803] = 12487,
  [12804] = 12493,
  [12805] = 12474,
  [12806] = 12487,
  [12807] = 12485,
  [12808] = 12479,
  [12809] = 12493,
  [12810] = 12482,
  [12811] = 12487,
  [12812] = 12493,
  [12813] = 12473,
  [12814] = 12474,
  [12815] = 12487,
  [12816] = 12474,
  [12817] = 12474,
  [12818] = 12485,
  [12819] = 12493,
  [12820] = 12493,
  [12821] = 12487,
  [12822] = 12476,
  [12823] = 12476,
  [12824] = 11849,
  [12825] = 12482,
  [12826] = 12493,
  [12827] = 12487,
  [12828] = 12473,
  [12829] = 12482,
  [12830] = 12476,
  [12831] = 12485,
  [12832] = 12474,
  [12833] = 12474,
  [12834] = 12473,
  [12835] = 12482,
  [12836] = 12836,
  [12837] = 12476,
  [12838] = 12482,
  [12839] = 12482,
  [12840] = 12484,
  [12841] = 12473,
  [12842] = 12510,
  [12843] = 12485,
  [12844] = 12476,
  [12845] = 12479,
  [12846] = 9303,
  [12847] = 12473,
  [12848] = 9267,
  [12849] = 12485,
  [12850] = 12479,
  [12851] = 9273,
  [12852] = 12482,
  [12853] = 12485,
  [12854] = 12479,
  [12855] = 12473,
  [12856] = 12485,
  [12857] = 12474,
  [12858] = 12482,
  [12859] = 12482,
  [12860] = 12474,
  [12861] = 12485,
  [12862] = 12493,
  [12863] = 12487,
  [12864] = 12485,
  [12865] = 9297,
  [12866] = 9298,
  [12867] = 12473,
  [12868] = 12493,
  [12869] = 9245,
  [12870] = 12541,
  [12871] = 9299,
  [12872] = 9300,
  [12873] = 12493,
  [12874] = 9225,
  [12875] = 12549,
  [12876] = 5886,
  [12877] = 12482,
  [12878] = 12474,
  [12879] = 12476,
  [12880] = 12493,
  [12881] = 12487,
  [12882] = 12479,
  [12883] = 12482,
  [12884] = 12473,
  [12885] = 12473,
  [12886] = 12514,
  [12887] = 12205,
  [12888] = 12474,
  [12889] = 12487,
  [12890] = 12482,
  [12891] = 12120,
  [12892] = 12122,
  [12893] = 12493,
  [12894] = 12484,
  [12895] = 9227,
  [12896] = 9230,
  [12897] = 12474,
  [12898] = 9239,
  [12899] = 12703,
  [12900] = 12485,
  [12901] = 12473,
  [12902] = 12487,
  [12903] = 12485,
  [12904] = 12476,
  [12905] = 12482,
  [12906] = 12493,
  [12907] = 9244,
  [12908] = 12476,
  [12909] = 12487,
  [12910] = 12476,
  [12911] = 12473,
  [12912] = 12474,
  [12913] = 12479,
  [12914] = 12476,
  [12915] = 12485,
  [12916] = 12493,
  [12917] = 12487,
  [12918] = 12487,
  [12919] = 12476,
  [12920] = 12482,
  [12921] = 12476,
  [12922] = 9254,
  [12923] = 12493,
  [12924] = 12479,
  [12925] = 11849,
  [12926] = 11878,
  [12927] = 12493,
  [12928] = 9249,
  [12929] = 12476,
  [12930] = 12479,
  [12931] = 9229,
  [12932] = 12482,
  [12933] = 12473,
  [12934] = 12484,
  [12935] = 12476,
  [12936] = 12473,
  [12937] = 12474,
  [12938] = 12474,
  [12939] = 9241,
  [12940] = 9242,
  [12941] = 12485,
  [12942] = 12942,
  [12943] = 12473,
  [12944] = 12485,
  [12945] = 12493,
  [12946] = 12493,
  [12947] = 12487,
  [12948] = 12487,
  [12949] = 12479,
  [12950] = 12476,
  [12951] = 12479,
  [12952] = 12476,
  [12953] = 11284,
  [12954] = 12479,
  [12955] = 12476,
  [12956] = 9243,
  [12957] = 12482,
  [12958] = 12473,
  [12959] = 12473,
  [12960] = 12474,
  [12961] = 12482,
  [12962] = 12485,
  [12963] = 12493,
  [12964] = 12487,
  [12965] = 12538,
  [12966] = 12482,
  [12967] = 12479,
  [12968] = 11297,
  [12969] = 12476,
  [12970] = 12487,
  [12971] = 9267,
  [12972] = 9273,
  [12973] = 10906,
  [12974] = 12476,
  [12975] = 12482,
  [12976] = 12473,
  [12977] = 12474,
  [12978] = 12474,
  [12979] = 12979,
  [12980] = 10912,
  [12981] = 12482,
  [12982] = 12482,
  [12983] = 12479,
  [12984] = 12984,
  [12985] = 9297,
  [12986] = 12485,
  [12987] = 12485,
  [12988] = 12493,
  [12989] = 12473,
  [12990] = 12473,
  [12991] = 12474,
  [12992] = 11949,
  [12993] = 12485,
  [12994] = 11615,
  [12995] = 12476,
  [12996] = 12473,
  [12997] = 12493,
  [12998] = 12474,
  [12999] = 12485,
  [13000] = 12493,
  [13001] = 12479,
  [13002] = 11949,
  [13003] = 11615,
  [13004] = 12493,
  [13005] = 12049,
  [13006] = 12487,
  [13007] = 12180,
  [13008] = 12682,
  [13009] = 12485,
  [13010] = 9298,
  [13011] = 9299,
  [13012] = 9300,
  [13013] = 12487,
  [13014] = 12476,
  [13015] = 12484,
  [13016] = 12476,
  [13017] = 13017,
  [13018] = 9225,
  [13019] = 9227,
  [13020] = 12487,
  [13021] = 9230,
  [13022] = 11699,
  [13023] = 9239,
  [13024] = 9244,
  [13025] = 9245,
  [13026] = 9249,
  [13027] = 11739,
  [13028] = 12479,
  [13029] = 11699,
  [13030] = 12487,
  [13031] = 12473,
  [13032] = 11739,
  [13033] = 12474,
  [13034] = 12485,
  [13035] = 12493,
  [13036] = 12476,
  [13037] = 12479,
  [13038] = 12510,
  [13039] = 12484,
  [13040] = 12487,
  [13041] = 11408,
  [13042] = 12474,
  [13043] = 12549,
  [13044] = 12482,
  [13045] = 11409,
  [13046] = 12479,
  [13047] = 12484,
  [13048] = 11410,
  [13049] = 11408,
  [13050] = 11409,
  [13051] = 12479,
  [13052] = 12476,
  [13053] = 12482,
  [13054] = 11410,
  [13055] = 12482,
  [13056] = 12487,
  [13057] = 12479,
  [13058] = 12514,
  [13059] = 12487,
  [13060] = 12180,
  [13061] = 9245,
  [13062] = 6452,
  [13063] = 13063,
  [13064] = 9267,
  [13065] = 9273,
  [13066] = 9297,
  [13067] = 9298,
  [13068] = 9299,
  [13069] = 9300,
  [13070] = 9225,
  [13071] = 9227,
  [13072] = 9230,
  [13073] = 9239,
  [13074] = 9244,
  [13075] = 9245,
  [13076] = 9249,
  [13077] = 9310,
  [13078] = 9255,
  [13079] = 9310,
  [13080] = 10191,
  [13081] = 13081,
  [13082] = 13082,
  [13083] = 13083,
  [13084] = 12267,
  [13085] = 12229,
  [13086] = 12232,
  [13087] = 12290,
  [13088] = 12299,
  [13089] = 12278,
  [13090] = 12281,
  [13091] = 12318,
  [13092] = 12321,
  [13093] = 12336,
  [13094] = 12514,
  [13095] = 12475,
  [13096] = 12510,
  [13097] = 12549,
  [13098] = 12563,
  [13099] = 10180,
  [13100] = 12538,
  [13101] = 12541,
  [13102] = 11849,
  [13103] = 11878,
  [13104] = 13083,
  [13105] = 12267,
  [13106] = 12229,
  [13107] = 12232,
  [13108] = 12290,
  [13109] = 12299,
  [13110] = 12278,
  [13111] = 12281,
  [13112] = 12318,
  [13113] = 12321,
  [13114] = 12336,
  [13115] = 9254,
  [13116] = 9229,
  [13117] = 9241,
  [13118] = 9242,
  [13119] = 9243,
  [13120] = 13120,
  [13121] = 9303,
  [13122] = 13122,
  [13123] = 13083,
  [13124] = 10265,
  [13125] = 10117,
  [13126] = 13126,
  [13127] = 13083,
  [13128] = 12514,
  [13129] = 9267,
  [13130] = 9273,
  [13131] = 9297,
  [13132] = 9298,
  [13133] = 10228,
  [13134] = 9299,
  [13135] = 9300,
  [13136] = 9225,
  [13137] = 9227,
  [13138] = 9230,
  [13139] = 9239,
  [13140] = 9244,
  [13141] = 13141,
  [13142] = 13142,
  [13143] = 13083,
  [13144] = 12538,
  [13145] = 13083,
  [13146] = 13146,
  [13147] = 13147,
  [13148] = 12541,
  [13149] = 13149,
  [13150] = 10149,
  [13151] = 9249,
  [13152] = 11849,
  [13153] = 11878,
  [13154] = 10221,
  [13155] = 10243,
  [13156] = 12136,
  [13157] = 10237,
  [13158] = 10222,
  [13159] = 11849,
  [13160] = 11878,
  [13161] = 10293,
  [13162] = 10278,
  [13163] = 10288,
  [13164] = 10226,
  [13165] = 9255,
  [13166] = 13166,
  [13167] = 13167,
  [13168] = 13168,
  [13169] = 13169,
  [13170] = 13170,
  [13171] = 9303,
  [13172] = 10224,
  [13173] = 10229,
  [13174] = 10230,
  [13175] = 10232,
  [13176] = 13176,
  [13177] = 12475,
  [13178] = 13149,
  [13179] = 12510,
  [13180] = 13149,
  [13181] = 12549,
  [13182] = 3551,
  [13183] = 12514,
  [13184] = 12475,
  [13185] = 12510,
  [13186] = 12549,
  [13187] = 12563,
  [13188] = 12538,
  [13189] = 12541,
  [13190] = 11099,
  [13191] = 10275,
  [13192] = 10280,
  [13193] = 10282,
  [13194] = 10291,
  [13195] = 13149,
  [13196] = 11048,
  [13197] = 10292,
  [13198] = 10296,
  [13199] = 9303,
  [13200] = 13200,
  [13201] = 13083,
  [13202] = 13167,
  [13203] = 10300,
  [13204] = 11048,
  [13205] = 10302,
  [13206] = 10283,
  [13207] = 3552,
  [13208] = 3553,
  [13209] = 3556,
  [13210] = 12205,
  [13211] = 12120,
  [13212] = 12122,
  [13213] = 12205,
  [13214] = 12120,
  [13215] = 12122,
  [13216] = 10284,
  [13217] = 13083,
  [13218] = 9485,
  [13219] = 13219,
  [13220] = 13149,
  [13221] = 13221,
  [13222] = 6474,
  [13223] = 13149,
  [13224] = 11099,
  [13225] = 12138,
  [13226] = 12049,
  [13227] = 12180,
  [13228] = 12049,
  [13229] = 13141,
  [13230] = 12563,
  [13231] = 13146,
  [13232] = 12138,
  [13233] = 9263,
  [13234] = 12100,
  [13235] = 12100,
  [13236] = 13149,
  [13237] = 11977,
  [13238] = 11977,
  [13239] = 12136,
  [13240] = 10261,
  [13241] = 13241,
  [13242] = 13242,
  [13243] = 3494,
  [13244] = 13244,
  [13245] = 9303,
  [13246] = 9263,
  [13247] = 13247,
  [13248] = 9254,
  [13249] = 9229,
  [13250] = 13250,
  [13251] = 13251,
  [13252] = 9241,
  [13253] = 9242,
  [13254] = 9243,
  [13255] = 13255,
  [13256] = 9303,
  [13257] = 9249,
  [13258] = 9245,
  [13259] = 9310,
  [13260] = 9255,
  [13261] = 9267,
  [13262] = 13241,
  [13263] = 3460,
  [13264] = 3461,
  [13265] = 9273,
  [13266] = 9297,
  [13267] = 13267,
  [13268] = 9298,
  [13269] = 13241,
  [13270] = 13270,
  [13271] = 10925,
  [13272] = 9299,
  [13273] = 3463,
  [13274] = 13244,
  [13275] = 10191,
  [13276] = 9254,
  [13277] = 9229,
  [13278] = 9241,
  [13279] = 9242,
  [13280] = 9243,
  [13281] = 13281,
  [13282] = 9300,
  [13283] = 13241,
  [13284] = 10205,
  [13285] = 9225,
  [13286] = 9227,
  [13287] = 9254,
  [13288] = 9229,
  [13289] = 9241,
  [13290] = 9242,
  [13291] = 9243,
  [13292] = 9230,
  [13293] = 9239,
  [13294] = 9244,
  [13295] = 13241,
  [13296] = 9249,
  [13297] = 3474,
  [13298] = 9254,
  [13299] = 9229,
  [13300] = 9241,
  [13301] = 9242,
  [13302] = 9243,
  [13303] = 9245,
  [13304] = 13304,
  [13305] = 9267,
  [13306] = 13241,
  [13307] = 9254,
  [13308] = 9229,
  [13309] = 9241,
  [13310] = 9242,
  [13311] = 9243,
  [13312] = 13312,
  [13313] = 13313,
  [13314] = 13314,
  [13315] = 9255,
  [13316] = 13241,
  [13317] = 13241,
  [13318] = 3494,
  [13319] = 13241,
  [13320] = 13241,
  [13321] = 13241,
  [13322] = 13241,
  [13323] = 10497,
  [13324] = 13241,
  [13325] = 9303,
  [13326] = 3433,
  [13327] = 9273,
  [13328] = 13328,
  [13329] = 13241,
  [13330] = 9267,
  [13331] = 9273,
  [13332] = 9297,
  [13333] = 9298,
  [13334] = 9299,
  [13335] = 9300,
  [13336] = 13241,
  [13337] = 9225,
  [13338] = 9227,
  [13339] = 9255,
  [13340] = 9230,
  [13341] = 9239,
  [13342] = 9244,
  [13343] = 9263,
  [13344] = 13241,
  [13345] = 9245,
  [13346] = 9303,
  [13347] = 10117,
  [13348] = 3480,
  [13349] = 9310,
  [13350] = 13241,
  [13351] = 13351,
  [13352] = 13352,
  [13353] = 9245,
  [13354] = 13241,
  [13355] = 9255,
  [13356] = 9245,
  [13357] = 13357,
  [13358] = 13241,
  [13359] = 9245,
  [13360] = 9245,
  [13361] = 13176,
  [13362] = 3445,
  [13363] = 13241,
  [13364] = 13241,
  [13365] = 9245,
  [13366] = 9303,
  [13367] = 13367,
  [13368] = 13241,
  [13369] = 3446,
  [13370] = 9249,
  [13371] = 3480,
  [13372] = 13241,
  [13373] = 3454,
  [13374] = 13374,
  [13375] = 9255,
  [13376] = 3481,
  [13377] = 3455,
  [13378] = 3502,
  [13379] = 13241,
  [13380] = 13241,
  [13381] = 13241,
  [13382] = 13382,
  [13383] = 9297,
  [13384] = 13241,
  [13385] = 13241,
  [13386] = 9310,
  [13387] = 3481,
  [13388] = 13241,
  [13389] = 9267,
  [13390] = 9273,
  [13391] = 9297,
  [13392] = 9298,
  [13393] = 9299,
  [13394] = 9300,
  [13395] = 9225,
  [13396] = 9227,
  [13397] = 9230,
  [13398] = 9239,
  [13399] = 3502,
  [13400] = 9244,
  [13401] = 13241,
  [13402] = 9245,
  [13403] = 9249,
  [13404] = 13241,
  [13405] = 13241,
  [13406] = 13241,
  [13407] = 13241,
  [13408] = 13241,
  [13409] = 9255,
  [13410] = 13241,
  [13411] = 9263,
  [13412] = 13241,
  [13413] = 13241,
  [13414] = 13241,
  [13415] = 13241,
  [13416] = 13241,
  [13417] = 13241,
  [13418] = 13241,
  [13419] = 13255,
  [13420] = 9298,
  [13421] = 13241,
  [13422] = 13241,
  [13423] = 3436,
  [13424] = 13241,
  [13425] = 13425,
  [13426] = 13142,
  [13427] = 13082,
  [13428] = 3391,
  [13429] = 13250,
  [13430] = 13251,
  [13431] = 9299,
  [13432] = 13352,
  [13433] = 13304,
  [13434] = 13314,
  [13435] = 13367,
  [13436] = 9300,
  [13437] = 10149,
  [13438] = 9255,
  [13439] = 9263,
  [13440] = 9225,
  [13441] = 9227,
  [13442] = 13442,
  [13443] = 13443,
  [13444] = 9230,
  [13445] = 9239,
  [13446] = 9244,
  [13447] = 9267,
  [13448] = 13448,
  [13449] = 13425,
  [13450] = 9273,
  [13451] = 9297,
  [13452] = 9298,
  [13453] = 9299,
  [13454] = 9300,
  [13455] = 9225,
  [13456] = 9227,
  [13457] = 9230,
  [13458] = 9239,
  [13459] = 13425,
  [13460] = 13242,
  [13461] = 9244,
  [13462] = 13425,
  [13463] = 9249,
  [13464] = 13464,
  [13465] = 9245,
  [13466] = 3425,
  [13467] = 9310,
  [13468] = 9255,
  [13469] = 9263,
  [13470] = 13241,
  [13471] = 13471,
  [13472] = 13126,
  [13473] = 11408,
  [13474] = 11409,
  [13475] = 3460,
  [13476] = 9310,
  [13477] = 3461,
  [13478] = 13241,
  [13479] = 11410,
  [13480] = 13480,
  [13481] = 13063,
  [13482] = 13147,
  [13483] = 12205,
  [13484] = 12120,
  [13485] = 12122,
  [13486] = 13170,
  [13487] = 9255,
  [13488] = 9310,
  [13489] = 9255,
  [13490] = 9245,
  [13491] = 9310,
  [13492] = 9255,
  [13493] = 12205,
  [13494] = 12120,
  [13495] = 12122,
  [13496] = 13448,
  [13497] = 3463,
  [13498] = 9255,
  [13499] = 13499,
  [13500] = 13304,
  [13501] = 13168,
  [13502] = 13314,
  [13503] = 3474,
  [13504] = 9267,
  [13505] = 13480,
  [13506] = 13312,
  [13507] = 9273,
  [13508] = 13313,
  [13509] = 9297,
  [13510] = 13250,
  [13511] = 13251,
  [13512] = 9303,
  [13513] = 9267,
  [13514] = 9298,
  [13515] = 9273,
  [13516] = 9297,
  [13517] = 9298,
  [13518] = 13244,
  [13519] = 9299,
  [13520] = 9245,
  [13521] = 9299,
  [13522] = 9300,
  [13523] = 9254,
  [13524] = 9225,
  [13525] = 9227,
  [13526] = 9300,
  [13527] = 9225,
  [13528] = 9229,
  [13529] = 9241,
  [13530] = 9230,
  [13531] = 9239,
  [13532] = 9244,
  [13533] = 12049,
  [13534] = 12180,
  [13535] = 9227,
  [13536] = 9263,
  [13537] = 12049,
  [13538] = 12180,
  [13539] = 9242,
  [13540] = 9230,
  [13541] = 9243,
  [13542] = 9239,
  [13543] = 9254,
  [13544] = 9229,
  [13545] = 9244,
  [13546] = 9241,
  [13547] = 9249,
  [13548] = 9249,
  [13549] = 9242,
  [13550] = 9243,
  [13551] = 11408,
  [13552] = 13367,
  [13553] = 11409,
  [13554] = 13241,
  [13555] = 13352,
  [13556] = 9303,
  [13557] = 11410,
  [13558] = 13558,
  [13559] = 13081,
  [13560] = 13169,
  [13561] = 13219,
  [13562] = 13221,
  [13563] = 13200,
  [13564] = 10180,
  [13565] = 10925,
  [13566] = 13166,
  [13567] = 13241,
  [13568] = 13568,
  [13569] = 9263,
  [13570] = 9255,
  [13571] = 10288,
  [13572] = 9263,
  [13573] = 13573,
  [13574] = 9583,
  [13575] = 9303,
  [13576] = 13568,
  [13577] = 13577,
  [13578] = 9267,
  [13579] = 9273,
  [13580] = 13573,
  [13581] = 9254,
  [13582] = 13573,
  [13583] = 11152,
  [13584] = 13568,
  [13585] = 13577,
  [13586] = 13573,
  [13587] = 13587,
  [13588] = 9310,
  [13589] = 9303,
  [13590] = 9297,
  [13591] = 9298,
  [13592] = 13568,
  [13593] = 9299,
  [13594] = 9300,
  [13595] = 9225,
  [13596] = 9227,
  [13597] = 10243,
  [13598] = 9230,
  [13599] = 9239,
  [13600] = 13573,
  [13601] = 9244,
  [13602] = 13577,
  [13603] = 13573,
  [13604] = 13568,
  [13605] = 13573,
  [13606] = 13568,
  [13607] = 13577,
  [13608] = 13568,
  [13609] = 13573,
  [13610] = 13573,
  [13611] = 10293,
  [13612] = 13568,
  [13613] = 10261,
  [13614] = 13577,
  [13615] = 9303,
  [13616] = 13568,
  [13617] = 9267,
  [13618] = 10275,
  [13619] = 13573,
  [13620] = 10280,
  [13621] = 10282,
  [13622] = 10291,
  [13623] = 13577,
  [13624] = 10292,
  [13625] = 13568,
  [13626] = 9273,
  [13627] = 13577,
  [13628] = 10296,
  [13629] = 13577,
  [13630] = 9267,
  [13631] = 13573,
  [13632] = 13568,
  [13633] = 9229,
  [13634] = 10226,
  [13635] = 9273,
  [13636] = 9297,
  [13637] = 13577,
  [13638] = 13573,
  [13639] = 9297,
  [13640] = 13568,
  [13641] = 9298,
  [13642] = 9254,
  [13643] = 13577,
  [13644] = 9245,
  [13645] = 10228,
  [13646] = 9299,
  [13647] = 9300,
  [13648] = 9225,
  [13649] = 9227,
  [13650] = 13573,
  [13651] = 13568,
  [13652] = 13573,
  [13653] = 13568,
  [13654] = 9230,
  [13655] = 9239,
  [13656] = 13577,
  [13657] = 13577,
  [13658] = 9244,
  [13659] = 9241,
  [13660] = 10265,
  [13661] = 13568,
  [13662] = 9310,
  [13663] = 13573,
  [13664] = 9303,
  [13665] = 9255,
  [13666] = 13568,
  [13667] = 13667,
  [13668] = 9303,
  [13669] = 9263,
  [13670] = 10237,
  [13671] = 13671,
  [13672] = 13672,
  [13673] = 13577,
  [13674] = 9303,
  [13675] = 9310,
  [13676] = 13577,
  [13677] = 9310,
  [13678] = 9310,
  [13679] = 9267,
  [13680] = 9273,
  [13681] = 9297,
  [13682] = 9298,
  [13683] = 9299,
  [13684] = 9300,
  [13685] = 9225,
  [13686] = 9227,
  [13687] = 9230,
  [13688] = 9239,
  [13689] = 9244,
  [13690] = 9255,
  [13691] = 9255,
  [13692] = 9298,
  [13693] = 9249,
  [13694] = 13573,
  [13695] = 10222,
  [13696] = 13568,
  [13697] = 13573,
  [13698] = 13577,
  [13699] = 13587,
  [13700] = 10205,
  [13701] = 9267,
  [13702] = 9273,
  [13703] = 9297,
  [13704] = 9298,
  [13705] = 9299,
  [13706] = 9300,
  [13707] = 9225,
  [13708] = 9227,
  [13709] = 9230,
  [13710] = 9239,
  [13711] = 9244,
  [13712] = 9249,
  [13713] = 10300,
  [13714] = 10302,
  [13715] = 10283,
  [13716] = 9267,
  [13717] = 9115,
  [13718] = 9273,
  [13719] = 9297,
  [13720] = 9298,
  [13721] = 9299,
  [13722] = 9300,
  [13723] = 9225,
  [13724] = 9227,
  [13725] = 9230,
  [13726] = 9239,
  [13727] = 9244,
  [13728] = 9254,
  [13729] = 9249,
  [13730] = 13568,
  [13731] = 13731,
  [13732] = 9229,
  [13733] = 13577,
  [13734] = 9241,
  [13735] = 9267,
  [13736] = 9273,
  [13737] = 9297,
  [13738] = 9298,
  [13739] = 9299,
  [13740] = 9300,
  [13741] = 9225,
  [13742] = 9227,
  [13743] = 9230,
  [13744] = 9239,
  [13745] = 9242,
  [13746] = 9244,
  [13747] = 9243,
  [13748] = 9249,
  [13749] = 13573,
  [13750] = 13568,
  [13751] = 13577,
  [13752] = 13573,
  [13753] = 13573,
  [13754] = 13568,
  [13755] = 13577,
  [13756] = 13573,
  [13757] = 9245,
  [13758] = 10284,
  [13759] = 9229,
  [13760] = 13760,
  [13761] = 9241,
  [13762] = 13577,
  [13763] = 9249,
  [13764] = 9267,
  [13765] = 9273,
  [13766] = 9297,
  [13767] = 9298,
  [13768] = 9299,
  [13769] = 9300,
  [13770] = 9225,
  [13771] = 9227,
  [13772] = 9230,
  [13773] = 9239,
  [13774] = 9244,
  [13775] = 9245,
  [13776] = 9249,
  [13777] = 13577,
  [13778] = 13573,
  [13779] = 13573,
  [13780] = 13568,
  [13781] = 13577,
  [13782] = 11849,
  [13783] = 11878,
  [13784] = 13573,
  [13785] = 13568,
  [13786] = 13568,
  [13787] = 9299,
  [13788] = 9300,
  [13789] = 13577,
  [13790] = 13577,
  [13791] = 13573,
  [13792] = 13587,
  [13793] = 13793,
  [13794] = 13573,
  [13795] = 13568,
  [13796] = 13577,
  [13797] = 9303,
  [13798] = 13577,
  [13799] = 13577,
  [13800] = 9303,
  [13801] = 13667,
  [13802] = 13577,
  [13803] = 13573,
  [13804] = 13568,
  [13805] = 10278,
  [13806] = 13577,
  [13807] = 13568,
  [13808] = 13577,
  [13809] = 13573,
  [13810] = 13573,
  [13811] = 9225,
  [13812] = 9249,
  [13813] = 9227,
  [13814] = 9230,
  [13815] = 13568,
  [13816] = 13573,
  [13817] = 10232,
  [13818] = 13568,
  [13819] = 13573,
  [13820] = 13573,
  [13821] = 9239,
  [13822] = 13568,
  [13823] = 13568,
  [13824] = 13568,
  [13825] = 13577,
  [13826] = 9255,
  [13827] = 13573,
  [13828] = 13577,
  [13829] = 13577,
  [13830] = 9310,
  [13831] = 13573,
  [13832] = 13573,
  [13833] = 13573,
  [13834] = 13573,
  [13835] = 13573,
  [13836] = 13573,
  [13837] = 13573,
  [13838] = 13573,
  [13839] = 13573,
  [13840] = 13573,
  [13841] = 13573,
  [13842] = 13573,
  [13843] = 13573,
  [13844] = 13573,
  [13845] = 13573,
  [13846] = 13573,
  [13847] = 13577,
  [13848] = 13577,
  [13849] = 13568,
  [13850] = 13573,
  [13851] = 13577,
  [13852] = 13568,
  [13853] = 13577,
  [13854] = 9310,
  [13855] = 9255,
  [13856] = 9303,
  [13857] = 13568,
  [13858] = 9254,
  [13859] = 9229,
  [13860] = 9241,
  [13861] = 9242,
  [13862] = 9243,
  [13863] = 13573,
  [13864] = 13568,
  [13865] = 13568,
  [13866] = 13577,
  [13867] = 9245,
  [13868] = 9310,
  [13869] = 9255,
  [13870] = 9242,
  [13871] = 9243,
  [13872] = 13577,
  [13873] = 9255,
  [13874] = 9244,
  [13875] = 13573,
  [13876] = 9263,
  [13877] = 13671,
  [13878] = 13672,
  [13879] = 9303,
  [13880] = 9310,
  [13881] = 13573,
  [13882] = 13573,
  [13883] = 11849,
  [13884] = 3551,
  [13885] = 9245,
  [13886] = 11878,
  [13887] = 13568,
  [13888] = 13568,
  [13889] = 9267,
  [13890] = 9273,
  [13891] = 9297,
  [13892] = 9298,
  [13893] = 9299,
  [13894] = 9300,
  [13895] = 9225,
  [13896] = 9227,
  [13897] = 9230,
  [13898] = 9239,
  [13899] = 9244,
  [13900] = 13577,
  [13901] = 9245,
  [13902] = 9242,
  [13903] = 9249,
  [13904] = 13573,
  [13905] = 9038,
  [13906] = 13568,
  [13907] = 13573,
  [13908] = 9243,
  [13909] = 13577,
  [13910] = 9245,
  [13911] = 13577,
  [13912] = 13568,
  [13913] = 9043,
  [13914] = 9045,
  [13915] = 10221,
  [13916] = 13577,
  [13917] = 9254,
  [13918] = 9229,
  [13919] = 13568,
  [13920] = 13573,
  [13921] = 13573,
  [13922] = 11152,
  [13923] = 13568,
  [13924] = 9303,
  [13925] = 13577,
  [13926] = 9254,
  [13927] = 13573,
  [13928] = 9249,
  [13929] = 13573,
  [13930] = 3552,
  [13931] = 3553,
  [13932] = 13568,
  [13933] = 9310,
  [13934] = 13577,
  [13935] = 9229,
  [13936] = 9241,
  [13937] = 9241,
  [13938] = 9267,
  [13939] = 9273,
  [13940] = 9297,
  [13941] = 9298,
  [13942] = 9299,
  [13943] = 9300,
  [13944] = 9225,
  [13945] = 9227,
  [13946] = 9230,
  [13947] = 9239,
  [13948] = 9244,
  [13949] = 9242,
  [13950] = 9243,
  [13951] = 9242,
  [13952] = 9243,
  [13953] = 9249,
  [13954] = 9245,
  [13955] = 10224,
  [13956] = 13568,
  [13957] = 13577,
  [13958] = 10229,
  [13959] = 13573,
  [13960] = 13573,
  [13961] = 9555,
  [13962] = 13573,
  [13963] = 10230,
  [13964] = 3556,
  [13965] = 13568,
  [13966] = 13577,
  [13967] = 13573,
  [13968] = 13568,
  [13969] = 13568,
  [13970] = 13573,
  [13971] = 13568,
  [13972] = 13568,
  [13973] = 13577,
  [13974] = 13577,
  [13975] = 13577,
  [13976] = 13577,
  [13977] = 13568,
  [13978] = 10925,
  [13979] = 13250,
  [13980] = 9267,
  [13981] = 13981,
  [13982] = 13981,
  [13983] = 13983,
  [13984] = 9273,
  [13985] = 10226,
  [13986] = 13251,
  [13987] = 9297,
  [13988] = 13251,
  [13989] = 13989,
  [13990] = 9298,
  [13991] = 9299,
  [13992] = 13981,
  [13993] = 13176,
  [13994] = 13981,
  [13995] = 9267,
  [13996] = 13981,
  [13997] = 13997,
  [13998] = 10243,
  [13999] = 9300,
  [14000] = 9225,
  [14001] = 14001,
  [14002] = 9273,
  [14003] = 14003,
  [14004] = 14004,
  [14005] = 9297,
  [14006] = 10261,
  [14007] = 9298,
  [14008] = 13981,
  [14009] = 14009,
  [14010] = 9299,
  [14011] = 6452,
  [14012] = 10180,
  [14013] = 13981,
  [14014] = 6474,
  [14015] = 13981,
  [14016] = 13981,
  [14017] = 14017,
  [14018] = 9300,
  [14019] = 13981,
  [14020] = 9225,
  [14021] = 10224,
  [14022] = 10229,
  [14023] = 10265,
  [14024] = 9227,
  [14025] = 9230,
  [14026] = 9239,
  [14027] = 9244,
  [14028] = 13981,
  [14029] = 13981,
  [14030] = 14009,
  [14031] = 13126,
  [14032] = 14032,
  [14033] = 14033,
  [14034] = 14034,
  [14035] = 14035,
  [14036] = 13981,
  [14037] = 13981,
  [14038] = 9267,
  [14039] = 13981,
  [14040] = 9267,
  [14041] = 13981,
  [14042] = 10237,
  [14043] = 14043,
  [14044] = 13244,
  [14045] = 10222,
  [14046] = 9227,
  [14047] = 10230,
  [14048] = 9273,
  [14049] = 13981,
  [14050] = 9297,
  [14051] = 10232,
  [14052] = 9230,
  [14053] = 13981,
  [14054] = 9273,
  [14055] = 9298,
  [14056] = 9299,
  [14057] = 9300,
  [14058] = 9239,
  [14059] = 9225,
  [14060] = 9227,
  [14061] = 13981,
  [14062] = 13063,
  [14063] = 9230,
  [14064] = 9239,
  [14065] = 9244,
  [14066] = 14066,
  [14067] = 14067,
  [14068] = 10221,
  [14069] = 13147,
  [14070] = 13981,
  [14071] = 13170,
  [14072] = 10275,
  [14073] = 13981,
  [14074] = 10280,
  [14075] = 13981,
  [14076] = 9244,
  [14077] = 13981,
  [14078] = 10282,
  [14079] = 14043,
  [14080] = 13981,
  [14081] = 9297,
  [14082] = 13981,
  [14083] = 9555,
  [14084] = 10291,
  [14085] = 10292,
  [14086] = 10296,
  [14087] = 10300,
  [14088] = 10302,
  [14089] = 10283,
  [14090] = 10284,
  [14091] = 10149,
  [14092] = 9298,
  [14093] = 13981,
  [14094] = 14094,
  [14095] = 13981,
  [14096] = 14096,
  [14097] = 13142,
  [14098] = 13082,
  [14099] = 13997,
  [14100] = 13981,
  [14101] = 9303,
  [14102] = 13981,
  [14103] = 13304,
  [14104] = 13314,
  [14105] = 13304,
  [14106] = 13142,
  [14107] = 13082,
  [14108] = 13314,
  [14109] = 14009,
  [14110] = 13168,
  [14111] = 9249,
  [14112] = 13981,
  [14113] = 9303,
  [14114] = 13981,
  [14115] = 13981,
  [14116] = 9303,
  [14117] = 14117,
  [14118] = 9310,
  [14119] = 13981,
  [14120] = 5944,
  [14121] = 13126,
  [14122] = 9303,
  [14123] = 14123,
  [14124] = 9303,
  [14125] = 13981,
  [14126] = 14009,
  [14127] = 9249,
  [14128] = 9303,
  [14129] = 9303,
  [14130] = 13981,
  [14131] = 13981,
  [14132] = 9310,
  [14133] = 9299,
  [14134] = 13244,
  [14135] = 9310,
  [14136] = 9300,
  [14137] = 14035,
  [14138] = 13981,
  [14139] = 13981,
  [14140] = 14140,
  [14141] = 14141,
  [14142] = 10191,
  [14143] = 14143,
  [14144] = 14003,
  [14145] = 9303,
  [14146] = 9225,
  [14147] = 13981,
  [14148] = 9303,
  [14149] = 3551,
  [14150] = 13981,
  [14151] = 3552,
  [14152] = 13063,
  [14153] = 3553,
  [14154] = 3556,
  [14155] = 9227,
  [14156] = 13981,
  [14157] = 9230,
  [14158] = 13147,
  [14159] = 13170,
  [14160] = 10293,
  [14161] = 14161,
  [14162] = 9239,
  [14163] = 13981,
  [14164] = 13981,
  [14165] = 10278,
  [14166] = 9244,
  [14167] = 10228,
  [14168] = 13981,
  [14169] = 13981,
  [14170] = 13168,
  [14171] = 10288,
  [14172] = 13981,
  [14173] = 9249,
  [14174] = 13981,
  [14175] = 13981,
  [14176] = 9310,
  [14177] = 13250,
  [14178] = 14178,
  [14179] = 13981,
  [14180] = 13981,
  [14181] = 9249,
  [14182] = 13981,
  [14183] = 13081,
  [14184] = 13169,
  [14185] = 13219,
  [14186] = 13221,
  [14187] = 13200,
  [14188] = 13081,
  [14189] = 13169,
  [14190] = 13219,
  [14191] = 13221,
  [14192] = 13200,
  [14193] = 13166,
  [14194] = 13176,
  [14195] = 13166,
  [14196] = 9303,
  [14197] = 14197,
  [14198] = 14198,
  [14199] = 14198,
  [14200] = 14200,
  [14201] = 14197,
  [14202] = 6039,
  [14203] = 9583,
  [14204] = 14204,
  [14205] = 14205,
  [14206] = 14206,
  [14207] = 9848,
  [14208] = 3497,
  [14209] = 14209,
  [14210] = 14210,
  [14211] = 14197,
  [14212] = 10205,
  [14213] = 14213,
  [14214] = 11152,
  [14215] = 14197,
  [14216] = 9955,
  [14217] = 14217,
  [14218] = 14198,
  [14219] = 14219,
  [14220] = 9918,
  [14221] = 14213,
  [14222] = 14213,
  [14223] = 14198,
  [14224] = 14213,
  [14225] = 10278,
  [14226] = 3552,
  [14227] = 10149,
  [14228] = 6452,
  [14229] = 6474,
  [14230] = 10292,
  [14231] = 14231,
  [14232] = 14232,
  [14233] = 10221,
  [14234] = 10284,
  [14235] = 14217,
  [14236] = 3553,
  [14237] = 13667,
  [14238] = 14238,
  [14239] = 10296,
  [14240] = 14238,
  [14241] = 10293,
  [14242] = 10237,
  [14243] = 14243,
  [14244] = 14244,
  [14245] = 14245,
  [14246] = 10265,
  [14247] = 10261,
  [14248] = 14248,
  [14249] = 10229,
  [14250] = 14250,
  [14251] = 14251,
  [14252] = 14245,
  [14253] = 14238,
  [14254] = 9019,
  [14255] = 6474,
  [14256] = 10288,
  [14257] = 3551,
  [14258] = 10226,
  [14259] = 6168,
  [14260] = 10155,
  [14261] = 3425,
  [14262] = 10282,
  [14263] = 10132,
  [14264] = 6452,
  [14265] = 3556,
  [14266] = 14245,
  [14267] = 10302,
  [14268] = 3551,
  [14269] = 3552,
  [14270] = 3553,
  [14271] = 14271,
  [14272] = 10291,
  [14273] = 6206,
  [14274] = 10228,
  [14275] = 13671,
  [14276] = 14238,
  [14277] = 14277,
  [14278] = 14248,
  [14279] = 14248,
  [14280] = 14245,
  [14281] = 10283,
  [14282] = 10191,
  [14283] = 14248,
  [14284] = 10180,
  [14285] = 14238,
  [14286] = 10243,
  [14287] = 10497,
  [14288] = 3556,
  [14289] = 10230,
  [14290] = 13672,
  [14291] = 14238,
  [14292] = 10145,
  [14293] = 10275,
  [14294] = 10232,
  [14295] = 10280,
  [14296] = 14296,
  [14297] = 10224,
  [14298] = 10222,
  [14299] = 10117,
  [14300] = 14300,
  [14301] = 14301,
  [14302] = 10300,
  [14303] = 14303,
  [14304] = 14303,
  [14305] = 14305,
  [14306] = 14306,
  [14307] = 14303,
  [14308] = 14308,
  [14309] = 14309,
  [14310] = 10434,
  [14311] = 14305,
  [14312] = 14305,
  [14313] = 14303,
  [14314] = 14305,
  [14315] = 14315,
  [14316] = 14316,
  [14317] = 14305,
  [14318] = 8416,
  [14319] = 14303,
  [14320] = 14305,
  [14321] = 14303,
  [14322] = 8414,
  [14323] = 12148,
  [14324] = 14305,
  [14325] = 14305,
  [14326] = 14326,
  [14327] = 14303,
  [14328] = 14328,
  [14329] = 14329,
  [14330] = 14330,
  [14331] = 12139,
  [14332] = 12145,
  [14333] = 12146,
  [14334] = 14334,
  [14335] = 14335,
  [14336] = 14336,
  [14337] = 14303,
  [14338] = 14303,
  [14339] = 14339,
  [14340] = 14340,
  [14341] = 14341,
  [14342] = 14303,
  [14343] = 14343,
  [14344] = 14344,
  [14345] = 14305,
  [14346] = 14346,
  [14347] = 14347,
  [14348] = 14305,
  [14349] = 14349,
  [14350] = 14303,
  [14351] = 14351,
  [14352] = 14305,
  [14353] = 14353,
  [14354] = 14305,
  [14355] = 14355,
  [14356] = 14305,
  [14357] = 14357,
  [14358] = 14358,
  [14359] = 5745,
  [14360] = 14360,
  [14361] = 14361,
  [14362] = 14362,
  [14363] = 14303,
  [14364] = 14364,
  [14365] = 14305,
  [14366] = 14366,
  [14367] = 14367,
  [14368] = 5668,
  [14369] = 14369,
  [14370] = 14303,
  [14371] = 14305,
  [14372] = 14372,
  [14373] = 14303,
  [14374] = 14374,
  [14375] = 14375,
  [14376] = 14305,
  [14377] = 6387,
  [14378] = 14378,
  [14379] = 14343,
  [14380] = 14303,
  [14381] = 14381,
  [14382] = 6388,
  [14383] = 14303,
  [14384] = 14305,
  [14385] = 14385,
  [14386] = 12075,
  [14387] = 14351,
  [14388] = 12077,
  [14389] = 12078,
  [14390] = 14305,
  [14391] = 14303,
  [14392] = 14392,
  [14393] = 14393,
  [14394] = 14394,
  [14395] = 14303,
  [14396] = 14396,
  [14397] = 8365,
  [14398] = 14303,
  [14399] = 14343,
  [14400] = 14305,
  [14401] = 14303,
  [14402] = 10925,
  [14403] = 14403,
  [14404] = 14305,
  [14405] = 14351,
  [14406] = 14303,
  [14407] = 14305,
  [14408] = 14305,
  [14409] = 14409,
  [14410] = 14303,
  [14411] = 14411,
  [14412] = 14305,
  [14413] = 14305,
  [14414] = 8412,
  [14415] = 8415,
  [14416] = 6389,
  [14417] = 14305,
  [14418] = 14418,
  [14419] = 14419,
  [14420] = 14420,
  [14421] = 14303,
  [14422] = 14303,
  [14423] = 14305,
  [14424] = 8418,
  [14425] = 14425,
  [14426] = 14426,
  [14427] = 14427,
  [14428] = 14303,
  [14429] = 12029,
  [14430] = 14430,
  [14431] = 8420,
  [14432] = 14305,
  [14433] = 14305,
  [14434] = 6478,
  [14435] = 8352,
  [14436] = 14436,
  [14437] = 14437,
  [14438] = 14305,
  [14439] = 14305,
  [14440] = 14305,
  [14441] = 14441,
  [14442] = 14442,
  [14443] = 14443,
  [14444] = 14444,
  [14445] = 14445,
  [14446] = 8469,
  [14447] = 8355,
  [14448] = 14303,
  [14449] = 8380,
  [14450] = 14305,
  [14451] = 14451,
  [14452] = 14303,
  [14453] = 14453,
  [14454] = 14454,
  [14455] = 14455,
  [14456] = 8458,
  [14457] = 14457,
  [14458] = 14303,
  [14459] = 14305,
  [14460] = 14460,
  [14461] = 14461,
  [14462] = 14351,
  [14463] = 14305,
  [14464] = 6485,
  [14465] = 14303,
  [14466] = 14466,
  [14467] = 14467,
  [14468] = 14303,
  [14469] = 14469,
  [14470] = 14303,
  [14471] = 14305,
  [14472] = 10205,
  [14473] = 14305,
  [14474] = 10488,
  [14475] = 14475,
  [14476] = 14305,
  [14477] = 14305,
  [14478] = 14303,
  [14479] = 14303,
  [14480] = 14305,
  [14481] = 14303,
  [14482] = 14482,
  [14483] = 14483,
  [14484] = 14484,
  [14485] = 14485,
  [14486] = 14303,
  [14487] = 6443,
  [14488] = 8386,
  [14489] = 9231,
  [14490] = 14490,
  [14491] = 14303,
  [14492] = 14492,
  [14493] = 14303,
  [14494] = 14305,
  [14495] = 14393,
  [14496] = 14305,
  [14497] = 14303,
  [14498] = 14303,
  [14499] = 14343,
  [14500] = 14303,
  [14501] = 14303,
  [14502] = 14305,
  [14503] = 5735,
  [14504] = 14504,
  [14505] = 14305,
  [14506] = 14305,
  [14507] = 8387,
  [14508] = 14305,
  [14509] = 8448,
  [14510] = 14305,
  [14511] = 14511,
  [14512] = 14303,
  [14513] = 14305,
  [14514] = 9285,
  [14515] = 14303,
  [14516] = 8391,
  [14517] = 14305,
  [14518] = 14303,
  [14519] = 14305,
  [14520] = 8478,
  [14521] = 14303,
  [14522] = 8441,
  [14523] = 14523,
  [14524] = 14303,
  [14525] = 14525,
  [14526] = 14526,
  [14527] = 8405,
  [14528] = 14303,
  [14529] = 14303,
  [14530] = 14303,
  [14531] = 14305,
  [14532] = 14303,
  [14533] = 14533,
  [14534] = 14534,
  [14535] = 14535,
  [14536] = 10288,
  [14537] = 14537,
  [14538] = 14538,
  [14539] = 10261,
  [14540] = 10224,
  [14541] = 10283,
  [14542] = 14542,
  [14543] = 13667,
  [14544] = 10229,
  [14545] = 10265,
  [14546] = 10278,
  [14547] = 10228,
  [14548] = 14548,
  [14549] = 10117,
  [14550] = 10291,
  [14551] = 10300,
  [14552] = 10284,
  [14553] = 10292,
  [14554] = 14200,
  [14555] = 10230,
  [14556] = 6474,
  [14557] = 10232,
  [14558] = 10275,
  [14559] = 10030,
  [14560] = 14560,
  [14561] = 10243,
  [14562] = 13671,
  [14563] = 14563,
  [14564] = 14564,
  [14565] = 11152,
  [14566] = 9958,
  [14567] = 5735,
  [14568] = 10221,
  [14569] = 14569,
  [14570] = 14570,
  [14571] = 10925,
  [14572] = 3415,
  [14573] = 5886,
  [14574] = 10226,
  [14575] = 9993,
  [14576] = 6452,
  [14577] = 10293,
  [14578] = 5745,
  [14579] = 14579,
  [14580] = 3551,
  [14581] = 13672,
  [14582] = 10302,
  [14583] = 3552,
  [14584] = 5668,
  [14585] = 10237,
  [14586] = 10282,
  [14587] = 3553,
  [14588] = 3556,
  [14589] = 10296,
  [14590] = 10222,
  [14591] = 10280,
  [14592] = 14592,
  [14593] = 10172,
  [14594] = 10166,
  [14595] = 10125,
  [14596] = 10154,
  [14597] = 14592,
  [14598] = 14592,
  [14599] = 14599,
  [14600] = 10171,
  [14601] = 6230,
  [14602] = 5886,
  [14603] = 10215,
  [14604] = 10925,
  [14605] = 14605,
  [14606] = 3407,
  [14607] = 10958,
  [14608] = 14599,
  [14609] = 10158,
  [14610] = 10134,
  [14611] = 14611,
  [14612] = 14612,
  [14613] = 10223,
  [14614] = 10193,
  [14615] = 10239,
  [14616] = 14592,
  [14617] = 10227,
  [14618] = 14599,
  [14619] = 10156,
  [14620] = 11048,
  [14621] = 9485,
  [14622] = 14622,
  [14623] = 10147,
  [14624] = 10129,
  [14625] = 10234,
  [14626] = 14599,
  [14627] = 3422,
  [14628] = 10968,
  [14629] = 10993,
  [14630] = 14630,
  [14631] = 10127,
  [14632] = 11152,
  [14633] = 10969,
  [14634] = 10287,
  [14635] = 14635,
  [14636] = 14635,
  [14637] = 14637,
  [14638] = 6439,
  [14639] = 10252,
  [14640] = 10439,
  [14641] = 14635,
  [14642] = 11297,
  [14643] = 6477,
  [14644] = 14644,
  [14645] = 14637,
  [14646] = 14635,
  [14647] = 14635,
  [14648] = 14637,
  [14649] = 14637,
  [14650] = 14637,
  [14651] = 14635,
  [14652] = 14637,
  [14653] = 10497,
  [14654] = 14654,
  [14655] = 6353,
  [14656] = 14635,
  [14657] = 14654,
  [14658] = 14637,
  [14659] = 14659,
  [14660] = 14635,
  [14661] = 14637,
  [14662] = 14662,
  [14663] = 14637,
  [14664] = 14635,
  [14665] = 6371,
  [14666] = 14637,
  [14667] = 14635,
  [14668] = 14662,
  [14669] = 6454,
  [14670] = 14637,
  [14671] = 14635,
  [14672] = 14672,
  [14673] = 14672,
  [14674] = 14654,
  [14675] = 6468,
  [14676] = 3423,
  [14677] = 14635,
  [14678] = 14637,
  [14679] = 14637,
  [14680] = 14637,
  [14681] = 14637,
  [14682] = 14654,
  [14683] = 14635,
  [14684] = 11099,
  [14685] = 14635,
  [14686] = 14637,
  [14687] = 14654,
  [14688] = 14688,
  [14689] = 14637,
  [14690] = 14635,
  [14691] = 14635,
  [14692] = 14659,
  [14693] = 14637,
  [14694] = 14654,
  [14695] = 14637,
  [14696] = 14635,
  [14697] = 6357,
  [14698] = 6361,
  [14699] = 14637,
  [14700] = 14635,
  [14701] = 14635,
  [14702] = 6464,
  [14703] = 6492,
  [14704] = 14637,
  [14705] = 10191,
  [14706] = 3408,
  [14707] = 10117,
  [14708] = 14635,
  [14709] = 14635,
  [14710] = 14635,
  [14711] = 6362,
  [14712] = 14637,
  [14713] = 14637,
  [14714] = 14637,
  [14715] = 14637,
  [14716] = 14662,
  [14717] = 14659,
  [14718] = 14635,
  [14719] = 14637,
  [14720] = 14637,
  [14721] = 14635,
  [14722] = 14637,
  [14723] = 14644,
  [14724] = 14637,
  [14725] = 14635,
  [14726] = 14662,
  [14727] = 10412,
  [14728] = 14635,
  [14729] = 10231,
  [14730] = 14644,
  [14731] = 14635,
  [14732] = 14662,
  [14733] = 10290,
  [14734] = 14637,
  [14735] = 14662,
  [14736] = 14637,
  [14737] = 14637,
  [14738] = 14637,
  [14739] = 14662,
  [14740] = 14637,
  [14741] = 6445,
  [14742] = 9485,
  [14743] = 14672,
  [14744] = 14637,
  [14745] = 14635,
  [14746] = 14637,
  [14747] = 14637,
  [14748] = 14637,
  [14749] = 14637,
  [14750] = 11152,
  [14751] = 14637,
  [14752] = 14637,
  [14753] = 14635,
  [14754] = 14637,
  [14755] = 14659,
  [14756] = 14635,
  [14757] = 14637,
  [14758] = 14635,
  [14759] = 14637,
  [14760] = 14644,
  [14761] = 14637,
  [14762] = 6348,
  [14763] = 14637,
  [14764] = 14662,
  [14765] = 11284,
  [14766] = 14635,
  [14767] = 6484,
  [14768] = 14637,
  [14769] = 14637,
  [14770] = 14637,
  [14771] = 14672,
  [14772] = 14635,
  [14773] = 14637,
  [14774] = 14635,
  [14775] = 6351,
  [14776] = 14637,
  [14777] = 6391,
  [14778] = 6352,
  [14779] = 6355,
  [14780] = 14637,
  [14781] = 14637,
  [14782] = 14635,
  [14783] = 14635,
  [14784] = 10117,
  [14785] = 6394,
  [14786] = 6370,
  [14787] = 6404,
  [14788] = 14788,
  [14789] = 14637,
  [14790] = 6481,
  [14791] = 14637,
  [14792] = 14635,
  [14793] = 10267,
  [14794] = 14635,
  [14795] = 14635,
  [14796] = 14635,
  [14797] = 14672,
  [14798] = 14637,
  [14799] = 6427,
  [14800] = 10271,
  [14801] = 10249,
  [14802] = 14637,
  [14803] = 14635,
  [14804] = 6483,
  [14805] = 14635,
  [14806] = 14637,
  [14807] = 14662,
  [14808] = 14637,
  [14809] = 14635,
  [14810] = 14637,
  [14811] = 14654,
  [14812] = 14637,
  [14813] = 14637,
  [14814] = 6364,
  [14815] = 14635,
  [14816] = 14635,
  [14817] = 6390,
  [14818] = 6366,
  [14819] = 14635,
  [14820] = 14635,
  [14821] = 14637,
  [14822] = 14637,
  [14823] = 14635,
  [14824] = 14635,
  [14825] = 14635,
  [14826] = 14662,
  [14827] = 14827,
  [14828] = 14662,
  [14829] = 14635,
  [14830] = 14830,
  [14831] = 14831,
  [14832] = 14832,
  [14833] = 14833,
  [14834] = 14834,
  [14835] = 14835,
  [14836] = 14831,
  [14837] = 14835,
  [14838] = 14831,
  [14839] = 14835,
  [14840] = 14831,
  [14841] = 14830,
  [14842] = 14835,
  [14843] = 14835,
  [14844] = 14831,
  [14845] = 14831,
  [14846] = 14835,
  [14847] = 14835,
  [14848] = 14835,
  [14849] = 14831,
  [14850] = 14835,
  [14851] = 14831,
  [14852] = 14835,
  [14853] = 14831,
  [14854] = 14831,
  [14855] = 14835,
  [14856] = 14830,
  [14857] = 14830,
  [14858] = 14831,
  [14859] = 14835,
  [14860] = 14860,
  [14861] = 14835,
  [14862] = 14831,
  [14863] = 14835,
  [14864] = 10728,
  [14865] = 11396,
  [14866] = 14831,
  [14867] = 14831,
  [14868] = 14835,
  [14869] = 14869,
  [14870] = 10993,
  [14871] = 14831,
  [14872] = 14831,
  [14873] = 10925,
  [14874] = 14831,
  [14875] = 14834,
  [14876] = 14835,
  [14877] = 14877,
  [14878] = 14835,
  [14879] = 14830,
  [14880] = 3356,
  [14881] = 14835,
  [14882] = 14831,
  [14883] = 3344,
  [14884] = 11474,
  [14885] = 14831,
  [14886] = 14831,
  [14887] = 14834,
  [14888] = 14835,
  [14889] = 14834,
  [14890] = 11533,
  [14891] = 14835,
  [14892] = 14835,
  [14893] = 14830,
  [14894] = 11048,
  [14895] = 14835,
  [14896] = 14896,
  [14897] = 10456,
  [14898] = 14831,
  [14899] = 14834,
  [14900] = 10958,
  [14901] = 10968,
  [14902] = 10969,
  [14903] = 14831,
  [14904] = 14904,
  [14905] = 14904,
  [14906] = 14906,
  [14907] = 14906,
  [14908] = 14904,
  [14909] = 14904,
  [14910] = 14910,
  [14911] = 14911,
  [14912] = 14912,
  [14913] = 14913,
  [14914] = 14904,
  [14915] = 14915,
  [14916] = 14904,
  [14917] = 14917,
  [14918] = 14918,
  [14919] = 14919,
  [14920] = 14920,
  [14921] = 11284,
  [14922] = 14904,
  [14923] = 14923,
  [14924] = 14924,
  [14925] = 14925,
  [14926] = 14904,
  [14927] = 14927,
  [14928] = 14928,
  [14929] = 14929,
  [14930] = 14930,
  [14931] = 11297,
  [14932] = 10265,
  [14933] = 14933,
  [14934] = 14906,
  [14935] = 14917,
  [14936] = 14936,
  [14937] = 11099,
  [14938] = 14904,
  [14939] = 14904,
  [14940] = 14904,
  [14941] = 10221,
  [14942] = 11699,
  [14943] = 10705,
  [14944] = 14911,
  [14945] = 14912,
  [14946] = 14913,
  [14947] = 14904,
  [14948] = 14919,
  [14949] = 14949,
  [14950] = 10795,
  [14951] = 14904,
  [14952] = 14923,
  [14953] = 14927,
  [14954] = 14925,
  [14955] = 10729,
  [14956] = 14904,
  [14957] = 14957,
  [14958] = 14911,
  [14959] = 14912,
  [14960] = 14913,
  [14961] = 11078,
  [14962] = 14919,
  [14963] = 14930,
  [14964] = 14957,
  [14965] = 11739,
  [14966] = 14904,
  [14967] = 14904,
  [14968] = 14968,
  [14969] = 14928,
  [14970] = 10730,
  [14971] = 14971,
  [14972] = 14928,
  [14973] = 14949,
  [14974] = 14927,
  [14975] = 3460,
  [14976] = 3461,
  [14977] = 3463,
  [14978] = 14925,
  [14979] = 3474,
  [14980] = 3480,
  [14981] = 3481,
  [14982] = 14930,
  [14983] = 14957,
  [14984] = 14933,
  [14985] = 14906,
  [14986] = 14917,
  [14987] = 3494,
  [14988] = 3502,
  [14989] = 14904,
  [14990] = 14990,
  [14991] = 14949,
  [14992] = 14927,
  [14993] = 10224,
  [14994] = 14925,
  [14995] = 14957,
  [14996] = 14904,
  [14997] = 10229,
  [14998] = 10230,
  [14999] = 14911,
  [15000] = 3407,
  [15001] = 11152,
  [15002] = 14912,
  [15003] = 3422,
  [15004] = 14933,
  [15005] = 14911,
  [15006] = 15006,
  [15007] = 14912,
  [15008] = 14913,
  [15009] = 14949,
  [15010] = 14927,
  [15011] = 14904,
  [15012] = 14925,
  [15013] = 10728,
  [15014] = 11228,
  [15015] = 10906,
  [15016] = 14957,
  [15017] = 10912,
  [15018] = 10919,
  [15019] = 10670,
  [15020] = 14949,
  [15021] = 14927,
  [15022] = 14925,
  [15023] = 10232,
  [15024] = 14957,
  [15025] = 14904,
  [15026] = 10671,
  [15027] = 11949,
  [15028] = 10672,
  [15029] = 14904,
  [15030] = 14949,
  [15031] = 14927,
  [15032] = 14919,
  [15033] = 14925,
  [15034] = 14924,
  [15035] = 14957,
  [15036] = 14927,
  [15037] = 14925,
  [15038] = 14913,
  [15039] = 14957,
  [15040] = 14930,
  [15041] = 14933,
  [15042] = 14925,
  [15043] = 14906,
  [15044] = 14957,
  [15045] = 14911,
  [15046] = 14912,
  [15047] = 14913,
  [15048] = 14925,
  [15049] = 14957,
  [15050] = 15050,
  [15051] = 14904,
  [15052] = 14919,
  [15053] = 14925,
  [15054] = 14957,
  [15055] = 14925,
  [15056] = 14928,
  [15057] = 14957,
  [15058] = 14904,
  [15059] = 14929,
  [15060] = 14925,
  [15061] = 14957,
  [15062] = 14928,
  [15063] = 14904,
  [15064] = 14925,
  [15065] = 14917,
  [15066] = 14957,
  [15067] = 14925,
  [15068] = 14957,
  [15069] = 14925,
  [15070] = 15070,
  [15071] = 14957,
  [15072] = 10275,
  [15073] = 14925,
  [15074] = 14928,
  [15075] = 14957,
  [15076] = 6494,
  [15077] = 6495,
  [15078] = 6448,
  [15079] = 10280,
  [15080] = 14925,
  [15081] = 10282,
  [15082] = 14957,
  [15083] = 14904,
  [15084] = 14925,
  [15085] = 14957,
  [15086] = 14929,
  [15087] = 6206,
  [15088] = 10291,
  [15089] = 10292,
  [15090] = 14925,
  [15091] = 14957,
  [15092] = 10296,
  [15093] = 14949,
  [15094] = 14925,
  [15095] = 14957,
  [15096] = 14933,
  [15097] = 14957,
  [15098] = 14925,
  [15099] = 14929,
  [15100] = 14957,
  [15101] = 14925,
  [15102] = 14957,
  [15103] = 14925,
  [15104] = 14957,
  [15105] = 14925,
  [15106] = 14904,
  [15107] = 14957,
  [15108] = 14925,
  [15109] = 14957,
  [15110] = 14925,
  [15111] = 14957,
  [15112] = 14925,
  [15113] = 14957,
  [15114] = 14904,
  [15115] = 14925,
  [15116] = 14957,
  [15117] = 6168,
  [15118] = 14925,
  [15119] = 15119,
  [15120] = 14957,
  [15121] = 14904,
  [15122] = 14929,
  [15123] = 14925,
  [15124] = 14957,
  [15125] = 14925,
  [15126] = 14957,
  [15127] = 14917,
  [15128] = 14904,
  [15129] = 10228,
  [15130] = 14925,
  [15131] = 14957,
  [15132] = 14925,
  [15133] = 14957,
  [15134] = 14924,
  [15135] = 14925,
  [15136] = 14957,
  [15137] = 14925,
  [15138] = 14957,
  [15139] = 14925,
  [15140] = 14957,
  [15141] = 10945,
  [15142] = 14925,
  [15143] = 14904,
  [15144] = 14957,
  [15145] = 11615,
  [15146] = 14925,
  [15147] = 14930,
  [15148] = 14957,
  [15149] = 14933,
  [15150] = 14906,
  [15151] = 14925,
  [15152] = 14957,
  [15153] = 14925,
  [15154] = 14957,
  [15155] = 14911,
  [15156] = 14912,
  [15157] = 14913,
  [15158] = 14925,
  [15159] = 14957,
  [15160] = 14925,
  [15161] = 14957,
  [15162] = 14923,
  [15163] = 14925,
  [15164] = 14919,
  [15165] = 14957,
  [15166] = 14925,
  [15167] = 14957,
  [15168] = 14925,
  [15169] = 14957,
  [15170] = 14904,
  [15171] = 14925,
  [15172] = 14957,
  [15173] = 14928,
  [15174] = 14925,
  [15175] = 14957,
  [15176] = 14925,
  [15177] = 14929,
  [15178] = 14957,
  [15179] = 14925,
  [15180] = 14957,
  [15181] = 14925,
  [15182] = 14957,
  [15183] = 15006,
  [15184] = 14918,
  [15185] = 14243,
  [15186] = 14612,
  [15187] = 14622,
  [15188] = 14611,
  [15189] = 14630,
  [15190] = 14917,
  [15191] = 15119,
  [15192] = 14923,
  [15193] = 15006,
  [15194] = 14904,
  [15195] = 14918,
  [15196] = 15119,
  [15197] = 14923,
  [15198] = 15006,
  [15199] = 15199,
  [15200] = 14918,
  [15201] = 15119,
  [15202] = 11029,
  [15203] = 11036,
  [15204] = 10674,
  [15205] = 10243,
  [15206] = 15119,
  [15207] = 10261,
  [15208] = 10237,
  [15209] = 10222,
  [15210] = 15119,
  [15211] = 10300,
  [15212] = 10302,
  [15213] = 15119,
  [15214] = 15119,
  [15215] = 14904,
  [15216] = 14924,
  [15217] = 15217,
  [15218] = 10283,
  [15219] = 14904,
  [15220] = 14904,
  [15221] = 14930,
  [15222] = 14933,
  [15223] = 14906,
  [15224] = 15224,
  [15225] = 6230,
  [15226] = 14904,
  [15227] = 14911,
  [15228] = 14912,
  [15229] = 14913,
  [15230] = 10770,
  [15231] = 11124,
  [15232] = 14919,
  [15233] = 11053,
  [15234] = 14928,
  [15235] = 14929,
  [15236] = 14917,
  [15237] = 10925,
  [15238] = 14917,
  [15239] = 14904,
  [15240] = 14924,
  [15241] = 14605,
  [15242] = 10284,
  [15243] = 14930,
  [15244] = 10682,
  [15245] = 15006,
  [15246] = 14918,
  [15247] = 10226,
  [15248] = 10293,
  [15249] = 10278,
  [15250] = 14904,
  [15251] = 10288,
  [15252] = 14990,
  [15253] = 14990,
  [15254] = 14990,
  [15255] = 14925,
  [15256] = 15256,
  [15257] = 15257,
  [15258] = 8412,
  [15259] = 15259,
  [15260] = 15259,
  [15261] = 8352,
  [15262] = 15262,
  [15263] = 15263,
  [15264] = 15263,
  [15265] = 15263,
  [15266] = 15259,
  [15267] = 15257,
  [15268] = 15259,
  [15269] = 15257,
  [15270] = 6348,
  [15271] = 15271,
  [15272] = 15271,
  [15273] = 15259,
  [15274] = 15259,
  [15275] = 15271,
  [15276] = 15262,
  [15277] = 15262,
  [15278] = 15259,
  [15279] = 15263,
  [15280] = 15263,
  [15281] = 11504,
  [15282] = 15263,
  [15283] = 15257,
  [15284] = 8415,
  [15285] = 8418,
  [15286] = 15271,
  [15287] = 15259,
  [15288] = 15271,
  [15289] = 15262,
  [15290] = 15271,
  [15291] = 6364,
  [15292] = 15259,
  [15293] = 15271,
  [15294] = 15271,
  [15295] = 15263,
  [15296] = 15257,
  [15297] = 15262,
  [15298] = 15263,
  [15299] = 15257,
  [15300] = 15262,
  [15301] = 15259,
  [15302] = 15259,
  [15303] = 15263,
  [15304] = 15259,
  [15305] = 15271,
  [15306] = 15262,
  [15307] = 8420,
  [15308] = 6389,
  [15309] = 15271,
  [15310] = 15257,
  [15311] = 15262,
  [15312] = 15271,
  [15313] = 15263,
  [15314] = 15257,
  [15315] = 15262,
  [15316] = 11390,
  [15317] = 15262,
  [15318] = 15262,
  [15319] = 8355,
  [15320] = 15259,
  [15321] = 15321,
  [15322] = 15271,
  [15323] = 15263,
  [15324] = 11152,
  [15325] = 15259,
  [15326] = 14344,
  [15327] = 15262,
  [15328] = 15263,
  [15329] = 14605,
  [15330] = 15259,
  [15331] = 15263,
  [15332] = 15263,
  [15333] = 15257,
  [15334] = 15257,
  [15335] = 15257,
  [15336] = 15263,
  [15337] = 15337,
  [15338] = 15259,
  [15339] = 14630,
  [15340] = 15257,
  [15341] = 15257,
  [15342] = 15342,
  [15343] = 15271,
  [15344] = 15271,
  [15345] = 15262,
  [15346] = 15257,
  [15347] = 15263,
  [15348] = 14475,
  [15349] = 15257,
  [15350] = 15259,
  [15351] = 15259,
  [15352] = 15259,
  [15353] = 15259,
  [15354] = 15257,
  [15355] = 14309,
  [15356] = 15271,
  [15357] = 15357,
  [15358] = 15262,
  [15359] = 15263,
  [15360] = 15257,
  [15361] = 15271,
  [15362] = 15271,
  [15363] = 8380,
  [15364] = 15262,
  [15365] = 15262,
  [15366] = 15263,
  [15367] = 15263,
  [15368] = 6388,
  [15369] = 15369,
  [15370] = 6390,
  [15371] = 15271,
  [15372] = 15259,
  [15373] = 6391,
  [15374] = 15374,
  [15375] = 15262,
  [15376] = 8416,
  [15377] = 15262,
  [15378] = 15378,
  [15379] = 15271,
  [15380] = 15257,
  [15381] = 15257,
  [15382] = 6394,
  [15383] = 15263,
  [15384] = 15257,
  [15385] = 6404,
  [15386] = 6439,
  [15387] = 3415,
  [15388] = 15257,
  [15389] = 15259,
  [15390] = 15390,
  [15391] = 6494,
  [15392] = 15262,
  [15393] = 15342,
  [15394] = 15271,
  [15395] = 15259,
  [15396] = 15257,
  [15397] = 15263,
  [15398] = 15262,
  [15399] = 15263,
  [15400] = 6495,
  [15401] = 15271,
  [15402] = 6478,
  [15403] = 14484,
  [15404] = 15259,
  [15405] = 6492,
  [15406] = 3425,
  [15407] = 6448,
  [15408] = 15257,
  [15409] = 15257,
  [15410] = 6387,
  [15411] = 6464,
  [15412] = 11457,
  [15413] = 15257,
  [15414] = 15259,
  [15415] = 15271,
  [15416] = 15271,
  [15417] = 11458,
  [15418] = 14490,
  [15419] = 6485,
  [15420] = 15262,
  [15421] = 15263,
  [15422] = 15422,
  [15423] = 15259,
  [15424] = 15271,
  [15425] = 15259,
  [15426] = 8469,
  [15427] = 11282,
  [15428] = 8478,
  [15429] = 15257,
  [15430] = 14436,
  [15431] = 15271,
  [15432] = 15257,
  [15433] = 15259,
  [15434] = 15271,
  [15435] = 15271,
  [15436] = 15259,
  [15437] = 15257,
  [15438] = 15271,
  [15439] = 15263,
  [15440] = 15262,
  [15441] = 15262,
  [15442] = 15263,
  [15443] = 15263,
  [15444] = 15259,
  [15445] = 15257,
  [15446] = 15321,
  [15447] = 15271,
  [15448] = 15263,
  [15449] = 15262,
  [15450] = 15271,
  [15451] = 15262,
  [15452] = 15259,
  [15453] = 15262,
  [15454] = 15271,
  [15455] = 15259,
  [15456] = 15263,
  [15457] = 15263,
  [15458] = 15262,
  [15459] = 15271,
  [15460] = 11213,
  [15461] = 15262,
  [15462] = 15262,
  [15463] = 15263,
  [15464] = 15263,
  [15465] = 15262,
  [15466] = 15259,
  [15467] = 15257,
  [15468] = 15263,
  [15469] = 15257,
  [15470] = 6448,
  [15471] = 15256,
  [15472] = 11417,
  [15473] = 6445,
  [15474] = 8410,
  [15475] = 15271,
  [15476] = 6454,
  [15477] = 15259,
  [15478] = 6351,
  [15479] = 6468,
  [15480] = 6483,
  [15481] = 15271,
  [15482] = 15262,
  [15483] = 6484,
  [15484] = 6371,
  [15485] = 15263,
  [15486] = 15486,
  [15487] = 15257,
  [15488] = 15263,
  [15489] = 15271,
  [15490] = 15259,
  [15491] = 14482,
  [15492] = 15263,
  [15493] = 15257,
  [15494] = 15262,
  [15495] = 15262,
  [15496] = 6481,
  [15497] = 6352,
  [15498] = 15271,
  [15499] = 15262,
  [15500] = 15262,
  [15501] = 14534,
  [15502] = 15502,
  [15503] = 15259,
  [15504] = 15262,
  [15505] = 15263,
  [15506] = 6427,
  [15507] = 15507,
  [15508] = 3433,
  [15509] = 15257,
  [15510] = 15271,
  [15511] = 15263,
  [15512] = 10669,
  [15513] = 15263,
  [15514] = 15257,
  [15515] = 15262,
  [15516] = 15263,
  [15517] = 8441,
  [15518] = 3445,
  [15519] = 15259,
  [15520] = 14612,
  [15521] = 3446,
  [15522] = 15259,
  [15523] = 11474,
  [15524] = 11533,
  [15525] = 3454,
  [15526] = 6355,
  [15527] = 3455,
  [15528] = 15271,
  [15529] = 15262,
  [15530] = 3497,
  [15531] = 15262,
  [15532] = 15259,
  [15533] = 11526,
  [15534] = 15263,
  [15535] = 11527,
  [15536] = 15263,
  [15537] = 15537,
  [15538] = 15271,
  [15539] = 15257,
  [15540] = 6366,
  [15541] = 15262,
  [15542] = 15542,
  [15543] = 15262,
  [15544] = 15263,
  [15545] = 3408,
  [15546] = 15257,
  [15547] = 8386,
  [15548] = 8387,
  [15549] = 8391,
  [15550] = 15257,
  [15551] = 8405,
  [15552] = 15257,
  [15553] = 3421,
  [15554] = 14526,
  [15555] = 8414,
  [15556] = 15271,
  [15557] = 11554,
  [15558] = 15337,
  [15559] = 15262,
  [15560] = 15259,
  [15561] = 3423,
  [15562] = 11557,
  [15563] = 15257,
  [15564] = 15257,
  [15565] = 11564,
  [15566] = 15271,
  [15567] = 15257,
  [15568] = 15257,
  [15569] = 15263,
  [15570] = 14622,
  [15571] = 15271,
  [15572] = 15262,
  [15573] = 15259,
  [15574] = 8365,
  [15575] = 15259,
  [15576] = 15271,
  [15577] = 11544,
  [15578] = 15502,
  [15579] = 14611,
  [15580] = 15262,
  [15581] = 15263,
  [15582] = 15263,
  [15583] = 15257,
  [15584] = 15262,
  [15585] = 6477,
  [15586] = 15271,
  [15587] = 15259,
  [15588] = 8448,
  [15589] = 15257,
  [15590] = 15257,
  [15591] = 15259,
  [15592] = 6353,
  [15593] = 15262,
  [15594] = 15259,
  [15595] = 6494,
  [15596] = 6357,
  [15597] = 15271,
  [15598] = 15259,
  [15599] = 6495,
  [15600] = 15263,
  [15601] = 6361,
  [15602] = 15262,
  [15603] = 15259,
  [15604] = 6443,
  [15605] = 15259,
  [15606] = 11396,
  [15607] = 15271,
  [15608] = 15271,
  [15609] = 15262,
  [15610] = 15262,
  [15611] = 15263,
  [15612] = 15271,
  [15613] = 15262,
  [15614] = 15263,
  [15615] = 15256,
  [15616] = 15263,
  [15617] = 15257,
  [15618] = 15259,
  [15619] = 15257,
  [15620] = 15256,
  [15621] = 15271,
  [15622] = 15257,
  [15623] = 6362,
  [15624] = 15257,
  [15625] = 15259,
  [15626] = 6370,
  [15627] = 15271,
  [15628] = 8458,
  [15629] = 15263,
  [15630] = 15630,
  [15631] = 15631,
  [15632] = 15630,
  [15633] = 15630,
  [15634] = 15634,
  [15635] = 15635,
  [15636] = 15636,
  [15637] = 15630,
  [15638] = 15638,
  [15639] = 15639,
  [15640] = 15630,
  [15641] = 15641,
  [15642] = 15630,
  [15643] = 15643,
  [15644] = 15630,
  [15645] = 15645,
  [15646] = 15636,
  [15647] = 15645,
  [15648] = 15630,
  [15649] = 15630,
  [15650] = 15636,
  [15651] = 15639,
  [15652] = 15652,
  [15653] = 15641,
  [15654] = 15654,
  [15655] = 15630,
  [15656] = 15656,
  [15657] = 15645,
  [15658] = 15630,
  [15659] = 15639,
  [15660] = 15630,
  [15661] = 15661,
  [15662] = 15630,
  [15663] = 15645,
  [15664] = 15639,
  [15665] = 15636,
  [15666] = 15636,
  [15667] = 15639,
  [15668] = 11708,
  [15669] = 15669,
  [15670] = 15670,
  [15671] = 15630,
  [15672] = 15645,
  [15673] = 15639,
  [15674] = 15630,
  [15675] = 15675,
  [15676] = 15645,
  [15677] = 15639,
  [15678] = 15661,
  [15679] = 15679,
  [15680] = 15645,
  [15681] = 15639,
  [15682] = 15645,
  [15683] = 15683,
  [15684] = 15631,
  [15685] = 15685,
  [15686] = 15639,
  [15687] = 15661,
  [15688] = 15688,
  [15689] = 15689,
  [15690] = 15630,
  [15691] = 15639,
  [15692] = 15630,
  [15693] = 15636,
  [15694] = 15631,
  [15695] = 13671,
  [15696] = 13672,
  [15697] = 15630,
  [15698] = 15639,
  [15699] = 15699,
  [15700] = 11697,
  [15701] = 15636,
  [15702] = 15702,
  [15703] = 15639,
  [15704] = 15704,
  [15705] = 15656,
  [15706] = 15636,
  [15707] = 15639,
  [15708] = 15639,
  [15709] = 15630,
  [15710] = 11726,
  [15711] = 15711,
  [15712] = 15630,
  [15713] = 15645,
  [15714] = 15639,
  [15715] = 15630,
  [15716] = 15630,
  [15717] = 15683,
  [15718] = 15639,
  [15719] = 15683,
  [15720] = 15630,
  [15721] = 15639,
  [15722] = 10669,
  [15723] = 15645,
  [15724] = 15630,
  [15725] = 15639,
  [15726] = 15639,
  [15727] = 15636,
  [15728] = 15728,
  [15729] = 15645,
  [15730] = 15730,
  [15731] = 15639,
  [15732] = 15732,
  [15733] = 15685,
  [15734] = 15630,
  [15735] = 15679,
  [15736] = 15639,
  [15737] = 15630,
  [15738] = 15636,
  [15739] = 15699,
  [15740] = 15630,
  [15741] = 15669,
  [15742] = 15639,
  [15743] = 15685,
  [15744] = 15630,
  [15745] = 15639,
  [15746] = 15636,
  [15747] = 15639,
  [15748] = 15639,
  [15749] = 15630,
  [15750] = 15639,
  [15751] = 15639,
  [15752] = 15639,
  [15753] = 15641,
  [15754] = 15639,
  [15755] = 15639,
  [15756] = 15630,
  [15757] = 15630,
  [15758] = 15639,
  [15759] = 15683,
  [15760] = 15630,
  [15761] = 13667,
  [15762] = 15645,
  [15763] = 15685,
  [15764] = 15639,
  [15765] = 15630,
  [15766] = 15631,
  [15767] = 15639,
  [15768] = 15641,
  [15769] = 15670,
  [15770] = 15630,
  [15771] = 15639,
  [15772] = 15639,
  [15773] = 15639,
  [15774] = 15774,
  [15775] = 15639,
  [15776] = 15639,
  [15777] = 14200,
  [15778] = 15645,
  [15779] = 15630,
  [15780] = 15639,
  [15781] = 15669,
  [15782] = 11628,
  [15783] = 15670,
  [15784] = 15639,
  [15785] = 15645,
  [15786] = 15636,
  [15787] = 15645,
  [15788] = 15639,
  [15789] = 15789,
  [15790] = 11408,
  [15791] = 15639,
  [15792] = 10921,
  [15793] = 15630,
  [15794] = 15630,
  [15795] = 11409,
  [15796] = 15639,
  [15797] = 15661,
  [15798] = 15639,
  [15799] = 15799,
  [15800] = 15679,
  [15801] = 15639,
  [15802] = 15645,
  [15803] = 15645,
  [15804] = 15639,
  [15805] = 15645,
  [15806] = 15683,
  [15807] = 15639,
  [15808] = 15630,
  [15809] = 15639,
  [15810] = 15810,
  [15811] = 15685,
  [15812] = 15812,
  [15813] = 15636,
  [15814] = 15636,
  [15815] = 15683,
  [15816] = 15630,
  [15817] = 15685,
  [15818] = 15645,
  [15819] = 15636,
  [15820] = 11949,
  [15821] = 15631,
  [15822] = 11615,
  [15823] = 15656,
  [15824] = 15630,
  [15825] = 15636,
  [15826] = 15656,
  [15827] = 15636,
  [15828] = 15630,
  [15829] = 15639,
  [15830] = 15656,
  [15831] = 15689,
  [15832] = 15656,
  [15833] = 15636,
  [15834] = 15630,
  [15835] = 15641,
  [15836] = 15630,
  [15837] = 15630,
  [15838] = 11742,
  [15839] = 15683,
  [15840] = 15630,
  [15841] = 15841,
  [15842] = 15842,
  [15843] = 15843,
  [15844] = 15844,
  [15845] = 15631,
  [15846] = 15630,
  [15847] = 15630,
  [15848] = 15661,
  [15849] = 15630,
  [15850] = 15636,
  [15851] = 11410,
  [15852] = 15852,
  [15853] = 11617,
  [15854] = 15661,
  [15855] = 15661,
  [15856] = 15645,
  [15857] = 15636,
  [15858] = 15683,
  [15859] = 15630,
  [15860] = 15645,
  [15861] = 15685,
  [15862] = 15631,
  [15863] = 15639,
  [15864] = 15636,
  [15865] = 15645,
  [15866] = 11699,
  [15867] = 15689,
  [15868] = 15631,
  [15869] = 15869,
  [15870] = 15689,
  [15871] = 15689,
  [15872] = 15689,
  [15873] = 15641,
  [15874] = 15636,
  [15875] = 15630,
  [15876] = 14200,
  [15877] = 15877,
  [15878] = 15878,
  [15879] = 15879,
  [15880] = 15879,
  [15881] = 15881,
  [15882] = 15882,
  [15883] = 15883,
  [15884] = 15884,
  [15885] = 15879,
  [15886] = 15878,
  [15887] = 15887,
  [15888] = 15888,
  [15889] = 15889,
  [15890] = 15890,
  [15891] = 15891,
  [15892] = 15879,
  [15893] = 15893,
  [15894] = 15887,
  [15895] = 15891,
  [15896] = 15896,
  [15897] = 15897,
  [15898] = 15898,
  [15899] = 15899,
  [15900] = 3642,
  [15901] = 15887,
  [15902] = 15891,
  [15903] = 15903,
  [15904] = 15903,
  [15905] = 15887,
  [15906] = 15891,
  [15907] = 15907,
  [15908] = 15881,
  [15909] = 15879,
  [15910] = 15910,
  [15911] = 15888,
  [15912] = 15879,
  [15913] = 15913,
  [15914] = 15898,
  [15915] = 15915,
  [15916] = 15884,
  [15917] = 15917,
  [15918] = 15918,
  [15919] = 15883,
  [15920] = 15913,
  [15921] = 15921,
  [15922] = 15910,
  [15923] = 11849,
  [15924] = 15924,
  [15925] = 15878,
  [15926] = 15888,
  [15927] = 5745,
  [15928] = 15910,
  [15929] = 15888,
  [15930] = 15930,
  [15931] = 15931,
  [15932] = 15913,
  [15933] = 15878,
  [15934] = 15884,
  [15935] = 15935,
  [15936] = 15921,
  [15937] = 15937,
  [15938] = 15881,
  [15939] = 15889,
  [15940] = 15884,
  [15941] = 15913,
  [15942] = 15898,
  [15943] = 15910,
  [15944] = 15921,
  [15945] = 15890,
  [15946] = 15888,
  [15947] = 15878,
  [15948] = 15918,
  [15949] = 15896,
  [15950] = 15950,
  [15951] = 15910,
  [15952] = 15878,
  [15953] = 15953,
  [15954] = 15898,
  [15955] = 15879,
  [15956] = 15878,
  [15957] = 15896,
  [15958] = 15881,
  [15959] = 15913,
  [15960] = 15884,
  [15961] = 15918,
  [15962] = 15893,
  [15963] = 15898,
  [15964] = 15878,
  [15965] = 15879,
  [15966] = 15921,
  [15967] = 15967,
  [15968] = 15898,
  [15969] = 12149,
  [15970] = 15913,
  [15971] = 15950,
  [15972] = 15903,
  [15973] = 15903,
  [15974] = 15921,
  [15975] = 15975,
  [15976] = 15913,
  [15977] = 15898,
  [15978] = 15898,
  [15979] = 15879,
  [15980] = 15898,
  [15981] = 15888,
  [15982] = 15898,
  [15983] = 15879,
  [15984] = 15878,
  [15985] = 15985,
  [15986] = 15887,
  [15987] = 15898,
  [15988] = 15913,
  [15989] = 15878,
  [15990] = 15882,
  [15991] = 15879,
  [15992] = 15913,
  [15993] = 15896,
  [15994] = 15879,
  [15995] = 15995,
  [15996] = 15985,
  [15997] = 15950,
  [15998] = 15878,
  [15999] = 15881,
  [16000] = 15887,
  [16001] = 15891,
  [16002] = 15918,
  [16003] = 15896,
  [16004] = 16004,
  [16005] = 12475,
  [16006] = 15882,
  [16007] = 15881,
  [16008] = 15918,
  [16009] = 15879,
  [16010] = 15910,
  [16011] = 15888,
  [16012] = 15884,
  [16013] = 15913,
  [16014] = 15882,
  [16015] = 15913,
  [16016] = 15921,
  [16017] = 15913,
  [16018] = 15884,
  [16019] = 15921,
  [16020] = 15878,
  [16021] = 15881,
  [16022] = 15879,
  [16023] = 15913,
  [16024] = 16024,
  [16025] = 15887,
  [16026] = 15891,
  [16027] = 15881,
  [16028] = 12510,
  [16029] = 14475,
  [16030] = 15879,
  [16031] = 15882,
  [16032] = 15913,
  [16033] = 15898,
  [16034] = 15950,
  [16035] = 16035,
  [16036] = 15878,
  [16037] = 15913,
  [16038] = 15903,
  [16039] = 15910,
  [16040] = 15883,
  [16041] = 15879,
  [16042] = 15879,
  [16043] = 15888,
  [16044] = 15884,
  [16045] = 15913,
  [16046] = 15913,
  [16047] = 15921,
  [16048] = 15879,
  [16049] = 12027,
  [16050] = 15913,
  [16051] = 15903,
  [16052] = 15878,
  [16053] = 15889,
  [16054] = 15913,
  [16055] = 15896,
  [16056] = 15950,
  [16057] = 15881,
  [16058] = 15918,
  [16059] = 15898,
  [16060] = 15890,
  [16061] = 15898,
  [16062] = 15884,
  [16063] = 16063,
  [16064] = 15878,
  [16065] = 11285,
  [16066] = 15879,
  [16067] = 15878,
  [16068] = 15883,
  [16069] = 15950,
  [16070] = 15950,
  [16071] = 16071,
  [16072] = 15898,
  [16073] = 15882,
  [16074] = 15953,
  [16075] = 15887,
  [16076] = 16076,
  [16077] = 15913,
  [16078] = 15878,
  [16079] = 15891,
  [16080] = 13667,
  [16081] = 15921,
  [16082] = 15879,
  [16083] = 15893,
  [16084] = 15903,
  [16085] = 15898,
  [16086] = 15913,
  [16087] = 15883,
  [16088] = 15907,
  [16089] = 15888,
  [16090] = 15975,
  [16091] = 15930,
  [16092] = 15918,
  [16093] = 15883,
  [16094] = 15917,
  [16095] = 16095,
  [16096] = 15881,
  [16097] = 15878,
  [16098] = 15913,
  [16099] = 15950,
  [16100] = 15878,
  [16101] = 15878,
  [16102] = 15913,
  [16103] = 15882,
  [16104] = 16095,
  [16105] = 15913,
  [16106] = 15898,
  [16107] = 15889,
  [16108] = 15898,
  [16109] = 15913,
  [16110] = 15890,
  [16111] = 16111,
  [16112] = 15883,
  [16113] = 15903,
  [16114] = 15903,
  [16115] = 15903,
  [16116] = 15878,
  [16117] = 15879,
  [16118] = 15921,
  [16119] = 15887,
  [16120] = 15913,
  [16121] = 15879,
  [16122] = 15903,
  [16123] = 15893,
  [16124] = 16124,
  [16125] = 15889,
  [16126] = 15898,
  [16127] = 15890,
  [16128] = 15903,
  [16129] = 15913,
  [16130] = 15878,
  [16131] = 15898,
  [16132] = 5668,
  [16133] = 15950,
  [16134] = 12538,
  [16135] = 15891,
  [16136] = 15879,
  [16137] = 15898,
  [16138] = 15913,
  [16139] = 15898,
  [16140] = 15893,
  [16141] = 15896,
  [16142] = 15879,
  [16143] = 15910,
  [16144] = 15879,
  [16145] = 15898,
  [16146] = 15898,
  [16147] = 15967,
  [16148] = 15995,
  [16149] = 15898,
  [16150] = 16150,
  [16151] = 15887,
  [16152] = 15878,
  [16153] = 15891,
  [16154] = 16154,
  [16155] = 15878,
  [16156] = 15882,
  [16157] = 16157,
  [16158] = 15881,
  [16159] = 15898,
  [16160] = 15878,
  [16161] = 15898,
  [16162] = 15953,
  [16163] = 16163,
  [16164] = 15879,
  [16165] = 15935,
  [16166] = 15910,
  [16167] = 15888,
  [16168] = 15918,
  [16169] = 15883,
  [16170] = 15889,
  [16171] = 15887,
  [16172] = 15891,
  [16173] = 15903,
  [16174] = 15903,
  [16175] = 16154,
  [16176] = 15918,
  [16177] = 15910,
  [16178] = 15888,
  [16179] = 11878,
  [16180] = 15910,
  [16181] = 15888,
  [16182] = 15884,
  [16183] = 15921,
  [16184] = 15882,
  [16185] = 15888,
  [16186] = 15879,
  [16187] = 15884,
  [16188] = 15898,
  [16189] = 15898,
  [16190] = 15878,
  [16191] = 15889,
  [16192] = 12036,
  [16193] = 15889,
  [16194] = 15896,
  [16195] = 15890,
  [16196] = 15921,
  [16197] = 15879,
  [16198] = 15882,
  [16199] = 15881,
  [16200] = 15918,
  [16201] = 16095,
  [16202] = 15899,
  [16203] = 16203,
  [16204] = 15878,
  [16205] = 15913,
  [16206] = 15896,
  [16207] = 15903,
  [16208] = 15893,
  [16209] = 16209,
  [16210] = 15913,
  [16211] = 15918,
  [16212] = 15913,
  [16213] = 15879,
  [16214] = 15884,
  [16215] = 15890,
  [16216] = 15898,
  [16217] = 12549,
  [16218] = 15882,
  [16219] = 15931,
  [16220] = 15887,
  [16221] = 15878,
  [16222] = 15881,
  [16223] = 15931,
  [16224] = 16224,
  [16225] = 16124,
  [16226] = 15985,
  [16227] = 15913,
  [16228] = 15921,
  [16229] = 15879,
  [16230] = 15882,
  [16231] = 15879,
  [16232] = 15953,
  [16233] = 16233,
  [16234] = 15882,
  [16235] = 15903,
  [16236] = 15882,
  [16237] = 15913,
  [16238] = 15950,
  [16239] = 15898,
  [16240] = 15881,
  [16241] = 14526,
  [16242] = 14484,
  [16243] = 15893,
  [16244] = 15918,
  [16245] = 15879,
  [16246] = 15879,
  [16247] = 15898,
  [16248] = 16248,
  [16249] = 16249,
  [16250] = 15891,
  [16251] = 15985,
  [16252] = 15910,
  [16253] = 16253,
  [16254] = 15882,
  [16255] = 15888,
  [16256] = 15879,
  [16257] = 15879,
  [16258] = 15910,
  [16259] = 15887,
  [16260] = 15975,
  [16261] = 15891,
  [16262] = 15907,
  [16263] = 15903,
  [16264] = 15883,
  [16265] = 15888,
  [16266] = 15913,
  [16267] = 15918,
  [16268] = 15887,
  [16269] = 15891,
  [16270] = 15913,
  [16271] = 14309,
  [16272] = 15879,
  [16273] = 15898,
  [16274] = 15924,
  [16275] = 15878,
  [16276] = 14490,
  [16277] = 15878,
  [16278] = 15882,
  [16279] = 15878,
  [16280] = 15930,
  [16281] = 15878,
  [16282] = 15913,
  [16283] = 15910,
  [16284] = 15888,
  [16285] = 15931,
  [16286] = 15918,
  [16287] = 15967,
  [16288] = 15889,
  [16289] = 15913,
  [16290] = 15884,
  [16291] = 15879,
  [16292] = 15890,
  [16293] = 15921,
  [16294] = 16294,
  [16295] = 15887,
  [16296] = 15913,
  [16297] = 15884,
  [16298] = 15891,
  [16299] = 16249,
  [16300] = 15930,
  [16301] = 16301,
  [16302] = 15896,
  [16303] = 15898,
  [16304] = 15910,
  [16305] = 15888,
  [16306] = 15878,
  [16307] = 15896,
  [16308] = 15930,
  [16309] = 15907,
  [16310] = 16071,
  [16311] = 15881,
  [16312] = 15918,
  [16313] = 15890,
  [16314] = 15921,
  [16315] = 15898,
  [16316] = 15967,
  [16317] = 16317,
  [16318] = 15893,
  [16319] = 15879,
  [16320] = 15910,
  [16321] = 15888,
  [16322] = 16249,
  [16323] = 15893,
  [16324] = 15887,
  [16325] = 15883,
  [16326] = 15891,
  [16327] = 15879,
  [16328] = 15884,
  [16329] = 15884,
  [16330] = 15884,
  [16331] = 15913,
  [16332] = 15898,
  [16333] = 15879,
  [16334] = 15953,
  [16335] = 15878,
  [16336] = 15921,
  [16337] = 15967,
  [16338] = 16111,
  [16339] = 15884,
  [16340] = 15897,
  [16341] = 16157,
  [16342] = 16249,
  [16343] = 15887,
  [16344] = 15891,
  [16345] = 15921,
  [16346] = 15879,
  [16347] = 15878,
  [16348] = 15878,
  [16349] = 16095,
  [16350] = 15896,
  [16351] = 15889,
  [16352] = 15890,
  [16353] = 15896,
  [16354] = 15967,
  [16355] = 16355,
  [16356] = 15881,
  [16357] = 15896,
  [16358] = 15918,
  [16359] = 15913,
  [16360] = 16249,
  [16361] = 15878,
  [16362] = 15953,
  [16363] = 15898,
  [16364] = 15898,
  [16365] = 15910,
  [16366] = 15910,
  [16367] = 15879,
  [16368] = 15888,
  [16369] = 15881,
  [16370] = 15881,
  [16371] = 16249,
  [16372] = 15879,
  [16373] = 15893,
  [16374] = 16374,
  [16375] = 15887,
  [16376] = 15878,
  [16377] = 15913,
  [16378] = 15878,
  [16379] = 16249,
  [16380] = 15950,
  [16381] = 15896,
  [16382] = 15881,
  [16383] = 15891,
  [16384] = 15918,
  [16385] = 16249,
  [16386] = 15878,
  [16387] = 16249,
  [16388] = 15913,
  [16389] = 16389,
  [16390] = 16249,
  [16391] = 5735,
  [16392] = 12541,
  [16393] = 16249,
  [16394] = 15918,
  [16395] = 15896,
  [16396] = 16249,
  [16397] = 15913,
  [16398] = 15883,
  [16399] = 16249,
  [16400] = 15918,
  [16401] = 15898,
  [16402] = 15891,
  [16403] = 15903,
  [16404] = 12514,
  [16405] = 16249,
  [16406] = 16406,
  [16407] = 15896,
  [16408] = 15950,
  [16409] = 16249,
  [16410] = 15884,
  [16411] = 16249,
  [16412] = 15953,
  [16413] = 16095,
  [16414] = 15913,
  [16415] = 16249,
  [16416] = 15881,
  [16417] = 16249,
  [16418] = 15898,
  [16419] = 15889,
  [16420] = 15878,
  [16421] = 15918,
  [16422] = 16249,
  [16423] = 15890,
  [16424] = 15921,
  [16425] = 15879,
  [16426] = 16249,
  [16427] = 16249,
  [16428] = 12563,
  [16429] = 13671,
  [16430] = 16249,
  [16431] = 15879,
  [16432] = 15913,
  [16433] = 16249,
  [16434] = 15893,
  [16435] = 15887,
  [16436] = 16249,
  [16437] = 13672,
  [16438] = 15898,
  [16439] = 15903,
  [16440] = 12209,
  [16441] = 16249,
  [16442] = 15903,
  [16443] = 16249,
  [16444] = 15910,
  [16445] = 15888,
  [16446] = 15891,
  [16447] = 15896,
  [16448] = 15903,
  [16449] = 16249,
  [16450] = 12094,
  [16451] = 11963,
  [16452] = 16249,
  [16453] = 15913,
  [16454] = 15913,
  [16455] = 16024,
  [16456] = 15898,
  [16457] = 16249,
  [16458] = 16249,
  [16459] = 15898,
  [16460] = 16249,
  [16461] = 16095,
  [16462] = 16076,
  [16463] = 16249,
  [16464] = 16249,
  [16465] = 15878,
  [16466] = 16249,
  [16467] = 15878,
  [16468] = 15882,
  [16469] = 16249,
  [16470] = 15896,
  [16471] = 15950,
  [16472] = 16249,
  [16473] = 15882,
  [16474] = 15884,
  [16475] = 15907,
  [16476] = 16249,
  [16477] = 15931,
  [16478] = 15985,
  [16479] = 16249,
  [16480] = 16071,
  [16481] = 15898,
  [16482] = 12047,
  [16483] = 16249,
  [16484] = 15882,
  [16485] = 15879,
  [16486] = 16249,
  [16487] = 15881,
  [16488] = 16249,
  [16489] = 15878,
  [16490] = 15975,
  [16491] = 15883,
  [16492] = 16249,
  [16493] = 15918,
  [16494] = 16249,
  [16495] = 15882,
  [16496] = 16249,
  [16497] = 15913,
  [16498] = 15887,
  [16499] = 15891,
  [16500] = 16249,
  [16501] = 15921,
  [16502] = 15907,
  [16503] = 16249,
  [16504] = 15883,
  [16505] = 15921,
  [16506] = 15898,
  [16507] = 16249,
  [16508] = 16249,
  [16509] = 15878,
  [16510] = 15921,
  [16511] = 15898,
  [16512] = 15903,
  [16513] = 15879,
  [16514] = 11367,
  [16515] = 16249,
  [16516] = 15896,
  [16517] = 16249,
  [16518] = 15910,
  [16519] = 15888,
  [16520] = 15930,
  [16521] = 15884,
  [16522] = 16124,
  [16523] = 15898,
  [16524] = 16024,
  [16525] = 11739,
  [16526] = 16076,
  [16527] = 15931,
  [16528] = 15897,
  [16529] = 15881,
  [16530] = 15889,
  [16531] = 15890,
  [16532] = 15913,
  [16533] = 15898,
  [16534] = 16534,
  [16535] = 15889,
  [16536] = 15890,
  [16537] = 16071,
  [16538] = 15887,
  [16539] = 15918,
  [16540] = 15898,
  [16541] = 15878,
  [16542] = 15893,
  [16543] = 15891,
  [16544] = 15879,
  [16545] = 15995,
  [16546] = 15879,
  [16547] = 15898,
  [16548] = 15893,
  [16549] = 15887,
  [16550] = 15910,
  [16551] = 16551,
  [16552] = 15910,
  [16553] = 15878,
  [16554] = 16024,
  [16555] = 16076,
  [16556] = 15897,
  [16557] = 15888,
  [16558] = 16551,
  [16559] = 16024,
  [16560] = 16076,
  [16561] = 15897,
  [16562] = 15975,
  [16563] = 15884,
  [16564] = 16551,
  [16565] = 16551,
  [16566] = 15921,
  [16567] = 16024,
  [16568] = 16076,
  [16569] = 15897,
  [16570] = 15899,
  [16571] = 15896,
  [16572] = 15953,
  [16573] = 15899,
  [16574] = 15913,
  [16575] = 15882,
  [16576] = 15878,
  [16577] = 15899,
  [16578] = 15891,
  [16579] = 11091,
  [16580] = 15878,
  [16581] = 16317,
  [16582] = 15995,
  [16583] = 15896,
  [16584] = 16317,
  [16585] = 15995,
  [16586] = 15879,
  [16587] = 16317,
  [16588] = 15882,
  [16589] = 15995,
  [16590] = 15878,
  [16591] = 16591,
  [16592] = 16592,
  [16593] = 16593,
  [16594] = 16594,
  [16595] = 16595,
  [16596] = 16596,
  [16597] = 16597,
  [16598] = 16598,
  [16599] = 16599,
  [16600] = 16600,
  [16601] = 16601,
  [16602] = 16602,
  [16603] = 16603,
  [16604] = 16604,
  [16605] = 16605,
  [16606] = 16597,
  [16607] = 16603,
  [16608] = 16608,
  [16609] = 16609,
  [16610] = 16593,
  [16611] = 16611,
  [16612] = 16602,
  [16613] = 16613,
  [16614] = 16609,
  [16615] = 16615,
  [16616] = 16601,
  [16617] = 16594,
  [16618] = 16595,
  [16619] = 16596,
  [16620] = 16620,
  [16621] = 16621,
  [16622] = 16594,
  [16623] = 16595,
  [16624] = 16602,
  [16625] = 16596,
  [16626] = 16597,
  [16627] = 16601,
  [16628] = 16609,
  [16629] = 16605,
  [16630] = 16603,
  [16631] = 16621,
  [16632] = 16632,
  [16633] = 16608,
  [16634] = 13169,
  [16635] = 16593,
  [16636] = 16601,
  [16637] = 16602,
  [16638] = 16609,
  [16639] = 16639,
  [16640] = 16594,
  [16641] = 16595,
  [16642] = 16596,
  [16643] = 16592,
  [16644] = 16644,
  [16645] = 16597,
  [16646] = 16601,
  [16647] = 16647,
  [16648] = 16605,
  [16649] = 16603,
  [16650] = 16605,
  [16651] = 16608,
  [16652] = 16597,
  [16653] = 16593,
  [16654] = 16597,
  [16655] = 16602,
  [16656] = 16609,
  [16657] = 16603,
  [16658] = 16658,
  [16659] = 16621,
  [16660] = 13200,
  [16661] = 16594,
  [16662] = 16595,
  [16663] = 16596,
  [16664] = 16601,
  [16665] = 16601,
  [16666] = 16594,
  [16667] = 16597,
  [16668] = 16608,
  [16669] = 16605,
  [16670] = 16603,
  [16671] = 16601,
  [16672] = 16672,
  [16673] = 16605,
  [16674] = 16603,
  [16675] = 16608,
  [16676] = 16608,
  [16677] = 16605,
  [16678] = 16593,
  [16679] = 16595,
  [16680] = 16603,
  [16681] = 16602,
  [16682] = 16609,
  [16683] = 16594,
  [16684] = 16595,
  [16685] = 16605,
  [16686] = 16596,
  [16687] = 16593,
  [16688] = 16608,
  [16689] = 16602,
  [16690] = 16594,
  [16691] = 16609,
  [16692] = 16692,
  [16693] = 16693,
  [16694] = 16594,
  [16695] = 16596,
  [16696] = 16591,
  [16697] = 16697,
  [16698] = 16593,
  [16699] = 16594,
  [16700] = 16595,
  [16701] = 16596,
  [16702] = 16598,
  [16703] = 16599,
  [16704] = 16600,
  [16705] = 16603,
  [16706] = 16608,
  [16707] = 16604,
  [16708] = 16708,
  [16709] = 16611,
  [16710] = 16613,
  [16711] = 16602,
  [16712] = 16615,
  [16713] = 16609,
  [16714] = 16620,
  [16715] = 16621,
  [16716] = 16597,
  [16717] = 16717,
  [16718] = 16718,
  [16719] = 16593,
  [16720] = 16594,
  [16721] = 16595,
  [16722] = 16596,
  [16723] = 16723,
  [16724] = 16601,
  [16725] = 16725,
  [16726] = 16726,
  [16727] = 16727,
  [16728] = 16593,
  [16729] = 16729,
  [16730] = 16730,
  [16731] = 16731,
  [16732] = 16605,
  [16733] = 16597,
  [16734] = 16734,
  [16735] = 16644,
  [16736] = 16603,
  [16737] = 16737,
  [16738] = 16738,
  [16739] = 16739,
  [16740] = 16601,
  [16741] = 16613,
  [16742] = 16602,
  [16743] = 16615,
  [16744] = 16744,
  [16745] = 16745,
  [16746] = 16605,
  [16747] = 16747,
  [16748] = 16603,
  [16749] = 16749,
  [16750] = 16750,
  [16751] = 16751,
  [16752] = 16609,
  [16753] = 16753,
  [16754] = 16754,
  [16755] = 16608,
  [16756] = 16592,
  [16757] = 16757,
  [16758] = 16611,
  [16759] = 16759,
  [16760] = 16597,
  [16761] = 16593,
  [16762] = 16762,
  [16763] = 16763,
  [16764] = 16723,
  [16765] = 16658,
  [16766] = 16602,
  [16767] = 16609,
  [16768] = 16595,
  [16769] = 16693,
  [16770] = 16601,
  [16771] = 16591,
  [16772] = 16772,
  [16773] = 16613,
  [16774] = 16774,
  [16775] = 16594,
  [16776] = 16595,
  [16777] = 16596,
  [16778] = 16597,
  [16779] = 16608,
  [16780] = 16598,
  [16781] = 16599,
  [16782] = 16600,
  [16783] = 16693,
  [16784] = 16604,
  [16785] = 16785,
  [16786] = 16611,
  [16787] = 16615,
  [16788] = 16613,
  [16789] = 16615,
  [16790] = 16620,
  [16791] = 16737,
  [16792] = 16621,
  [16793] = 16596,
  [16794] = 16605,
  [16795] = 16603,
  [16796] = 16591,
  [16797] = 16608,
  [16798] = 16593,
  [16799] = 16799,
  [16800] = 16737,
  [16801] = 16602,
  [16802] = 16672,
  [16803] = 16620,
  [16804] = 16609,
  [16805] = 16593,
  [16806] = 16632,
  [16807] = 16807,
  [16808] = 16602,
  [16809] = 16751,
  [16810] = 16693,
  [16811] = 16609,
  [16812] = 16727,
  [16813] = 16591,
  [16814] = 16597,
  [16815] = 16815,
  [16816] = 16815,
  [16817] = 16601,
  [16818] = 16611,
  [16819] = 16594,
  [16820] = 16613,
  [16821] = 16615,
  [16822] = 16727,
  [16823] = 16823,
  [16824] = 16594,
  [16825] = 16825,
  [16826] = 16601,
  [16827] = 16827,
  [16828] = 16605,
  [16829] = 16603,
  [16830] = 16757,
  [16831] = 16595,
  [16832] = 16596,
  [16833] = 16608,
  [16834] = 16834,
  [16835] = 16620,
  [16836] = 16593,
  [16837] = 16825,
  [16838] = 16602,
  [16839] = 16609,
  [16840] = 16594,
  [16841] = 16693,
  [16842] = 16842,
  [16843] = 16591,
  [16844] = 16844,
  [16845] = 16594,
  [16846] = 16595,
  [16847] = 16596,
  [16848] = 16842,
  [16849] = 16598,
  [16850] = 16599,
  [16851] = 16600,
  [16852] = 16852,
  [16853] = 16595,
  [16854] = 16604,
  [16855] = 16718,
  [16856] = 16596,
  [16857] = 16595,
  [16858] = 16611,
  [16859] = 16613,
  [16860] = 16658,
  [16861] = 16615,
  [16862] = 16725,
  [16863] = 16726,
  [16864] = 16621,
  [16865] = 16620,
  [16866] = 16866,
  [16867] = 16621,
  [16868] = 16729,
  [16869] = 16596,
  [16870] = 16731,
  [16871] = 16827,
  [16872] = 16598,
  [16873] = 16644,
  [16874] = 16599,
  [16875] = 16597,
  [16876] = 16738,
  [16877] = 16739,
  [16878] = 16600,
  [16879] = 16597,
  [16880] = 16608,
  [16881] = 16604,
  [16882] = 16601,
  [16883] = 16745,
  [16884] = 16639,
  [16885] = 16747,
  [16886] = 16598,
  [16887] = 16599,
  [16888] = 16600,
  [16889] = 16749,
  [16890] = 16750,
  [16891] = 16751,
  [16892] = 16754,
  [16893] = 16604,
  [16894] = 16757,
  [16895] = 16759,
  [16896] = 16762,
  [16897] = 16763,
  [16898] = 16605,
  [16899] = 16603,
  [16900] = 16900,
  [16901] = 16608,
  [16902] = 16597,
  [16903] = 16611,
  [16904] = 16601,
  [16905] = 16613,
  [16906] = 16615,
  [16907] = 16593,
  [16908] = 16605,
  [16909] = 16603,
  [16910] = 16620,
  [16911] = 16608,
  [16912] = 16593,
  [16913] = 16913,
  [16914] = 16611,
  [16915] = 16621,
  [16916] = 16718,
  [16917] = 16602,
  [16918] = 16602,
  [16919] = 16609,
  [16920] = 16609,
  [16921] = 16605,
  [16922] = 16613,
  [16923] = 16693,
  [16924] = 16615,
  [16925] = 16601,
  [16926] = 16725,
  [16927] = 16726,
  [16928] = 16591,
  [16929] = 16729,
  [16930] = 16594,
  [16931] = 16594,
  [16932] = 16731,
  [16933] = 16595,
  [16934] = 16595,
  [16935] = 16596,
  [16936] = 16644,
  [16937] = 16603,
  [16938] = 16602,
  [16939] = 16596,
  [16940] = 16738,
  [16941] = 16739,
  [16942] = 16598,
  [16943] = 16599,
  [16944] = 16600,
  [16945] = 16604,
  [16946] = 16745,
  [16947] = 16747,
  [16948] = 16749,
  [16949] = 16750,
  [16950] = 16751,
  [16951] = 16754,
  [16952] = 16952,
  [16953] = 16611,
  [16954] = 16757,
  [16955] = 16759,
  [16956] = 16613,
  [16957] = 16615,
  [16958] = 16762,
  [16959] = 16620,
  [16960] = 16763,
  [16961] = 16620,
  [16962] = 16621,
  [16963] = 5886,
  [16964] = 11091,
  [16965] = 16621,
  [16966] = 16609,
  [16967] = 16609,
  [16968] = 16968,
  [16969] = 16727,
  [16970] = 16605,
  [16971] = 16594,
  [16972] = 16972,
  [16973] = 16603,
  [16974] = 16593,
  [16975] = 16597,
  [16976] = 16658,
  [16977] = 16753,
  [16978] = 16601,
  [16979] = 16718,
  [16980] = 16597,
  [16981] = 16608,
  [16982] = 16725,
  [16983] = 16601,
  [16984] = 16984,
  [16985] = 16985,
  [16986] = 16986,
  [16987] = 16731,
  [16988] = 16644,
  [16989] = 16737,
  [16990] = 16605,
  [16991] = 16603,
  [16992] = 16605,
  [16993] = 16608,
  [16994] = 16603,
  [16995] = 16745,
  [16996] = 16608,
  [16997] = 16749,
  [16998] = 16750,
  [16999] = 16751,
  [17000] = 16754,
  [17001] = 16757,
  [17002] = 16759,
  [17003] = 16762,
  [17004] = 16608,
  [17005] = 16763,
  [17006] = 17006,
  [17007] = 16593,
  [17008] = 16602,
  [17009] = 16609,
  [17010] = 17010,
  [17011] = 16593,
  [17012] = 16693,
  [17013] = 16591,
  [17014] = 16658,
  [17015] = 16594,
  [17016] = 16595,
  [17017] = 16596,
  [17018] = 16598,
  [17019] = 16599,
  [17020] = 16600,
  [17021] = 16598,
  [17022] = 16602,
  [17023] = 16604,
  [17024] = 16718,
  [17025] = 16609,
  [17026] = 16611,
  [17027] = 16613,
  [17028] = 16615,
  [17029] = 16725,
  [17030] = 16593,
  [17031] = 16729,
  [17032] = 16620,
  [17033] = 16621,
  [17034] = 16731,
  [17035] = 16597,
  [17036] = 16644,
  [17037] = 16594,
  [17038] = 16595,
  [17039] = 16596,
  [17040] = 16672,
  [17041] = 16745,
  [17042] = 13219,
  [17043] = 16749,
  [17044] = 16750,
  [17045] = 16751,
  [17046] = 16754,
  [17047] = 16757,
  [17048] = 16762,
  [17049] = 16842,
  [17050] = 16632,
  [17051] = 16601,
  [17052] = 16593,
  [17053] = 16866,
  [17054] = 16759,
  [17055] = 17055,
  [17056] = 17056,
  [17057] = 16602,
  [17058] = 17058,
  [17059] = 16602,
  [17060] = 16609,
  [17061] = 16605,
  [17062] = 16603,
  [17063] = 16597,
  [17064] = 13221,
  [17065] = 16737,
  [17066] = 17066,
  [17067] = 16595,
  [17068] = 16693,
  [17069] = 16718,
  [17070] = 16799,
  [17071] = 16601,
  [17072] = 16672,
  [17073] = 16738,
  [17074] = 16725,
  [17075] = 16605,
  [17076] = 16603,
  [17077] = 16632,
  [17078] = 16739,
  [17079] = 16731,
  [17080] = 16866,
  [17081] = 16644,
  [17082] = 16602,
  [17083] = 16608,
  [17084] = 16605,
  [17085] = 16608,
  [17086] = 16593,
  [17087] = 16745,
  [17088] = 16597,
  [17089] = 16749,
  [17090] = 16750,
  [17091] = 16754,
  [17092] = 16757,
  [17093] = 16762,
  [17094] = 16593,
  [17095] = 16609,
  [17096] = 16596,
  [17097] = 16602,
  [17098] = 16609,
  [17099] = 16727,
  [17100] = 16718,
  [17101] = 16693,
  [17102] = 16601,
  [17103] = 16591,
  [17104] = 16725,
  [17105] = 16597,
  [17106] = 17106,
  [17107] = 16644,
  [17108] = 16594,
  [17109] = 16799,
  [17110] = 16605,
  [17111] = 16749,
  [17112] = 16750,
  [17113] = 16595,
  [17114] = 16757,
  [17115] = 16762,
  [17116] = 16594,
  [17117] = 16596,
  [17118] = 16603,
  [17119] = 16593,
  [17120] = 16598,
  [17121] = 16599,
  [17122] = 16600,
  [17123] = 16604,
  [17124] = 16601,
  [17125] = 16608,
  [17126] = 16718,
  [17127] = 16611,
  [17128] = 16613,
  [17129] = 16615,
  [17130] = 16725,
  [17131] = 16620,
  [17132] = 16593,
  [17133] = 16639,
  [17134] = 16621,
  [17135] = 16595,
  [17136] = 16644,
  [17137] = 16602,
  [17138] = 16596,
  [17139] = 16609,
  [17140] = 16749,
  [17141] = 16750,
  [17142] = 16605,
  [17143] = 16757,
  [17144] = 16762,
  [17145] = 16737,
  [17146] = 16602,
  [17147] = 16602,
  [17148] = 16603,
  [17149] = 16591,
  [17150] = 16697,
  [17151] = 16609,
  [17152] = 17152,
  [17153] = 17153,
  [17154] = 16609,
  [17155] = 16594,
  [17156] = 16594,
  [17157] = 16718,
  [17158] = 16693,
  [17159] = 16658,
  [17160] = 16595,
  [17161] = 16725,
  [17162] = 16596,
  [17163] = 16591,
  [17164] = 16608,
  [17165] = 16644,
  [17166] = 16621,
  [17167] = 16693,
  [17168] = 16749,
  [17169] = 16750,
  [17170] = 16757,
  [17171] = 16762,
  [17172] = 16762,
  [17173] = 16593,
  [17174] = 16597,
  [17175] = 16737,
  [17176] = 16718,
  [17177] = 16601,
  [17178] = 16672,
  [17179] = 16632,
  [17180] = 16594,
  [17181] = 16725,
  [17182] = 16866,
  [17183] = 16597,
  [17184] = 16842,
  [17185] = 16602,
  [17186] = 16605,
  [17187] = 16749,
  [17188] = 16750,
  [17189] = 16603,
  [17190] = 16757,
  [17191] = 16762,
  [17192] = 16595,
  [17193] = 16785,
  [17194] = 16609,
  [17195] = 16591,
  [17196] = 16608,
  [17197] = 16596,
  [17198] = 16693,
  [17199] = 16597,
  [17200] = 16693,
  [17201] = 16718,
  [17202] = 16593,
  [17203] = 16591,
  [17204] = 16725,
  [17205] = 16601,
  [17206] = 16602,
  [17207] = 16697,
  [17208] = 16591,
  [17209] = 16609,
  [17210] = 16815,
  [17211] = 16601,
  [17212] = 16825,
  [17213] = 16815,
  [17214] = 16827,
  [17215] = 16749,
  [17216] = 16605,
  [17217] = 16750,
  [17218] = 16757,
  [17219] = 16762,
  [17220] = 16697,
  [17221] = 16693,
  [17222] = 16603,
  [17223] = 16591,
  [17224] = 16598,
  [17225] = 16599,
  [17226] = 16600,
  [17227] = 16594,
  [17228] = 16842,
  [17229] = 16718,
  [17230] = 16594,
  [17231] = 16608,
  [17232] = 16608,
  [17233] = 16725,
  [17234] = 16595,
  [17235] = 16595,
  [17236] = 17236,
  [17237] = 16596,
  [17238] = 16593,
  [17239] = 16596,
  [17240] = 17240,
  [17241] = 16598,
  [17242] = 11849,
  [17243] = 16599,
  [17244] = 16600,
  [17245] = 16749,
  [17246] = 16750,
  [17247] = 16602,
  [17248] = 16757,
  [17249] = 16762,
  [17250] = 17250,
  [17251] = 16609,
  [17252] = 16604,
  [17253] = 16749,
  [17254] = 16598,
  [17255] = 16599,
  [17256] = 16600,
  [17257] = 16815,
  [17258] = 16718,
  [17259] = 16604,
  [17260] = 16599,
  [17261] = 16725,
  [17262] = 16604,
  [17263] = 16611,
  [17264] = 16613,
  [17265] = 16615,
  [17266] = 16594,
  [17267] = 16620,
  [17268] = 16749,
  [17269] = 16750,
  [17270] = 16757,
  [17271] = 16762,
  [17272] = 16595,
  [17273] = 16718,
  [17274] = 16621,
  [17275] = 16596,
  [17276] = 17276,
  [17277] = 16725,
  [17278] = 16825,
  [17279] = 11878,
  [17280] = 16692,
  [17281] = 17281,
  [17282] = 16605,
  [17283] = 16772,
  [17284] = 16611,
  [17285] = 16603,
  [17286] = 16749,
  [17287] = 16613,
  [17288] = 16750,
  [17289] = 16615,
  [17290] = 16757,
  [17291] = 16762,
  [17292] = 16620,
  [17293] = 16718,
  [17294] = 16827,
  [17295] = 16725,
  [17296] = 16825,
  [17297] = 16605,
  [17298] = 16815,
  [17299] = 16759,
  [17300] = 17055,
  [17301] = 11367,
  [17302] = 17066,
  [17303] = 16611,
  [17304] = 16621,
  [17305] = 16749,
  [17306] = 16750,
  [17307] = 16757,
  [17308] = 16762,
  [17309] = 16842,
  [17310] = 16613,
  [17311] = 16763,
  [17312] = 16718,
  [17313] = 16615,
  [17314] = 16725,
  [17315] = 16620,
  [17316] = 16825,
  [17317] = 16597,
  [17318] = 16749,
  [17319] = 16750,
  [17320] = 16757,
  [17321] = 16762,
  [17322] = 16608,
  [17323] = 16718,
  [17324] = 16827,
  [17325] = 16621,
  [17326] = 16725,
  [17327] = 16601,
  [17328] = 16597,
  [17329] = 16744,
  [17330] = 17330,
  [17331] = 16597,
  [17332] = 16749,
  [17333] = 16601,
  [17334] = 16750,
  [17335] = 16757,
  [17336] = 16762,
  [17337] = 16827,
  [17338] = 16718,
  [17339] = 16763,
  [17340] = 16725,
  [17341] = 16605,
  [17342] = 16605,
  [17343] = 16603,
  [17344] = 16603,
  [17345] = 16749,
  [17346] = 16750,
  [17347] = 16757,
  [17348] = 16762,
  [17349] = 16592,
  [17350] = 17350,
  [17351] = 17351,
  [17352] = 16718,
  [17353] = 16608,
  [17354] = 16593,
  [17355] = 16725,
  [17356] = 16593,
  [17357] = 16603,
  [17358] = 16603,
  [17359] = 16593,
  [17360] = 16602,
  [17361] = 16609,
  [17362] = 16749,
  [17363] = 16750,
  [17364] = 16693,
  [17365] = 16757,
  [17366] = 16762,
  [17367] = 16591,
  [17368] = 16718,
  [17369] = 16602,
  [17370] = 16594,
  [17371] = 16609,
  [17372] = 16725,
  [17373] = 16737,
  [17374] = 16594,
  [17375] = 16595,
  [17376] = 16596,
  [17377] = 16598,
  [17378] = 16599,
  [17379] = 16600,
  [17380] = 16749,
  [17381] = 16750,
  [17382] = 16757,
  [17383] = 16762,
  [17384] = 16604,
  [17385] = 16718,
  [17386] = 16725,
  [17387] = 16594,
  [17388] = 16594,
  [17389] = 16611,
  [17390] = 16613,
  [17391] = 16615,
  [17392] = 16595,
  [17393] = 16620,
  [17394] = 16596,
  [17395] = 16602,
  [17396] = 16749,
  [17397] = 16620,
  [17398] = 16750,
  [17399] = 16757,
  [17400] = 16762,
  [17401] = 16621,
  [17402] = 16718,
  [17403] = 16597,
  [17404] = 16842,
  [17405] = 16725,
  [17406] = 16609,
  [17407] = 16842,
  [17408] = 12463,
  [17409] = 16597,
  [17410] = 17410,
  [17411] = 16718,
  [17412] = 16595,
  [17413] = 16725,
  [17414] = 16596,
  [17415] = 16693,
  [17416] = 16601,
  [17417] = 16745,
  [17418] = 16639,
  [17419] = 16594,
  [17420] = 16718,
  [17421] = 16725,
  [17422] = 16718,
  [17423] = 16842,
  [17424] = 16597,
  [17425] = 16591,
  [17426] = 16597,
  [17427] = 16725,
  [17428] = 16601,
  [17429] = 16598,
  [17430] = 16718,
  [17431] = 16599,
  [17432] = 16725,
  [17433] = 16605,
  [17434] = 16603,
  [17435] = 16601,
  [17436] = 16595,
  [17437] = 16608,
  [17438] = 17438,
  [17439] = 16718,
  [17440] = 16593,
  [17441] = 16725,
  [17442] = 17442,
  [17443] = 16602,
  [17444] = 16609,
  [17445] = 16718,
  [17446] = 16600,
  [17447] = 16725,
  [17448] = 16605,
  [17449] = 16594,
  [17450] = 16603,
  [17451] = 16595,
  [17452] = 16596,
  [17453] = 16718,
  [17454] = 16725,
  [17455] = 16594,
  [17456] = 16608,
  [17457] = 16611,
  [17458] = 16597,
  [17459] = 16718,
  [17460] = 16593,
  [17461] = 16604,
  [17462] = 16725,
  [17463] = 17236,
  [17464] = 16601,
  [17465] = 16602,
  [17466] = 16718,
  [17467] = 16730,
  [17468] = 16725,
  [17469] = 16609,
  [17470] = 16600,
  [17471] = 16842,
  [17472] = 16595,
  [17473] = 16718,
  [17474] = 16605,
  [17475] = 16725,
  [17476] = 16605,
  [17477] = 16597,
  [17478] = 16594,
  [17479] = 16603,
  [17480] = 16595,
  [17481] = 16598,
  [17482] = 16718,
  [17483] = 16601,
  [17484] = 16596,
  [17485] = 16725,
  [17486] = 16603,
  [17487] = 16596,
  [17488] = 17488,
  [17489] = 16718,
  [17490] = 16605,
  [17491] = 16603,
  [17492] = 16725,
  [17493] = 16608,
  [17494] = 16595,
  [17495] = 16599,
  [17496] = 17496,
  [17497] = 16718,
  [17498] = 16608,
  [17499] = 16725,
  [17500] = 16598,
  [17501] = 16601,
  [17502] = 16593,
  [17503] = 16599,
  [17504] = 16600,
  [17505] = 16593,
  [17506] = 16718,
  [17507] = 16725,
  [17508] = 16727,
  [17509] = 16718,
  [17510] = 16602,
  [17511] = 16609,
  [17512] = 16725,
  [17513] = 16597,
  [17514] = 16596,
  [17515] = 16608,
  [17516] = 16604,
  [17517] = 16799,
  [17518] = 16597,
  [17519] = 16718,
  [17520] = 16725,
  [17521] = 16594,
  [17522] = 16595,
  [17523] = 16601,
  [17524] = 16596,
  [17525] = 16718,
  [17526] = 16602,
  [17527] = 16725,
  [17528] = 16601,
  [17529] = 16639,
  [17530] = 16718,
  [17531] = 16725,
  [17532] = 16593,
  [17533] = 16593,
  [17534] = 16605,
  [17535] = 16605,
  [17536] = 16603,
  [17537] = 16603,
  [17538] = 16718,
  [17539] = 16737,
  [17540] = 16725,
  [17541] = 16602,
  [17542] = 16611,
  [17543] = 16608,
  [17544] = 16609,
  [17545] = 16613,
  [17546] = 16718,
  [17547] = 16593,
  [17548] = 16658,
  [17549] = 16725,
  [17550] = 16615,
  [17551] = 16595,
  [17552] = 16693,
  [17553] = 16608,
  [17554] = 16601,
  [17555] = 16718,
  [17556] = 16718,
  [17557] = 16602,
  [17558] = 16596,
  [17559] = 16725,
  [17560] = 16609,
  [17561] = 16602,
  [17562] = 16639,
  [17563] = 16591,
  [17564] = 16593,
  [17565] = 16620,
  [17566] = 16609,
  [17567] = 16718,
  [17568] = 16737,
  [17569] = 16725,
  [17570] = 16594,
  [17571] = 16672,
  [17572] = 16632,
  [17573] = 16866,
  [17574] = 13166,
  [17575] = 16718,
  [17576] = 16595,
  [17577] = 16600,
  [17578] = 16725,
  [17579] = 16596,
  [17580] = 16731,
  [17581] = 16602,
  [17582] = 16611,
  [17583] = 16609,
  [17584] = 16718,
  [17585] = 16621,
  [17586] = 16750,
  [17587] = 16597,
  [17588] = 16725,
  [17589] = 16598,
  [17590] = 16693,
  [17591] = 16718,
  [17592] = 16599,
  [17593] = 16591,
  [17594] = 16725,
  [17595] = 16697,
  [17596] = 16601,
  [17597] = 16815,
  [17598] = 16600,
  [17599] = 16825,
  [17600] = 16827,
  [17601] = 16718,
  [17602] = 16594,
  [17603] = 16725,
  [17604] = 16594,
  [17605] = 16718,
  [17606] = 16725,
  [17607] = 16842,
  [17608] = 16842,
  [17609] = 16594,
  [17610] = 16595,
  [17611] = 16718,
  [17612] = 16725,
  [17613] = 16605,
  [17614] = 16718,
  [17615] = 16597,
  [17616] = 16725,
  [17617] = 16718,
  [17618] = 16603,
  [17619] = 16725,
  [17620] = 16718,
  [17621] = 16725,
  [17622] = 16718,
  [17623] = 16725,
  [17624] = 16718,
  [17625] = 16725,
  [17626] = 16718,
  [17627] = 16595,
  [17628] = 16725,
  [17629] = 16718,
  [17630] = 16608,
  [17631] = 16725,
  [17632] = 16718,
  [17633] = 16754,
  [17634] = 16725,
  [17635] = 16718,
  [17636] = 16725,
  [17637] = 16718,
  [17638] = 16595,
  [17639] = 16725,
  [17640] = 16718,
  [17641] = 16596,
  [17642] = 16725,
  [17643] = 16718,
  [17644] = 16725,
  [17645] = 16718,
  [17646] = 16725,
  [17647] = 16718,
  [17648] = 16725,
  [17649] = 16718,
  [17650] = 16725,
  [17651] = 16718,
  [17652] = 16725,
  [17653] = 16718,
  [17654] = 16725,
  [17655] = 16718,
  [17656] = 16725,
  [17657] = 16718,
  [17658] = 16725,
  [17659] = 16718,
  [17660] = 16725,
  [17661] = 16718,
  [17662] = 16725,
  [17663] = 16718,
  [17664] = 16725,
  [17665] = 16718,
  [17666] = 16725,
  [17667] = 16718,
  [17668] = 16725,
  [17669] = 16718,
  [17670] = 16725,
  [17671] = 16718,
  [17672] = 16725,
  [17673] = 16718,
  [17674] = 16725,
  [17675] = 16718,
  [17676] = 16725,
  [17677] = 16718,
  [17678] = 16725,
  [17679] = 16718,
  [17680] = 16725,
  [17681] = 16718,
  [17682] = 16725,
  [17683] = 16718,
  [17684] = 16725,
  [17685] = 16718,
  [17686] = 16725,
  [17687] = 16718,
  [17688] = 16725,
  [17689] = 16718,
  [17690] = 16725,
  [17691] = 16718,
  [17692] = 16725,
  [17693] = 16601,
  [17694] = 16596,
  [17695] = 17240,
  [17696] = 17696,
  [17697] = 17697,
  [17698] = 16593,
  [17699] = 17240,
  [17700] = 16613,
  [17701] = 16609,
  [17702] = 16615,
  [17703] = 16602,
  [17704] = 16596,
  [17705] = 16609,
  [17706] = 17706,
  [17707] = 16598,
  [17708] = 16900,
  [17709] = 16599,
  [17710] = 16598,
  [17711] = 16600,
  [17712] = 16605,
  [17713] = 16603,
  [17714] = 16594,
  [17715] = 16604,
  [17716] = 17716,
  [17717] = 16595,
  [17718] = 16608,
  [17719] = 16596,
  [17720] = 16599,
  [17721] = 16600,
  [17722] = 16952,
  [17723] = 16620,
  [17724] = 16593,
  [17725] = 16604,
  [17726] = 16604,
  [17727] = 17696,
  [17728] = 16602,
  [17729] = 16596,
  [17730] = 16611,
  [17731] = 16613,
  [17732] = 16615,
  [17733] = 16609,
  [17734] = 16620,
  [17735] = 16621,
  [17736] = 16594,
  [17737] = 16621,
  [17738] = 16597,
  [17739] = 17696,
  [17740] = 16595,
  [17741] = 16597,
  [17742] = 16596,
  [17743] = 16611,
  [17744] = 16605,
  [17745] = 16613,
  [17746] = 16900,
  [17747] = 16615,
  [17748] = 16601,
  [17749] = 17716,
  [17750] = 16620,
  [17751] = 16603,
  [17752] = 16605,
  [17753] = 16603,
  [17754] = 16734,
  [17755] = 16608,
  [17756] = 16593,
  [17757] = 17696,
  [17758] = 16602,
  [17759] = 16900,
  [17760] = 16609,
  [17761] = 16737,
  [17762] = 17250,
  [17763] = 16598,
  [17764] = 17716,
  [17765] = 16621,
  [17766] = 16594,
  [17767] = 16595,
  [17768] = 16596,
  [17769] = 16599,
  [17770] = 16604,
  [17771] = 16597,
  [17772] = 16693,
  [17773] = 17773,
  [17774] = 17106,
  [17775] = 16600,
  [17776] = 17696,
  [17777] = 17276,
  [17778] = 16601,
  [17779] = 16900,
  [17780] = 16608,
  [17781] = 17716,
  [17782] = 16799,
  [17783] = 16605,
  [17784] = 16603,
  [17785] = 16604,
  [17786] = 17696,
  [17787] = 16601,
  [17788] = 17788,
  [17789] = 16900,
  [17790] = 16608,
  [17791] = 17716,
  [17792] = 16593,
  [17793] = 17696,
  [17794] = 16900,
  [17795] = 17716,
  [17796] = 17796,
  [17797] = 17716,
  [17798] = 16602,
  [17799] = 16609,
  [17800] = 16597,
  [17801] = 17696,
  [17802] = 16900,
  [17803] = 16725,
  [17804] = 17716,
  [17805] = 17697,
  [17806] = 17706,
  [17807] = 17696,
  [17808] = 16900,
  [17809] = 17716,
  [17810] = 16601,
  [17811] = 17811,
  [17812] = 17696,
  [17813] = 16900,
  [17814] = 17716,
  [17815] = 11285,
  [17816] = 17696,
  [17817] = 16594,
  [17818] = 16900,
  [17819] = 17716,
  [17820] = 17696,
  [17821] = 16605,
  [17822] = 16595,
  [17823] = 16900,
  [17824] = 16603,
  [17825] = 17716,
  [17826] = 17696,
  [17827] = 16596,
  [17828] = 16608,
  [17829] = 16900,
  [17830] = 16608,
  [17831] = 17716,
  [17832] = 17696,
  [17833] = 16593,
  [17834] = 16900,
  [17835] = 17716,
  [17836] = 17696,
  [17837] = 16597,
  [17838] = 16900,
  [17839] = 17716,
  [17840] = 17696,
  [17841] = 16597,
  [17842] = 16900,
  [17843] = 16727,
  [17844] = 17716,
  [17845] = 17696,
  [17846] = 16597,
  [17847] = 16900,
  [17848] = 17716,
  [17849] = 17696,
  [17850] = 16597,
  [17851] = 16900,
  [17852] = 17716,
  [17853] = 16602,
  [17854] = 17696,
  [17855] = 16609,
  [17856] = 16799,
  [17857] = 16900,
  [17858] = 17716,
  [17859] = 17696,
  [17860] = 16900,
  [17861] = 16591,
  [17862] = 17716,
  [17863] = 17696,
  [17864] = 16601,
  [17865] = 16900,
  [17866] = 17716,
  [17867] = 17696,
  [17868] = 16601,
  [17869] = 16900,
  [17870] = 17716,
  [17871] = 17696,
  [17872] = 16639,
  [17873] = 16597,
  [17874] = 16594,
  [17875] = 16900,
  [17876] = 17716,
  [17877] = 16595,
  [17878] = 17696,
  [17879] = 16611,
  [17880] = 16900,
  [17881] = 16596,
  [17882] = 17716,
  [17883] = 17696,
  [17884] = 16605,
  [17885] = 16603,
  [17886] = 16900,
  [17887] = 16601,
  [17888] = 17716,
  [17889] = 17696,
  [17890] = 16900,
  [17891] = 17716,
  [17892] = 17696,
  [17893] = 16613,
  [17894] = 16900,
  [17895] = 16658,
  [17896] = 17716,
  [17897] = 16615,
  [17898] = 17696,
  [17899] = 16605,
  [17900] = 16608,
  [17901] = 16900,
  [17902] = 17716,
  [17903] = 13176,
  [17904] = 17696,
  [17905] = 16603,
  [17906] = 16604,
  [17907] = 16605,
  [17908] = 16900,
  [17909] = 17716,
  [17910] = 17696,
  [17911] = 16608,
  [17912] = 16593,
  [17913] = 16900,
  [17914] = 17716,
  [17915] = 16601,
  [17916] = 17010,
  [17917] = 17696,
  [17918] = 13081,
  [17919] = 16737,
  [17920] = 17281,
  [17921] = 16900,
  [17922] = 16672,
  [17923] = 17716,
  [17924] = 16603,
  [17925] = 16632,
  [17926] = 17696,
  [17927] = 16601,
  [17928] = 16866,
  [17929] = 16900,
  [17930] = 17716,
  [17931] = 17696,
  [17932] = 16593,
  [17933] = 16602,
  [17934] = 16900,
  [17935] = 17716,
  [17936] = 17696,
  [17937] = 17152,
  [17938] = 16609,
  [17939] = 16900,
  [17940] = 17716,
  [17941] = 17696,
  [17942] = 17942,
  [17943] = 16900,
  [17944] = 16602,
  [17945] = 17716,
  [17946] = 17696,
  [17947] = 16693,
  [17948] = 16609,
  [17949] = 16900,
  [17950] = 16591,
  [17951] = 17716,
  [17952] = 17696,
  [17953] = 16697,
  [17954] = 16620,
  [17955] = 16900,
  [17956] = 17716,
  [17957] = 16815,
  [17958] = 17696,
  [17959] = 16825,
  [17960] = 16866,
  [17961] = 16827,
  [17962] = 16900,
  [17963] = 17716,
  [17964] = 17696,
  [17965] = 16605,
  [17966] = 16594,
  [17967] = 16900,
  [17968] = 17716,
  [17969] = 17696,
  [17970] = 16594,
  [17971] = 16900,
  [17972] = 17716,
  [17973] = 16842,
  [17974] = 17696,
  [17975] = 16595,
  [17976] = 17976,
  [17977] = 16900,
  [17978] = 16596,
  [17979] = 17716,
  [17980] = 17696,
  [17981] = 16595,
  [17982] = 16608,
  [17983] = 16900,
  [17984] = 17716,
  [17985] = 16596,
  [17986] = 17696,
  [17987] = 16603,
  [17988] = 16900,
  [17989] = 17716,
  [17990] = 17696,
  [17991] = 16726,
  [17992] = 16598,
  [17993] = 16900,
  [17994] = 16599,
  [17995] = 17716,
  [17996] = 16600,
  [17997] = 17696,
  [17998] = 16604,
  [17999] = 16900,
  [18000] = 16597,
  [18001] = 17716,
  [18002] = 17696,
  [18003] = 16900,
  [18004] = 17716,
  [18005] = 17696,
  [18006] = 16900,
  [18007] = 17716,
  [18008] = 17696,
  [18009] = 16593,
  [18010] = 16900,
  [18011] = 17716,
  [18012] = 16605,
  [18013] = 17696,
  [18014] = 16900,
  [18015] = 16601,
  [18016] = 17716,
  [18017] = 16611,
  [18018] = 17696,
  [18019] = 16613,
  [18020] = 16615,
  [18021] = 16593,
  [18022] = 16900,
  [18023] = 17716,
  [18024] = 17696,
  [18025] = 16900,
  [18026] = 16620,
  [18027] = 17696,
  [18028] = 16900,
  [18029] = 18029,
  [18030] = 17696,
  [18031] = 16900,
  [18032] = 17696,
  [18033] = 16900,
  [18034] = 17696,
  [18035] = 16900,
  [18036] = 17696,
  [18037] = 16900,
  [18038] = 17696,
  [18039] = 16900,
  [18040] = 17696,
  [18041] = 16900,
  [18042] = 17696,
  [18043] = 16900,
  [18044] = 17696,
  [18045] = 16900,
  [18046] = 17696,
  [18047] = 16900,
  [18048] = 17696,
  [18049] = 16900,
  [18050] = 17696,
  [18051] = 16900,
  [18052] = 17696,
  [18053] = 16900,
  [18054] = 17696,
  [18055] = 17696,
  [18056] = 17696,
  [18057] = 17696,
  [18058] = 17696,
  [18059] = 17696,
  [18060] = 17696,
  [18061] = 17696,
  [18062] = 17696,
  [18063] = 17696,
  [18064] = 17696,
  [18065] = 17696,
  [18066] = 17696,
  [18067] = 17696,
  [18068] = 17696,
  [18069] = 17696,
  [18070] = 17696,
  [18071] = 17696,
  [18072] = 17696,
  [18073] = 17696,
  [18074] = 17696,
  [18075] = 17696,
  [18076] = 17696,
  [18077] = 17811,
  [18078] = 16597,
  [18079] = 16605,
  [18080] = 16602,
  [18081] = 16603,
  [18082] = 16601,
  [18083] = 16608,
  [18084] = 16621,
  [18085] = 16608,
  [18086] = 16609,
  [18087] = 16593,
  [18088] = 16603,
  [18089] = 16602,
  [18090] = 16609,
  [18091] = 16723,
  [18092] = 16729,
  [18093] = 16738,
  [18094] = 16739,
  [18095] = 16747,
  [18096] = 16594,
  [18097] = 16605,
  [18098] = 16595,
  [18099] = 16596,
  [18100] = 16603,
  [18101] = 16593,
  [18102] = 16693,
  [18103] = 16608,
  [18104] = 16747,
  [18105] = 16608,
  [18106] = 16592,
  [18107] = 16593,
  [18108] = 16737,
  [18109] = 16602,
  [18110] = 16591,
  [18111] = 16602,
  [18112] = 16609,
  [18113] = 16609,
  [18114] = 17010,
  [18115] = 17281,
  [18116] = 16605,
  [18117] = 16597,
  [18118] = 17010,
  [18119] = 17281,
  [18120] = 16597,
  [18121] = 17010,
  [18122] = 17281,
  [18123] = 16594,
  [18124] = 16601,
  [18125] = 17106,
  [18126] = 16693,
  [18127] = 16595,
  [18128] = 17106,
  [18129] = 16596,
  [18130] = 17106,
  [18131] = 16592,
  [18132] = 16608,
  [18133] = 18133,
  [18134] = 18134,
  [18135] = 18134,
  [18136] = 18136,
  [18137] = 18137,
  [18138] = 18138,
  [18139] = 18139,
  [18140] = 18140,
  [18141] = 18141,
  [18142] = 18134,
  [18143] = 18143,
  [18144] = 18144,
  [18145] = 18145,
  [18146] = 18146,
  [18147] = 18147,
  [18148] = 18137,
  [18149] = 18133,
  [18150] = 18137,
  [18151] = 18133,
  [18152] = 18137,
  [18153] = 18153,
  [18154] = 18154,
  [18155] = 18155,
  [18156] = 18141,
  [18157] = 18157,
  [18158] = 18144,
  [18159] = 18145,
  [18160] = 18146,
  [18161] = 18161,
  [18162] = 18162,
  [18163] = 18147,
  [18164] = 18164,
  [18165] = 18165,
  [18166] = 18133,
  [18167] = 18136,
  [18168] = 18137,
  [18169] = 18169,
  [18170] = 18155,
  [18171] = 18133,
  [18172] = 18141,
  [18173] = 18134,
  [18174] = 18144,
  [18175] = 18145,
  [18176] = 18146,
  [18177] = 18157,
  [18178] = 18178,
  [18179] = 18147,
  [18180] = 18153,
  [18181] = 18181,
  [18182] = 18138,
  [18183] = 18133,
  [18184] = 18165,
  [18185] = 18141,
  [18186] = 18165,
  [18187] = 18137,
  [18188] = 18188,
  [18189] = 18189,
  [18190] = 18190,
  [18191] = 18191,
  [18192] = 18141,
  [18193] = 18169,
  [18194] = 18136,
  [18195] = 18195,
  [18196] = 18144,
  [18197] = 18145,
  [18198] = 18146,
  [18199] = 18153,
  [18200] = 18147,
  [18201] = 18144,
  [18202] = 18145,
  [18203] = 18146,
  [18204] = 18154,
  [18205] = 18137,
  [18206] = 18162,
  [18207] = 18207,
  [18208] = 18141,
  [18209] = 18164,
  [18210] = 18154,
  [18211] = 18211,
  [18212] = 18141,
  [18213] = 18161,
  [18214] = 18137,
  [18215] = 18144,
  [18216] = 18145,
  [18217] = 18146,
  [18218] = 18155,
  [18219] = 18169,
  [18220] = 18147,
  [18221] = 18133,
  [18222] = 18222,
  [18223] = 18147,
  [18224] = 18169,
  [18225] = 18137,
  [18226] = 18188,
  [18227] = 18134,
  [18228] = 18181,
  [18229] = 18157,
  [18230] = 18141,
  [18231] = 11611,
  [18232] = 18144,
  [18233] = 18145,
  [18234] = 18146,
  [18235] = 18155,
  [18236] = 18147,
  [18237] = 18191,
  [18238] = 18161,
  [18239] = 18153,
  [18240] = 18181,
  [18241] = 18190,
  [18242] = 18141,
  [18243] = 18188,
  [18244] = 18138,
  [18245] = 18144,
  [18246] = 18154,
  [18247] = 18191,
  [18248] = 18134,
  [18249] = 18141,
  [18250] = 18144,
  [18251] = 18145,
  [18252] = 18146,
  [18253] = 18147,
  [18254] = 18254,
  [18255] = 18133,
  [18256] = 18169,
  [18257] = 18155,
  [18258] = 18144,
  [18259] = 18188,
  [18260] = 18145,
  [18261] = 18154,
  [18262] = 18165,
  [18263] = 18161,
  [18264] = 18157,
  [18265] = 18141,
  [18266] = 18146,
  [18267] = 18144,
  [18268] = 18145,
  [18269] = 18146,
  [18270] = 18134,
  [18271] = 18147,
  [18272] = 18272,
  [18273] = 18145,
  [18274] = 18274,
  [18275] = 18146,
  [18276] = 18138,
  [18277] = 18138,
  [18278] = 18134,
  [18279] = 18139,
  [18280] = 18137,
  [18281] = 18155,
  [18282] = 18141,
  [18283] = 18153,
  [18284] = 18138,
  [18285] = 18155,
  [18286] = 18144,
  [18287] = 18145,
  [18288] = 18146,
  [18289] = 18147,
  [18290] = 18147,
  [18291] = 18181,
  [18292] = 18155,
  [18293] = 18133,
  [18294] = 18162,
  [18295] = 11460,
  [18296] = 18138,
  [18297] = 18154,
  [18298] = 18141,
  [18299] = 18144,
  [18300] = 18145,
  [18301] = 18146,
  [18302] = 18147,
  [18303] = 18153,
  [18304] = 18304,
  [18305] = 18181,
  [18306] = 18141,
  [18307] = 18134,
  [18308] = 18188,
  [18309] = 18144,
  [18310] = 18141,
  [18311] = 18311,
  [18312] = 18145,
  [18313] = 18144,
  [18314] = 18145,
  [18315] = 18146,
  [18316] = 18138,
  [18317] = 18147,
  [18318] = 18146,
  [18319] = 18311,
  [18320] = 18134,
  [18321] = 18321,
  [18322] = 18133,
  [18323] = 18153,
  [18324] = 18324,
  [18325] = 18169,
  [18326] = 18211,
  [18327] = 18136,
  [18328] = 18141,
  [18329] = 18161,
  [18330] = 18144,
  [18331] = 18145,
  [18332] = 18146,
  [18333] = 18147,
  [18334] = 18334,
  [18335] = 18161,
  [18336] = 18211,
  [18337] = 18337,
  [18338] = 18154,
  [18339] = 18324,
  [18340] = 18155,
  [18341] = 18141,
  [18342] = 18139,
  [18343] = 18144,
  [18344] = 18145,
  [18345] = 18146,
  [18346] = 18147,
  [18347] = 18155,
  [18348] = 18157,
  [18349] = 18138,
  [18350] = 18153,
  [18351] = 18272,
  [18352] = 18133,
  [18353] = 18133,
  [18354] = 18141,
  [18355] = 18136,
  [18356] = 18144,
  [18357] = 18145,
  [18358] = 18146,
  [18359] = 18169,
  [18360] = 18321,
  [18361] = 18138,
  [18362] = 18211,
  [18363] = 18138,
  [18364] = 18165,
  [18365] = 18178,
  [18366] = 18153,
  [18367] = 18367,
  [18368] = 18324,
  [18369] = 18161,
  [18370] = 18370,
  [18371] = 18161,
  [18372] = 18141,
  [18373] = 18274,
  [18374] = 18147,
  [18375] = 18144,
  [18376] = 18145,
  [18377] = 18146,
  [18378] = 18134,
  [18379] = 18379,
  [18380] = 18165,
  [18381] = 18138,
  [18382] = 18136,
  [18383] = 18154,
  [18384] = 18384,
  [18385] = 18154,
  [18386] = 18274,
  [18387] = 18154,
  [18388] = 18141,
  [18389] = 18389,
  [18390] = 18133,
  [18391] = 18144,
  [18392] = 18145,
  [18393] = 18146,
  [18394] = 18134,
  [18395] = 18137,
  [18396] = 18134,
  [18397] = 18136,
  [18398] = 18398,
  [18399] = 18161,
  [18400] = 18155,
  [18401] = 18153,
  [18402] = 18141,
  [18403] = 18403,
  [18404] = 18139,
  [18405] = 18161,
  [18406] = 18138,
  [18407] = 18141,
  [18408] = 18222,
  [18409] = 18138,
  [18410] = 18144,
  [18411] = 18145,
  [18412] = 18146,
  [18413] = 18133,
  [18414] = 18169,
  [18415] = 18154,
  [18416] = 18157,
  [18417] = 18157,
  [18418] = 18133,
  [18419] = 18141,
  [18420] = 18153,
  [18421] = 18188,
  [18422] = 18141,
  [18423] = 18144,
  [18424] = 18145,
  [18425] = 18144,
  [18426] = 18145,
  [18427] = 18146,
  [18428] = 18155,
  [18429] = 18161,
  [18430] = 18146,
  [18431] = 18155,
  [18432] = 18133,
  [18433] = 18133,
  [18434] = 18211,
  [18435] = 18136,
  [18436] = 18147,
  [18437] = 18155,
  [18438] = 18141,
  [18439] = 18169,
  [18440] = 18144,
  [18441] = 18145,
  [18442] = 18146,
  [18443] = 18304,
  [18444] = 18191,
  [18445] = 18181,
  [18446] = 18134,
  [18447] = 18165,
  [18448] = 18165,
  [18449] = 18153,
  [18450] = 18157,
  [18451] = 18141,
  [18452] = 18452,
  [18453] = 18144,
  [18454] = 18145,
  [18455] = 18146,
  [18456] = 18138,
  [18457] = 18274,
  [18458] = 11722,
  [18459] = 18157,
  [18460] = 18153,
  [18461] = 18154,
  [18462] = 18134,
  [18463] = 18463,
  [18464] = 18464,
  [18465] = 11696,
  [18466] = 18169,
  [18467] = 18141,
  [18468] = 18133,
  [18469] = 18144,
  [18470] = 18145,
  [18471] = 18146,
  [18472] = 18169,
  [18473] = 18155,
  [18474] = 18140,
  [18475] = 18169,
  [18476] = 18155,
  [18477] = 18477,
  [18478] = 18155,
  [18479] = 18165,
  [18480] = 18154,
  [18481] = 18141,
  [18482] = 18144,
  [18483] = 18145,
  [18484] = 18146,
  [18485] = 18485,
  [18486] = 18274,
  [18487] = 18133,
  [18488] = 18138,
  [18489] = 18137,
  [18490] = 18141,
  [18491] = 18153,
  [18492] = 18133,
  [18493] = 18195,
  [18494] = 18144,
  [18495] = 18145,
  [18496] = 18146,
  [18497] = 18161,
  [18498] = 18161,
  [18499] = 18165,
  [18500] = 18133,
  [18501] = 18169,
  [18502] = 18161,
  [18503] = 18134,
  [18504] = 18141,
  [18505] = 18144,
  [18506] = 18145,
  [18507] = 18146,
  [18508] = 18161,
  [18509] = 18464,
  [18510] = 18157,
  [18511] = 18169,
  [18512] = 18141,
  [18513] = 18141,
  [18514] = 18144,
  [18515] = 18145,
  [18516] = 18146,
  [18517] = 18155,
  [18518] = 18134,
  [18519] = 18188,
  [18520] = 18141,
  [18521] = 18144,
  [18522] = 18145,
  [18523] = 18146,
  [18524] = 18144,
  [18525] = 18145,
  [18526] = 18141,
  [18527] = 18144,
  [18528] = 18145,
  [18529] = 18146,
  [18530] = 18146,
  [18531] = 18138,
  [18532] = 18141,
  [18533] = 18144,
  [18534] = 18145,
  [18535] = 18146,
  [18536] = 18398,
  [18537] = 18211,
  [18538] = 18141,
  [18539] = 18144,
  [18540] = 18145,
  [18541] = 18146,
  [18542] = 18147,
  [18543] = 18134,
  [18544] = 18181,
  [18545] = 18141,
  [18546] = 18144,
  [18547] = 18145,
  [18548] = 18146,
  [18549] = 18157,
  [18550] = 18153,
  [18551] = 18157,
  [18552] = 18141,
  [18553] = 18144,
  [18554] = 18145,
  [18555] = 18146,
  [18556] = 18134,
  [18557] = 18274,
  [18558] = 11404,
  [18559] = 18141,
  [18560] = 18144,
  [18561] = 18145,
  [18562] = 18146,
  [18563] = 18452,
  [18564] = 18134,
  [18565] = 18138,
  [18566] = 18141,
  [18567] = 18144,
  [18568] = 18145,
  [18569] = 18146,
  [18570] = 18138,
  [18571] = 18181,
  [18572] = 18165,
  [18573] = 18141,
  [18574] = 18144,
  [18575] = 18145,
  [18576] = 18146,
  [18577] = 18181,
  [18578] = 18153,
  [18579] = 18138,
  [18580] = 18141,
  [18581] = 18144,
  [18582] = 18145,
  [18583] = 18146,
  [18584] = 18138,
  [18585] = 18137,
  [18586] = 18141,
  [18587] = 18144,
  [18588] = 18145,
  [18589] = 18146,
  [18590] = 18137,
  [18591] = 18153,
  [18592] = 18141,
  [18593] = 18144,
  [18594] = 18145,
  [18595] = 18146,
  [18596] = 18157,
  [18597] = 18161,
  [18598] = 18141,
  [18599] = 18274,
  [18600] = 18153,
  [18601] = 18141,
  [18602] = 18157,
  [18603] = 18138,
  [18604] = 18141,
  [18605] = 18154,
  [18606] = 18155,
  [18607] = 18141,
  [18608] = 18141,
  [18609] = 18188,
  [18610] = 18141,
  [18611] = 18144,
  [18612] = 18145,
  [18613] = 18141,
  [18614] = 18146,
  [18615] = 18157,
  [18616] = 18141,
  [18617] = 18133,
  [18618] = 18157,
  [18619] = 18141,
  [18620] = 18211,
  [18621] = 18147,
  [18622] = 18141,
  [18623] = 18169,
  [18624] = 18161,
  [18625] = 18141,
  [18626] = 18155,
  [18627] = 18162,
  [18628] = 18141,
  [18629] = 18157,
  [18630] = 18164,
  [18631] = 18141,
  [18632] = 18181,
  [18633] = 18274,
  [18634] = 18141,
  [18635] = 18274,
  [18636] = 18161,
  [18637] = 18141,
  [18638] = 18165,
  [18639] = 18274,
  [18640] = 18141,
  [18641] = 18190,
  [18642] = 18141,
  [18643] = 18141,
  [18644] = 18644,
  [18645] = 18161,
  [18646] = 18141,
  [18647] = 18188,
  [18648] = 18134,
  [18649] = 18141,
  [18650] = 18138,
  [18651] = 18452,
  [18652] = 18141,
  [18653] = 18191,
  [18654] = 18138,
  [18655] = 18141,
  [18656] = 18274,
  [18657] = 18153,
  [18658] = 18141,
  [18659] = 18144,
  [18660] = 18145,
  [18661] = 18141,
  [18662] = 18146,
  [18663] = 18137,
  [18664] = 18141,
  [18665] = 18138,
  [18666] = 18153,
  [18667] = 18321,
  [18668] = 18161,
  [18669] = 18157,
  [18670] = 18161,
  [18671] = 18157,
  [18672] = 18463,
  [18673] = 18673,
  [18674] = 18304,
  [18675] = 18155,
  [18676] = 18141,
  [18677] = 18161,
  [18678] = 18161,
  [18679] = 18188,
  [18680] = 18144,
  [18681] = 18145,
  [18682] = 18146,
  [18683] = 18161,
  [18684] = 18157,
  [18685] = 18133,
  [18686] = 18321,
  [18687] = 18211,
  [18688] = 18147,
  [18689] = 18155,
  [18690] = 18133,
  [18691] = 18136,
  [18692] = 18161,
  [18693] = 18207,
  [18694] = 18485,
  [18695] = 18254,
  [18696] = 18274,
  [18697] = 18161,
  [18698] = 18211,
  [18699] = 18147,
  [18700] = 18700,
  [18701] = 18157,
  [18702] = 18134,
  [18703] = 18222,
  [18704] = 18157,
  [18705] = 18155,
  [18706] = 18706,
  [18707] = 18138,
  [18708] = 18136,
  [18709] = 18154,
  [18710] = 18155,
  [18711] = 18136,
  [18712] = 18136,
  [18713] = 18190,
  [18714] = 18403,
  [18715] = 18133,
  [18716] = 18136,
  [18717] = 18161,
  [18718] = 18165,
  [18719] = 18157,
  [18720] = 18195,
  [18721] = 18463,
  [18722] = 18133,
  [18723] = 18137,
  [18724] = 18464,
  [18725] = 18157,
  [18726] = 18274,
  [18727] = 18169,
  [18728] = 18157,
  [18729] = 18155,
  [18730] = 18157,
  [18731] = 18155,
  [18732] = 18181,
  [18733] = 18178,
  [18734] = 18134,
  [18735] = 18134,
  [18736] = 18134,
  [18737] = 18134,
  [18738] = 18153,
  [18739] = 18161,
  [18740] = 18161,
  [18741] = 18154,
  [18742] = 18742,
  [18743] = 18161,
  [18744] = 18134,
  [18745] = 18153,
  [18746] = 18304,
  [18747] = 18161,
  [18748] = 18748,
  [18749] = 18749,
  [18750] = 18133,
  [18751] = 18138,
  [18752] = 18134,
  [18753] = 18141,
  [18754] = 18157,
  [18755] = 18155,
  [18756] = 18188,
  [18757] = 18154,
  [18758] = 18153,
  [18759] = 18133,
  [18760] = 18169,
  [18761] = 18706,
  [18762] = 18144,
  [18763] = 18145,
  [18764] = 18222,
  [18765] = 18157,
  [18766] = 18146,
  [18767] = 18157,
  [18768] = 18403,
  [18769] = 18157,
  [18770] = 18134,
  [18771] = 18367,
  [18772] = 18138,
  [18773] = 18157,
  [18774] = 18155,
  [18775] = 18211,
  [18776] = 18464,
  [18777] = 18147,
  [18778] = 18304,
  [18779] = 18155,
  [18780] = 18700,
  [18781] = 18370,
  [18782] = 18157,
  [18783] = 18153,
  [18784] = 18157,
  [18785] = 18161,
  [18786] = 18207,
  [18787] = 18154,
  [18788] = 18370,
  [18789] = 18157,
  [18790] = 18790,
  [18791] = 18791,
  [18792] = 18161,
  [18793] = 18153,
  [18794] = 18706,
  [18795] = 18795,
  [18796] = 18157,
  [18797] = 18337,
  [18798] = 18798,
  [18799] = 18403,
  [18800] = 18800,
  [18801] = 18133,
  [18802] = 18157,
  [18803] = 11528,
  [18804] = 18804,
  [18805] = 18805,
  [18806] = 18169,
  [18807] = 18807,
  [18808] = 18136,
  [18809] = 18155,
  [18810] = 18155,
  [18811] = 18304,
  [18812] = 18812,
  [18813] = 18138,
  [18814] = 18706,
  [18815] = 18804,
  [18816] = 18816,
  [18817] = 18155,
  [18818] = 18137,
  [18819] = 18154,
  [18820] = 18153,
  [18821] = 18133,
  [18822] = 18178,
  [18823] = 18157,
  [18824] = 18155,
  [18825] = 18136,
  [18826] = 18165,
  [18827] = 18136,
  [18828] = 18155,
  [18829] = 18133,
  [18830] = 18304,
  [18831] = 18161,
  [18832] = 18134,
  [18833] = 18833,
  [18834] = 18157,
  [18835] = 18134,
  [18836] = 18207,
  [18837] = 18138,
  [18838] = 18141,
  [18839] = 18155,
  [18840] = 18157,
  [18841] = 18304,
  [18842] = 18222,
  [18843] = 18367,
  [18844] = 18144,
  [18845] = 18145,
  [18846] = 18155,
  [18847] = 18146,
  [18848] = 18157,
  [18849] = 18161,
  [18850] = 18211,
  [18851] = 18147,
  [18852] = 18304,
  [18853] = 18136,
  [18854] = 18155,
  [18855] = 18136,
  [18856] = 18856,
  [18857] = 18153,
  [18858] = 18858,
  [18859] = 18859,
  [18860] = 18155,
  [18861] = 18134,
  [18862] = 18304,
  [18863] = 18178,
  [18864] = 18161,
  [18865] = 18181,
  [18866] = 18164,
  [18867] = 18157,
  [18868] = 18304,
  [18869] = 18805,
  [18870] = 18153,
  [18871] = 18137,
  [18872] = 18138,
  [18873] = 18154,
  [18874] = 18153,
  [18875] = 18169,
  [18876] = 18304,
  [18877] = 18877,
  [18878] = 18161,
  [18879] = 18181,
  [18880] = 18157,
  [18881] = 18133,
  [18882] = 18452,
  [18883] = 18169,
  [18884] = 18304,
  [18885] = 18155,
  [18886] = 18137,
  [18887] = 18141,
  [18888] = 11567,
  [18889] = 18144,
  [18890] = 18145,
  [18891] = 18146,
  [18892] = 18222,
  [18893] = 18134,
  [18894] = 18133,
  [18895] = 18153,
  [18896] = 18748,
  [18897] = 18181,
  [18898] = 18181,
  [18899] = 18211,
  [18900] = 18138,
  [18901] = 18157,
  [18902] = 18147,
  [18903] = 18154,
  [18904] = 18161,
  [18905] = 18134,
  [18906] = 18153,
  [18907] = 18311,
  [18908] = 18155,
  [18909] = 18157,
  [18910] = 18162,
  [18911] = 18157,
  [18912] = 18164,
  [18913] = 18155,
  [18914] = 18154,
  [18915] = 18748,
  [18916] = 18153,
  [18917] = 18154,
  [18918] = 18190,
  [18919] = 18137,
  [18920] = 18162,
  [18921] = 18389,
  [18922] = 18153,
  [18923] = 18181,
  [18924] = 18464,
  [18925] = 18700,
  [18926] = 18311,
  [18927] = 18927,
  [18928] = 18141,
  [18929] = 18153,
  [18930] = 18139,
  [18931] = 18274,
  [18932] = 18157,
  [18933] = 18155,
  [18934] = 18155,
  [18935] = 18141,
  [18936] = 18161,
  [18937] = 18153,
  [18938] = 18324,
  [18939] = 18334,
  [18940] = 18188,
  [18941] = 18157,
  [18942] = 18144,
  [18943] = 18153,
  [18944] = 18145,
  [18945] = 18146,
  [18946] = 18191,
  [18947] = 18144,
  [18948] = 18154,
  [18949] = 18145,
  [18950] = 18211,
  [18951] = 18147,
  [18952] = 18139,
  [18953] = 18155,
  [18954] = 18370,
  [18955] = 18146,
  [18956] = 18133,
  [18957] = 18155,
  [18958] = 18155,
  [18959] = 18161,
  [18960] = 18748,
  [18961] = 18321,
  [18962] = 18812,
  [18963] = 18133,
  [18964] = 18133,
  [18965] = 18169,
  [18966] = 18966,
  [18967] = 18211,
  [18968] = 18169,
  [18969] = 18137,
  [18970] = 18154,
  [18971] = 18154,
  [18972] = 18153,
  [18973] = 18161,
  [18974] = 18165,
  [18975] = 18141,
  [18976] = 18181,
  [18977] = 18147,
  [18978] = 18144,
  [18979] = 18165,
  [18980] = 18145,
  [18981] = 18146,
  [18982] = 18155,
  [18983] = 18157,
  [18984] = 18211,
  [18985] = 18157,
  [18986] = 18133,
  [18987] = 18147,
  [18988] = 18133,
  [18989] = 18169,
  [18990] = 18134,
  [18991] = 18367,
  [18992] = 18155,
  [18993] = 18138,
  [18994] = 18994,
  [18995] = 18161,
  [18996] = 18134,
  [18997] = 18134,
  [18998] = 18812,
  [18999] = 18398,
  [19000] = 18153,
  [19001] = 18165,
  [19002] = 18157,
  [19003] = 18134,
  [19004] = 18138,
  [19005] = 18137,
  [19006] = 18153,
  [19007] = 18134,
  [19008] = 19008,
  [19009] = 18181,
  [19010] = 18134,
  [19011] = 18155,
  [19012] = 18398,
  [19013] = 18141,
  [19014] = 18134,
  [19015] = 18144,
  [19016] = 18145,
  [19017] = 18146,
  [19018] = 18367,
  [19019] = 18161,
  [19020] = 18155,
  [19021] = 18211,
  [19022] = 18147,
  [19023] = 18157,
  [19024] = 18153,
  [19025] = 18161,
  [19026] = 18138,
  [19027] = 18195,
  [19028] = 18157,
  [19029] = 18157,
  [19030] = 18155,
  [19031] = 18154,
  [19032] = 18134,
  [19033] = 19033,
  [19034] = 18154,
  [19035] = 18138,
  [19036] = 18137,
  [19037] = 18138,
  [19038] = 18154,
  [19039] = 18966,
  [19040] = 18136,
  [19041] = 18155,
  [19042] = 18816,
  [19043] = 18452,
  [19044] = 18133,
  [19045] = 18133,
  [19046] = 18169,
  [19047] = 18274,
  [19048] = 18139,
  [19049] = 18138,
  [19050] = 18141,
  [19051] = 18165,
  [19052] = 18154,
  [19053] = 18138,
  [19054] = 18144,
  [19055] = 18145,
  [19056] = 18133,
  [19057] = 18463,
  [19058] = 18146,
  [19059] = 18154,
  [19060] = 18133,
  [19061] = 19061,
  [19062] = 18211,
  [19063] = 18169,
  [19064] = 18147,
  [19065] = 18134,
  [19066] = 18165,
  [19067] = 18133,
  [19068] = 18274,
  [19069] = 18133,
  [19070] = 18169,
  [19071] = 12942,
  [19072] = 18161,
  [19073] = 18134,
  [19074] = 18138,
  [19075] = 18161,
  [19076] = 18157,
  [19077] = 18137,
  [19078] = 18134,
  [19079] = 18138,
  [19080] = 19080,
  [19081] = 18169,
  [19082] = 18161,
  [19083] = 18161,
  [19084] = 18195,
  [19085] = 18138,
  [19086] = 19086,
  [19087] = 18154,
  [19088] = 18141,
  [19089] = 18165,
  [19090] = 18144,
  [19091] = 18161,
  [19092] = 18145,
  [19093] = 18146,
  [19094] = 18181,
  [19095] = 18155,
  [19096] = 18155,
  [19097] = 18138,
  [19098] = 18211,
  [19099] = 18147,
  [19100] = 18274,
  [19101] = 18153,
  [19102] = 18161,
  [19103] = 18207,
  [19104] = 18136,
  [19105] = 18153,
  [19106] = 18155,
  [19107] = 18137,
  [19108] = 19108,
  [19109] = 18153,
  [19110] = 18137,
  [19111] = 18134,
  [19112] = 18134,
  [19113] = 18464,
  [19114] = 18157,
  [19115] = 18161,
  [19116] = 18136,
  [19117] = 18136,
  [19118] = 18162,
  [19119] = 18138,
  [19120] = 18141,
  [19121] = 18207,
  [19122] = 18222,
  [19123] = 18181,
  [19124] = 18161,
  [19125] = 18222,
  [19126] = 18144,
  [19127] = 18145,
  [19128] = 18146,
  [19129] = 18164,
  [19130] = 18370,
  [19131] = 18178,
  [19132] = 18133,
  [19133] = 18169,
  [19134] = 18211,
  [19135] = 18147,
  [19136] = 18138,
  [19137] = 18477,
  [19138] = 18157,
  [19139] = 18155,
  [19140] = 18181,
  [19141] = 18748,
  [19142] = 18157,
  [19143] = 18155,
  [19144] = 18190,
  [19145] = 18155,
  [19146] = 18141,
  [19147] = 18274,
  [19148] = 18188,
  [19149] = 18136,
  [19150] = 18161,
  [19151] = 18137,
  [19152] = 18191,
  [19153] = 18144,
  [19154] = 18145,
  [19155] = 18146,
  [19156] = 18161,
  [19157] = 18141,
  [19158] = 18274,
  [19159] = 18155,
  [19160] = 18144,
  [19161] = 18145,
  [19162] = 18146,
  [19163] = 18153,
  [19164] = 18161,
  [19165] = 18211,
  [19166] = 18137,
  [19167] = 18211,
  [19168] = 18147,
  [19169] = 18147,
  [19170] = 18169,
  [19171] = 18133,
  [19172] = 18161,
  [19173] = 18155,
  [19174] = 18157,
  [19175] = 18153,
  [19176] = 18154,
  [19177] = 18137,
  [19178] = 18138,
  [19179] = 18154,
  [19180] = 18153,
  [19181] = 18138,
  [19182] = 18367,
  [19183] = 18157,
  [19184] = 18141,
  [19185] = 18195,
  [19186] = 18154,
  [19187] = 18153,
  [19188] = 18144,
  [19189] = 18145,
  [19190] = 18146,
  [19191] = 18211,
  [19192] = 18161,
  [19193] = 18147,
  [19194] = 18153,
  [19195] = 18274,
  [19196] = 18161,
  [19197] = 18134,
  [19198] = 18157,
  [19199] = 18137,
  [19200] = 19200,
  [19201] = 18154,
  [19202] = 18157,
  [19203] = 18165,
  [19204] = 18139,
  [19205] = 18141,
  [19206] = 18311,
  [19207] = 18464,
  [19208] = 18155,
  [19209] = 18700,
  [19210] = 18154,
  [19211] = 18157,
  [19212] = 18169,
  [19213] = 18165,
  [19214] = 18133,
  [19215] = 18966,
  [19216] = 18169,
  [19217] = 18812,
  [19218] = 19218,
  [19219] = 18144,
  [19220] = 18145,
  [19221] = 18144,
  [19222] = 18146,
  [19223] = 18147,
  [19224] = 18181,
  [19225] = 18134,
  [19226] = 18157,
  [19227] = 18161,
  [19228] = 18154,
  [19229] = 18138,
  [19230] = 18137,
  [19231] = 18155,
  [19232] = 18134,
  [19233] = 18161,
  [19234] = 18141,
  [19235] = 18133,
  [19236] = 18144,
  [19237] = 18145,
  [19238] = 18138,
  [19239] = 18146,
  [19240] = 18464,
  [19241] = 18147,
  [19242] = 18161,
  [19243] = 18181,
  [19244] = 18161,
  [19245] = 18161,
  [19246] = 18162,
  [19247] = 18133,
  [19248] = 18137,
  [19249] = 18274,
  [19250] = 18164,
  [19251] = 18157,
  [19252] = 18154,
  [19253] = 18155,
  [19254] = 18195,
  [19255] = 18138,
  [19256] = 18134,
  [19257] = 18141,
  [19258] = 18145,
  [19259] = 18153,
  [19260] = 18144,
  [19261] = 18146,
  [19262] = 18145,
  [19263] = 18178,
  [19264] = 18146,
  [19265] = 18147,
  [19266] = 18169,
  [19267] = 18155,
  [19268] = 18139,
  [19269] = 18856,
  [19270] = 18154,
  [19271] = 18155,
  [19272] = 18181,
  [19273] = 18154,
  [19274] = 18966,
  [19275] = 18856,
  [19276] = 18137,
  [19277] = 18133,
  [19278] = 18169,
  [19279] = 18274,
  [19280] = 18966,
  [19281] = 18856,
  [19282] = 18153,
  [19283] = 18134,
  [19284] = 18154,
  [19285] = 18141,
  [19286] = 18966,
  [19287] = 18154,
  [19288] = 18161,
  [19289] = 18153,
  [19290] = 18144,
  [19291] = 18145,
  [19292] = 19292,
  [19293] = 18154,
  [19294] = 18146,
  [19295] = 18211,
  [19296] = 18153,
  [19297] = 18138,
  [19298] = 18147,
  [19299] = 18154,
  [19300] = 18138,
  [19301] = 19301,
  [19302] = 19302,
  [19303] = 19303,
  [19304] = 19304,
  [19305] = 19303,
  [19306] = 19306,
  [19307] = 19302,
  [19308] = 19308,
  [19309] = 19309,
  [19310] = 19310,
  [19311] = 19311,
  [19312] = 19312,
  [19313] = 19313,
  [19314] = 19314,
  [19315] = 19302,
  [19316] = 19316,
  [19317] = 19317,
  [19318] = 19318,
  [19319] = 19319,
  [19320] = 19320,
  [19321] = 19321,
  [19322] = 19322,
  [19323] = 19310,
  [19324] = 19324,
  [19325] = 19325,
  [19326] = 19312,
  [19327] = 19318,
  [19328] = 19328,
  [19329] = 19306,
  [19330] = 19330,
  [19331] = 19331,
  [19332] = 19308,
  [19333] = 19317,
  [19334] = 19331,
  [19335] = 19335,
  [19336] = 19336,
  [19337] = 19337,
  [19338] = 19338,
  [19339] = 19339,
  [19340] = 19340,
  [19341] = 19341,
  [19342] = 19342,
  [19343] = 19302,
  [19344] = 19344,
  [19345] = 19345,
  [19346] = 19346,
  [19347] = 19319,
  [19348] = 19348,
  [19349] = 19314,
  [19350] = 19350,
  [19351] = 19303,
  [19352] = 19352,
  [19353] = 19353,
  [19354] = 19354,
  [19355] = 19348,
  [19356] = 19356,
  [19357] = 19306,
  [19358] = 19358,
  [19359] = 19359,
  [19360] = 19314,
  [19361] = 19361,
  [19362] = 19362,
  [19363] = 19363,
  [19364] = 19364,
  [19365] = 19365,
  [19366] = 19309,
  [19367] = 19367,
  [19368] = 19368,
  [19369] = 19345,
  [19370] = 19302,
  [19371] = 19311,
  [19372] = 19313,
  [19373] = 19310,
  [19374] = 19374,
  [19375] = 19312,
  [19376] = 19335,
  [19377] = 19318,
  [19378] = 19331,
  [19379] = 19322,
  [19380] = 19317,
  [19381] = 19354,
  [19382] = 19335,
  [19383] = 19335,
  [19384] = 19384,
  [19385] = 19322,
  [19386] = 19386,
  [19387] = 19387,
  [19388] = 19341,
  [19389] = 19304,
  [19390] = 19309,
  [19391] = 19342,
  [19392] = 19344,
  [19393] = 19393,
  [19394] = 19319,
  [19395] = 19395,
  [19396] = 19356,
  [19397] = 19384,
  [19398] = 19352,
  [19399] = 19304,
  [19400] = 19337,
  [19401] = 19338,
  [19402] = 19339,
  [19403] = 19340,
  [19404] = 19318,
  [19405] = 19405,
  [19406] = 19314,
  [19407] = 19407,
  [19408] = 19408,
  [19409] = 19311,
  [19410] = 19302,
  [19411] = 19302,
  [19412] = 19331,
  [19413] = 19313,
  [19414] = 19318,
  [19415] = 19415,
  [19416] = 19353,
  [19417] = 19309,
  [19418] = 19341,
  [19419] = 19331,
  [19420] = 19342,
  [19421] = 19311,
  [19422] = 19359,
  [19423] = 19313,
  [19424] = 19318,
  [19425] = 19362,
  [19426] = 19363,
  [19427] = 19427,
  [19428] = 19335,
  [19429] = 19429,
  [19430] = 19331,
  [19431] = 19337,
  [19432] = 19311,
  [19433] = 19345,
  [19434] = 19434,
  [19435] = 19348,
  [19436] = 19310,
  [19437] = 19313,
  [19438] = 19312,
  [19439] = 19318,
  [19440] = 19440,
  [19441] = 19441,
  [19442] = 19341,
  [19443] = 19317,
  [19444] = 19338,
  [19445] = 19339,
  [19446] = 19340,
  [19447] = 19447,
  [19448] = 19322,
  [19449] = 19449,
  [19450] = 19384,
  [19451] = 19309,
  [19452] = 19342,
  [19453] = 19344,
  [19454] = 19319,
  [19455] = 19407,
  [19456] = 19324,
  [19457] = 19303,
  [19458] = 19311,
  [19459] = 19459,
  [19460] = 19335,
  [19461] = 19352,
  [19462] = 19313,
  [19463] = 19337,
  [19464] = 19338,
  [19465] = 19339,
  [19466] = 19340,
  [19467] = 19306,
  [19468] = 19348,
  [19469] = 19408,
  [19470] = 19318,
  [19471] = 19314,
  [19472] = 19328,
  [19473] = 19473,
  [19474] = 19331,
  [19475] = 19318,
  [19476] = 19350,
  [19477] = 19303,
  [19478] = 19302,
  [19479] = 19353,
  [19480] = 19308,
  [19481] = 19441,
  [19482] = 19348,
  [19483] = 19331,
  [19484] = 19352,
  [19485] = 19359,
  [19486] = 19311,
  [19487] = 19487,
  [19488] = 19362,
  [19489] = 19363,
  [19490] = 19393,
  [19491] = 19318,
  [19492] = 19441,
  [19493] = 19331,
  [19494] = 19356,
  [19495] = 19301,
  [19496] = 19346,
  [19497] = 19314,
  [19498] = 19302,
  [19499] = 19310,
  [19500] = 19335,
  [19501] = 19312,
  [19502] = 19303,
  [19503] = 19304,
  [19504] = 19354,
  [19505] = 19341,
  [19506] = 19317,
  [19507] = 19306,
  [19508] = 19335,
  [19509] = 19308,
  [19510] = 19384,
  [19511] = 19322,
  [19512] = 19309,
  [19513] = 19311,
  [19514] = 19302,
  [19515] = 19313,
  [19516] = 19342,
  [19517] = 19318,
  [19518] = 19346,
  [19519] = 19331,
  [19520] = 19314,
  [19521] = 19393,
  [19522] = 19328,
  [19523] = 19348,
  [19524] = 19308,
  [19525] = 19356,
  [19526] = 19337,
  [19527] = 19338,
  [19528] = 19339,
  [19529] = 19340,
  [19530] = 19303,
  [19531] = 19341,
  [19532] = 19342,
  [19533] = 19341,
  [19534] = 19342,
  [19535] = 19344,
  [19536] = 19335,
  [19537] = 19324,
  [19538] = 19353,
  [19539] = 19324,
  [19540] = 19337,
  [19541] = 19302,
  [19542] = 19542,
  [19543] = 19359,
  [19544] = 19362,
  [19545] = 19363,
  [19546] = 19546,
  [19547] = 19330,
  [19548] = 19354,
  [19549] = 19542,
  [19550] = 19321,
  [19551] = 19358,
  [19552] = 19319,
  [19553] = 19352,
  [19554] = 19310,
  [19555] = 19312,
  [19556] = 19302,
  [19557] = 19557,
  [19558] = 19393,
  [19559] = 19314,
  [19560] = 19317,
  [19561] = 19356,
  [19562] = 19335,
  [19563] = 19341,
  [19564] = 19342,
  [19565] = 19322,
  [19566] = 19302,
  [19567] = 19331,
  [19568] = 19568,
  [19569] = 19306,
  [19570] = 19331,
  [19571] = 19324,
  [19572] = 19314,
  [19573] = 19341,
  [19574] = 19335,
  [19575] = 19308,
  [19576] = 19318,
  [19577] = 19328,
  [19578] = 19331,
  [19579] = 19328,
  [19580] = 19337,
  [19581] = 19338,
  [19582] = 19339,
  [19583] = 19340,
  [19584] = 19335,
  [19585] = 19345,
  [19586] = 19586,
  [19587] = 19587,
  [19588] = 19341,
  [19589] = 19342,
  [19590] = 19344,
  [19591] = 19344,
  [19592] = 19353,
  [19593] = 19542,
  [19594] = 19319,
  [19595] = 19595,
  [19596] = 19319,
  [19597] = 19359,
  [19598] = 19362,
  [19599] = 19363,
  [19600] = 19358,
  [19601] = 19328,
  [19602] = 19602,
  [19603] = 19587,
  [19604] = 19587,
  [19605] = 19352,
  [19606] = 19344,
  [19607] = 19319,
  [19608] = 19608,
  [19609] = 19310,
  [19610] = 19312,
  [19611] = 19342,
  [19612] = 19314,
  [19613] = 19595,
  [19614] = 19352,
  [19615] = 19317,
  [19616] = 19616,
  [19617] = 19542,
  [19618] = 19302,
  [19619] = 19308,
  [19620] = 19322,
  [19621] = 19384,
  [19622] = 19587,
  [19623] = 19318,
  [19624] = 19587,
  [19625] = 19344,
  [19626] = 19344,
  [19627] = 19319,
  [19628] = 19301,
  [19629] = 19344,
  [19630] = 19319,
  [19631] = 19331,
  [19632] = 19319,
  [19633] = 19335,
  [19634] = 19595,
  [19635] = 19337,
  [19636] = 19338,
  [19637] = 19339,
  [19638] = 19340,
  [19639] = 19309,
  [19640] = 19341,
  [19641] = 19595,
  [19642] = 19642,
  [19643] = 19643,
  [19644] = 19595,
  [19645] = 19342,
  [19646] = 19354,
  [19647] = 19353,
  [19648] = 19344,
  [19649] = 19353,
  [19650] = 19321,
  [19651] = 19542,
  [19652] = 19359,
  [19653] = 19362,
  [19654] = 19363,
  [19655] = 19655,
  [19656] = 19319,
  [19657] = 19352,
  [19658] = 19301,
  [19659] = 19348,
  [19660] = 19304,
  [19661] = 19321,
  [19662] = 19643,
  [19663] = 19352,
  [19664] = 19310,
  [19665] = 19312,
  [19666] = 19393,
  [19667] = 19667,
  [19668] = 19393,
  [19669] = 19336,
  [19670] = 19317,
  [19671] = 19314,
  [19672] = 19303,
  [19673] = 19302,
  [19674] = 19354,
  [19675] = 19322,
  [19676] = 19354,
  [19677] = 19314,
  [19678] = 19643,
  [19679] = 19679,
  [19680] = 19595,
  [19681] = 19356,
  [19682] = 19408,
  [19683] = 19318,
  [19684] = 19359,
  [19685] = 19331,
  [19686] = 19642,
  [19687] = 19667,
  [19688] = 19362,
  [19689] = 19363,
  [19690] = 19337,
  [19691] = 19338,
  [19692] = 19339,
  [19693] = 19340,
  [19694] = 19335,
  [19695] = 19595,
  [19696] = 19352,
  [19697] = 19341,
  [19698] = 19301,
  [19699] = 19342,
  [19700] = 19356,
  [19701] = 19441,
  [19702] = 19353,
  [19703] = 19303,
  [19704] = 19344,
  [19705] = 19306,
  [19706] = 19308,
  [19707] = 19359,
  [19708] = 19362,
  [19709] = 19363,
  [19710] = 19314,
  [19711] = 19319,
  [19712] = 19321,
  [19713] = 19354,
  [19714] = 19643,
  [19715] = 19321,
  [19716] = 19302,
  [19717] = 19667,
  [19718] = 19352,
  [19719] = 19310,
  [19720] = 19312,
  [19721] = 19301,
  [19722] = 19336,
  [19723] = 19321,
  [19724] = 19643,
  [19725] = 19317,
  [19726] = 19352,
  [19727] = 19352,
  [19728] = 19311,
  [19729] = 19667,
  [19730] = 19322,
  [19731] = 19314,
  [19732] = 19336,
  [19733] = 19301,
  [19734] = 19321,
  [19735] = 19395,
  [19736] = 19320,
  [19737] = 19303,
  [19738] = 19306,
  [19739] = 19345,
  [19740] = 19667,
  [19741] = 19341,
  [19742] = 19310,
  [19743] = 19643,
  [19744] = 19310,
  [19745] = 19337,
  [19746] = 19338,
  [19747] = 19339,
  [19748] = 19340,
  [19749] = 19312,
  [19750] = 19302,
  [19751] = 19308,
  [19752] = 19331,
  [19753] = 19667,
  [19754] = 19314,
  [19755] = 19342,
  [19756] = 19304,
  [19757] = 19353,
  [19758] = 19395,
  [19759] = 19317,
  [19760] = 19302,
  [19761] = 19318,
  [19762] = 19359,
  [19763] = 19362,
  [19764] = 19363,
  [19765] = 19331,
  [19766] = 19335,
  [19767] = 19313,
  [19768] = 19341,
  [19769] = 19335,
  [19770] = 19342,
  [19771] = 19310,
  [19772] = 19312,
  [19773] = 19336,
  [19774] = 19344,
  [19775] = 19319,
  [19776] = 19352,
  [19777] = 19317,
  [19778] = 19324,
  [19779] = 19314,
  [19780] = 19318,
  [19781] = 19302,
  [19782] = 19322,
  [19783] = 19365,
  [19784] = 19341,
  [19785] = 19368,
  [19786] = 19427,
  [19787] = 19302,
  [19788] = 19350,
  [19789] = 19337,
  [19790] = 19338,
  [19791] = 19339,
  [19792] = 19340,
  [19793] = 19358,
  [19794] = 19304,
  [19795] = 19643,
  [19796] = 19336,
  [19797] = 19318,
  [19798] = 19306,
  [19799] = 19353,
  [19800] = 19335,
  [19801] = 19342,
  [19802] = 19352,
  [19803] = 19322,
  [19804] = 19359,
  [19805] = 19362,
  [19806] = 19363,
  [19807] = 19595,
  [19808] = 19344,
  [19809] = 19345,
  [19810] = 19393,
  [19811] = 19342,
  [19812] = 19319,
  [19813] = 19310,
  [19814] = 19312,
  [19815] = 19387,
  [19816] = 19441,
  [19817] = 19303,
  [19818] = 19301,
  [19819] = 19317,
  [19820] = 19306,
  [19821] = 19352,
  [19822] = 19822,
  [19823] = 19384,
  [19824] = 19322,
  [19825] = 19309,
  [19826] = 19318,
  [19827] = 19321,
  [19828] = 19308,
  [19829] = 19311,
  [19830] = 19337,
  [19831] = 19338,
  [19832] = 19339,
  [19833] = 19340,
  [19834] = 19643,
  [19835] = 19427,
  [19836] = 19344,
  [19837] = 19313,
  [19838] = 19319,
  [19839] = 19318,
  [19840] = 19353,
  [19841] = 19667,
  [19842] = 19405,
  [19843] = 19395,
  [19844] = 19308,
  [19845] = 19359,
  [19846] = 19362,
  [19847] = 19363,
  [19848] = 19642,
  [19849] = 19352,
  [19850] = 19384,
  [19851] = 19309,
  [19852] = 19331,
  [19853] = 19356,
  [19854] = 19310,
  [19855] = 19312,
  [19856] = 19441,
  [19857] = 19325,
  [19858] = 19311,
  [19859] = 19313,
  [19860] = 19317,
  [19861] = 19303,
  [19862] = 19306,
  [19863] = 19314,
  [19864] = 19318,
  [19865] = 19322,
  [19866] = 19344,
  [19867] = 19319,
  [19868] = 19348,
  [19869] = 19331,
  [19870] = 19308,
  [19871] = 19337,
  [19872] = 19338,
  [19873] = 19339,
  [19874] = 19340,
  [19875] = 19875,
  [19876] = 19348,
  [19877] = 19341,
  [19878] = 19352,
  [19879] = 19337,
  [19880] = 19314,
  [19881] = 19353,
  [19882] = 19314,
  [19883] = 19348,
  [19884] = 19335,
  [19885] = 19338,
  [19886] = 19359,
  [19887] = 19362,
  [19888] = 19363,
  [19889] = 19339,
  [19890] = 19340,
  [19891] = 19891,
  [19892] = 19892,
  [19893] = 19335,
  [19894] = 19447,
  [19895] = 19310,
  [19896] = 19312,
  [19897] = 19449,
  [19898] = 19344,
  [19899] = 19354,
  [19900] = 19900,
  [19901] = 19317,
  [19902] = 19319,
  [19903] = 19352,
  [19904] = 19352,
  [19905] = 19393,
  [19906] = 19322,
  [19907] = 19342,
  [19908] = 19344,
  [19909] = 19459,
  [19910] = 19356,
  [19911] = 19319,
  [19912] = 19337,
  [19913] = 19338,
  [19914] = 19339,
  [19915] = 19340,
  [19916] = 19341,
  [19917] = 19342,
  [19918] = 19352,
  [19919] = 19345,
  [19920] = 19344,
  [19921] = 19324,
  [19922] = 19353,
  [19923] = 19319,
  [19924] = 19352,
  [19925] = 19384,
  [19926] = 19313,
  [19927] = 19359,
  [19928] = 19362,
  [19929] = 19363,
  [19930] = 19345,
  [19931] = 19384,
  [19932] = 19336,
  [19933] = 19344,
  [19934] = 19934,
  [19935] = 19346,
  [19936] = 19310,
  [19937] = 19312,
  [19938] = 19319,
  [19939] = 19393,
  [19940] = 19352,
  [19941] = 19331,
  [19942] = 19317,
  [19943] = 19304,
  [19944] = 19344,
  [19945] = 19302,
  [19946] = 19356,
  [19947] = 19322,
  [19948] = 19302,
  [19949] = 19319,
  [19950] = 19328,
  [19951] = 19324,
  [19952] = 19542,
  [19953] = 19337,
  [19954] = 19338,
  [19955] = 19339,
  [19956] = 19340,
  [19957] = 19822,
  [19958] = 19352,
  [19959] = 19427,
  [19960] = 19960,
  [19961] = 19352,
  [19962] = 19542,
  [19963] = 19353,
  [19964] = 19309,
  [19965] = 19344,
  [19966] = 19616,
  [19967] = 19341,
  [19968] = 19359,
  [19969] = 19362,
  [19970] = 19363,
  [19971] = 19643,
  [19972] = 19304,
  [19973] = 19587,
  [19974] = 19344,
  [19975] = 19342,
  [19976] = 19324,
  [19977] = 19310,
  [19978] = 19312,
  [19979] = 19319,
  [19980] = 19319,
  [19981] = 19318,
  [19982] = 19352,
  [19983] = 19317,
  [19984] = 19367,
  [19985] = 19985,
  [19986] = 19328,
  [19987] = 19595,
  [19988] = 19322,
  [19989] = 19324,
  [19990] = 19344,
  [19991] = 19311,
  [19992] = 19302,
  [19993] = 19352,
  [19994] = 19337,
  [19995] = 19338,
  [19996] = 19339,
  [19997] = 19340,
  [19998] = 19319,
  [19999] = 19301,
  [20000] = 19313,
  [20001] = 19354,
  [20002] = 19352,
  [20003] = 19318,
  [20004] = 19353,
  [20005] = 19384,
  [20006] = 19384,
  [20007] = 19309,
  [20008] = 19321,
  [20009] = 19359,
  [20010] = 19362,
  [20011] = 19363,
  [20012] = 19352,
  [20013] = 19344,
  [20014] = 19308,
  [20015] = 19321,
  [20016] = 19311,
  [20017] = 19384,
  [20018] = 19310,
  [20019] = 19312,
  [20020] = 19313,
  [20021] = 19643,
  [20022] = 19319,
  [20023] = 19667,
  [20024] = 19317,
  [20025] = 20025,
  [20026] = 19318,
  [20027] = 19352,
  [20028] = 19429,
  [20029] = 19322,
  [20030] = 19667,
  [20031] = 19344,
  [20032] = 19336,
  [20033] = 19331,
  [20034] = 19643,
  [20035] = 19337,
  [20036] = 19338,
  [20037] = 19339,
  [20038] = 19340,
  [20039] = 20039,
  [20040] = 19319,
  [20041] = 19331,
  [20042] = 19361,
  [20043] = 19352,
  [20044] = 19304,
  [20045] = 19353,
  [20046] = 19441,
  [20047] = 19344,
  [20048] = 19303,
  [20049] = 19306,
  [20050] = 19359,
  [20051] = 19362,
  [20052] = 19363,
  [20053] = 19308,
  [20054] = 19348,
  [20055] = 19314,
  [20056] = 19328,
  [20057] = 19319,
  [20058] = 19352,
  [20059] = 19310,
  [20060] = 19312,
  [20061] = 19616,
  [20062] = 19348,
  [20063] = 19434,
  [20064] = 19348,
  [20065] = 19317,
  [20066] = 19344,
  [20067] = 19319,
  [20068] = 19335,
  [20069] = 19352,
  [20070] = 19322,
  [20071] = 19587,
  [20072] = 19344,
  [20073] = 20073,
  [20074] = 19302,
  [20075] = 19319,
  [20076] = 19337,
  [20077] = 19338,
  [20078] = 19339,
  [20079] = 19340,
  [20080] = 19302,
  [20081] = 19302,
  [20082] = 19384,
  [20083] = 19335,
  [20084] = 19309,
  [20085] = 19311,
  [20086] = 19353,
  [20087] = 19587,
  [20088] = 19313,
  [20089] = 19318,
  [20090] = 20090,
  [20091] = 19359,
  [20092] = 19362,
  [20093] = 19363,
  [20094] = 19344,
  [20095] = 19331,
  [20096] = 19344,
  [20097] = 19319,
  [20098] = 19319,
  [20099] = 19667,
  [20100] = 19310,
  [20101] = 19312,
  [20102] = 19352,
  [20103] = 19393,
  [20104] = 19348,
  [20105] = 19335,
  [20106] = 19317,
  [20107] = 19344,
  [20108] = 19319,
  [20109] = 19352,
  [20110] = 19353,
  [20111] = 19322,
  [20112] = 19595,
  [20113] = 19356,
  [20114] = 19395,
  [20115] = 20115,
  [20116] = 19393,
  [20117] = 19337,
  [20118] = 19338,
  [20119] = 19339,
  [20120] = 19340,
  [20121] = 19655,
  [20122] = 19356,
  [20123] = 19354,
  [20124] = 19341,
  [20125] = 19335,
  [20126] = 19342,
  [20127] = 19353,
  [20128] = 19344,
  [20129] = 19319,
  [20130] = 19328,
  [20131] = 19324,
  [20132] = 19359,
  [20133] = 19362,
  [20134] = 19363,
  [20135] = 19352,
  [20136] = 19960,
  [20137] = 19679,
  [20138] = 19324,
  [20139] = 19344,
  [20140] = 19354,
  [20141] = 19310,
  [20142] = 19312,
  [20143] = 19359,
  [20144] = 19319,
  [20145] = 19341,
  [20146] = 19336,
  [20147] = 19317,
  [20148] = 19362,
  [20149] = 19363,
  [20150] = 19352,
  [20151] = 19348,
  [20152] = 19322,
  [20153] = 19344,
  [20154] = 19342,
  [20155] = 19319,
  [20156] = 19384,
  [20157] = 19309,
  [20158] = 19337,
  [20159] = 19338,
  [20160] = 19339,
  [20161] = 19340,
  [20162] = 19311,
  [20163] = 19313,
  [20164] = 19318,
  [20165] = 19393,
  [20166] = 19352,
  [20167] = 19331,
  [20168] = 19353,
  [20169] = 19356,
  [20170] = 19309,
  [20171] = 19344,
  [20172] = 19348,
  [20173] = 19359,
  [20174] = 19362,
  [20175] = 19363,
  [20176] = 19352,
  [20177] = 19331,
  [20178] = 19341,
  [20179] = 19342,
  [20180] = 19301,
  [20181] = 19321,
  [20182] = 19310,
  [20183] = 19312,
  [20184] = 19319,
  [20185] = 19643,
  [20186] = 19324,
  [20187] = 19335,
  [20188] = 19317,
  [20189] = 19324,
  [20190] = 19320,
  [20191] = 19352,
  [20192] = 19310,
  [20193] = 19322,
  [20194] = 19667,
  [20195] = 19311,
  [20196] = 19312,
  [20197] = 19344,
  [20198] = 19336,
  [20199] = 19337,
  [20200] = 19338,
  [20201] = 19339,
  [20202] = 19340,
  [20203] = 19319,
  [20204] = 19352,
  [20205] = 19328,
  [20206] = 19393,
  [20207] = 19317,
  [20208] = 19335,
  [20209] = 19353,
  [20210] = 19356,
  [20211] = 19344,
  [20212] = 19341,
  [20213] = 19359,
  [20214] = 19362,
  [20215] = 19363,
  [20216] = 19342,
  [20217] = 19319,
  [20218] = 19352,
  [20219] = 19365,
  [20220] = 19542,
  [20221] = 19344,
  [20222] = 19310,
  [20223] = 19312,
  [20224] = 19319,
  [20225] = 19303,
  [20226] = 19324,
  [20227] = 19655,
  [20228] = 19317,
  [20229] = 19352,
  [20230] = 19365,
  [20231] = 19441,
  [20232] = 19362,
  [20233] = 19322,
  [20234] = 19306,
  [20235] = 19368,
  [20236] = 19542,
  [20237] = 19335,
  [20238] = 19308,
  [20239] = 19337,
  [20240] = 19338,
  [20241] = 19339,
  [20242] = 19340,
  [20243] = 19314,
  [20244] = 19441,
  [20245] = 19352,
  [20246] = 19322,
  [20247] = 19301,
  [20248] = 19393,
  [20249] = 19353,
  [20250] = 19321,
  [20251] = 19642,
  [20252] = 19384,
  [20253] = 19359,
  [20254] = 19362,
  [20255] = 19363,
  [20256] = 19429,
  [20257] = 19387,
  [20258] = 19302,
  [20259] = 19328,
  [20260] = 19587,
  [20261] = 19353,
  [20262] = 19310,
  [20263] = 19312,
  [20264] = 19643,
  [20265] = 19303,
  [20266] = 20266,
  [20267] = 19336,
  [20268] = 19317,
  [20269] = 19587,
  [20270] = 19328,
  [20271] = 19344,
  [20272] = 19405,
  [20273] = 19322,
  [20274] = 19302,
  [20275] = 19655,
  [20276] = 19667,
  [20277] = 19328,
  [20278] = 19319,
  [20279] = 19337,
  [20280] = 19338,
  [20281] = 19339,
  [20282] = 19340,
  [20283] = 19336,
  [20284] = 19312,
  [20285] = 20285,
  [20286] = 19301,
  [20287] = 19542,
  [20288] = 19353,
  [20289] = 20289,
  [20290] = 19301,
  [20291] = 19595,
  [20292] = 19359,
  [20293] = 19362,
  [20294] = 19363,
  [20295] = 19303,
  [20296] = 19337,
  [20297] = 19304,
  [20298] = 19318,
  [20299] = 19393,
  [20300] = 19344,
  [20301] = 19310,
  [20302] = 19312,
  [20303] = 19338,
  [20304] = 19339,
  [20305] = 19340,
  [20306] = 19447,
  [20307] = 19317,
  [20308] = 19449,
  [20309] = 19328,
  [20310] = 19407,
  [20311] = 19587,
  [20312] = 19322,
  [20313] = 19313,
  [20314] = 19459,
  [20315] = 19335,
  [20316] = 19384,
  [20317] = 19441,
  [20318] = 19337,
  [20319] = 19338,
  [20320] = 19339,
  [20321] = 19340,
  [20322] = 19384,
  [20323] = 19679,
  [20324] = 19309,
  [20325] = 19302,
  [20326] = 19344,
  [20327] = 19353,
  [20328] = 19319,
  [20329] = 19311,
  [20330] = 19316,
  [20331] = 19359,
  [20332] = 19362,
  [20333] = 19363,
  [20334] = 19822,
  [20335] = 19303,
  [20336] = 19306,
  [20337] = 19384,
  [20338] = 19313,
  [20339] = 19318,
  [20340] = 19310,
  [20341] = 19312,
  [20342] = 19542,
  [20343] = 19960,
  [20344] = 19309,
  [20345] = 19311,
  [20346] = 19317,
  [20347] = 19542,
  [20348] = 19359,
  [20349] = 19393,
  [20350] = 19313,
  [20351] = 19322,
  [20352] = 19542,
  [20353] = 19306,
  [20354] = 19318,
  [20355] = 19595,
  [20356] = 19331,
  [20357] = 19337,
  [20358] = 19338,
  [20359] = 19339,
  [20360] = 19340,
  [20361] = 19328,
  [20362] = 19363,
  [20363] = 19348,
  [20364] = 19308,
  [20365] = 19587,
  [20366] = 19353,
  [20367] = 19308,
  [20368] = 19331,
  [20369] = 19344,
  [20370] = 19359,
  [20371] = 19362,
  [20372] = 19363,
  [20373] = 19319,
  [20374] = 19822,
  [20375] = 19356,
  [20376] = 19960,
  [20377] = 19595,
  [20378] = 19348,
  [20379] = 19310,
  [20380] = 19312,
  [20381] = 19309,
  [20382] = 19335,
  [20383] = 19362,
  [20384] = 19363,
  [20385] = 19317,
  [20386] = 19321,
  [20387] = 19643,
  [20388] = 19311,
  [20389] = 19354,
  [20390] = 19322,
  [20391] = 19356,
  [20392] = 19354,
  [20393] = 19313,
  [20394] = 19441,
  [20395] = 19346,
  [20396] = 19337,
  [20397] = 19338,
  [20398] = 19339,
  [20399] = 19340,
  [20400] = 19587,
  [20401] = 19642,
  [20402] = 19352,
  [20403] = 19344,
  [20404] = 19301,
  [20405] = 19353,
  [20406] = 19321,
  [20407] = 19643,
  [20408] = 19321,
  [20409] = 19359,
  [20410] = 19362,
  [20411] = 19363,
  [20412] = 19354,
  [20413] = 19318,
  [20414] = 19319,
  [20415] = 19667,
  [20416] = 19335,
  [20417] = 19314,
  [20418] = 19310,
  [20419] = 19312,
  [20420] = 19822,
  [20421] = 19542,
  [20422] = 19441,
  [20423] = 19336,
  [20424] = 19317,
  [20425] = 19352,
  [20426] = 19301,
  [20427] = 19321,
  [20428] = 19643,
  [20429] = 19322,
  [20430] = 19303,
  [20431] = 19306,
  [20432] = 19393,
  [20433] = 19341,
  [20434] = 19337,
  [20435] = 19338,
  [20436] = 19339,
  [20437] = 19340,
  [20438] = 19356,
  [20439] = 19667,
  [20440] = 19341,
  [20441] = 19667,
  [20442] = 20039,
  [20443] = 19353,
  [20444] = 19336,
  [20445] = 19342,
  [20446] = 19342,
  [20447] = 19359,
  [20448] = 19362,
  [20449] = 19363,
  [20450] = 19441,
  [20451] = 19643,
  [20452] = 19303,
  [20453] = 19324,
  [20454] = 19393,
  [20455] = 19352,
  [20456] = 19310,
  [20457] = 19312,
  [20458] = 19331,
  [20459] = 19306,
  [20460] = 19308,
  [20461] = 19595,
  [20462] = 19317,
  [20463] = 19324,
  [20464] = 19960,
  [20465] = 19309,
  [20466] = 19356,
  [20467] = 19322,
  [20468] = 19308,
  [20469] = 19341,
  [20470] = 19301,
  [20471] = 19342,
  [20472] = 19337,
  [20473] = 19338,
  [20474] = 19339,
  [20475] = 19340,
  [20476] = 19314,
  [20477] = 19346,
  [20478] = 19542,
  [20479] = 19321,
  [20480] = 19324,
  [20481] = 19353,
  [20482] = 19306,
  [20483] = 19308,
  [20484] = 19302,
  [20485] = 19359,
  [20486] = 19362,
  [20487] = 19363,
  [20488] = 19314,
  [20489] = 19643,
  [20490] = 19318,
  [20491] = 19441,
  [20492] = 19303,
  [20493] = 19587,
  [20494] = 19310,
  [20495] = 19312,
  [20496] = 19667,
  [20497] = 19306,
  [20498] = 19587,
  [20499] = 19344,
  [20500] = 19317,
  [20501] = 19353,
  [20502] = 19311,
  [20503] = 19655,
  [20504] = 19308,
  [20505] = 19322,
  [20506] = 19314,
  [20507] = 19587,
  [20508] = 19587,
  [20509] = 19344,
  [20510] = 19337,
  [20511] = 19338,
  [20512] = 19339,
  [20513] = 19340,
  [20514] = 19667,
  [20515] = 19348,
  [20516] = 19319,
  [20517] = 20517,
  [20518] = 19319,
  [20519] = 19353,
  [20520] = 19384,
  [20521] = 19679,
  [20522] = 19336,
  [20523] = 19359,
  [20524] = 19362,
  [20525] = 19363,
  [20526] = 19595,
  [20527] = 19354,
  [20528] = 19359,
  [20529] = 19384,
  [20530] = 19328,
  [20531] = 19309,
  [20532] = 19310,
  [20533] = 19312,
  [20534] = 19362,
  [20535] = 19363,
  [20536] = 19314,
  [20537] = 19459,
  [20538] = 19317,
  [20539] = 19309,
  [20540] = 19429,
  [20541] = 19311,
  [20542] = 19320,
  [20543] = 19322,
  [20544] = 19341,
  [20545] = 19311,
  [20546] = 19429,
  [20547] = 19587,
  [20548] = 19337,
  [20549] = 19338,
  [20550] = 19339,
  [20551] = 19340,
  [20552] = 19336,
  [20553] = 19616,
  [20554] = 19345,
  [20555] = 19344,
  [20556] = 19342,
  [20557] = 19353,
  [20558] = 19352,
  [20559] = 19587,
  [20560] = 19301,
  [20561] = 19359,
  [20562] = 19362,
  [20563] = 19363,
  [20564] = 19344,
  [20565] = 19310,
  [20566] = 19319,
  [20567] = 19313,
  [20568] = 19325,
  [20569] = 19595,
  [20570] = 19310,
  [20571] = 19312,
  [20572] = 19312,
  [20573] = 19321,
  [20574] = 19328,
  [20575] = 19320,
  [20576] = 19317,
  [20577] = 19313,
  [20578] = 19310,
  [20579] = 19304,
  [20580] = 19312,
  [20581] = 19322,
  [20582] = 19595,
  [20583] = 20583,
  [20584] = 20584,
  [20585] = 20585,
  [20586] = 19337,
  [20587] = 19338,
  [20588] = 19339,
  [20589] = 19340,
  [20590] = 19302,
  [20591] = 19643,
  [20592] = 19344,
  [20593] = 19317,
  [20594] = 19318,
  [20595] = 19353,
  [20596] = 19302,
  [20597] = 19642,
  [20598] = 19331,
  [20599] = 19359,
  [20600] = 19362,
  [20601] = 19363,
  [20602] = 19542,
  [20603] = 19317,
  [20604] = 19345,
  [20605] = 19318,
  [20606] = 19313,
  [20607] = 19348,
  [20608] = 19310,
  [20609] = 19312,
  [20610] = 19393,
  [20611] = 19365,
  [20612] = 19344,
  [20613] = 19354,
  [20614] = 19317,
  [20615] = 19368,
  [20616] = 19667,
  [20617] = 19322,
  [20618] = 19303,
  [20619] = 19322,
  [20620] = 19335,
  [20621] = 19587,
  [20622] = 19344,
  [20623] = 19319,
  [20624] = 19337,
  [20625] = 19338,
  [20626] = 19339,
  [20627] = 19340,
  [20628] = 19542,
  [20629] = 19330,
  [20630] = 19387,
  [20631] = 19336,
  [20632] = 19352,
  [20633] = 19353,
  [20634] = 19301,
  [20635] = 19321,
  [20636] = 19314,
  [20637] = 19359,
  [20638] = 19362,
  [20639] = 19363,
  [20640] = 20266,
  [20641] = 19319,
  [20642] = 19348,
  [20643] = 19354,
  [20644] = 19643,
  [20645] = 19319,
  [20646] = 19310,
  [20647] = 19312,
  [20648] = 19306,
  [20649] = 19308,
  [20650] = 19667,
  [20651] = 19395,
  [20652] = 19317,
  [20653] = 19314,
  [20654] = 19405,
  [20655] = 19441,
  [20656] = 19319,
  [20657] = 19322,
  [20658] = 19356,
  [20659] = 19303,
  [20660] = 19330,
  [20661] = 19368,
  [20662] = 19337,
  [20663] = 19338,
  [20664] = 19339,
  [20665] = 19340,
  [20666] = 19336,
  [20667] = 19407,
  [20668] = 19546,
  [20669] = 19393,
  [20670] = 19384,
  [20671] = 19353,
  [20672] = 19309,
  [20673] = 19331,
  [20674] = 19337,
  [20675] = 19359,
  [20676] = 19362,
  [20677] = 19363,
  [20678] = 19595,
  [20679] = 19306,
  [20680] = 19311,
  [20681] = 19313,
  [20682] = 19335,
  [20683] = 19338,
  [20684] = 19310,
  [20685] = 19312,
  [20686] = 19339,
  [20687] = 19340,
  [20688] = 19318,
  [20689] = 19356,
  [20690] = 19317,
  [20691] = 19447,
  [20692] = 19449,
  [20693] = 19408,
  [20694] = 19331,
  [20695] = 19322,
  [20696] = 19303,
  [20697] = 19306,
  [20698] = 19308,
  [20699] = 19308,
  [20700] = 19337,
  [20701] = 19338,
  [20702] = 19339,
  [20703] = 19340,
  [20704] = 19459,
  [20705] = 19314,
  [20706] = 19354,
  [20707] = 19336,
  [20708] = 19348,
  [20709] = 19353,
  [20710] = 19314,
  [20711] = 19302,
  [20712] = 19356,
  [20713] = 19359,
  [20714] = 19362,
  [20715] = 19363,
  [20716] = 20517,
  [20717] = 19318,
  [20718] = 19335,
  [20719] = 19352,
  [20720] = 19393,
  [20721] = 19304,
  [20722] = 19310,
  [20723] = 19312,
  [20724] = 19892,
  [20725] = 19595,
  [20726] = 19301,
  [20727] = 19321,
  [20728] = 19317,
  [20729] = 19356,
  [20730] = 19361,
  [20731] = 19341,
  [20732] = 19302,
  [20733] = 19322,
  [20734] = 19342,
  [20735] = 19365,
  [20736] = 19643,
  [20737] = 19331,
  [20738] = 19337,
  [20739] = 19338,
  [20740] = 19339,
  [20741] = 19340,
  [20742] = 19324,
  [20743] = 19642,
  [20744] = 19302,
  [20745] = 19368,
  [20746] = 19324,
  [20747] = 19353,
  [20748] = 19587,
  [20749] = 19344,
  [20750] = 19405,
  [20751] = 19359,
  [20752] = 19362,
  [20753] = 19363,
  [20754] = 19595,
  [20755] = 19341,
  [20756] = 19393,
  [20757] = 19302,
  [20758] = 19367,
  [20759] = 19302,
  [20760] = 19310,
  [20761] = 19312,
  [20762] = 20762,
  [20763] = 19342,
  [20764] = 19352,
  [20765] = 19364,
  [20766] = 19317,
  [20767] = 19341,
  [20768] = 19342,
  [20769] = 19348,
  [20770] = 19356,
  [20771] = 19322,
  [20772] = 19301,
  [20773] = 19319,
  [20774] = 20774,
  [20775] = 19328,
  [20776] = 19337,
  [20777] = 19338,
  [20778] = 19339,
  [20779] = 19340,
  [20780] = 19319,
  [20781] = 19546,
  [20782] = 19354,
  [20783] = 19434,
  [20784] = 19336,
  [20785] = 19353,
  [20786] = 19341,
  [20787] = 19321,
  [20788] = 19359,
  [20789] = 19362,
  [20790] = 19363,
  [20791] = 19303,
  [20792] = 19393,
  [20793] = 19342,
  [20794] = 19384,
  [20795] = 19384,
  [20796] = 19309,
  [20797] = 19310,
  [20798] = 19312,
  [20799] = 19309,
  [20800] = 19985,
  [20801] = 19667,
  [20802] = 20583,
  [20803] = 19317,
  [20804] = 19311,
  [20805] = 19313,
  [20806] = 19318,
  [20807] = 19595,
  [20808] = 19322,
  [20809] = 19311,
  [20810] = 19313,
  [20811] = 19352,
  [20812] = 19301,
  [20813] = 19337,
  [20814] = 19338,
  [20815] = 19339,
  [20816] = 19340,
  [20817] = 19321,
  [20818] = 19643,
  [20819] = 19331,
  [20820] = 19309,
  [20821] = 19324,
  [20822] = 19353,
  [20823] = 19395,
  [20824] = 20824,
  [20825] = 19359,
  [20826] = 19362,
  [20827] = 19363,
  [20828] = 19667,
  [20829] = 19342,
  [20830] = 19348,
  [20831] = 19395,
  [20832] = 19318,
  [20833] = 19643,
  [20834] = 19310,
  [20835] = 19312,
  [20836] = 19336,
  [20837] = 19322,
  [20838] = 19356,
  [20839] = 19331,
  [20840] = 19317,
  [20841] = 19335,
  [20842] = 19341,
  [20843] = 19309,
  [20844] = 19331,
  [20845] = 19322,
  [20846] = 19311,
  [20847] = 20585,
  [20848] = 19393,
  [20849] = 19667,
  [20850] = 19337,
  [20851] = 19338,
  [20852] = 19339,
  [20853] = 19340,
  [20854] = 20266,
  [20855] = 19336,
  [20856] = 19387,
  [20857] = 19313,
  [20858] = 19342,
  [20859] = 19353,
  [20860] = 19318,
  [20861] = 19363,
  [20862] = 20862,
  [20863] = 19348,
  [20864] = 19324,
  [20865] = 19317,
  [20866] = 19393,
  [20867] = 19353,
  [20868] = 19331,
  [20869] = 19322,
  [20870] = 19655,
  [20871] = 19337,
  [20872] = 19338,
  [20873] = 19339,
  [20874] = 19340,
  [20875] = 19319,
  [20876] = 19356,
  [20877] = 19322,
  [20878] = 19324,
  [20879] = 19363,
  [20880] = 19306,
  [20881] = 19335,
  [20882] = 19341,
  [20883] = 19304,
  [20884] = 19342,
  [20885] = 19679,
  [20886] = 19322,
  [20887] = 19336,
  [20888] = 19337,
  [20889] = 19338,
  [20890] = 19339,
  [20891] = 19340,
  [20892] = 19348,
  [20893] = 19348,
  [20894] = 19359,
  [20895] = 19667,
  [20896] = 19324,
  [20897] = 19362,
  [20898] = 19363,
  [20899] = 19338,
  [20900] = 19339,
  [20901] = 19340,
  [20902] = 19429,
  [20903] = 19336,
  [20904] = 19328,
  [20905] = 19335,
  [20906] = 19384,
  [20907] = 19335,
  [20908] = 19405,
  [20909] = 19338,
  [20910] = 19339,
  [20911] = 19340,
  [20912] = 19384,
  [20913] = 20913,
  [20914] = 19306,
  [20915] = 19309,
  [20916] = 19311,
  [20917] = 19313,
  [20918] = 19309,
  [20919] = 19338,
  [20920] = 19339,
  [20921] = 19340,
  [20922] = 19318,
  [20923] = 19328,
  [20924] = 19302,
  [20925] = 19308,
  [20926] = 19320,
  [20927] = 19310,
  [20928] = 19429,
  [20929] = 19338,
  [20930] = 19339,
  [20931] = 19340,
  [20932] = 19312,
  [20933] = 19324,
  [20934] = 19331,
  [20935] = 19311,
  [20936] = 19328,
  [20937] = 19317,
  [20938] = 19441,
  [20939] = 19338,
  [20940] = 19339,
  [20941] = 19340,
  [20942] = 19393,
  [20943] = 19313,
  [20944] = 19303,
  [20945] = 19318,
  [20946] = 19356,
  [20947] = 19337,
  [20948] = 19393,
  [20949] = 19338,
  [20950] = 19339,
  [20951] = 19340,
  [20952] = 19365,
  [20953] = 19341,
  [20954] = 19368,
  [20955] = 19354,
  [20956] = 19322,
  [20957] = 19328,
  [20958] = 19352,
  [20959] = 19338,
  [20960] = 19339,
  [20961] = 19340,
  [20962] = 19328,
  [20963] = 19342,
  [20964] = 19387,
  [20965] = 19348,
  [20966] = 19331,
  [20967] = 19352,
  [20968] = 19338,
  [20969] = 19338,
  [20970] = 19339,
  [20971] = 19340,
  [20972] = 19339,
  [20973] = 19340,
  [20974] = 19447,
  [20975] = 19405,
  [20976] = 19449,
  [20977] = 19546,
  [20978] = 19324,
  [20979] = 19338,
  [20980] = 19339,
  [20981] = 19340,
  [20982] = 19542,
  [20983] = 19356,
  [20984] = 20862,
  [20985] = 19337,
  [20986] = 19429,
  [20987] = 19338,
  [20988] = 19339,
  [20989] = 19338,
  [20990] = 19339,
  [20991] = 19340,
  [20992] = 19340,
  [20993] = 19542,
  [20994] = 19447,
  [20995] = 19449,
  [20996] = 19306,
  [20997] = 19459,
  [20998] = 19429,
  [20999] = 19338,
  [21000] = 19339,
  [21001] = 19340,
  [21002] = 19348,
  [21003] = 19429,
  [21004] = 19335,
  [21005] = 19542,
  [21006] = 19587,
  [21007] = 19344,
  [21008] = 19587,
  [21009] = 19338,
  [21010] = 19339,
  [21011] = 19340,
  [21012] = 19341,
  [21013] = 19319,
  [21014] = 19342,
  [21015] = 21015,
  [21016] = 19308,
  [21017] = 19459,
  [21018] = 21018,
  [21019] = 19642,
  [21020] = 19595,
  [21021] = 19384,
  [21022] = 19324,
  [21023] = 19314,
  [21024] = 19314,
  [21025] = 19352,
  [21026] = 19335,
  [21027] = 19328,
  [21028] = 19822,
  [21029] = 19587,
  [21030] = 19960,
  [21031] = 19542,
  [21032] = 19393,
  [21033] = 19344,
  [21034] = 19309,
  [21035] = 19311,
  [21036] = 19313,
  [21037] = 19318,
  [21038] = 19595,
  [21039] = 19331,
  [21040] = 19328,
  [21041] = 19319,
  [21042] = 19353,
  [21043] = 19302,
  [21044] = 19642,
  [21045] = 19336,
  [21046] = 19356,
  [21047] = 19341,
  [21048] = 21048,
  [21049] = 19354,
  [21050] = 19679,
  [21051] = 19595,
  [21052] = 19301,
  [21053] = 19359,
  [21054] = 19348,
  [21055] = 19341,
  [21056] = 19362,
  [21057] = 19363,
  [21058] = 19348,
  [21059] = 19302,
  [21060] = 19308,
  [21061] = 19342,
  [21062] = 20115,
  [21063] = 21063,
  [21064] = 19441,
  [21065] = 19301,
  [21066] = 19324,
  [21067] = 19587,
  [21068] = 19335,
  [21069] = 19344,
  [21070] = 19352,
  [21071] = 19310,
  [21072] = 21072,
  [21073] = 19312,
  [21074] = 19319,
  [21075] = 19643,
  [21076] = 19301,
  [21077] = 21077,
  [21078] = 19317,
  [21079] = 21079,
  [21080] = 19642,
  [21081] = 19393,
  [21082] = 19393,
  [21083] = 19587,
  [21084] = 19595,
  [21085] = 19328,
  [21086] = 19365,
  [21087] = 19321,
  [21088] = 19368,
  [21089] = 19587,
  [21090] = 19344,
  [21091] = 19319,
  [21092] = 19348,
  [21093] = 19354,
  [21094] = 19322,
  [21095] = 19356,
  [21096] = 19321,
  [21097] = 21072,
  [21098] = 19643,
  [21099] = 19595,
  [21100] = 19341,
  [21101] = 19356,
  [21102] = 19328,
  [21103] = 21103,
  [21104] = 19342,
  [21105] = 19643,
  [21106] = 19344,
  [21107] = 19324,
  [21108] = 19667,
  [21109] = 21072,
  [21110] = 19354,
  [21111] = 19341,
  [21112] = 19352,
  [21113] = 19345,
  [21114] = 19405,
  [21115] = 21115,
  [21116] = 19301,
  [21117] = 19336,
  [21118] = 19352,
  [21119] = 19314,
  [21120] = 19321,
  [21121] = 19301,
  [21122] = 19319,
  [21123] = 19441,
  [21124] = 19321,
  [21125] = 19643,
  [21126] = 19643,
  [21127] = 19301,
  [21128] = 19337,
  [21129] = 19338,
  [21130] = 19667,
  [21131] = 20115,
  [21132] = 19303,
  [21133] = 19339,
  [21134] = 19340,
  [21135] = 19338,
  [21136] = 19447,
  [21137] = 21137,
  [21138] = 19449,
  [21139] = 19328,
  [21140] = 19314,
  [21141] = 19336,
  [21142] = 19667,
  [21143] = 19459,
  [21144] = 19429,
  [21145] = 19336,
  [21146] = 19542,
  [21147] = 19441,
  [21148] = 19303,
  [21149] = 19306,
  [21150] = 19308,
  [21151] = 19342,
  [21152] = 19314,
  [21153] = 19354,
  [21154] = 19340,
  [21155] = 19542,
  [21156] = 19306,
  [21157] = 19667,
  [21158] = 19595,
  [21159] = 21159,
  [21160] = 19328,
  [21161] = 19352,
  [21162] = 19308,
  [21163] = 19667,
  [21164] = 19587,
  [21165] = 19344,
  [21166] = 19319,
  [21167] = 19875,
  [21168] = 19891,
  [21169] = 19900,
  [21170] = 19302,
  [21171] = 19301,
  [21172] = 19321,
  [21173] = 19328,
  [21174] = 19335,
  [21175] = 19441,
  [21176] = 19303,
  [21177] = 19306,
  [21178] = 19308,
  [21179] = 19346,
  [21180] = 19595,
  [21181] = 19587,
  [21182] = 19314,
  [21183] = 21079,
  [21184] = 19643,
  [21185] = 19314,
  [21186] = 19393,
  [21187] = 19441,
  [21188] = 19350,
  [21189] = 19441,
  [21190] = 19393,
  [21191] = 19303,
  [21192] = 19356,
  [21193] = 19306,
  [21194] = 19341,
  [21195] = 21159,
  [21196] = 19345,
  [21197] = 19354,
  [21198] = 19441,
  [21199] = 19358,
  [21200] = 19342,
  [21201] = 19303,
  [21202] = 19306,
  [21203] = 19308,
  [21204] = 19314,
  [21205] = 19328,
  [21206] = 19367,
  [21207] = 19308,
  [21208] = 19314,
  [21209] = 19303,
  [21210] = 19306,
  [21211] = 19352,
  [21212] = 19301,
  [21213] = 19321,
  [21214] = 19304,
  [21215] = 19308,
  [21216] = 19324,
  [21217] = 19344,
  [21218] = 19346,
  [21219] = 19302,
  [21220] = 19384,
  [21221] = 19309,
  [21222] = 19311,
  [21223] = 19313,
  [21224] = 19318,
  [21225] = 19324,
  [21226] = 20039,
  [21227] = 19667,
  [21228] = 19331,
  [21229] = 19314,
  [21230] = 19643,
  [21231] = 19353,
  [21232] = 19335,
  [21233] = 19336,
  [21234] = 19587,
  [21235] = 19344,
  [21236] = 19348,
  [21237] = 19667,
  [21238] = 19642,
  [21239] = 19679,
  [21240] = 19319,
  [21241] = 19335,
  [21242] = 19336,
  [21243] = 19304,
  [21244] = 19316,
  [21245] = 19335,
  [21246] = 19359,
  [21247] = 19345,
  [21248] = 19345,
  [21249] = 19341,
  [21250] = 19362,
  [21251] = 21072,
  [21252] = 19363,
  [21253] = 19542,
  [21254] = 19302,
  [21255] = 19587,
  [21256] = 21256,
  [21257] = 19319,
  [21258] = 19303,
  [21259] = 19407,
  [21260] = 19336,
  [21261] = 19393,
  [21262] = 19306,
  [21263] = 19356,
  [21264] = 19303,
  [21265] = 19306,
  [21266] = 19308,
  [21267] = 19345,
  [21268] = 19408,
  [21269] = 21137,
  [21270] = 19308,
  [21271] = 19314,
  [21272] = 19341,
  [21273] = 19342,
  [21274] = 19587,
  [21275] = 19314,
  [21276] = 19324,
  [21277] = 19302,
  [21278] = 19344,
  [21279] = 19302,
  [21280] = 19310,
  [21281] = 21159,
  [21282] = 19344,
  [21283] = 19312,
  [21284] = 19875,
  [21285] = 19891,
  [21286] = 19900,
  [21287] = 19335,
  [21288] = 19304,
  [21289] = 19319,
  [21290] = 19304,
  [21291] = 19319,
  [21292] = 19354,
  [21293] = 19302,
  [21294] = 19328,
  [21295] = 19317,
  [21296] = 21079,
  [21297] = 19302,
  [21298] = 19352,
  [21299] = 19542,
  [21300] = 20266,
  [21301] = 19354,
  [21302] = 19542,
  [21303] = 19427,
  [21304] = 19302,
  [21305] = 6187,
  [21306] = 19595,
  [21307] = 19587,
  [21308] = 19344,
  [21309] = 19328,
  [21310] = 19441,
  [21311] = 19303,
  [21312] = 19319,
  [21313] = 19342,
  [21314] = 19365,
  [21315] = 19434,
  [21316] = 21316,
  [21317] = 19595,
  [21318] = 19350,
  [21319] = 19358,
  [21320] = 19384,
  [21321] = 19368,
  [21322] = 19306,
  [21323] = 19595,
  [21324] = 19308,
  [21325] = 19322,
  [21326] = 21072,
  [21327] = 19344,
  [21328] = 19384,
  [21329] = 19367,
  [21330] = 19302,
  [21331] = 19616,
  [21332] = 19328,
  [21333] = 19354,
  [21334] = 19384,
  [21335] = 19301,
  [21336] = 19354,
  [21337] = 19309,
  [21338] = 19311,
  [21339] = 19595,
  [21340] = 19595,
  [21341] = 19313,
  [21342] = 19405,
  [21343] = 21137,
  [21344] = 6209,
  [21345] = 19321,
  [21346] = 19352,
  [21347] = 19301,
  [21348] = 19321,
  [21349] = 19643,
  [21350] = 21350,
  [21351] = 19667,
  [21352] = 19643,
  [21353] = 19336,
  [21354] = 19319,
  [21355] = 21159,
  [21356] = 19587,
  [21357] = 19318,
  [21358] = 19875,
  [21359] = 19891,
  [21360] = 19900,
  [21361] = 19337,
  [21362] = 19338,
  [21363] = 19331,
  [21364] = 19339,
  [21365] = 19340,
  [21366] = 19441,
  [21367] = 19303,
  [21368] = 19306,
  [21369] = 19308,
  [21370] = 21079,
  [21371] = 19447,
  [21372] = 19314,
  [21373] = 19449,
  [21374] = 19348,
  [21375] = 19344,
  [21376] = 19459,
  [21377] = 19319,
  [21378] = 19302,
  [21379] = 21379,
  [21380] = 19346,
  [21381] = 19345,
  [21382] = 21382,
  [21383] = 19335,
  [21384] = 19595,
  [21385] = 19354,
  [21386] = 19318,
  [21387] = 20039,
  [21388] = 19304,
  [21389] = 19822,
  [21390] = 19407,
  [21391] = 19354,
  [21392] = 19408,
  [21393] = 19542,
  [21394] = 19960,
  [21395] = 21072,
  [21396] = 19595,
  [21397] = 19302,
  [21398] = 19393,
  [21399] = 19311,
  [21400] = 19309,
  [21401] = 21401,
  [21402] = 19354,
  [21403] = 19356,
  [21404] = 19427,
  [21405] = 19331,
  [21406] = 21137,
  [21407] = 19356,
  [21408] = 19341,
  [21409] = 19342,
  [21410] = 19822,
  [21411] = 21159,
  [21412] = 19434,
  [21413] = 19875,
  [21414] = 19891,
  [21415] = 19900,
  [21416] = 19324,
  [21417] = 19384,
  [21418] = 21079,
  [21419] = 19542,
  [21420] = 19642,
  [21421] = 20774,
  [21422] = 19335,
  [21423] = 21423,
  [21424] = 19352,
  [21425] = 19301,
  [21426] = 19321,
  [21427] = 19822,
  [21428] = 19328,
  [21429] = 19643,
  [21430] = 19384,
  [21431] = 19328,
  [21432] = 19587,
  [21433] = 21072,
  [21434] = 19429,
  [21435] = 19384,
  [21436] = 19344,
  [21437] = 21137,
  [21438] = 19319,
  [21439] = 19587,
  [21440] = 19313,
  [21441] = 19822,
  [21442] = 19309,
  [21443] = 19356,
  [21444] = 21137,
  [21445] = 19353,
  [21446] = 19301,
  [21447] = 19309,
  [21448] = 19341,
  [21449] = 21159,
  [21450] = 19587,
  [21451] = 19875,
  [21452] = 19891,
  [21453] = 19900,
  [21454] = 19344,
  [21455] = 19384,
  [21456] = 19667,
  [21457] = 20115,
  [21458] = 19331,
  [21459] = 19384,
  [21460] = 19309,
  [21461] = 20824,
  [21462] = 21462,
  [21463] = 19319,
  [21464] = 19616,
  [21465] = 21072,
  [21466] = 9446,
  [21467] = 19311,
  [21468] = 19313,
  [21469] = 19311,
  [21470] = 19679,
  [21471] = 19441,
  [21472] = 19318,
  [21473] = 19313,
  [21474] = 19331,
  [21475] = 21137,
  [21476] = 19342,
  [21477] = 19359,
  [21478] = 19336,
  [21479] = 19595,
  [21480] = 21159,
  [21481] = 19595,
  [21482] = 19875,
  [21483] = 19891,
  [21484] = 19900,
  [21485] = 19318,
  [21486] = 19362,
  [21487] = 19348,
  [21488] = 19314,
  [21489] = 19384,
  [21490] = 19363,
  [21491] = 19354,
  [21492] = 19352,
  [21493] = 19335,
  [21494] = 19311,
  [21495] = 19441,
  [21496] = 21072,
  [21497] = 19317,
  [21498] = 19331,
  [21499] = 19354,
  [21500] = 19642,
  [21501] = 19387,
  [21502] = 19313,
  [21503] = 21137,
  [21504] = 19311,
  [21505] = 19822,
  [21506] = 21159,
  [21507] = 19875,
  [21508] = 19891,
  [21509] = 19900,
  [21510] = 19318,
  [21511] = 19313,
  [21512] = 19960,
  [21513] = 19441,
  [21514] = 19348,
  [21515] = 19303,
  [21516] = 19328,
  [21517] = 19354,
  [21518] = 21518,
  [21519] = 19306,
  [21520] = 19310,
  [21521] = 21072,
  [21522] = 14296,
  [21523] = 19341,
  [21524] = 19352,
  [21525] = 19341,
  [21526] = 19309,
  [21527] = 19393,
  [21528] = 21137,
  [21529] = 19312,
  [21530] = 21159,
  [21531] = 19875,
  [21532] = 19891,
  [21533] = 19900,
  [21534] = 19344,
  [21535] = 19364,
  [21536] = 19342,
  [21537] = 19308,
  [21538] = 19356,
  [21539] = 19301,
  [21540] = 19384,
  [21541] = 21072,
  [21542] = 19317,
  [21543] = 19348,
  [21544] = 19341,
  [21545] = 19309,
  [21546] = 19321,
  [21547] = 19342,
  [21548] = 21137,
  [21549] = 19311,
  [21550] = 21159,
  [21551] = 19875,
  [21552] = 19891,
  [21553] = 19900,
  [21554] = 19319,
  [21555] = 19313,
  [21556] = 19311,
  [21557] = 19354,
  [21558] = 19643,
  [21559] = 19318,
  [21560] = 19365,
  [21561] = 21072,
  [21562] = 19314,
  [21563] = 19667,
  [21564] = 19368,
  [21565] = 19303,
  [21566] = 19324,
  [21567] = 21137,
  [21568] = 19322,
  [21569] = 21159,
  [21570] = 19875,
  [21571] = 19891,
  [21572] = 19900,
  [21573] = 19313,
  [21574] = 19318,
  [21575] = 19384,
  [21576] = 19342,
  [21577] = 19309,
  [21578] = 19336,
  [21579] = 19331,
  [21580] = 21072,
  [21581] = 21581,
  [21582] = 19318,
  [21583] = 19642,
  [21584] = 19642,
  [21585] = 19348,
  [21586] = 21137,
  [21587] = 19309,
  [21588] = 21159,
  [21589] = 19875,
  [21590] = 19891,
  [21591] = 19900,
  [21592] = 19331,
  [21593] = 19546,
  [21594] = 19328,
  [21595] = 19405,
  [21596] = 19331,
  [21597] = 19301,
  [21598] = 19311,
  [21599] = 19352,
  [21600] = 19348,
  [21601] = 19331,
  [21602] = 19344,
  [21603] = 21137,
  [21604] = 19302,
  [21605] = 21159,
  [21606] = 19875,
  [21607] = 19891,
  [21608] = 19900,
  [21609] = 19542,
  [21610] = 19337,
  [21611] = 19338,
  [21612] = 19339,
  [21613] = 19340,
  [21614] = 19303,
  [21615] = 19306,
  [21616] = 19308,
  [21617] = 19447,
  [21618] = 19449,
  [21619] = 19352,
  [21620] = 21137,
  [21621] = 19459,
  [21622] = 21159,
  [21623] = 19875,
  [21624] = 19891,
  [21625] = 19900,
  [21626] = 19314,
  [21627] = 19335,
  [21628] = 19348,
  [21629] = 19313,
  [21630] = 19587,
  [21631] = 19318,
  [21632] = 19344,
  [21633] = 19364,
  [21634] = 19324,
  [21635] = 19331,
  [21636] = 19384,
  [21637] = 21137,
  [21638] = 19667,
  [21639] = 21159,
  [21640] = 19875,
  [21641] = 19891,
  [21642] = 19900,
  [21643] = 19319,
  [21644] = 19354,
  [21645] = 19335,
  [21646] = 19306,
  [21647] = 19302,
  [21648] = 19542,
  [21649] = 19822,
  [21650] = 19308,
  [21651] = 19822,
  [21652] = 19314,
  [21653] = 19542,
  [21654] = 21137,
  [21655] = 19348,
  [21656] = 21159,
  [21657] = 19875,
  [21658] = 19891,
  [21659] = 19900,
  [21660] = 19960,
  [21661] = 19309,
  [21662] = 19311,
  [21663] = 19364,
  [21664] = 19313,
  [21665] = 19301,
  [21666] = 19318,
  [21667] = 19595,
  [21668] = 19331,
  [21669] = 19348,
  [21670] = 19393,
  [21671] = 21137,
  [21672] = 19587,
  [21673] = 21159,
  [21674] = 19875,
  [21675] = 19891,
  [21676] = 19900,
  [21677] = 19408,
  [21678] = 19348,
  [21679] = 19335,
  [21680] = 19344,
  [21681] = 19319,
  [21682] = 19960,
  [21683] = 19335,
  [21684] = 19321,
  [21685] = 19335,
  [21686] = 19304,
  [21687] = 19384,
  [21688] = 21137,
  [21689] = 19321,
  [21690] = 21159,
  [21691] = 19875,
  [21692] = 19891,
  [21693] = 19900,
  [21694] = 19335,
  [21695] = 19314,
  [21696] = 19352,
  [21697] = 19301,
  [21698] = 19309,
  [21699] = 19321,
  [21700] = 19393,
  [21701] = 19384,
  [21702] = 19960,
  [21703] = 19309,
  [21704] = 21137,
  [21705] = 20266,
  [21706] = 21159,
  [21707] = 19875,
  [21708] = 19891,
  [21709] = 19900,
  [21710] = 19311,
  [21711] = 19354,
  [21712] = 19354,
  [21713] = 19642,
  [21714] = 19313,
  [21715] = 19353,
  [21716] = 19643,
  [21717] = 19318,
  [21718] = 19643,
  [21719] = 19393,
  [21720] = 21137,
  [21721] = 19356,
  [21722] = 21159,
  [21723] = 19875,
  [21724] = 19891,
  [21725] = 19900,
  [21726] = 19356,
  [21727] = 19331,
  [21728] = 19679,
  [21729] = 19393,
  [21730] = 19393,
  [21731] = 19643,
  [21732] = 19356,
  [21733] = 19352,
  [21734] = 19336,
  [21735] = 19341,
  [21736] = 21137,
  [21737] = 19359,
  [21738] = 21159,
  [21739] = 19875,
  [21740] = 19891,
  [21741] = 19900,
  [21742] = 19342,
  [21743] = 19348,
  [21744] = 19302,
  [21745] = 19301,
  [21746] = 19362,
  [21747] = 19324,
  [21748] = 19321,
  [21749] = 19643,
  [21750] = 19363,
  [21751] = 19352,
  [21752] = 21137,
  [21753] = 19301,
  [21754] = 21159,
  [21755] = 19875,
  [21756] = 19891,
  [21757] = 19900,
  [21758] = 19348,
  [21759] = 21759,
  [21760] = 19309,
  [21761] = 19341,
  [21762] = 19356,
  [21763] = 19341,
  [21764] = 19309,
  [21765] = 19667,
  [21766] = 19342,
  [21767] = 19335,
  [21768] = 21137,
  [21769] = 19330,
  [21770] = 19875,
  [21771] = 19891,
  [21772] = 19900,
  [21773] = 19336,
  [21774] = 19311,
  [21775] = 19667,
  [21776] = 19335,
  [21777] = 19667,
  [21778] = 19310,
  [21779] = 19353,
  [21780] = 19341,
  [21781] = 19324,
  [21782] = 19312,
  [21783] = 21137,
  [21784] = 19321,
  [21785] = 19875,
  [21786] = 19891,
  [21787] = 19900,
  [21788] = 19546,
  [21789] = 19342,
  [21790] = 19395,
  [21791] = 19384,
  [21792] = 19317,
  [21793] = 19311,
  [21794] = 19318,
  [21795] = 19393,
  [21796] = 19342,
  [21797] = 19643,
  [21798] = 21137,
  [21799] = 19331,
  [21800] = 19875,
  [21801] = 19891,
  [21802] = 19900,
  [21803] = 19441,
  [21804] = 19356,
  [21805] = 19595,
  [21806] = 19303,
  [21807] = 19324,
  [21808] = 21808,
  [21809] = 19306,
  [21810] = 19308,
  [21811] = 19365,
  [21812] = 19341,
  [21813] = 21137,
  [21814] = 19309,
  [21815] = 19875,
  [21816] = 19891,
  [21817] = 19900,
  [21818] = 19429,
  [21819] = 19368,
  [21820] = 19311,
  [21821] = 19314,
  [21822] = 19342,
  [21823] = 19616,
  [21824] = 19322,
  [21825] = 19324,
  [21826] = 19335,
  [21827] = 19324,
  [21828] = 21137,
  [21829] = 19345,
  [21830] = 19875,
  [21831] = 19891,
  [21832] = 19900,
  [21833] = 19352,
  [21834] = 19313,
  [21835] = 19301,
  [21836] = 19341,
  [21837] = 19328,
  [21838] = 19328,
  [21839] = 19342,
  [21840] = 19405,
  [21841] = 19318,
  [21842] = 19321,
  [21843] = 21137,
  [21844] = 19667,
  [21845] = 19875,
  [21846] = 19891,
  [21847] = 19900,
  [21848] = 19336,
  [21849] = 19354,
  [21850] = 19356,
  [21851] = 19393,
  [21852] = 19337,
  [21853] = 19338,
  [21854] = 19339,
  [21855] = 19340,
  [21856] = 19447,
  [21857] = 19542,
  [21858] = 21137,
  [21859] = 19449,
  [21860] = 19875,
  [21861] = 19891,
  [21862] = 19900,
  [21863] = 19328,
  [21864] = 19344,
  [21865] = 19459,
  [21866] = 19393,
  [21867] = 19319,
  [21868] = 19336,
  [21869] = 19587,
  [21870] = 19344,
  [21871] = 19643,
  [21872] = 19319,
  [21873] = 21137,
  [21874] = 19331,
  [21875] = 19875,
  [21876] = 19891,
  [21877] = 19900,
  [21878] = 19336,
  [21879] = 19352,
  [21880] = 19595,
  [21881] = 19318,
  [21882] = 19321,
  [21883] = 19441,
  [21884] = 20266,
  [21885] = 19384,
  [21886] = 19328,
  [21887] = 19348,
  [21888] = 21137,
  [21889] = 19667,
  [21890] = 19875,
  [21891] = 19891,
  [21892] = 19900,
  [21893] = 19309,
  [21894] = 19311,
  [21895] = 19324,
  [21896] = 19311,
  [21897] = 21115,
  [21898] = 20517,
  [21899] = 19330,
  [21900] = 19313,
  [21901] = 19345,
  [21902] = 19356,
  [21903] = 21137,
  [21904] = 19314,
  [21905] = 19875,
  [21906] = 19891,
  [21907] = 19900,
  [21908] = 19546,
  [21909] = 19302,
  [21910] = 19542,
  [21911] = 19356,
  [21912] = 19335,
  [21913] = 19595,
  [21914] = 19587,
  [21915] = 20266,
  [21916] = 19328,
  [21917] = 19344,
  [21918] = 21137,
  [21919] = 19341,
  [21920] = 19875,
  [21921] = 19891,
  [21922] = 19900,
  [21923] = 19341,
  [21924] = 19342,
  [21925] = 19352,
  [21926] = 19667,
  [21927] = 19319,
  [21928] = 21928,
  [21929] = 19302,
  [21930] = 19345,
  [21931] = 19328,
  [21932] = 19336,
  [21933] = 21137,
  [21934] = 19353,
  [21935] = 19875,
  [21936] = 19891,
  [21937] = 19900,
  [21938] = 19587,
  [21939] = 20517,
  [21940] = 19354,
  [21941] = 19344,
  [21942] = 19595,
  [21943] = 19319,
  [21944] = 19324,
  [21945] = 19429,
  [21946] = 19642,
  [21947] = 19395,
  [21948] = 21137,
  [21949] = 19324,
  [21950] = 19875,
  [21951] = 19891,
  [21952] = 19900,
  [21953] = 19359,
  [21954] = 19346,
  [21955] = 21955,
  [21956] = 19362,
  [21957] = 19363,
  [21958] = 19642,
  [21959] = 19642,
  [21960] = 19341,
  [21961] = 19342,
  [21962] = 21962,
  [21963] = 21137,
  [21964] = 19595,
  [21965] = 19875,
  [21966] = 19891,
  [21967] = 19900,
  [21968] = 19393,
  [21969] = 19441,
  [21970] = 19542,
  [21971] = 19356,
  [21972] = 19354,
  [21973] = 19302,
  [21974] = 19303,
  [21975] = 19364,
  [21976] = 19587,
  [21977] = 19393,
  [21978] = 21137,
  [21979] = 19310,
  [21980] = 19875,
  [21981] = 19891,
  [21982] = 19900,
  [21983] = 19341,
  [21984] = 19328,
  [21985] = 19312,
  [21986] = 19679,
  [21987] = 19434,
  [21988] = 19364,
  [21989] = 19306,
  [21990] = 19354,
  [21991] = 19303,
  [21992] = 19342,
  [21993] = 21137,
  [21994] = 19317,
  [21995] = 19875,
  [21996] = 19891,
  [21997] = 19900,
  [21998] = 19352,
  [21999] = 19301,
  [22000] = 19587,
  [22001] = 19985,
  [22002] = 19321,
  [22003] = 19643,
  [22004] = 19344,
  [22005] = 19319,
  [22006] = 19320,
  [22007] = 19352,
  [22008] = 19342,
  [22009] = 19875,
  [22010] = 19891,
  [22011] = 19900,
  [22012] = 19301,
  [22013] = 19321,
  [22014] = 19365,
  [22015] = 19643,
  [22016] = 19667,
  [22017] = 19318,
  [22018] = 20824,
  [22019] = 19667,
  [22020] = 19368,
  [22021] = 19395,
  [22022] = 19324,
  [22023] = 19875,
  [22024] = 19891,
  [22025] = 19900,
  [22026] = 19322,
  [22027] = 19356,
  [22028] = 19960,
  [22029] = 19352,
  [22030] = 19336,
  [22031] = 19595,
  [22032] = 19364,
  [22033] = 19301,
  [22034] = 19331,
  [22035] = 19354,
  [22036] = 19321,
  [22037] = 19875,
  [22038] = 19891,
  [22039] = 19900,
  [22040] = 19405,
  [22041] = 19336,
  [22042] = 19335,
  [22043] = 19308,
  [22044] = 19643,
  [22045] = 19314,
  [22046] = 19384,
  [22047] = 19309,
  [22048] = 19306,
  [22049] = 19358,
  [22050] = 19313,
  [22051] = 19875,
  [22052] = 19891,
  [22053] = 19900,
  [22054] = 19337,
  [22055] = 19311,
  [22056] = 19338,
  [22057] = 19313,
  [22058] = 19303,
  [22059] = 19318,
  [22060] = 19339,
  [22061] = 19331,
  [22062] = 19340,
  [22063] = 21103,
  [22064] = 19447,
  [22065] = 19875,
  [22066] = 19891,
  [22067] = 19900,
  [22068] = 19449,
  [22069] = 19306,
  [22070] = 19341,
  [22071] = 19459,
  [22072] = 19308,
  [22073] = 19348,
  [22074] = 19314,
  [22075] = 19342,
  [22076] = 19384,
  [22077] = 19642,
  [22078] = 19344,
  [22079] = 19875,
  [22080] = 19891,
  [22081] = 19900,
  [22082] = 19642,
  [22083] = 19313,
  [22084] = 19341,
  [22085] = 22085,
  [22086] = 19985,
  [22087] = 19319,
  [22088] = 19354,
  [22089] = 19354,
  [22090] = 19667,
  [22091] = 19352,
  [22092] = 19318,
  [22093] = 19875,
  [22094] = 19891,
  [22095] = 19900,
  [22096] = 20115,
  [22097] = 19367,
  [22098] = 19352,
  [22099] = 19335,
  [22100] = 19302,
  [22101] = 19328,
  [22102] = 19352,
  [22103] = 19301,
  [22104] = 19301,
  [22105] = 19321,
  [22106] = 19643,
  [22107] = 19875,
  [22108] = 19891,
  [22109] = 19900,
  [22110] = 19324,
  [22111] = 19542,
  [22112] = 19395,
  [22113] = 19318,
  [22114] = 19352,
  [22115] = 19441,
  [22116] = 19303,
  [22117] = 19306,
  [22118] = 20824,
  [22119] = 19308,
  [22120] = 19667,
  [22121] = 19875,
  [22122] = 19891,
  [22123] = 19900,
  [22124] = 19346,
  [22125] = 20039,
  [22126] = 19395,
  [22127] = 19308,
  [22128] = 19359,
  [22129] = 19314,
  [22130] = 19314,
  [22131] = 19822,
  [22132] = 19352,
  [22133] = 19321,
  [22134] = 19353,
  [22135] = 19875,
  [22136] = 19891,
  [22137] = 19900,
  [22138] = 19643,
  [22139] = 19314,
  [22140] = 19302,
  [22141] = 19384,
  [22142] = 19309,
  [22143] = 19316,
  [22144] = 19393,
  [22145] = 19301,
  [22146] = 19667,
  [22147] = 19359,
  [22148] = 19313,
  [22149] = 19875,
  [22150] = 19891,
  [22151] = 19900,
  [22152] = 19321,
  [22153] = 19311,
  [22154] = 19362,
  [22155] = 19363,
  [22156] = 19313,
  [22157] = 19643,
  [22158] = 19318,
  [22159] = 19314,
  [22160] = 19318,
  [22161] = 19345,
  [22162] = 19336,
  [22163] = 19875,
  [22164] = 19891,
  [22165] = 19900,
  [22166] = 19331,
  [22167] = 19356,
  [22168] = 19303,
  [22169] = 19342,
  [22170] = 19875,
  [22171] = 19891,
  [22172] = 19900,
  [22173] = 19336,
  [22174] = 19331,
  [22175] = 19667,
  [22176] = 19384,
  [22177] = 19875,
  [22178] = 19891,
  [22179] = 19900,
  [22180] = 19335,
  [22181] = 19310,
  [22182] = 19875,
  [22183] = 19891,
  [22184] = 19900,
  [22185] = 19384,
  [22186] = 19312,
  [22187] = 19875,
  [22188] = 19891,
  [22189] = 19900,
  [22190] = 19309,
  [22191] = 19311,
  [22192] = 19875,
  [22193] = 19891,
  [22194] = 19900,
  [22195] = 19319,
  [22196] = 19313,
  [22197] = 19875,
  [22198] = 19891,
  [22199] = 19900,
  [22200] = 19317,
  [22201] = 19348,
  [22202] = 19875,
  [22203] = 19891,
  [22204] = 19900,
  [22205] = 19336,
  [22206] = 19318,
  [22207] = 19875,
  [22208] = 19891,
  [22209] = 19900,
  [22210] = 19328,
  [22211] = 19341,
  [22212] = 19875,
  [22213] = 19891,
  [22214] = 19900,
  [22215] = 19365,
  [22216] = 19587,
  [22217] = 19875,
  [22218] = 19891,
  [22219] = 19900,
  [22220] = 19368,
  [22221] = 19344,
  [22222] = 19875,
  [22223] = 19891,
  [22224] = 19900,
  [22225] = 19322,
  [22226] = 19319,
  [22227] = 19875,
  [22228] = 19891,
  [22229] = 19900,
  [22230] = 19354,
  [22231] = 19342,
  [22232] = 19875,
  [22233] = 19891,
  [22234] = 19900,
  [22235] = 19344,
  [22236] = 6167,
  [22237] = 19875,
  [22238] = 19891,
  [22239] = 19900,
  [22240] = 19319,
  [22241] = 19352,
  [22242] = 19356,
  [22243] = 19314,
  [22244] = 19405,
  [22245] = 19306,
  [22246] = 19595,
  [22247] = 19301,
  [22248] = 19336,
  [22249] = 19302,
  [22250] = 19336,
  [22251] = 19337,
  [22252] = 19338,
  [22253] = 19339,
  [22254] = 19340,
  [22255] = 19447,
  [22256] = 19449,
  [22257] = 19302,
  [22258] = 19459,
  [22259] = 19321,
  [22260] = 21316,
  [22261] = 19643,
  [22262] = 21379,
  [22263] = 19587,
  [22264] = 21382,
  [22265] = 20285,
  [22266] = 21401,
  [22267] = 19318,
  [22268] = 19341,
  [22269] = 19350,
  [22270] = 19358,
  [22271] = 21063,
  [22272] = 19344,
  [22273] = 19331,
  [22274] = 19348,
  [22275] = 19342,
  [22276] = 19587,
  [22277] = 19319,
  [22278] = 19335,
  [22279] = 20517,
  [22280] = 21048,
  [22281] = 19302,
  [22282] = 21103,
  [22283] = 19335,
  [22284] = 21379,
  [22285] = 19341,
  [22286] = 21759,
  [22287] = 21103,
  [22288] = 19429,
  [22289] = 19324,
  [22290] = 19384,
  [22291] = 19316,
  [22292] = 19595,
  [22293] = 19324,
  [22294] = 19342,
  [22295] = 19441,
  [22296] = 19303,
  [22297] = 19344,
  [22298] = 19441,
  [22299] = 20285,
  [22300] = 21401,
  [22301] = 21063,
  [22302] = 19367,
  [22303] = 19303,
  [22304] = 21048,
  [22305] = 19354,
  [22306] = 19441,
  [22307] = 19393,
  [22308] = 19328,
  [22309] = 19328,
  [22310] = 19306,
  [22311] = 19309,
  [22312] = 19356,
  [22313] = 19306,
  [22314] = 19341,
  [22315] = 19342,
  [22316] = 19353,
  [22317] = 20285,
  [22318] = 21401,
  [22319] = 21063,
  [22320] = 19308,
  [22321] = 19303,
  [22322] = 21048,
  [22323] = 19319,
  [22324] = 19542,
  [22325] = 19314,
  [22326] = 19306,
  [22327] = 19308,
  [22328] = 19324,
  [22329] = 19353,
  [22330] = 19587,
  [22331] = 20285,
  [22332] = 19344,
  [22333] = 21048,
  [22334] = 19319,
  [22335] = 19359,
  [22336] = 19308,
  [22337] = 19311,
  [22338] = 19595,
  [22339] = 19331,
  [22340] = 19655,
  [22341] = 20285,
  [22342] = 20762,
  [22343] = 19362,
  [22344] = 20285,
  [22345] = 19363,
  [22346] = 19542,
  [22347] = 20285,
  [22348] = 19354,
  [22349] = 19346,
  [22350] = 20285,
  [22351] = 20285,
  [22352] = 20285,
  [22353] = 20285,
  [22354] = 20285,
  [22355] = 20285,
  [22356] = 20285,
  [22357] = 20285,
  [22358] = 20285,
  [22359] = 20285,
  [22360] = 20285,
  [22361] = 20285,
  [22362] = 20285,
  [22363] = 20285,
  [22364] = 20285,
  [22365] = 20285,
  [22366] = 20285,
  [22367] = 20285,
  [22368] = 20285,
  [22369] = 20285,
  [22370] = 20285,
  [22371] = 20285,
  [22372] = 20285,
  [22373] = 20285,
  [22374] = 20285,
  [22375] = 20285,
  [22376] = 20285,
  [22377] = 20285,
  [22378] = 20285,
  [22379] = 20285,
  [22380] = 20285,
  [22381] = 20285,
  [22382] = 20285,
  [22383] = 20285,
  [22384] = 20285,
  [22385] = 20285,
  [22386] = 20285,
  [22387] = 20285,
  [22388] = 20285,
  [22389] = 20285,
  [22390] = 20285,
  [22391] = 20285,
  [22392] = 20285,
  [22393] = 20285,
  [22394] = 20285,
  [22395] = 20285,
  [22396] = 20285,
  [22397] = 20285,
  [22398] = 20285,
  [22399] = 20285,
  [22400] = 20285,
  [22401] = 20285,
  [22402] = 20285,
  [22403] = 20285,
  [22404] = 20285,
  [22405] = 20285,
  [22406] = 19314,
  [22407] = 22085,
  [22408] = 19352,
  [22409] = 19557,
  [22410] = 20762,
  [22411] = 19393,
  [22412] = 19313,
  [22413] = 19331,
  [22414] = 21103,
  [22415] = 19393,
  [22416] = 19352,
  [22417] = 19301,
  [22418] = 19321,
  [22419] = 19352,
  [22420] = 19643,
  [22421] = 20115,
  [22422] = 19301,
  [22423] = 19667,
  [22424] = 19321,
  [22425] = 19336,
  [22426] = 22085,
  [22427] = 19557,
  [22428] = 19314,
  [22429] = 19328,
  [22430] = 19310,
  [22431] = 19429,
  [22432] = 19312,
  [22433] = 19441,
  [22434] = 22085,
  [22435] = 19557,
  [22436] = 19303,
  [22437] = 19306,
  [22438] = 19308,
  [22439] = 19314,
  [22440] = 19318,
  [22441] = 19587,
  [22442] = 19324,
  [22443] = 19328,
  [22444] = 19311,
  [22445] = 19344,
  [22446] = 19302,
  [22447] = 20289,
  [22448] = 19319,
  [22449] = 19302,
  [22450] = 19317,
  [22451] = 19667,
  [22452] = 19642,
  [22453] = 19679,
  [22454] = 20039,
  [22455] = 19318,
  [22456] = 19643,
  [22457] = 19322,
  [22458] = 19960,
  [22459] = 19587,
  [22460] = 19667,
  [22461] = 19595,
  [22462] = 21423,
  [22463] = 19359,
  [22464] = 19336,
  [22465] = 19344,
  [22466] = 19319,
  [22467] = 19348,
  [22468] = 19447,
  [22469] = 19595,
  [22470] = 19345,
  [22471] = 19345,
  [22472] = 19331,
  [22473] = 19304,
  [22474] = 19362,
  [22475] = 19384,
  [22476] = 19441,
  [22477] = 19344,
  [22478] = 19354,
  [22479] = 19309,
  [22480] = 19311,
  [22481] = 19354,
  [22482] = 19313,
  [22483] = 19363,
  [22484] = 19441,
  [22485] = 19318,
  [22486] = 19309,
  [22487] = 19303,
  [22488] = 19331,
  [22489] = 19449,
  [22490] = 19337,
  [22491] = 19338,
  [22492] = 19348,
  [22493] = 19408,
  [22494] = 19542,
  [22495] = 19339,
  [22496] = 19340,
  [22497] = 19595,
  [22498] = 19331,
  [22499] = 19335,
  [22500] = 19335,
  [22501] = 19352,
  [22502] = 19306,
  [22503] = 19308,
  [22504] = 19301,
  [22505] = 19321,
  [22506] = 19314,
  [22507] = 19346,
  [22508] = 19313,
  [22509] = 19643,
  [22510] = 20039,
  [22511] = 19344,
  [22512] = 19393,
  [22513] = 19341,
  [22514] = 19356,
  [22515] = 19342,
  [22516] = 19667,
  [22517] = 19344,
  [22518] = 19319,
  [22519] = 19353,
  [22520] = 19341,
  [22521] = 19336,
  [22522] = 19348,
  [22523] = 19352,
  [22524] = 19384,
  [22525] = 19342,
  [22526] = 19314,
  [22527] = 19314,
  [22528] = 19359,
  [22529] = 19309,
  [22530] = 19384,
  [22531] = 19303,
  [22532] = 19324,
  [22533] = 19306,
  [22534] = 19362,
  [22535] = 19363,
  [22536] = 19304,
  [22537] = 19339,
  [22538] = 22538,
  [22539] = 22539,
};

static TSCharacterRange sym_conversion_specification_character_set_6[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'}, {'N', 'N'},
  {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_conversion_specification_character_set_7[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'0', '9'}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'},
  {'N', 'N'}, {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_prefix_operator_character_set_1[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_pow_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_indexing_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'=', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym_let_operator_character_set_1[] = {
  {'$', '$'}, {'&', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {'<', '>'}, {'@', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym__lowercase_identifier_character_set_2[] = {
  {'\'', '\''}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7},
  {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf},
  {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3},
  {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa},
  {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963},
  {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc},
  {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36},
  {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48},
  {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10},
  {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9},
  {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3},
  {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f},
  {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca},
  {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6},
  {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37},
  {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049},
  {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715},
  {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd},
  {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b},
  {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e},
  {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c},
  {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c},
  {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e},
  {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9},
  {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0},
  {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d},
  {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592},
  {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767},
  {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c},
  {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7},
  {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1},
  {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075},
  {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173},
  {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241},
  {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303},
  {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348},
  {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459},
  {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640},
  {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746},
  {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938},
  {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47},
  {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f},
  {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47},
  {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6},
  {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe},
  {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152},
  {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006},
  {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d},
  {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22},
  {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47},
  {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b},
  {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c},
  {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
  {0xe0100, 0xe01ef},
};

static TSCharacterRange sym__lowercase_identifier_character_set_3[] = {
  {'_', '_'}, {'a', 'z'}, {0xb5, 0xb5}, {0xdf, 0xf6}, {0xf8, 0xff}, {0x101, 0x101}, {0x103, 0x103}, {0x105, 0x105},
  {0x107, 0x107}, {0x109, 0x109}, {0x10b, 0x10b}, {0x10d, 0x10d}, {0x10f, 0x10f}, {0x111, 0x111}, {0x113, 0x113}, {0x115, 0x115},
  {0x117, 0x117}, {0x119, 0x119}, {0x11b, 0x11b}, {0x11d, 0x11d}, {0x11f, 0x11f}, {0x121, 0x121}, {0x123, 0x123}, {0x125, 0x125},
  {0x127, 0x127}, {0x129, 0x129}, {0x12b, 0x12b}, {0x12d, 0x12d}, {0x12f, 0x12f}, {0x131, 0x131}, {0x133, 0x133}, {0x135, 0x135},
  {0x137, 0x138}, {0x13a, 0x13a}, {0x13c, 0x13c}, {0x13e, 0x13e}, {0x140, 0x140}, {0x142, 0x142}, {0x144, 0x144}, {0x146, 0x146},
  {0x148, 0x149}, {0x14b, 0x14b}, {0x14d, 0x14d}, {0x14f, 0x14f}, {0x151, 0x151}, {0x153, 0x153}, {0x155, 0x155}, {0x157, 0x157},
  {0x159, 0x159}, {0x15b, 0x15b}, {0x15d, 0x15d}, {0x15f, 0x15f}, {0x161, 0x161}, {0x163, 0x163}, {0x165, 0x165}, {0x167, 0x167},
  {0x169, 0x169}, {0x16b, 0x16b}, {0x16d, 0x16d}, {0x16f, 0x16f}, {0x171, 0x171}, {0x173, 0x173}, {0x175, 0x175}, {0x177, 0x177},
  {0x17a, 0x17a}, {0x17c, 0x17c}, {0x17e, 0x180}, {0x183, 0x183}, {0x185, 0x185}, {0x188, 0x188}, {0x18c, 0x18d}, {0x192, 0x192},
  {0x195, 0x195}, {0x199, 0x19b}, {0x19e, 0x19e}, {0x1a1, 0x1a1}, {0x1a3, 0x1a3}, {0x1a5, 0x1a5}, {0x1a8, 0x1a8}, {0x1aa, 0x1ab},
  {0x1ad, 0x1ad}, {0x1b0, 0x1b0}, {0x1b4, 0x1b4}, {0x1b6, 0x1b6}, {0x1b9, 0x1ba}, {0x1bd, 0x1bf}, {0x1c6, 0x1c6}, {0x1c9, 0x1c9},
  {0x1cc, 0x1cc}, {0x1ce, 0x1ce}, {0x1d0, 0x1d0}, {0x1d2, 0x1d2}, {0x1d4, 0x1d4}, {0x1d6, 0x1d6}, {0x1d8, 0x1d8}, {0x1da, 0x1da},
  {0x1dc, 0x1dd}, {0x1df, 0x1df}, {0x1e1, 0x1e1}, {0x1e3, 0x1e3}, {0x1e5, 0x1e5}, {0x1e7, 0x1e7}, {0x1e9, 0x1e9}, {0x1eb, 0x1eb},
  {0x1ed, 0x1ed}, {0x1ef, 0x1f0}, {0x1f3, 0x1f3}, {0x1f5, 0x1f5}, {0x1f9, 0x1f9}, {0x1fb, 0x1fb}, {0x1fd, 0x1fd}, {0x1ff, 0x1ff},
  {0x201, 0x201}, {0x203, 0x203}, {0x205, 0x205}, {0x207, 0x207}, {0x209, 0x209}, {0x20b, 0x20b}, {0x20d, 0x20d}, {0x20f, 0x20f},
  {0x211, 0x211}, {0x213, 0x213}, {0x215, 0x215}, {0x217, 0x217}, {0x219, 0x219}, {0x21b, 0x21b}, {0x21d, 0x21d}, {0x21f, 0x21f},
  {0x221, 0x221}, {0x223, 0x223}, {0x225, 0x225}, {0x227, 0x227}, {0x229, 0x229}, {0x22b, 0x22b}, {0x22d, 0x22d}, {0x22f, 0x22f},
  {0x231, 0x231}, {0x233, 0x239}, {0x23c, 0x23c}, {0x23f, 0x240}, {0x242, 0x242}, {0x247, 0x247}, {0x249, 0x249}, {0x24b, 0x24b},
  {0x24d, 0x24d}, {0x24f, 0x293}, {0x295, 0x2af}, {0x371, 0x371}, {0x373, 0x373}, {0x377, 0x377}, {0x37b, 0x37d}, {0x390, 0x390},
  {0x3ac, 0x3ce}, {0x3d0, 0x3d1}, {0x3d5, 0x3d7}, {0x3d9, 0x3d9}, {0x3db, 0x3db}, {0x3dd, 0x3dd}, {0x3df, 0x3df}, {0x3e1, 0x3e1},
  {0x3e3, 0x3e3}, {0x3e5, 0x3e5}, {0x3e7, 0x3e7}, {0x3e9, 0x3e9}, {0x3eb, 0x3eb}, {0x3ed, 0x3ed}, {0x3ef, 0x3f3}, {0x3f5, 0x3f5},
  {0x3f8, 0x3f8}, {0x3fb, 0x3fc}, {0x430, 0x45f}, {0x461, 0x461}, {0x463, 0x463}, {0x465, 0x465}, {0x467, 0x467}, {0x469, 0x469},
  {0x46b, 0x46b}, {0x46d, 0x46d}, {0x46f, 0x46f}, {0x471, 0x471}, {0x473, 0x473}, {0x475, 0x475}, {0x477, 0x477}, {0x479, 0x479},
  {0x47b, 0x47b}, {0x47d, 0x47d}, {0x47f, 0x47f}, {0x481, 0x481}, {0x48b, 0x48b}, {0x48d, 0x48d}, {0x48f, 0x48f}, {0x491, 0x491},
  {0x493, 0x493}, {0x495, 0x495}, {0x497, 0x497}, {0x499, 0x499}, {0x49b, 0x49b}, {0x49d, 0x49d}, {0x49f, 0x49f}, {0x4a1, 0x4a1},
  {0x4a3, 0x4a3}, {0x4a5, 0x4a5}, {0x4a7, 0x4a7}, {0x4a9, 0x4a9}, {0x4ab, 0x4ab}, {0x4ad, 0x4ad}, {0x4af, 0x4af}, {0x4b1, 0x4b1},
  {0x4b3, 0x4b3}, {0x4b5, 0x4b5}, {0x4b7, 0x4b7}, {0x4b9, 0x4b9}, {0x4bb, 0x4bb}, {0x4bd, 0x4bd}, {0x4bf, 0x4bf}, {0x4c2, 0x4c2},
  {0x4c4, 0x4c4}, {0x4c6, 0x4c6}, {0x4c8, 0x4c8}, {0x4ca, 0x4ca}, {0x4cc, 0x4cc}, {0x4ce, 0x4cf}, {0x4d1, 0x4d1}, {0x4d3, 0x4d3},
  {0x4d5, 0x4d5}, {0x4d7, 0x4d7}, {0x4d9, 0x4d9}, {0x4db, 0x4db}, {0x4dd, 0x4dd}, {0x4df, 0x4df}, {0x4e1, 0x4e1}, {0x4e3, 0x4e3},
  {0x4e5, 0x4e5}, {0x4e7, 0x4e7}, {0x4e9, 0x4e9}, {0x4eb, 0x4eb}, {0x4ed, 0x4ed}, {0x4ef, 0x4ef}, {0x4f1, 0x4f1}, {0x4f3, 0x4f3},
  {0x4f5, 0x4f5}, {0x4f7, 0x4f7}, {0x4f9, 0x4f9}, {0x4fb, 0x4fb}, {0x4fd, 0x4fd}, {0x4ff, 0x4ff}, {0x501, 0x501}, {0x503, 0x503},
  {0x505, 0x505}, {0x507, 0x507}, {0x509, 0x509}, {0x50b, 0x50b}, {0x50d, 0x50d}, {0x50f, 0x50f}, {0x511, 0x511}, {0x513, 0x513},
  {0x515, 0x515}, {0x517, 0x517}, {0x519, 0x519}, {0x51b, 0x51b}, {0x51d, 0x51d}, {0x51f, 0x51f}, {0x521, 0x521}, {0x523, 0x523},
  {0x525, 0x525}, {0x527, 0x527}, {0x529, 0x529}, {0x52b, 0x52b}, {0x52d, 0x52d}, {0x52f, 0x52f}, {0x560, 0x588}, {0x10d0, 0x10fa},
  {0x10fd, 0x10ff}, {0x13f8, 0x13fd}, {0x1c80, 0x1c88}, {0x1d00, 0x1d2b}, {0x1d6b, 0x1d77}, {0x1d79, 0x1d9a}, {0x1e01, 0x1e01}, {0x1e03, 0x1e03},
  {0x1e05, 0x1e05}, {0x1e07, 0x1e07}, {0x1e09, 0x1e09}, {0x1e0b, 0x1e0b}, {0x1e0d, 0x1e0d}, {0x1e0f, 0x1e0f}, {0x1e11, 0x1e11}, {0x1e13, 0x1e13},
  {0x1e15, 0x1e15}, {0x1e17, 0x1e17}, {0x1e19, 0x1e19}, {0x1e1b, 0x1e1b}, {0x1e1d, 0x1e1d}, {0x1e1f, 0x1e1f}, {0x1e21, 0x1e21}, {0x1e23, 0x1e23},
  {0x1e25, 0x1e25}, {0x1e27, 0x1e27}, {0x1e29, 0x1e29}, {0x1e2b, 0x1e2b}, {0x1e2d, 0x1e2d}, {0x1e2f, 0x1e2f}, {0x1e31, 0x1e31}, {0x1e33, 0x1e33},
  {0x1e35, 0x1e35}, {0x1e37, 0x1e37}, {0x1e39, 0x1e39}, {0x1e3b, 0x1e3b}, {0x1e3d, 0x1e3d}, {0x1e3f, 0x1e3f}, {0x1e41, 0x1e41}, {0x1e43, 0x1e43},
  {0x1e45, 0x1e45}, {0x1e47, 0x1e47}, {0x1e49, 0x1e49}, {0x1e4b, 0x1e4b}, {0x1e4d, 0x1e4d}, {0x1e4f, 0x1e4f}, {0x1e51, 0x1e51}, {0x1e53, 0x1e53},
  {0x1e55, 0x1e55}, {0x1e57, 0x1e57}, {0x1e59, 0x1e59}, {0x1e5b, 0x1e5b}, {0x1e5d, 0x1e5d}, {0x1e5f, 0x1e5f}, {0x1e61, 0x1e61}, {0x1e63, 0x1e63},
  {0x1e65, 0x1e65}, {0x1e67, 0x1e67}, {0x1e69, 0x1e69}, {0x1e6b, 0x1e6b}, {0x1e6d, 0x1e6d}, {0x1e6f, 0x1e6f}, {0x1e71, 0x1e71}, {0x1e73, 0x1e73},
  {0x1e75, 0x1e75}, {0x1e77, 0x1e77}, {0x1e79, 0x1e79}, {0x1e7b, 0x1e7b}, {0x1e7d, 0x1e7d}, {0x1e7f, 0x1e7f}, {0x1e81, 0x1e81}, {0x1e83, 0x1e83},
  {0x1e85, 0x1e85}, {0x1e87, 0x1e87}, {0x1e89, 0x1e89}, {0x1e8b, 0x1e8b}, {0x1e8d, 0x1e8d}, {0x1e8f, 0x1e8f}, {0x1e91, 0x1e91}, {0x1e93, 0x1e93},
  {0x1e95, 0x1e9d}, {0x1e9f, 0x1e9f}, {0x1ea1, 0x1ea1}, {0x1ea3, 0x1ea3}, {0x1ea5, 0x1ea5}, {0x1ea7, 0x1ea7}, {0x1ea9, 0x1ea9}, {0x1eab, 0x1eab},
  {0x1ead, 0x1ead}, {0x1eaf, 0x1eaf}, {0x1eb1, 0x1eb1}, {0x1eb3, 0x1eb3}, {0x1eb5, 0x1eb5}, {0x1eb7, 0x1eb7}, {0x1eb9, 0x1eb9}, {0x1ebb, 0x1ebb},
  {0x1ebd, 0x1ebd}, {0x1ebf, 0x1ebf}, {0x1ec1, 0x1ec1}, {0x1ec3, 0x1ec3}, {0x1ec5, 0x1ec5}, {0x1ec7, 0x1ec7}, {0x1ec9, 0x1ec9}, {0x1ecb, 0x1ecb},
  {0x1ecd, 0x1ecd}, {0x1ecf, 0x1ecf}, {0x1ed1, 0x1ed1}, {0x1ed3, 0x1ed3}, {0x1ed5, 0x1ed5}, {0x1ed7, 0x1ed7}, {0x1ed9, 0x1ed9}, {0x1edb, 0x1edb},
  {0x1edd, 0x1edd}, {0x1edf, 0x1edf}, {0x1ee1, 0x1ee1}, {0x1ee3, 0x1ee3}, {0x1ee5, 0x1ee5}, {0x1ee7, 0x1ee7}, {0x1ee9, 0x1ee9}, {0x1eeb, 0x1eeb},
  {0x1eed, 0x1eed}, {0x1eef, 0x1eef}, {0x1ef1, 0x1ef1}, {0x1ef3, 0x1ef3}, {0x1ef5, 0x1ef5}, {0x1ef7, 0x1ef7}, {0x1ef9, 0x1ef9}, {0x1efb, 0x1efb},
  {0x1efd, 0x1efd}, {0x1eff, 0x1f07}, {0x1f10, 0x1f15}, {0x1f20, 0x1f27}, {0x1f30, 0x1f37}, {0x1f40, 0x1f45}, {0x1f50, 0x1f57}, {0x1f60, 0x1f67},
  {0x1f70, 0x1f7d}, {0x1f80, 0x1f87}, {0x1f90, 0x1f97}, {0x1fa0, 0x1fa7}, {0x1fb0, 0x1fb4}, {0x1fb6, 0x1fb7}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fc7}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fd7}, {0x1fe0, 0x1fe7}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ff7}, {0x210a, 0x210a}, {0x210e, 0x210f},
  {0x2113, 0x2113}, {0x212f, 0x212f}, {0x2134, 0x2134}, {0x2139, 0x2139}, {0x213c, 0x213d}, {0x2146, 0x2149}, {0x214e, 0x214e}, {0x2184, 0x2184},
  {0x2c30, 0x2c5f}, {0x2c61, 0x2c61}, {0x2c65, 0x2c66}, {0x2c68, 0x2c68}, {0x2c6a, 0x2c6a}, {0x2c6c, 0x2c6c}, {0x2c71, 0x2c71}, {0x2c73, 0x2c74},
  {0x2c76, 0x2c7b}, {0x2c81, 0x2c81}, {0x2c83, 0x2c83}, {0x2c85, 0x2c85}, {0x2c87, 0x2c87}, {0x2c89, 0x2c89}, {0x2c8b, 0x2c8b}, {0x2c8d, 0x2c8d},
  {0x2c8f, 0x2c8f}, {0x2c91, 0x2c91}, {0x2c93, 0x2c93}, {0x2c95, 0x2c95}, {0x2c97, 0x2c97}, {0x2c99, 0x2c99}, {0x2c9b, 0x2c9b}, {0x2c9d, 0x2c9d},
  {0x2c9f, 0x2c9f}, {0x2ca1, 0x2ca1}, {0x2ca3, 0x2ca3}, {0x2ca5, 0x2ca5}, {0x2ca7, 0x2ca7}, {0x2ca9, 0x2ca9}, {0x2cab, 0x2cab}, {0x2cad, 0x2cad},
  {0x2caf, 0x2caf}, {0x2cb1, 0x2cb1}, {0x2cb3, 0x2cb3}, {0x2cb5, 0x2cb5}, {0x2cb7, 0x2cb7}, {0x2cb9, 0x2cb9}, {0x2cbb, 0x2cbb}, {0x2cbd, 0x2cbd},
  {0x2cbf, 0x2cbf}, {0x2cc1, 0x2cc1}, {0x2cc3, 0x2cc3}, {0x2cc5, 0x2cc5}, {0x2cc7, 0x2cc7}, {0x2cc9, 0x2cc9}, {0x2ccb, 0x2ccb}, {0x2ccd, 0x2ccd},
  {0x2ccf, 0x2ccf}, {0x2cd1, 0x2cd1}, {0x2cd3, 0x2cd3}, {0x2cd5, 0x2cd5}, {0x2cd7, 0x2cd7}, {0x2cd9, 0x2cd9}, {0x2cdb, 0x2cdb}, {0x2cdd, 0x2cdd},
  {0x2cdf, 0x2cdf}, {0x2ce1, 0x2ce1}, {0x2ce3, 0x2ce4}, {0x2cec, 0x2cec}, {0x2cee, 0x2cee}, {0x2cf3, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0xa641, 0xa641}, {0xa643, 0xa643}, {0xa645, 0xa645}, {0xa647, 0xa647}, {0xa649, 0xa649}, {0xa64b, 0xa64b}, {0xa64d, 0xa64d},
  {0xa64f, 0xa64f}, {0xa651, 0xa651}, {0xa653, 0xa653}, {0xa655, 0xa655}, {0xa657, 0xa657}, {0xa659, 0xa659}, {0xa65b, 0xa65b}, {0xa65d, 0xa65d},
  {0xa65f, 0xa65f}, {0xa661, 0xa661}, {0xa663, 0xa663}, {0xa665, 0xa665}, {0xa667, 0xa667}, {0xa669, 0xa669}, {0xa66b, 0xa66b}, {0xa66d, 0xa66d},
  {0xa681, 0xa681}, {0xa683, 0xa683}, {0xa685, 0xa685}, {0xa687, 0xa687}, {0xa689, 0xa689}, {0xa68b, 0xa68b}, {0xa68d, 0xa68d}, {0xa68f, 0xa68f},
  {0xa691, 0xa691}, {0xa693, 0xa693}, {0xa695, 0xa695}, {0xa697, 0xa697}, {0xa699, 0xa699}, {0xa69b, 0xa69b}, {0xa723, 0xa723}, {0xa725, 0xa725},
  {0xa727, 0xa727}, {0xa729, 0xa729}, {0xa72b, 0xa72b}, {0xa72d, 0xa72d}, {0xa72f, 0xa731}, {0xa733, 0xa733}, {0xa735, 0xa735}, {0xa737, 0xa737},
  {0xa739, 0xa739}, {0xa73b, 0xa73b}, {0xa73d, 0xa73d}, {0xa73f, 0xa73f}, {0xa741, 0xa741}, {0xa743, 0xa743}, {0xa745, 0xa745}, {0xa747, 0xa747},
  {0xa749, 0xa749}, {0xa74b, 0xa74b}, {0xa74d, 0xa74d}, {0xa74f, 0xa74f}, {0xa751, 0xa751}, {0xa753, 0xa753}, {0xa755, 0xa755}, {0xa757, 0xa757},
  {0xa759, 0xa759}, {0xa75b, 0xa75b}, {0xa75d, 0xa75d}, {0xa75f, 0xa75f}, {0xa761, 0xa761}, {0xa763, 0xa763}, {0xa765, 0xa765}, {0xa767, 0xa767},
  {0xa769, 0xa769}, {0xa76b, 0xa76b}, {0xa76d, 0xa76d}, {0xa76f, 0xa76f}, {0xa771, 0xa778}, {0xa77a, 0xa77a}, {0xa77c, 0xa77c}, {0xa77f, 0xa77f},
  {0xa781, 0xa781}, {0xa783, 0xa783}, {0xa785, 0xa785}, {0xa787, 0xa787}, {0xa78c, 0xa78c}, {0xa78e, 0xa78e}, {0xa791, 0xa791}, {0xa793, 0xa795},
  {0xa797, 0xa797}, {0xa799, 0xa799}, {0xa79b, 0xa79b}, {0xa79d, 0xa79d}, {0xa79f, 0xa79f}, {0xa7a1, 0xa7a1}, {0xa7a3, 0xa7a3}, {0xa7a5, 0xa7a5},
  {0xa7a7, 0xa7a7}, {0xa7a9, 0xa7a9}, {0xa7af, 0xa7af}, {0xa7b5, 0xa7b5}, {0xa7b7, 0xa7b7}, {0xa7b9, 0xa7b9}, {0xa7bb, 0xa7bb}, {0xa7bd, 0xa7bd},
  {0xa7bf, 0xa7bf}, {0xa7c1, 0xa7c1}, {0xa7c3, 0xa7c3}, {0xa7c8, 0xa7c8}, {0xa7ca, 0xa7ca}, {0xa7d1, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d5},
  {0xa7d7, 0xa7d7}, {0xa7d9, 0xa7d9}, {0xa7f6, 0xa7f6}, {0xa7fa, 0xa7fa}, {0xab30, 0xab5a}, {0xab60, 0xab68}, {0xab70, 0xabbf}, {0xfb00, 0xfb06},
  {0xfb13, 0xfb17}, {0xff41, 0xff5a}, {0x10428, 0x1044f}, {0x104d8, 0x104fb}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
};

static TSCharacterRange sym__uppercase_identifier_character_set_1[] = {
  {'A', 'Z'}, {0xc0, 0xd6}, {0xd8, 0xde}, {0x100, 0x100}, {0x102, 0x102}, {0x104, 0x104}, {0x106, 0x106}, {0x108, 0x108},
  {0x10a, 0x10a}, {0x10c, 0x10c}, {0x10e, 0x10e}, {0x110, 0x110}, {0x112, 0x112}, {0x114, 0x114}, {0x116, 0x116}, {0x118, 0x118},
  {0x11a, 0x11a}, {0x11c, 0x11c}, {0x11e, 0x11e}, {0x120, 0x120}, {0x122, 0x122}, {0x124, 0x124}, {0x126, 0x126}, {0x128, 0x128},
  {0x12a, 0x12a}, {0x12c, 0x12c}, {0x12e, 0x12e}, {0x130, 0x130}, {0x132, 0x132}, {0x134, 0x134}, {0x136, 0x136}, {0x139, 0x139},
  {0x13b, 0x13b}, {0x13d, 0x13d}, {0x13f, 0x13f}, {0x141, 0x141}, {0x143, 0x143}, {0x145, 0x145}, {0x147, 0x147}, {0x14a, 0x14a},
  {0x14c, 0x14c}, {0x14e, 0x14e}, {0x150, 0x150}, {0x152, 0x152}, {0x154, 0x154}, {0x156, 0x156}, {0x158, 0x158}, {0x15a, 0x15a},
  {0x15c, 0x15c}, {0x15e, 0x15e}, {0x160, 0x160}, {0x162, 0x162}, {0x164, 0x164}, {0x166, 0x166}, {0x168, 0x168}, {0x16a, 0x16a},
  {0x16c, 0x16c}, {0x16e, 0x16e}, {0x170, 0x170}, {0x172, 0x172}, {0x174, 0x174}, {0x176, 0x176}, {0x178, 0x179}, {0x17b, 0x17b},
  {0x17d, 0x17d}, {0x181, 0x182}, {0x184, 0x184}, {0x186, 0x187}, {0x189, 0x18b}, {0x18e, 0x191}, {0x193, 0x194}, {0x196, 0x198},
  {0x19c, 0x19d}, {0x19f, 0x1a0}, {0x1a2, 0x1a2}, {0x1a4, 0x1a4}, {0x1a6, 0x1a7}, {0x1a9, 0x1a9}, {0x1ac, 0x1ac}, {0x1ae, 0x1af},
  {0x1b1, 0x1b3}, {0x1b5, 0x1b5}, {0x1b7, 0x1b8}, {0x1bc, 0x1bc}, {0x1c4, 0x1c4}, {0x1c7, 0x1c7}, {0x1ca, 0x1ca}, {0x1cd, 0x1cd},
  {0x1cf, 0x1cf}, {0x1d1, 0x1d1}, {0x1d3, 0x1d3}, {0x1d5, 0x1d5}, {0x1d7, 0x1d7}, {0x1d9, 0x1d9}, {0x1db, 0x1db}, {0x1de, 0x1de},
  {0x1e0, 0x1e0}, {0x1e2, 0x1e2}, {0x1e4, 0x1e4}, {0x1e6, 0x1e6}, {0x1e8, 0x1e8}, {0x1ea, 0x1ea}, {0x1ec, 0x1ec}, {0x1ee, 0x1ee},
  {0x1f1, 0x1f1}, {0x1f4, 0x1f4}, {0x1f6, 0x1f8}, {0x1fa, 0x1fa}, {0x1fc, 0x1fc}, {0x1fe, 0x1fe}, {0x200, 0x200}, {0x202, 0x202},
  {0x204, 0x204}, {0x206, 0x206}, {0x208, 0x208}, {0x20a, 0x20a}, {0x20c, 0x20c}, {0x20e, 0x20e}, {0x210, 0x210}, {0x212, 0x212},
  {0x214, 0x214}, {0x216, 0x216}, {0x218, 0x218}, {0x21a, 0x21a}, {0x21c, 0x21c}, {0x21e, 0x21e}, {0x220, 0x220}, {0x222, 0x222},
  {0x224, 0x224}, {0x226, 0x226}, {0x228, 0x228}, {0x22a, 0x22a}, {0x22c, 0x22c}, {0x22e, 0x22e}, {0x230, 0x230}, {0x232, 0x232},
  {0x23a, 0x23b}, {0x23d, 0x23e}, {0x241, 0x241}, {0x243, 0x246}, {0x248, 0x248}, {0x24a, 0x24a}, {0x24c, 0x24c}, {0x24e, 0x24e},
  {0x370, 0x370}, {0x372, 0x372}, {0x376, 0x376}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x38f},
  {0x391, 0x3a1}, {0x3a3, 0x3ab}, {0x3cf, 0x3cf}, {0x3d2, 0x3d4}, {0x3d8, 0x3d8}, {0x3da, 0x3da}, {0x3dc, 0x3dc}, {0x3de, 0x3de},
  {0x3e0, 0x3e0}, {0x3e2, 0x3e2}, {0x3e4, 0x3e4}, {0x3e6, 0x3e6}, {0x3e8, 0x3e8}, {0x3ea, 0x3ea}, {0x3ec, 0x3ec}, {0x3ee, 0x3ee},
  {0x3f4, 0x3f4}, {0x3f7, 0x3f7}, {0x3f9, 0x3fa}, {0x3fd, 0x42f}, {0x460, 0x460}, {0x462, 0x462}, {0x464, 0x464}, {0x466, 0x466},
  {0x468, 0x468}, {0x46a, 0x46a}, {0x46c, 0x46c}, {0x46e, 0x46e}, {0x470, 0x470}, {0x472, 0x472}, {0x474, 0x474}, {0x476, 0x476},
  {0x478, 0x478}, {0x47a, 0x47a}, {0x47c, 0x47c}, {0x47e, 0x47e}, {0x480, 0x480}, {0x48a, 0x48a}, {0x48c, 0x48c}, {0x48e, 0x48e},
  {0x490, 0x490}, {0x492, 0x492}, {0x494, 0x494}, {0x496, 0x496}, {0x498, 0x498}, {0x49a, 0x49a}, {0x49c, 0x49c}, {0x49e, 0x49e},
  {0x4a0, 0x4a0}, {0x4a2, 0x4a2}, {0x4a4, 0x4a4}, {0x4a6, 0x4a6}, {0x4a8, 0x4a8}, {0x4aa, 0x4aa}, {0x4ac, 0x4ac}, {0x4ae, 0x4ae},
  {0x4b0, 0x4b0}, {0x4b2, 0x4b2}, {0x4b4, 0x4b4}, {0x4b6, 0x4b6}, {0x4b8, 0x4b8}, {0x4ba, 0x4ba}, {0x4bc, 0x4bc}, {0x4be, 0x4be},
  {0x4c0, 0x4c1}, {0x4c3, 0x4c3}, {0x4c5, 0x4c5}, {0x4c7, 0x4c7}, {0x4c9, 0x4c9}, {0x4cb, 0x4cb}, {0x4cd, 0x4cd}, {0x4d0, 0x4d0},
  {0x4d2, 0x4d2}, {0x4d4, 0x4d4}, {0x4d6, 0x4d6}, {0x4d8, 0x4d8}, {0x4da, 0x4da}, {0x4dc, 0x4dc}, {0x4de, 0x4de}, {0x4e0, 0x4e0},
  {0x4e2, 0x4e2}, {0x4e4, 0x4e4}, {0x4e6, 0x4e6}, {0x4e8, 0x4e8}, {0x4ea, 0x4ea}, {0x4ec, 0x4ec}, {0x4ee, 0x4ee}, {0x4f0, 0x4f0},
  {0x4f2, 0x4f2}, {0x4f4, 0x4f4}, {0x4f6, 0x4f6}, {0x4f8, 0x4f8}, {0x4fa, 0x4fa}, {0x4fc, 0x4fc}, {0x4fe, 0x4fe}, {0x500, 0x500},
  {0x502, 0x502}, {0x504, 0x504}, {0x506, 0x506}, {0x508, 0x508}, {0x50a, 0x50a}, {0x50c, 0x50c}, {0x50e, 0x50e}, {0x510, 0x510},
  {0x512, 0x512}, {0x514, 0x514}, {0x516, 0x516}, {0x518, 0x518}, {0x51a, 0x51a}, {0x51c, 0x51c}, {0x51e, 0x51e}, {0x520, 0x520},
  {0x522, 0x522}, {0x524, 0x524}, {0x526, 0x526}, {0x528, 0x528}, {0x52a, 0x52a}, {0x52c, 0x52c}, {0x52e, 0x52e}, {0x531, 0x556},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x13a0, 0x13f5}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1e00, 0x1e00}, {0x1e02, 0x1e02},
  {0x1e04, 0x1e04}, {0x1e06, 0x1e06}, {0x1e08, 0x1e08}, {0x1e0a, 0x1e0a}, {0x1e0c, 0x1e0c}, {0x1e0e, 0x1e0e}, {0x1e10, 0x1e10}, {0x1e12, 0x1e12},
  {0x1e14, 0x1e14}, {0x1e16, 0x1e16}, {0x1e18, 0x1e18}, {0x1e1a, 0x1e1a}, {0x1e1c, 0x1e1c}, {0x1e1e, 0x1e1e}, {0x1e20, 0x1e20}, {0x1e22, 0x1e22},
  {0x1e24, 0x1e24}, {0x1e26, 0x1e26}, {0x1e28, 0x1e28}, {0x1e2a, 0x1e2a}, {0x1e2c, 0x1e2c}, {0x1e2e, 0x1e2e}, {0x1e30, 0x1e30}, {0x1e32, 0x1e32},
  {0x1e34, 0x1e34}, {0x1e36, 0x1e36}, {0x1e38, 0x1e38}, {0x1e3a, 0x1e3a}, {0x1e3c, 0x1e3c}, {0x1e3e, 0x1e3e}, {0x1e40, 0x1e40}, {0x1e42, 0x1e42},
  {0x1e44, 0x1e44}, {0x1e46, 0x1e46}, {0x1e48, 0x1e48}, {0x1e4a, 0x1e4a}, {0x1e4c, 0x1e4c}, {0x1e4e, 0x1e4e}, {0x1e50, 0x1e50}, {0x1e52, 0x1e52},
  {0x1e54, 0x1e54}, {0x1e56, 0x1e56}, {0x1e58, 0x1e58}, {0x1e5a, 0x1e5a}, {0x1e5c, 0x1e5c}, {0x1e5e, 0x1e5e}, {0x1e60, 0x1e60}, {0x1e62, 0x1e62},
  {0x1e64, 0x1e64}, {0x1e66, 0x1e66}, {0x1e68, 0x1e68}, {0x1e6a, 0x1e6a}, {0x1e6c, 0x1e6c}, {0x1e6e, 0x1e6e}, {0x1e70, 0x1e70}, {0x1e72, 0x1e72},
  {0x1e74, 0x1e74}, {0x1e76, 0x1e76}, {0x1e78, 0x1e78}, {0x1e7a, 0x1e7a}, {0x1e7c, 0x1e7c}, {0x1e7e, 0x1e7e}, {0x1e80, 0x1e80}, {0x1e82, 0x1e82},
  {0x1e84, 0x1e84}, {0x1e86, 0x1e86}, {0x1e88, 0x1e88}, {0x1e8a, 0x1e8a}, {0x1e8c, 0x1e8c}, {0x1e8e, 0x1e8e}, {0x1e90, 0x1e90}, {0x1e92, 0x1e92},
  {0x1e94, 0x1e94}, {0x1e9e, 0x1e9e}, {0x1ea0, 0x1ea0}, {0x1ea2, 0x1ea2}, {0x1ea4, 0x1ea4}, {0x1ea6, 0x1ea6}, {0x1ea8, 0x1ea8}, {0x1eaa, 0x1eaa},
  {0x1eac, 0x1eac}, {0x1eae, 0x1eae}, {0x1eb0, 0x1eb0}, {0x1eb2, 0x1eb2}, {0x1eb4, 0x1eb4}, {0x1eb6, 0x1eb6}, {0x1eb8, 0x1eb8}, {0x1eba, 0x1eba},
  {0x1ebc, 0x1ebc}, {0x1ebe, 0x1ebe}, {0x1ec0, 0x1ec0}, {0x1ec2, 0x1ec2}, {0x1ec4, 0x1ec4}, {0x1ec6, 0x1ec6}, {0x1ec8, 0x1ec8}, {0x1eca, 0x1eca},
  {0x1ecc, 0x1ecc}, {0x1ece, 0x1ece}, {0x1ed0, 0x1ed0}, {0x1ed2, 0x1ed2}, {0x1ed4, 0x1ed4}, {0x1ed6, 0x1ed6}, {0x1ed8, 0x1ed8}, {0x1eda, 0x1eda},
  {0x1edc, 0x1edc}, {0x1ede, 0x1ede}, {0x1ee0, 0x1ee0}, {0x1ee2, 0x1ee2}, {0x1ee4, 0x1ee4}, {0x1ee6, 0x1ee6}, {0x1ee8, 0x1ee8}, {0x1eea, 0x1eea},
  {0x1eec, 0x1eec}, {0x1eee, 0x1eee}, {0x1ef0, 0x1ef0}, {0x1ef2, 0x1ef2}, {0x1ef4, 0x1ef4}, {0x1ef6, 0x1ef6}, {0x1ef8, 0x1ef8}, {0x1efa, 0x1efa},
  {0x1efc, 0x1efc}, {0x1efe, 0x1efe}, {0x1f08, 0x1f0f}, {0x1f18, 0x1f1d}, {0x1f28, 0x1f2f}, {0x1f38, 0x1f3f}, {0x1f48, 0x1f4d}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f5f}, {0x1f68, 0x1f6f}, {0x1fb8, 0x1fbb}, {0x1fc8, 0x1fcb}, {0x1fd8, 0x1fdb}, {0x1fe8, 0x1fec},
  {0x1ff8, 0x1ffb}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210b, 0x210d}, {0x2110, 0x2112}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x2130, 0x2133}, {0x213e, 0x213f}, {0x2145, 0x2145}, {0x2183, 0x2183}, {0x2c00, 0x2c2f},
  {0x2c60, 0x2c60}, {0x2c62, 0x2c64}, {0x2c67, 0x2c67}, {0x2c69, 0x2c69}, {0x2c6b, 0x2c6b}, {0x2c6d, 0x2c70}, {0x2c72, 0x2c72}, {0x2c75, 0x2c75},
  {0x2c7e, 0x2c80}, {0x2c82, 0x2c82}, {0x2c84, 0x2c84}, {0x2c86, 0x2c86}, {0x2c88, 0x2c88}, {0x2c8a, 0x2c8a}, {0x2c8c, 0x2c8c}, {0x2c8e, 0x2c8e},
  {0x2c90, 0x2c90}, {0x2c92, 0x2c92}, {0x2c94, 0x2c94}, {0x2c96, 0x2c96}, {0x2c98, 0x2c98}, {0x2c9a, 0x2c9a}, {0x2c9c, 0x2c9c}, {0x2c9e, 0x2c9e},
  {0x2ca0, 0x2ca0}, {0x2ca2, 0x2ca2}, {0x2ca4, 0x2ca4}, {0x2ca6, 0x2ca6}, {0x2ca8, 0x2ca8}, {0x2caa, 0x2caa}, {0x2cac, 0x2cac}, {0x2cae, 0x2cae},
  {0x2cb0, 0x2cb0}, {0x2cb2, 0x2cb2}, {0x2cb4, 0x2cb4}, {0x2cb6, 0x2cb6}, {0x2cb8, 0x2cb8}, {0x2cba, 0x2cba}, {0x2cbc, 0x2cbc}, {0x2cbe, 0x2cbe},
  {0x2cc0, 0x2cc0}, {0x2cc2, 0x2cc2}, {0x2cc4, 0x2cc4}, {0x2cc6, 0x2cc6}, {0x2cc8, 0x2cc8}, {0x2cca, 0x2cca}, {0x2ccc, 0x2ccc}, {0x2cce, 0x2cce},
  {0x2cd0, 0x2cd0}, {0x2cd2, 0x2cd2}, {0x2cd4, 0x2cd4}, {0x2cd6, 0x2cd6}, {0x2cd8, 0x2cd8}, {0x2cda, 0x2cda}, {0x2cdc, 0x2cdc}, {0x2cde, 0x2cde},
  {0x2ce0, 0x2ce0}, {0x2ce2, 0x2ce2}, {0x2ceb, 0x2ceb}, {0x2ced, 0x2ced}, {0x2cf2, 0x2cf2}, {0xa640, 0xa640}, {0xa642, 0xa642}, {0xa644, 0xa644},
  {0xa646, 0xa646}, {0xa648, 0xa648}, {0xa64a, 0xa64a}, {0xa64c, 0xa64c}, {0xa64e, 0xa64e}, {0xa650, 0xa650}, {0xa652, 0xa652}, {0xa654, 0xa654},
  {0xa656, 0xa656}, {0xa658, 0xa658}, {0xa65a, 0xa65a}, {0xa65c, 0xa65c}, {0xa65e, 0xa65e}, {0xa660, 0xa660}, {0xa662, 0xa662}, {0xa664, 0xa664},
  {0xa666, 0xa666}, {0xa668, 0xa668}, {0xa66a, 0xa66a}, {0xa66c, 0xa66c}, {0xa680, 0xa680}, {0xa682, 0xa682}, {0xa684, 0xa684}, {0xa686, 0xa686},
  {0xa688, 0xa688}, {0xa68a, 0xa68a}, {0xa68c, 0xa68c}, {0xa68e, 0xa68e}, {0xa690, 0xa690}, {0xa692, 0xa692}, {0xa694, 0xa694}, {0xa696, 0xa696},
  {0xa698, 0xa698}, {0xa69a, 0xa69a}, {0xa722, 0xa722}, {0xa724, 0xa724}, {0xa726, 0xa726}, {0xa728, 0xa728}, {0xa72a, 0xa72a}, {0xa72c, 0xa72c},
  {0xa72e, 0xa72e}, {0xa732, 0xa732}, {0xa734, 0xa734}, {0xa736, 0xa736}, {0xa738, 0xa738}, {0xa73a, 0xa73a}, {0xa73c, 0xa73c}, {0xa73e, 0xa73e},
  {0xa740, 0xa740}, {0xa742, 0xa742}, {0xa744, 0xa744}, {0xa746, 0xa746}, {0xa748, 0xa748}, {0xa74a, 0xa74a}, {0xa74c, 0xa74c}, {0xa74e, 0xa74e},
  {0xa750, 0xa750}, {0xa752, 0xa752}, {0xa754, 0xa754}, {0xa756, 0xa756}, {0xa758, 0xa758}, {0xa75a, 0xa75a}, {0xa75c, 0xa75c}, {0xa75e, 0xa75e},
  {0xa760, 0xa760}, {0xa762, 0xa762}, {0xa764, 0xa764}, {0xa766, 0xa766}, {0xa768, 0xa768}, {0xa76a, 0xa76a}, {0xa76c, 0xa76c}, {0xa76e, 0xa76e},
  {0xa779, 0xa779}, {0xa77b, 0xa77b}, {0xa77d, 0xa77e}, {0xa780, 0xa780}, {0xa782, 0xa782}, {0xa784, 0xa784}, {0xa786, 0xa786}, {0xa78b, 0xa78b},
  {0xa78d, 0xa78d}, {0xa790, 0xa790}, {0xa792, 0xa792}, {0xa796, 0xa796}, {0xa798, 0xa798}, {0xa79a, 0xa79a}, {0xa79c, 0xa79c}, {0xa79e, 0xa79e},
  {0xa7a0, 0xa7a0}, {0xa7a2, 0xa7a2}, {0xa7a4, 0xa7a4}, {0xa7a6, 0xa7a6}, {0xa7a8, 0xa7a8}, {0xa7aa, 0xa7ae}, {0xa7b0, 0xa7b4}, {0xa7b6, 0xa7b6},
  {0xa7b8, 0xa7b8}, {0xa7ba, 0xa7ba}, {0xa7bc, 0xa7bc}, {0xa7be, 0xa7be}, {0xa7c0, 0xa7c0}, {0xa7c2, 0xa7c2}, {0xa7c4, 0xa7c7}, {0xa7c9, 0xa7c9},
  {0xa7d0, 0xa7d0}, {0xa7d6, 0xa7d6}, {0xa7d8, 0xa7d8}, {0xa7f5, 0xa7f5}, {0xff21, 0xff3a}, {0x10400, 0x10427}, {0x104b0, 0x104d3}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 470,
        '"', 611,
        '#', 550,
        '$', 365,
        '%', 585,
        '&', 546,
        '\'', 607,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 469,
        ',', 467,
        '-', 472,
        '.', 501,
        '0', 588,
        ':', 454,
        ';', 512,
        '<', 548,
        '=', 448,
        '>', 544,
        '?', 451,
        '@', 651,
        '[', 479,
        '\\', 2,
        ']', 490,
        '^', 653,
        '`', 818,
        'a', 742,
        'c', 736,
        'd', 762,
        'e', 730,
        'i', 743,
        'l', 701,
        'm', 674,
        'o', 774,
        't', 722,
        'v', 672,
        'w', 726,
        '{', 507,
        '|', 476,
        '}', 513,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(381);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(619);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 619,
        '\r', 1,
        '#', 380,
        'o', 362,
        'u', 353,
        'x', 379,
        ' ', 625,
        '"', 625,
        '\'', 625,
        '\\', 625,
        'b', 625,
        'n', 625,
        'r', 625,
        't', 625,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(369);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 619,
        '\r', 1,
        'o', 362,
        'u', 353,
        'x', 379,
        ' ', 625,
        '"', 625,
        '\'', 625,
        '\\', 625,
        'b', 625,
        'n', 625,
        'r', 625,
        't', 625,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(369);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(608);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(610);
      if (lookahead == '\\') ADVANCE(310);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(609);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(609);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(608);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(226);
      if (lookahead == '\\') ADVANCE(310);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(228);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 470,
        '"', 611,
        '#', 549,
        '%', 585,
        '\'', 606,
        '(', 459,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 819,
        '0', 588,
        ':', 496,
        ';', 511,
        '=', 448,
        '>', 356,
        '?', 451,
        '[', 486,
        '\\', 160,
        '`', 818,
        '{', 508,
        '|', 475,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 470,
        '#', 549,
        '&', 545,
        '\'', 817,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 218,
        ',', 467,
        '-', 223,
        '.', 210,
        ':', 493,
        ';', 511,
        '<', 547,
        '=', 448,
        '>', 544,
        '?', 451,
        '[', 484,
        '\\', 160,
        ']', 490,
        '`', 818,
        '{', 508,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 470,
        '%', 585,
        '\'', 817,
        '(', 459,
        '+', 468,
        '-', 471,
        '.', 819,
        '[', 485,
        '\\', 160,
        '{', 198,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(470);
      if (lookahead == '(') ADVANCE(459);
      if (lookahead == '[') ADVANCE(485);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == 'l') ADVANCE(701);
      if (lookahead == '{') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '.', 500,
        '0', 588,
        ':', 219,
        ';', 217,
        '=', 448,
        '[', 483,
        '\\', 160,
        '`', 818,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 677,
        'o', 775,
        't', 807,
        '{', 507,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        ';', 217,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 701,
        'm', 677,
        'o', 775,
        't', 807,
        '{', 507,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        ';', 217,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 677,
        'o', 775,
        't', 807,
        '{', 507,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 453,
        ';', 217,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '\'', 606,
        '(', 459,
        '0', 588,
        ';', 217,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '%', 585,
        '&', 545,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 493,
        ';', 511,
        '=', 448,
        '>', 544,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        '{', 509,
        '|', 474,
        '}', 513,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        ')', 460,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 492,
        ';', 511,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        '{', 509,
        '|', 475,
        '~', 450,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        '0', 588,
        ':', 453,
        ';', 217,
        '=', 448,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 507,
        '|', 474,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        '0', 588,
        ':', 453,
        ';', 217,
        '=', 448,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 507,
        '|', 474,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        '0', 588,
        ':', 458,
        '=', 448,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        '0', 588,
        ':', 224,
        '=', 448,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        '0', 588,
        ';', 217,
        '=', 448,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 507,
        '|', 474,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        '0', 588,
        ';', 217,
        '=', 448,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 507,
        '|', 474,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '.', 500,
        '0', 588,
        ';', 217,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        ')', 460,
        '+', 600,
        '-', 601,
        '.', 500,
        '0', 588,
        ':', 499,
        ';', 511,
        '=', 448,
        '>', 356,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'l', 701,
        'm', 680,
        '{', 509,
        '|', 230,
        '}', 513,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        ';', 511,
        '=', 448,
        '>', 544,
        '[', 483,
        '\\', 160,
        '`', 818,
        'c', 766,
        'e', 751,
        'i', 747,
        'l', 701,
        'm', 676,
        'v', 672,
        '{', 507,
        '}', 513,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'd', 762,
        'l', 701,
        'm', 680,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'd', 764,
        'l', 701,
        'm', 680,
        't', 763,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'd', 773,
        'l', 701,
        'm', 680,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'e', 751,
        'l', 701,
        'm', 680,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'l', 701,
        'm', 680,
        't', 723,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'l', 701,
        'm', 680,
        'w', 726,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 742,
        'i', 748,
        'l', 701,
        'm', 680,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '\'', 606,
        '(', 459,
        ')', 460,
        '.', 819,
        '0', 588,
        ':', 491,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        '{', 509,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '\'', 606,
        '(', 459,
        ')', 460,
        '.', 819,
        '0', 588,
        ':', 453,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        '{', 509,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '\'', 606,
        '(', 459,
        '.', 819,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'l', 701,
        'm', 680,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 210,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 743,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '.', 500,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 655,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '.', 500,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 655,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 477,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '.', 500,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 655,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '.', 500,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 655,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 477,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 766,
        'e', 731,
        'i', 747,
        'l', 686,
        'm', 710,
        'o', 778,
        'v', 672,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 766,
        'e', 751,
        'i', 747,
        'l', 686,
        'm', 710,
        'o', 778,
        'v', 672,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 762,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 762,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 764,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 763,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 764,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 763,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 773,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 773,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 731,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 723,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        'w', 726,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 751,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 723,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        'w', 726,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 741,
        'e', 733,
        'i', 748,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 741,
        'i', 748,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 766,
        'e', 731,
        'i', 747,
        'l', 686,
        'm', 710,
        'o', 778,
        'v', 672,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 766,
        'e', 751,
        'i', 747,
        'l', 686,
        'm', 710,
        'o', 778,
        'v', 672,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 762,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 762,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 764,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 763,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 764,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 763,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 773,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 773,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 731,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 723,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        'w', 726,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 751,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 723,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        'w', 726,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 741,
        'e', 733,
        'i', 748,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 741,
        'i', 748,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 757,
        'e', 806,
        'l', 685,
        'm', 678,
        'o', 778,
        't', 807,
        '{', 508,
        '|', 354,
        '%', 647,
        '/', 647,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 757,
        'e', 806,
        'l', 685,
        'm', 678,
        'o', 778,
        '{', 508,
        '|', 354,
        '%', 647,
        '/', 647,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 757,
        'l', 685,
        'm', 678,
        'o', 778,
        '{', 508,
        '|', 354,
        '%', 647,
        '/', 647,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 375,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 757,
        'l', 684,
        'm', 678,
        'o', 778,
        '{', 509,
        '|', 231,
        '%', 647,
        '/', 647,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 766,
        'e', 731,
        'i', 747,
        'l', 684,
        'm', 675,
        'o', 778,
        'v', 672,
        '{', 507,
        '|', 478,
        '}', 513,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '/', 647,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '/', 647,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 766,
        'e', 751,
        'i', 747,
        'l', 684,
        'm', 675,
        'o', 778,
        'v', 672,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 762,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 762,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 764,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        't', 763,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 764,
        'l', 684,
        'm', 679,
        'o', 778,
        't', 763,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 773,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 773,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 731,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(110);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        't', 723,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        'w', 726,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 477,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 751,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 684,
        'm', 679,
        'o', 778,
        't', 723,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 684,
        'm', 679,
        'o', 778,
        'w', 726,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 477,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 741,
        'e', 733,
        'i', 748,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 741,
        'i', 748,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 456,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 456,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 477,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 456,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 456,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 477,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 477,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 477,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '!', 634,
        '#', 375,
        '&', 662,
        ')', 460,
        '*', 644,
        '+', 602,
        '-', 603,
        '.', 500,
        ':', 221,
        '<', 656,
        '[', 226,
        'a', 306,
        'l', 235,
        'm', 240,
        'o', 326,
        '|', 354,
        '%', 647,
        '/', 647,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(128);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '!', 222,
        '#', 551,
        '&', 662,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '.', 500,
        ':', 495,
        ';', 511,
        '<', 656,
        '>', 657,
        '[', 200,
        ']', 490,
        '`', 818,
        'a', 333,
        'c', 317,
        'd', 311,
        'e', 282,
        'i', 297,
        'l', 236,
        'm', 261,
        'o', 326,
        't', 273,
        'v', 232,
        'w', 276,
        '{', 201,
        '|', 477,
        '}', 513,
        '$', 659,
        '=', 659,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(129);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '!', 222,
        '#', 551,
        '&', 662,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '.', 500,
        ':', 495,
        ';', 511,
        '<', 656,
        '>', 657,
        '[', 200,
        ']', 490,
        'a', 333,
        'c', 317,
        'd', 311,
        'e', 282,
        'i', 297,
        'l', 236,
        'm', 261,
        'o', 326,
        't', 273,
        'v', 232,
        'w', 276,
        '{', 201,
        '|', 478,
        '}', 513,
        '$', 659,
        '=', 659,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(130);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '!', 222,
        '#', 551,
        '&', 662,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 227,
        'a', 292,
        'd', 312,
        'e', 281,
        'i', 299,
        'l', 236,
        'm', 319,
        'o', 326,
        't', 313,
        '|', 478,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(131);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '!', 222,
        '&', 662,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        ':', 495,
        ';', 511,
        '<', 656,
        '>', 657,
        '[', 197,
        ']', 490,
        'a', 292,
        'd', 311,
        'e', 282,
        'i', 299,
        'l', 236,
        'm', 319,
        'o', 326,
        't', 273,
        'w', 276,
        '{', 198,
        '|', 477,
        '}', 513,
        '$', 659,
        '=', 659,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '%', 585,
        '\'', 606,
        '(', 459,
        ')', 460,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 492,
        ';', 511,
        '=', 448,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'e', 806,
        '{', 508,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'e', 806,
        'm', 767,
        'o', 775,
        '{', 508,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'o', 775,
        '{', 508,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 496,
        ';', 511,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        '{', 506,
        '|', 474,
        '}', 513,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ')', 460,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 496,
        ';', 511,
        '=', 448,
        '?', 451,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        '{', 508,
        '|', 474,
        '}', 513,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '*', 504,
        '+', 599,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 506,
        '|', 474,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '*', 504,
        '+', 599,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '*', 504,
        '+', 599,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 506,
        '|', 474,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 210,
        '0', 588,
        ':', 496,
        ';', 511,
        '=', 448,
        '?', 451,
        '[', 486,
        '\\', 160,
        '`', 818,
        '{', 508,
        '|', 475,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 210,
        '0', 588,
        ':', 457,
        ';', 511,
        '=', 448,
        '?', 451,
        '[', 486,
        '\\', 160,
        '`', 818,
        '{', 508,
        '|', 475,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 496,
        '=', 448,
        '?', 451,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 742,
        'i', 748,
        '{', 508,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 214,
        ';', 511,
        '[', 486,
        '\\', 160,
        '`', 818,
        'e', 806,
        '{', 508,
        '|', 475,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 210,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 210,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 210,
        '0', 588,
        ':', 496,
        '=', 448,
        '?', 451,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 742,
        'i', 748,
        '{', 508,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '.', 819,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'e', 806,
        '{', 508,
        '|', 474,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(150);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(152);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 453,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 453,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(152);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 453,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 453,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 159:
      if (lookahead == '"') ADVANCE(611);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '@') ADVANCE(615);
      if (lookahead == '[') ADVANCE(616);
      if (lookahead == '\\') ADVANCE(3);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(612);
      if (lookahead != 0) ADVANCE(617);
      END_STATE();
    case 160:
      if (lookahead == '#') ADVANCE(380);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '#', 815,
        '(', 459,
        '*', 504,
        '-', 223,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 488,
        '\\', 160,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '#', 815,
        '(', 459,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 488,
        '\\', 160,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '#', 815,
        '*', 504,
        '-', 223,
        ':', 219,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        'w', 726,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '#', 551,
        '(', 459,
        ')', 460,
        ',', 467,
        '-', 223,
        '.', 500,
        ':', 493,
        ';', 511,
        '=', 448,
        '[', 197,
        '\\', 160,
        ']', 490,
        'a', 758,
        'i', 748,
        'w', 726,
        '{', 198,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '#', 551,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 497,
        ';', 511,
        '=', 448,
        '[', 197,
        'a', 304,
        'c', 317,
        'i', 299,
        'w', 276,
        '{', 198,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '#', 551,
        ')', 460,
        ',', 467,
        '-', 223,
        '.', 501,
        ':', 492,
        ';', 511,
        '=', 448,
        '[', 226,
        '\\', 160,
        ']', 490,
        'w', 726,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '#', 551,
        ')', 460,
        ',', 467,
        '-', 223,
        '.', 500,
        ':', 492,
        ';', 511,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        'w', 726,
        '{', 201,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '#', 551,
        ')', 460,
        ',', 467,
        '-', 223,
        '.', 500,
        ':', 492,
        ';', 511,
        '=', 448,
        '[', 227,
        '\\', 160,
        ']', 490,
        'i', 748,
        'w', 726,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '#', 551,
        ')', 460,
        ',', 467,
        '.', 500,
        ':', 492,
        ';', 511,
        '[', 226,
        '\\', 160,
        ']', 490,
        'w', 726,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '#', 549,
        '%', 585,
        '\'', 817,
        '(', 459,
        ')', 460,
        '-', 223,
        '.', 819,
        ':', 214,
        '<', 547,
        '?', 451,
        '[', 484,
        '\\', 160,
        'm', 767,
        '{', 198,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '#', 549,
        '%', 585,
        '\'', 817,
        '(', 459,
        '<', 547,
        '?', 451,
        '[', 484,
        '\\', 160,
        't', 807,
        '{', 198,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '#', 549,
        '&', 545,
        '\'', 817,
        ')', 460,
        '*', 504,
        ',', 467,
        '-', 223,
        '.', 500,
        ':', 224,
        ';', 511,
        '=', 448,
        '>', 544,
        '[', 226,
        '\\', 160,
        ']', 490,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        ';', 217,
        '<', 547,
        '=', 448,
        '?', 451,
        '[', 481,
        '\\', 160,
        ']', 490,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 193,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 488,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 488,
        '\\', 160,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        ';', 217,
        '[', 488,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        ';', 217,
        '[', 488,
        '\\', 160,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '(', 459,
        '<', 547,
        '?', 451,
        '[', 484,
        '\\', 160,
        'l', 716,
        '{', 198,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        ',', 467,
        '-', 223,
        '.', 500,
        ':', 492,
        ';', 511,
        '=', 448,
        '[', 227,
        '\\', 160,
        'i', 748,
        '|', 475,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        '[', 200,
        '\\', 160,
        'c', 766,
        'e', 751,
        'i', 754,
        'm', 711,
        'v', 672,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 224,
        '=', 448,
        '[', 200,
        '\\', 160,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ';', 217,
        '[', 200,
        '\\', 160,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ';', 217,
        '[', 200,
        '\\', 160,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '#', 549,
        ')', 460,
        '*', 504,
        '-', 223,
        ':', 499,
        '[', 226,
        '\\', 160,
        'a', 758,
        'c', 766,
        'w', 726,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '#', 549,
        '*', 504,
        '-', 223,
        ':', 497,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        'w', 726,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '#', 549,
        '*', 504,
        '-', 223,
        ':', 497,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        'w', 726,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '#', 549,
        '*', 504,
        '-', 223,
        ':', 497,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        'w', 726,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '#', 549,
        '*', 504,
        '-', 223,
        ':', 497,
        ';', 511,
        '=', 448,
        '>', 544,
        '[', 227,
        '\\', 160,
        'a', 758,
        'c', 766,
        'i', 748,
        'w', 726,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 191:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == '[') ADVANCE(489);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == 't') ADVANCE(807);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 192:
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 193:
      if (lookahead == '%') ADVANCE(581);
      END_STATE();
    case 194:
      if (lookahead == '%') ADVANCE(583);
      END_STATE();
    case 195:
      if (lookahead == '%') ADVANCE(584);
      END_STATE();
    case 196:
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 197:
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 198:
      if (lookahead == '%') ADVANCE(580);
      END_STATE();
    case 199:
      if (lookahead == '%') ADVANCE(621);
      if (lookahead == '@') ADVANCE(622);
      if (lookahead == '[') ADVANCE(623);
      if (lookahead == '|') ADVANCE(620);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(612);
      if (lookahead != 0) ADVANCE(624);
      END_STATE();
    case 200:
      if (lookahead == '%') ADVANCE(194);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 201:
      if (lookahead == '%') ADVANCE(195);
      END_STATE();
    case 202:
      if (lookahead == '(') ADVANCE(459);
      if (lookahead == ')') ADVANCE(460);
      if (lookahead == '[') ADVANCE(196);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == 'v') ADVANCE(672);
      if (lookahead == '{') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '(', 459,
        '.', 819,
        ':', 224,
        ';', 511,
        '=', 448,
        '>', 544,
        '[', 200,
        'c', 317,
        'e', 300,
        'i', 297,
        'm', 259,
        'v', 232,
        '{', 201,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      END_STATE();
    case 204:
      if (lookahead == '(') ADVANCE(459);
      if (lookahead == '.') ADVANCE(210);
      if (lookahead == '[') ADVANCE(489);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == '{') ADVANCE(505);
      if (lookahead == '|') ADVANCE(474);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 205:
      if (lookahead == '(') ADVANCE(459);
      if (lookahead == '[') ADVANCE(489);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == '{') ADVANCE(505);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 206:
      if (lookahead == '*') ADVANCE(213);
      if (lookahead == '.') ADVANCE(207);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(630);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(629);
      END_STATE();
    case 207:
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(360);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(629);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        ',', 467,
        '.', 500,
        ':', 214,
        ';', 511,
        '[', 227,
        '\\', 160,
        ']', 490,
        'i', 748,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 209:
      if (lookahead == '-') ADVANCE(555);
      END_STATE();
    case 210:
      if (lookahead == '.') ADVANCE(465);
      END_STATE();
    case 211:
      if (lookahead == '.') ADVANCE(819);
      if (lookahead == '[') ADVANCE(226);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(582);
      END_STATE();
    case 212:
      if (lookahead == '.') ADVANCE(207);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(629);
      END_STATE();
    case 213:
      if (lookahead == '.') ADVANCE(207);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(630);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(629);
      END_STATE();
    case 214:
      if (lookahead == ':') ADVANCE(552);
      END_STATE();
    case 215:
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(667);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        ':', 499,
        ';', 511,
        '=', 448,
        '>', 356,
        '[', 200,
        'c', 317,
        'e', 300,
        'i', 297,
        'm', 259,
        'v', 232,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      END_STATE();
    case 217:
      if (lookahead == ';') ADVANCE(439);
      END_STATE();
    case 218:
      if (lookahead == '=') ADVANCE(466);
      END_STATE();
    case 219:
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 220:
      if (lookahead == '=') ADVANCE(473);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 221:
      if (lookahead == '=') ADVANCE(667);
      END_STATE();
    case 222:
      if (lookahead == '=') ADVANCE(654);
      END_STATE();
    case 223:
      if (lookahead == '>') ADVANCE(502);
      END_STATE();
    case 224:
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 225:
      if (lookahead == '>') ADVANCE(631);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(225);
      END_STATE();
    case 226:
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 227:
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 228:
      if (lookahead == '[') ADVANCE(226);
      if (lookahead == '\\') ADVANCE(310);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      END_STATE();
    case 229:
      if (lookahead == '[') ADVANCE(485);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == 'l') ADVANCE(716);
      if (lookahead == '{') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 230:
      if (lookahead == ']') ADVANCE(554);
      END_STATE();
    case 231:
      if (lookahead == ']') ADVANCE(554);
      if (lookahead == '|') ADVANCE(665);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 232:
      if (lookahead == 'a') ADVANCE(284);
      END_STATE();
    case 233:
      if (lookahead == 'a') ADVANCE(336);
      END_STATE();
    case 234:
      if (lookahead == 'a') ADVANCE(303);
      if (lookahead == 'e') ADVANCE(338);
      if (lookahead == 'o') ADVANCE(328);
      if (lookahead == 's') ADVANCE(358);
      if (lookahead == 'x') ADVANCE(316);
      END_STATE();
    case 235:
      if (lookahead == 'a') ADVANCE(303);
      if (lookahead == 'e') ADVANCE(345);
      if (lookahead == 'o') ADVANCE(328);
      if (lookahead == 's') ADVANCE(358);
      if (lookahead == 'x') ADVANCE(316);
      END_STATE();
    case 236:
      if (lookahead == 'a') ADVANCE(303);
      if (lookahead == 'o') ADVANCE(328);
      if (lookahead == 's') ADVANCE(358);
      if (lookahead == 'x') ADVANCE(316);
      END_STATE();
    case 237:
      if (lookahead == 'a') ADVANCE(279);
      END_STATE();
    case 238:
      if (lookahead == 'a') ADVANCE(289);
      END_STATE();
    case 239:
      if (lookahead == 'a') ADVANCE(286);
      END_STATE();
    case 240:
      if (lookahead == 'a') ADVANCE(342);
      if (lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 241:
      if (lookahead == 'c') ADVANCE(285);
      if (lookahead == 'h') ADVANCE(265);
      if (lookahead == 'i') ADVANCE(343);
      END_STATE();
    case 242:
      if (lookahead == 'c') ADVANCE(263);
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 243:
      if (lookahead == 'c') ADVANCE(271);
      END_STATE();
    case 244:
      if (lookahead == 'd') ADVANCE(444);
      END_STATE();
    case 245:
      if (lookahead == 'd') ADVANCE(528);
      END_STATE();
    case 246:
      if (lookahead == 'd') ADVANCE(643);
      END_STATE();
    case 247:
      if (lookahead == 'd') ADVANCE(646);
      END_STATE();
    case 248:
      if (lookahead == 'd') ADVANCE(534);
      END_STATE();
    case 249:
      if (lookahead == 'd') ADVANCE(443);
      END_STATE();
    case 250:
      if (lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 251:
      if (lookahead == 'd') ADVANCE(349);
      END_STATE();
    case 252:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 253:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 254:
      if (lookahead == 'e') ADVANCE(559);
      END_STATE();
    case 255:
      if (lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(518);
      END_STATE();
    case 257:
      if (lookahead == 'e') ADVANCE(522);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(563);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(339);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(339);
      if (lookahead == 'o') ADVANCE(247);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(339);
      if (lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 262:
      if (lookahead == 'e') ADVANCE(339);
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(324);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(332);
      END_STATE();
    case 266:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 267:
      if (lookahead == 'e') ADVANCE(295);
      END_STATE();
    case 268:
      if (lookahead == 'e') ADVANCE(329);
      END_STATE();
    case 269:
      if (lookahead == 'h') ADVANCE(530);
      END_STATE();
    case 270:
      if (lookahead == 'h') ADVANCE(320);
      END_STATE();
    case 271:
      if (lookahead == 'h') ADVANCE(372);
      END_STATE();
    case 272:
      if (lookahead == 'h') ADVANCE(265);
      if (lookahead == 'i') ADVANCE(343);
      END_STATE();
    case 273:
      if (lookahead == 'h') ADVANCE(267);
      END_STATE();
    case 274:
      if (lookahead == 'h') ADVANCE(267);
      if (lookahead == 'y') ADVANCE(325);
      END_STATE();
    case 275:
      if (lookahead == 'i') ADVANCE(352);
      END_STATE();
    case 276:
      if (lookahead == 'i') ADVANCE(344);
      END_STATE();
    case 277:
      if (lookahead == 'i') ADVANCE(321);
      END_STATE();
    case 278:
      if (lookahead == 'i') ADVANCE(340);
      END_STATE();
    case 279:
      if (lookahead == 'i') ADVANCE(305);
      END_STATE();
    case 280:
      if (lookahead == 'i') ADVANCE(238);
      END_STATE();
    case 281:
      if (lookahead == 'l') ADVANCE(335);
      END_STATE();
    case 282:
      if (lookahead == 'l') ADVANCE(335);
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 283:
      if (lookahead == 'l') ADVANCE(335);
      if (lookahead == 'n') ADVANCE(245);
      if (lookahead == 'x') ADVANCE(242);
      END_STATE();
    case 284:
      if (lookahead == 'l') ADVANCE(526);
      END_STATE();
    case 285:
      if (lookahead == 'l') ADVANCE(350);
      END_STATE();
    case 286:
      if (lookahead == 'l') ADVANCE(461);
      END_STATE();
    case 287:
      if (lookahead == 'l') ADVANCE(233);
      END_STATE();
    case 288:
      if (lookahead == 'l') ADVANCE(233);
      if (lookahead == 'o') ADVANCE(302);
      END_STATE();
    case 289:
      if (lookahead == 'l') ADVANCE(275);
      END_STATE();
    case 290:
      if (lookahead == 'l') ADVANCE(256);
      END_STATE();
    case 291:
      if (lookahead == 'n') ADVANCE(631);
      END_STATE();
    case 292:
      if (lookahead == 'n') ADVANCE(244);
      if (lookahead == 's') ADVANCE(327);
      END_STATE();
    case 293:
      if (lookahead == 'n') ADVANCE(241);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(520);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(557);
      END_STATE();
    case 296:
      if (lookahead == 'n') ADVANCE(516);
      END_STATE();
    case 297:
      if (lookahead == 'n') ADVANCE(272);
      END_STATE();
    case 298:
      if (lookahead == 'n') ADVANCE(538);
      END_STATE();
    case 299:
      if (lookahead == 'n') ADVANCE(536);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 301:
      if (lookahead == 'n') ADVANCE(245);
      if (lookahead == 'x') ADVANCE(242);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(337);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(246);
      END_STATE();
    case 304:
      if (lookahead == 'n') ADVANCE(249);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(341);
      END_STATE();
    case 306:
      if (lookahead == 'n') ADVANCE(250);
      if (lookahead == 's') ADVANCE(327);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(348);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(258);
      if (lookahead == 'w') ADVANCE(307);
      END_STATE();
    case 309:
      if (lookahead == 'n') ADVANCE(239);
      END_STATE();
    case 310:
      ADVANCE_MAP(
        'o', 362,
        'x', 379,
        ' ', 625,
        '"', 625,
        '\'', 625,
        '\\', 625,
        'b', 625,
        'n', 625,
        'r', 625,
        't', 625,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(369);
      END_STATE();
    case 311:
      if (lookahead == 'o') ADVANCE(561);
      END_STATE();
    case 312:
      if (lookahead == 'o') ADVANCE(308);
      END_STATE();
    case 313:
      if (lookahead == 'o') ADVANCE(565);
      END_STATE();
    case 314:
      if (lookahead == 'o') ADVANCE(565);
      if (lookahead == 'y') ADVANCE(325);
      END_STATE();
    case 315:
      if (lookahead == 'o') ADVANCE(567);
      END_STATE();
    case 316:
      if (lookahead == 'o') ADVANCE(328);
      END_STATE();
    case 317:
      if (lookahead == 'o') ADVANCE(302);
      END_STATE();
    case 318:
      if (lookahead == 'o') ADVANCE(247);
      END_STATE();
    case 319:
      if (lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 320:
      if (lookahead == 'o') ADVANCE(248);
      END_STATE();
    case 321:
      if (lookahead == 'o') ADVANCE(296);
      END_STATE();
    case 322:
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 323:
      if (lookahead == 'p') ADVANCE(266);
      if (lookahead == 'r') ADVANCE(664);
      END_STATE();
    case 324:
      if (lookahead == 'p') ADVANCE(346);
      END_STATE();
    case 325:
      if (lookahead == 'p') ADVANCE(255);
      END_STATE();
    case 326:
      if (lookahead == 'r') ADVANCE(664);
      END_STATE();
    case 327:
      if (lookahead == 'r') ADVANCE(640);
      END_STATE();
    case 328:
      if (lookahead == 'r') ADVANCE(643);
      END_STATE();
    case 329:
      if (lookahead == 'r') ADVANCE(540);
      END_STATE();
    case 330:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 331:
      if (lookahead == 'r') ADVANCE(309);
      END_STATE();
    case 332:
      if (lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 333:
      if (lookahead == 's') ADVANCE(327);
      END_STATE();
    case 334:
      if (lookahead == 's') ADVANCE(524);
      END_STATE();
    case 335:
      if (lookahead == 's') ADVANCE(254);
      END_STATE();
    case 336:
      if (lookahead == 's') ADVANCE(334);
      END_STATE();
    case 337:
      if (lookahead == 's') ADVANCE(347);
      END_STATE();
    case 338:
      if (lookahead == 't') ADVANCE(440);
      END_STATE();
    case 339:
      if (lookahead == 't') ADVANCE(270);
      END_STATE();
    case 340:
      if (lookahead == 't') ADVANCE(532);
      END_STATE();
    case 341:
      if (lookahead == 't') ADVANCE(514);
      END_STATE();
    case 342:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 343:
      if (lookahead == 't') ADVANCE(280);
      END_STATE();
    case 344:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 345:
      if (lookahead == 't') ADVANCE(371);
      END_STATE();
    case 346:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 347:
      if (lookahead == 't') ADVANCE(330);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 349:
      if (lookahead == 'u') ADVANCE(290);
      END_STATE();
    case 350:
      if (lookahead == 'u') ADVANCE(252);
      END_STATE();
    case 351:
      if (lookahead == 'y') ADVANCE(325);
      END_STATE();
    case 352:
      if (lookahead == 'z') ADVANCE(268);
      END_STATE();
    case 353:
      if (lookahead == '{') ADVANCE(377);
      END_STATE();
    case 354:
      if (lookahead == '|') ADVANCE(665);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 355:
      if (lookahead == '}') ADVANCE(618);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(355);
      END_STATE();
    case 356:
      if (lookahead == '}') ADVANCE(570);
      END_STATE();
    case 357:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(366);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      END_STATE();
    case 358:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(640);
      END_STATE();
    case 359:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(594);
      END_STATE();
    case 360:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(360);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(629);
      END_STATE();
    case 361:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(630);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(629);
      END_STATE();
    case 362:
      if (('0' <= lookahead && lookahead <= '3')) ADVANCE(364);
      END_STATE();
    case 363:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(628);
      END_STATE();
    case 364:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(363);
      END_STATE();
    case 365:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(571);
      END_STATE();
    case 366:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      END_STATE();
    case 367:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(225);
      END_STATE();
    case 368:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(626);
      END_STATE();
    case 369:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(368);
      END_STATE();
    case 370:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 371:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 372:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      END_STATE();
    case 373:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 374:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 375:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(639);
      END_STATE();
    case 376:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 377:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(355);
      END_STATE();
    case 378:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(627);
      END_STATE();
    case 379:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(378);
      END_STATE();
    case 380:
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 381:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 470,
        '"', 611,
        '#', 550,
        '$', 365,
        '%', 585,
        '&', 546,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 469,
        ',', 467,
        '-', 472,
        '.', 501,
        '0', 588,
        ':', 493,
        ';', 512,
        '<', 548,
        '=', 448,
        '>', 544,
        '?', 451,
        '@', 651,
        '[', 480,
        '\\', 2,
        ']', 490,
        '^', 653,
        '`', 818,
        'a', 742,
        'c', 736,
        'd', 762,
        'e', 730,
        'i', 743,
        'l', 701,
        'm', 674,
        'o', 774,
        't', 722,
        'v', 672,
        'w', 726,
        '{', 507,
        '|', 476,
        '}', 513,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(381);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 382:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 816,
        '$', 365,
        '%', 585,
        '&', 545,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 600,
        ',', 467,
        '-', 601,
        '.', 819,
        '0', 588,
        ':', 493,
        ';', 217,
        '<', 209,
        '=', 448,
        '>', 544,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 677,
        'o', 775,
        't', 807,
        '{', 507,
        '|', 474,
        '}', 513,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(382);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 383:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        ';', 217,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 701,
        'm', 677,
        'o', 775,
        't', 807,
        '{', 507,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(383);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 384:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        ';', 217,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 677,
        'o', 775,
        't', 807,
        '{', 507,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(384);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 385:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '\'', 606,
        '(', 459,
        '+', 218,
        '0', 588,
        ':', 453,
        ';', 217,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 386:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '\'', 606,
        '(', 459,
        '+', 218,
        '0', 588,
        ';', 217,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 387:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '.', 500,
        '0', 588,
        ';', 217,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(387);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 388:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '=', 659,
        '>', 657,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 743,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(388);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 389:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(389);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 390:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(390);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 391:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(391);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 392:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(392);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 393:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(393);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 394:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(394);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 395:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(395);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 396:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(396);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 397:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(397);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 398:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(398);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 399:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(399);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 400:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(394);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 401:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(395);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 402:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(396);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 403:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(397);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 404:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(398);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 405:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(399);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 406:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(406);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 407:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(407);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 408:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(408);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 409:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(409);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 410:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(410);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 411:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(411);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 412:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 222,
        '"', 611,
        '#', 815,
        '&', 662,
        '\'', 607,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        ':', 495,
        ';', 512,
        '<', 656,
        '[', 482,
        ']', 490,
        'a', 292,
        'c', 288,
        'd', 311,
        'e', 283,
        'i', 293,
        'l', 234,
        'm', 260,
        'o', 323,
        't', 274,
        'v', 232,
        'w', 276,
        '{', 506,
        '|', 478,
        '}', 513,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(413);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      END_STATE();
    case 413:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 222,
        '"', 611,
        '#', 815,
        '&', 662,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        ':', 495,
        ';', 512,
        '<', 656,
        '[', 482,
        ']', 490,
        'a', 292,
        'c', 288,
        'd', 311,
        'e', 283,
        'i', 293,
        'l', 234,
        'm', 260,
        'o', 323,
        't', 274,
        'v', 232,
        'w', 276,
        '{', 506,
        '|', 478,
        '}', 513,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(413);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      END_STATE();
    case 414:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 222,
        '#', 815,
        '&', 662,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 200,
        ']', 490,
        'a', 292,
        'c', 287,
        'd', 312,
        'e', 283,
        'i', 298,
        'l', 234,
        'm', 318,
        'o', 323,
        't', 314,
        'v', 232,
        '{', 201,
        '|', 478,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(414);
      END_STATE();
    case 415:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 222,
        '#', 551,
        '&', 662,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        ':', 494,
        ';', 512,
        '<', 656,
        '[', 200,
        ']', 490,
        'a', 292,
        'c', 287,
        'd', 312,
        'e', 283,
        'i', 298,
        'l', 234,
        'm', 318,
        'o', 323,
        't', 314,
        'v', 232,
        '{', 201,
        '|', 478,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(415);
      END_STATE();
    case 416:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 815,
        '\'', 606,
        '(', 459,
        ')', 460,
        ',', 467,
        '0', 588,
        ':', 492,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 510,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 417:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 815,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(417);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 418:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '*', 504,
        '+', 599,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 419:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(419);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 420:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(420);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 421:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 210,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(421);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 422:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 210,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(422);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 423:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(423);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 424:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 453,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(423);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 425:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        '%', 585,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 218,
        '-', 223,
        '.', 500,
        ':', 498,
        ';', 217,
        '=', 448,
        '[', 192,
        ']', 490,
        'a', 304,
        'c', 288,
        'e', 301,
        'i', 293,
        'l', 253,
        'm', 262,
        'o', 322,
        't', 351,
        'v', 232,
        'w', 276,
        '{', 193,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(425);
      END_STATE();
    case 426:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        '&', 545,
        ')', 460,
        '*', 504,
        ',', 467,
        '-', 223,
        ':', 220,
        ';', 217,
        '=', 448,
        '>', 544,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 749,
        'l', 701,
        'm', 709,
        'o', 775,
        't', 807,
        'v', 672,
        'w', 726,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(426);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 427:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        '(', 459,
        ')', 460,
        ',', 467,
        '-', 223,
        '.', 500,
        ':', 492,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(427);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 428:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        '(', 459,
        '*', 504,
        '-', 223,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 488,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(428);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 429:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        '(', 459,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 488,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(429);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 430:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        ')', 460,
        ':', 491,
        ';', 217,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 749,
        'l', 701,
        'm', 709,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(430);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 431:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        '*', 504,
        '-', 223,
        ':', 219,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        'w', 726,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(431);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 432:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(432);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 433:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ';', 217,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(433);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 434:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ';', 217,
        '[', 200,
        '\\', 160,
        ']', 490,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(434);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 435:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 549,
        '*', 504,
        '-', 223,
        ':', 497,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        'w', 726,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(435);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_shebang);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(437);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(438);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_shebang);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(438);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_COLON_GT);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(473);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(667);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(667);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_external);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_type);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(636);
      if (lookahead == '=') ADVANCE(466);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(636);
      if (lookahead == '>') ADVANCE(502);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(554);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(554);
      if (lookahead == '|') ADVANCE(664);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(554);
      if (lookahead == '|') ADVANCE(665);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(665);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '<') ADVANCE(543);
      if (lookahead == '>') ADVANCE(542);
      if (lookahead == '@') ADVANCE(613);
      if (lookahead == '|') ADVANCE(553);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '<') ADVANCE(543);
      if (lookahead == '>') ADVANCE(542);
      if (lookahead == '@') ADVANCE(572);
      if (lookahead == '|') ADVANCE(553);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '<') ADVANCE(543);
      if (lookahead == '>') ADVANCE(542);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '@') ADVANCE(573);
      if (lookahead == '|') ADVANCE(553);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '<') ADVANCE(543);
      if (lookahead == '>') ADVANCE(542);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(572);
      if (lookahead == '|') ADVANCE(553);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(574);
      if (lookahead == '|') ADVANCE(553);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(194);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(552);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(473);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(667);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(667);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(473);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(465);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(581);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '<') ADVANCE(569);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(580);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(580);
      if (lookahead == '<') ADVANCE(569);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(195);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(439);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_constraint);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_constraint);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_exception);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_exception);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_module);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_open);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_include);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_class);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_val);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_end);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_with);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_inherit);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_inherit);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_method);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(738);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(285);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_in);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_initializer);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_initializer);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_LBRACK_GT);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_LBRACK_LT);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(661);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(555);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!') ADVANCE(437);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(639);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(639);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_LBRACK_PIPE);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACK);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_then);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_else);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_do);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_done);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_to);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_downto);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_downto);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_LBRACE_LT);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_GT_RBRACE);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_ocamlyacc_value);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(571);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(576);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      if (lookahead == '@') ADVANCE(577);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT_AT);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      if (lookahead == '%') ADVANCE(583);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      if (lookahead == '%') ADVANCE(584);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(aux_sym_quoted_extension_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(582);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT_PERCENT);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_PERCENT);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(aux_sym_number_token1);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(aux_sym_number_token1);
      ADVANCE_MAP(
        '.', 592,
        'B', 359,
        'b', 359,
        'E', 357,
        'e', 357,
        'O', 595,
        'o', 595,
        'X', 598,
        'x', 598,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(589);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(592);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(589);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(593);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(591);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(590);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(366);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(592);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(591);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(593);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(594);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(596);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(596);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(597);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(590);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(636);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(636);
      if (lookahead == '>') ADVANCE(502);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(638);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(637);
      if (lookahead == '>') ADVANCE(374);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(637);
      if (lookahead == '>') ADVANCE(503);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '>') ADVANCE(502);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_character_content_token1);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_string_content_token2);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '*', 213,
        '.', 207,
        'L', 630,
        'l', 630,
        'n', 630,
        ' ', 206,
        '#', 206,
        '+', 206,
        '-', 206,
        '0', 206,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(629);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '<', 367,
        '\\', 291,
        ' ', 631,
        ',', 631,
        '.', 631,
        ';', 631,
        '?', 631,
        '[', 631,
        ']', 631,
        '{', 631,
        '}', 631,
      );
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead == '@') ADVANCE(613);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(617);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '\\') ADVANCE(617);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_string_content_token4);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_string_content_token5);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(619);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '*', 213,
        '.', 207,
        'L', 630,
        'l', 630,
        'n', 630,
        ' ', 206,
        '#', 206,
        '+', 206,
        '-', 206,
        '0', 206,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(629);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '<', 367,
        '\\', 291,
        ' ', 631,
        ',', 631,
        '.', 631,
        ';', 631,
        '?', 631,
        '[', 631,
        ']', 631,
        '{', 631,
        '}', 631,
      );
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead == '@') ADVANCE(613);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '|') ADVANCE(624);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '|') ADVANCE(624);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token3);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token4);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_conversion_specification);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_conversion_specification);
      if (lookahead == 'X' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          lookahead == 'o' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(629);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(376);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(660);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (lookahead == '>') ADVANCE(650);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_hash_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(639);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_pow_operator);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(641);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_mult_operator);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '*') ADVANCE(641);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(740);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(290);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (lookahead == '>') ADVANCE(650);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_concat_operator);
      ADVANCE_MAP(
        '<', 652,
        '\\', 291,
        '.', 632,
        '?', 632,
        ' ', 631,
        ',', 631,
        ';', 631,
        '[', 631,
        ']', 631,
        '{', 631,
        '}', 631,
      );
      if (lookahead == '!' ||
          ('$' <= lookahead && lookahead <= '&') ||
          ('*' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          ('|' <= lookahead && lookahead <= '~')) ADVANCE(653);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_concat_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(225);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_concat_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_rel_operator);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(556);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(373);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '}') ADVANCE(570);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_rel_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(571);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_and_operator);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_and_operator);
      if (lookahead == '&') ADVANCE(663);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_or_operator);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_assign_operator);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_indexing_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_let_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_let_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_match_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(734);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(788);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'e') ADVANCE(792);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(697);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(727);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(735);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(739);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(755);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(780);
      if (lookahead == 's') ADVANCE(809);
      if (lookahead == 'x') ADVANCE(768);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(755);
      if (lookahead == 'e') ADVANCE(799);
      if (lookahead == 'o') ADVANCE(780);
      if (lookahead == 's') ADVANCE(809);
      if (lookahead == 'x') ADVANCE(768);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(755);
      if (lookahead == 'o') ADVANCE(780);
      if (lookahead == 's') ADVANCE(809);
      if (lookahead == 'x') ADVANCE(768);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(738);
      if (lookahead == 'h') ADVANCE(714);
      if (lookahead == 'i') ADVANCE(800);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(738);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(718);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(708);
      if (lookahead == 't') ADVANCE(703);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(708);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(445);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(529);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(802);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(535);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(648);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(645);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(446);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(810);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(706);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(790);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(560);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(783);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(464);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(519);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(523);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(564);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(777);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(792);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(744);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(745);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(784);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(781);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(795);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(531);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(769);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(714);
      if (lookahead == 'i') ADVANCE(800);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(714);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(713);
      if (lookahead == 'o') ADVANCE(566);
      if (lookahead == 'y') ADVANCE(776);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(713);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(808);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(772);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(797);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(756);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(794);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(683);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(786);
      if (lookahead == 'n') ADVANCE(693);
      if (lookahead == 'x') ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(786);
      if (lookahead == 'n') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(786);
      if (lookahead == 'x') ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(786);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(527);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(462);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(673);
      if (lookahead == 'o') ADVANCE(753);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(673);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(803);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(724);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(705);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(692);
      if (lookahead == 's') ADVANCE(779);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(692);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(537);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(521);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(558);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(517);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(720);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(539);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(687);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(693);
      if (lookahead == 'x') ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(688);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(789);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(721);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(793);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(699);
      if (lookahead == 's') ADVANCE(779);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(698);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(801);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(707);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(682);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(562);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(566);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(804);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(568);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(753);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(780);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(695);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(697);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(746);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(760);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(712);
      if (lookahead == 'r') ADVANCE(666);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(712);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(704);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(796);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(666);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(642);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(648);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(541);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(681);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(761);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(728);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(525);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(702);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(779);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(785);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(798);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(441);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(689);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(719);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(515);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(533);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(442);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(725);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(717);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(782);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(811);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(729);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(765);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(740);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(700);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'w') ADVANCE(759);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(691);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'y') ADVANCE(776);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'z') ADVANCE(715);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(642);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym__uppercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(814);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      if (lookahead == '!') ADVANCE(438);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(aux_sym_type_variable_token1);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(aux_sym_tag_token1);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(aux_sym_attribute_id_token1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'e', 4,
        'f', 5,
        'i', 6,
        'l', 7,
        'm', 8,
        'n', 9,
        'o', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'v', 15,
        'w', 16,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 's') ADVANCE(17);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(18);
      END_STATE();
    case 4:
      if (lookahead == 'f') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(23);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(25);
      if (lookahead == 'u') ADVANCE(26);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(27);
      if (lookahead == 'o') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'b') ADVANCE(29);
      if (lookahead == 'f') ADVANCE(30);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(33);
      if (lookahead == 't') ADVANCE(34);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(35);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(36);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(37);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(38);
      END_STATE();
    case 18:
      if (lookahead == 'g') ADVANCE(39);
      END_STATE();
    case 19:
      if (lookahead == 'f') ADVANCE(40);
      END_STATE();
    case 20:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 21:
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 24:
      if (lookahead == 'z') ADVANCE(44);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 27:
      if (lookahead == 'w') ADVANCE(47);
      END_STATE();
    case 28:
      if (lookahead == 'n') ADVANCE(48);
      END_STATE();
    case 29:
      if (lookahead == 'j') ADVANCE(49);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 32:
      if (lookahead == 'c') ADVANCE(51);
      END_STATE();
    case 33:
      if (lookahead == 'g') ADVANCE(52);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(54);
      if (lookahead == 'y') ADVANCE(55);
      END_STATE();
    case 36:
      if (lookahead == 'r') ADVANCE(56);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(57);
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(60);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(63);
      END_STATE();
    case 44:
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 45:
      if (lookahead == 'c') ADVANCE(65);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 50:
      if (lookahead == 'v') ADVANCE(69);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_rec);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_sig);
      END_STATE();
    case 53:
      if (lookahead == 'u') ADVANCE(70);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(74);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 65:
      if (lookahead == 'h') ADVANCE(80);
      END_STATE();
    case 66:
      if (lookahead == 'b') ADVANCE(81);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 68:
      if (lookahead == 'c') ADVANCE(83);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 70:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 72:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(93);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(97);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_effect);
      END_STATE();
    case 90:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_nonrec);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 98:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_functor);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 382, .external_lex_state = 2},
  [2] = {.lex_state = 382, .external_lex_state = 2},
  [3] = {.lex_state = 382, .external_lex_state = 2},
  [4] = {.lex_state = 382, .external_lex_state = 2},
  [5] = {.lex_state = 382, .external_lex_state = 2},
  [6] = {.lex_state = 382, .external_lex_state = 2},
  [7] = {.lex_state = 382, .external_lex_state = 2},
  [8] = {.lex_state = 382, .external_lex_state = 2},
  [9] = {.lex_state = 382, .external_lex_state = 2},
  [10] = {.lex_state = 382, .external_lex_state = 2},
  [11] = {.lex_state = 382, .external_lex_state = 2},
  [12] = {.lex_state = 382, .external_lex_state = 2},
  [13] = {.lex_state = 382, .external_lex_state = 2},
  [14] = {.lex_state = 382, .external_lex_state = 2},
  [15] = {.lex_state = 382, .external_lex_state = 2},
  [16] = {.lex_state = 382, .external_lex_state = 2},
  [17] = {.lex_state = 382, .external_lex_state = 2},
  [18] = {.lex_state = 382, .external_lex_state = 2},
  [19] = {.lex_state = 382, .external_lex_state = 2},
  [20] = {.lex_state = 382, .external_lex_state = 2},
  [21] = {.lex_state = 382, .external_lex_state = 2},
  [22] = {.lex_state = 382, .external_lex_state = 2},
  [23] = {.lex_state = 382, .external_lex_state = 2},
  [24] = {.lex_state = 382, .external_lex_state = 2},
  [25] = {.lex_state = 382, .external_lex_state = 2},
  [26] = {.lex_state = 382, .external_lex_state = 2},
  [27] = {.lex_state = 382, .external_lex_state = 2},
  [28] = {.lex_state = 382, .external_lex_state = 2},
  [29] = {.lex_state = 382, .external_lex_state = 2},
  [30] = {.lex_state = 382, .external_lex_state = 2},
  [31] = {.lex_state = 382, .external_lex_state = 2},
  [32] = {.lex_state = 382, .external_lex_state = 2},
  [33] = {.lex_state = 382, .external_lex_state = 2},
  [34] = {.lex_state = 382, .external_lex_state = 2},
  [35] = {.lex_state = 382, .external_lex_state = 2},
  [36] = {.lex_state = 382, .external_lex_state = 2},
  [37] = {.lex_state = 382, .external_lex_state = 2},
  [38] = {.lex_state = 382, .external_lex_state = 2},
  [39] = {.lex_state = 382, .external_lex_state = 2},
  [40] = {.lex_state = 382, .external_lex_state = 2},
  [41] = {.lex_state = 382, .external_lex_state = 2},
  [42] = {.lex_state = 382, .external_lex_state = 2},
  [43] = {.lex_state = 382, .external_lex_state = 2},
  [44] = {.lex_state = 382, .external_lex_state = 2},
  [45] = {.lex_state = 382, .external_lex_state = 2},
  [46] = {.lex_state = 382, .external_lex_state = 2},
  [47] = {.lex_state = 382, .external_lex_state = 2},
  [48] = {.lex_state = 382, .external_lex_state = 2},
  [49] = {.lex_state = 382, .external_lex_state = 2},
  [50] = {.lex_state = 382, .external_lex_state = 2},
  [51] = {.lex_state = 382, .external_lex_state = 2},
  [52] = {.lex_state = 382, .external_lex_state = 2},
  [53] = {.lex_state = 382, .external_lex_state = 2},
  [54] = {.lex_state = 382, .external_lex_state = 2},
  [55] = {.lex_state = 382, .external_lex_state = 2},
  [56] = {.lex_state = 382, .external_lex_state = 2},
  [57] = {.lex_state = 382, .external_lex_state = 2},
  [58] = {.lex_state = 382, .external_lex_state = 2},
  [59] = {.lex_state = 382, .external_lex_state = 2},
  [60] = {.lex_state = 382, .external_lex_state = 2},
  [61] = {.lex_state = 382, .external_lex_state = 2},
  [62] = {.lex_state = 382, .external_lex_state = 2},
  [63] = {.lex_state = 382, .external_lex_state = 2},
  [64] = {.lex_state = 382, .external_lex_state = 2},
  [65] = {.lex_state = 382, .external_lex_state = 2},
  [66] = {.lex_state = 382, .external_lex_state = 2},
  [67] = {.lex_state = 382, .external_lex_state = 2},
  [68] = {.lex_state = 382, .external_lex_state = 2},
  [69] = {.lex_state = 382, .external_lex_state = 2},
  [70] = {.lex_state = 382, .external_lex_state = 2},
  [71] = {.lex_state = 382, .external_lex_state = 2},
  [72] = {.lex_state = 382, .external_lex_state = 2},
  [73] = {.lex_state = 382, .external_lex_state = 2},
  [74] = {.lex_state = 382, .external_lex_state = 2},
  [75] = {.lex_state = 382, .external_lex_state = 2},
  [76] = {.lex_state = 382, .external_lex_state = 2},
  [77] = {.lex_state = 382, .external_lex_state = 2},
  [78] = {.lex_state = 382, .external_lex_state = 2},
  [79] = {.lex_state = 382, .external_lex_state = 2},
  [80] = {.lex_state = 382, .external_lex_state = 2},
  [81] = {.lex_state = 382, .external_lex_state = 2},
  [82] = {.lex_state = 382, .external_lex_state = 2},
  [83] = {.lex_state = 382, .external_lex_state = 2},
  [84] = {.lex_state = 382, .external_lex_state = 2},
  [85] = {.lex_state = 382, .external_lex_state = 2},
  [86] = {.lex_state = 382, .external_lex_state = 2},
  [87] = {.lex_state = 382, .external_lex_state = 2},
  [88] = {.lex_state = 382, .external_lex_state = 2},
  [89] = {.lex_state = 382, .external_lex_state = 2},
  [90] = {.lex_state = 382, .external_lex_state = 2},
  [91] = {.lex_state = 382, .external_lex_state = 2},
  [92] = {.lex_state = 382, .external_lex_state = 2},
  [93] = {.lex_state = 382, .external_lex_state = 2},
  [94] = {.lex_state = 382, .external_lex_state = 2},
  [95] = {.lex_state = 382, .external_lex_state = 2},
  [96] = {.lex_state = 382, .external_lex_state = 2},
  [97] = {.lex_state = 388, .external_lex_state = 2},
  [98] = {.lex_state = 388, .external_lex_state = 2},
  [99] = {.lex_state = 36, .external_lex_state = 2},
  [100] = {.lex_state = 38, .external_lex_state = 2},
  [101] = {.lex_state = 391, .external_lex_state = 2},
  [102] = {.lex_state = 391, .external_lex_state = 2},
  [103] = {.lex_state = 37, .external_lex_state = 2},
  [104] = {.lex_state = 10, .external_lex_state = 2},
  [105] = {.lex_state = 10, .external_lex_state = 2},
  [106] = {.lex_state = 389, .external_lex_state = 2},
  [107] = {.lex_state = 382, .external_lex_state = 2},
  [108] = {.lex_state = 389, .external_lex_state = 2},
  [109] = {.lex_state = 382, .external_lex_state = 2},
  [110] = {.lex_state = 382, .external_lex_state = 2},
  [111] = {.lex_state = 382, .external_lex_state = 2},
  [112] = {.lex_state = 382, .external_lex_state = 2},
  [113] = {.lex_state = 382, .external_lex_state = 2},
  [114] = {.lex_state = 382, .external_lex_state = 2},
  [115] = {.lex_state = 10, .external_lex_state = 2},
  [116] = {.lex_state = 10, .external_lex_state = 2},
  [117] = {.lex_state = 10, .external_lex_state = 2},
  [118] = {.lex_state = 10, .external_lex_state = 2},
  [119] = {.lex_state = 390, .external_lex_state = 2},
  [120] = {.lex_state = 390, .external_lex_state = 2},
  [121] = {.lex_state = 382, .external_lex_state = 2},
  [122] = {.lex_state = 39, .external_lex_state = 2},
  [123] = {.lex_state = 382, .external_lex_state = 2},
  [124] = {.lex_state = 382, .external_lex_state = 2},
  [125] = {.lex_state = 382, .external_lex_state = 2},
  [126] = {.lex_state = 382, .external_lex_state = 2},
  [127] = {.lex_state = 393, .external_lex_state = 2},
  [128] = {.lex_state = 393, .external_lex_state = 2},
  [129] = {.lex_state = 40, .external_lex_state = 2},
  [130] = {.lex_state = 392, .external_lex_state = 2},
  [131] = {.lex_state = 392, .external_lex_state = 2},
  [132] = {.lex_state = 41, .external_lex_state = 2},
  [133] = {.lex_state = 100, .external_lex_state = 2},
  [134] = {.lex_state = 100, .external_lex_state = 2},
  [135] = {.lex_state = 103, .external_lex_state = 2},
  [136] = {.lex_state = 103, .external_lex_state = 2},
  [137] = {.lex_state = 101, .external_lex_state = 2},
  [138] = {.lex_state = 101, .external_lex_state = 2},
  [139] = {.lex_state = 102, .external_lex_state = 2},
  [140] = {.lex_state = 102, .external_lex_state = 2},
  [141] = {.lex_state = 383, .external_lex_state = 2},
  [142] = {.lex_state = 383, .external_lex_state = 2},
  [143] = {.lex_state = 11, .external_lex_state = 2},
  [144] = {.lex_state = 118, .external_lex_state = 2},
  [145] = {.lex_state = 12, .external_lex_state = 2},
  [146] = {.lex_state = 384, .external_lex_state = 2},
  [147] = {.lex_state = 118, .external_lex_state = 2},
  [148] = {.lex_state = 119, .external_lex_state = 2},
  [149] = {.lex_state = 384, .external_lex_state = 2},
  [150] = {.lex_state = 119, .external_lex_state = 2},
  [151] = {.lex_state = 106, .external_lex_state = 2},
  [152] = {.lex_state = 99, .external_lex_state = 2},
  [153] = {.lex_state = 99, .external_lex_state = 2},
  [154] = {.lex_state = 99, .external_lex_state = 2},
  [155] = {.lex_state = 111, .external_lex_state = 2},
  [156] = {.lex_state = 99, .external_lex_state = 2},
  [157] = {.lex_state = 99, .external_lex_state = 2},
  [158] = {.lex_state = 104, .external_lex_state = 2},
  [159] = {.lex_state = 99, .external_lex_state = 2},
  [160] = {.lex_state = 99, .external_lex_state = 2},
  [161] = {.lex_state = 112, .external_lex_state = 2},
  [162] = {.lex_state = 99, .external_lex_state = 2},
  [163] = {.lex_state = 99, .external_lex_state = 2},
  [164] = {.lex_state = 110, .external_lex_state = 2},
  [165] = {.lex_state = 99, .external_lex_state = 2},
  [166] = {.lex_state = 113, .external_lex_state = 2},
  [167] = {.lex_state = 99, .external_lex_state = 2},
  [168] = {.lex_state = 99, .external_lex_state = 2},
  [169] = {.lex_state = 99, .external_lex_state = 2},
  [170] = {.lex_state = 99, .external_lex_state = 2},
  [171] = {.lex_state = 99, .external_lex_state = 2},
  [172] = {.lex_state = 99, .external_lex_state = 2},
  [173] = {.lex_state = 99, .external_lex_state = 2},
  [174] = {.lex_state = 107, .external_lex_state = 2},
  [175] = {.lex_state = 99, .external_lex_state = 2},
  [176] = {.lex_state = 99, .external_lex_state = 2},
  [177] = {.lex_state = 99, .external_lex_state = 2},
  [178] = {.lex_state = 99, .external_lex_state = 2},
  [179] = {.lex_state = 99, .external_lex_state = 2},
  [180] = {.lex_state = 99, .external_lex_state = 2},
  [181] = {.lex_state = 99, .external_lex_state = 2},
  [182] = {.lex_state = 99, .external_lex_state = 2},
  [183] = {.lex_state = 99, .external_lex_state = 2},
  [184] = {.lex_state = 99, .external_lex_state = 2},
  [185] = {.lex_state = 108, .external_lex_state = 2},
  [186] = {.lex_state = 99, .external_lex_state = 2},
  [187] = {.lex_state = 99, .external_lex_state = 2},
  [188] = {.lex_state = 99, .external_lex_state = 2},
  [189] = {.lex_state = 99, .external_lex_state = 2},
  [190] = {.lex_state = 99, .external_lex_state = 2},
  [191] = {.lex_state = 99, .external_lex_state = 2},
  [192] = {.lex_state = 99, .external_lex_state = 2},
  [193] = {.lex_state = 99, .external_lex_state = 2},
  [194] = {.lex_state = 99, .external_lex_state = 2},
  [195] = {.lex_state = 99, .external_lex_state = 2},
  [196] = {.lex_state = 99, .external_lex_state = 2},
  [197] = {.lex_state = 99, .external_lex_state = 2},
  [198] = {.lex_state = 99, .external_lex_state = 2},
  [199] = {.lex_state = 99, .external_lex_state = 2},
  [200] = {.lex_state = 99, .external_lex_state = 2},
  [201] = {.lex_state = 99, .external_lex_state = 2},
  [202] = {.lex_state = 99, .external_lex_state = 2},
  [203] = {.lex_state = 382, .external_lex_state = 2},
  [204] = {.lex_state = 99, .external_lex_state = 2},
  [205] = {.lex_state = 99, .external_lex_state = 2},
  [206] = {.lex_state = 99, .external_lex_state = 2},
  [207] = {.lex_state = 99, .external_lex_state = 2},
  [208] = {.lex_state = 99, .external_lex_state = 2},
  [209] = {.lex_state = 99, .external_lex_state = 2},
  [210] = {.lex_state = 99, .external_lex_state = 2},
  [211] = {.lex_state = 99, .external_lex_state = 2},
  [212] = {.lex_state = 99, .external_lex_state = 2},
  [213] = {.lex_state = 99, .external_lex_state = 2},
  [214] = {.lex_state = 99, .external_lex_state = 2},
  [215] = {.lex_state = 99, .external_lex_state = 2},
  [216] = {.lex_state = 99, .external_lex_state = 2},
  [217] = {.lex_state = 99, .external_lex_state = 2},
  [218] = {.lex_state = 99, .external_lex_state = 2},
  [219] = {.lex_state = 99, .external_lex_state = 2},
  [220] = {.lex_state = 99, .external_lex_state = 2},
  [221] = {.lex_state = 99, .external_lex_state = 2},
  [222] = {.lex_state = 99, .external_lex_state = 2},
  [223] = {.lex_state = 99, .external_lex_state = 2},
  [224] = {.lex_state = 99, .external_lex_state = 2},
  [225] = {.lex_state = 99, .external_lex_state = 2},
  [226] = {.lex_state = 99, .external_lex_state = 2},
  [227] = {.lex_state = 99, .external_lex_state = 2},
  [228] = {.lex_state = 99, .external_lex_state = 2},
  [229] = {.lex_state = 99, .external_lex_state = 2},
  [230] = {.lex_state = 99, .external_lex_state = 2},
  [231] = {.lex_state = 99, .external_lex_state = 2},
  [232] = {.lex_state = 99, .external_lex_state = 2},
  [233] = {.lex_state = 99, .external_lex_state = 2},
  [234] = {.lex_state = 99, .external_lex_state = 2},
  [235] = {.lex_state = 99, .external_lex_state = 2},
  [236] = {.lex_state = 99, .external_lex_state = 2},
  [237] = {.lex_state = 99, .external_lex_state = 2},
  [238] = {.lex_state = 99, .external_lex_state = 2},
  [239] = {.lex_state = 99, .external_lex_state = 2},
  [240] = {.lex_state = 99, .external_lex_state = 2},
  [241] = {.lex_state = 10, .external_lex_state = 2},
  [242] = {.lex_state = 99, .external_lex_state = 2},
  [243] = {.lex_state = 99, .external_lex_state = 2},
  [244] = {.lex_state = 99, .external_lex_state = 2},
  [245] = {.lex_state = 99, .external_lex_state = 2},
  [246] = {.lex_state = 99, .external_lex_state = 2},
  [247] = {.lex_state = 99, .external_lex_state = 2},
  [248] = {.lex_state = 99, .external_lex_state = 2},
  [249] = {.lex_state = 99, .external_lex_state = 2},
  [250] = {.lex_state = 99, .external_lex_state = 2},
  [251] = {.lex_state = 99, .external_lex_state = 2},
  [252] = {.lex_state = 99, .external_lex_state = 2},
  [253] = {.lex_state = 99, .external_lex_state = 2},
  [254] = {.lex_state = 99, .external_lex_state = 2},
  [255] = {.lex_state = 99, .external_lex_state = 2},
  [256] = {.lex_state = 99, .external_lex_state = 2},
  [257] = {.lex_state = 99, .external_lex_state = 2},
  [258] = {.lex_state = 99, .external_lex_state = 2},
  [259] = {.lex_state = 99, .external_lex_state = 2},
  [260] = {.lex_state = 382, .external_lex_state = 2},
  [261] = {.lex_state = 99, .external_lex_state = 2},
  [262] = {.lex_state = 99, .external_lex_state = 2},
  [263] = {.lex_state = 99, .external_lex_state = 2},
  [264] = {.lex_state = 115, .external_lex_state = 2},
  [265] = {.lex_state = 116, .external_lex_state = 2},
  [266] = {.lex_state = 112, .external_lex_state = 2},
  [267] = {.lex_state = 105, .external_lex_state = 2},
  [268] = {.lex_state = 111, .external_lex_state = 2},
  [269] = {.lex_state = 104, .external_lex_state = 2},
  [270] = {.lex_state = 114, .external_lex_state = 2},
  [271] = {.lex_state = 110, .external_lex_state = 2},
  [272] = {.lex_state = 117, .external_lex_state = 2},
  [273] = {.lex_state = 109, .external_lex_state = 2},
  [274] = {.lex_state = 115, .external_lex_state = 2},
  [275] = {.lex_state = 105, .external_lex_state = 2},
  [276] = {.lex_state = 114, .external_lex_state = 2},
  [277] = {.lex_state = 116, .external_lex_state = 2},
  [278] = {.lex_state = 25, .external_lex_state = 2},
  [279] = {.lex_state = 24, .external_lex_state = 2},
  [280] = {.lex_state = 32, .external_lex_state = 2},
  [281] = {.lex_state = 27, .external_lex_state = 2},
  [282] = {.lex_state = 29, .external_lex_state = 2},
  [283] = {.lex_state = 29, .external_lex_state = 2},
  [284] = {.lex_state = 29, .external_lex_state = 2},
  [285] = {.lex_state = 29, .external_lex_state = 2},
  [286] = {.lex_state = 29, .external_lex_state = 2},
  [287] = {.lex_state = 29, .external_lex_state = 2},
  [288] = {.lex_state = 29, .external_lex_state = 2},
  [289] = {.lex_state = 29, .external_lex_state = 2},
  [290] = {.lex_state = 29, .external_lex_state = 2},
  [291] = {.lex_state = 29, .external_lex_state = 2},
  [292] = {.lex_state = 29, .external_lex_state = 2},
  [293] = {.lex_state = 29, .external_lex_state = 2},
  [294] = {.lex_state = 29, .external_lex_state = 2},
  [295] = {.lex_state = 29, .external_lex_state = 2},
  [296] = {.lex_state = 30, .external_lex_state = 2},
  [297] = {.lex_state = 29, .external_lex_state = 2},
  [298] = {.lex_state = 29, .external_lex_state = 2},
  [299] = {.lex_state = 29, .external_lex_state = 2},
  [300] = {.lex_state = 28, .external_lex_state = 2},
  [301] = {.lex_state = 29, .external_lex_state = 2},
  [302] = {.lex_state = 29, .external_lex_state = 2},
  [303] = {.lex_state = 29, .external_lex_state = 2},
  [304] = {.lex_state = 29, .external_lex_state = 2},
  [305] = {.lex_state = 29, .external_lex_state = 2},
  [306] = {.lex_state = 29, .external_lex_state = 2},
  [307] = {.lex_state = 29, .external_lex_state = 2},
  [308] = {.lex_state = 29, .external_lex_state = 2},
  [309] = {.lex_state = 29, .external_lex_state = 2},
  [310] = {.lex_state = 29, .external_lex_state = 2},
  [311] = {.lex_state = 29, .external_lex_state = 2},
  [312] = {.lex_state = 29, .external_lex_state = 2},
  [313] = {.lex_state = 29, .external_lex_state = 2},
  [314] = {.lex_state = 29, .external_lex_state = 2},
  [315] = {.lex_state = 29, .external_lex_state = 2},
  [316] = {.lex_state = 29, .external_lex_state = 2},
  [317] = {.lex_state = 26, .external_lex_state = 2},
  [318] = {.lex_state = 29, .external_lex_state = 2},
  [319] = {.lex_state = 29, .external_lex_state = 2},
  [320] = {.lex_state = 29, .external_lex_state = 2},
  [321] = {.lex_state = 29, .external_lex_state = 2},
  [322] = {.lex_state = 29, .external_lex_state = 2},
  [323] = {.lex_state = 29, .external_lex_state = 2},
  [324] = {.lex_state = 29, .external_lex_state = 2},
  [325] = {.lex_state = 29, .external_lex_state = 2},
  [326] = {.lex_state = 24, .external_lex_state = 2},
  [327] = {.lex_state = 29, .external_lex_state = 2},
  [328] = {.lex_state = 29, .external_lex_state = 2},
  [329] = {.lex_state = 29, .external_lex_state = 2},
  [330] = {.lex_state = 29, .external_lex_state = 2},
  [331] = {.lex_state = 31, .external_lex_state = 2},
  [332] = {.lex_state = 29, .external_lex_state = 2},
  [333] = {.lex_state = 29, .external_lex_state = 2},
  [334] = {.lex_state = 29, .external_lex_state = 2},
  [335] = {.lex_state = 29, .external_lex_state = 2},
  [336] = {.lex_state = 29, .external_lex_state = 2},
  [337] = {.lex_state = 29, .external_lex_state = 2},
  [338] = {.lex_state = 29, .external_lex_state = 2},
  [339] = {.lex_state = 24, .external_lex_state = 2},
  [340] = {.lex_state = 24, .external_lex_state = 2},
  [341] = {.lex_state = 24, .external_lex_state = 2},
  [342] = {.lex_state = 24, .external_lex_state = 2},
  [343] = {.lex_state = 24, .external_lex_state = 2},
  [344] = {.lex_state = 24, .external_lex_state = 2},
  [345] = {.lex_state = 24, .external_lex_state = 2},
  [346] = {.lex_state = 24, .external_lex_state = 2},
  [347] = {.lex_state = 24, .external_lex_state = 2},
  [348] = {.lex_state = 24, .external_lex_state = 2},
  [349] = {.lex_state = 24, .external_lex_state = 2},
  [350] = {.lex_state = 24, .external_lex_state = 2},
  [351] = {.lex_state = 24, .external_lex_state = 2},
  [352] = {.lex_state = 24, .external_lex_state = 2},
  [353] = {.lex_state = 24, .external_lex_state = 2},
  [354] = {.lex_state = 24, .external_lex_state = 2},
  [355] = {.lex_state = 24, .external_lex_state = 2},
  [356] = {.lex_state = 24, .external_lex_state = 2},
  [357] = {.lex_state = 24, .external_lex_state = 2},
  [358] = {.lex_state = 24, .external_lex_state = 2},
  [359] = {.lex_state = 408, .external_lex_state = 2},
  [360] = {.lex_state = 24, .external_lex_state = 2},
  [361] = {.lex_state = 24, .external_lex_state = 2},
  [362] = {.lex_state = 24, .external_lex_state = 2},
  [363] = {.lex_state = 24, .external_lex_state = 2},
  [364] = {.lex_state = 24, .external_lex_state = 2},
  [365] = {.lex_state = 24, .external_lex_state = 2},
  [366] = {.lex_state = 24, .external_lex_state = 2},
  [367] = {.lex_state = 24, .external_lex_state = 2},
  [368] = {.lex_state = 24, .external_lex_state = 2},
  [369] = {.lex_state = 24, .external_lex_state = 2},
  [370] = {.lex_state = 24, .external_lex_state = 2},
  [371] = {.lex_state = 24, .external_lex_state = 2},
  [372] = {.lex_state = 24, .external_lex_state = 2},
  [373] = {.lex_state = 24, .external_lex_state = 2},
  [374] = {.lex_state = 24, .external_lex_state = 2},
  [375] = {.lex_state = 408, .external_lex_state = 2},
  [376] = {.lex_state = 24, .external_lex_state = 2},
  [377] = {.lex_state = 24, .external_lex_state = 2},
  [378] = {.lex_state = 24, .external_lex_state = 2},
  [379] = {.lex_state = 24, .external_lex_state = 2},
  [380] = {.lex_state = 24, .external_lex_state = 2},
  [381] = {.lex_state = 24, .external_lex_state = 2},
  [382] = {.lex_state = 24, .external_lex_state = 2},
  [383] = {.lex_state = 24, .external_lex_state = 2},
  [384] = {.lex_state = 24, .external_lex_state = 2},
  [385] = {.lex_state = 24, .external_lex_state = 2},
  [386] = {.lex_state = 24, .external_lex_state = 2},
  [387] = {.lex_state = 24, .external_lex_state = 2},
  [388] = {.lex_state = 24, .external_lex_state = 2},
  [389] = {.lex_state = 24, .external_lex_state = 2},
  [390] = {.lex_state = 24, .external_lex_state = 2},
  [391] = {.lex_state = 24, .external_lex_state = 2},
  [392] = {.lex_state = 24, .external_lex_state = 2},
  [393] = {.lex_state = 24, .external_lex_state = 2},
  [394] = {.lex_state = 24, .external_lex_state = 2},
  [395] = {.lex_state = 24, .external_lex_state = 2},
  [396] = {.lex_state = 24, .external_lex_state = 2},
  [397] = {.lex_state = 24, .external_lex_state = 2},
  [398] = {.lex_state = 24, .external_lex_state = 2},
  [399] = {.lex_state = 24, .external_lex_state = 2},
  [400] = {.lex_state = 24, .external_lex_state = 2},
  [401] = {.lex_state = 24, .external_lex_state = 2},
  [402] = {.lex_state = 24, .external_lex_state = 2},
  [403] = {.lex_state = 24, .external_lex_state = 2},
  [404] = {.lex_state = 58, .external_lex_state = 2},
  [405] = {.lex_state = 24, .external_lex_state = 2},
  [406] = {.lex_state = 24, .external_lex_state = 2},
  [407] = {.lex_state = 24, .external_lex_state = 2},
  [408] = {.lex_state = 24, .external_lex_state = 2},
  [409] = {.lex_state = 24, .external_lex_state = 2},
  [410] = {.lex_state = 24, .external_lex_state = 2},
  [411] = {.lex_state = 24, .external_lex_state = 2},
  [412] = {.lex_state = 24, .external_lex_state = 2},
  [413] = {.lex_state = 24, .external_lex_state = 2},
  [414] = {.lex_state = 24, .external_lex_state = 2},
  [415] = {.lex_state = 24, .external_lex_state = 2},
  [416] = {.lex_state = 24, .external_lex_state = 2},
  [417] = {.lex_state = 24, .external_lex_state = 2},
  [418] = {.lex_state = 24, .external_lex_state = 2},
  [419] = {.lex_state = 24, .external_lex_state = 2},
  [420] = {.lex_state = 24, .external_lex_state = 2},
  [421] = {.lex_state = 24, .external_lex_state = 2},
  [422] = {.lex_state = 24, .external_lex_state = 2},
  [423] = {.lex_state = 24, .external_lex_state = 2},
  [424] = {.lex_state = 24, .external_lex_state = 2},
  [425] = {.lex_state = 24, .external_lex_state = 2},
  [426] = {.lex_state = 24, .external_lex_state = 2},
  [427] = {.lex_state = 24, .external_lex_state = 2},
  [428] = {.lex_state = 24, .external_lex_state = 2},
  [429] = {.lex_state = 24, .external_lex_state = 2},
  [430] = {.lex_state = 24, .external_lex_state = 2},
  [431] = {.lex_state = 24, .external_lex_state = 2},
  [432] = {.lex_state = 24, .external_lex_state = 2},
  [433] = {.lex_state = 24, .external_lex_state = 2},
  [434] = {.lex_state = 24, .external_lex_state = 2},
  [435] = {.lex_state = 24, .external_lex_state = 2},
  [436] = {.lex_state = 24, .external_lex_state = 2},
  [437] = {.lex_state = 24, .external_lex_state = 2},
  [438] = {.lex_state = 24, .external_lex_state = 2},
  [439] = {.lex_state = 24, .external_lex_state = 2},
  [440] = {.lex_state = 24, .external_lex_state = 2},
  [441] = {.lex_state = 24, .external_lex_state = 2},
  [442] = {.lex_state = 24, .external_lex_state = 2},
  [443] = {.lex_state = 24, .external_lex_state = 2},
  [444] = {.lex_state = 24, .external_lex_state = 2},
  [445] = {.lex_state = 24, .external_lex_state = 2},
  [446] = {.lex_state = 24, .external_lex_state = 2},
  [447] = {.lex_state = 24, .external_lex_state = 2},
  [448] = {.lex_state = 24, .external_lex_state = 2},
  [449] = {.lex_state = 24, .external_lex_state = 2},
  [450] = {.lex_state = 24, .external_lex_state = 2},
  [451] = {.lex_state = 24, .external_lex_state = 2},
  [452] = {.lex_state = 24, .external_lex_state = 2},
  [453] = {.lex_state = 24, .external_lex_state = 2},
  [454] = {.lex_state = 24, .external_lex_state = 2},
  [455] = {.lex_state = 24, .external_lex_state = 2},
  [456] = {.lex_state = 24, .external_lex_state = 2},
  [457] = {.lex_state = 24, .external_lex_state = 2},
  [458] = {.lex_state = 24, .external_lex_state = 2},
  [459] = {.lex_state = 24, .external_lex_state = 2},
  [460] = {.lex_state = 24, .external_lex_state = 2},
  [461] = {.lex_state = 24, .external_lex_state = 2},
  [462] = {.lex_state = 24, .external_lex_state = 2},
  [463] = {.lex_state = 24, .external_lex_state = 2},
  [464] = {.lex_state = 24, .external_lex_state = 2},
  [465] = {.lex_state = 24, .external_lex_state = 2},
  [466] = {.lex_state = 24, .external_lex_state = 2},
  [467] = {.lex_state = 24, .external_lex_state = 2},
  [468] = {.lex_state = 24, .external_lex_state = 2},
  [469] = {.lex_state = 24, .external_lex_state = 2},
  [470] = {.lex_state = 24, .external_lex_state = 2},
  [471] = {.lex_state = 24, .external_lex_state = 2},
  [472] = {.lex_state = 24, .external_lex_state = 2},
  [473] = {.lex_state = 24, .external_lex_state = 2},
  [474] = {.lex_state = 24, .external_lex_state = 2},
  [475] = {.lex_state = 24, .external_lex_state = 2},
  [476] = {.lex_state = 24, .external_lex_state = 2},
  [477] = {.lex_state = 24, .external_lex_state = 2},
  [478] = {.lex_state = 24, .external_lex_state = 2},
  [479] = {.lex_state = 24, .external_lex_state = 2},
  [480] = {.lex_state = 24, .external_lex_state = 2},
  [481] = {.lex_state = 24, .external_lex_state = 2},
  [482] = {.lex_state = 24, .external_lex_state = 2},
  [483] = {.lex_state = 24, .external_lex_state = 2},
  [484] = {.lex_state = 24, .external_lex_state = 2},
  [485] = {.lex_state = 24, .external_lex_state = 2},
  [486] = {.lex_state = 24, .external_lex_state = 2},
  [487] = {.lex_state = 24, .external_lex_state = 2},
  [488] = {.lex_state = 24, .external_lex_state = 2},
  [489] = {.lex_state = 24, .external_lex_state = 2},
  [490] = {.lex_state = 24, .external_lex_state = 2},
  [491] = {.lex_state = 24, .external_lex_state = 2},
  [492] = {.lex_state = 24, .external_lex_state = 2},
  [493] = {.lex_state = 24, .external_lex_state = 2},
  [494] = {.lex_state = 24, .external_lex_state = 2},
  [495] = {.lex_state = 24, .external_lex_state = 2},
  [496] = {.lex_state = 24, .external_lex_state = 2},
  [497] = {.lex_state = 24, .external_lex_state = 2},
  [498] = {.lex_state = 24, .external_lex_state = 2},
  [499] = {.lex_state = 24, .external_lex_state = 2},
  [500] = {.lex_state = 24, .external_lex_state = 2},
  [501] = {.lex_state = 24, .external_lex_state = 2},
  [502] = {.lex_state = 24, .external_lex_state = 2},
  [503] = {.lex_state = 24, .external_lex_state = 2},
  [504] = {.lex_state = 24, .external_lex_state = 2},
  [505] = {.lex_state = 24, .external_lex_state = 2},
  [506] = {.lex_state = 24, .external_lex_state = 2},
  [507] = {.lex_state = 24, .external_lex_state = 2},
  [508] = {.lex_state = 24, .external_lex_state = 2},
  [509] = {.lex_state = 24, .external_lex_state = 2},
  [510] = {.lex_state = 24, .external_lex_state = 2},
  [511] = {.lex_state = 24, .external_lex_state = 2},
  [512] = {.lex_state = 24, .external_lex_state = 2},
  [513] = {.lex_state = 24, .external_lex_state = 2},
  [514] = {.lex_state = 24, .external_lex_state = 2},
  [515] = {.lex_state = 24, .external_lex_state = 2},
  [516] = {.lex_state = 24, .external_lex_state = 2},
  [517] = {.lex_state = 24, .external_lex_state = 2},
  [518] = {.lex_state = 24, .external_lex_state = 2},
  [519] = {.lex_state = 24, .external_lex_state = 2},
  [520] = {.lex_state = 24, .external_lex_state = 2},
  [521] = {.lex_state = 24, .external_lex_state = 2},
  [522] = {.lex_state = 24, .external_lex_state = 2},
  [523] = {.lex_state = 24, .external_lex_state = 2},
  [524] = {.lex_state = 24, .external_lex_state = 2},
  [525] = {.lex_state = 24, .external_lex_state = 2},
  [526] = {.lex_state = 24, .external_lex_state = 2},
  [527] = {.lex_state = 24, .external_lex_state = 2},
  [528] = {.lex_state = 24, .external_lex_state = 2},
  [529] = {.lex_state = 24, .external_lex_state = 2},
  [530] = {.lex_state = 24, .external_lex_state = 2},
  [531] = {.lex_state = 24, .external_lex_state = 2},
  [532] = {.lex_state = 24, .external_lex_state = 2},
  [533] = {.lex_state = 24, .external_lex_state = 2},
  [534] = {.lex_state = 24, .external_lex_state = 2},
  [535] = {.lex_state = 24, .external_lex_state = 2},
  [536] = {.lex_state = 24, .external_lex_state = 2},
  [537] = {.lex_state = 24, .external_lex_state = 2},
  [538] = {.lex_state = 24, .external_lex_state = 2},
  [539] = {.lex_state = 24, .external_lex_state = 2},
  [540] = {.lex_state = 24, .external_lex_state = 2},
  [541] = {.lex_state = 24, .external_lex_state = 2},
  [542] = {.lex_state = 24, .external_lex_state = 2},
  [543] = {.lex_state = 24, .external_lex_state = 2},
  [544] = {.lex_state = 24, .external_lex_state = 2},
  [545] = {.lex_state = 24, .external_lex_state = 2},
  [546] = {.lex_state = 24, .external_lex_state = 2},
  [547] = {.lex_state = 24, .external_lex_state = 2},
  [548] = {.lex_state = 24, .external_lex_state = 2},
  [549] = {.lex_state = 24, .external_lex_state = 2},
  [550] = {.lex_state = 24, .external_lex_state = 2},
  [551] = {.lex_state = 24, .external_lex_state = 2},
  [552] = {.lex_state = 24, .external_lex_state = 2},
  [553] = {.lex_state = 24, .external_lex_state = 2},
  [554] = {.lex_state = 24, .external_lex_state = 2},
  [555] = {.lex_state = 24, .external_lex_state = 2},
  [556] = {.lex_state = 24, .external_lex_state = 2},
  [557] = {.lex_state = 24, .external_lex_state = 2},
  [558] = {.lex_state = 24, .external_lex_state = 2},
  [559] = {.lex_state = 24, .external_lex_state = 2},
  [560] = {.lex_state = 24, .external_lex_state = 2},
  [561] = {.lex_state = 24, .external_lex_state = 2},
  [562] = {.lex_state = 24, .external_lex_state = 2},
  [563] = {.lex_state = 24, .external_lex_state = 2},
  [564] = {.lex_state = 24, .external_lex_state = 2},
  [565] = {.lex_state = 24, .external_lex_state = 2},
  [566] = {.lex_state = 24, .external_lex_state = 2},
  [567] = {.lex_state = 24, .external_lex_state = 2},
  [568] = {.lex_state = 24, .external_lex_state = 2},
  [569] = {.lex_state = 24, .external_lex_state = 2},
  [570] = {.lex_state = 24, .external_lex_state = 2},
  [571] = {.lex_state = 24, .external_lex_state = 2},
  [572] = {.lex_state = 24, .external_lex_state = 2},
  [573] = {.lex_state = 24, .external_lex_state = 2},
  [574] = {.lex_state = 24, .external_lex_state = 2},
  [575] = {.lex_state = 24, .external_lex_state = 2},
  [576] = {.lex_state = 24, .external_lex_state = 2},
  [577] = {.lex_state = 24, .external_lex_state = 2},
  [578] = {.lex_state = 24, .external_lex_state = 2},
  [579] = {.lex_state = 24, .external_lex_state = 2},
  [580] = {.lex_state = 24, .external_lex_state = 2},
  [581] = {.lex_state = 24, .external_lex_state = 2},
  [582] = {.lex_state = 24, .external_lex_state = 2},
  [583] = {.lex_state = 24, .external_lex_state = 2},
  [584] = {.lex_state = 24, .external_lex_state = 2},
  [585] = {.lex_state = 406, .external_lex_state = 2},
  [586] = {.lex_state = 24, .external_lex_state = 2},
  [587] = {.lex_state = 60, .external_lex_state = 2},
  [588] = {.lex_state = 24, .external_lex_state = 2},
  [589] = {.lex_state = 24, .external_lex_state = 2},
  [590] = {.lex_state = 24, .external_lex_state = 2},
  [591] = {.lex_state = 24, .external_lex_state = 2},
  [592] = {.lex_state = 409, .external_lex_state = 2},
  [593] = {.lex_state = 24, .external_lex_state = 2},
  [594] = {.lex_state = 409, .external_lex_state = 2},
  [595] = {.lex_state = 24, .external_lex_state = 2},
  [596] = {.lex_state = 59, .external_lex_state = 2},
  [597] = {.lex_state = 24, .external_lex_state = 2},
  [598] = {.lex_state = 24, .external_lex_state = 2},
  [599] = {.lex_state = 24, .external_lex_state = 2},
  [600] = {.lex_state = 24, .external_lex_state = 2},
  [601] = {.lex_state = 24, .external_lex_state = 2},
  [602] = {.lex_state = 406, .external_lex_state = 2},
  [603] = {.lex_state = 24, .external_lex_state = 2},
  [604] = {.lex_state = 24, .external_lex_state = 2},
  [605] = {.lex_state = 24, .external_lex_state = 2},
  [606] = {.lex_state = 24, .external_lex_state = 2},
  [607] = {.lex_state = 28, .external_lex_state = 2},
  [608] = {.lex_state = 24, .external_lex_state = 2},
  [609] = {.lex_state = 24, .external_lex_state = 2},
  [610] = {.lex_state = 24, .external_lex_state = 2},
  [611] = {.lex_state = 24, .external_lex_state = 2},
  [612] = {.lex_state = 24, .external_lex_state = 2},
  [613] = {.lex_state = 24, .external_lex_state = 2},
  [614] = {.lex_state = 24, .external_lex_state = 2},
  [615] = {.lex_state = 24, .external_lex_state = 2},
  [616] = {.lex_state = 24, .external_lex_state = 2},
  [617] = {.lex_state = 24, .external_lex_state = 2},
  [618] = {.lex_state = 28, .external_lex_state = 2},
  [619] = {.lex_state = 24, .external_lex_state = 2},
  [620] = {.lex_state = 24, .external_lex_state = 2},
  [621] = {.lex_state = 24, .external_lex_state = 2},
  [622] = {.lex_state = 24, .external_lex_state = 2},
  [623] = {.lex_state = 24, .external_lex_state = 2},
  [624] = {.lex_state = 24, .external_lex_state = 2},
  [625] = {.lex_state = 24, .external_lex_state = 2},
  [626] = {.lex_state = 24, .external_lex_state = 2},
  [627] = {.lex_state = 28, .external_lex_state = 2},
  [628] = {.lex_state = 24, .external_lex_state = 2},
  [629] = {.lex_state = 28, .external_lex_state = 2},
  [630] = {.lex_state = 24, .external_lex_state = 2},
  [631] = {.lex_state = 24, .external_lex_state = 2},
  [632] = {.lex_state = 24, .external_lex_state = 2},
  [633] = {.lex_state = 24, .external_lex_state = 2},
  [634] = {.lex_state = 24, .external_lex_state = 2},
  [635] = {.lex_state = 24, .external_lex_state = 2},
  [636] = {.lex_state = 24, .external_lex_state = 2},
  [637] = {.lex_state = 24, .external_lex_state = 2},
  [638] = {.lex_state = 24, .external_lex_state = 2},
  [639] = {.lex_state = 24, .external_lex_state = 2},
  [640] = {.lex_state = 24, .external_lex_state = 2},
  [641] = {.lex_state = 24, .external_lex_state = 2},
  [642] = {.lex_state = 24, .external_lex_state = 2},
  [643] = {.lex_state = 24, .external_lex_state = 2},
  [644] = {.lex_state = 24, .external_lex_state = 2},
  [645] = {.lex_state = 24, .external_lex_state = 2},
  [646] = {.lex_state = 24, .external_lex_state = 2},
  [647] = {.lex_state = 24, .external_lex_state = 2},
  [648] = {.lex_state = 24, .external_lex_state = 2},
  [649] = {.lex_state = 24, .external_lex_state = 2},
  [650] = {.lex_state = 24, .external_lex_state = 2},
  [651] = {.lex_state = 24, .external_lex_state = 2},
  [652] = {.lex_state = 24, .external_lex_state = 2},
  [653] = {.lex_state = 24, .external_lex_state = 2},
  [654] = {.lex_state = 24, .external_lex_state = 2},
  [655] = {.lex_state = 24, .external_lex_state = 2},
  [656] = {.lex_state = 24, .external_lex_state = 2},
  [657] = {.lex_state = 24, .external_lex_state = 2},
  [658] = {.lex_state = 24, .external_lex_state = 2},
  [659] = {.lex_state = 24, .external_lex_state = 2},
  [660] = {.lex_state = 24, .external_lex_state = 2},
  [661] = {.lex_state = 24, .external_lex_state = 2},
  [662] = {.lex_state = 24, .external_lex_state = 2},
  [663] = {.lex_state = 24, .external_lex_state = 2},
  [664] = {.lex_state = 24, .external_lex_state = 2},
  [665] = {.lex_state = 24, .external_lex_state = 2},
  [666] = {.lex_state = 24, .external_lex_state = 2},
  [667] = {.lex_state = 24, .external_lex_state = 2},
  [668] = {.lex_state = 24, .external_lex_state = 2},
  [669] = {.lex_state = 24, .external_lex_state = 2},
  [670] = {.lex_state = 24, .external_lex_state = 2},
  [671] = {.lex_state = 24, .external_lex_state = 2},
  [672] = {.lex_state = 24, .external_lex_state = 2},
  [673] = {.lex_state = 24, .external_lex_state = 2},
  [674] = {.lex_state = 24, .external_lex_state = 2},
  [675] = {.lex_state = 24, .external_lex_state = 2},
  [676] = {.lex_state = 24, .external_lex_state = 2},
  [677] = {.lex_state = 24, .external_lex_state = 2},
  [678] = {.lex_state = 24, .external_lex_state = 2},
  [679] = {.lex_state = 24, .external_lex_state = 2},
  [680] = {.lex_state = 24, .external_lex_state = 2},
  [681] = {.lex_state = 24, .external_lex_state = 2},
  [682] = {.lex_state = 24, .external_lex_state = 2},
  [683] = {.lex_state = 24, .external_lex_state = 2},
  [684] = {.lex_state = 24, .external_lex_state = 2},
  [685] = {.lex_state = 24, .external_lex_state = 2},
  [686] = {.lex_state = 24, .external_lex_state = 2},
  [687] = {.lex_state = 24, .external_lex_state = 2},
  [688] = {.lex_state = 24, .external_lex_state = 2},
  [689] = {.lex_state = 24, .external_lex_state = 2},
  [690] = {.lex_state = 24, .external_lex_state = 2},
  [691] = {.lex_state = 24, .external_lex_state = 2},
  [692] = {.lex_state = 24, .external_lex_state = 2},
  [693] = {.lex_state = 24, .external_lex_state = 2},
  [694] = {.lex_state = 24, .external_lex_state = 2},
  [695] = {.lex_state = 24, .external_lex_state = 2},
  [696] = {.lex_state = 24, .external_lex_state = 2},
  [697] = {.lex_state = 24, .external_lex_state = 2},
  [698] = {.lex_state = 24, .external_lex_state = 2},
  [699] = {.lex_state = 24, .external_lex_state = 2},
  [700] = {.lex_state = 24, .external_lex_state = 2},
  [701] = {.lex_state = 24, .external_lex_state = 2},
  [702] = {.lex_state = 24, .external_lex_state = 2},
  [703] = {.lex_state = 24, .external_lex_state = 2},
  [704] = {.lex_state = 24, .external_lex_state = 2},
  [705] = {.lex_state = 24, .external_lex_state = 2},
  [706] = {.lex_state = 24, .external_lex_state = 2},
  [707] = {.lex_state = 24, .external_lex_state = 2},
  [708] = {.lex_state = 24, .external_lex_state = 2},
  [709] = {.lex_state = 24, .external_lex_state = 2},
  [710] = {.lex_state = 24, .external_lex_state = 2},
  [711] = {.lex_state = 24, .external_lex_state = 2},
  [712] = {.lex_state = 24, .external_lex_state = 2},
  [713] = {.lex_state = 24, .external_lex_state = 2},
  [714] = {.lex_state = 24, .external_lex_state = 2},
  [715] = {.lex_state = 24, .external_lex_state = 2},
  [716] = {.lex_state = 24, .external_lex_state = 2},
  [717] = {.lex_state = 24, .external_lex_state = 2},
  [718] = {.lex_state = 24, .external_lex_state = 2},
  [719] = {.lex_state = 24, .external_lex_state = 2},
  [720] = {.lex_state = 24, .external_lex_state = 2},
  [721] = {.lex_state = 24, .external_lex_state = 2},
  [722] = {.lex_state = 24, .external_lex_state = 2},
  [723] = {.lex_state = 24, .external_lex_state = 2},
  [724] = {.lex_state = 24, .external_lex_state = 2},
  [725] = {.lex_state = 24, .external_lex_state = 2},
  [726] = {.lex_state = 24, .external_lex_state = 2},
  [727] = {.lex_state = 24, .external_lex_state = 2},
  [728] = {.lex_state = 24, .external_lex_state = 2},
  [729] = {.lex_state = 24, .external_lex_state = 2},
  [730] = {.lex_state = 24, .external_lex_state = 2},
  [731] = {.lex_state = 24, .external_lex_state = 2},
  [732] = {.lex_state = 24, .external_lex_state = 2},
  [733] = {.lex_state = 24, .external_lex_state = 2},
  [734] = {.lex_state = 24, .external_lex_state = 2},
  [735] = {.lex_state = 24, .external_lex_state = 2},
  [736] = {.lex_state = 24, .external_lex_state = 2},
  [737] = {.lex_state = 24, .external_lex_state = 2},
  [738] = {.lex_state = 24, .external_lex_state = 2},
  [739] = {.lex_state = 24, .external_lex_state = 2},
  [740] = {.lex_state = 24, .external_lex_state = 2},
  [741] = {.lex_state = 24, .external_lex_state = 2},
  [742] = {.lex_state = 24, .external_lex_state = 2},
  [743] = {.lex_state = 24, .external_lex_state = 2},
  [744] = {.lex_state = 24, .external_lex_state = 2},
  [745] = {.lex_state = 24, .external_lex_state = 2},
  [746] = {.lex_state = 407, .external_lex_state = 2},
  [747] = {.lex_state = 24, .external_lex_state = 2},
  [748] = {.lex_state = 24, .external_lex_state = 2},
  [749] = {.lex_state = 24, .external_lex_state = 2},
  [750] = {.lex_state = 24, .external_lex_state = 2},
  [751] = {.lex_state = 24, .external_lex_state = 2},
  [752] = {.lex_state = 24, .external_lex_state = 2},
  [753] = {.lex_state = 24, .external_lex_state = 2},
  [754] = {.lex_state = 24, .external_lex_state = 2},
  [755] = {.lex_state = 24, .external_lex_state = 2},
  [756] = {.lex_state = 24, .external_lex_state = 2},
  [757] = {.lex_state = 24, .external_lex_state = 2},
  [758] = {.lex_state = 24, .external_lex_state = 2},
  [759] = {.lex_state = 24, .external_lex_state = 2},
  [760] = {.lex_state = 24, .external_lex_state = 2},
  [761] = {.lex_state = 24, .external_lex_state = 2},
  [762] = {.lex_state = 24, .external_lex_state = 2},
  [763] = {.lex_state = 24, .external_lex_state = 2},
  [764] = {.lex_state = 24, .external_lex_state = 2},
  [765] = {.lex_state = 24, .external_lex_state = 2},
  [766] = {.lex_state = 24, .external_lex_state = 2},
  [767] = {.lex_state = 24, .external_lex_state = 2},
  [768] = {.lex_state = 24, .external_lex_state = 2},
  [769] = {.lex_state = 24, .external_lex_state = 2},
  [770] = {.lex_state = 24, .external_lex_state = 2},
  [771] = {.lex_state = 24, .external_lex_state = 2},
  [772] = {.lex_state = 24, .external_lex_state = 2},
  [773] = {.lex_state = 24, .external_lex_state = 2},
  [774] = {.lex_state = 24, .external_lex_state = 2},
  [775] = {.lex_state = 24, .external_lex_state = 2},
  [776] = {.lex_state = 24, .external_lex_state = 2},
  [777] = {.lex_state = 24, .external_lex_state = 2},
  [778] = {.lex_state = 24, .external_lex_state = 2},
  [779] = {.lex_state = 24, .external_lex_state = 2},
  [780] = {.lex_state = 407, .external_lex_state = 2},
  [781] = {.lex_state = 24, .external_lex_state = 2},
  [782] = {.lex_state = 24, .external_lex_state = 2},
  [783] = {.lex_state = 24, .external_lex_state = 2},
  [784] = {.lex_state = 24, .external_lex_state = 2},
  [785] = {.lex_state = 24, .external_lex_state = 2},
  [786] = {.lex_state = 24, .external_lex_state = 2},
  [787] = {.lex_state = 24, .external_lex_state = 2},
  [788] = {.lex_state = 24, .external_lex_state = 2},
  [789] = {.lex_state = 24, .external_lex_state = 2},
  [790] = {.lex_state = 24, .external_lex_state = 2},
  [791] = {.lex_state = 24, .external_lex_state = 2},
  [792] = {.lex_state = 61, .external_lex_state = 2},
  [793] = {.lex_state = 24, .external_lex_state = 2},
  [794] = {.lex_state = 24, .external_lex_state = 2},
  [795] = {.lex_state = 24, .external_lex_state = 2},
  [796] = {.lex_state = 24, .external_lex_state = 2},
  [797] = {.lex_state = 24, .external_lex_state = 2},
  [798] = {.lex_state = 24, .external_lex_state = 2},
  [799] = {.lex_state = 24, .external_lex_state = 2},
  [800] = {.lex_state = 24, .external_lex_state = 2},
  [801] = {.lex_state = 24, .external_lex_state = 2},
  [802] = {.lex_state = 24, .external_lex_state = 2},
  [803] = {.lex_state = 24, .external_lex_state = 2},
  [804] = {.lex_state = 24, .external_lex_state = 2},
  [805] = {.lex_state = 24, .external_lex_state = 2},
  [806] = {.lex_state = 24, .external_lex_state = 2},
  [807] = {.lex_state = 24, .external_lex_state = 2},
  [808] = {.lex_state = 24, .external_lex_state = 2},
  [809] = {.lex_state = 24, .external_lex_state = 2},
  [810] = {.lex_state = 24, .external_lex_state = 2},
  [811] = {.lex_state = 24, .external_lex_state = 2},
  [812] = {.lex_state = 24, .external_lex_state = 2},
  [813] = {.lex_state = 24, .external_lex_state = 2},
  [814] = {.lex_state = 24, .external_lex_state = 2},
  [815] = {.lex_state = 24, .external_lex_state = 2},
  [816] = {.lex_state = 24, .external_lex_state = 2},
  [817] = {.lex_state = 24, .external_lex_state = 2},
  [818] = {.lex_state = 24, .external_lex_state = 2},
  [819] = {.lex_state = 24, .external_lex_state = 2},
  [820] = {.lex_state = 24, .external_lex_state = 2},
  [821] = {.lex_state = 24, .external_lex_state = 2},
  [822] = {.lex_state = 24, .external_lex_state = 2},
  [823] = {.lex_state = 24, .external_lex_state = 2},
  [824] = {.lex_state = 24, .external_lex_state = 2},
  [825] = {.lex_state = 24, .external_lex_state = 2},
  [826] = {.lex_state = 24, .external_lex_state = 2},
  [827] = {.lex_state = 24, .external_lex_state = 2},
  [828] = {.lex_state = 24, .external_lex_state = 2},
  [829] = {.lex_state = 24, .external_lex_state = 2},
  [830] = {.lex_state = 24, .external_lex_state = 2},
  [831] = {.lex_state = 24, .external_lex_state = 2},
  [832] = {.lex_state = 24, .external_lex_state = 2},
  [833] = {.lex_state = 24, .external_lex_state = 2},
  [834] = {.lex_state = 24, .external_lex_state = 2},
  [835] = {.lex_state = 24, .external_lex_state = 2},
  [836] = {.lex_state = 24, .external_lex_state = 2},
  [837] = {.lex_state = 24, .external_lex_state = 2},
  [838] = {.lex_state = 24, .external_lex_state = 2},
  [839] = {.lex_state = 24, .external_lex_state = 2},
  [840] = {.lex_state = 24, .external_lex_state = 2},
  [841] = {.lex_state = 24, .external_lex_state = 2},
  [842] = {.lex_state = 24, .external_lex_state = 2},
  [843] = {.lex_state = 24, .external_lex_state = 2},
  [844] = {.lex_state = 24, .external_lex_state = 2},
  [845] = {.lex_state = 24, .external_lex_state = 2},
  [846] = {.lex_state = 24, .external_lex_state = 2},
  [847] = {.lex_state = 24, .external_lex_state = 2},
  [848] = {.lex_state = 24, .external_lex_state = 2},
  [849] = {.lex_state = 24, .external_lex_state = 2},
  [850] = {.lex_state = 24, .external_lex_state = 2},
  [851] = {.lex_state = 24, .external_lex_state = 2},
  [852] = {.lex_state = 24, .external_lex_state = 2},
  [853] = {.lex_state = 24, .external_lex_state = 2},
  [854] = {.lex_state = 24, .external_lex_state = 2},
  [855] = {.lex_state = 24, .external_lex_state = 2},
  [856] = {.lex_state = 24, .external_lex_state = 2},
  [857] = {.lex_state = 24, .external_lex_state = 2},
  [858] = {.lex_state = 24, .external_lex_state = 2},
  [859] = {.lex_state = 24, .external_lex_state = 2},
  [860] = {.lex_state = 24, .external_lex_state = 2},
  [861] = {.lex_state = 24, .external_lex_state = 2},
  [862] = {.lex_state = 24, .external_lex_state = 2},
  [863] = {.lex_state = 24, .external_lex_state = 2},
  [864] = {.lex_state = 24, .external_lex_state = 2},
  [865] = {.lex_state = 24, .external_lex_state = 2},
  [866] = {.lex_state = 24, .external_lex_state = 2},
  [867] = {.lex_state = 24, .external_lex_state = 2},
  [868] = {.lex_state = 24, .external_lex_state = 2},
  [869] = {.lex_state = 24, .external_lex_state = 2},
  [870] = {.lex_state = 24, .external_lex_state = 2},
  [871] = {.lex_state = 24, .external_lex_state = 2},
  [872] = {.lex_state = 24, .external_lex_state = 2},
  [873] = {.lex_state = 24, .external_lex_state = 2},
  [874] = {.lex_state = 24, .external_lex_state = 2},
  [875] = {.lex_state = 24, .external_lex_state = 2},
  [876] = {.lex_state = 24, .external_lex_state = 2},
  [877] = {.lex_state = 24, .external_lex_state = 2},
  [878] = {.lex_state = 24, .external_lex_state = 2},
  [879] = {.lex_state = 24, .external_lex_state = 2},
  [880] = {.lex_state = 24, .external_lex_state = 2},
  [881] = {.lex_state = 24, .external_lex_state = 2},
  [882] = {.lex_state = 24, .external_lex_state = 2},
  [883] = {.lex_state = 24, .external_lex_state = 2},
  [884] = {.lex_state = 24, .external_lex_state = 2},
  [885] = {.lex_state = 24, .external_lex_state = 2},
  [886] = {.lex_state = 24, .external_lex_state = 2},
  [887] = {.lex_state = 24, .external_lex_state = 2},
  [888] = {.lex_state = 24, .external_lex_state = 2},
  [889] = {.lex_state = 24, .external_lex_state = 2},
  [890] = {.lex_state = 24, .external_lex_state = 2},
  [891] = {.lex_state = 24, .external_lex_state = 2},
  [892] = {.lex_state = 24, .external_lex_state = 2},
  [893] = {.lex_state = 24, .external_lex_state = 2},
  [894] = {.lex_state = 24, .external_lex_state = 2},
  [895] = {.lex_state = 24, .external_lex_state = 2},
  [896] = {.lex_state = 24, .external_lex_state = 2},
  [897] = {.lex_state = 24, .external_lex_state = 2},
  [898] = {.lex_state = 24, .external_lex_state = 2},
  [899] = {.lex_state = 24, .external_lex_state = 2},
  [900] = {.lex_state = 24, .external_lex_state = 2},
  [901] = {.lex_state = 24, .external_lex_state = 2},
  [902] = {.lex_state = 24, .external_lex_state = 2},
  [903] = {.lex_state = 24, .external_lex_state = 2},
  [904] = {.lex_state = 24, .external_lex_state = 2},
  [905] = {.lex_state = 24, .external_lex_state = 2},
  [906] = {.lex_state = 24, .external_lex_state = 2},
  [907] = {.lex_state = 24, .external_lex_state = 2},
  [908] = {.lex_state = 24, .external_lex_state = 2},
  [909] = {.lex_state = 24, .external_lex_state = 2},
  [910] = {.lex_state = 24, .external_lex_state = 2},
  [911] = {.lex_state = 24, .external_lex_state = 2},
  [912] = {.lex_state = 24, .external_lex_state = 2},
  [913] = {.lex_state = 24, .external_lex_state = 2},
  [914] = {.lex_state = 24, .external_lex_state = 2},
  [915] = {.lex_state = 24, .external_lex_state = 2},
  [916] = {.lex_state = 24, .external_lex_state = 2},
  [917] = {.lex_state = 24, .external_lex_state = 2},
  [918] = {.lex_state = 24, .external_lex_state = 2},
  [919] = {.lex_state = 24, .external_lex_state = 2},
  [920] = {.lex_state = 24, .external_lex_state = 2},
  [921] = {.lex_state = 24, .external_lex_state = 2},
  [922] = {.lex_state = 24, .external_lex_state = 2},
  [923] = {.lex_state = 24, .external_lex_state = 2},
  [924] = {.lex_state = 24, .external_lex_state = 2},
  [925] = {.lex_state = 24, .external_lex_state = 2},
  [926] = {.lex_state = 24, .external_lex_state = 2},
  [927] = {.lex_state = 24, .external_lex_state = 2},
  [928] = {.lex_state = 24, .external_lex_state = 2},
  [929] = {.lex_state = 24, .external_lex_state = 2},
  [930] = {.lex_state = 24, .external_lex_state = 2},
  [931] = {.lex_state = 24, .external_lex_state = 2},
  [932] = {.lex_state = 24, .external_lex_state = 2},
  [933] = {.lex_state = 24, .external_lex_state = 2},
  [934] = {.lex_state = 24, .external_lex_state = 2},
  [935] = {.lex_state = 24, .external_lex_state = 2},
  [936] = {.lex_state = 24, .external_lex_state = 2},
  [937] = {.lex_state = 24, .external_lex_state = 2},
  [938] = {.lex_state = 24, .external_lex_state = 2},
  [939] = {.lex_state = 24, .external_lex_state = 2},
  [940] = {.lex_state = 24, .external_lex_state = 2},
  [941] = {.lex_state = 24, .external_lex_state = 2},
  [942] = {.lex_state = 24, .external_lex_state = 2},
  [943] = {.lex_state = 24, .external_lex_state = 2},
  [944] = {.lex_state = 24, .external_lex_state = 2},
  [945] = {.lex_state = 24, .external_lex_state = 2},
  [946] = {.lex_state = 24, .external_lex_state = 2},
  [947] = {.lex_state = 24, .external_lex_state = 2},
  [948] = {.lex_state = 24, .external_lex_state = 2},
  [949] = {.lex_state = 24, .external_lex_state = 2},
  [950] = {.lex_state = 24, .external_lex_state = 2},
  [951] = {.lex_state = 24, .external_lex_state = 2},
  [952] = {.lex_state = 24, .external_lex_state = 2},
  [953] = {.lex_state = 24, .external_lex_state = 2},
  [954] = {.lex_state = 24, .external_lex_state = 2},
  [955] = {.lex_state = 24, .external_lex_state = 2},
  [956] = {.lex_state = 24, .external_lex_state = 2},
  [957] = {.lex_state = 24, .external_lex_state = 2},
  [958] = {.lex_state = 24, .external_lex_state = 2},
  [959] = {.lex_state = 24, .external_lex_state = 2},
  [960] = {.lex_state = 24, .external_lex_state = 2},
  [961] = {.lex_state = 24, .external_lex_state = 2},
  [962] = {.lex_state = 24, .external_lex_state = 2},
  [963] = {.lex_state = 24, .external_lex_state = 2},
  [964] = {.lex_state = 24, .external_lex_state = 2},
  [965] = {.lex_state = 24, .external_lex_state = 2},
  [966] = {.lex_state = 24, .external_lex_state = 2},
  [967] = {.lex_state = 24, .external_lex_state = 2},
  [968] = {.lex_state = 24, .external_lex_state = 2},
  [969] = {.lex_state = 24, .external_lex_state = 2},
  [970] = {.lex_state = 24, .external_lex_state = 2},
  [971] = {.lex_state = 24, .external_lex_state = 2},
  [972] = {.lex_state = 24, .external_lex_state = 2},
  [973] = {.lex_state = 24, .external_lex_state = 2},
  [974] = {.lex_state = 24, .external_lex_state = 2},
  [975] = {.lex_state = 24, .external_lex_state = 2},
  [976] = {.lex_state = 24, .external_lex_state = 2},
  [977] = {.lex_state = 24, .external_lex_state = 2},
  [978] = {.lex_state = 24, .external_lex_state = 2},
  [979] = {.lex_state = 24, .external_lex_state = 2},
  [980] = {.lex_state = 24, .external_lex_state = 2},
  [981] = {.lex_state = 24, .external_lex_state = 2},
  [982] = {.lex_state = 24, .external_lex_state = 2},
  [983] = {.lex_state = 24, .external_lex_state = 2},
  [984] = {.lex_state = 24, .external_lex_state = 2},
  [985] = {.lex_state = 24, .external_lex_state = 2},
  [986] = {.lex_state = 24, .external_lex_state = 2},
  [987] = {.lex_state = 24, .external_lex_state = 2},
  [988] = {.lex_state = 24, .external_lex_state = 2},
  [989] = {.lex_state = 24, .external_lex_state = 2},
  [990] = {.lex_state = 24, .external_lex_state = 2},
  [991] = {.lex_state = 24, .external_lex_state = 2},
  [992] = {.lex_state = 24, .external_lex_state = 2},
  [993] = {.lex_state = 24, .external_lex_state = 2},
  [994] = {.lex_state = 24, .external_lex_state = 2},
  [995] = {.lex_state = 24, .external_lex_state = 2},
  [996] = {.lex_state = 24, .external_lex_state = 2},
  [997] = {.lex_state = 24, .external_lex_state = 2},
  [998] = {.lex_state = 24, .external_lex_state = 2},
  [999] = {.lex_state = 24, .external_lex_state = 2},
  [1000] = {.lex_state = 24, .external_lex_state = 2},
  [1001] = {.lex_state = 24, .external_lex_state = 2},
  [1002] = {.lex_state = 24, .external_lex_state = 2},
  [1003] = {.lex_state = 24, .external_lex_state = 2},
  [1004] = {.lex_state = 24, .external_lex_state = 2},
  [1005] = {.lex_state = 24, .external_lex_state = 2},
  [1006] = {.lex_state = 24, .external_lex_state = 2},
  [1007] = {.lex_state = 24, .external_lex_state = 2},
  [1008] = {.lex_state = 24, .external_lex_state = 2},
  [1009] = {.lex_state = 24, .external_lex_state = 2},
  [1010] = {.lex_state = 24, .external_lex_state = 2},
  [1011] = {.lex_state = 24, .external_lex_state = 2},
  [1012] = {.lex_state = 24, .external_lex_state = 2},
  [1013] = {.lex_state = 24, .external_lex_state = 2},
  [1014] = {.lex_state = 24, .external_lex_state = 2},
  [1015] = {.lex_state = 24, .external_lex_state = 2},
  [1016] = {.lex_state = 24, .external_lex_state = 2},
  [1017] = {.lex_state = 24, .external_lex_state = 2},
  [1018] = {.lex_state = 24, .external_lex_state = 2},
  [1019] = {.lex_state = 24, .external_lex_state = 2},
  [1020] = {.lex_state = 24, .external_lex_state = 2},
  [1021] = {.lex_state = 24, .external_lex_state = 2},
  [1022] = {.lex_state = 24, .external_lex_state = 2},
  [1023] = {.lex_state = 24, .external_lex_state = 2},
  [1024] = {.lex_state = 24, .external_lex_state = 2},
  [1025] = {.lex_state = 24, .external_lex_state = 2},
  [1026] = {.lex_state = 24, .external_lex_state = 2},
  [1027] = {.lex_state = 24, .external_lex_state = 2},
  [1028] = {.lex_state = 24, .external_lex_state = 2},
  [1029] = {.lex_state = 24, .external_lex_state = 2},
  [1030] = {.lex_state = 24, .external_lex_state = 2},
  [1031] = {.lex_state = 24, .external_lex_state = 2},
  [1032] = {.lex_state = 24, .external_lex_state = 2},
  [1033] = {.lex_state = 24, .external_lex_state = 2},
  [1034] = {.lex_state = 24, .external_lex_state = 2},
  [1035] = {.lex_state = 24, .external_lex_state = 2},
  [1036] = {.lex_state = 24, .external_lex_state = 2},
  [1037] = {.lex_state = 24, .external_lex_state = 2},
  [1038] = {.lex_state = 24, .external_lex_state = 2},
  [1039] = {.lex_state = 24, .external_lex_state = 2},
  [1040] = {.lex_state = 24, .external_lex_state = 2},
  [1041] = {.lex_state = 24, .external_lex_state = 2},
  [1042] = {.lex_state = 24, .external_lex_state = 2},
  [1043] = {.lex_state = 24, .external_lex_state = 2},
  [1044] = {.lex_state = 24, .external_lex_state = 2},
  [1045] = {.lex_state = 24, .external_lex_state = 2},
  [1046] = {.lex_state = 24, .external_lex_state = 2},
  [1047] = {.lex_state = 24, .external_lex_state = 2},
  [1048] = {.lex_state = 24, .external_lex_state = 2},
  [1049] = {.lex_state = 24, .external_lex_state = 2},
  [1050] = {.lex_state = 24, .external_lex_state = 2},
  [1051] = {.lex_state = 24, .external_lex_state = 2},
  [1052] = {.lex_state = 24, .external_lex_state = 2},
  [1053] = {.lex_state = 24, .external_lex_state = 2},
  [1054] = {.lex_state = 24, .external_lex_state = 2},
  [1055] = {.lex_state = 24, .external_lex_state = 2},
  [1056] = {.lex_state = 24, .external_lex_state = 2},
  [1057] = {.lex_state = 24, .external_lex_state = 2},
  [1058] = {.lex_state = 24, .external_lex_state = 2},
  [1059] = {.lex_state = 24, .external_lex_state = 2},
  [1060] = {.lex_state = 24, .external_lex_state = 2},
  [1061] = {.lex_state = 24, .external_lex_state = 2},
  [1062] = {.lex_state = 24, .external_lex_state = 2},
  [1063] = {.lex_state = 24, .external_lex_state = 2},
  [1064] = {.lex_state = 24, .external_lex_state = 2},
  [1065] = {.lex_state = 24, .external_lex_state = 2},
  [1066] = {.lex_state = 24, .external_lex_state = 2},
  [1067] = {.lex_state = 24, .external_lex_state = 2},
  [1068] = {.lex_state = 24, .external_lex_state = 2},
  [1069] = {.lex_state = 24, .external_lex_state = 2},
  [1070] = {.lex_state = 24, .external_lex_state = 2},
  [1071] = {.lex_state = 24, .external_lex_state = 2},
  [1072] = {.lex_state = 24, .external_lex_state = 2},
  [1073] = {.lex_state = 24, .external_lex_state = 2},
  [1074] = {.lex_state = 24, .external_lex_state = 2},
  [1075] = {.lex_state = 24, .external_lex_state = 2},
  [1076] = {.lex_state = 24, .external_lex_state = 2},
  [1077] = {.lex_state = 24, .external_lex_state = 2},
  [1078] = {.lex_state = 24, .external_lex_state = 2},
  [1079] = {.lex_state = 24, .external_lex_state = 2},
  [1080] = {.lex_state = 24, .external_lex_state = 2},
  [1081] = {.lex_state = 24, .external_lex_state = 2},
  [1082] = {.lex_state = 24, .external_lex_state = 2},
  [1083] = {.lex_state = 24, .external_lex_state = 2},
  [1084] = {.lex_state = 24, .external_lex_state = 2},
  [1085] = {.lex_state = 24, .external_lex_state = 2},
  [1086] = {.lex_state = 24, .external_lex_state = 2},
  [1087] = {.lex_state = 24, .external_lex_state = 2},
  [1088] = {.lex_state = 24, .external_lex_state = 2},
  [1089] = {.lex_state = 24, .external_lex_state = 2},
  [1090] = {.lex_state = 24, .external_lex_state = 2},
  [1091] = {.lex_state = 24, .external_lex_state = 2},
  [1092] = {.lex_state = 24, .external_lex_state = 2},
  [1093] = {.lex_state = 24, .external_lex_state = 2},
  [1094] = {.lex_state = 24, .external_lex_state = 2},
  [1095] = {.lex_state = 24, .external_lex_state = 2},
  [1096] = {.lex_state = 24, .external_lex_state = 2},
  [1097] = {.lex_state = 24, .external_lex_state = 2},
  [1098] = {.lex_state = 24, .external_lex_state = 2},
  [1099] = {.lex_state = 24, .external_lex_state = 2},
  [1100] = {.lex_state = 24, .external_lex_state = 2},
  [1101] = {.lex_state = 24, .external_lex_state = 2},
  [1102] = {.lex_state = 24, .external_lex_state = 2},
  [1103] = {.lex_state = 24, .external_lex_state = 2},
  [1104] = {.lex_state = 24, .external_lex_state = 2},
  [1105] = {.lex_state = 24, .external_lex_state = 2},
  [1106] = {.lex_state = 24, .external_lex_state = 2},
  [1107] = {.lex_state = 24, .external_lex_state = 2},
  [1108] = {.lex_state = 24, .external_lex_state = 2},
  [1109] = {.lex_state = 24, .external_lex_state = 2},
  [1110] = {.lex_state = 24, .external_lex_state = 2},
  [1111] = {.lex_state = 24, .external_lex_state = 2},
  [1112] = {.lex_state = 24, .external_lex_state = 2},
  [1113] = {.lex_state = 24, .external_lex_state = 2},
  [1114] = {.lex_state = 24, .external_lex_state = 2},
  [1115] = {.lex_state = 24, .external_lex_state = 2},
  [1116] = {.lex_state = 24, .external_lex_state = 2},
  [1117] = {.lex_state = 24, .external_lex_state = 2},
  [1118] = {.lex_state = 24, .external_lex_state = 2},
  [1119] = {.lex_state = 24, .external_lex_state = 2},
  [1120] = {.lex_state = 24, .external_lex_state = 2},
  [1121] = {.lex_state = 24, .external_lex_state = 2},
  [1122] = {.lex_state = 24, .external_lex_state = 2},
  [1123] = {.lex_state = 24, .external_lex_state = 2},
  [1124] = {.lex_state = 24, .external_lex_state = 2},
  [1125] = {.lex_state = 24, .external_lex_state = 2},
  [1126] = {.lex_state = 24, .external_lex_state = 2},
  [1127] = {.lex_state = 24, .external_lex_state = 2},
  [1128] = {.lex_state = 24, .external_lex_state = 2},
  [1129] = {.lex_state = 24, .external_lex_state = 2},
  [1130] = {.lex_state = 24, .external_lex_state = 2},
  [1131] = {.lex_state = 24, .external_lex_state = 2},
  [1132] = {.lex_state = 24, .external_lex_state = 2},
  [1133] = {.lex_state = 24, .external_lex_state = 2},
  [1134] = {.lex_state = 24, .external_lex_state = 2},
  [1135] = {.lex_state = 24, .external_lex_state = 2},
  [1136] = {.lex_state = 24, .external_lex_state = 2},
  [1137] = {.lex_state = 24, .external_lex_state = 2},
  [1138] = {.lex_state = 24, .external_lex_state = 2},
  [1139] = {.lex_state = 24, .external_lex_state = 2},
  [1140] = {.lex_state = 24, .external_lex_state = 2},
  [1141] = {.lex_state = 24, .external_lex_state = 2},
  [1142] = {.lex_state = 24, .external_lex_state = 2},
  [1143] = {.lex_state = 24, .external_lex_state = 2},
  [1144] = {.lex_state = 24, .external_lex_state = 2},
  [1145] = {.lex_state = 24, .external_lex_state = 2},
  [1146] = {.lex_state = 24, .external_lex_state = 2},
  [1147] = {.lex_state = 24, .external_lex_state = 2},
  [1148] = {.lex_state = 24, .external_lex_state = 2},
  [1149] = {.lex_state = 24, .external_lex_state = 2},
  [1150] = {.lex_state = 24, .external_lex_state = 2},
  [1151] = {.lex_state = 24, .external_lex_state = 2},
  [1152] = {.lex_state = 24, .external_lex_state = 2},
  [1153] = {.lex_state = 24, .external_lex_state = 2},
  [1154] = {.lex_state = 24, .external_lex_state = 2},
  [1155] = {.lex_state = 24, .external_lex_state = 2},
  [1156] = {.lex_state = 24, .external_lex_state = 2},
  [1157] = {.lex_state = 24, .external_lex_state = 2},
  [1158] = {.lex_state = 24, .external_lex_state = 2},
  [1159] = {.lex_state = 24, .external_lex_state = 2},
  [1160] = {.lex_state = 24, .external_lex_state = 2},
  [1161] = {.lex_state = 24, .external_lex_state = 2},
  [1162] = {.lex_state = 24, .external_lex_state = 2},
  [1163] = {.lex_state = 24, .external_lex_state = 2},
  [1164] = {.lex_state = 24, .external_lex_state = 2},
  [1165] = {.lex_state = 24, .external_lex_state = 2},
  [1166] = {.lex_state = 24, .external_lex_state = 2},
  [1167] = {.lex_state = 24, .external_lex_state = 2},
  [1168] = {.lex_state = 24, .external_lex_state = 2},
  [1169] = {.lex_state = 24, .external_lex_state = 2},
  [1170] = {.lex_state = 24, .external_lex_state = 2},
  [1171] = {.lex_state = 24, .external_lex_state = 2},
  [1172] = {.lex_state = 24, .external_lex_state = 2},
  [1173] = {.lex_state = 24, .external_lex_state = 2},
  [1174] = {.lex_state = 24, .external_lex_state = 2},
  [1175] = {.lex_state = 24, .external_lex_state = 2},
  [1176] = {.lex_state = 24, .external_lex_state = 2},
  [1177] = {.lex_state = 24, .external_lex_state = 2},
  [1178] = {.lex_state = 24, .external_lex_state = 2},
  [1179] = {.lex_state = 24, .external_lex_state = 2},
  [1180] = {.lex_state = 24, .external_lex_state = 2},
  [1181] = {.lex_state = 24, .external_lex_state = 2},
  [1182] = {.lex_state = 24, .external_lex_state = 2},
  [1183] = {.lex_state = 24, .external_lex_state = 2},
  [1184] = {.lex_state = 24, .external_lex_state = 2},
  [1185] = {.lex_state = 24, .external_lex_state = 2},
  [1186] = {.lex_state = 24, .external_lex_state = 2},
  [1187] = {.lex_state = 24, .external_lex_state = 2},
  [1188] = {.lex_state = 24, .external_lex_state = 2},
  [1189] = {.lex_state = 24, .external_lex_state = 2},
  [1190] = {.lex_state = 24, .external_lex_state = 2},
  [1191] = {.lex_state = 24, .external_lex_state = 2},
  [1192] = {.lex_state = 24, .external_lex_state = 2},
  [1193] = {.lex_state = 24, .external_lex_state = 2},
  [1194] = {.lex_state = 24, .external_lex_state = 2},
  [1195] = {.lex_state = 24, .external_lex_state = 2},
  [1196] = {.lex_state = 24, .external_lex_state = 2},
  [1197] = {.lex_state = 24, .external_lex_state = 2},
  [1198] = {.lex_state = 24, .external_lex_state = 2},
  [1199] = {.lex_state = 24, .external_lex_state = 2},
  [1200] = {.lex_state = 24, .external_lex_state = 2},
  [1201] = {.lex_state = 24, .external_lex_state = 2},
  [1202] = {.lex_state = 24, .external_lex_state = 2},
  [1203] = {.lex_state = 24, .external_lex_state = 2},
  [1204] = {.lex_state = 24, .external_lex_state = 2},
  [1205] = {.lex_state = 24, .external_lex_state = 2},
  [1206] = {.lex_state = 24, .external_lex_state = 2},
  [1207] = {.lex_state = 24, .external_lex_state = 2},
  [1208] = {.lex_state = 24, .external_lex_state = 2},
  [1209] = {.lex_state = 24, .external_lex_state = 2},
  [1210] = {.lex_state = 24, .external_lex_state = 2},
  [1211] = {.lex_state = 24, .external_lex_state = 2},
  [1212] = {.lex_state = 24, .external_lex_state = 2},
  [1213] = {.lex_state = 24, .external_lex_state = 2},
  [1214] = {.lex_state = 24, .external_lex_state = 2},
  [1215] = {.lex_state = 24, .external_lex_state = 2},
  [1216] = {.lex_state = 24, .external_lex_state = 2},
  [1217] = {.lex_state = 24, .external_lex_state = 2},
  [1218] = {.lex_state = 24, .external_lex_state = 2},
  [1219] = {.lex_state = 24, .external_lex_state = 2},
  [1220] = {.lex_state = 24, .external_lex_state = 2},
  [1221] = {.lex_state = 24, .external_lex_state = 2},
  [1222] = {.lex_state = 24, .external_lex_state = 2},
  [1223] = {.lex_state = 24, .external_lex_state = 2},
  [1224] = {.lex_state = 24, .external_lex_state = 2},
  [1225] = {.lex_state = 24, .external_lex_state = 2},
  [1226] = {.lex_state = 24, .external_lex_state = 2},
  [1227] = {.lex_state = 24, .external_lex_state = 2},
  [1228] = {.lex_state = 24, .external_lex_state = 2},
  [1229] = {.lex_state = 24, .external_lex_state = 2},
  [1230] = {.lex_state = 24, .external_lex_state = 2},
  [1231] = {.lex_state = 24, .external_lex_state = 2},
  [1232] = {.lex_state = 24, .external_lex_state = 2},
  [1233] = {.lex_state = 24, .external_lex_state = 2},
  [1234] = {.lex_state = 24, .external_lex_state = 2},
  [1235] = {.lex_state = 24, .external_lex_state = 2},
  [1236] = {.lex_state = 24, .external_lex_state = 2},
  [1237] = {.lex_state = 24, .external_lex_state = 2},
  [1238] = {.lex_state = 24, .external_lex_state = 2},
  [1239] = {.lex_state = 24, .external_lex_state = 2},
  [1240] = {.lex_state = 24, .external_lex_state = 2},
  [1241] = {.lex_state = 24, .external_lex_state = 2},
  [1242] = {.lex_state = 24, .external_lex_state = 2},
  [1243] = {.lex_state = 24, .external_lex_state = 2},
  [1244] = {.lex_state = 24, .external_lex_state = 2},
  [1245] = {.lex_state = 24, .external_lex_state = 2},
  [1246] = {.lex_state = 24, .external_lex_state = 2},
  [1247] = {.lex_state = 24, .external_lex_state = 2},
  [1248] = {.lex_state = 24, .external_lex_state = 2},
  [1249] = {.lex_state = 24, .external_lex_state = 2},
  [1250] = {.lex_state = 24, .external_lex_state = 2},
  [1251] = {.lex_state = 24, .external_lex_state = 2},
  [1252] = {.lex_state = 24, .external_lex_state = 2},
  [1253] = {.lex_state = 24, .external_lex_state = 2},
  [1254] = {.lex_state = 24, .external_lex_state = 2},
  [1255] = {.lex_state = 24, .external_lex_state = 2},
  [1256] = {.lex_state = 24, .external_lex_state = 2},
  [1257] = {.lex_state = 24, .external_lex_state = 2},
  [1258] = {.lex_state = 24, .external_lex_state = 2},
  [1259] = {.lex_state = 24, .external_lex_state = 2},
  [1260] = {.lex_state = 24, .external_lex_state = 2},
  [1261] = {.lex_state = 24, .external_lex_state = 2},
  [1262] = {.lex_state = 24, .external_lex_state = 2},
  [1263] = {.lex_state = 24, .external_lex_state = 2},
  [1264] = {.lex_state = 24, .external_lex_state = 2},
  [1265] = {.lex_state = 24, .external_lex_state = 2},
  [1266] = {.lex_state = 24, .external_lex_state = 2},
  [1267] = {.lex_state = 24, .external_lex_state = 2},
  [1268] = {.lex_state = 24, .external_lex_state = 2},
  [1269] = {.lex_state = 24, .external_lex_state = 2},
  [1270] = {.lex_state = 24, .external_lex_state = 2},
  [1271] = {.lex_state = 24, .external_lex_state = 2},
  [1272] = {.lex_state = 24, .external_lex_state = 2},
  [1273] = {.lex_state = 24, .external_lex_state = 2},
  [1274] = {.lex_state = 24, .external_lex_state = 2},
  [1275] = {.lex_state = 24, .external_lex_state = 2},
  [1276] = {.lex_state = 24, .external_lex_state = 2},
  [1277] = {.lex_state = 24, .external_lex_state = 2},
  [1278] = {.lex_state = 24, .external_lex_state = 2},
  [1279] = {.lex_state = 24, .external_lex_state = 2},
  [1280] = {.lex_state = 24, .external_lex_state = 2},
  [1281] = {.lex_state = 24, .external_lex_state = 2},
  [1282] = {.lex_state = 24, .external_lex_state = 2},
  [1283] = {.lex_state = 24, .external_lex_state = 2},
  [1284] = {.lex_state = 24, .external_lex_state = 2},
  [1285] = {.lex_state = 24, .external_lex_state = 2},
  [1286] = {.lex_state = 24, .external_lex_state = 2},
  [1287] = {.lex_state = 24, .external_lex_state = 2},
  [1288] = {.lex_state = 24, .external_lex_state = 2},
  [1289] = {.lex_state = 24, .external_lex_state = 2},
  [1290] = {.lex_state = 24, .external_lex_state = 2},
  [1291] = {.lex_state = 24, .external_lex_state = 2},
  [1292] = {.lex_state = 24, .external_lex_state = 2},
  [1293] = {.lex_state = 24, .external_lex_state = 2},
  [1294] = {.lex_state = 24, .external_lex_state = 2},
  [1295] = {.lex_state = 24, .external_lex_state = 2},
  [1296] = {.lex_state = 24, .external_lex_state = 2},
  [1297] = {.lex_state = 24, .external_lex_state = 2},
  [1298] = {.lex_state = 24, .external_lex_state = 2},
  [1299] = {.lex_state = 24, .external_lex_state = 2},
  [1300] = {.lex_state = 24, .external_lex_state = 2},
  [1301] = {.lex_state = 24, .external_lex_state = 2},
  [1302] = {.lex_state = 24, .external_lex_state = 2},
  [1303] = {.lex_state = 24, .external_lex_state = 2},
  [1304] = {.lex_state = 24, .external_lex_state = 2},
  [1305] = {.lex_state = 24, .external_lex_state = 2},
  [1306] = {.lex_state = 24, .external_lex_state = 2},
  [1307] = {.lex_state = 24, .external_lex_state = 2},
  [1308] = {.lex_state = 24, .external_lex_state = 2},
  [1309] = {.lex_state = 24, .external_lex_state = 2},
  [1310] = {.lex_state = 24, .external_lex_state = 2},
  [1311] = {.lex_state = 24, .external_lex_state = 2},
  [1312] = {.lex_state = 24, .external_lex_state = 2},
  [1313] = {.lex_state = 24, .external_lex_state = 2},
  [1314] = {.lex_state = 24, .external_lex_state = 2},
  [1315] = {.lex_state = 24, .external_lex_state = 2},
  [1316] = {.lex_state = 24, .external_lex_state = 2},
  [1317] = {.lex_state = 24, .external_lex_state = 2},
  [1318] = {.lex_state = 24, .external_lex_state = 2},
  [1319] = {.lex_state = 24, .external_lex_state = 2},
  [1320] = {.lex_state = 24, .external_lex_state = 2},
  [1321] = {.lex_state = 24, .external_lex_state = 2},
  [1322] = {.lex_state = 24, .external_lex_state = 2},
  [1323] = {.lex_state = 24, .external_lex_state = 2},
  [1324] = {.lex_state = 24, .external_lex_state = 2},
  [1325] = {.lex_state = 24, .external_lex_state = 2},
  [1326] = {.lex_state = 24, .external_lex_state = 2},
  [1327] = {.lex_state = 24, .external_lex_state = 2},
  [1328] = {.lex_state = 24, .external_lex_state = 2},
  [1329] = {.lex_state = 24, .external_lex_state = 2},
  [1330] = {.lex_state = 24, .external_lex_state = 2},
  [1331] = {.lex_state = 24, .external_lex_state = 2},
  [1332] = {.lex_state = 24, .external_lex_state = 2},
  [1333] = {.lex_state = 24, .external_lex_state = 2},
  [1334] = {.lex_state = 24, .external_lex_state = 2},
  [1335] = {.lex_state = 24, .external_lex_state = 2},
  [1336] = {.lex_state = 24, .external_lex_state = 2},
  [1337] = {.lex_state = 24, .external_lex_state = 2},
  [1338] = {.lex_state = 24, .external_lex_state = 2},
  [1339] = {.lex_state = 24, .external_lex_state = 2},
  [1340] = {.lex_state = 24, .external_lex_state = 2},
  [1341] = {.lex_state = 24, .external_lex_state = 2},
  [1342] = {.lex_state = 24, .external_lex_state = 2},
  [1343] = {.lex_state = 24, .external_lex_state = 2},
  [1344] = {.lex_state = 24, .external_lex_state = 2},
  [1345] = {.lex_state = 24, .external_lex_state = 2},
  [1346] = {.lex_state = 24, .external_lex_state = 2},
  [1347] = {.lex_state = 24, .external_lex_state = 2},
  [1348] = {.lex_state = 24, .external_lex_state = 2},
  [1349] = {.lex_state = 24, .external_lex_state = 2},
  [1350] = {.lex_state = 24, .external_lex_state = 2},
  [1351] = {.lex_state = 24, .external_lex_state = 2},
  [1352] = {.lex_state = 24, .external_lex_state = 2},
  [1353] = {.lex_state = 24, .external_lex_state = 2},
  [1354] = {.lex_state = 24, .external_lex_state = 2},
  [1355] = {.lex_state = 24, .external_lex_state = 2},
  [1356] = {.lex_state = 24, .external_lex_state = 2},
  [1357] = {.lex_state = 24, .external_lex_state = 2},
  [1358] = {.lex_state = 24, .external_lex_state = 2},
  [1359] = {.lex_state = 24, .external_lex_state = 2},
  [1360] = {.lex_state = 24, .external_lex_state = 2},
  [1361] = {.lex_state = 24, .external_lex_state = 2},
  [1362] = {.lex_state = 24, .external_lex_state = 2},
  [1363] = {.lex_state = 24, .external_lex_state = 2},
  [1364] = {.lex_state = 24, .external_lex_state = 2},
  [1365] = {.lex_state = 24, .external_lex_state = 2},
  [1366] = {.lex_state = 24, .external_lex_state = 2},
  [1367] = {.lex_state = 24, .external_lex_state = 2},
  [1368] = {.lex_state = 24, .external_lex_state = 2},
  [1369] = {.lex_state = 24, .external_lex_state = 2},
  [1370] = {.lex_state = 24, .external_lex_state = 2},
  [1371] = {.lex_state = 24, .external_lex_state = 2},
  [1372] = {.lex_state = 24, .external_lex_state = 2},
  [1373] = {.lex_state = 24, .external_lex_state = 2},
  [1374] = {.lex_state = 24, .external_lex_state = 2},
  [1375] = {.lex_state = 24, .external_lex_state = 2},
  [1376] = {.lex_state = 24, .external_lex_state = 2},
  [1377] = {.lex_state = 24, .external_lex_state = 2},
  [1378] = {.lex_state = 24, .external_lex_state = 2},
  [1379] = {.lex_state = 24, .external_lex_state = 2},
  [1380] = {.lex_state = 24, .external_lex_state = 2},
  [1381] = {.lex_state = 24, .external_lex_state = 2},
  [1382] = {.lex_state = 24, .external_lex_state = 2},
  [1383] = {.lex_state = 24, .external_lex_state = 2},
  [1384] = {.lex_state = 24, .external_lex_state = 2},
  [1385] = {.lex_state = 24, .external_lex_state = 2},
  [1386] = {.lex_state = 24, .external_lex_state = 2},
  [1387] = {.lex_state = 24, .external_lex_state = 2},
  [1388] = {.lex_state = 24, .external_lex_state = 2},
  [1389] = {.lex_state = 24, .external_lex_state = 2},
  [1390] = {.lex_state = 24, .external_lex_state = 2},
  [1391] = {.lex_state = 24, .external_lex_state = 2},
  [1392] = {.lex_state = 24, .external_lex_state = 2},
  [1393] = {.lex_state = 24, .external_lex_state = 2},
  [1394] = {.lex_state = 24, .external_lex_state = 2},
  [1395] = {.lex_state = 24, .external_lex_state = 2},
  [1396] = {.lex_state = 24, .external_lex_state = 2},
  [1397] = {.lex_state = 24, .external_lex_state = 2},
  [1398] = {.lex_state = 24, .external_lex_state = 2},
  [1399] = {.lex_state = 24, .external_lex_state = 2},
  [1400] = {.lex_state = 24, .external_lex_state = 2},
  [1401] = {.lex_state = 24, .external_lex_state = 2},
  [1402] = {.lex_state = 24, .external_lex_state = 2},
  [1403] = {.lex_state = 24, .external_lex_state = 2},
  [1404] = {.lex_state = 24, .external_lex_state = 2},
  [1405] = {.lex_state = 24, .external_lex_state = 2},
  [1406] = {.lex_state = 24, .external_lex_state = 2},
  [1407] = {.lex_state = 24, .external_lex_state = 2},
  [1408] = {.lex_state = 24, .external_lex_state = 2},
  [1409] = {.lex_state = 24, .external_lex_state = 2},
  [1410] = {.lex_state = 24, .external_lex_state = 2},
  [1411] = {.lex_state = 24, .external_lex_state = 2},
  [1412] = {.lex_state = 24, .external_lex_state = 2},
  [1413] = {.lex_state = 24, .external_lex_state = 2},
  [1414] = {.lex_state = 24, .external_lex_state = 2},
  [1415] = {.lex_state = 24, .external_lex_state = 2},
  [1416] = {.lex_state = 24, .external_lex_state = 2},
  [1417] = {.lex_state = 24, .external_lex_state = 2},
  [1418] = {.lex_state = 24, .external_lex_state = 2},
  [1419] = {.lex_state = 24, .external_lex_state = 2},
  [1420] = {.lex_state = 24, .external_lex_state = 2},
  [1421] = {.lex_state = 24, .external_lex_state = 2},
  [1422] = {.lex_state = 24, .external_lex_state = 2},
  [1423] = {.lex_state = 24, .external_lex_state = 2},
  [1424] = {.lex_state = 24, .external_lex_state = 2},
  [1425] = {.lex_state = 24, .external_lex_state = 2},
  [1426] = {.lex_state = 24, .external_lex_state = 2},
  [1427] = {.lex_state = 24, .external_lex_state = 2},
  [1428] = {.lex_state = 24, .external_lex_state = 2},
  [1429] = {.lex_state = 24, .external_lex_state = 2},
  [1430] = {.lex_state = 24, .external_lex_state = 2},
  [1431] = {.lex_state = 24, .external_lex_state = 2},
  [1432] = {.lex_state = 24, .external_lex_state = 2},
  [1433] = {.lex_state = 24, .external_lex_state = 2},
  [1434] = {.lex_state = 24, .external_lex_state = 2},
  [1435] = {.lex_state = 24, .external_lex_state = 2},
  [1436] = {.lex_state = 24, .external_lex_state = 2},
  [1437] = {.lex_state = 24, .external_lex_state = 2},
  [1438] = {.lex_state = 24, .external_lex_state = 2},
  [1439] = {.lex_state = 24, .external_lex_state = 2},
  [1440] = {.lex_state = 24, .external_lex_state = 2},
  [1441] = {.lex_state = 24, .external_lex_state = 2},
  [1442] = {.lex_state = 24, .external_lex_state = 2},
  [1443] = {.lex_state = 24, .external_lex_state = 2},
  [1444] = {.lex_state = 24, .external_lex_state = 2},
  [1445] = {.lex_state = 24, .external_lex_state = 2},
  [1446] = {.lex_state = 24, .external_lex_state = 2},
  [1447] = {.lex_state = 24, .external_lex_state = 2},
  [1448] = {.lex_state = 24, .external_lex_state = 2},
  [1449] = {.lex_state = 24, .external_lex_state = 2},
  [1450] = {.lex_state = 24, .external_lex_state = 2},
  [1451] = {.lex_state = 24, .external_lex_state = 2},
  [1452] = {.lex_state = 24, .external_lex_state = 2},
  [1453] = {.lex_state = 24, .external_lex_state = 2},
  [1454] = {.lex_state = 24, .external_lex_state = 2},
  [1455] = {.lex_state = 24, .external_lex_state = 2},
  [1456] = {.lex_state = 24, .external_lex_state = 2},
  [1457] = {.lex_state = 24, .external_lex_state = 2},
  [1458] = {.lex_state = 24, .external_lex_state = 2},
  [1459] = {.lex_state = 24, .external_lex_state = 2},
  [1460] = {.lex_state = 24, .external_lex_state = 2},
  [1461] = {.lex_state = 24, .external_lex_state = 2},
  [1462] = {.lex_state = 24, .external_lex_state = 2},
  [1463] = {.lex_state = 24, .external_lex_state = 2},
  [1464] = {.lex_state = 24, .external_lex_state = 2},
  [1465] = {.lex_state = 24, .external_lex_state = 2},
  [1466] = {.lex_state = 24, .external_lex_state = 2},
  [1467] = {.lex_state = 24, .external_lex_state = 2},
  [1468] = {.lex_state = 24, .external_lex_state = 2},
  [1469] = {.lex_state = 24, .external_lex_state = 2},
  [1470] = {.lex_state = 24, .external_lex_state = 2},
  [1471] = {.lex_state = 24, .external_lex_state = 2},
  [1472] = {.lex_state = 24, .external_lex_state = 2},
  [1473] = {.lex_state = 24, .external_lex_state = 2},
  [1474] = {.lex_state = 24, .external_lex_state = 2},
  [1475] = {.lex_state = 24, .external_lex_state = 2},
  [1476] = {.lex_state = 24, .external_lex_state = 2},
  [1477] = {.lex_state = 24, .external_lex_state = 2},
  [1478] = {.lex_state = 24, .external_lex_state = 2},
  [1479] = {.lex_state = 24, .external_lex_state = 2},
  [1480] = {.lex_state = 24, .external_lex_state = 2},
  [1481] = {.lex_state = 24, .external_lex_state = 2},
  [1482] = {.lex_state = 24, .external_lex_state = 2},
  [1483] = {.lex_state = 24, .external_lex_state = 2},
  [1484] = {.lex_state = 24, .external_lex_state = 2},
  [1485] = {.lex_state = 24, .external_lex_state = 2},
  [1486] = {.lex_state = 24, .external_lex_state = 2},
  [1487] = {.lex_state = 24, .external_lex_state = 2},
  [1488] = {.lex_state = 24, .external_lex_state = 2},
  [1489] = {.lex_state = 24, .external_lex_state = 2},
  [1490] = {.lex_state = 24, .external_lex_state = 2},
  [1491] = {.lex_state = 24, .external_lex_state = 2},
  [1492] = {.lex_state = 24, .external_lex_state = 2},
  [1493] = {.lex_state = 24, .external_lex_state = 2},
  [1494] = {.lex_state = 24, .external_lex_state = 2},
  [1495] = {.lex_state = 24, .external_lex_state = 2},
  [1496] = {.lex_state = 24, .external_lex_state = 2},
  [1497] = {.lex_state = 24, .external_lex_state = 2},
  [1498] = {.lex_state = 24, .external_lex_state = 2},
  [1499] = {.lex_state = 24, .external_lex_state = 2},
  [1500] = {.lex_state = 24, .external_lex_state = 2},
  [1501] = {.lex_state = 24, .external_lex_state = 2},
  [1502] = {.lex_state = 24, .external_lex_state = 2},
  [1503] = {.lex_state = 24, .external_lex_state = 2},
  [1504] = {.lex_state = 24, .external_lex_state = 2},
  [1505] = {.lex_state = 24, .external_lex_state = 2},
  [1506] = {.lex_state = 24, .external_lex_state = 2},
  [1507] = {.lex_state = 24, .external_lex_state = 2},
  [1508] = {.lex_state = 24, .external_lex_state = 2},
  [1509] = {.lex_state = 24, .external_lex_state = 2},
  [1510] = {.lex_state = 24, .external_lex_state = 2},
  [1511] = {.lex_state = 24, .external_lex_state = 2},
  [1512] = {.lex_state = 24, .external_lex_state = 2},
  [1513] = {.lex_state = 24, .external_lex_state = 2},
  [1514] = {.lex_state = 24, .external_lex_state = 2},
  [1515] = {.lex_state = 24, .external_lex_state = 2},
  [1516] = {.lex_state = 24, .external_lex_state = 2},
  [1517] = {.lex_state = 24, .external_lex_state = 2},
  [1518] = {.lex_state = 24, .external_lex_state = 2},
  [1519] = {.lex_state = 24, .external_lex_state = 2},
  [1520] = {.lex_state = 24, .external_lex_state = 2},
  [1521] = {.lex_state = 24, .external_lex_state = 2},
  [1522] = {.lex_state = 24, .external_lex_state = 2},
  [1523] = {.lex_state = 24, .external_lex_state = 2},
  [1524] = {.lex_state = 24, .external_lex_state = 2},
  [1525] = {.lex_state = 24, .external_lex_state = 2},
  [1526] = {.lex_state = 24, .external_lex_state = 2},
  [1527] = {.lex_state = 24, .external_lex_state = 2},
  [1528] = {.lex_state = 24, .external_lex_state = 2},
  [1529] = {.lex_state = 24, .external_lex_state = 2},
  [1530] = {.lex_state = 24, .external_lex_state = 2},
  [1531] = {.lex_state = 24, .external_lex_state = 2},
  [1532] = {.lex_state = 24, .external_lex_state = 2},
  [1533] = {.lex_state = 24, .external_lex_state = 2},
  [1534] = {.lex_state = 24, .external_lex_state = 2},
  [1535] = {.lex_state = 24, .external_lex_state = 2},
  [1536] = {.lex_state = 24, .external_lex_state = 2},
  [1537] = {.lex_state = 24, .external_lex_state = 2},
  [1538] = {.lex_state = 24, .external_lex_state = 2},
  [1539] = {.lex_state = 24, .external_lex_state = 2},
  [1540] = {.lex_state = 24, .external_lex_state = 2},
  [1541] = {.lex_state = 24, .external_lex_state = 2},
  [1542] = {.lex_state = 24, .external_lex_state = 2},
  [1543] = {.lex_state = 24, .external_lex_state = 2},
  [1544] = {.lex_state = 24, .external_lex_state = 2},
  [1545] = {.lex_state = 24, .external_lex_state = 2},
  [1546] = {.lex_state = 24, .external_lex_state = 2},
  [1547] = {.lex_state = 24, .external_lex_state = 2},
  [1548] = {.lex_state = 24, .external_lex_state = 2},
  [1549] = {.lex_state = 24, .external_lex_state = 2},
  [1550] = {.lex_state = 24, .external_lex_state = 2},
  [1551] = {.lex_state = 24, .external_lex_state = 2},
  [1552] = {.lex_state = 24, .external_lex_state = 2},
  [1553] = {.lex_state = 24, .external_lex_state = 2},
  [1554] = {.lex_state = 24, .external_lex_state = 2},
  [1555] = {.lex_state = 24, .external_lex_state = 2},
  [1556] = {.lex_state = 24, .external_lex_state = 2},
  [1557] = {.lex_state = 24, .external_lex_state = 2},
  [1558] = {.lex_state = 24, .external_lex_state = 2},
  [1559] = {.lex_state = 24, .external_lex_state = 2},
  [1560] = {.lex_state = 24, .external_lex_state = 2},
  [1561] = {.lex_state = 24, .external_lex_state = 2},
  [1562] = {.lex_state = 24, .external_lex_state = 2},
  [1563] = {.lex_state = 24, .external_lex_state = 2},
  [1564] = {.lex_state = 24, .external_lex_state = 2},
  [1565] = {.lex_state = 24, .external_lex_state = 2},
  [1566] = {.lex_state = 24, .external_lex_state = 2},
  [1567] = {.lex_state = 24, .external_lex_state = 2},
  [1568] = {.lex_state = 24, .external_lex_state = 2},
  [1569] = {.lex_state = 24, .external_lex_state = 2},
  [1570] = {.lex_state = 24, .external_lex_state = 2},
  [1571] = {.lex_state = 24, .external_lex_state = 2},
  [1572] = {.lex_state = 24, .external_lex_state = 2},
  [1573] = {.lex_state = 24, .external_lex_state = 2},
  [1574] = {.lex_state = 24, .external_lex_state = 2},
  [1575] = {.lex_state = 24, .external_lex_state = 2},
  [1576] = {.lex_state = 24, .external_lex_state = 2},
  [1577] = {.lex_state = 24, .external_lex_state = 2},
  [1578] = {.lex_state = 24, .external_lex_state = 2},
  [1579] = {.lex_state = 24, .external_lex_state = 2},
  [1580] = {.lex_state = 24, .external_lex_state = 2},
  [1581] = {.lex_state = 24, .external_lex_state = 2},
  [1582] = {.lex_state = 24, .external_lex_state = 2},
  [1583] = {.lex_state = 24, .external_lex_state = 2},
  [1584] = {.lex_state = 24, .external_lex_state = 2},
  [1585] = {.lex_state = 24, .external_lex_state = 2},
  [1586] = {.lex_state = 24, .external_lex_state = 2},
  [1587] = {.lex_state = 24, .external_lex_state = 2},
  [1588] = {.lex_state = 24, .external_lex_state = 2},
  [1589] = {.lex_state = 24, .external_lex_state = 2},
  [1590] = {.lex_state = 24, .external_lex_state = 2},
  [1591] = {.lex_state = 24, .external_lex_state = 2},
  [1592] = {.lex_state = 24, .external_lex_state = 2},
  [1593] = {.lex_state = 24, .external_lex_state = 2},
  [1594] = {.lex_state = 24, .external_lex_state = 2},
  [1595] = {.lex_state = 24, .external_lex_state = 2},
  [1596] = {.lex_state = 24, .external_lex_state = 2},
  [1597] = {.lex_state = 24, .external_lex_state = 2},
  [1598] = {.lex_state = 24, .external_lex_state = 2},
  [1599] = {.lex_state = 24, .external_lex_state = 2},
  [1600] = {.lex_state = 24, .external_lex_state = 2},
  [1601] = {.lex_state = 24, .external_lex_state = 2},
  [1602] = {.lex_state = 24, .external_lex_state = 2},
  [1603] = {.lex_state = 24, .external_lex_state = 2},
  [1604] = {.lex_state = 24, .external_lex_state = 2},
  [1605] = {.lex_state = 24, .external_lex_state = 2},
  [1606] = {.lex_state = 24, .external_lex_state = 2},
  [1607] = {.lex_state = 24, .external_lex_state = 2},
  [1608] = {.lex_state = 24, .external_lex_state = 2},
  [1609] = {.lex_state = 24, .external_lex_state = 2},
  [1610] = {.lex_state = 24, .external_lex_state = 2},
  [1611] = {.lex_state = 24, .external_lex_state = 2},
  [1612] = {.lex_state = 24, .external_lex_state = 2},
  [1613] = {.lex_state = 24, .external_lex_state = 2},
  [1614] = {.lex_state = 24, .external_lex_state = 2},
  [1615] = {.lex_state = 24, .external_lex_state = 2},
  [1616] = {.lex_state = 24, .external_lex_state = 2},
  [1617] = {.lex_state = 24, .external_lex_state = 2},
  [1618] = {.lex_state = 24, .external_lex_state = 2},
  [1619] = {.lex_state = 24, .external_lex_state = 2},
  [1620] = {.lex_state = 24, .external_lex_state = 2},
  [1621] = {.lex_state = 24, .external_lex_state = 2},
  [1622] = {.lex_state = 24, .external_lex_state = 2},
  [1623] = {.lex_state = 24, .external_lex_state = 2},
  [1624] = {.lex_state = 24, .external_lex_state = 2},
  [1625] = {.lex_state = 24, .external_lex_state = 2},
  [1626] = {.lex_state = 24, .external_lex_state = 2},
  [1627] = {.lex_state = 24, .external_lex_state = 2},
  [1628] = {.lex_state = 24, .external_lex_state = 2},
  [1629] = {.lex_state = 24, .external_lex_state = 2},
  [1630] = {.lex_state = 24, .external_lex_state = 2},
  [1631] = {.lex_state = 24, .external_lex_state = 2},
  [1632] = {.lex_state = 24, .external_lex_state = 2},
  [1633] = {.lex_state = 24, .external_lex_state = 2},
  [1634] = {.lex_state = 24, .external_lex_state = 2},
  [1635] = {.lex_state = 24, .external_lex_state = 2},
  [1636] = {.lex_state = 24, .external_lex_state = 2},
  [1637] = {.lex_state = 24, .external_lex_state = 2},
  [1638] = {.lex_state = 24, .external_lex_state = 2},
  [1639] = {.lex_state = 24, .external_lex_state = 2},
  [1640] = {.lex_state = 24, .external_lex_state = 2},
  [1641] = {.lex_state = 24, .external_lex_state = 2},
  [1642] = {.lex_state = 24, .external_lex_state = 2},
  [1643] = {.lex_state = 24, .external_lex_state = 2},
  [1644] = {.lex_state = 24, .external_lex_state = 2},
  [1645] = {.lex_state = 24, .external_lex_state = 2},
  [1646] = {.lex_state = 24, .external_lex_state = 2},
  [1647] = {.lex_state = 24, .external_lex_state = 2},
  [1648] = {.lex_state = 24, .external_lex_state = 2},
  [1649] = {.lex_state = 24, .external_lex_state = 2},
  [1650] = {.lex_state = 24, .external_lex_state = 2},
  [1651] = {.lex_state = 24, .external_lex_state = 2},
  [1652] = {.lex_state = 24, .external_lex_state = 2},
  [1653] = {.lex_state = 24, .external_lex_state = 2},
  [1654] = {.lex_state = 24, .external_lex_state = 2},
  [1655] = {.lex_state = 24, .external_lex_state = 2},
  [1656] = {.lex_state = 24, .external_lex_state = 2},
  [1657] = {.lex_state = 24, .external_lex_state = 2},
  [1658] = {.lex_state = 24, .external_lex_state = 2},
  [1659] = {.lex_state = 24, .external_lex_state = 2},
  [1660] = {.lex_state = 24, .external_lex_state = 2},
  [1661] = {.lex_state = 24, .external_lex_state = 2},
  [1662] = {.lex_state = 24, .external_lex_state = 2},
  [1663] = {.lex_state = 24, .external_lex_state = 2},
  [1664] = {.lex_state = 24, .external_lex_state = 2},
  [1665] = {.lex_state = 24, .external_lex_state = 2},
  [1666] = {.lex_state = 24, .external_lex_state = 2},
  [1667] = {.lex_state = 24, .external_lex_state = 2},
  [1668] = {.lex_state = 24, .external_lex_state = 2},
  [1669] = {.lex_state = 24, .external_lex_state = 2},
  [1670] = {.lex_state = 24, .external_lex_state = 2},
  [1671] = {.lex_state = 24, .external_lex_state = 2},
  [1672] = {.lex_state = 24, .external_lex_state = 2},
  [1673] = {.lex_state = 24, .external_lex_state = 2},
  [1674] = {.lex_state = 24, .external_lex_state = 2},
  [1675] = {.lex_state = 24, .external_lex_state = 2},
  [1676] = {.lex_state = 24, .external_lex_state = 2},
  [1677] = {.lex_state = 24, .external_lex_state = 2},
  [1678] = {.lex_state = 24, .external_lex_state = 2},
  [1679] = {.lex_state = 24, .external_lex_state = 2},
  [1680] = {.lex_state = 24, .external_lex_state = 2},
  [1681] = {.lex_state = 24, .external_lex_state = 2},
  [1682] = {.lex_state = 24, .external_lex_state = 2},
  [1683] = {.lex_state = 24, .external_lex_state = 2},
  [1684] = {.lex_state = 24, .external_lex_state = 2},
  [1685] = {.lex_state = 24, .external_lex_state = 2},
  [1686] = {.lex_state = 24, .external_lex_state = 2},
  [1687] = {.lex_state = 24, .external_lex_state = 2},
  [1688] = {.lex_state = 24, .external_lex_state = 2},
  [1689] = {.lex_state = 24, .external_lex_state = 2},
  [1690] = {.lex_state = 24, .external_lex_state = 2},
  [1691] = {.lex_state = 24, .external_lex_state = 2},
  [1692] = {.lex_state = 24, .external_lex_state = 2},
  [1693] = {.lex_state = 24, .external_lex_state = 2},
  [1694] = {.lex_state = 24, .external_lex_state = 2},
  [1695] = {.lex_state = 24, .external_lex_state = 2},
  [1696] = {.lex_state = 24, .external_lex_state = 2},
  [1697] = {.lex_state = 24, .external_lex_state = 2},
  [1698] = {.lex_state = 24, .external_lex_state = 2},
  [1699] = {.lex_state = 24, .external_lex_state = 2},
  [1700] = {.lex_state = 24, .external_lex_state = 2},
  [1701] = {.lex_state = 24, .external_lex_state = 2},
  [1702] = {.lex_state = 24, .external_lex_state = 2},
  [1703] = {.lex_state = 24, .external_lex_state = 2},
  [1704] = {.lex_state = 24, .external_lex_state = 2},
  [1705] = {.lex_state = 24, .external_lex_state = 2},
  [1706] = {.lex_state = 24, .external_lex_state = 2},
  [1707] = {.lex_state = 24, .external_lex_state = 2},
  [1708] = {.lex_state = 24, .external_lex_state = 2},
  [1709] = {.lex_state = 24, .external_lex_state = 2},
  [1710] = {.lex_state = 24, .external_lex_state = 2},
  [1711] = {.lex_state = 24, .external_lex_state = 2},
  [1712] = {.lex_state = 24, .external_lex_state = 2},
  [1713] = {.lex_state = 24, .external_lex_state = 2},
  [1714] = {.lex_state = 24, .external_lex_state = 2},
  [1715] = {.lex_state = 24, .external_lex_state = 2},
  [1716] = {.lex_state = 24, .external_lex_state = 2},
  [1717] = {.lex_state = 24, .external_lex_state = 2},
  [1718] = {.lex_state = 24, .external_lex_state = 2},
  [1719] = {.lex_state = 24, .external_lex_state = 2},
  [1720] = {.lex_state = 24, .external_lex_state = 2},
  [1721] = {.lex_state = 24, .external_lex_state = 2},
  [1722] = {.lex_state = 24, .external_lex_state = 2},
  [1723] = {.lex_state = 24, .external_lex_state = 2},
  [1724] = {.lex_state = 24, .external_lex_state = 2},
  [1725] = {.lex_state = 24, .external_lex_state = 2},
  [1726] = {.lex_state = 24, .external_lex_state = 2},
  [1727] = {.lex_state = 24, .external_lex_state = 2},
  [1728] = {.lex_state = 24, .external_lex_state = 2},
  [1729] = {.lex_state = 24, .external_lex_state = 2},
  [1730] = {.lex_state = 24, .external_lex_state = 2},
  [1731] = {.lex_state = 24, .external_lex_state = 2},
  [1732] = {.lex_state = 24, .external_lex_state = 2},
  [1733] = {.lex_state = 24, .external_lex_state = 2},
  [1734] = {.lex_state = 24, .external_lex_state = 2},
  [1735] = {.lex_state = 48, .external_lex_state = 2},
  [1736] = {.lex_state = 24, .external_lex_state = 2},
  [1737] = {.lex_state = 24, .external_lex_state = 2},
  [1738] = {.lex_state = 24, .external_lex_state = 2},
  [1739] = {.lex_state = 24, .external_lex_state = 2},
  [1740] = {.lex_state = 24, .external_lex_state = 2},
  [1741] = {.lex_state = 24, .external_lex_state = 2},
  [1742] = {.lex_state = 24, .external_lex_state = 2},
  [1743] = {.lex_state = 24, .external_lex_state = 2},
  [1744] = {.lex_state = 24, .external_lex_state = 2},
  [1745] = {.lex_state = 24, .external_lex_state = 2},
  [1746] = {.lex_state = 24, .external_lex_state = 2},
  [1747] = {.lex_state = 24, .external_lex_state = 2},
  [1748] = {.lex_state = 24, .external_lex_state = 2},
  [1749] = {.lex_state = 24, .external_lex_state = 2},
  [1750] = {.lex_state = 24, .external_lex_state = 2},
  [1751] = {.lex_state = 24, .external_lex_state = 2},
  [1752] = {.lex_state = 24, .external_lex_state = 2},
  [1753] = {.lex_state = 24, .external_lex_state = 2},
  [1754] = {.lex_state = 24, .external_lex_state = 2},
  [1755] = {.lex_state = 24, .external_lex_state = 2},
  [1756] = {.lex_state = 24, .external_lex_state = 2},
  [1757] = {.lex_state = 24, .external_lex_state = 2},
  [1758] = {.lex_state = 24, .external_lex_state = 2},
  [1759] = {.lex_state = 24, .external_lex_state = 2},
  [1760] = {.lex_state = 24, .external_lex_state = 2},
  [1761] = {.lex_state = 24, .external_lex_state = 2},
  [1762] = {.lex_state = 24, .external_lex_state = 2},
  [1763] = {.lex_state = 24, .external_lex_state = 2},
  [1764] = {.lex_state = 24, .external_lex_state = 2},
  [1765] = {.lex_state = 24, .external_lex_state = 2},
  [1766] = {.lex_state = 24, .external_lex_state = 2},
  [1767] = {.lex_state = 24, .external_lex_state = 2},
  [1768] = {.lex_state = 24, .external_lex_state = 2},
  [1769] = {.lex_state = 24, .external_lex_state = 2},
  [1770] = {.lex_state = 24, .external_lex_state = 2},
  [1771] = {.lex_state = 24, .external_lex_state = 2},
  [1772] = {.lex_state = 24, .external_lex_state = 2},
  [1773] = {.lex_state = 24, .external_lex_state = 2},
  [1774] = {.lex_state = 24, .external_lex_state = 2},
  [1775] = {.lex_state = 24, .external_lex_state = 2},
  [1776] = {.lex_state = 24, .external_lex_state = 2},
  [1777] = {.lex_state = 24, .external_lex_state = 2},
  [1778] = {.lex_state = 24, .external_lex_state = 2},
  [1779] = {.lex_state = 24, .external_lex_state = 2},
  [1780] = {.lex_state = 24, .external_lex_state = 2},
  [1781] = {.lex_state = 24, .external_lex_state = 2},
  [1782] = {.lex_state = 24, .external_lex_state = 2},
  [1783] = {.lex_state = 24, .external_lex_state = 2},
  [1784] = {.lex_state = 24, .external_lex_state = 2},
  [1785] = {.lex_state = 24, .external_lex_state = 2},
  [1786] = {.lex_state = 24, .external_lex_state = 2},
  [1787] = {.lex_state = 24, .external_lex_state = 2},
  [1788] = {.lex_state = 24, .external_lex_state = 2},
  [1789] = {.lex_state = 24, .external_lex_state = 2},
  [1790] = {.lex_state = 24, .external_lex_state = 2},
  [1791] = {.lex_state = 24, .external_lex_state = 2},
  [1792] = {.lex_state = 24, .external_lex_state = 2},
  [1793] = {.lex_state = 24, .external_lex_state = 2},
  [1794] = {.lex_state = 24, .external_lex_state = 2},
  [1795] = {.lex_state = 24, .external_lex_state = 2},
  [1796] = {.lex_state = 24, .external_lex_state = 2},
  [1797] = {.lex_state = 24, .external_lex_state = 2},
  [1798] = {.lex_state = 24, .external_lex_state = 2},
  [1799] = {.lex_state = 24, .external_lex_state = 2},
  [1800] = {.lex_state = 24, .external_lex_state = 2},
  [1801] = {.lex_state = 24, .external_lex_state = 2},
  [1802] = {.lex_state = 24, .external_lex_state = 2},
  [1803] = {.lex_state = 24, .external_lex_state = 2},
  [1804] = {.lex_state = 24, .external_lex_state = 2},
  [1805] = {.lex_state = 24, .external_lex_state = 2},
  [1806] = {.lex_state = 24, .external_lex_state = 2},
  [1807] = {.lex_state = 24, .external_lex_state = 2},
  [1808] = {.lex_state = 24, .external_lex_state = 2},
  [1809] = {.lex_state = 24, .external_lex_state = 2},
  [1810] = {.lex_state = 24, .external_lex_state = 2},
  [1811] = {.lex_state = 24, .external_lex_state = 2},
  [1812] = {.lex_state = 24, .external_lex_state = 2},
  [1813] = {.lex_state = 24, .external_lex_state = 2},
  [1814] = {.lex_state = 24, .external_lex_state = 2},
  [1815] = {.lex_state = 24, .external_lex_state = 2},
  [1816] = {.lex_state = 24, .external_lex_state = 2},
  [1817] = {.lex_state = 24, .external_lex_state = 2},
  [1818] = {.lex_state = 24, .external_lex_state = 2},
  [1819] = {.lex_state = 24, .external_lex_state = 2},
  [1820] = {.lex_state = 48, .external_lex_state = 2},
  [1821] = {.lex_state = 24, .external_lex_state = 2},
  [1822] = {.lex_state = 24, .external_lex_state = 2},
  [1823] = {.lex_state = 24, .external_lex_state = 2},
  [1824] = {.lex_state = 402, .external_lex_state = 2},
  [1825] = {.lex_state = 402, .external_lex_state = 2},
  [1826] = {.lex_state = 24, .external_lex_state = 2},
  [1827] = {.lex_state = 24, .external_lex_state = 2},
  [1828] = {.lex_state = 24, .external_lex_state = 2},
  [1829] = {.lex_state = 24, .external_lex_state = 2},
  [1830] = {.lex_state = 24, .external_lex_state = 2},
  [1831] = {.lex_state = 24, .external_lex_state = 2},
  [1832] = {.lex_state = 24, .external_lex_state = 2},
  [1833] = {.lex_state = 24, .external_lex_state = 2},
  [1834] = {.lex_state = 24, .external_lex_state = 2},
  [1835] = {.lex_state = 24, .external_lex_state = 2},
  [1836] = {.lex_state = 24, .external_lex_state = 2},
  [1837] = {.lex_state = 24, .external_lex_state = 2},
  [1838] = {.lex_state = 24, .external_lex_state = 2},
  [1839] = {.lex_state = 24, .external_lex_state = 2},
  [1840] = {.lex_state = 24, .external_lex_state = 2},
  [1841] = {.lex_state = 24, .external_lex_state = 2},
  [1842] = {.lex_state = 24, .external_lex_state = 2},
  [1843] = {.lex_state = 24, .external_lex_state = 2},
  [1844] = {.lex_state = 24, .external_lex_state = 2},
  [1845] = {.lex_state = 24, .external_lex_state = 2},
  [1846] = {.lex_state = 24, .external_lex_state = 2},
  [1847] = {.lex_state = 24, .external_lex_state = 2},
  [1848] = {.lex_state = 24, .external_lex_state = 2},
  [1849] = {.lex_state = 24, .external_lex_state = 2},
  [1850] = {.lex_state = 24, .external_lex_state = 2},
  [1851] = {.lex_state = 24, .external_lex_state = 2},
  [1852] = {.lex_state = 24, .external_lex_state = 2},
  [1853] = {.lex_state = 24, .external_lex_state = 2},
  [1854] = {.lex_state = 24, .external_lex_state = 2},
  [1855] = {.lex_state = 24, .external_lex_state = 2},
  [1856] = {.lex_state = 24, .external_lex_state = 2},
  [1857] = {.lex_state = 24, .external_lex_state = 2},
  [1858] = {.lex_state = 24, .external_lex_state = 2},
  [1859] = {.lex_state = 24, .external_lex_state = 2},
  [1860] = {.lex_state = 24, .external_lex_state = 2},
  [1861] = {.lex_state = 402, .external_lex_state = 2},
  [1862] = {.lex_state = 24, .external_lex_state = 2},
  [1863] = {.lex_state = 24, .external_lex_state = 2},
  [1864] = {.lex_state = 24, .external_lex_state = 2},
  [1865] = {.lex_state = 24, .external_lex_state = 2},
  [1866] = {.lex_state = 24, .external_lex_state = 2},
  [1867] = {.lex_state = 24, .external_lex_state = 2},
  [1868] = {.lex_state = 24, .external_lex_state = 2},
  [1869] = {.lex_state = 24, .external_lex_state = 2},
  [1870] = {.lex_state = 24, .external_lex_state = 2},
  [1871] = {.lex_state = 24, .external_lex_state = 2},
  [1872] = {.lex_state = 24, .external_lex_state = 2},
  [1873] = {.lex_state = 24, .external_lex_state = 2},
  [1874] = {.lex_state = 24, .external_lex_state = 2},
  [1875] = {.lex_state = 24, .external_lex_state = 2},
  [1876] = {.lex_state = 411, .external_lex_state = 2},
  [1877] = {.lex_state = 24, .external_lex_state = 2},
  [1878] = {.lex_state = 24, .external_lex_state = 2},
  [1879] = {.lex_state = 24, .external_lex_state = 2},
  [1880] = {.lex_state = 24, .external_lex_state = 2},
  [1881] = {.lex_state = 24, .external_lex_state = 2},
  [1882] = {.lex_state = 24, .external_lex_state = 2},
  [1883] = {.lex_state = 24, .external_lex_state = 2},
  [1884] = {.lex_state = 24, .external_lex_state = 2},
  [1885] = {.lex_state = 24, .external_lex_state = 2},
  [1886] = {.lex_state = 24, .external_lex_state = 2},
  [1887] = {.lex_state = 24, .external_lex_state = 2},
  [1888] = {.lex_state = 24, .external_lex_state = 2},
  [1889] = {.lex_state = 24, .external_lex_state = 2},
  [1890] = {.lex_state = 24, .external_lex_state = 2},
  [1891] = {.lex_state = 24, .external_lex_state = 2},
  [1892] = {.lex_state = 24, .external_lex_state = 2},
  [1893] = {.lex_state = 24, .external_lex_state = 2},
  [1894] = {.lex_state = 24, .external_lex_state = 2},
  [1895] = {.lex_state = 24, .external_lex_state = 2},
  [1896] = {.lex_state = 24, .external_lex_state = 2},
  [1897] = {.lex_state = 24, .external_lex_state = 2},
  [1898] = {.lex_state = 24, .external_lex_state = 2},
  [1899] = {.lex_state = 24, .external_lex_state = 2},
  [1900] = {.lex_state = 24, .external_lex_state = 2},
  [1901] = {.lex_state = 24, .external_lex_state = 2},
  [1902] = {.lex_state = 24, .external_lex_state = 2},
  [1903] = {.lex_state = 411, .external_lex_state = 2},
  [1904] = {.lex_state = 24, .external_lex_state = 2},
  [1905] = {.lex_state = 24, .external_lex_state = 2},
  [1906] = {.lex_state = 24, .external_lex_state = 2},
  [1907] = {.lex_state = 24, .external_lex_state = 2},
  [1908] = {.lex_state = 24, .external_lex_state = 2},
  [1909] = {.lex_state = 24, .external_lex_state = 2},
  [1910] = {.lex_state = 24, .external_lex_state = 2},
  [1911] = {.lex_state = 24, .external_lex_state = 2},
  [1912] = {.lex_state = 24, .external_lex_state = 2},
  [1913] = {.lex_state = 24, .external_lex_state = 2},
  [1914] = {.lex_state = 24, .external_lex_state = 2},
  [1915] = {.lex_state = 24, .external_lex_state = 2},
  [1916] = {.lex_state = 24, .external_lex_state = 2},
  [1917] = {.lex_state = 24, .external_lex_state = 2},
  [1918] = {.lex_state = 24, .external_lex_state = 2},
  [1919] = {.lex_state = 24, .external_lex_state = 2},
  [1920] = {.lex_state = 24, .external_lex_state = 2},
  [1921] = {.lex_state = 24, .external_lex_state = 2},
  [1922] = {.lex_state = 24, .external_lex_state = 2},
  [1923] = {.lex_state = 24, .external_lex_state = 2},
  [1924] = {.lex_state = 24, .external_lex_state = 2},
  [1925] = {.lex_state = 24, .external_lex_state = 2},
  [1926] = {.lex_state = 24, .external_lex_state = 2},
  [1927] = {.lex_state = 24, .external_lex_state = 2},
  [1928] = {.lex_state = 24, .external_lex_state = 2},
  [1929] = {.lex_state = 24, .external_lex_state = 2},
  [1930] = {.lex_state = 24, .external_lex_state = 2},
  [1931] = {.lex_state = 24, .external_lex_state = 2},
  [1932] = {.lex_state = 24, .external_lex_state = 2},
  [1933] = {.lex_state = 24, .external_lex_state = 2},
  [1934] = {.lex_state = 24, .external_lex_state = 2},
  [1935] = {.lex_state = 24, .external_lex_state = 2},
  [1936] = {.lex_state = 24, .external_lex_state = 2},
  [1937] = {.lex_state = 24, .external_lex_state = 2},
  [1938] = {.lex_state = 24, .external_lex_state = 2},
  [1939] = {.lex_state = 24, .external_lex_state = 2},
  [1940] = {.lex_state = 24, .external_lex_state = 2},
  [1941] = {.lex_state = 24, .external_lex_state = 2},
  [1942] = {.lex_state = 24, .external_lex_state = 2},
  [1943] = {.lex_state = 24, .external_lex_state = 2},
  [1944] = {.lex_state = 24, .external_lex_state = 2},
  [1945] = {.lex_state = 24, .external_lex_state = 2},
  [1946] = {.lex_state = 24, .external_lex_state = 2},
  [1947] = {.lex_state = 24, .external_lex_state = 2},
  [1948] = {.lex_state = 24, .external_lex_state = 2},
  [1949] = {.lex_state = 24, .external_lex_state = 2},
  [1950] = {.lex_state = 24, .external_lex_state = 2},
  [1951] = {.lex_state = 24, .external_lex_state = 2},
  [1952] = {.lex_state = 24, .external_lex_state = 2},
  [1953] = {.lex_state = 24, .external_lex_state = 2},
  [1954] = {.lex_state = 24, .external_lex_state = 2},
  [1955] = {.lex_state = 24, .external_lex_state = 2},
  [1956] = {.lex_state = 24, .external_lex_state = 2},
  [1957] = {.lex_state = 24, .external_lex_state = 2},
  [1958] = {.lex_state = 24, .external_lex_state = 2},
  [1959] = {.lex_state = 24, .external_lex_state = 2},
  [1960] = {.lex_state = 24, .external_lex_state = 2},
  [1961] = {.lex_state = 24, .external_lex_state = 2},
  [1962] = {.lex_state = 24, .external_lex_state = 2},
  [1963] = {.lex_state = 24, .external_lex_state = 2},
  [1964] = {.lex_state = 24, .external_lex_state = 2},
  [1965] = {.lex_state = 24, .external_lex_state = 2},
  [1966] = {.lex_state = 24, .external_lex_state = 2},
  [1967] = {.lex_state = 24, .external_lex_state = 2},
  [1968] = {.lex_state = 24, .external_lex_state = 2},
  [1969] = {.lex_state = 24, .external_lex_state = 2},
  [1970] = {.lex_state = 62, .external_lex_state = 2},
  [1971] = {.lex_state = 24, .external_lex_state = 2},
  [1972] = {.lex_state = 24, .external_lex_state = 2},
  [1973] = {.lex_state = 24, .external_lex_state = 2},
  [1974] = {.lex_state = 24, .external_lex_state = 2},
  [1975] = {.lex_state = 24, .external_lex_state = 2},
  [1976] = {.lex_state = 24, .external_lex_state = 2},
  [1977] = {.lex_state = 24, .external_lex_state = 2},
  [1978] = {.lex_state = 24, .external_lex_state = 2},
  [1979] = {.lex_state = 24, .external_lex_state = 2},
  [1980] = {.lex_state = 24, .external_lex_state = 2},
  [1981] = {.lex_state = 24, .external_lex_state = 2},
  [1982] = {.lex_state = 402, .external_lex_state = 2},
  [1983] = {.lex_state = 24, .external_lex_state = 2},
  [1984] = {.lex_state = 24, .external_lex_state = 2},
  [1985] = {.lex_state = 24, .external_lex_state = 2},
  [1986] = {.lex_state = 24, .external_lex_state = 2},
  [1987] = {.lex_state = 24, .external_lex_state = 2},
  [1988] = {.lex_state = 24, .external_lex_state = 2},
  [1989] = {.lex_state = 24, .external_lex_state = 2},
  [1990] = {.lex_state = 24, .external_lex_state = 2},
  [1991] = {.lex_state = 24, .external_lex_state = 2},
  [1992] = {.lex_state = 24, .external_lex_state = 2},
  [1993] = {.lex_state = 24, .external_lex_state = 2},
  [1994] = {.lex_state = 24, .external_lex_state = 2},
  [1995] = {.lex_state = 24, .external_lex_state = 2},
  [1996] = {.lex_state = 24, .external_lex_state = 2},
  [1997] = {.lex_state = 24, .external_lex_state = 2},
  [1998] = {.lex_state = 24, .external_lex_state = 2},
  [1999] = {.lex_state = 24, .external_lex_state = 2},
  [2000] = {.lex_state = 24, .external_lex_state = 2},
  [2001] = {.lex_state = 24, .external_lex_state = 2},
  [2002] = {.lex_state = 24, .external_lex_state = 2},
  [2003] = {.lex_state = 24, .external_lex_state = 2},
  [2004] = {.lex_state = 24, .external_lex_state = 2},
  [2005] = {.lex_state = 24, .external_lex_state = 2},
  [2006] = {.lex_state = 24, .external_lex_state = 2},
  [2007] = {.lex_state = 24, .external_lex_state = 2},
  [2008] = {.lex_state = 24, .external_lex_state = 2},
  [2009] = {.lex_state = 24, .external_lex_state = 2},
  [2010] = {.lex_state = 24, .external_lex_state = 2},
  [2011] = {.lex_state = 24, .external_lex_state = 2},
  [2012] = {.lex_state = 24, .external_lex_state = 2},
  [2013] = {.lex_state = 24, .external_lex_state = 2},
  [2014] = {.lex_state = 24, .external_lex_state = 2},
  [2015] = {.lex_state = 24, .external_lex_state = 2},
  [2016] = {.lex_state = 24, .external_lex_state = 2},
  [2017] = {.lex_state = 24, .external_lex_state = 2},
  [2018] = {.lex_state = 24, .external_lex_state = 2},
  [2019] = {.lex_state = 24, .external_lex_state = 2},
  [2020] = {.lex_state = 24, .external_lex_state = 2},
  [2021] = {.lex_state = 24, .external_lex_state = 2},
  [2022] = {.lex_state = 24, .external_lex_state = 2},
  [2023] = {.lex_state = 24, .external_lex_state = 2},
  [2024] = {.lex_state = 24, .external_lex_state = 2},
  [2025] = {.lex_state = 24, .external_lex_state = 2},
  [2026] = {.lex_state = 24, .external_lex_state = 2},
  [2027] = {.lex_state = 24, .external_lex_state = 2},
  [2028] = {.lex_state = 24, .external_lex_state = 2},
  [2029] = {.lex_state = 24, .external_lex_state = 2},
  [2030] = {.lex_state = 24, .external_lex_state = 2},
  [2031] = {.lex_state = 24, .external_lex_state = 2},
  [2032] = {.lex_state = 24, .external_lex_state = 2},
  [2033] = {.lex_state = 24, .external_lex_state = 2},
  [2034] = {.lex_state = 24, .external_lex_state = 2},
  [2035] = {.lex_state = 24, .external_lex_state = 2},
  [2036] = {.lex_state = 24, .external_lex_state = 2},
  [2037] = {.lex_state = 24, .external_lex_state = 2},
  [2038] = {.lex_state = 24, .external_lex_state = 2},
  [2039] = {.lex_state = 24, .external_lex_state = 2},
  [2040] = {.lex_state = 24, .external_lex_state = 2},
  [2041] = {.lex_state = 24, .external_lex_state = 2},
  [2042] = {.lex_state = 24, .external_lex_state = 2},
  [2043] = {.lex_state = 24, .external_lex_state = 2},
  [2044] = {.lex_state = 24, .external_lex_state = 2},
  [2045] = {.lex_state = 24, .external_lex_state = 2},
  [2046] = {.lex_state = 24, .external_lex_state = 2},
  [2047] = {.lex_state = 24, .external_lex_state = 2},
  [2048] = {.lex_state = 24, .external_lex_state = 2},
  [2049] = {.lex_state = 24, .external_lex_state = 2},
  [2050] = {.lex_state = 24, .external_lex_state = 2},
  [2051] = {.lex_state = 24, .external_lex_state = 2},
  [2052] = {.lex_state = 403, .external_lex_state = 2},
  [2053] = {.lex_state = 24, .external_lex_state = 2},
  [2054] = {.lex_state = 24, .external_lex_state = 2},
  [2055] = {.lex_state = 24, .external_lex_state = 2},
  [2056] = {.lex_state = 49, .external_lex_state = 2},
  [2057] = {.lex_state = 24, .external_lex_state = 2},
  [2058] = {.lex_state = 24, .external_lex_state = 2},
  [2059] = {.lex_state = 24, .external_lex_state = 2},
  [2060] = {.lex_state = 24, .external_lex_state = 2},
  [2061] = {.lex_state = 24, .external_lex_state = 2},
  [2062] = {.lex_state = 24, .external_lex_state = 2},
  [2063] = {.lex_state = 24, .external_lex_state = 2},
  [2064] = {.lex_state = 24, .external_lex_state = 2},
  [2065] = {.lex_state = 24, .external_lex_state = 2},
  [2066] = {.lex_state = 24, .external_lex_state = 2},
  [2067] = {.lex_state = 24, .external_lex_state = 2},
  [2068] = {.lex_state = 24, .external_lex_state = 2},
  [2069] = {.lex_state = 24, .external_lex_state = 2},
  [2070] = {.lex_state = 24, .external_lex_state = 2},
  [2071] = {.lex_state = 24, .external_lex_state = 2},
  [2072] = {.lex_state = 24, .external_lex_state = 2},
  [2073] = {.lex_state = 24, .external_lex_state = 2},
  [2074] = {.lex_state = 24, .external_lex_state = 2},
  [2075] = {.lex_state = 24, .external_lex_state = 2},
  [2076] = {.lex_state = 24, .external_lex_state = 2},
  [2077] = {.lex_state = 24, .external_lex_state = 2},
  [2078] = {.lex_state = 24, .external_lex_state = 2},
  [2079] = {.lex_state = 24, .external_lex_state = 2},
  [2080] = {.lex_state = 24, .external_lex_state = 2},
  [2081] = {.lex_state = 24, .external_lex_state = 2},
  [2082] = {.lex_state = 24, .external_lex_state = 2},
  [2083] = {.lex_state = 24, .external_lex_state = 2},
  [2084] = {.lex_state = 24, .external_lex_state = 2},
  [2085] = {.lex_state = 24, .external_lex_state = 2},
  [2086] = {.lex_state = 24, .external_lex_state = 2},
  [2087] = {.lex_state = 24, .external_lex_state = 2},
  [2088] = {.lex_state = 24, .external_lex_state = 2},
  [2089] = {.lex_state = 24, .external_lex_state = 2},
  [2090] = {.lex_state = 24, .external_lex_state = 2},
  [2091] = {.lex_state = 24, .external_lex_state = 2},
  [2092] = {.lex_state = 24, .external_lex_state = 2},
  [2093] = {.lex_state = 24, .external_lex_state = 2},
  [2094] = {.lex_state = 24, .external_lex_state = 2},
  [2095] = {.lex_state = 24, .external_lex_state = 2},
  [2096] = {.lex_state = 24, .external_lex_state = 2},
  [2097] = {.lex_state = 24, .external_lex_state = 2},
  [2098] = {.lex_state = 24, .external_lex_state = 2},
  [2099] = {.lex_state = 24, .external_lex_state = 2},
  [2100] = {.lex_state = 24, .external_lex_state = 2},
  [2101] = {.lex_state = 24, .external_lex_state = 2},
  [2102] = {.lex_state = 24, .external_lex_state = 2},
  [2103] = {.lex_state = 24, .external_lex_state = 2},
  [2104] = {.lex_state = 24, .external_lex_state = 2},
  [2105] = {.lex_state = 24, .external_lex_state = 2},
  [2106] = {.lex_state = 24, .external_lex_state = 2},
  [2107] = {.lex_state = 24, .external_lex_state = 2},
  [2108] = {.lex_state = 24, .external_lex_state = 2},
  [2109] = {.lex_state = 24, .external_lex_state = 2},
  [2110] = {.lex_state = 24, .external_lex_state = 2},
  [2111] = {.lex_state = 24, .external_lex_state = 2},
  [2112] = {.lex_state = 24, .external_lex_state = 2},
  [2113] = {.lex_state = 24, .external_lex_state = 2},
  [2114] = {.lex_state = 24, .external_lex_state = 2},
  [2115] = {.lex_state = 24, .external_lex_state = 2},
  [2116] = {.lex_state = 24, .external_lex_state = 2},
  [2117] = {.lex_state = 24, .external_lex_state = 2},
  [2118] = {.lex_state = 24, .external_lex_state = 2},
  [2119] = {.lex_state = 24, .external_lex_state = 2},
  [2120] = {.lex_state = 24, .external_lex_state = 2},
  [2121] = {.lex_state = 24, .external_lex_state = 2},
  [2122] = {.lex_state = 24, .external_lex_state = 2},
  [2123] = {.lex_state = 24, .external_lex_state = 2},
  [2124] = {.lex_state = 24, .external_lex_state = 2},
  [2125] = {.lex_state = 24, .external_lex_state = 2},
  [2126] = {.lex_state = 24, .external_lex_state = 2},
  [2127] = {.lex_state = 24, .external_lex_state = 2},
  [2128] = {.lex_state = 24, .external_lex_state = 2},
  [2129] = {.lex_state = 24, .external_lex_state = 2},
  [2130] = {.lex_state = 24, .external_lex_state = 2},
  [2131] = {.lex_state = 24, .external_lex_state = 2},
  [2132] = {.lex_state = 24, .external_lex_state = 2},
  [2133] = {.lex_state = 24, .external_lex_state = 2},
  [2134] = {.lex_state = 24, .external_lex_state = 2},
  [2135] = {.lex_state = 24, .external_lex_state = 2},
  [2136] = {.lex_state = 24, .external_lex_state = 2},
  [2137] = {.lex_state = 24, .external_lex_state = 2},
  [2138] = {.lex_state = 24, .external_lex_state = 2},
  [2139] = {.lex_state = 24, .external_lex_state = 2},
  [2140] = {.lex_state = 24, .external_lex_state = 2},
  [2141] = {.lex_state = 24, .external_lex_state = 2},
  [2142] = {.lex_state = 24, .external_lex_state = 2},
  [2143] = {.lex_state = 24, .external_lex_state = 2},
  [2144] = {.lex_state = 24, .external_lex_state = 2},
  [2145] = {.lex_state = 24, .external_lex_state = 2},
  [2146] = {.lex_state = 24, .external_lex_state = 2},
  [2147] = {.lex_state = 24, .external_lex_state = 2},
  [2148] = {.lex_state = 24, .external_lex_state = 2},
  [2149] = {.lex_state = 24, .external_lex_state = 2},
  [2150] = {.lex_state = 24, .external_lex_state = 2},
  [2151] = {.lex_state = 24, .external_lex_state = 2},
  [2152] = {.lex_state = 24, .external_lex_state = 2},
  [2153] = {.lex_state = 24, .external_lex_state = 2},
  [2154] = {.lex_state = 24, .external_lex_state = 2},
  [2155] = {.lex_state = 24, .external_lex_state = 2},
  [2156] = {.lex_state = 24, .external_lex_state = 2},
  [2157] = {.lex_state = 24, .external_lex_state = 2},
  [2158] = {.lex_state = 24, .external_lex_state = 2},
  [2159] = {.lex_state = 24, .external_lex_state = 2},
  [2160] = {.lex_state = 24, .external_lex_state = 2},
  [2161] = {.lex_state = 24, .external_lex_state = 2},
  [2162] = {.lex_state = 24, .external_lex_state = 2},
  [2163] = {.lex_state = 24, .external_lex_state = 2},
  [2164] = {.lex_state = 24, .external_lex_state = 2},
  [2165] = {.lex_state = 24, .external_lex_state = 2},
  [2166] = {.lex_state = 24, .external_lex_state = 2},
  [2167] = {.lex_state = 24, .external_lex_state = 2},
  [2168] = {.lex_state = 24, .external_lex_state = 2},
  [2169] = {.lex_state = 24, .external_lex_state = 2},
  [2170] = {.lex_state = 24, .external_lex_state = 2},
  [2171] = {.lex_state = 24, .external_lex_state = 2},
  [2172] = {.lex_state = 24, .external_lex_state = 2},
  [2173] = {.lex_state = 24, .external_lex_state = 2},
  [2174] = {.lex_state = 24, .external_lex_state = 2},
  [2175] = {.lex_state = 24, .external_lex_state = 2},
  [2176] = {.lex_state = 24, .external_lex_state = 2},
  [2177] = {.lex_state = 24, .external_lex_state = 2},
  [2178] = {.lex_state = 24, .external_lex_state = 2},
  [2179] = {.lex_state = 24, .external_lex_state = 2},
  [2180] = {.lex_state = 24, .external_lex_state = 2},
  [2181] = {.lex_state = 24, .external_lex_state = 2},
  [2182] = {.lex_state = 24, .external_lex_state = 2},
  [2183] = {.lex_state = 24, .external_lex_state = 2},
  [2184] = {.lex_state = 24, .external_lex_state = 2},
  [2185] = {.lex_state = 24, .external_lex_state = 2},
  [2186] = {.lex_state = 24, .external_lex_state = 2},
  [2187] = {.lex_state = 24, .external_lex_state = 2},
  [2188] = {.lex_state = 24, .external_lex_state = 2},
  [2189] = {.lex_state = 24, .external_lex_state = 2},
  [2190] = {.lex_state = 24, .external_lex_state = 2},
  [2191] = {.lex_state = 24, .external_lex_state = 2},
  [2192] = {.lex_state = 24, .external_lex_state = 2},
  [2193] = {.lex_state = 24, .external_lex_state = 2},
  [2194] = {.lex_state = 24, .external_lex_state = 2},
  [2195] = {.lex_state = 24, .external_lex_state = 2},
  [2196] = {.lex_state = 24, .external_lex_state = 2},
  [2197] = {.lex_state = 24, .external_lex_state = 2},
  [2198] = {.lex_state = 24, .external_lex_state = 2},
  [2199] = {.lex_state = 24, .external_lex_state = 2},
  [2200] = {.lex_state = 24, .external_lex_state = 2},
  [2201] = {.lex_state = 24, .external_lex_state = 2},
  [2202] = {.lex_state = 24, .external_lex_state = 2},
  [2203] = {.lex_state = 24, .external_lex_state = 2},
  [2204] = {.lex_state = 24, .external_lex_state = 2},
  [2205] = {.lex_state = 24, .external_lex_state = 2},
  [2206] = {.lex_state = 24, .external_lex_state = 2},
  [2207] = {.lex_state = 24, .external_lex_state = 2},
  [2208] = {.lex_state = 24, .external_lex_state = 2},
  [2209] = {.lex_state = 24, .external_lex_state = 2},
  [2210] = {.lex_state = 24, .external_lex_state = 2},
  [2211] = {.lex_state = 24, .external_lex_state = 2},
  [2212] = {.lex_state = 24, .external_lex_state = 2},
  [2213] = {.lex_state = 24, .external_lex_state = 2},
  [2214] = {.lex_state = 24, .external_lex_state = 2},
  [2215] = {.lex_state = 24, .external_lex_state = 2},
  [2216] = {.lex_state = 24, .external_lex_state = 2},
  [2217] = {.lex_state = 24, .external_lex_state = 2},
  [2218] = {.lex_state = 24, .external_lex_state = 2},
  [2219] = {.lex_state = 24, .external_lex_state = 2},
  [2220] = {.lex_state = 24, .external_lex_state = 2},
  [2221] = {.lex_state = 24, .external_lex_state = 2},
  [2222] = {.lex_state = 24, .external_lex_state = 2},
  [2223] = {.lex_state = 24, .external_lex_state = 2},
  [2224] = {.lex_state = 24, .external_lex_state = 2},
  [2225] = {.lex_state = 24, .external_lex_state = 2},
  [2226] = {.lex_state = 24, .external_lex_state = 2},
  [2227] = {.lex_state = 24, .external_lex_state = 2},
  [2228] = {.lex_state = 24, .external_lex_state = 2},
  [2229] = {.lex_state = 24, .external_lex_state = 2},
  [2230] = {.lex_state = 24, .external_lex_state = 2},
  [2231] = {.lex_state = 24, .external_lex_state = 2},
  [2232] = {.lex_state = 24, .external_lex_state = 2},
  [2233] = {.lex_state = 24, .external_lex_state = 2},
  [2234] = {.lex_state = 24, .external_lex_state = 2},
  [2235] = {.lex_state = 410, .external_lex_state = 2},
  [2236] = {.lex_state = 24, .external_lex_state = 2},
  [2237] = {.lex_state = 24, .external_lex_state = 2},
  [2238] = {.lex_state = 24, .external_lex_state = 2},
  [2239] = {.lex_state = 24, .external_lex_state = 2},
  [2240] = {.lex_state = 24, .external_lex_state = 2},
  [2241] = {.lex_state = 24, .external_lex_state = 2},
  [2242] = {.lex_state = 24, .external_lex_state = 2},
  [2243] = {.lex_state = 24, .external_lex_state = 2},
  [2244] = {.lex_state = 24, .external_lex_state = 2},
  [2245] = {.lex_state = 24, .external_lex_state = 2},
  [2246] = {.lex_state = 24, .external_lex_state = 2},
  [2247] = {.lex_state = 24, .external_lex_state = 2},
  [2248] = {.lex_state = 24, .external_lex_state = 2},
  [2249] = {.lex_state = 24, .external_lex_state = 2},
  [2250] = {.lex_state = 24, .external_lex_state = 2},
  [2251] = {.lex_state = 24, .external_lex_state = 2},
  [2252] = {.lex_state = 24, .external_lex_state = 2},
  [2253] = {.lex_state = 24, .external_lex_state = 2},
  [2254] = {.lex_state = 24, .external_lex_state = 2},
  [2255] = {.lex_state = 24, .external_lex_state = 2},
  [2256] = {.lex_state = 24, .external_lex_state = 2},
  [2257] = {.lex_state = 24, .external_lex_state = 2},
  [2258] = {.lex_state = 24, .external_lex_state = 2},
  [2259] = {.lex_state = 24, .external_lex_state = 2},
  [2260] = {.lex_state = 24, .external_lex_state = 2},
  [2261] = {.lex_state = 24, .external_lex_state = 2},
  [2262] = {.lex_state = 24, .external_lex_state = 2},
  [2263] = {.lex_state = 24, .external_lex_state = 2},
  [2264] = {.lex_state = 24, .external_lex_state = 2},
  [2265] = {.lex_state = 24, .external_lex_state = 2},
  [2266] = {.lex_state = 24, .external_lex_state = 2},
  [2267] = {.lex_state = 24, .external_lex_state = 2},
  [2268] = {.lex_state = 24, .external_lex_state = 2},
  [2269] = {.lex_state = 24, .external_lex_state = 2},
  [2270] = {.lex_state = 24, .external_lex_state = 2},
  [2271] = {.lex_state = 24, .external_lex_state = 2},
  [2272] = {.lex_state = 24, .external_lex_state = 2},
  [2273] = {.lex_state = 400, .external_lex_state = 2},
  [2274] = {.lex_state = 400, .external_lex_state = 2},
  [2275] = {.lex_state = 24, .external_lex_state = 2},
  [2276] = {.lex_state = 410, .external_lex_state = 2},
  [2277] = {.lex_state = 24, .external_lex_state = 2},
  [2278] = {.lex_state = 24, .external_lex_state = 2},
  [2279] = {.lex_state = 24, .external_lex_state = 2},
  [2280] = {.lex_state = 24, .external_lex_state = 2},
  [2281] = {.lex_state = 63, .external_lex_state = 2},
  [2282] = {.lex_state = 24, .external_lex_state = 2},
  [2283] = {.lex_state = 24, .external_lex_state = 2},
  [2284] = {.lex_state = 24, .external_lex_state = 2},
  [2285] = {.lex_state = 24, .external_lex_state = 2},
  [2286] = {.lex_state = 24, .external_lex_state = 2},
  [2287] = {.lex_state = 24, .external_lex_state = 2},
  [2288] = {.lex_state = 24, .external_lex_state = 2},
  [2289] = {.lex_state = 24, .external_lex_state = 2},
  [2290] = {.lex_state = 24, .external_lex_state = 2},
  [2291] = {.lex_state = 24, .external_lex_state = 2},
  [2292] = {.lex_state = 24, .external_lex_state = 2},
  [2293] = {.lex_state = 24, .external_lex_state = 2},
  [2294] = {.lex_state = 24, .external_lex_state = 2},
  [2295] = {.lex_state = 24, .external_lex_state = 2},
  [2296] = {.lex_state = 24, .external_lex_state = 2},
  [2297] = {.lex_state = 24, .external_lex_state = 2},
  [2298] = {.lex_state = 24, .external_lex_state = 2},
  [2299] = {.lex_state = 24, .external_lex_state = 2},
  [2300] = {.lex_state = 24, .external_lex_state = 2},
  [2301] = {.lex_state = 24, .external_lex_state = 2},
  [2302] = {.lex_state = 24, .external_lex_state = 2},
  [2303] = {.lex_state = 24, .external_lex_state = 2},
  [2304] = {.lex_state = 24, .external_lex_state = 2},
  [2305] = {.lex_state = 24, .external_lex_state = 2},
  [2306] = {.lex_state = 24, .external_lex_state = 2},
  [2307] = {.lex_state = 24, .external_lex_state = 2},
  [2308] = {.lex_state = 24, .external_lex_state = 2},
  [2309] = {.lex_state = 24, .external_lex_state = 2},
  [2310] = {.lex_state = 24, .external_lex_state = 2},
  [2311] = {.lex_state = 24, .external_lex_state = 2},
  [2312] = {.lex_state = 24, .external_lex_state = 2},
  [2313] = {.lex_state = 24, .external_lex_state = 2},
  [2314] = {.lex_state = 24, .external_lex_state = 2},
  [2315] = {.lex_state = 24, .external_lex_state = 2},
  [2316] = {.lex_state = 24, .external_lex_state = 2},
  [2317] = {.lex_state = 24, .external_lex_state = 2},
  [2318] = {.lex_state = 24, .external_lex_state = 2},
  [2319] = {.lex_state = 403, .external_lex_state = 2},
  [2320] = {.lex_state = 24, .external_lex_state = 2},
  [2321] = {.lex_state = 24, .external_lex_state = 2},
  [2322] = {.lex_state = 403, .external_lex_state = 2},
  [2323] = {.lex_state = 24, .external_lex_state = 2},
  [2324] = {.lex_state = 24, .external_lex_state = 2},
  [2325] = {.lex_state = 24, .external_lex_state = 2},
  [2326] = {.lex_state = 24, .external_lex_state = 2},
  [2327] = {.lex_state = 24, .external_lex_state = 2},
  [2328] = {.lex_state = 24, .external_lex_state = 2},
  [2329] = {.lex_state = 24, .external_lex_state = 2},
  [2330] = {.lex_state = 24, .external_lex_state = 2},
  [2331] = {.lex_state = 24, .external_lex_state = 2},
  [2332] = {.lex_state = 24, .external_lex_state = 2},
  [2333] = {.lex_state = 24, .external_lex_state = 2},
  [2334] = {.lex_state = 24, .external_lex_state = 2},
  [2335] = {.lex_state = 24, .external_lex_state = 2},
  [2336] = {.lex_state = 24, .external_lex_state = 2},
  [2337] = {.lex_state = 24, .external_lex_state = 2},
  [2338] = {.lex_state = 24, .external_lex_state = 2},
  [2339] = {.lex_state = 24, .external_lex_state = 2},
  [2340] = {.lex_state = 24, .external_lex_state = 2},
  [2341] = {.lex_state = 24, .external_lex_state = 2},
  [2342] = {.lex_state = 24, .external_lex_state = 2},
  [2343] = {.lex_state = 24, .external_lex_state = 2},
  [2344] = {.lex_state = 24, .external_lex_state = 2},
  [2345] = {.lex_state = 24, .external_lex_state = 2},
  [2346] = {.lex_state = 24, .external_lex_state = 2},
  [2347] = {.lex_state = 24, .external_lex_state = 2},
  [2348] = {.lex_state = 24, .external_lex_state = 2},
  [2349] = {.lex_state = 24, .external_lex_state = 2},
  [2350] = {.lex_state = 24, .external_lex_state = 2},
  [2351] = {.lex_state = 24, .external_lex_state = 2},
  [2352] = {.lex_state = 24, .external_lex_state = 2},
  [2353] = {.lex_state = 24, .external_lex_state = 2},
  [2354] = {.lex_state = 24, .external_lex_state = 2},
  [2355] = {.lex_state = 24, .external_lex_state = 2},
  [2356] = {.lex_state = 24, .external_lex_state = 2},
  [2357] = {.lex_state = 24, .external_lex_state = 2},
  [2358] = {.lex_state = 24, .external_lex_state = 2},
  [2359] = {.lex_state = 24, .external_lex_state = 2},
  [2360] = {.lex_state = 24, .external_lex_state = 2},
  [2361] = {.lex_state = 24, .external_lex_state = 2},
  [2362] = {.lex_state = 24, .external_lex_state = 2},
  [2363] = {.lex_state = 24, .external_lex_state = 2},
  [2364] = {.lex_state = 24, .external_lex_state = 2},
  [2365] = {.lex_state = 24, .external_lex_state = 2},
  [2366] = {.lex_state = 24, .external_lex_state = 2},
  [2367] = {.lex_state = 24, .external_lex_state = 2},
  [2368] = {.lex_state = 24, .external_lex_state = 2},
  [2369] = {.lex_state = 24, .external_lex_state = 2},
  [2370] = {.lex_state = 24, .external_lex_state = 2},
  [2371] = {.lex_state = 24, .external_lex_state = 2},
  [2372] = {.lex_state = 24, .external_lex_state = 2},
  [2373] = {.lex_state = 24, .external_lex_state = 2},
  [2374] = {.lex_state = 24, .external_lex_state = 2},
  [2375] = {.lex_state = 24, .external_lex_state = 2},
  [2376] = {.lex_state = 24, .external_lex_state = 2},
  [2377] = {.lex_state = 24, .external_lex_state = 2},
  [2378] = {.lex_state = 24, .external_lex_state = 2},
  [2379] = {.lex_state = 24, .external_lex_state = 2},
  [2380] = {.lex_state = 24, .external_lex_state = 2},
  [2381] = {.lex_state = 24, .external_lex_state = 2},
  [2382] = {.lex_state = 24, .external_lex_state = 2},
  [2383] = {.lex_state = 24, .external_lex_state = 2},
  [2384] = {.lex_state = 24, .external_lex_state = 2},
  [2385] = {.lex_state = 24, .external_lex_state = 2},
  [2386] = {.lex_state = 24, .external_lex_state = 2},
  [2387] = {.lex_state = 24, .external_lex_state = 2},
  [2388] = {.lex_state = 24, .external_lex_state = 2},
  [2389] = {.lex_state = 24, .external_lex_state = 2},
  [2390] = {.lex_state = 24, .external_lex_state = 2},
  [2391] = {.lex_state = 400, .external_lex_state = 2},
  [2392] = {.lex_state = 24, .external_lex_state = 2},
  [2393] = {.lex_state = 24, .external_lex_state = 2},
  [2394] = {.lex_state = 24, .external_lex_state = 2},
  [2395] = {.lex_state = 24, .external_lex_state = 2},
  [2396] = {.lex_state = 24, .external_lex_state = 2},
  [2397] = {.lex_state = 24, .external_lex_state = 2},
  [2398] = {.lex_state = 24, .external_lex_state = 2},
  [2399] = {.lex_state = 24, .external_lex_state = 2},
  [2400] = {.lex_state = 24, .external_lex_state = 2},
  [2401] = {.lex_state = 24, .external_lex_state = 2},
  [2402] = {.lex_state = 24, .external_lex_state = 2},
  [2403] = {.lex_state = 24, .external_lex_state = 2},
  [2404] = {.lex_state = 24, .external_lex_state = 2},
  [2405] = {.lex_state = 24, .external_lex_state = 2},
  [2406] = {.lex_state = 24, .external_lex_state = 2},
  [2407] = {.lex_state = 24, .external_lex_state = 2},
  [2408] = {.lex_state = 24, .external_lex_state = 2},
  [2409] = {.lex_state = 24, .external_lex_state = 2},
  [2410] = {.lex_state = 24, .external_lex_state = 2},
  [2411] = {.lex_state = 24, .external_lex_state = 2},
  [2412] = {.lex_state = 24, .external_lex_state = 2},
  [2413] = {.lex_state = 24, .external_lex_state = 2},
  [2414] = {.lex_state = 24, .external_lex_state = 2},
  [2415] = {.lex_state = 24, .external_lex_state = 2},
  [2416] = {.lex_state = 24, .external_lex_state = 2},
  [2417] = {.lex_state = 24, .external_lex_state = 2},
  [2418] = {.lex_state = 24, .external_lex_state = 2},
  [2419] = {.lex_state = 24, .external_lex_state = 2},
  [2420] = {.lex_state = 24, .external_lex_state = 2},
  [2421] = {.lex_state = 24, .external_lex_state = 2},
  [2422] = {.lex_state = 24, .external_lex_state = 2},
  [2423] = {.lex_state = 24, .external_lex_state = 2},
  [2424] = {.lex_state = 24, .external_lex_state = 2},
  [2425] = {.lex_state = 24, .external_lex_state = 2},
  [2426] = {.lex_state = 24, .external_lex_state = 2},
  [2427] = {.lex_state = 24, .external_lex_state = 2},
  [2428] = {.lex_state = 24, .external_lex_state = 2},
  [2429] = {.lex_state = 24, .external_lex_state = 2},
  [2430] = {.lex_state = 24, .external_lex_state = 2},
  [2431] = {.lex_state = 24, .external_lex_state = 2},
  [2432] = {.lex_state = 24, .external_lex_state = 2},
  [2433] = {.lex_state = 24, .external_lex_state = 2},
  [2434] = {.lex_state = 24, .external_lex_state = 2},
  [2435] = {.lex_state = 24, .external_lex_state = 2},
  [2436] = {.lex_state = 24, .external_lex_state = 2},
  [2437] = {.lex_state = 24, .external_lex_state = 2},
  [2438] = {.lex_state = 24, .external_lex_state = 2},
  [2439] = {.lex_state = 24, .external_lex_state = 2},
  [2440] = {.lex_state = 24, .external_lex_state = 2},
  [2441] = {.lex_state = 24, .external_lex_state = 2},
  [2442] = {.lex_state = 24, .external_lex_state = 2},
  [2443] = {.lex_state = 24, .external_lex_state = 2},
  [2444] = {.lex_state = 24, .external_lex_state = 2},
  [2445] = {.lex_state = 24, .external_lex_state = 2},
  [2446] = {.lex_state = 24, .external_lex_state = 2},
  [2447] = {.lex_state = 24, .external_lex_state = 2},
  [2448] = {.lex_state = 24, .external_lex_state = 2},
  [2449] = {.lex_state = 24, .external_lex_state = 2},
  [2450] = {.lex_state = 24, .external_lex_state = 2},
  [2451] = {.lex_state = 24, .external_lex_state = 2},
  [2452] = {.lex_state = 24, .external_lex_state = 2},
  [2453] = {.lex_state = 24, .external_lex_state = 2},
  [2454] = {.lex_state = 24, .external_lex_state = 2},
  [2455] = {.lex_state = 24, .external_lex_state = 2},
  [2456] = {.lex_state = 24, .external_lex_state = 2},
  [2457] = {.lex_state = 24, .external_lex_state = 2},
  [2458] = {.lex_state = 24, .external_lex_state = 2},
  [2459] = {.lex_state = 400, .external_lex_state = 2},
  [2460] = {.lex_state = 24, .external_lex_state = 2},
  [2461] = {.lex_state = 24, .external_lex_state = 2},
  [2462] = {.lex_state = 24, .external_lex_state = 2},
  [2463] = {.lex_state = 24, .external_lex_state = 2},
  [2464] = {.lex_state = 24, .external_lex_state = 2},
  [2465] = {.lex_state = 24, .external_lex_state = 2},
  [2466] = {.lex_state = 24, .external_lex_state = 2},
  [2467] = {.lex_state = 24, .external_lex_state = 2},
  [2468] = {.lex_state = 24, .external_lex_state = 2},
  [2469] = {.lex_state = 24, .external_lex_state = 2},
  [2470] = {.lex_state = 24, .external_lex_state = 2},
  [2471] = {.lex_state = 24, .external_lex_state = 2},
  [2472] = {.lex_state = 24, .external_lex_state = 2},
  [2473] = {.lex_state = 24, .external_lex_state = 2},
  [2474] = {.lex_state = 24, .external_lex_state = 2},
  [2475] = {.lex_state = 24, .external_lex_state = 2},
  [2476] = {.lex_state = 24, .external_lex_state = 2},
  [2477] = {.lex_state = 24, .external_lex_state = 2},
  [2478] = {.lex_state = 24, .external_lex_state = 2},
  [2479] = {.lex_state = 24, .external_lex_state = 2},
  [2480] = {.lex_state = 24, .external_lex_state = 2},
  [2481] = {.lex_state = 24, .external_lex_state = 2},
  [2482] = {.lex_state = 24, .external_lex_state = 2},
  [2483] = {.lex_state = 24, .external_lex_state = 2},
  [2484] = {.lex_state = 24, .external_lex_state = 2},
  [2485] = {.lex_state = 24, .external_lex_state = 2},
  [2486] = {.lex_state = 24, .external_lex_state = 2},
  [2487] = {.lex_state = 24, .external_lex_state = 2},
  [2488] = {.lex_state = 24, .external_lex_state = 2},
  [2489] = {.lex_state = 24, .external_lex_state = 2},
  [2490] = {.lex_state = 24, .external_lex_state = 2},
  [2491] = {.lex_state = 24, .external_lex_state = 2},
  [2492] = {.lex_state = 24, .external_lex_state = 2},
  [2493] = {.lex_state = 24, .external_lex_state = 2},
  [2494] = {.lex_state = 24, .external_lex_state = 2},
  [2495] = {.lex_state = 24, .external_lex_state = 2},
  [2496] = {.lex_state = 24, .external_lex_state = 2},
  [2497] = {.lex_state = 24, .external_lex_state = 2},
  [2498] = {.lex_state = 24, .external_lex_state = 2},
  [2499] = {.lex_state = 24, .external_lex_state = 2},
  [2500] = {.lex_state = 24, .external_lex_state = 2},
  [2501] = {.lex_state = 24, .external_lex_state = 2},
  [2502] = {.lex_state = 24, .external_lex_state = 2},
  [2503] = {.lex_state = 24, .external_lex_state = 2},
  [2504] = {.lex_state = 24, .external_lex_state = 2},
  [2505] = {.lex_state = 24, .external_lex_state = 2},
  [2506] = {.lex_state = 24, .external_lex_state = 2},
  [2507] = {.lex_state = 24, .external_lex_state = 2},
  [2508] = {.lex_state = 24, .external_lex_state = 2},
  [2509] = {.lex_state = 24, .external_lex_state = 2},
  [2510] = {.lex_state = 24, .external_lex_state = 2},
  [2511] = {.lex_state = 24, .external_lex_state = 2},
  [2512] = {.lex_state = 24, .external_lex_state = 2},
  [2513] = {.lex_state = 24, .external_lex_state = 2},
  [2514] = {.lex_state = 24, .external_lex_state = 2},
  [2515] = {.lex_state = 24, .external_lex_state = 2},
  [2516] = {.lex_state = 24, .external_lex_state = 2},
  [2517] = {.lex_state = 24, .external_lex_state = 2},
  [2518] = {.lex_state = 24, .external_lex_state = 2},
  [2519] = {.lex_state = 24, .external_lex_state = 2},
  [2520] = {.lex_state = 24, .external_lex_state = 2},
  [2521] = {.lex_state = 24, .external_lex_state = 2},
  [2522] = {.lex_state = 24, .external_lex_state = 2},
  [2523] = {.lex_state = 24, .external_lex_state = 2},
  [2524] = {.lex_state = 24, .external_lex_state = 2},
  [2525] = {.lex_state = 24, .external_lex_state = 2},
  [2526] = {.lex_state = 24, .external_lex_state = 2},
  [2527] = {.lex_state = 24, .external_lex_state = 2},
  [2528] = {.lex_state = 24, .external_lex_state = 2},
  [2529] = {.lex_state = 24, .external_lex_state = 2},
  [2530] = {.lex_state = 24, .external_lex_state = 2},
  [2531] = {.lex_state = 24, .external_lex_state = 2},
  [2532] = {.lex_state = 24, .external_lex_state = 2},
  [2533] = {.lex_state = 24, .external_lex_state = 2},
  [2534] = {.lex_state = 24, .external_lex_state = 2},
  [2535] = {.lex_state = 24, .external_lex_state = 2},
  [2536] = {.lex_state = 24, .external_lex_state = 2},
  [2537] = {.lex_state = 24, .external_lex_state = 2},
  [2538] = {.lex_state = 24, .external_lex_state = 2},
  [2539] = {.lex_state = 24, .external_lex_state = 2},
  [2540] = {.lex_state = 24, .external_lex_state = 2},
  [2541] = {.lex_state = 24, .external_lex_state = 2},
  [2542] = {.lex_state = 24, .external_lex_state = 2},
  [2543] = {.lex_state = 24, .external_lex_state = 2},
  [2544] = {.lex_state = 24, .external_lex_state = 2},
  [2545] = {.lex_state = 24, .external_lex_state = 2},
  [2546] = {.lex_state = 24, .external_lex_state = 2},
  [2547] = {.lex_state = 24, .external_lex_state = 2},
  [2548] = {.lex_state = 24, .external_lex_state = 2},
  [2549] = {.lex_state = 24, .external_lex_state = 2},
  [2550] = {.lex_state = 24, .external_lex_state = 2},
  [2551] = {.lex_state = 24, .external_lex_state = 2},
  [2552] = {.lex_state = 24, .external_lex_state = 2},
  [2553] = {.lex_state = 24, .external_lex_state = 2},
  [2554] = {.lex_state = 24, .external_lex_state = 2},
  [2555] = {.lex_state = 24, .external_lex_state = 2},
  [2556] = {.lex_state = 24, .external_lex_state = 2},
  [2557] = {.lex_state = 24, .external_lex_state = 2},
  [2558] = {.lex_state = 24, .external_lex_state = 2},
  [2559] = {.lex_state = 24, .external_lex_state = 2},
  [2560] = {.lex_state = 24, .external_lex_state = 2},
  [2561] = {.lex_state = 24, .external_lex_state = 2},
  [2562] = {.lex_state = 24, .external_lex_state = 2},
  [2563] = {.lex_state = 24, .external_lex_state = 2},
  [2564] = {.lex_state = 24, .external_lex_state = 2},
  [2565] = {.lex_state = 24, .external_lex_state = 2},
  [2566] = {.lex_state = 24, .external_lex_state = 2},
  [2567] = {.lex_state = 24, .external_lex_state = 2},
  [2568] = {.lex_state = 24, .external_lex_state = 2},
  [2569] = {.lex_state = 24, .external_lex_state = 2},
  [2570] = {.lex_state = 24, .external_lex_state = 2},
  [2571] = {.lex_state = 24, .external_lex_state = 2},
  [2572] = {.lex_state = 24, .external_lex_state = 2},
  [2573] = {.lex_state = 24, .external_lex_state = 2},
  [2574] = {.lex_state = 24, .external_lex_state = 2},
  [2575] = {.lex_state = 24, .external_lex_state = 2},
  [2576] = {.lex_state = 24, .external_lex_state = 2},
  [2577] = {.lex_state = 24, .external_lex_state = 2},
  [2578] = {.lex_state = 24, .external_lex_state = 2},
  [2579] = {.lex_state = 24, .external_lex_state = 2},
  [2580] = {.lex_state = 24, .external_lex_state = 2},
  [2581] = {.lex_state = 24, .external_lex_state = 2},
  [2582] = {.lex_state = 24, .external_lex_state = 2},
  [2583] = {.lex_state = 24, .external_lex_state = 2},
  [2584] = {.lex_state = 24, .external_lex_state = 2},
  [2585] = {.lex_state = 24, .external_lex_state = 2},
  [2586] = {.lex_state = 24, .external_lex_state = 2},
  [2587] = {.lex_state = 24, .external_lex_state = 2},
  [2588] = {.lex_state = 24, .external_lex_state = 2},
  [2589] = {.lex_state = 24, .external_lex_state = 2},
  [2590] = {.lex_state = 24, .external_lex_state = 2},
  [2591] = {.lex_state = 24, .external_lex_state = 2},
  [2592] = {.lex_state = 24, .external_lex_state = 2},
  [2593] = {.lex_state = 24, .external_lex_state = 2},
  [2594] = {.lex_state = 24, .external_lex_state = 2},
  [2595] = {.lex_state = 24, .external_lex_state = 2},
  [2596] = {.lex_state = 24, .external_lex_state = 2},
  [2597] = {.lex_state = 24, .external_lex_state = 2},
  [2598] = {.lex_state = 24, .external_lex_state = 2},
  [2599] = {.lex_state = 24, .external_lex_state = 2},
  [2600] = {.lex_state = 24, .external_lex_state = 2},
  [2601] = {.lex_state = 24, .external_lex_state = 2},
  [2602] = {.lex_state = 24, .external_lex_state = 2},
  [2603] = {.lex_state = 24, .external_lex_state = 2},
  [2604] = {.lex_state = 24, .external_lex_state = 2},
  [2605] = {.lex_state = 24, .external_lex_state = 2},
  [2606] = {.lex_state = 24, .external_lex_state = 2},
  [2607] = {.lex_state = 24, .external_lex_state = 2},
  [2608] = {.lex_state = 24, .external_lex_state = 2},
  [2609] = {.lex_state = 24, .external_lex_state = 2},
  [2610] = {.lex_state = 24, .external_lex_state = 2},
  [2611] = {.lex_state = 24, .external_lex_state = 2},
  [2612] = {.lex_state = 24, .external_lex_state = 2},
  [2613] = {.lex_state = 24, .external_lex_state = 2},
  [2614] = {.lex_state = 24, .external_lex_state = 2},
  [2615] = {.lex_state = 24, .external_lex_state = 2},
  [2616] = {.lex_state = 24, .external_lex_state = 2},
  [2617] = {.lex_state = 24, .external_lex_state = 2},
  [2618] = {.lex_state = 24, .external_lex_state = 2},
  [2619] = {.lex_state = 24, .external_lex_state = 2},
  [2620] = {.lex_state = 24, .external_lex_state = 2},
  [2621] = {.lex_state = 24, .external_lex_state = 2},
  [2622] = {.lex_state = 24, .external_lex_state = 2},
  [2623] = {.lex_state = 24, .external_lex_state = 2},
  [2624] = {.lex_state = 24, .external_lex_state = 2},
  [2625] = {.lex_state = 24, .external_lex_state = 2},
  [2626] = {.lex_state = 24, .external_lex_state = 2},
  [2627] = {.lex_state = 24, .external_lex_state = 2},
  [2628] = {.lex_state = 24, .external_lex_state = 2},
  [2629] = {.lex_state = 24, .external_lex_state = 2},
  [2630] = {.lex_state = 24, .external_lex_state = 2},
  [2631] = {.lex_state = 24, .external_lex_state = 2},
  [2632] = {.lex_state = 24, .external_lex_state = 2},
  [2633] = {.lex_state = 24, .external_lex_state = 2},
  [2634] = {.lex_state = 24, .external_lex_state = 2},
  [2635] = {.lex_state = 24, .external_lex_state = 2},
  [2636] = {.lex_state = 24, .external_lex_state = 2},
  [2637] = {.lex_state = 24, .external_lex_state = 2},
  [2638] = {.lex_state = 24, .external_lex_state = 2},
  [2639] = {.lex_state = 24, .external_lex_state = 2},
  [2640] = {.lex_state = 24, .external_lex_state = 2},
  [2641] = {.lex_state = 24, .external_lex_state = 2},
  [2642] = {.lex_state = 24, .external_lex_state = 2},
  [2643] = {.lex_state = 24, .external_lex_state = 2},
  [2644] = {.lex_state = 24, .external_lex_state = 2},
  [2645] = {.lex_state = 24, .external_lex_state = 2},
  [2646] = {.lex_state = 24, .external_lex_state = 2},
  [2647] = {.lex_state = 24, .external_lex_state = 2},
  [2648] = {.lex_state = 24, .external_lex_state = 2},
  [2649] = {.lex_state = 24, .external_lex_state = 2},
  [2650] = {.lex_state = 24, .external_lex_state = 2},
  [2651] = {.lex_state = 24, .external_lex_state = 2},
  [2652] = {.lex_state = 24, .external_lex_state = 2},
  [2653] = {.lex_state = 24, .external_lex_state = 2},
  [2654] = {.lex_state = 24, .external_lex_state = 2},
  [2655] = {.lex_state = 24, .external_lex_state = 2},
  [2656] = {.lex_state = 24, .external_lex_state = 2},
  [2657] = {.lex_state = 24, .external_lex_state = 2},
  [2658] = {.lex_state = 24, .external_lex_state = 2},
  [2659] = {.lex_state = 24, .external_lex_state = 2},
  [2660] = {.lex_state = 24, .external_lex_state = 2},
  [2661] = {.lex_state = 24, .external_lex_state = 2},
  [2662] = {.lex_state = 50, .external_lex_state = 2},
  [2663] = {.lex_state = 24, .external_lex_state = 2},
  [2664] = {.lex_state = 24, .external_lex_state = 2},
  [2665] = {.lex_state = 24, .external_lex_state = 2},
  [2666] = {.lex_state = 24, .external_lex_state = 2},
  [2667] = {.lex_state = 24, .external_lex_state = 2},
  [2668] = {.lex_state = 24, .external_lex_state = 2},
  [2669] = {.lex_state = 24, .external_lex_state = 2},
  [2670] = {.lex_state = 24, .external_lex_state = 2},
  [2671] = {.lex_state = 24, .external_lex_state = 2},
  [2672] = {.lex_state = 24, .external_lex_state = 2},
  [2673] = {.lex_state = 24, .external_lex_state = 2},
  [2674] = {.lex_state = 24, .external_lex_state = 2},
  [2675] = {.lex_state = 24, .external_lex_state = 2},
  [2676] = {.lex_state = 24, .external_lex_state = 2},
  [2677] = {.lex_state = 24, .external_lex_state = 2},
  [2678] = {.lex_state = 24, .external_lex_state = 2},
  [2679] = {.lex_state = 24, .external_lex_state = 2},
  [2680] = {.lex_state = 50, .external_lex_state = 2},
  [2681] = {.lex_state = 24, .external_lex_state = 2},
  [2682] = {.lex_state = 24, .external_lex_state = 2},
  [2683] = {.lex_state = 24, .external_lex_state = 2},
  [2684] = {.lex_state = 24, .external_lex_state = 2},
  [2685] = {.lex_state = 24, .external_lex_state = 2},
  [2686] = {.lex_state = 24, .external_lex_state = 2},
  [2687] = {.lex_state = 24, .external_lex_state = 2},
  [2688] = {.lex_state = 24, .external_lex_state = 2},
  [2689] = {.lex_state = 24, .external_lex_state = 2},
  [2690] = {.lex_state = 24, .external_lex_state = 2},
  [2691] = {.lex_state = 24, .external_lex_state = 2},
  [2692] = {.lex_state = 24, .external_lex_state = 2},
  [2693] = {.lex_state = 24, .external_lex_state = 2},
  [2694] = {.lex_state = 24, .external_lex_state = 2},
  [2695] = {.lex_state = 24, .external_lex_state = 2},
  [2696] = {.lex_state = 24, .external_lex_state = 2},
  [2697] = {.lex_state = 24, .external_lex_state = 2},
  [2698] = {.lex_state = 24, .external_lex_state = 2},
  [2699] = {.lex_state = 24, .external_lex_state = 2},
  [2700] = {.lex_state = 24, .external_lex_state = 2},
  [2701] = {.lex_state = 24, .external_lex_state = 2},
  [2702] = {.lex_state = 403, .external_lex_state = 2},
  [2703] = {.lex_state = 24, .external_lex_state = 2},
  [2704] = {.lex_state = 24, .external_lex_state = 2},
  [2705] = {.lex_state = 24, .external_lex_state = 2},
  [2706] = {.lex_state = 24, .external_lex_state = 2},
  [2707] = {.lex_state = 24, .external_lex_state = 2},
  [2708] = {.lex_state = 24, .external_lex_state = 2},
  [2709] = {.lex_state = 24, .external_lex_state = 2},
  [2710] = {.lex_state = 24, .external_lex_state = 2},
  [2711] = {.lex_state = 24, .external_lex_state = 2},
  [2712] = {.lex_state = 24, .external_lex_state = 2},
  [2713] = {.lex_state = 24, .external_lex_state = 2},
  [2714] = {.lex_state = 24, .external_lex_state = 2},
  [2715] = {.lex_state = 24, .external_lex_state = 2},
  [2716] = {.lex_state = 24, .external_lex_state = 2},
  [2717] = {.lex_state = 49, .external_lex_state = 2},
  [2718] = {.lex_state = 24, .external_lex_state = 2},
  [2719] = {.lex_state = 24, .external_lex_state = 2},
  [2720] = {.lex_state = 24, .external_lex_state = 2},
  [2721] = {.lex_state = 24, .external_lex_state = 2},
  [2722] = {.lex_state = 24, .external_lex_state = 2},
  [2723] = {.lex_state = 24, .external_lex_state = 2},
  [2724] = {.lex_state = 24, .external_lex_state = 2},
  [2725] = {.lex_state = 24, .external_lex_state = 2},
  [2726] = {.lex_state = 24, .external_lex_state = 2},
  [2727] = {.lex_state = 24, .external_lex_state = 2},
  [2728] = {.lex_state = 24, .external_lex_state = 2},
  [2729] = {.lex_state = 24, .external_lex_state = 2},
  [2730] = {.lex_state = 24, .external_lex_state = 2},
  [2731] = {.lex_state = 24, .external_lex_state = 2},
  [2732] = {.lex_state = 24, .external_lex_state = 2},
  [2733] = {.lex_state = 24, .external_lex_state = 2},
  [2734] = {.lex_state = 24, .external_lex_state = 2},
  [2735] = {.lex_state = 24, .external_lex_state = 2},
  [2736] = {.lex_state = 24, .external_lex_state = 2},
  [2737] = {.lex_state = 24, .external_lex_state = 2},
  [2738] = {.lex_state = 24, .external_lex_state = 2},
  [2739] = {.lex_state = 24, .external_lex_state = 2},
  [2740] = {.lex_state = 24, .external_lex_state = 2},
  [2741] = {.lex_state = 24, .external_lex_state = 2},
  [2742] = {.lex_state = 24, .external_lex_state = 2},
  [2743] = {.lex_state = 24, .external_lex_state = 2},
  [2744] = {.lex_state = 24, .external_lex_state = 2},
  [2745] = {.lex_state = 24, .external_lex_state = 2},
  [2746] = {.lex_state = 24, .external_lex_state = 2},
  [2747] = {.lex_state = 24, .external_lex_state = 2},
  [2748] = {.lex_state = 24, .external_lex_state = 2},
  [2749] = {.lex_state = 24, .external_lex_state = 2},
  [2750] = {.lex_state = 24, .external_lex_state = 2},
  [2751] = {.lex_state = 24, .external_lex_state = 2},
  [2752] = {.lex_state = 24, .external_lex_state = 2},
  [2753] = {.lex_state = 24, .external_lex_state = 2},
  [2754] = {.lex_state = 24, .external_lex_state = 2},
  [2755] = {.lex_state = 24, .external_lex_state = 2},
  [2756] = {.lex_state = 24, .external_lex_state = 2},
  [2757] = {.lex_state = 24, .external_lex_state = 2},
  [2758] = {.lex_state = 24, .external_lex_state = 2},
  [2759] = {.lex_state = 24, .external_lex_state = 2},
  [2760] = {.lex_state = 24, .external_lex_state = 2},
  [2761] = {.lex_state = 401, .external_lex_state = 2},
  [2762] = {.lex_state = 401, .external_lex_state = 2},
  [2763] = {.lex_state = 401, .external_lex_state = 2},
  [2764] = {.lex_state = 401, .external_lex_state = 2},
  [2765] = {.lex_state = 51, .external_lex_state = 2},
  [2766] = {.lex_state = 51, .external_lex_state = 2},
  [2767] = {.lex_state = 405, .external_lex_state = 2},
  [2768] = {.lex_state = 52, .external_lex_state = 2},
  [2769] = {.lex_state = 405, .external_lex_state = 2},
  [2770] = {.lex_state = 52, .external_lex_state = 2},
  [2771] = {.lex_state = 405, .external_lex_state = 2},
  [2772] = {.lex_state = 405, .external_lex_state = 2},
  [2773] = {.lex_state = 404, .external_lex_state = 2},
  [2774] = {.lex_state = 53, .external_lex_state = 2},
  [2775] = {.lex_state = 404, .external_lex_state = 2},
  [2776] = {.lex_state = 404, .external_lex_state = 2},
  [2777] = {.lex_state = 404, .external_lex_state = 2},
  [2778] = {.lex_state = 53, .external_lex_state = 2},
  [2779] = {.lex_state = 80, .external_lex_state = 2},
  [2780] = {.lex_state = 81, .external_lex_state = 2},
  [2781] = {.lex_state = 55, .external_lex_state = 2},
  [2782] = {.lex_state = 54, .external_lex_state = 2},
  [2783] = {.lex_state = 80, .external_lex_state = 2},
  [2784] = {.lex_state = 57, .external_lex_state = 2},
  [2785] = {.lex_state = 80, .external_lex_state = 2},
  [2786] = {.lex_state = 81, .external_lex_state = 2},
  [2787] = {.lex_state = 81, .external_lex_state = 2},
  [2788] = {.lex_state = 56, .external_lex_state = 2},
  [2789] = {.lex_state = 55, .external_lex_state = 2},
  [2790] = {.lex_state = 55, .external_lex_state = 2},
  [2791] = {.lex_state = 54, .external_lex_state = 2},
  [2792] = {.lex_state = 419, .external_lex_state = 2},
  [2793] = {.lex_state = 57, .external_lex_state = 2},
  [2794] = {.lex_state = 54, .external_lex_state = 2},
  [2795] = {.lex_state = 94, .external_lex_state = 2},
  [2796] = {.lex_state = 57, .external_lex_state = 2},
  [2797] = {.lex_state = 419, .external_lex_state = 2},
  [2798] = {.lex_state = 96, .external_lex_state = 2},
  [2799] = {.lex_state = 96, .external_lex_state = 2},
  [2800] = {.lex_state = 143, .external_lex_state = 2},
  [2801] = {.lex_state = 56, .external_lex_state = 2},
  [2802] = {.lex_state = 96, .external_lex_state = 2},
  [2803] = {.lex_state = 420, .external_lex_state = 2},
  [2804] = {.lex_state = 96, .external_lex_state = 2},
  [2805] = {.lex_state = 56, .external_lex_state = 2},
  [2806] = {.lex_state = 96, .external_lex_state = 2},
  [2807] = {.lex_state = 420, .external_lex_state = 2},
  [2808] = {.lex_state = 96, .external_lex_state = 2},
  [2809] = {.lex_state = 96, .external_lex_state = 2},
  [2810] = {.lex_state = 96, .external_lex_state = 2},
  [2811] = {.lex_state = 143, .external_lex_state = 2},
  [2812] = {.lex_state = 95, .external_lex_state = 2},
  [2813] = {.lex_state = 144, .external_lex_state = 2},
  [2814] = {.lex_state = 84, .external_lex_state = 2},
  [2815] = {.lex_state = 144, .external_lex_state = 2},
  [2816] = {.lex_state = 82, .external_lex_state = 2},
  [2817] = {.lex_state = 97, .external_lex_state = 2},
  [2818] = {.lex_state = 97, .external_lex_state = 2},
  [2819] = {.lex_state = 97, .external_lex_state = 2},
  [2820] = {.lex_state = 97, .external_lex_state = 2},
  [2821] = {.lex_state = 90, .external_lex_state = 2},
  [2822] = {.lex_state = 89, .external_lex_state = 2},
  [2823] = {.lex_state = 94, .external_lex_state = 2},
  [2824] = {.lex_state = 88, .external_lex_state = 2},
  [2825] = {.lex_state = 97, .external_lex_state = 2},
  [2826] = {.lex_state = 86, .external_lex_state = 2},
  [2827] = {.lex_state = 97, .external_lex_state = 2},
  [2828] = {.lex_state = 97, .external_lex_state = 2},
  [2829] = {.lex_state = 97, .external_lex_state = 2},
  [2830] = {.lex_state = 97, .external_lex_state = 2},
  [2831] = {.lex_state = 85, .external_lex_state = 2},
  [2832] = {.lex_state = 94, .external_lex_state = 2},
  [2833] = {.lex_state = 97, .external_lex_state = 2},
  [2834] = {.lex_state = 419, .external_lex_state = 2},
  [2835] = {.lex_state = 95, .external_lex_state = 2},
  [2836] = {.lex_state = 92, .external_lex_state = 2},
  [2837] = {.lex_state = 93, .external_lex_state = 2},
  [2838] = {.lex_state = 83, .external_lex_state = 2},
  [2839] = {.lex_state = 95, .external_lex_state = 2},
  [2840] = {.lex_state = 419, .external_lex_state = 2},
  [2841] = {.lex_state = 91, .external_lex_state = 2},
  [2842] = {.lex_state = 143, .external_lex_state = 2},
  [2843] = {.lex_state = 87, .external_lex_state = 2},
  [2844] = {.lex_state = 385, .external_lex_state = 2},
  [2845] = {.lex_state = 420, .external_lex_state = 2},
  [2846] = {.lex_state = 385, .external_lex_state = 2},
  [2847] = {.lex_state = 385, .external_lex_state = 2},
  [2848] = {.lex_state = 13, .external_lex_state = 2},
  [2849] = {.lex_state = 385, .external_lex_state = 2},
  [2850] = {.lex_state = 144, .external_lex_state = 2},
  [2851] = {.lex_state = 13, .external_lex_state = 2},
  [2852] = {.lex_state = 385, .external_lex_state = 2},
  [2853] = {.lex_state = 13, .external_lex_state = 2},
  [2854] = {.lex_state = 84, .external_lex_state = 2},
  [2855] = {.lex_state = 385, .external_lex_state = 2},
  [2856] = {.lex_state = 420, .external_lex_state = 2},
  [2857] = {.lex_state = 84, .external_lex_state = 2},
  [2858] = {.lex_state = 90, .external_lex_state = 2},
  [2859] = {.lex_state = 82, .external_lex_state = 2},
  [2860] = {.lex_state = 89, .external_lex_state = 2},
  [2861] = {.lex_state = 88, .external_lex_state = 2},
  [2862] = {.lex_state = 86, .external_lex_state = 2},
  [2863] = {.lex_state = 82, .external_lex_state = 2},
  [2864] = {.lex_state = 90, .external_lex_state = 2},
  [2865] = {.lex_state = 89, .external_lex_state = 2},
  [2866] = {.lex_state = 86, .external_lex_state = 2},
  [2867] = {.lex_state = 88, .external_lex_state = 2},
  [2868] = {.lex_state = 85, .external_lex_state = 2},
  [2869] = {.lex_state = 85, .external_lex_state = 2},
  [2870] = {.lex_state = 17, .external_lex_state = 2},
  [2871] = {.lex_state = 18, .external_lex_state = 2},
  [2872] = {.lex_state = 18, .external_lex_state = 2},
  [2873] = {.lex_state = 17, .external_lex_state = 2},
  [2874] = {.lex_state = 87, .external_lex_state = 2},
  [2875] = {.lex_state = 18, .external_lex_state = 2},
  [2876] = {.lex_state = 93, .external_lex_state = 2},
  [2877] = {.lex_state = 83, .external_lex_state = 2},
  [2878] = {.lex_state = 92, .external_lex_state = 2},
  [2879] = {.lex_state = 17, .external_lex_state = 2},
  [2880] = {.lex_state = 93, .external_lex_state = 2},
  [2881] = {.lex_state = 92, .external_lex_state = 2},
  [2882] = {.lex_state = 91, .external_lex_state = 2},
  [2883] = {.lex_state = 87, .external_lex_state = 2},
  [2884] = {.lex_state = 91, .external_lex_state = 2},
  [2885] = {.lex_state = 83, .external_lex_state = 2},
  [2886] = {.lex_state = 98, .external_lex_state = 2},
  [2887] = {.lex_state = 98, .external_lex_state = 2},
  [2888] = {.lex_state = 98, .external_lex_state = 2},
  [2889] = {.lex_state = 98, .external_lex_state = 2},
  [2890] = {.lex_state = 98, .external_lex_state = 2},
  [2891] = {.lex_state = 98, .external_lex_state = 2},
  [2892] = {.lex_state = 98, .external_lex_state = 2},
  [2893] = {.lex_state = 418, .external_lex_state = 2},
  [2894] = {.lex_state = 139, .external_lex_state = 2},
  [2895] = {.lex_state = 139, .external_lex_state = 2},
  [2896] = {.lex_state = 139, .external_lex_state = 2},
  [2897] = {.lex_state = 418, .external_lex_state = 2},
  [2898] = {.lex_state = 418, .external_lex_state = 2},
  [2899] = {.lex_state = 418, .external_lex_state = 2},
  [2900] = {.lex_state = 418, .external_lex_state = 2},
  [2901] = {.lex_state = 418, .external_lex_state = 2},
  [2902] = {.lex_state = 418, .external_lex_state = 2},
  [2903] = {.lex_state = 418, .external_lex_state = 2},
  [2904] = {.lex_state = 418, .external_lex_state = 2},
  [2905] = {.lex_state = 418, .external_lex_state = 2},
  [2906] = {.lex_state = 139, .external_lex_state = 2},
  [2907] = {.lex_state = 418, .external_lex_state = 2},
  [2908] = {.lex_state = 418, .external_lex_state = 2},
  [2909] = {.lex_state = 19, .external_lex_state = 2},
  [2910] = {.lex_state = 418, .external_lex_state = 2},
  [2911] = {.lex_state = 418, .external_lex_state = 2},
  [2912] = {.lex_state = 418, .external_lex_state = 2},
  [2913] = {.lex_state = 418, .external_lex_state = 2},
  [2914] = {.lex_state = 418, .external_lex_state = 2},
  [2915] = {.lex_state = 19, .external_lex_state = 2},
  [2916] = {.lex_state = 418, .external_lex_state = 2},
  [2917] = {.lex_state = 139, .external_lex_state = 2},
  [2918] = {.lex_state = 139, .external_lex_state = 2},
  [2919] = {.lex_state = 418, .external_lex_state = 2},
  [2920] = {.lex_state = 139, .external_lex_state = 2},
  [2921] = {.lex_state = 19, .external_lex_state = 2},
  [2922] = {.lex_state = 139, .external_lex_state = 2},
  [2923] = {.lex_state = 139, .external_lex_state = 2},
  [2924] = {.lex_state = 139, .external_lex_state = 2},
  [2925] = {.lex_state = 418, .external_lex_state = 2},
  [2926] = {.lex_state = 133, .external_lex_state = 2},
  [2927] = {.lex_state = 140, .external_lex_state = 2},
  [2928] = {.lex_state = 140, .external_lex_state = 2},
  [2929] = {.lex_state = 140, .external_lex_state = 2},
  [2930] = {.lex_state = 140, .external_lex_state = 2},
  [2931] = {.lex_state = 138, .external_lex_state = 2},
  [2932] = {.lex_state = 138, .external_lex_state = 2},
  [2933] = {.lex_state = 140, .external_lex_state = 2},
  [2934] = {.lex_state = 138, .external_lex_state = 2},
  [2935] = {.lex_state = 140, .external_lex_state = 2},
  [2936] = {.lex_state = 140, .external_lex_state = 2},
  [2937] = {.lex_state = 140, .external_lex_state = 2},
  [2938] = {.lex_state = 140, .external_lex_state = 2},
  [2939] = {.lex_state = 140, .external_lex_state = 2},
  [2940] = {.lex_state = 138, .external_lex_state = 2},
  [2941] = {.lex_state = 138, .external_lex_state = 2},
  [2942] = {.lex_state = 133, .external_lex_state = 2},
  [2943] = {.lex_state = 418, .external_lex_state = 2},
  [2944] = {.lex_state = 138, .external_lex_state = 2},
  [2945] = {.lex_state = 138, .external_lex_state = 2},
  [2946] = {.lex_state = 138, .external_lex_state = 2},
  [2947] = {.lex_state = 138, .external_lex_state = 2},
  [2948] = {.lex_state = 138, .external_lex_state = 2},
  [2949] = {.lex_state = 139, .external_lex_state = 2},
  [2950] = {.lex_state = 133, .external_lex_state = 2},
  [2951] = {.lex_state = 140, .external_lex_state = 2},
  [2952] = {.lex_state = 145, .external_lex_state = 2},
  [2953] = {.lex_state = 146, .external_lex_state = 2},
  [2954] = {.lex_state = 138, .external_lex_state = 2},
  [2955] = {.lex_state = 133, .external_lex_state = 2},
  [2956] = {.lex_state = 145, .external_lex_state = 2},
  [2957] = {.lex_state = 146, .external_lex_state = 2},
  [2958] = {.lex_state = 133, .external_lex_state = 2},
  [2959] = {.lex_state = 133, .external_lex_state = 2},
  [2960] = {.lex_state = 133, .external_lex_state = 2},
  [2961] = {.lex_state = 133, .external_lex_state = 2},
  [2962] = {.lex_state = 133, .external_lex_state = 2},
  [2963] = {.lex_state = 133, .external_lex_state = 2},
  [2964] = {.lex_state = 133, .external_lex_state = 2},
  [2965] = {.lex_state = 133, .external_lex_state = 2},
  [2966] = {.lex_state = 133, .external_lex_state = 2},
  [2967] = {.lex_state = 133, .external_lex_state = 2},
  [2968] = {.lex_state = 133, .external_lex_state = 2},
  [2969] = {.lex_state = 133, .external_lex_state = 2},
  [2970] = {.lex_state = 133, .external_lex_state = 2},
  [2971] = {.lex_state = 133, .external_lex_state = 2},
  [2972] = {.lex_state = 133, .external_lex_state = 2},
  [2973] = {.lex_state = 133, .external_lex_state = 2},
  [2974] = {.lex_state = 133, .external_lex_state = 2},
  [2975] = {.lex_state = 133, .external_lex_state = 2},
  [2976] = {.lex_state = 133, .external_lex_state = 2},
  [2977] = {.lex_state = 133, .external_lex_state = 2},
  [2978] = {.lex_state = 133, .external_lex_state = 2},
  [2979] = {.lex_state = 136, .external_lex_state = 2},
  [2980] = {.lex_state = 133, .external_lex_state = 2},
  [2981] = {.lex_state = 133, .external_lex_state = 2},
  [2982] = {.lex_state = 133, .external_lex_state = 2},
  [2983] = {.lex_state = 133, .external_lex_state = 2},
  [2984] = {.lex_state = 133, .external_lex_state = 2},
  [2985] = {.lex_state = 133, .external_lex_state = 2},
  [2986] = {.lex_state = 133, .external_lex_state = 2},
  [2987] = {.lex_state = 133, .external_lex_state = 2},
  [2988] = {.lex_state = 133, .external_lex_state = 2},
  [2989] = {.lex_state = 133, .external_lex_state = 2},
  [2990] = {.lex_state = 133, .external_lex_state = 2},
  [2991] = {.lex_state = 136, .external_lex_state = 2},
  [2992] = {.lex_state = 133, .external_lex_state = 2},
  [2993] = {.lex_state = 133, .external_lex_state = 2},
  [2994] = {.lex_state = 133, .external_lex_state = 2},
  [2995] = {.lex_state = 133, .external_lex_state = 2},
  [2996] = {.lex_state = 133, .external_lex_state = 2},
  [2997] = {.lex_state = 133, .external_lex_state = 2},
  [2998] = {.lex_state = 133, .external_lex_state = 2},
  [2999] = {.lex_state = 136, .external_lex_state = 2},
  [3000] = {.lex_state = 136, .external_lex_state = 2},
  [3001] = {.lex_state = 133, .external_lex_state = 2},
  [3002] = {.lex_state = 133, .external_lex_state = 2},
  [3003] = {.lex_state = 133, .external_lex_state = 2},
  [3004] = {.lex_state = 133, .external_lex_state = 2},
  [3005] = {.lex_state = 133, .external_lex_state = 2},
  [3006] = {.lex_state = 133, .external_lex_state = 2},
  [3007] = {.lex_state = 133, .external_lex_state = 2},
  [3008] = {.lex_state = 133, .external_lex_state = 2},
  [3009] = {.lex_state = 136, .external_lex_state = 2},
  [3010] = {.lex_state = 133, .external_lex_state = 2},
  [3011] = {.lex_state = 136, .external_lex_state = 2},
  [3012] = {.lex_state = 133, .external_lex_state = 2},
  [3013] = {.lex_state = 133, .external_lex_state = 2},
  [3014] = {.lex_state = 134, .external_lex_state = 2},
  [3015] = {.lex_state = 134, .external_lex_state = 2},
  [3016] = {.lex_state = 134, .external_lex_state = 2},
  [3017] = {.lex_state = 134, .external_lex_state = 2},
  [3018] = {.lex_state = 134, .external_lex_state = 2},
  [3019] = {.lex_state = 134, .external_lex_state = 2},
  [3020] = {.lex_state = 134, .external_lex_state = 2},
  [3021] = {.lex_state = 134, .external_lex_state = 2},
  [3022] = {.lex_state = 134, .external_lex_state = 2},
  [3023] = {.lex_state = 134, .external_lex_state = 2},
  [3024] = {.lex_state = 134, .external_lex_state = 2},
  [3025] = {.lex_state = 134, .external_lex_state = 2},
  [3026] = {.lex_state = 134, .external_lex_state = 2},
  [3027] = {.lex_state = 134, .external_lex_state = 2},
  [3028] = {.lex_state = 134, .external_lex_state = 2},
  [3029] = {.lex_state = 134, .external_lex_state = 2},
  [3030] = {.lex_state = 134, .external_lex_state = 2},
  [3031] = {.lex_state = 134, .external_lex_state = 2},
  [3032] = {.lex_state = 134, .external_lex_state = 2},
  [3033] = {.lex_state = 134, .external_lex_state = 2},
  [3034] = {.lex_state = 134, .external_lex_state = 2},
  [3035] = {.lex_state = 134, .external_lex_state = 2},
  [3036] = {.lex_state = 134, .external_lex_state = 2},
  [3037] = {.lex_state = 134, .external_lex_state = 2},
  [3038] = {.lex_state = 134, .external_lex_state = 2},
  [3039] = {.lex_state = 134, .external_lex_state = 2},
  [3040] = {.lex_state = 134, .external_lex_state = 2},
  [3041] = {.lex_state = 134, .external_lex_state = 2},
  [3042] = {.lex_state = 134, .external_lex_state = 2},
  [3043] = {.lex_state = 134, .external_lex_state = 2},
  [3044] = {.lex_state = 134, .external_lex_state = 2},
  [3045] = {.lex_state = 134, .external_lex_state = 2},
  [3046] = {.lex_state = 145, .external_lex_state = 2},
  [3047] = {.lex_state = 134, .external_lex_state = 2},
  [3048] = {.lex_state = 134, .external_lex_state = 2},
  [3049] = {.lex_state = 134, .external_lex_state = 2},
  [3050] = {.lex_state = 134, .external_lex_state = 2},
  [3051] = {.lex_state = 134, .external_lex_state = 2},
  [3052] = {.lex_state = 134, .external_lex_state = 2},
  [3053] = {.lex_state = 134, .external_lex_state = 2},
  [3054] = {.lex_state = 134, .external_lex_state = 2},
  [3055] = {.lex_state = 134, .external_lex_state = 2},
  [3056] = {.lex_state = 134, .external_lex_state = 2},
  [3057] = {.lex_state = 134, .external_lex_state = 2},
  [3058] = {.lex_state = 134, .external_lex_state = 2},
  [3059] = {.lex_state = 134, .external_lex_state = 2},
  [3060] = {.lex_state = 134, .external_lex_state = 2},
  [3061] = {.lex_state = 134, .external_lex_state = 2},
  [3062] = {.lex_state = 134, .external_lex_state = 2},
  [3063] = {.lex_state = 134, .external_lex_state = 2},
  [3064] = {.lex_state = 134, .external_lex_state = 2},
  [3065] = {.lex_state = 134, .external_lex_state = 2},
  [3066] = {.lex_state = 134, .external_lex_state = 2},
  [3067] = {.lex_state = 134, .external_lex_state = 2},
  [3068] = {.lex_state = 134, .external_lex_state = 2},
  [3069] = {.lex_state = 134, .external_lex_state = 2},
  [3070] = {.lex_state = 133, .external_lex_state = 2},
  [3071] = {.lex_state = 133, .external_lex_state = 2},
  [3072] = {.lex_state = 133, .external_lex_state = 2},
  [3073] = {.lex_state = 133, .external_lex_state = 2},
  [3074] = {.lex_state = 133, .external_lex_state = 2},
  [3075] = {.lex_state = 133, .external_lex_state = 2},
  [3076] = {.lex_state = 133, .external_lex_state = 2},
  [3077] = {.lex_state = 133, .external_lex_state = 2},
  [3078] = {.lex_state = 133, .external_lex_state = 2},
  [3079] = {.lex_state = 133, .external_lex_state = 2},
  [3080] = {.lex_state = 133, .external_lex_state = 2},
  [3081] = {.lex_state = 133, .external_lex_state = 2},
  [3082] = {.lex_state = 133, .external_lex_state = 2},
  [3083] = {.lex_state = 133, .external_lex_state = 2},
  [3084] = {.lex_state = 133, .external_lex_state = 2},
  [3085] = {.lex_state = 133, .external_lex_state = 2},
  [3086] = {.lex_state = 133, .external_lex_state = 2},
  [3087] = {.lex_state = 133, .external_lex_state = 2},
  [3088] = {.lex_state = 133, .external_lex_state = 2},
  [3089] = {.lex_state = 133, .external_lex_state = 2},
  [3090] = {.lex_state = 133, .external_lex_state = 2},
  [3091] = {.lex_state = 133, .external_lex_state = 2},
  [3092] = {.lex_state = 133, .external_lex_state = 2},
  [3093] = {.lex_state = 133, .external_lex_state = 2},
  [3094] = {.lex_state = 133, .external_lex_state = 2},
  [3095] = {.lex_state = 133, .external_lex_state = 2},
  [3096] = {.lex_state = 133, .external_lex_state = 2},
  [3097] = {.lex_state = 133, .external_lex_state = 2},
  [3098] = {.lex_state = 133, .external_lex_state = 2},
  [3099] = {.lex_state = 133, .external_lex_state = 2},
  [3100] = {.lex_state = 133, .external_lex_state = 2},
  [3101] = {.lex_state = 133, .external_lex_state = 2},
  [3102] = {.lex_state = 133, .external_lex_state = 2},
  [3103] = {.lex_state = 133, .external_lex_state = 2},
  [3104] = {.lex_state = 133, .external_lex_state = 2},
  [3105] = {.lex_state = 133, .external_lex_state = 2},
  [3106] = {.lex_state = 133, .external_lex_state = 2},
  [3107] = {.lex_state = 133, .external_lex_state = 2},
  [3108] = {.lex_state = 133, .external_lex_state = 2},
  [3109] = {.lex_state = 133, .external_lex_state = 2},
  [3110] = {.lex_state = 133, .external_lex_state = 2},
  [3111] = {.lex_state = 133, .external_lex_state = 2},
  [3112] = {.lex_state = 133, .external_lex_state = 2},
  [3113] = {.lex_state = 133, .external_lex_state = 2},
  [3114] = {.lex_state = 133, .external_lex_state = 2},
  [3115] = {.lex_state = 133, .external_lex_state = 2},
  [3116] = {.lex_state = 133, .external_lex_state = 2},
  [3117] = {.lex_state = 133, .external_lex_state = 2},
  [3118] = {.lex_state = 133, .external_lex_state = 2},
  [3119] = {.lex_state = 133, .external_lex_state = 2},
  [3120] = {.lex_state = 133, .external_lex_state = 2},
  [3121] = {.lex_state = 133, .external_lex_state = 2},
  [3122] = {.lex_state = 133, .external_lex_state = 2},
  [3123] = {.lex_state = 133, .external_lex_state = 2},
  [3124] = {.lex_state = 133, .external_lex_state = 2},
  [3125] = {.lex_state = 133, .external_lex_state = 2},
  [3126] = {.lex_state = 133, .external_lex_state = 2},
  [3127] = {.lex_state = 133, .external_lex_state = 2},
  [3128] = {.lex_state = 133, .external_lex_state = 2},
  [3129] = {.lex_state = 133, .external_lex_state = 2},
  [3130] = {.lex_state = 133, .external_lex_state = 2},
  [3131] = {.lex_state = 133, .external_lex_state = 2},
  [3132] = {.lex_state = 133, .external_lex_state = 2},
  [3133] = {.lex_state = 15, .external_lex_state = 2},
  [3134] = {.lex_state = 133, .external_lex_state = 2},
  [3135] = {.lex_state = 133, .external_lex_state = 2},
  [3136] = {.lex_state = 133, .external_lex_state = 2},
  [3137] = {.lex_state = 133, .external_lex_state = 2},
  [3138] = {.lex_state = 133, .external_lex_state = 2},
  [3139] = {.lex_state = 133, .external_lex_state = 2},
  [3140] = {.lex_state = 133, .external_lex_state = 2},
  [3141] = {.lex_state = 133, .external_lex_state = 2},
  [3142] = {.lex_state = 133, .external_lex_state = 2},
  [3143] = {.lex_state = 133, .external_lex_state = 2},
  [3144] = {.lex_state = 133, .external_lex_state = 2},
  [3145] = {.lex_state = 133, .external_lex_state = 2},
  [3146] = {.lex_state = 133, .external_lex_state = 2},
  [3147] = {.lex_state = 133, .external_lex_state = 2},
  [3148] = {.lex_state = 133, .external_lex_state = 2},
  [3149] = {.lex_state = 133, .external_lex_state = 2},
  [3150] = {.lex_state = 133, .external_lex_state = 2},
  [3151] = {.lex_state = 133, .external_lex_state = 2},
  [3152] = {.lex_state = 133, .external_lex_state = 2},
  [3153] = {.lex_state = 133, .external_lex_state = 2},
  [3154] = {.lex_state = 133, .external_lex_state = 2},
  [3155] = {.lex_state = 133, .external_lex_state = 2},
  [3156] = {.lex_state = 133, .external_lex_state = 2},
  [3157] = {.lex_state = 133, .external_lex_state = 2},
  [3158] = {.lex_state = 133, .external_lex_state = 2},
  [3159] = {.lex_state = 133, .external_lex_state = 2},
  [3160] = {.lex_state = 133, .external_lex_state = 2},
  [3161] = {.lex_state = 133, .external_lex_state = 2},
  [3162] = {.lex_state = 133, .external_lex_state = 2},
  [3163] = {.lex_state = 133, .external_lex_state = 2},
  [3164] = {.lex_state = 133, .external_lex_state = 2},
  [3165] = {.lex_state = 133, .external_lex_state = 2},
  [3166] = {.lex_state = 133, .external_lex_state = 2},
  [3167] = {.lex_state = 133, .external_lex_state = 2},
  [3168] = {.lex_state = 133, .external_lex_state = 2},
  [3169] = {.lex_state = 133, .external_lex_state = 2},
  [3170] = {.lex_state = 133, .external_lex_state = 2},
  [3171] = {.lex_state = 133, .external_lex_state = 2},
  [3172] = {.lex_state = 133, .external_lex_state = 2},
  [3173] = {.lex_state = 133, .external_lex_state = 2},
  [3174] = {.lex_state = 133, .external_lex_state = 2},
  [3175] = {.lex_state = 133, .external_lex_state = 2},
  [3176] = {.lex_state = 133, .external_lex_state = 2},
  [3177] = {.lex_state = 133, .external_lex_state = 2},
  [3178] = {.lex_state = 133, .external_lex_state = 2},
  [3179] = {.lex_state = 133, .external_lex_state = 2},
  [3180] = {.lex_state = 133, .external_lex_state = 2},
  [3181] = {.lex_state = 133, .external_lex_state = 2},
  [3182] = {.lex_state = 133, .external_lex_state = 2},
  [3183] = {.lex_state = 133, .external_lex_state = 2},
  [3184] = {.lex_state = 133, .external_lex_state = 2},
  [3185] = {.lex_state = 133, .external_lex_state = 2},
  [3186] = {.lex_state = 133, .external_lex_state = 2},
  [3187] = {.lex_state = 133, .external_lex_state = 2},
  [3188] = {.lex_state = 133, .external_lex_state = 2},
  [3189] = {.lex_state = 15, .external_lex_state = 2},
  [3190] = {.lex_state = 133, .external_lex_state = 2},
  [3191] = {.lex_state = 133, .external_lex_state = 2},
  [3192] = {.lex_state = 133, .external_lex_state = 2},
  [3193] = {.lex_state = 133, .external_lex_state = 2},
  [3194] = {.lex_state = 133, .external_lex_state = 2},
  [3195] = {.lex_state = 133, .external_lex_state = 2},
  [3196] = {.lex_state = 133, .external_lex_state = 2},
  [3197] = {.lex_state = 133, .external_lex_state = 2},
  [3198] = {.lex_state = 133, .external_lex_state = 2},
  [3199] = {.lex_state = 133, .external_lex_state = 2},
  [3200] = {.lex_state = 133, .external_lex_state = 2},
  [3201] = {.lex_state = 173, .external_lex_state = 3},
  [3202] = {.lex_state = 133, .external_lex_state = 2},
  [3203] = {.lex_state = 133, .external_lex_state = 2},
  [3204] = {.lex_state = 15, .external_lex_state = 2},
  [3205] = {.lex_state = 133, .external_lex_state = 2},
  [3206] = {.lex_state = 133, .external_lex_state = 2},
  [3207] = {.lex_state = 133, .external_lex_state = 2},
  [3208] = {.lex_state = 133, .external_lex_state = 2},
  [3209] = {.lex_state = 133, .external_lex_state = 2},
  [3210] = {.lex_state = 133, .external_lex_state = 2},
  [3211] = {.lex_state = 133, .external_lex_state = 2},
  [3212] = {.lex_state = 133, .external_lex_state = 2},
  [3213] = {.lex_state = 133, .external_lex_state = 2},
  [3214] = {.lex_state = 133, .external_lex_state = 2},
  [3215] = {.lex_state = 133, .external_lex_state = 2},
  [3216] = {.lex_state = 133, .external_lex_state = 2},
  [3217] = {.lex_state = 133, .external_lex_state = 2},
  [3218] = {.lex_state = 133, .external_lex_state = 2},
  [3219] = {.lex_state = 133, .external_lex_state = 2},
  [3220] = {.lex_state = 133, .external_lex_state = 2},
  [3221] = {.lex_state = 133, .external_lex_state = 2},
  [3222] = {.lex_state = 133, .external_lex_state = 2},
  [3223] = {.lex_state = 133, .external_lex_state = 2},
  [3224] = {.lex_state = 133, .external_lex_state = 2},
  [3225] = {.lex_state = 133, .external_lex_state = 2},
  [3226] = {.lex_state = 133, .external_lex_state = 2},
  [3227] = {.lex_state = 133, .external_lex_state = 2},
  [3228] = {.lex_state = 133, .external_lex_state = 2},
  [3229] = {.lex_state = 133, .external_lex_state = 2},
  [3230] = {.lex_state = 133, .external_lex_state = 2},
  [3231] = {.lex_state = 133, .external_lex_state = 2},
  [3232] = {.lex_state = 133, .external_lex_state = 2},
  [3233] = {.lex_state = 133, .external_lex_state = 2},
  [3234] = {.lex_state = 133, .external_lex_state = 2},
  [3235] = {.lex_state = 133, .external_lex_state = 2},
  [3236] = {.lex_state = 133, .external_lex_state = 2},
  [3237] = {.lex_state = 133, .external_lex_state = 2},
  [3238] = {.lex_state = 133, .external_lex_state = 2},
  [3239] = {.lex_state = 133, .external_lex_state = 2},
  [3240] = {.lex_state = 133, .external_lex_state = 2},
  [3241] = {.lex_state = 133, .external_lex_state = 2},
  [3242] = {.lex_state = 133, .external_lex_state = 2},
  [3243] = {.lex_state = 133, .external_lex_state = 2},
  [3244] = {.lex_state = 133, .external_lex_state = 2},
  [3245] = {.lex_state = 133, .external_lex_state = 2},
  [3246] = {.lex_state = 133, .external_lex_state = 2},
  [3247] = {.lex_state = 133, .external_lex_state = 2},
  [3248] = {.lex_state = 133, .external_lex_state = 2},
  [3249] = {.lex_state = 133, .external_lex_state = 2},
  [3250] = {.lex_state = 133, .external_lex_state = 2},
  [3251] = {.lex_state = 133, .external_lex_state = 2},
  [3252] = {.lex_state = 133, .external_lex_state = 2},
  [3253] = {.lex_state = 133, .external_lex_state = 2},
  [3254] = {.lex_state = 133, .external_lex_state = 2},
  [3255] = {.lex_state = 133, .external_lex_state = 2},
  [3256] = {.lex_state = 133, .external_lex_state = 2},
  [3257] = {.lex_state = 133, .external_lex_state = 2},
  [3258] = {.lex_state = 133, .external_lex_state = 2},
  [3259] = {.lex_state = 133, .external_lex_state = 2},
  [3260] = {.lex_state = 133, .external_lex_state = 2},
  [3261] = {.lex_state = 133, .external_lex_state = 2},
  [3262] = {.lex_state = 133, .external_lex_state = 2},
  [3263] = {.lex_state = 133, .external_lex_state = 2},
  [3264] = {.lex_state = 133, .external_lex_state = 2},
  [3265] = {.lex_state = 133, .external_lex_state = 2},
  [3266] = {.lex_state = 133, .external_lex_state = 2},
  [3267] = {.lex_state = 133, .external_lex_state = 2},
  [3268] = {.lex_state = 133, .external_lex_state = 2},
  [3269] = {.lex_state = 133, .external_lex_state = 2},
  [3270] = {.lex_state = 133, .external_lex_state = 2},
  [3271] = {.lex_state = 133, .external_lex_state = 2},
  [3272] = {.lex_state = 133, .external_lex_state = 2},
  [3273] = {.lex_state = 133, .external_lex_state = 2},
  [3274] = {.lex_state = 133, .external_lex_state = 2},
  [3275] = {.lex_state = 133, .external_lex_state = 2},
  [3276] = {.lex_state = 133, .external_lex_state = 2},
  [3277] = {.lex_state = 133, .external_lex_state = 2},
  [3278] = {.lex_state = 133, .external_lex_state = 2},
  [3279] = {.lex_state = 133, .external_lex_state = 2},
  [3280] = {.lex_state = 133, .external_lex_state = 2},
  [3281] = {.lex_state = 133, .external_lex_state = 2},
  [3282] = {.lex_state = 133, .external_lex_state = 2},
  [3283] = {.lex_state = 133, .external_lex_state = 2},
  [3284] = {.lex_state = 133, .external_lex_state = 2},
  [3285] = {.lex_state = 133, .external_lex_state = 2},
  [3286] = {.lex_state = 133, .external_lex_state = 2},
  [3287] = {.lex_state = 133, .external_lex_state = 2},
  [3288] = {.lex_state = 133, .external_lex_state = 2},
  [3289] = {.lex_state = 133, .external_lex_state = 2},
  [3290] = {.lex_state = 133, .external_lex_state = 2},
  [3291] = {.lex_state = 133, .external_lex_state = 2},
  [3292] = {.lex_state = 133, .external_lex_state = 2},
  [3293] = {.lex_state = 133, .external_lex_state = 2},
  [3294] = {.lex_state = 133, .external_lex_state = 2},
  [3295] = {.lex_state = 133, .external_lex_state = 2},
  [3296] = {.lex_state = 133, .external_lex_state = 2},
  [3297] = {.lex_state = 133, .external_lex_state = 2},
  [3298] = {.lex_state = 133, .external_lex_state = 2},
  [3299] = {.lex_state = 133, .external_lex_state = 2},
  [3300] = {.lex_state = 133, .external_lex_state = 2},
  [3301] = {.lex_state = 133, .external_lex_state = 2},
  [3302] = {.lex_state = 133, .external_lex_state = 2},
  [3303] = {.lex_state = 133, .external_lex_state = 2},
  [3304] = {.lex_state = 133, .external_lex_state = 2},
  [3305] = {.lex_state = 133, .external_lex_state = 2},
  [3306] = {.lex_state = 133, .external_lex_state = 2},
  [3307] = {.lex_state = 133, .external_lex_state = 2},
  [3308] = {.lex_state = 133, .external_lex_state = 2},
  [3309] = {.lex_state = 133, .external_lex_state = 2},
  [3310] = {.lex_state = 133, .external_lex_state = 2},
  [3311] = {.lex_state = 133, .external_lex_state = 2},
  [3312] = {.lex_state = 133, .external_lex_state = 2},
  [3313] = {.lex_state = 133, .external_lex_state = 2},
  [3314] = {.lex_state = 133, .external_lex_state = 2},
  [3315] = {.lex_state = 133, .external_lex_state = 2},
  [3316] = {.lex_state = 133, .external_lex_state = 2},
  [3317] = {.lex_state = 133, .external_lex_state = 2},
  [3318] = {.lex_state = 133, .external_lex_state = 2},
  [3319] = {.lex_state = 133, .external_lex_state = 2},
  [3320] = {.lex_state = 133, .external_lex_state = 2},
  [3321] = {.lex_state = 133, .external_lex_state = 2},
  [3322] = {.lex_state = 133, .external_lex_state = 2},
  [3323] = {.lex_state = 133, .external_lex_state = 2},
  [3324] = {.lex_state = 133, .external_lex_state = 2},
  [3325] = {.lex_state = 133, .external_lex_state = 2},
  [3326] = {.lex_state = 133, .external_lex_state = 2},
  [3327] = {.lex_state = 408, .external_lex_state = 2},
  [3328] = {.lex_state = 133, .external_lex_state = 2},
  [3329] = {.lex_state = 133, .external_lex_state = 2},
  [3330] = {.lex_state = 58, .external_lex_state = 2},
  [3331] = {.lex_state = 408, .external_lex_state = 2},
  [3332] = {.lex_state = 58, .external_lex_state = 2},
  [3333] = {.lex_state = 408, .external_lex_state = 2},
  [3334] = {.lex_state = 58, .external_lex_state = 2},
  [3335] = {.lex_state = 408, .external_lex_state = 2},
  [3336] = {.lex_state = 133, .external_lex_state = 2},
  [3337] = {.lex_state = 408, .external_lex_state = 2},
  [3338] = {.lex_state = 133, .external_lex_state = 2},
  [3339] = {.lex_state = 408, .external_lex_state = 2},
  [3340] = {.lex_state = 58, .external_lex_state = 2},
  [3341] = {.lex_state = 408, .external_lex_state = 2},
  [3342] = {.lex_state = 133, .external_lex_state = 2},
  [3343] = {.lex_state = 408, .external_lex_state = 2},
  [3344] = {.lex_state = 408, .external_lex_state = 2},
  [3345] = {.lex_state = 408, .external_lex_state = 2},
  [3346] = {.lex_state = 408, .external_lex_state = 2},
  [3347] = {.lex_state = 408, .external_lex_state = 2},
  [3348] = {.lex_state = 133, .external_lex_state = 2},
  [3349] = {.lex_state = 408, .external_lex_state = 2},
  [3350] = {.lex_state = 408, .external_lex_state = 2},
  [3351] = {.lex_state = 58, .external_lex_state = 2},
  [3352] = {.lex_state = 408, .external_lex_state = 2},
  [3353] = {.lex_state = 58, .external_lex_state = 2},
  [3354] = {.lex_state = 58, .external_lex_state = 2},
  [3355] = {.lex_state = 408, .external_lex_state = 2},
  [3356] = {.lex_state = 58, .external_lex_state = 2},
  [3357] = {.lex_state = 133, .external_lex_state = 2},
  [3358] = {.lex_state = 58, .external_lex_state = 2},
  [3359] = {.lex_state = 133, .external_lex_state = 2},
  [3360] = {.lex_state = 58, .external_lex_state = 2},
  [3361] = {.lex_state = 133, .external_lex_state = 2},
  [3362] = {.lex_state = 133, .external_lex_state = 2},
  [3363] = {.lex_state = 133, .external_lex_state = 2},
  [3364] = {.lex_state = 58, .external_lex_state = 2},
  [3365] = {.lex_state = 133, .external_lex_state = 2},
  [3366] = {.lex_state = 408, .external_lex_state = 2},
  [3367] = {.lex_state = 408, .external_lex_state = 2},
  [3368] = {.lex_state = 133, .external_lex_state = 2},
  [3369] = {.lex_state = 408, .external_lex_state = 2},
  [3370] = {.lex_state = 133, .external_lex_state = 2},
  [3371] = {.lex_state = 133, .external_lex_state = 2},
  [3372] = {.lex_state = 136, .external_lex_state = 2},
  [3373] = {.lex_state = 408, .external_lex_state = 2},
  [3374] = {.lex_state = 408, .external_lex_state = 2},
  [3375] = {.lex_state = 408, .external_lex_state = 2},
  [3376] = {.lex_state = 146, .external_lex_state = 2},
  [3377] = {.lex_state = 15, .external_lex_state = 4},
  [3378] = {.lex_state = 408, .external_lex_state = 2},
  [3379] = {.lex_state = 406, .external_lex_state = 2},
  [3380] = {.lex_state = 408, .external_lex_state = 2},
  [3381] = {.lex_state = 408, .external_lex_state = 2},
  [3382] = {.lex_state = 133, .external_lex_state = 2},
  [3383] = {.lex_state = 146, .external_lex_state = 2},
  [3384] = {.lex_state = 408, .external_lex_state = 2},
  [3385] = {.lex_state = 58, .external_lex_state = 2},
  [3386] = {.lex_state = 133, .external_lex_state = 2},
  [3387] = {.lex_state = 58, .external_lex_state = 2},
  [3388] = {.lex_state = 15, .external_lex_state = 4},
  [3389] = {.lex_state = 59, .external_lex_state = 2},
  [3390] = {.lex_state = 59, .external_lex_state = 2},
  [3391] = {.lex_state = 408, .external_lex_state = 2},
  [3392] = {.lex_state = 59, .external_lex_state = 2},
  [3393] = {.lex_state = 58, .external_lex_state = 2},
  [3394] = {.lex_state = 58, .external_lex_state = 2},
  [3395] = {.lex_state = 408, .external_lex_state = 2},
  [3396] = {.lex_state = 59, .external_lex_state = 2},
  [3397] = {.lex_state = 59, .external_lex_state = 2},
  [3398] = {.lex_state = 59, .external_lex_state = 2},
  [3399] = {.lex_state = 15, .external_lex_state = 4},
  [3400] = {.lex_state = 58, .external_lex_state = 2},
  [3401] = {.lex_state = 15, .external_lex_state = 4},
  [3402] = {.lex_state = 408, .external_lex_state = 2},
  [3403] = {.lex_state = 133, .external_lex_state = 2},
  [3404] = {.lex_state = 133, .external_lex_state = 2},
  [3405] = {.lex_state = 58, .external_lex_state = 2},
  [3406] = {.lex_state = 133, .external_lex_state = 2},
  [3407] = {.lex_state = 408, .external_lex_state = 2},
  [3408] = {.lex_state = 408, .external_lex_state = 2},
  [3409] = {.lex_state = 15, .external_lex_state = 4},
  [3410] = {.lex_state = 146, .external_lex_state = 2},
  [3411] = {.lex_state = 133, .external_lex_state = 2},
  [3412] = {.lex_state = 146, .external_lex_state = 2},
  [3413] = {.lex_state = 133, .external_lex_state = 2},
  [3414] = {.lex_state = 408, .external_lex_state = 2},
  [3415] = {.lex_state = 408, .external_lex_state = 2},
  [3416] = {.lex_state = 58, .external_lex_state = 2},
  [3417] = {.lex_state = 409, .external_lex_state = 2},
  [3418] = {.lex_state = 408, .external_lex_state = 2},
  [3419] = {.lex_state = 15, .external_lex_state = 4},
  [3420] = {.lex_state = 408, .external_lex_state = 2},
  [3421] = {.lex_state = 408, .external_lex_state = 2},
  [3422] = {.lex_state = 408, .external_lex_state = 2},
  [3423] = {.lex_state = 408, .external_lex_state = 2},
  [3424] = {.lex_state = 409, .external_lex_state = 2},
  [3425] = {.lex_state = 58, .external_lex_state = 2},
  [3426] = {.lex_state = 58, .external_lex_state = 2},
  [3427] = {.lex_state = 408, .external_lex_state = 2},
  [3428] = {.lex_state = 59, .external_lex_state = 2},
  [3429] = {.lex_state = 15, .external_lex_state = 4},
  [3430] = {.lex_state = 59, .external_lex_state = 2},
  [3431] = {.lex_state = 408, .external_lex_state = 2},
  [3432] = {.lex_state = 409, .external_lex_state = 2},
  [3433] = {.lex_state = 408, .external_lex_state = 2},
  [3434] = {.lex_state = 133, .external_lex_state = 2},
  [3435] = {.lex_state = 146, .external_lex_state = 2},
  [3436] = {.lex_state = 408, .external_lex_state = 2},
  [3437] = {.lex_state = 15, .external_lex_state = 4},
  [3438] = {.lex_state = 133, .external_lex_state = 2},
  [3439] = {.lex_state = 15, .external_lex_state = 4},
  [3440] = {.lex_state = 409, .external_lex_state = 2},
  [3441] = {.lex_state = 15, .external_lex_state = 4},
  [3442] = {.lex_state = 408, .external_lex_state = 2},
  [3443] = {.lex_state = 408, .external_lex_state = 2},
  [3444] = {.lex_state = 408, .external_lex_state = 2},
  [3445] = {.lex_state = 408, .external_lex_state = 2},
  [3446] = {.lex_state = 408, .external_lex_state = 2},
  [3447] = {.lex_state = 133, .external_lex_state = 2},
  [3448] = {.lex_state = 408, .external_lex_state = 2},
  [3449] = {.lex_state = 15, .external_lex_state = 4},
  [3450] = {.lex_state = 133, .external_lex_state = 2},
  [3451] = {.lex_state = 15, .external_lex_state = 4},
  [3452] = {.lex_state = 133, .external_lex_state = 2},
  [3453] = {.lex_state = 58, .external_lex_state = 2},
  [3454] = {.lex_state = 408, .external_lex_state = 2},
  [3455] = {.lex_state = 408, .external_lex_state = 2},
  [3456] = {.lex_state = 58, .external_lex_state = 2},
  [3457] = {.lex_state = 133, .external_lex_state = 2},
  [3458] = {.lex_state = 409, .external_lex_state = 2},
  [3459] = {.lex_state = 15, .external_lex_state = 4},
  [3460] = {.lex_state = 408, .external_lex_state = 2},
  [3461] = {.lex_state = 408, .external_lex_state = 2},
  [3462] = {.lex_state = 133, .external_lex_state = 2},
  [3463] = {.lex_state = 408, .external_lex_state = 2},
  [3464] = {.lex_state = 15, .external_lex_state = 4},
  [3465] = {.lex_state = 58, .external_lex_state = 2},
  [3466] = {.lex_state = 133, .external_lex_state = 2},
  [3467] = {.lex_state = 133, .external_lex_state = 2},
  [3468] = {.lex_state = 408, .external_lex_state = 2},
  [3469] = {.lex_state = 15, .external_lex_state = 4},
  [3470] = {.lex_state = 408, .external_lex_state = 2},
  [3471] = {.lex_state = 408, .external_lex_state = 2},
  [3472] = {.lex_state = 133, .external_lex_state = 2},
  [3473] = {.lex_state = 146, .external_lex_state = 2},
  [3474] = {.lex_state = 408, .external_lex_state = 2},
  [3475] = {.lex_state = 58, .external_lex_state = 2},
  [3476] = {.lex_state = 58, .external_lex_state = 2},
  [3477] = {.lex_state = 58, .external_lex_state = 2},
  [3478] = {.lex_state = 408, .external_lex_state = 2},
  [3479] = {.lex_state = 15, .external_lex_state = 4},
  [3480] = {.lex_state = 408, .external_lex_state = 2},
  [3481] = {.lex_state = 408, .external_lex_state = 2},
  [3482] = {.lex_state = 58, .external_lex_state = 2},
  [3483] = {.lex_state = 146, .external_lex_state = 2},
  [3484] = {.lex_state = 133, .external_lex_state = 2},
  [3485] = {.lex_state = 58, .external_lex_state = 2},
  [3486] = {.lex_state = 58, .external_lex_state = 2},
  [3487] = {.lex_state = 58, .external_lex_state = 2},
  [3488] = {.lex_state = 58, .external_lex_state = 2},
  [3489] = {.lex_state = 15, .external_lex_state = 4},
  [3490] = {.lex_state = 408, .external_lex_state = 2},
  [3491] = {.lex_state = 408, .external_lex_state = 2},
  [3492] = {.lex_state = 133, .external_lex_state = 2},
  [3493] = {.lex_state = 15, .external_lex_state = 4},
  [3494] = {.lex_state = 408, .external_lex_state = 2},
  [3495] = {.lex_state = 133, .external_lex_state = 2},
  [3496] = {.lex_state = 146, .external_lex_state = 2},
  [3497] = {.lex_state = 408, .external_lex_state = 2},
  [3498] = {.lex_state = 408, .external_lex_state = 2},
  [3499] = {.lex_state = 15, .external_lex_state = 4},
  [3500] = {.lex_state = 15, .external_lex_state = 4},
  [3501] = {.lex_state = 58, .external_lex_state = 2},
  [3502] = {.lex_state = 408, .external_lex_state = 2},
  [3503] = {.lex_state = 58, .external_lex_state = 2},
  [3504] = {.lex_state = 58, .external_lex_state = 2},
  [3505] = {.lex_state = 58, .external_lex_state = 2},
  [3506] = {.lex_state = 133, .external_lex_state = 2},
  [3507] = {.lex_state = 408, .external_lex_state = 2},
  [3508] = {.lex_state = 58, .external_lex_state = 2},
  [3509] = {.lex_state = 15, .external_lex_state = 4},
  [3510] = {.lex_state = 408, .external_lex_state = 2},
  [3511] = {.lex_state = 408, .external_lex_state = 2},
  [3512] = {.lex_state = 133, .external_lex_state = 2},
  [3513] = {.lex_state = 408, .external_lex_state = 2},
  [3514] = {.lex_state = 408, .external_lex_state = 2},
  [3515] = {.lex_state = 133, .external_lex_state = 2},
  [3516] = {.lex_state = 409, .external_lex_state = 2},
  [3517] = {.lex_state = 58, .external_lex_state = 2},
  [3518] = {.lex_state = 58, .external_lex_state = 2},
  [3519] = {.lex_state = 15, .external_lex_state = 4},
  [3520] = {.lex_state = 15, .external_lex_state = 4},
  [3521] = {.lex_state = 408, .external_lex_state = 2},
  [3522] = {.lex_state = 408, .external_lex_state = 2},
  [3523] = {.lex_state = 133, .external_lex_state = 2},
  [3524] = {.lex_state = 15, .external_lex_state = 4},
  [3525] = {.lex_state = 58, .external_lex_state = 2},
  [3526] = {.lex_state = 58, .external_lex_state = 2},
  [3527] = {.lex_state = 408, .external_lex_state = 2},
  [3528] = {.lex_state = 408, .external_lex_state = 2},
  [3529] = {.lex_state = 15, .external_lex_state = 4},
  [3530] = {.lex_state = 58, .external_lex_state = 2},
  [3531] = {.lex_state = 58, .external_lex_state = 2},
  [3532] = {.lex_state = 58, .external_lex_state = 2},
  [3533] = {.lex_state = 408, .external_lex_state = 2},
  [3534] = {.lex_state = 58, .external_lex_state = 2},
  [3535] = {.lex_state = 58, .external_lex_state = 2},
  [3536] = {.lex_state = 58, .external_lex_state = 2},
  [3537] = {.lex_state = 133, .external_lex_state = 2},
  [3538] = {.lex_state = 15, .external_lex_state = 4},
  [3539] = {.lex_state = 133, .external_lex_state = 2},
  [3540] = {.lex_state = 58, .external_lex_state = 2},
  [3541] = {.lex_state = 58, .external_lex_state = 2},
  [3542] = {.lex_state = 58, .external_lex_state = 2},
  [3543] = {.lex_state = 133, .external_lex_state = 2},
  [3544] = {.lex_state = 406, .external_lex_state = 2},
  [3545] = {.lex_state = 406, .external_lex_state = 2},
  [3546] = {.lex_state = 58, .external_lex_state = 2},
  [3547] = {.lex_state = 15, .external_lex_state = 4},
  [3548] = {.lex_state = 406, .external_lex_state = 2},
  [3549] = {.lex_state = 58, .external_lex_state = 2},
  [3550] = {.lex_state = 406, .external_lex_state = 2},
  [3551] = {.lex_state = 408, .external_lex_state = 2},
  [3552] = {.lex_state = 408, .external_lex_state = 2},
  [3553] = {.lex_state = 408, .external_lex_state = 2},
  [3554] = {.lex_state = 133, .external_lex_state = 2},
  [3555] = {.lex_state = 58, .external_lex_state = 2},
  [3556] = {.lex_state = 408, .external_lex_state = 2},
  [3557] = {.lex_state = 133, .external_lex_state = 2},
  [3558] = {.lex_state = 408, .external_lex_state = 2},
  [3559] = {.lex_state = 133, .external_lex_state = 2},
  [3560] = {.lex_state = 133, .external_lex_state = 2},
  [3561] = {.lex_state = 146, .external_lex_state = 2},
  [3562] = {.lex_state = 408, .external_lex_state = 2},
  [3563] = {.lex_state = 408, .external_lex_state = 2},
  [3564] = {.lex_state = 408, .external_lex_state = 2},
  [3565] = {.lex_state = 58, .external_lex_state = 2},
  [3566] = {.lex_state = 133, .external_lex_state = 2},
  [3567] = {.lex_state = 409, .external_lex_state = 2},
  [3568] = {.lex_state = 58, .external_lex_state = 2},
  [3569] = {.lex_state = 58, .external_lex_state = 2},
  [3570] = {.lex_state = 15, .external_lex_state = 4},
  [3571] = {.lex_state = 60, .external_lex_state = 2},
  [3572] = {.lex_state = 58, .external_lex_state = 2},
  [3573] = {.lex_state = 60, .external_lex_state = 2},
  [3574] = {.lex_state = 58, .external_lex_state = 2},
  [3575] = {.lex_state = 408, .external_lex_state = 2},
  [3576] = {.lex_state = 133, .external_lex_state = 2},
  [3577] = {.lex_state = 408, .external_lex_state = 2},
  [3578] = {.lex_state = 409, .external_lex_state = 2},
  [3579] = {.lex_state = 58, .external_lex_state = 2},
  [3580] = {.lex_state = 408, .external_lex_state = 2},
  [3581] = {.lex_state = 133, .external_lex_state = 2},
  [3582] = {.lex_state = 15, .external_lex_state = 4},
  [3583] = {.lex_state = 408, .external_lex_state = 2},
  [3584] = {.lex_state = 133, .external_lex_state = 2},
  [3585] = {.lex_state = 133, .external_lex_state = 2},
  [3586] = {.lex_state = 15, .external_lex_state = 4},
  [3587] = {.lex_state = 408, .external_lex_state = 2},
  [3588] = {.lex_state = 408, .external_lex_state = 2},
  [3589] = {.lex_state = 58, .external_lex_state = 2},
  [3590] = {.lex_state = 15, .external_lex_state = 4},
  [3591] = {.lex_state = 58, .external_lex_state = 2},
  [3592] = {.lex_state = 15, .external_lex_state = 4},
  [3593] = {.lex_state = 133, .external_lex_state = 2},
  [3594] = {.lex_state = 15, .external_lex_state = 4},
  [3595] = {.lex_state = 58, .external_lex_state = 2},
  [3596] = {.lex_state = 133, .external_lex_state = 2},
  [3597] = {.lex_state = 408, .external_lex_state = 2},
  [3598] = {.lex_state = 133, .external_lex_state = 2},
  [3599] = {.lex_state = 133, .external_lex_state = 2},
  [3600] = {.lex_state = 146, .external_lex_state = 2},
  [3601] = {.lex_state = 146, .external_lex_state = 2},
  [3602] = {.lex_state = 58, .external_lex_state = 2},
  [3603] = {.lex_state = 133, .external_lex_state = 2},
  [3604] = {.lex_state = 133, .external_lex_state = 2},
  [3605] = {.lex_state = 408, .external_lex_state = 2},
  [3606] = {.lex_state = 133, .external_lex_state = 2},
  [3607] = {.lex_state = 406, .external_lex_state = 2},
  [3608] = {.lex_state = 58, .external_lex_state = 2},
  [3609] = {.lex_state = 406, .external_lex_state = 2},
  [3610] = {.lex_state = 406, .external_lex_state = 2},
  [3611] = {.lex_state = 406, .external_lex_state = 2},
  [3612] = {.lex_state = 406, .external_lex_state = 2},
  [3613] = {.lex_state = 133, .external_lex_state = 2},
  [3614] = {.lex_state = 406, .external_lex_state = 2},
  [3615] = {.lex_state = 406, .external_lex_state = 2},
  [3616] = {.lex_state = 408, .external_lex_state = 2},
  [3617] = {.lex_state = 15, .external_lex_state = 4},
  [3618] = {.lex_state = 133, .external_lex_state = 2},
  [3619] = {.lex_state = 133, .external_lex_state = 2},
  [3620] = {.lex_state = 146, .external_lex_state = 2},
  [3621] = {.lex_state = 133, .external_lex_state = 2},
  [3622] = {.lex_state = 146, .external_lex_state = 2},
  [3623] = {.lex_state = 408, .external_lex_state = 2},
  [3624] = {.lex_state = 133, .external_lex_state = 2},
  [3625] = {.lex_state = 408, .external_lex_state = 2},
  [3626] = {.lex_state = 408, .external_lex_state = 2},
  [3627] = {.lex_state = 133, .external_lex_state = 2},
  [3628] = {.lex_state = 133, .external_lex_state = 2},
  [3629] = {.lex_state = 133, .external_lex_state = 2},
  [3630] = {.lex_state = 408, .external_lex_state = 2},
  [3631] = {.lex_state = 15, .external_lex_state = 4},
  [3632] = {.lex_state = 133, .external_lex_state = 2},
  [3633] = {.lex_state = 408, .external_lex_state = 2},
  [3634] = {.lex_state = 133, .external_lex_state = 2},
  [3635] = {.lex_state = 406, .external_lex_state = 2},
  [3636] = {.lex_state = 133, .external_lex_state = 2},
  [3637] = {.lex_state = 133, .external_lex_state = 2},
  [3638] = {.lex_state = 15, .external_lex_state = 4},
  [3639] = {.lex_state = 408, .external_lex_state = 2},
  [3640] = {.lex_state = 408, .external_lex_state = 2},
  [3641] = {.lex_state = 133, .external_lex_state = 2},
  [3642] = {.lex_state = 408, .external_lex_state = 2},
  [3643] = {.lex_state = 406, .external_lex_state = 2},
  [3644] = {.lex_state = 60, .external_lex_state = 2},
  [3645] = {.lex_state = 133, .external_lex_state = 2},
  [3646] = {.lex_state = 406, .external_lex_state = 2},
  [3647] = {.lex_state = 60, .external_lex_state = 2},
  [3648] = {.lex_state = 146, .external_lex_state = 2},
  [3649] = {.lex_state = 60, .external_lex_state = 2},
  [3650] = {.lex_state = 60, .external_lex_state = 2},
  [3651] = {.lex_state = 60, .external_lex_state = 2},
  [3652] = {.lex_state = 60, .external_lex_state = 2},
  [3653] = {.lex_state = 60, .external_lex_state = 2},
  [3654] = {.lex_state = 133, .external_lex_state = 2},
  [3655] = {.lex_state = 406, .external_lex_state = 2},
  [3656] = {.lex_state = 409, .external_lex_state = 2},
  [3657] = {.lex_state = 133, .external_lex_state = 2},
  [3658] = {.lex_state = 58, .external_lex_state = 2},
  [3659] = {.lex_state = 15, .external_lex_state = 4},
  [3660] = {.lex_state = 58, .external_lex_state = 2},
  [3661] = {.lex_state = 133, .external_lex_state = 2},
  [3662] = {.lex_state = 409, .external_lex_state = 2},
  [3663] = {.lex_state = 133, .external_lex_state = 2},
  [3664] = {.lex_state = 409, .external_lex_state = 2},
  [3665] = {.lex_state = 409, .external_lex_state = 2},
  [3666] = {.lex_state = 409, .external_lex_state = 2},
  [3667] = {.lex_state = 58, .external_lex_state = 2},
  [3668] = {.lex_state = 60, .external_lex_state = 2},
  [3669] = {.lex_state = 133, .external_lex_state = 2},
  [3670] = {.lex_state = 60, .external_lex_state = 2},
  [3671] = {.lex_state = 15, .external_lex_state = 4},
  [3672] = {.lex_state = 133, .external_lex_state = 2},
  [3673] = {.lex_state = 133, .external_lex_state = 2},
  [3674] = {.lex_state = 15, .external_lex_state = 4},
  [3675] = {.lex_state = 58, .external_lex_state = 2},
  [3676] = {.lex_state = 409, .external_lex_state = 2},
  [3677] = {.lex_state = 133, .external_lex_state = 2},
  [3678] = {.lex_state = 133, .external_lex_state = 2},
  [3679] = {.lex_state = 408, .external_lex_state = 2},
  [3680] = {.lex_state = 133, .external_lex_state = 2},
  [3681] = {.lex_state = 409, .external_lex_state = 2},
  [3682] = {.lex_state = 133, .external_lex_state = 2},
  [3683] = {.lex_state = 409, .external_lex_state = 2},
  [3684] = {.lex_state = 409, .external_lex_state = 2},
  [3685] = {.lex_state = 146, .external_lex_state = 2},
  [3686] = {.lex_state = 133, .external_lex_state = 2},
  [3687] = {.lex_state = 409, .external_lex_state = 2},
  [3688] = {.lex_state = 146, .external_lex_state = 2},
  [3689] = {.lex_state = 409, .external_lex_state = 2},
  [3690] = {.lex_state = 133, .external_lex_state = 2},
  [3691] = {.lex_state = 409, .external_lex_state = 2},
  [3692] = {.lex_state = 408, .external_lex_state = 2},
  [3693] = {.lex_state = 408, .external_lex_state = 2},
  [3694] = {.lex_state = 408, .external_lex_state = 2},
  [3695] = {.lex_state = 15, .external_lex_state = 4},
  [3696] = {.lex_state = 133, .external_lex_state = 2},
  [3697] = {.lex_state = 408, .external_lex_state = 2},
  [3698] = {.lex_state = 133, .external_lex_state = 2},
  [3699] = {.lex_state = 408, .external_lex_state = 2},
  [3700] = {.lex_state = 408, .external_lex_state = 2},
  [3701] = {.lex_state = 408, .external_lex_state = 2},
  [3702] = {.lex_state = 408, .external_lex_state = 2},
  [3703] = {.lex_state = 406, .external_lex_state = 2},
  [3704] = {.lex_state = 133, .external_lex_state = 2},
  [3705] = {.lex_state = 58, .external_lex_state = 2},
  [3706] = {.lex_state = 408, .external_lex_state = 2},
  [3707] = {.lex_state = 408, .external_lex_state = 2},
  [3708] = {.lex_state = 133, .external_lex_state = 2},
  [3709] = {.lex_state = 133, .external_lex_state = 2},
  [3710] = {.lex_state = 15, .external_lex_state = 4},
  [3711] = {.lex_state = 408, .external_lex_state = 2},
  [3712] = {.lex_state = 408, .external_lex_state = 2},
  [3713] = {.lex_state = 408, .external_lex_state = 2},
  [3714] = {.lex_state = 408, .external_lex_state = 2},
  [3715] = {.lex_state = 15, .external_lex_state = 4},
  [3716] = {.lex_state = 408, .external_lex_state = 2},
  [3717] = {.lex_state = 408, .external_lex_state = 2},
  [3718] = {.lex_state = 58, .external_lex_state = 2},
  [3719] = {.lex_state = 408, .external_lex_state = 2},
  [3720] = {.lex_state = 133, .external_lex_state = 2},
  [3721] = {.lex_state = 408, .external_lex_state = 2},
  [3722] = {.lex_state = 133, .external_lex_state = 2},
  [3723] = {.lex_state = 133, .external_lex_state = 2},
  [3724] = {.lex_state = 146, .external_lex_state = 2},
  [3725] = {.lex_state = 146, .external_lex_state = 2},
  [3726] = {.lex_state = 15, .external_lex_state = 4},
  [3727] = {.lex_state = 133, .external_lex_state = 2},
  [3728] = {.lex_state = 408, .external_lex_state = 2},
  [3729] = {.lex_state = 408, .external_lex_state = 2},
  [3730] = {.lex_state = 133, .external_lex_state = 2},
  [3731] = {.lex_state = 408, .external_lex_state = 2},
  [3732] = {.lex_state = 408, .external_lex_state = 2},
  [3733] = {.lex_state = 146, .external_lex_state = 2},
  [3734] = {.lex_state = 58, .external_lex_state = 2},
  [3735] = {.lex_state = 408, .external_lex_state = 2},
  [3736] = {.lex_state = 408, .external_lex_state = 2},
  [3737] = {.lex_state = 408, .external_lex_state = 2},
  [3738] = {.lex_state = 408, .external_lex_state = 2},
  [3739] = {.lex_state = 408, .external_lex_state = 2},
  [3740] = {.lex_state = 406, .external_lex_state = 2},
  [3741] = {.lex_state = 408, .external_lex_state = 2},
  [3742] = {.lex_state = 408, .external_lex_state = 2},
  [3743] = {.lex_state = 408, .external_lex_state = 2},
  [3744] = {.lex_state = 408, .external_lex_state = 2},
  [3745] = {.lex_state = 133, .external_lex_state = 2},
  [3746] = {.lex_state = 133, .external_lex_state = 2},
  [3747] = {.lex_state = 133, .external_lex_state = 2},
  [3748] = {.lex_state = 408, .external_lex_state = 2},
  [3749] = {.lex_state = 408, .external_lex_state = 2},
  [3750] = {.lex_state = 408, .external_lex_state = 2},
  [3751] = {.lex_state = 15, .external_lex_state = 4},
  [3752] = {.lex_state = 15, .external_lex_state = 4},
  [3753] = {.lex_state = 408, .external_lex_state = 2},
  [3754] = {.lex_state = 408, .external_lex_state = 2},
  [3755] = {.lex_state = 408, .external_lex_state = 2},
  [3756] = {.lex_state = 408, .external_lex_state = 2},
  [3757] = {.lex_state = 15, .external_lex_state = 2},
  [3758] = {.lex_state = 133, .external_lex_state = 2},
  [3759] = {.lex_state = 133, .external_lex_state = 2},
  [3760] = {.lex_state = 15, .external_lex_state = 4},
  [3761] = {.lex_state = 133, .external_lex_state = 2},
  [3762] = {.lex_state = 15, .external_lex_state = 2},
  [3763] = {.lex_state = 133, .external_lex_state = 2},
  [3764] = {.lex_state = 58, .external_lex_state = 2},
  [3765] = {.lex_state = 15, .external_lex_state = 4},
  [3766] = {.lex_state = 408, .external_lex_state = 2},
  [3767] = {.lex_state = 408, .external_lex_state = 2},
  [3768] = {.lex_state = 58, .external_lex_state = 2},
  [3769] = {.lex_state = 133, .external_lex_state = 2},
  [3770] = {.lex_state = 408, .external_lex_state = 2},
  [3771] = {.lex_state = 146, .external_lex_state = 2},
  [3772] = {.lex_state = 408, .external_lex_state = 2},
  [3773] = {.lex_state = 408, .external_lex_state = 2},
  [3774] = {.lex_state = 408, .external_lex_state = 2},
  [3775] = {.lex_state = 133, .external_lex_state = 2},
  [3776] = {.lex_state = 408, .external_lex_state = 2},
  [3777] = {.lex_state = 146, .external_lex_state = 2},
  [3778] = {.lex_state = 133, .external_lex_state = 2},
  [3779] = {.lex_state = 146, .external_lex_state = 2},
  [3780] = {.lex_state = 408, .external_lex_state = 2},
  [3781] = {.lex_state = 406, .external_lex_state = 2},
  [3782] = {.lex_state = 406, .external_lex_state = 2},
  [3783] = {.lex_state = 406, .external_lex_state = 2},
  [3784] = {.lex_state = 15, .external_lex_state = 4},
  [3785] = {.lex_state = 408, .external_lex_state = 2},
  [3786] = {.lex_state = 58, .external_lex_state = 2},
  [3787] = {.lex_state = 133, .external_lex_state = 2},
  [3788] = {.lex_state = 133, .external_lex_state = 2},
  [3789] = {.lex_state = 146, .external_lex_state = 2},
  [3790] = {.lex_state = 408, .external_lex_state = 2},
  [3791] = {.lex_state = 58, .external_lex_state = 2},
  [3792] = {.lex_state = 58, .external_lex_state = 2},
  [3793] = {.lex_state = 406, .external_lex_state = 2},
  [3794] = {.lex_state = 408, .external_lex_state = 2},
  [3795] = {.lex_state = 408, .external_lex_state = 2},
  [3796] = {.lex_state = 408, .external_lex_state = 2},
  [3797] = {.lex_state = 409, .external_lex_state = 2},
  [3798] = {.lex_state = 133, .external_lex_state = 2},
  [3799] = {.lex_state = 133, .external_lex_state = 2},
  [3800] = {.lex_state = 409, .external_lex_state = 2},
  [3801] = {.lex_state = 408, .external_lex_state = 2},
  [3802] = {.lex_state = 58, .external_lex_state = 2},
  [3803] = {.lex_state = 133, .external_lex_state = 2},
  [3804] = {.lex_state = 58, .external_lex_state = 2},
  [3805] = {.lex_state = 15, .external_lex_state = 4},
  [3806] = {.lex_state = 58, .external_lex_state = 2},
  [3807] = {.lex_state = 408, .external_lex_state = 2},
  [3808] = {.lex_state = 59, .external_lex_state = 2},
  [3809] = {.lex_state = 133, .external_lex_state = 2},
  [3810] = {.lex_state = 58, .external_lex_state = 2},
  [3811] = {.lex_state = 15, .external_lex_state = 4},
  [3812] = {.lex_state = 133, .external_lex_state = 2},
  [3813] = {.lex_state = 15, .external_lex_state = 4},
  [3814] = {.lex_state = 58, .external_lex_state = 2},
  [3815] = {.lex_state = 408, .external_lex_state = 2},
  [3816] = {.lex_state = 59, .external_lex_state = 2},
  [3817] = {.lex_state = 58, .external_lex_state = 2},
  [3818] = {.lex_state = 58, .external_lex_state = 2},
  [3819] = {.lex_state = 59, .external_lex_state = 2},
  [3820] = {.lex_state = 408, .external_lex_state = 2},
  [3821] = {.lex_state = 408, .external_lex_state = 2},
  [3822] = {.lex_state = 146, .external_lex_state = 2},
  [3823] = {.lex_state = 408, .external_lex_state = 2},
  [3824] = {.lex_state = 133, .external_lex_state = 2},
  [3825] = {.lex_state = 408, .external_lex_state = 2},
  [3826] = {.lex_state = 408, .external_lex_state = 2},
  [3827] = {.lex_state = 408, .external_lex_state = 2},
  [3828] = {.lex_state = 408, .external_lex_state = 2},
  [3829] = {.lex_state = 408, .external_lex_state = 2},
  [3830] = {.lex_state = 408, .external_lex_state = 2},
  [3831] = {.lex_state = 133, .external_lex_state = 2},
  [3832] = {.lex_state = 133, .external_lex_state = 2},
  [3833] = {.lex_state = 133, .external_lex_state = 2},
  [3834] = {.lex_state = 408, .external_lex_state = 2},
  [3835] = {.lex_state = 58, .external_lex_state = 2},
  [3836] = {.lex_state = 409, .external_lex_state = 2},
  [3837] = {.lex_state = 60, .external_lex_state = 2},
  [3838] = {.lex_state = 60, .external_lex_state = 2},
  [3839] = {.lex_state = 60, .external_lex_state = 2},
  [3840] = {.lex_state = 60, .external_lex_state = 2},
  [3841] = {.lex_state = 60, .external_lex_state = 2},
  [3842] = {.lex_state = 60, .external_lex_state = 2},
  [3843] = {.lex_state = 60, .external_lex_state = 2},
  [3844] = {.lex_state = 60, .external_lex_state = 2},
  [3845] = {.lex_state = 60, .external_lex_state = 2},
  [3846] = {.lex_state = 60, .external_lex_state = 2},
  [3847] = {.lex_state = 60, .external_lex_state = 2},
  [3848] = {.lex_state = 60, .external_lex_state = 2},
  [3849] = {.lex_state = 406, .external_lex_state = 2},
  [3850] = {.lex_state = 406, .external_lex_state = 2},
  [3851] = {.lex_state = 60, .external_lex_state = 2},
  [3852] = {.lex_state = 60, .external_lex_state = 2},
  [3853] = {.lex_state = 60, .external_lex_state = 2},
  [3854] = {.lex_state = 407, .external_lex_state = 2},
  [3855] = {.lex_state = 407, .external_lex_state = 2},
  [3856] = {.lex_state = 407, .external_lex_state = 2},
  [3857] = {.lex_state = 407, .external_lex_state = 2},
  [3858] = {.lex_state = 407, .external_lex_state = 2},
  [3859] = {.lex_state = 407, .external_lex_state = 2},
  [3860] = {.lex_state = 407, .external_lex_state = 2},
  [3861] = {.lex_state = 60, .external_lex_state = 2},
  [3862] = {.lex_state = 133, .external_lex_state = 2},
  [3863] = {.lex_state = 133, .external_lex_state = 2},
  [3864] = {.lex_state = 6, .external_lex_state = 2},
  [3865] = {.lex_state = 6, .external_lex_state = 2},
  [3866] = {.lex_state = 133, .external_lex_state = 2},
  [3867] = {.lex_state = 133, .external_lex_state = 2},
  [3868] = {.lex_state = 133, .external_lex_state = 2},
  [3869] = {.lex_state = 133, .external_lex_state = 2},
  [3870] = {.lex_state = 407, .external_lex_state = 2},
  [3871] = {.lex_state = 406, .external_lex_state = 2},
  [3872] = {.lex_state = 407, .external_lex_state = 2},
  [3873] = {.lex_state = 406, .external_lex_state = 2},
  [3874] = {.lex_state = 406, .external_lex_state = 2},
  [3875] = {.lex_state = 406, .external_lex_state = 2},
  [3876] = {.lex_state = 406, .external_lex_state = 2},
  [3877] = {.lex_state = 61, .external_lex_state = 2},
  [3878] = {.lex_state = 61, .external_lex_state = 2},
  [3879] = {.lex_state = 61, .external_lex_state = 2},
  [3880] = {.lex_state = 61, .external_lex_state = 2},
  [3881] = {.lex_state = 61, .external_lex_state = 2},
  [3882] = {.lex_state = 61, .external_lex_state = 2},
  [3883] = {.lex_state = 61, .external_lex_state = 2},
  [3884] = {.lex_state = 406, .external_lex_state = 2},
  [3885] = {.lex_state = 406, .external_lex_state = 2},
  [3886] = {.lex_state = 406, .external_lex_state = 2},
  [3887] = {.lex_state = 406, .external_lex_state = 2},
  [3888] = {.lex_state = 406, .external_lex_state = 2},
  [3889] = {.lex_state = 60, .external_lex_state = 2},
  [3890] = {.lex_state = 406, .external_lex_state = 2},
  [3891] = {.lex_state = 406, .external_lex_state = 2},
  [3892] = {.lex_state = 406, .external_lex_state = 2},
  [3893] = {.lex_state = 61, .external_lex_state = 2},
  [3894] = {.lex_state = 60, .external_lex_state = 2},
  [3895] = {.lex_state = 406, .external_lex_state = 2},
  [3896] = {.lex_state = 61, .external_lex_state = 2},
  [3897] = {.lex_state = 60, .external_lex_state = 2},
  [3898] = {.lex_state = 60, .external_lex_state = 2},
  [3899] = {.lex_state = 60, .external_lex_state = 2},
  [3900] = {.lex_state = 60, .external_lex_state = 2},
  [3901] = {.lex_state = 406, .external_lex_state = 2},
  [3902] = {.lex_state = 406, .external_lex_state = 2},
  [3903] = {.lex_state = 406, .external_lex_state = 2},
  [3904] = {.lex_state = 406, .external_lex_state = 2},
  [3905] = {.lex_state = 406, .external_lex_state = 2},
  [3906] = {.lex_state = 60, .external_lex_state = 2},
  [3907] = {.lex_state = 60, .external_lex_state = 2},
  [3908] = {.lex_state = 60, .external_lex_state = 2},
  [3909] = {.lex_state = 60, .external_lex_state = 2},
  [3910] = {.lex_state = 60, .external_lex_state = 2},
  [3911] = {.lex_state = 60, .external_lex_state = 2},
  [3912] = {.lex_state = 409, .external_lex_state = 2},
  [3913] = {.lex_state = 409, .external_lex_state = 2},
  [3914] = {.lex_state = 409, .external_lex_state = 2},
  [3915] = {.lex_state = 409, .external_lex_state = 2},
  [3916] = {.lex_state = 409, .external_lex_state = 2},
  [3917] = {.lex_state = 60, .external_lex_state = 2},
  [3918] = {.lex_state = 409, .external_lex_state = 2},
  [3919] = {.lex_state = 60, .external_lex_state = 2},
  [3920] = {.lex_state = 409, .external_lex_state = 2},
  [3921] = {.lex_state = 409, .external_lex_state = 2},
  [3922] = {.lex_state = 409, .external_lex_state = 2},
  [3923] = {.lex_state = 409, .external_lex_state = 2},
  [3924] = {.lex_state = 409, .external_lex_state = 2},
  [3925] = {.lex_state = 409, .external_lex_state = 2},
  [3926] = {.lex_state = 409, .external_lex_state = 2},
  [3927] = {.lex_state = 60, .external_lex_state = 2},
  [3928] = {.lex_state = 409, .external_lex_state = 2},
  [3929] = {.lex_state = 409, .external_lex_state = 2},
  [3930] = {.lex_state = 409, .external_lex_state = 2},
  [3931] = {.lex_state = 409, .external_lex_state = 2},
  [3932] = {.lex_state = 409, .external_lex_state = 2},
  [3933] = {.lex_state = 409, .external_lex_state = 2},
  [3934] = {.lex_state = 409, .external_lex_state = 2},
  [3935] = {.lex_state = 409, .external_lex_state = 2},
  [3936] = {.lex_state = 409, .external_lex_state = 2},
  [3937] = {.lex_state = 409, .external_lex_state = 2},
  [3938] = {.lex_state = 409, .external_lex_state = 2},
  [3939] = {.lex_state = 409, .external_lex_state = 2},
  [3940] = {.lex_state = 409, .external_lex_state = 2},
  [3941] = {.lex_state = 409, .external_lex_state = 2},
  [3942] = {.lex_state = 409, .external_lex_state = 2},
  [3943] = {.lex_state = 409, .external_lex_state = 2},
  [3944] = {.lex_state = 409, .external_lex_state = 2},
  [3945] = {.lex_state = 409, .external_lex_state = 2},
  [3946] = {.lex_state = 409, .external_lex_state = 2},
  [3947] = {.lex_state = 409, .external_lex_state = 2},
  [3948] = {.lex_state = 409, .external_lex_state = 2},
  [3949] = {.lex_state = 409, .external_lex_state = 2},
  [3950] = {.lex_state = 409, .external_lex_state = 2},
  [3951] = {.lex_state = 60, .external_lex_state = 2},
  [3952] = {.lex_state = 409, .external_lex_state = 2},
  [3953] = {.lex_state = 60, .external_lex_state = 2},
  [3954] = {.lex_state = 60, .external_lex_state = 2},
  [3955] = {.lex_state = 60, .external_lex_state = 2},
  [3956] = {.lex_state = 409, .external_lex_state = 2},
  [3957] = {.lex_state = 60, .external_lex_state = 2},
  [3958] = {.lex_state = 409, .external_lex_state = 2},
  [3959] = {.lex_state = 409, .external_lex_state = 2},
  [3960] = {.lex_state = 409, .external_lex_state = 2},
  [3961] = {.lex_state = 409, .external_lex_state = 2},
  [3962] = {.lex_state = 406, .external_lex_state = 2},
  [3963] = {.lex_state = 409, .external_lex_state = 2},
  [3964] = {.lex_state = 409, .external_lex_state = 2},
  [3965] = {.lex_state = 406, .external_lex_state = 2},
  [3966] = {.lex_state = 406, .external_lex_state = 2},
  [3967] = {.lex_state = 409, .external_lex_state = 2},
  [3968] = {.lex_state = 406, .external_lex_state = 2},
  [3969] = {.lex_state = 409, .external_lex_state = 2},
  [3970] = {.lex_state = 409, .external_lex_state = 2},
  [3971] = {.lex_state = 409, .external_lex_state = 2},
  [3972] = {.lex_state = 409, .external_lex_state = 2},
  [3973] = {.lex_state = 409, .external_lex_state = 2},
  [3974] = {.lex_state = 409, .external_lex_state = 2},
  [3975] = {.lex_state = 409, .external_lex_state = 2},
  [3976] = {.lex_state = 409, .external_lex_state = 2},
  [3977] = {.lex_state = 409, .external_lex_state = 2},
  [3978] = {.lex_state = 409, .external_lex_state = 2},
  [3979] = {.lex_state = 409, .external_lex_state = 2},
  [3980] = {.lex_state = 59, .external_lex_state = 2},
  [3981] = {.lex_state = 409, .external_lex_state = 2},
  [3982] = {.lex_state = 409, .external_lex_state = 2},
  [3983] = {.lex_state = 409, .external_lex_state = 2},
  [3984] = {.lex_state = 409, .external_lex_state = 2},
  [3985] = {.lex_state = 409, .external_lex_state = 2},
  [3986] = {.lex_state = 409, .external_lex_state = 2},
  [3987] = {.lex_state = 409, .external_lex_state = 2},
  [3988] = {.lex_state = 409, .external_lex_state = 2},
  [3989] = {.lex_state = 409, .external_lex_state = 2},
  [3990] = {.lex_state = 409, .external_lex_state = 2},
  [3991] = {.lex_state = 409, .external_lex_state = 2},
  [3992] = {.lex_state = 409, .external_lex_state = 2},
  [3993] = {.lex_state = 409, .external_lex_state = 2},
  [3994] = {.lex_state = 409, .external_lex_state = 2},
  [3995] = {.lex_state = 409, .external_lex_state = 2},
  [3996] = {.lex_state = 409, .external_lex_state = 2},
  [3997] = {.lex_state = 409, .external_lex_state = 2},
  [3998] = {.lex_state = 409, .external_lex_state = 2},
  [3999] = {.lex_state = 409, .external_lex_state = 2},
  [4000] = {.lex_state = 409, .external_lex_state = 2},
  [4001] = {.lex_state = 409, .external_lex_state = 2},
  [4002] = {.lex_state = 409, .external_lex_state = 2},
  [4003] = {.lex_state = 59, .external_lex_state = 2},
  [4004] = {.lex_state = 409, .external_lex_state = 2},
  [4005] = {.lex_state = 409, .external_lex_state = 2},
  [4006] = {.lex_state = 409, .external_lex_state = 2},
  [4007] = {.lex_state = 409, .external_lex_state = 2},
  [4008] = {.lex_state = 409, .external_lex_state = 2},
  [4009] = {.lex_state = 59, .external_lex_state = 2},
  [4010] = {.lex_state = 409, .external_lex_state = 2},
  [4011] = {.lex_state = 409, .external_lex_state = 2},
  [4012] = {.lex_state = 59, .external_lex_state = 2},
  [4013] = {.lex_state = 59, .external_lex_state = 2},
  [4014] = {.lex_state = 59, .external_lex_state = 2},
  [4015] = {.lex_state = 59, .external_lex_state = 2},
  [4016] = {.lex_state = 59, .external_lex_state = 2},
  [4017] = {.lex_state = 59, .external_lex_state = 2},
  [4018] = {.lex_state = 59, .external_lex_state = 2},
  [4019] = {.lex_state = 59, .external_lex_state = 2},
  [4020] = {.lex_state = 59, .external_lex_state = 2},
  [4021] = {.lex_state = 59, .external_lex_state = 2},
  [4022] = {.lex_state = 59, .external_lex_state = 2},
  [4023] = {.lex_state = 59, .external_lex_state = 2},
  [4024] = {.lex_state = 59, .external_lex_state = 2},
  [4025] = {.lex_state = 59, .external_lex_state = 2},
  [4026] = {.lex_state = 409, .external_lex_state = 2},
  [4027] = {.lex_state = 59, .external_lex_state = 2},
  [4028] = {.lex_state = 59, .external_lex_state = 2},
  [4029] = {.lex_state = 59, .external_lex_state = 2},
  [4030] = {.lex_state = 59, .external_lex_state = 2},
  [4031] = {.lex_state = 59, .external_lex_state = 2},
  [4032] = {.lex_state = 59, .external_lex_state = 2},
  [4033] = {.lex_state = 59, .external_lex_state = 2},
  [4034] = {.lex_state = 59, .external_lex_state = 2},
  [4035] = {.lex_state = 59, .external_lex_state = 2},
  [4036] = {.lex_state = 59, .external_lex_state = 2},
  [4037] = {.lex_state = 59, .external_lex_state = 2},
  [4038] = {.lex_state = 59, .external_lex_state = 2},
  [4039] = {.lex_state = 59, .external_lex_state = 2},
  [4040] = {.lex_state = 59, .external_lex_state = 2},
  [4041] = {.lex_state = 59, .external_lex_state = 2},
  [4042] = {.lex_state = 59, .external_lex_state = 2},
  [4043] = {.lex_state = 59, .external_lex_state = 2},
  [4044] = {.lex_state = 59, .external_lex_state = 2},
  [4045] = {.lex_state = 59, .external_lex_state = 2},
  [4046] = {.lex_state = 59, .external_lex_state = 2},
  [4047] = {.lex_state = 409, .external_lex_state = 2},
  [4048] = {.lex_state = 409, .external_lex_state = 2},
  [4049] = {.lex_state = 409, .external_lex_state = 2},
  [4050] = {.lex_state = 60, .external_lex_state = 2},
  [4051] = {.lex_state = 59, .external_lex_state = 2},
  [4052] = {.lex_state = 409, .external_lex_state = 2},
  [4053] = {.lex_state = 409, .external_lex_state = 2},
  [4054] = {.lex_state = 60, .external_lex_state = 2},
  [4055] = {.lex_state = 60, .external_lex_state = 2},
  [4056] = {.lex_state = 409, .external_lex_state = 2},
  [4057] = {.lex_state = 60, .external_lex_state = 2},
  [4058] = {.lex_state = 409, .external_lex_state = 2},
  [4059] = {.lex_state = 409, .external_lex_state = 2},
  [4060] = {.lex_state = 409, .external_lex_state = 2},
  [4061] = {.lex_state = 59, .external_lex_state = 2},
  [4062] = {.lex_state = 59, .external_lex_state = 2},
  [4063] = {.lex_state = 59, .external_lex_state = 2},
  [4064] = {.lex_state = 59, .external_lex_state = 2},
  [4065] = {.lex_state = 59, .external_lex_state = 2},
  [4066] = {.lex_state = 59, .external_lex_state = 2},
  [4067] = {.lex_state = 59, .external_lex_state = 2},
  [4068] = {.lex_state = 59, .external_lex_state = 2},
  [4069] = {.lex_state = 59, .external_lex_state = 2},
  [4070] = {.lex_state = 409, .external_lex_state = 2},
  [4071] = {.lex_state = 409, .external_lex_state = 2},
  [4072] = {.lex_state = 59, .external_lex_state = 2},
  [4073] = {.lex_state = 59, .external_lex_state = 2},
  [4074] = {.lex_state = 409, .external_lex_state = 2},
  [4075] = {.lex_state = 409, .external_lex_state = 2},
  [4076] = {.lex_state = 409, .external_lex_state = 2},
  [4077] = {.lex_state = 409, .external_lex_state = 2},
  [4078] = {.lex_state = 409, .external_lex_state = 2},
  [4079] = {.lex_state = 409, .external_lex_state = 2},
  [4080] = {.lex_state = 409, .external_lex_state = 2},
  [4081] = {.lex_state = 409, .external_lex_state = 2},
  [4082] = {.lex_state = 409, .external_lex_state = 2},
  [4083] = {.lex_state = 409, .external_lex_state = 2},
  [4084] = {.lex_state = 409, .external_lex_state = 2},
  [4085] = {.lex_state = 409, .external_lex_state = 2},
  [4086] = {.lex_state = 409, .external_lex_state = 2},
  [4087] = {.lex_state = 409, .external_lex_state = 2},
  [4088] = {.lex_state = 409, .external_lex_state = 2},
  [4089] = {.lex_state = 409, .external_lex_state = 2},
  [4090] = {.lex_state = 409, .external_lex_state = 2},
  [4091] = {.lex_state = 409, .external_lex_state = 2},
  [4092] = {.lex_state = 409, .external_lex_state = 2},
  [4093] = {.lex_state = 409, .external_lex_state = 2},
  [4094] = {.lex_state = 409, .external_lex_state = 2},
  [4095] = {.lex_state = 409, .external_lex_state = 2},
  [4096] = {.lex_state = 409, .external_lex_state = 2},
  [4097] = {.lex_state = 409, .external_lex_state = 2},
  [4098] = {.lex_state = 59, .external_lex_state = 2},
  [4099] = {.lex_state = 59, .external_lex_state = 2},
  [4100] = {.lex_state = 59, .external_lex_state = 2},
  [4101] = {.lex_state = 59, .external_lex_state = 2},
  [4102] = {.lex_state = 59, .external_lex_state = 2},
  [4103] = {.lex_state = 409, .external_lex_state = 2},
  [4104] = {.lex_state = 409, .external_lex_state = 2},
  [4105] = {.lex_state = 409, .external_lex_state = 2},
  [4106] = {.lex_state = 409, .external_lex_state = 2},
  [4107] = {.lex_state = 409, .external_lex_state = 2},
  [4108] = {.lex_state = 409, .external_lex_state = 2},
  [4109] = {.lex_state = 59, .external_lex_state = 2},
  [4110] = {.lex_state = 59, .external_lex_state = 2},
  [4111] = {.lex_state = 59, .external_lex_state = 2},
  [4112] = {.lex_state = 59, .external_lex_state = 2},
  [4113] = {.lex_state = 409, .external_lex_state = 2},
  [4114] = {.lex_state = 409, .external_lex_state = 2},
  [4115] = {.lex_state = 59, .external_lex_state = 2},
  [4116] = {.lex_state = 60, .external_lex_state = 2},
  [4117] = {.lex_state = 409, .external_lex_state = 2},
  [4118] = {.lex_state = 409, .external_lex_state = 2},
  [4119] = {.lex_state = 409, .external_lex_state = 2},
  [4120] = {.lex_state = 59, .external_lex_state = 2},
  [4121] = {.lex_state = 59, .external_lex_state = 2},
  [4122] = {.lex_state = 409, .external_lex_state = 2},
  [4123] = {.lex_state = 59, .external_lex_state = 2},
  [4124] = {.lex_state = 409, .external_lex_state = 2},
  [4125] = {.lex_state = 409, .external_lex_state = 2},
  [4126] = {.lex_state = 59, .external_lex_state = 2},
  [4127] = {.lex_state = 59, .external_lex_state = 2},
  [4128] = {.lex_state = 59, .external_lex_state = 2},
  [4129] = {.lex_state = 59, .external_lex_state = 2},
  [4130] = {.lex_state = 59, .external_lex_state = 2},
  [4131] = {.lex_state = 409, .external_lex_state = 2},
  [4132] = {.lex_state = 409, .external_lex_state = 2},
  [4133] = {.lex_state = 409, .external_lex_state = 2},
  [4134] = {.lex_state = 409, .external_lex_state = 2},
  [4135] = {.lex_state = 409, .external_lex_state = 2},
  [4136] = {.lex_state = 409, .external_lex_state = 2},
  [4137] = {.lex_state = 409, .external_lex_state = 2},
  [4138] = {.lex_state = 409, .external_lex_state = 2},
  [4139] = {.lex_state = 59, .external_lex_state = 2},
  [4140] = {.lex_state = 59, .external_lex_state = 2},
  [4141] = {.lex_state = 59, .external_lex_state = 2},
  [4142] = {.lex_state = 59, .external_lex_state = 2},
  [4143] = {.lex_state = 133, .external_lex_state = 2},
  [4144] = {.lex_state = 133, .external_lex_state = 2},
  [4145] = {.lex_state = 133, .external_lex_state = 2},
  [4146] = {.lex_state = 133, .external_lex_state = 2},
  [4147] = {.lex_state = 133, .external_lex_state = 2},
  [4148] = {.lex_state = 133, .external_lex_state = 2},
  [4149] = {.lex_state = 133, .external_lex_state = 2},
  [4150] = {.lex_state = 133, .external_lex_state = 2},
  [4151] = {.lex_state = 133, .external_lex_state = 2},
  [4152] = {.lex_state = 133, .external_lex_state = 2},
  [4153] = {.lex_state = 133, .external_lex_state = 2},
  [4154] = {.lex_state = 133, .external_lex_state = 2},
  [4155] = {.lex_state = 133, .external_lex_state = 2},
  [4156] = {.lex_state = 406, .external_lex_state = 2},
  [4157] = {.lex_state = 406, .external_lex_state = 2},
  [4158] = {.lex_state = 406, .external_lex_state = 2},
  [4159] = {.lex_state = 406, .external_lex_state = 2},
  [4160] = {.lex_state = 406, .external_lex_state = 2},
  [4161] = {.lex_state = 406, .external_lex_state = 2},
  [4162] = {.lex_state = 406, .external_lex_state = 2},
  [4163] = {.lex_state = 406, .external_lex_state = 2},
  [4164] = {.lex_state = 406, .external_lex_state = 2},
  [4165] = {.lex_state = 406, .external_lex_state = 2},
  [4166] = {.lex_state = 406, .external_lex_state = 2},
  [4167] = {.lex_state = 406, .external_lex_state = 2},
  [4168] = {.lex_state = 406, .external_lex_state = 2},
  [4169] = {.lex_state = 406, .external_lex_state = 2},
  [4170] = {.lex_state = 406, .external_lex_state = 2},
  [4171] = {.lex_state = 406, .external_lex_state = 2},
  [4172] = {.lex_state = 406, .external_lex_state = 2},
  [4173] = {.lex_state = 406, .external_lex_state = 2},
  [4174] = {.lex_state = 406, .external_lex_state = 2},
  [4175] = {.lex_state = 406, .external_lex_state = 2},
  [4176] = {.lex_state = 406, .external_lex_state = 2},
  [4177] = {.lex_state = 406, .external_lex_state = 2},
  [4178] = {.lex_state = 406, .external_lex_state = 2},
  [4179] = {.lex_state = 406, .external_lex_state = 2},
  [4180] = {.lex_state = 406, .external_lex_state = 2},
  [4181] = {.lex_state = 406, .external_lex_state = 2},
  [4182] = {.lex_state = 406, .external_lex_state = 2},
  [4183] = {.lex_state = 406, .external_lex_state = 2},
  [4184] = {.lex_state = 406, .external_lex_state = 2},
  [4185] = {.lex_state = 406, .external_lex_state = 2},
  [4186] = {.lex_state = 406, .external_lex_state = 2},
  [4187] = {.lex_state = 406, .external_lex_state = 2},
  [4188] = {.lex_state = 406, .external_lex_state = 2},
  [4189] = {.lex_state = 406, .external_lex_state = 2},
  [4190] = {.lex_state = 406, .external_lex_state = 2},
  [4191] = {.lex_state = 406, .external_lex_state = 2},
  [4192] = {.lex_state = 406, .external_lex_state = 2},
  [4193] = {.lex_state = 406, .external_lex_state = 2},
  [4194] = {.lex_state = 15, .external_lex_state = 2},
  [4195] = {.lex_state = 15, .external_lex_state = 2},
  [4196] = {.lex_state = 406, .external_lex_state = 2},
  [4197] = {.lex_state = 406, .external_lex_state = 2},
  [4198] = {.lex_state = 406, .external_lex_state = 2},
  [4199] = {.lex_state = 406, .external_lex_state = 2},
  [4200] = {.lex_state = 406, .external_lex_state = 2},
  [4201] = {.lex_state = 406, .external_lex_state = 2},
  [4202] = {.lex_state = 406, .external_lex_state = 2},
  [4203] = {.lex_state = 406, .external_lex_state = 2},
  [4204] = {.lex_state = 406, .external_lex_state = 2},
  [4205] = {.lex_state = 406, .external_lex_state = 2},
  [4206] = {.lex_state = 406, .external_lex_state = 2},
  [4207] = {.lex_state = 135, .external_lex_state = 2},
  [4208] = {.lex_state = 406, .external_lex_state = 2},
  [4209] = {.lex_state = 406, .external_lex_state = 2},
  [4210] = {.lex_state = 406, .external_lex_state = 2},
  [4211] = {.lex_state = 406, .external_lex_state = 2},
  [4212] = {.lex_state = 406, .external_lex_state = 2},
  [4213] = {.lex_state = 133, .external_lex_state = 2},
  [4214] = {.lex_state = 406, .external_lex_state = 2},
  [4215] = {.lex_state = 406, .external_lex_state = 2},
  [4216] = {.lex_state = 406, .external_lex_state = 2},
  [4217] = {.lex_state = 406, .external_lex_state = 2},
  [4218] = {.lex_state = 406, .external_lex_state = 2},
  [4219] = {.lex_state = 406, .external_lex_state = 2},
  [4220] = {.lex_state = 406, .external_lex_state = 2},
  [4221] = {.lex_state = 406, .external_lex_state = 2},
  [4222] = {.lex_state = 406, .external_lex_state = 2},
  [4223] = {.lex_state = 406, .external_lex_state = 2},
  [4224] = {.lex_state = 406, .external_lex_state = 2},
  [4225] = {.lex_state = 406, .external_lex_state = 2},
  [4226] = {.lex_state = 406, .external_lex_state = 2},
  [4227] = {.lex_state = 407, .external_lex_state = 2},
  [4228] = {.lex_state = 407, .external_lex_state = 2},
  [4229] = {.lex_state = 406, .external_lex_state = 2},
  [4230] = {.lex_state = 406, .external_lex_state = 2},
  [4231] = {.lex_state = 406, .external_lex_state = 2},
  [4232] = {.lex_state = 406, .external_lex_state = 2},
  [4233] = {.lex_state = 406, .external_lex_state = 2},
  [4234] = {.lex_state = 133, .external_lex_state = 2},
  [4235] = {.lex_state = 406, .external_lex_state = 2},
  [4236] = {.lex_state = 407, .external_lex_state = 2},
  [4237] = {.lex_state = 133, .external_lex_state = 2},
  [4238] = {.lex_state = 135, .external_lex_state = 2},
  [4239] = {.lex_state = 133, .external_lex_state = 2},
  [4240] = {.lex_state = 133, .external_lex_state = 2},
  [4241] = {.lex_state = 133, .external_lex_state = 2},
  [4242] = {.lex_state = 133, .external_lex_state = 2},
  [4243] = {.lex_state = 133, .external_lex_state = 2},
  [4244] = {.lex_state = 133, .external_lex_state = 2},
  [4245] = {.lex_state = 133, .external_lex_state = 2},
  [4246] = {.lex_state = 406, .external_lex_state = 2},
  [4247] = {.lex_state = 407, .external_lex_state = 2},
  [4248] = {.lex_state = 407, .external_lex_state = 2},
  [4249] = {.lex_state = 407, .external_lex_state = 2},
  [4250] = {.lex_state = 133, .external_lex_state = 2},
  [4251] = {.lex_state = 135, .external_lex_state = 2},
  [4252] = {.lex_state = 133, .external_lex_state = 2},
  [4253] = {.lex_state = 407, .external_lex_state = 2},
  [4254] = {.lex_state = 407, .external_lex_state = 2},
  [4255] = {.lex_state = 407, .external_lex_state = 2},
  [4256] = {.lex_state = 133, .external_lex_state = 2},
  [4257] = {.lex_state = 135, .external_lex_state = 2},
  [4258] = {.lex_state = 133, .external_lex_state = 2},
  [4259] = {.lex_state = 133, .external_lex_state = 2},
  [4260] = {.lex_state = 406, .external_lex_state = 2},
  [4261] = {.lex_state = 135, .external_lex_state = 2},
  [4262] = {.lex_state = 133, .external_lex_state = 2},
  [4263] = {.lex_state = 407, .external_lex_state = 2},
  [4264] = {.lex_state = 133, .external_lex_state = 2},
  [4265] = {.lex_state = 407, .external_lex_state = 2},
  [4266] = {.lex_state = 135, .external_lex_state = 2},
  [4267] = {.lex_state = 133, .external_lex_state = 2},
  [4268] = {.lex_state = 133, .external_lex_state = 2},
  [4269] = {.lex_state = 406, .external_lex_state = 2},
  [4270] = {.lex_state = 135, .external_lex_state = 2},
  [4271] = {.lex_state = 133, .external_lex_state = 2},
  [4272] = {.lex_state = 406, .external_lex_state = 2},
  [4273] = {.lex_state = 406, .external_lex_state = 2},
  [4274] = {.lex_state = 133, .external_lex_state = 2},
  [4275] = {.lex_state = 406, .external_lex_state = 2},
  [4276] = {.lex_state = 133, .external_lex_state = 2},
  [4277] = {.lex_state = 406, .external_lex_state = 2},
  [4278] = {.lex_state = 133, .external_lex_state = 2},
  [4279] = {.lex_state = 133, .external_lex_state = 2},
  [4280] = {.lex_state = 133, .external_lex_state = 2},
  [4281] = {.lex_state = 406, .external_lex_state = 2},
  [4282] = {.lex_state = 406, .external_lex_state = 2},
  [4283] = {.lex_state = 133, .external_lex_state = 2},
  [4284] = {.lex_state = 406, .external_lex_state = 2},
  [4285] = {.lex_state = 406, .external_lex_state = 2},
  [4286] = {.lex_state = 133, .external_lex_state = 2},
  [4287] = {.lex_state = 406, .external_lex_state = 2},
  [4288] = {.lex_state = 406, .external_lex_state = 2},
  [4289] = {.lex_state = 133, .external_lex_state = 2},
  [4290] = {.lex_state = 133, .external_lex_state = 2},
  [4291] = {.lex_state = 406, .external_lex_state = 2},
  [4292] = {.lex_state = 406, .external_lex_state = 2},
  [4293] = {.lex_state = 133, .external_lex_state = 2},
  [4294] = {.lex_state = 406, .external_lex_state = 2},
  [4295] = {.lex_state = 133, .external_lex_state = 2},
  [4296] = {.lex_state = 406, .external_lex_state = 2},
  [4297] = {.lex_state = 133, .external_lex_state = 2},
  [4298] = {.lex_state = 406, .external_lex_state = 2},
  [4299] = {.lex_state = 406, .external_lex_state = 2},
  [4300] = {.lex_state = 406, .external_lex_state = 2},
  [4301] = {.lex_state = 133, .external_lex_state = 2},
  [4302] = {.lex_state = 406, .external_lex_state = 2},
  [4303] = {.lex_state = 133, .external_lex_state = 2},
  [4304] = {.lex_state = 406, .external_lex_state = 2},
  [4305] = {.lex_state = 406, .external_lex_state = 2},
  [4306] = {.lex_state = 406, .external_lex_state = 2},
  [4307] = {.lex_state = 133, .external_lex_state = 2},
  [4308] = {.lex_state = 406, .external_lex_state = 2},
  [4309] = {.lex_state = 406, .external_lex_state = 2},
  [4310] = {.lex_state = 133, .external_lex_state = 2},
  [4311] = {.lex_state = 406, .external_lex_state = 2},
  [4312] = {.lex_state = 406, .external_lex_state = 2},
  [4313] = {.lex_state = 406, .external_lex_state = 2},
  [4314] = {.lex_state = 133, .external_lex_state = 2},
  [4315] = {.lex_state = 406, .external_lex_state = 2},
  [4316] = {.lex_state = 133, .external_lex_state = 2},
  [4317] = {.lex_state = 406, .external_lex_state = 2},
  [4318] = {.lex_state = 133, .external_lex_state = 2},
  [4319] = {.lex_state = 406, .external_lex_state = 2},
  [4320] = {.lex_state = 133, .external_lex_state = 2},
  [4321] = {.lex_state = 406, .external_lex_state = 2},
  [4322] = {.lex_state = 406, .external_lex_state = 2},
  [4323] = {.lex_state = 133, .external_lex_state = 2},
  [4324] = {.lex_state = 133, .external_lex_state = 2},
  [4325] = {.lex_state = 406, .external_lex_state = 2},
  [4326] = {.lex_state = 133, .external_lex_state = 2},
  [4327] = {.lex_state = 133, .external_lex_state = 2},
  [4328] = {.lex_state = 133, .external_lex_state = 2},
  [4329] = {.lex_state = 133, .external_lex_state = 2},
  [4330] = {.lex_state = 133, .external_lex_state = 2},
  [4331] = {.lex_state = 133, .external_lex_state = 2},
  [4332] = {.lex_state = 406, .external_lex_state = 2},
  [4333] = {.lex_state = 133, .external_lex_state = 2},
  [4334] = {.lex_state = 133, .external_lex_state = 2},
  [4335] = {.lex_state = 406, .external_lex_state = 2},
  [4336] = {.lex_state = 133, .external_lex_state = 2},
  [4337] = {.lex_state = 133, .external_lex_state = 2},
  [4338] = {.lex_state = 133, .external_lex_state = 2},
  [4339] = {.lex_state = 133, .external_lex_state = 2},
  [4340] = {.lex_state = 407, .external_lex_state = 2},
  [4341] = {.lex_state = 133, .external_lex_state = 2},
  [4342] = {.lex_state = 133, .external_lex_state = 2},
  [4343] = {.lex_state = 133, .external_lex_state = 2},
  [4344] = {.lex_state = 406, .external_lex_state = 2},
  [4345] = {.lex_state = 133, .external_lex_state = 2},
  [4346] = {.lex_state = 133, .external_lex_state = 2},
  [4347] = {.lex_state = 133, .external_lex_state = 2},
  [4348] = {.lex_state = 133, .external_lex_state = 2},
  [4349] = {.lex_state = 133, .external_lex_state = 2},
  [4350] = {.lex_state = 406, .external_lex_state = 2},
  [4351] = {.lex_state = 133, .external_lex_state = 2},
  [4352] = {.lex_state = 133, .external_lex_state = 2},
  [4353] = {.lex_state = 133, .external_lex_state = 2},
  [4354] = {.lex_state = 406, .external_lex_state = 2},
  [4355] = {.lex_state = 133, .external_lex_state = 2},
  [4356] = {.lex_state = 133, .external_lex_state = 2},
  [4357] = {.lex_state = 133, .external_lex_state = 2},
  [4358] = {.lex_state = 407, .external_lex_state = 2},
  [4359] = {.lex_state = 133, .external_lex_state = 2},
  [4360] = {.lex_state = 133, .external_lex_state = 2},
  [4361] = {.lex_state = 406, .external_lex_state = 2},
  [4362] = {.lex_state = 133, .external_lex_state = 2},
  [4363] = {.lex_state = 133, .external_lex_state = 2},
  [4364] = {.lex_state = 133, .external_lex_state = 2},
  [4365] = {.lex_state = 133, .external_lex_state = 2},
  [4366] = {.lex_state = 133, .external_lex_state = 2},
  [4367] = {.lex_state = 133, .external_lex_state = 2},
  [4368] = {.lex_state = 406, .external_lex_state = 2},
  [4369] = {.lex_state = 133, .external_lex_state = 2},
  [4370] = {.lex_state = 133, .external_lex_state = 2},
  [4371] = {.lex_state = 406, .external_lex_state = 2},
  [4372] = {.lex_state = 133, .external_lex_state = 2},
  [4373] = {.lex_state = 406, .external_lex_state = 2},
  [4374] = {.lex_state = 133, .external_lex_state = 2},
  [4375] = {.lex_state = 60, .external_lex_state = 2},
  [4376] = {.lex_state = 133, .external_lex_state = 2},
  [4377] = {.lex_state = 61, .external_lex_state = 2},
  [4378] = {.lex_state = 133, .external_lex_state = 2},
  [4379] = {.lex_state = 61, .external_lex_state = 2},
  [4380] = {.lex_state = 133, .external_lex_state = 2},
  [4381] = {.lex_state = 133, .external_lex_state = 2},
  [4382] = {.lex_state = 133, .external_lex_state = 2},
  [4383] = {.lex_state = 60, .external_lex_state = 2},
  [4384] = {.lex_state = 133, .external_lex_state = 2},
  [4385] = {.lex_state = 60, .external_lex_state = 2},
  [4386] = {.lex_state = 406, .external_lex_state = 2},
  [4387] = {.lex_state = 133, .external_lex_state = 2},
  [4388] = {.lex_state = 60, .external_lex_state = 2},
  [4389] = {.lex_state = 60, .external_lex_state = 2},
  [4390] = {.lex_state = 133, .external_lex_state = 2},
  [4391] = {.lex_state = 60, .external_lex_state = 2},
  [4392] = {.lex_state = 133, .external_lex_state = 2},
  [4393] = {.lex_state = 60, .external_lex_state = 2},
  [4394] = {.lex_state = 133, .external_lex_state = 2},
  [4395] = {.lex_state = 133, .external_lex_state = 2},
  [4396] = {.lex_state = 60, .external_lex_state = 2},
  [4397] = {.lex_state = 133, .external_lex_state = 2},
  [4398] = {.lex_state = 60, .external_lex_state = 2},
  [4399] = {.lex_state = 60, .external_lex_state = 2},
  [4400] = {.lex_state = 133, .external_lex_state = 2},
  [4401] = {.lex_state = 60, .external_lex_state = 2},
  [4402] = {.lex_state = 133, .external_lex_state = 2},
  [4403] = {.lex_state = 60, .external_lex_state = 2},
  [4404] = {.lex_state = 60, .external_lex_state = 2},
  [4405] = {.lex_state = 133, .external_lex_state = 2},
  [4406] = {.lex_state = 133, .external_lex_state = 2},
  [4407] = {.lex_state = 60, .external_lex_state = 2},
  [4408] = {.lex_state = 133, .external_lex_state = 2},
  [4409] = {.lex_state = 60, .external_lex_state = 2},
  [4410] = {.lex_state = 133, .external_lex_state = 2},
  [4411] = {.lex_state = 60, .external_lex_state = 2},
  [4412] = {.lex_state = 133, .external_lex_state = 2},
  [4413] = {.lex_state = 60, .external_lex_state = 2},
  [4414] = {.lex_state = 133, .external_lex_state = 2},
  [4415] = {.lex_state = 60, .external_lex_state = 2},
  [4416] = {.lex_state = 60, .external_lex_state = 2},
  [4417] = {.lex_state = 60, .external_lex_state = 2},
  [4418] = {.lex_state = 133, .external_lex_state = 2},
  [4419] = {.lex_state = 60, .external_lex_state = 2},
  [4420] = {.lex_state = 133, .external_lex_state = 2},
  [4421] = {.lex_state = 406, .external_lex_state = 2},
  [4422] = {.lex_state = 60, .external_lex_state = 2},
  [4423] = {.lex_state = 60, .external_lex_state = 2},
  [4424] = {.lex_state = 133, .external_lex_state = 2},
  [4425] = {.lex_state = 133, .external_lex_state = 2},
  [4426] = {.lex_state = 60, .external_lex_state = 2},
  [4427] = {.lex_state = 60, .external_lex_state = 2},
  [4428] = {.lex_state = 133, .external_lex_state = 2},
  [4429] = {.lex_state = 60, .external_lex_state = 2},
  [4430] = {.lex_state = 60, .external_lex_state = 2},
  [4431] = {.lex_state = 133, .external_lex_state = 2},
  [4432] = {.lex_state = 133, .external_lex_state = 2},
  [4433] = {.lex_state = 133, .external_lex_state = 2},
  [4434] = {.lex_state = 133, .external_lex_state = 2},
  [4435] = {.lex_state = 133, .external_lex_state = 2},
  [4436] = {.lex_state = 60, .external_lex_state = 2},
  [4437] = {.lex_state = 60, .external_lex_state = 2},
  [4438] = {.lex_state = 60, .external_lex_state = 2},
  [4439] = {.lex_state = 60, .external_lex_state = 2},
  [4440] = {.lex_state = 59, .external_lex_state = 2},
  [4441] = {.lex_state = 407, .external_lex_state = 2},
  [4442] = {.lex_state = 61, .external_lex_state = 2},
  [4443] = {.lex_state = 15, .external_lex_state = 2},
  [4444] = {.lex_state = 15, .external_lex_state = 2},
  [4445] = {.lex_state = 15, .external_lex_state = 2},
  [4446] = {.lex_state = 15, .external_lex_state = 2},
  [4447] = {.lex_state = 407, .external_lex_state = 2},
  [4448] = {.lex_state = 15, .external_lex_state = 2},
  [4449] = {.lex_state = 15, .external_lex_state = 2},
  [4450] = {.lex_state = 61, .external_lex_state = 2},
  [4451] = {.lex_state = 15, .external_lex_state = 2},
  [4452] = {.lex_state = 61, .external_lex_state = 2},
  [4453] = {.lex_state = 15, .external_lex_state = 2},
  [4454] = {.lex_state = 411, .external_lex_state = 2},
  [4455] = {.lex_state = 411, .external_lex_state = 2},
  [4456] = {.lex_state = 15, .external_lex_state = 2},
  [4457] = {.lex_state = 15, .external_lex_state = 2},
  [4458] = {.lex_state = 15, .external_lex_state = 2},
  [4459] = {.lex_state = 411, .external_lex_state = 2},
  [4460] = {.lex_state = 15, .external_lex_state = 2},
  [4461] = {.lex_state = 62, .external_lex_state = 2},
  [4462] = {.lex_state = 15, .external_lex_state = 2},
  [4463] = {.lex_state = 62, .external_lex_state = 2},
  [4464] = {.lex_state = 407, .external_lex_state = 2},
  [4465] = {.lex_state = 62, .external_lex_state = 2},
  [4466] = {.lex_state = 407, .external_lex_state = 2},
  [4467] = {.lex_state = 407, .external_lex_state = 2},
  [4468] = {.lex_state = 402, .external_lex_state = 2},
  [4469] = {.lex_state = 407, .external_lex_state = 2},
  [4470] = {.lex_state = 62, .external_lex_state = 2},
  [4471] = {.lex_state = 407, .external_lex_state = 2},
  [4472] = {.lex_state = 407, .external_lex_state = 2},
  [4473] = {.lex_state = 407, .external_lex_state = 2},
  [4474] = {.lex_state = 407, .external_lex_state = 2},
  [4475] = {.lex_state = 407, .external_lex_state = 2},
  [4476] = {.lex_state = 407, .external_lex_state = 2},
  [4477] = {.lex_state = 61, .external_lex_state = 2},
  [4478] = {.lex_state = 61, .external_lex_state = 2},
  [4479] = {.lex_state = 61, .external_lex_state = 2},
  [4480] = {.lex_state = 61, .external_lex_state = 2},
  [4481] = {.lex_state = 407, .external_lex_state = 2},
  [4482] = {.lex_state = 407, .external_lex_state = 2},
  [4483] = {.lex_state = 61, .external_lex_state = 2},
  [4484] = {.lex_state = 407, .external_lex_state = 2},
  [4485] = {.lex_state = 61, .external_lex_state = 2},
  [4486] = {.lex_state = 407, .external_lex_state = 2},
  [4487] = {.lex_state = 407, .external_lex_state = 2},
  [4488] = {.lex_state = 411, .external_lex_state = 2},
  [4489] = {.lex_state = 411, .external_lex_state = 2},
  [4490] = {.lex_state = 407, .external_lex_state = 2},
  [4491] = {.lex_state = 62, .external_lex_state = 2},
  [4492] = {.lex_state = 62, .external_lex_state = 2},
  [4493] = {.lex_state = 407, .external_lex_state = 2},
  [4494] = {.lex_state = 407, .external_lex_state = 2},
  [4495] = {.lex_state = 407, .external_lex_state = 2},
  [4496] = {.lex_state = 407, .external_lex_state = 2},
  [4497] = {.lex_state = 407, .external_lex_state = 2},
  [4498] = {.lex_state = 407, .external_lex_state = 2},
  [4499] = {.lex_state = 407, .external_lex_state = 2},
  [4500] = {.lex_state = 407, .external_lex_state = 2},
  [4501] = {.lex_state = 61, .external_lex_state = 2},
  [4502] = {.lex_state = 407, .external_lex_state = 2},
  [4503] = {.lex_state = 407, .external_lex_state = 2},
  [4504] = {.lex_state = 407, .external_lex_state = 2},
  [4505] = {.lex_state = 407, .external_lex_state = 2},
  [4506] = {.lex_state = 407, .external_lex_state = 2},
  [4507] = {.lex_state = 407, .external_lex_state = 2},
  [4508] = {.lex_state = 407, .external_lex_state = 2},
  [4509] = {.lex_state = 407, .external_lex_state = 2},
  [4510] = {.lex_state = 407, .external_lex_state = 2},
  [4511] = {.lex_state = 407, .external_lex_state = 2},
  [4512] = {.lex_state = 407, .external_lex_state = 2},
  [4513] = {.lex_state = 407, .external_lex_state = 2},
  [4514] = {.lex_state = 407, .external_lex_state = 2},
  [4515] = {.lex_state = 407, .external_lex_state = 2},
  [4516] = {.lex_state = 407, .external_lex_state = 2},
  [4517] = {.lex_state = 407, .external_lex_state = 2},
  [4518] = {.lex_state = 407, .external_lex_state = 2},
  [4519] = {.lex_state = 407, .external_lex_state = 2},
  [4520] = {.lex_state = 407, .external_lex_state = 2},
  [4521] = {.lex_state = 407, .external_lex_state = 2},
  [4522] = {.lex_state = 61, .external_lex_state = 2},
  [4523] = {.lex_state = 61, .external_lex_state = 2},
  [4524] = {.lex_state = 61, .external_lex_state = 2},
  [4525] = {.lex_state = 61, .external_lex_state = 2},
  [4526] = {.lex_state = 61, .external_lex_state = 2},
  [4527] = {.lex_state = 407, .external_lex_state = 2},
  [4528] = {.lex_state = 61, .external_lex_state = 2},
  [4529] = {.lex_state = 407, .external_lex_state = 2},
  [4530] = {.lex_state = 407, .external_lex_state = 2},
  [4531] = {.lex_state = 407, .external_lex_state = 2},
  [4532] = {.lex_state = 407, .external_lex_state = 2},
  [4533] = {.lex_state = 407, .external_lex_state = 2},
  [4534] = {.lex_state = 407, .external_lex_state = 2},
  [4535] = {.lex_state = 61, .external_lex_state = 2},
  [4536] = {.lex_state = 61, .external_lex_state = 2},
  [4537] = {.lex_state = 61, .external_lex_state = 2},
  [4538] = {.lex_state = 61, .external_lex_state = 2},
  [4539] = {.lex_state = 407, .external_lex_state = 2},
  [4540] = {.lex_state = 407, .external_lex_state = 2},
  [4541] = {.lex_state = 407, .external_lex_state = 2},
  [4542] = {.lex_state = 407, .external_lex_state = 2},
  [4543] = {.lex_state = 407, .external_lex_state = 2},
  [4544] = {.lex_state = 61, .external_lex_state = 2},
  [4545] = {.lex_state = 61, .external_lex_state = 2},
  [4546] = {.lex_state = 61, .external_lex_state = 2},
  [4547] = {.lex_state = 61, .external_lex_state = 2},
  [4548] = {.lex_state = 61, .external_lex_state = 2},
  [4549] = {.lex_state = 61, .external_lex_state = 2},
  [4550] = {.lex_state = 407, .external_lex_state = 2},
  [4551] = {.lex_state = 61, .external_lex_state = 2},
  [4552] = {.lex_state = 407, .external_lex_state = 2},
  [4553] = {.lex_state = 407, .external_lex_state = 2},
  [4554] = {.lex_state = 61, .external_lex_state = 2},
  [4555] = {.lex_state = 61, .external_lex_state = 2},
  [4556] = {.lex_state = 15, .external_lex_state = 2},
  [4557] = {.lex_state = 61, .external_lex_state = 2},
  [4558] = {.lex_state = 407, .external_lex_state = 2},
  [4559] = {.lex_state = 407, .external_lex_state = 2},
  [4560] = {.lex_state = 48, .external_lex_state = 2},
  [4561] = {.lex_state = 407, .external_lex_state = 2},
  [4562] = {.lex_state = 407, .external_lex_state = 2},
  [4563] = {.lex_state = 407, .external_lex_state = 2},
  [4564] = {.lex_state = 407, .external_lex_state = 2},
  [4565] = {.lex_state = 407, .external_lex_state = 2},
  [4566] = {.lex_state = 407, .external_lex_state = 2},
  [4567] = {.lex_state = 407, .external_lex_state = 2},
  [4568] = {.lex_state = 407, .external_lex_state = 2},
  [4569] = {.lex_state = 407, .external_lex_state = 2},
  [4570] = {.lex_state = 407, .external_lex_state = 2},
  [4571] = {.lex_state = 407, .external_lex_state = 2},
  [4572] = {.lex_state = 407, .external_lex_state = 2},
  [4573] = {.lex_state = 407, .external_lex_state = 2},
  [4574] = {.lex_state = 407, .external_lex_state = 2},
  [4575] = {.lex_state = 407, .external_lex_state = 2},
  [4576] = {.lex_state = 61, .external_lex_state = 2},
  [4577] = {.lex_state = 61, .external_lex_state = 2},
  [4578] = {.lex_state = 61, .external_lex_state = 2},
  [4579] = {.lex_state = 407, .external_lex_state = 2},
  [4580] = {.lex_state = 61, .external_lex_state = 2},
  [4581] = {.lex_state = 407, .external_lex_state = 2},
  [4582] = {.lex_state = 61, .external_lex_state = 2},
  [4583] = {.lex_state = 407, .external_lex_state = 2},
  [4584] = {.lex_state = 61, .external_lex_state = 2},
  [4585] = {.lex_state = 61, .external_lex_state = 2},
  [4586] = {.lex_state = 407, .external_lex_state = 2},
  [4587] = {.lex_state = 61, .external_lex_state = 2},
  [4588] = {.lex_state = 407, .external_lex_state = 2},
  [4589] = {.lex_state = 61, .external_lex_state = 2},
  [4590] = {.lex_state = 61, .external_lex_state = 2},
  [4591] = {.lex_state = 61, .external_lex_state = 2},
  [4592] = {.lex_state = 407, .external_lex_state = 2},
  [4593] = {.lex_state = 61, .external_lex_state = 2},
  [4594] = {.lex_state = 61, .external_lex_state = 2},
  [4595] = {.lex_state = 61, .external_lex_state = 2},
  [4596] = {.lex_state = 61, .external_lex_state = 2},
  [4597] = {.lex_state = 407, .external_lex_state = 2},
  [4598] = {.lex_state = 407, .external_lex_state = 2},
  [4599] = {.lex_state = 407, .external_lex_state = 2},
  [4600] = {.lex_state = 61, .external_lex_state = 2},
  [4601] = {.lex_state = 61, .external_lex_state = 2},
  [4602] = {.lex_state = 407, .external_lex_state = 2},
  [4603] = {.lex_state = 407, .external_lex_state = 2},
  [4604] = {.lex_state = 407, .external_lex_state = 2},
  [4605] = {.lex_state = 61, .external_lex_state = 2},
  [4606] = {.lex_state = 407, .external_lex_state = 2},
  [4607] = {.lex_state = 407, .external_lex_state = 2},
  [4608] = {.lex_state = 407, .external_lex_state = 2},
  [4609] = {.lex_state = 407, .external_lex_state = 2},
  [4610] = {.lex_state = 61, .external_lex_state = 2},
  [4611] = {.lex_state = 61, .external_lex_state = 2},
  [4612] = {.lex_state = 411, .external_lex_state = 2},
  [4613] = {.lex_state = 15, .external_lex_state = 2},
  [4614] = {.lex_state = 61, .external_lex_state = 2},
  [4615] = {.lex_state = 62, .external_lex_state = 2},
  [4616] = {.lex_state = 61, .external_lex_state = 2},
  [4617] = {.lex_state = 61, .external_lex_state = 2},
  [4618] = {.lex_state = 61, .external_lex_state = 2},
  [4619] = {.lex_state = 61, .external_lex_state = 2},
  [4620] = {.lex_state = 407, .external_lex_state = 2},
  [4621] = {.lex_state = 407, .external_lex_state = 2},
  [4622] = {.lex_state = 407, .external_lex_state = 2},
  [4623] = {.lex_state = 407, .external_lex_state = 2},
  [4624] = {.lex_state = 407, .external_lex_state = 2},
  [4625] = {.lex_state = 407, .external_lex_state = 2},
  [4626] = {.lex_state = 61, .external_lex_state = 2},
  [4627] = {.lex_state = 407, .external_lex_state = 2},
  [4628] = {.lex_state = 407, .external_lex_state = 2},
  [4629] = {.lex_state = 15, .external_lex_state = 2},
  [4630] = {.lex_state = 407, .external_lex_state = 2},
  [4631] = {.lex_state = 15, .external_lex_state = 2},
  [4632] = {.lex_state = 407, .external_lex_state = 2},
  [4633] = {.lex_state = 407, .external_lex_state = 2},
  [4634] = {.lex_state = 407, .external_lex_state = 2},
  [4635] = {.lex_state = 407, .external_lex_state = 2},
  [4636] = {.lex_state = 61, .external_lex_state = 2},
  [4637] = {.lex_state = 407, .external_lex_state = 2},
  [4638] = {.lex_state = 15, .external_lex_state = 2},
  [4639] = {.lex_state = 407, .external_lex_state = 2},
  [4640] = {.lex_state = 407, .external_lex_state = 2},
  [4641] = {.lex_state = 15, .external_lex_state = 2},
  [4642] = {.lex_state = 407, .external_lex_state = 2},
  [4643] = {.lex_state = 15, .external_lex_state = 2},
  [4644] = {.lex_state = 15, .external_lex_state = 2},
  [4645] = {.lex_state = 407, .external_lex_state = 2},
  [4646] = {.lex_state = 407, .external_lex_state = 2},
  [4647] = {.lex_state = 15, .external_lex_state = 2},
  [4648] = {.lex_state = 15, .external_lex_state = 2},
  [4649] = {.lex_state = 15, .external_lex_state = 2},
  [4650] = {.lex_state = 15, .external_lex_state = 2},
  [4651] = {.lex_state = 15, .external_lex_state = 2},
  [4652] = {.lex_state = 411, .external_lex_state = 2},
  [4653] = {.lex_state = 15, .external_lex_state = 2},
  [4654] = {.lex_state = 15, .external_lex_state = 2},
  [4655] = {.lex_state = 15, .external_lex_state = 2},
  [4656] = {.lex_state = 15, .external_lex_state = 2},
  [4657] = {.lex_state = 15, .external_lex_state = 2},
  [4658] = {.lex_state = 15, .external_lex_state = 2},
  [4659] = {.lex_state = 15, .external_lex_state = 2},
  [4660] = {.lex_state = 15, .external_lex_state = 2},
  [4661] = {.lex_state = 407, .external_lex_state = 2},
  [4662] = {.lex_state = 15, .external_lex_state = 2},
  [4663] = {.lex_state = 15, .external_lex_state = 2},
  [4664] = {.lex_state = 407, .external_lex_state = 2},
  [4665] = {.lex_state = 15, .external_lex_state = 2},
  [4666] = {.lex_state = 15, .external_lex_state = 2},
  [4667] = {.lex_state = 15, .external_lex_state = 2},
  [4668] = {.lex_state = 15, .external_lex_state = 2},
  [4669] = {.lex_state = 407, .external_lex_state = 2},
  [4670] = {.lex_state = 411, .external_lex_state = 2},
  [4671] = {.lex_state = 15, .external_lex_state = 2},
  [4672] = {.lex_state = 411, .external_lex_state = 2},
  [4673] = {.lex_state = 411, .external_lex_state = 2},
  [4674] = {.lex_state = 15, .external_lex_state = 2},
  [4675] = {.lex_state = 411, .external_lex_state = 2},
  [4676] = {.lex_state = 411, .external_lex_state = 2},
  [4677] = {.lex_state = 407, .external_lex_state = 2},
  [4678] = {.lex_state = 411, .external_lex_state = 2},
  [4679] = {.lex_state = 61, .external_lex_state = 2},
  [4680] = {.lex_state = 411, .external_lex_state = 2},
  [4681] = {.lex_state = 411, .external_lex_state = 2},
  [4682] = {.lex_state = 15, .external_lex_state = 2},
  [4683] = {.lex_state = 15, .external_lex_state = 2},
  [4684] = {.lex_state = 15, .external_lex_state = 2},
  [4685] = {.lex_state = 407, .external_lex_state = 2},
  [4686] = {.lex_state = 407, .external_lex_state = 2},
  [4687] = {.lex_state = 15, .external_lex_state = 2},
  [4688] = {.lex_state = 15, .external_lex_state = 2},
  [4689] = {.lex_state = 407, .external_lex_state = 2},
  [4690] = {.lex_state = 407, .external_lex_state = 2},
  [4691] = {.lex_state = 407, .external_lex_state = 2},
  [4692] = {.lex_state = 407, .external_lex_state = 2},
  [4693] = {.lex_state = 407, .external_lex_state = 2},
  [4694] = {.lex_state = 407, .external_lex_state = 2},
  [4695] = {.lex_state = 407, .external_lex_state = 2},
  [4696] = {.lex_state = 15, .external_lex_state = 2},
  [4697] = {.lex_state = 407, .external_lex_state = 2},
  [4698] = {.lex_state = 407, .external_lex_state = 2},
  [4699] = {.lex_state = 407, .external_lex_state = 2},
  [4700] = {.lex_state = 407, .external_lex_state = 2},
  [4701] = {.lex_state = 407, .external_lex_state = 2},
  [4702] = {.lex_state = 61, .external_lex_state = 2},
  [4703] = {.lex_state = 407, .external_lex_state = 2},
  [4704] = {.lex_state = 407, .external_lex_state = 2},
  [4705] = {.lex_state = 62, .external_lex_state = 2},
  [4706] = {.lex_state = 402, .external_lex_state = 2},
  [4707] = {.lex_state = 62, .external_lex_state = 2},
  [4708] = {.lex_state = 407, .external_lex_state = 2},
  [4709] = {.lex_state = 407, .external_lex_state = 2},
  [4710] = {.lex_state = 407, .external_lex_state = 2},
  [4711] = {.lex_state = 61, .external_lex_state = 2},
  [4712] = {.lex_state = 407, .external_lex_state = 2},
  [4713] = {.lex_state = 407, .external_lex_state = 2},
  [4714] = {.lex_state = 61, .external_lex_state = 2},
  [4715] = {.lex_state = 407, .external_lex_state = 2},
  [4716] = {.lex_state = 15, .external_lex_state = 2},
  [4717] = {.lex_state = 407, .external_lex_state = 2},
  [4718] = {.lex_state = 62, .external_lex_state = 2},
  [4719] = {.lex_state = 61, .external_lex_state = 2},
  [4720] = {.lex_state = 402, .external_lex_state = 2},
  [4721] = {.lex_state = 61, .external_lex_state = 2},
  [4722] = {.lex_state = 61, .external_lex_state = 2},
  [4723] = {.lex_state = 61, .external_lex_state = 2},
  [4724] = {.lex_state = 61, .external_lex_state = 2},
  [4725] = {.lex_state = 62, .external_lex_state = 2},
  [4726] = {.lex_state = 15, .external_lex_state = 2},
  [4727] = {.lex_state = 407, .external_lex_state = 2},
  [4728] = {.lex_state = 407, .external_lex_state = 2},
  [4729] = {.lex_state = 61, .external_lex_state = 2},
  [4730] = {.lex_state = 15, .external_lex_state = 2},
  [4731] = {.lex_state = 407, .external_lex_state = 2},
  [4732] = {.lex_state = 61, .external_lex_state = 2},
  [4733] = {.lex_state = 15, .external_lex_state = 2},
  [4734] = {.lex_state = 402, .external_lex_state = 2},
  [4735] = {.lex_state = 407, .external_lex_state = 2},
  [4736] = {.lex_state = 15, .external_lex_state = 2},
  [4737] = {.lex_state = 61, .external_lex_state = 2},
  [4738] = {.lex_state = 15, .external_lex_state = 2},
  [4739] = {.lex_state = 61, .external_lex_state = 2},
  [4740] = {.lex_state = 411, .external_lex_state = 2},
  [4741] = {.lex_state = 61, .external_lex_state = 2},
  [4742] = {.lex_state = 15, .external_lex_state = 2},
  [4743] = {.lex_state = 15, .external_lex_state = 2},
  [4744] = {.lex_state = 15, .external_lex_state = 2},
  [4745] = {.lex_state = 411, .external_lex_state = 2},
  [4746] = {.lex_state = 15, .external_lex_state = 2},
  [4747] = {.lex_state = 15, .external_lex_state = 2},
  [4748] = {.lex_state = 411, .external_lex_state = 2},
  [4749] = {.lex_state = 411, .external_lex_state = 2},
  [4750] = {.lex_state = 411, .external_lex_state = 2},
  [4751] = {.lex_state = 15, .external_lex_state = 2},
  [4752] = {.lex_state = 411, .external_lex_state = 2},
  [4753] = {.lex_state = 411, .external_lex_state = 2},
  [4754] = {.lex_state = 61, .external_lex_state = 2},
  [4755] = {.lex_state = 410, .external_lex_state = 2},
  [4756] = {.lex_state = 62, .external_lex_state = 2},
  [4757] = {.lex_state = 411, .external_lex_state = 2},
  [4758] = {.lex_state = 411, .external_lex_state = 2},
  [4759] = {.lex_state = 62, .external_lex_state = 2},
  [4760] = {.lex_state = 411, .external_lex_state = 2},
  [4761] = {.lex_state = 62, .external_lex_state = 2},
  [4762] = {.lex_state = 62, .external_lex_state = 2},
  [4763] = {.lex_state = 411, .external_lex_state = 2},
  [4764] = {.lex_state = 62, .external_lex_state = 2},
  [4765] = {.lex_state = 411, .external_lex_state = 2},
  [4766] = {.lex_state = 62, .external_lex_state = 2},
  [4767] = {.lex_state = 15, .external_lex_state = 2},
  [4768] = {.lex_state = 15, .external_lex_state = 2},
  [4769] = {.lex_state = 62, .external_lex_state = 2},
  [4770] = {.lex_state = 411, .external_lex_state = 2},
  [4771] = {.lex_state = 15, .external_lex_state = 2},
  [4772] = {.lex_state = 62, .external_lex_state = 2},
  [4773] = {.lex_state = 62, .external_lex_state = 2},
  [4774] = {.lex_state = 411, .external_lex_state = 2},
  [4775] = {.lex_state = 62, .external_lex_state = 2},
  [4776] = {.lex_state = 15, .external_lex_state = 2},
  [4777] = {.lex_state = 62, .external_lex_state = 2},
  [4778] = {.lex_state = 15, .external_lex_state = 2},
  [4779] = {.lex_state = 15, .external_lex_state = 2},
  [4780] = {.lex_state = 15, .external_lex_state = 2},
  [4781] = {.lex_state = 410, .external_lex_state = 2},
  [4782] = {.lex_state = 411, .external_lex_state = 2},
  [4783] = {.lex_state = 410, .external_lex_state = 2},
  [4784] = {.lex_state = 15, .external_lex_state = 2},
  [4785] = {.lex_state = 15, .external_lex_state = 2},
  [4786] = {.lex_state = 15, .external_lex_state = 2},
  [4787] = {.lex_state = 411, .external_lex_state = 2},
  [4788] = {.lex_state = 63, .external_lex_state = 2},
  [4789] = {.lex_state = 63, .external_lex_state = 2},
  [4790] = {.lex_state = 15, .external_lex_state = 2},
  [4791] = {.lex_state = 15, .external_lex_state = 2},
  [4792] = {.lex_state = 15, .external_lex_state = 2},
  [4793] = {.lex_state = 15, .external_lex_state = 2},
  [4794] = {.lex_state = 15, .external_lex_state = 2},
  [4795] = {.lex_state = 410, .external_lex_state = 2},
  [4796] = {.lex_state = 410, .external_lex_state = 2},
  [4797] = {.lex_state = 410, .external_lex_state = 2},
  [4798] = {.lex_state = 410, .external_lex_state = 2},
  [4799] = {.lex_state = 410, .external_lex_state = 2},
  [4800] = {.lex_state = 15, .external_lex_state = 2},
  [4801] = {.lex_state = 410, .external_lex_state = 2},
  [4802] = {.lex_state = 410, .external_lex_state = 2},
  [4803] = {.lex_state = 410, .external_lex_state = 2},
  [4804] = {.lex_state = 410, .external_lex_state = 2},
  [4805] = {.lex_state = 410, .external_lex_state = 2},
  [4806] = {.lex_state = 15, .external_lex_state = 2},
  [4807] = {.lex_state = 410, .external_lex_state = 2},
  [4808] = {.lex_state = 410, .external_lex_state = 2},
  [4809] = {.lex_state = 400, .external_lex_state = 2},
  [4810] = {.lex_state = 15, .external_lex_state = 2},
  [4811] = {.lex_state = 411, .external_lex_state = 2},
  [4812] = {.lex_state = 400, .external_lex_state = 2},
  [4813] = {.lex_state = 63, .external_lex_state = 2},
  [4814] = {.lex_state = 15, .external_lex_state = 2},
  [4815] = {.lex_state = 15, .external_lex_state = 2},
  [4816] = {.lex_state = 15, .external_lex_state = 2},
  [4817] = {.lex_state = 63, .external_lex_state = 2},
  [4818] = {.lex_state = 63, .external_lex_state = 2},
  [4819] = {.lex_state = 63, .external_lex_state = 2},
  [4820] = {.lex_state = 400, .external_lex_state = 2},
  [4821] = {.lex_state = 63, .external_lex_state = 2},
  [4822] = {.lex_state = 63, .external_lex_state = 2},
  [4823] = {.lex_state = 63, .external_lex_state = 2},
  [4824] = {.lex_state = 15, .external_lex_state = 2},
  [4825] = {.lex_state = 62, .external_lex_state = 2},
  [4826] = {.lex_state = 410, .external_lex_state = 2},
  [4827] = {.lex_state = 410, .external_lex_state = 2},
  [4828] = {.lex_state = 410, .external_lex_state = 2},
  [4829] = {.lex_state = 63, .external_lex_state = 2},
  [4830] = {.lex_state = 15, .external_lex_state = 2},
  [4831] = {.lex_state = 15, .external_lex_state = 2},
  [4832] = {.lex_state = 63, .external_lex_state = 2},
  [4833] = {.lex_state = 15, .external_lex_state = 2},
  [4834] = {.lex_state = 15, .external_lex_state = 2},
  [4835] = {.lex_state = 62, .external_lex_state = 2},
  [4836] = {.lex_state = 62, .external_lex_state = 2},
  [4837] = {.lex_state = 411, .external_lex_state = 2},
  [4838] = {.lex_state = 62, .external_lex_state = 2},
  [4839] = {.lex_state = 403, .external_lex_state = 2},
  [4840] = {.lex_state = 15, .external_lex_state = 2},
  [4841] = {.lex_state = 403, .external_lex_state = 2},
  [4842] = {.lex_state = 15, .external_lex_state = 2},
  [4843] = {.lex_state = 62, .external_lex_state = 2},
  [4844] = {.lex_state = 62, .external_lex_state = 2},
  [4845] = {.lex_state = 15, .external_lex_state = 2},
  [4846] = {.lex_state = 15, .external_lex_state = 2},
  [4847] = {.lex_state = 62, .external_lex_state = 2},
  [4848] = {.lex_state = 15, .external_lex_state = 2},
  [4849] = {.lex_state = 62, .external_lex_state = 2},
  [4850] = {.lex_state = 62, .external_lex_state = 2},
  [4851] = {.lex_state = 15, .external_lex_state = 2},
  [4852] = {.lex_state = 403, .external_lex_state = 2},
  [4853] = {.lex_state = 411, .external_lex_state = 2},
  [4854] = {.lex_state = 15, .external_lex_state = 2},
  [4855] = {.lex_state = 411, .external_lex_state = 2},
  [4856] = {.lex_state = 411, .external_lex_state = 2},
  [4857] = {.lex_state = 411, .external_lex_state = 2},
  [4858] = {.lex_state = 411, .external_lex_state = 2},
  [4859] = {.lex_state = 15, .external_lex_state = 2},
  [4860] = {.lex_state = 411, .external_lex_state = 2},
  [4861] = {.lex_state = 411, .external_lex_state = 2},
  [4862] = {.lex_state = 15, .external_lex_state = 2},
  [4863] = {.lex_state = 411, .external_lex_state = 2},
  [4864] = {.lex_state = 411, .external_lex_state = 2},
  [4865] = {.lex_state = 411, .external_lex_state = 2},
  [4866] = {.lex_state = 411, .external_lex_state = 2},
  [4867] = {.lex_state = 411, .external_lex_state = 2},
  [4868] = {.lex_state = 411, .external_lex_state = 2},
  [4869] = {.lex_state = 15, .external_lex_state = 2},
  [4870] = {.lex_state = 411, .external_lex_state = 2},
  [4871] = {.lex_state = 411, .external_lex_state = 2},
  [4872] = {.lex_state = 411, .external_lex_state = 2},
  [4873] = {.lex_state = 411, .external_lex_state = 2},
  [4874] = {.lex_state = 411, .external_lex_state = 2},
  [4875] = {.lex_state = 411, .external_lex_state = 2},
  [4876] = {.lex_state = 411, .external_lex_state = 2},
  [4877] = {.lex_state = 411, .external_lex_state = 2},
  [4878] = {.lex_state = 15, .external_lex_state = 2},
  [4879] = {.lex_state = 411, .external_lex_state = 2},
  [4880] = {.lex_state = 411, .external_lex_state = 2},
  [4881] = {.lex_state = 411, .external_lex_state = 2},
  [4882] = {.lex_state = 411, .external_lex_state = 2},
  [4883] = {.lex_state = 411, .external_lex_state = 2},
  [4884] = {.lex_state = 411, .external_lex_state = 2},
  [4885] = {.lex_state = 411, .external_lex_state = 2},
  [4886] = {.lex_state = 411, .external_lex_state = 2},
  [4887] = {.lex_state = 411, .external_lex_state = 2},
  [4888] = {.lex_state = 411, .external_lex_state = 2},
  [4889] = {.lex_state = 15, .external_lex_state = 2},
  [4890] = {.lex_state = 411, .external_lex_state = 2},
  [4891] = {.lex_state = 411, .external_lex_state = 2},
  [4892] = {.lex_state = 411, .external_lex_state = 2},
  [4893] = {.lex_state = 411, .external_lex_state = 2},
  [4894] = {.lex_state = 411, .external_lex_state = 2},
  [4895] = {.lex_state = 15, .external_lex_state = 2},
  [4896] = {.lex_state = 62, .external_lex_state = 2},
  [4897] = {.lex_state = 410, .external_lex_state = 2},
  [4898] = {.lex_state = 411, .external_lex_state = 2},
  [4899] = {.lex_state = 62, .external_lex_state = 2},
  [4900] = {.lex_state = 15, .external_lex_state = 2},
  [4901] = {.lex_state = 15, .external_lex_state = 2},
  [4902] = {.lex_state = 15, .external_lex_state = 2},
  [4903] = {.lex_state = 411, .external_lex_state = 2},
  [4904] = {.lex_state = 15, .external_lex_state = 2},
  [4905] = {.lex_state = 15, .external_lex_state = 2},
  [4906] = {.lex_state = 15, .external_lex_state = 2},
  [4907] = {.lex_state = 15, .external_lex_state = 2},
  [4908] = {.lex_state = 411, .external_lex_state = 2},
  [4909] = {.lex_state = 411, .external_lex_state = 2},
  [4910] = {.lex_state = 15, .external_lex_state = 2},
  [4911] = {.lex_state = 411, .external_lex_state = 2},
  [4912] = {.lex_state = 15, .external_lex_state = 2},
  [4913] = {.lex_state = 48, .external_lex_state = 2},
  [4914] = {.lex_state = 411, .external_lex_state = 2},
  [4915] = {.lex_state = 15, .external_lex_state = 2},
  [4916] = {.lex_state = 15, .external_lex_state = 2},
  [4917] = {.lex_state = 411, .external_lex_state = 2},
  [4918] = {.lex_state = 411, .external_lex_state = 2},
  [4919] = {.lex_state = 15, .external_lex_state = 2},
  [4920] = {.lex_state = 411, .external_lex_state = 2},
  [4921] = {.lex_state = 15, .external_lex_state = 2},
  [4922] = {.lex_state = 411, .external_lex_state = 2},
  [4923] = {.lex_state = 411, .external_lex_state = 2},
  [4924] = {.lex_state = 15, .external_lex_state = 2},
  [4925] = {.lex_state = 411, .external_lex_state = 2},
  [4926] = {.lex_state = 411, .external_lex_state = 2},
  [4927] = {.lex_state = 62, .external_lex_state = 2},
  [4928] = {.lex_state = 62, .external_lex_state = 2},
  [4929] = {.lex_state = 403, .external_lex_state = 2},
  [4930] = {.lex_state = 411, .external_lex_state = 2},
  [4931] = {.lex_state = 411, .external_lex_state = 2},
  [4932] = {.lex_state = 411, .external_lex_state = 2},
  [4933] = {.lex_state = 411, .external_lex_state = 2},
  [4934] = {.lex_state = 411, .external_lex_state = 2},
  [4935] = {.lex_state = 411, .external_lex_state = 2},
  [4936] = {.lex_state = 410, .external_lex_state = 2},
  [4937] = {.lex_state = 411, .external_lex_state = 2},
  [4938] = {.lex_state = 411, .external_lex_state = 2},
  [4939] = {.lex_state = 411, .external_lex_state = 2},
  [4940] = {.lex_state = 410, .external_lex_state = 2},
  [4941] = {.lex_state = 62, .external_lex_state = 2},
  [4942] = {.lex_state = 411, .external_lex_state = 2},
  [4943] = {.lex_state = 411, .external_lex_state = 2},
  [4944] = {.lex_state = 411, .external_lex_state = 2},
  [4945] = {.lex_state = 411, .external_lex_state = 2},
  [4946] = {.lex_state = 411, .external_lex_state = 2},
  [4947] = {.lex_state = 411, .external_lex_state = 2},
  [4948] = {.lex_state = 411, .external_lex_state = 2},
  [4949] = {.lex_state = 62, .external_lex_state = 2},
  [4950] = {.lex_state = 50, .external_lex_state = 2},
  [4951] = {.lex_state = 411, .external_lex_state = 2},
  [4952] = {.lex_state = 411, .external_lex_state = 2},
  [4953] = {.lex_state = 62, .external_lex_state = 2},
  [4954] = {.lex_state = 411, .external_lex_state = 2},
  [4955] = {.lex_state = 411, .external_lex_state = 2},
  [4956] = {.lex_state = 411, .external_lex_state = 2},
  [4957] = {.lex_state = 62, .external_lex_state = 2},
  [4958] = {.lex_state = 62, .external_lex_state = 2},
  [4959] = {.lex_state = 411, .external_lex_state = 2},
  [4960] = {.lex_state = 62, .external_lex_state = 2},
  [4961] = {.lex_state = 62, .external_lex_state = 2},
  [4962] = {.lex_state = 62, .external_lex_state = 2},
  [4963] = {.lex_state = 62, .external_lex_state = 2},
  [4964] = {.lex_state = 62, .external_lex_state = 2},
  [4965] = {.lex_state = 62, .external_lex_state = 2},
  [4966] = {.lex_state = 48, .external_lex_state = 2},
  [4967] = {.lex_state = 62, .external_lex_state = 2},
  [4968] = {.lex_state = 411, .external_lex_state = 2},
  [4969] = {.lex_state = 62, .external_lex_state = 2},
  [4970] = {.lex_state = 62, .external_lex_state = 2},
  [4971] = {.lex_state = 15, .external_lex_state = 2},
  [4972] = {.lex_state = 62, .external_lex_state = 2},
  [4973] = {.lex_state = 62, .external_lex_state = 2},
  [4974] = {.lex_state = 411, .external_lex_state = 2},
  [4975] = {.lex_state = 62, .external_lex_state = 2},
  [4976] = {.lex_state = 411, .external_lex_state = 2},
  [4977] = {.lex_state = 62, .external_lex_state = 2},
  [4978] = {.lex_state = 62, .external_lex_state = 2},
  [4979] = {.lex_state = 49, .external_lex_state = 2},
  [4980] = {.lex_state = 62, .external_lex_state = 2},
  [4981] = {.lex_state = 411, .external_lex_state = 2},
  [4982] = {.lex_state = 411, .external_lex_state = 2},
  [4983] = {.lex_state = 411, .external_lex_state = 2},
  [4984] = {.lex_state = 411, .external_lex_state = 2},
  [4985] = {.lex_state = 411, .external_lex_state = 2},
  [4986] = {.lex_state = 411, .external_lex_state = 2},
  [4987] = {.lex_state = 62, .external_lex_state = 2},
  [4988] = {.lex_state = 411, .external_lex_state = 2},
  [4989] = {.lex_state = 62, .external_lex_state = 2},
  [4990] = {.lex_state = 62, .external_lex_state = 2},
  [4991] = {.lex_state = 62, .external_lex_state = 2},
  [4992] = {.lex_state = 62, .external_lex_state = 2},
  [4993] = {.lex_state = 62, .external_lex_state = 2},
  [4994] = {.lex_state = 62, .external_lex_state = 2},
  [4995] = {.lex_state = 62, .external_lex_state = 2},
  [4996] = {.lex_state = 62, .external_lex_state = 2},
  [4997] = {.lex_state = 62, .external_lex_state = 2},
  [4998] = {.lex_state = 62, .external_lex_state = 2},
  [4999] = {.lex_state = 411, .external_lex_state = 2},
  [5000] = {.lex_state = 411, .external_lex_state = 2},
  [5001] = {.lex_state = 411, .external_lex_state = 2},
  [5002] = {.lex_state = 411, .external_lex_state = 2},
  [5003] = {.lex_state = 411, .external_lex_state = 2},
  [5004] = {.lex_state = 411, .external_lex_state = 2},
  [5005] = {.lex_state = 62, .external_lex_state = 2},
  [5006] = {.lex_state = 411, .external_lex_state = 2},
  [5007] = {.lex_state = 411, .external_lex_state = 2},
  [5008] = {.lex_state = 411, .external_lex_state = 2},
  [5009] = {.lex_state = 411, .external_lex_state = 2},
  [5010] = {.lex_state = 411, .external_lex_state = 2},
  [5011] = {.lex_state = 410, .external_lex_state = 2},
  [5012] = {.lex_state = 411, .external_lex_state = 2},
  [5013] = {.lex_state = 411, .external_lex_state = 2},
  [5014] = {.lex_state = 411, .external_lex_state = 2},
  [5015] = {.lex_state = 62, .external_lex_state = 2},
  [5016] = {.lex_state = 62, .external_lex_state = 2},
  [5017] = {.lex_state = 411, .external_lex_state = 2},
  [5018] = {.lex_state = 411, .external_lex_state = 2},
  [5019] = {.lex_state = 411, .external_lex_state = 2},
  [5020] = {.lex_state = 411, .external_lex_state = 2},
  [5021] = {.lex_state = 411, .external_lex_state = 2},
  [5022] = {.lex_state = 411, .external_lex_state = 2},
  [5023] = {.lex_state = 411, .external_lex_state = 2},
  [5024] = {.lex_state = 411, .external_lex_state = 2},
  [5025] = {.lex_state = 411, .external_lex_state = 2},
  [5026] = {.lex_state = 411, .external_lex_state = 2},
  [5027] = {.lex_state = 411, .external_lex_state = 2},
  [5028] = {.lex_state = 411, .external_lex_state = 2},
  [5029] = {.lex_state = 411, .external_lex_state = 2},
  [5030] = {.lex_state = 411, .external_lex_state = 2},
  [5031] = {.lex_state = 411, .external_lex_state = 2},
  [5032] = {.lex_state = 411, .external_lex_state = 2},
  [5033] = {.lex_state = 411, .external_lex_state = 2},
  [5034] = {.lex_state = 62, .external_lex_state = 2},
  [5035] = {.lex_state = 411, .external_lex_state = 2},
  [5036] = {.lex_state = 411, .external_lex_state = 2},
  [5037] = {.lex_state = 411, .external_lex_state = 2},
  [5038] = {.lex_state = 411, .external_lex_state = 2},
  [5039] = {.lex_state = 411, .external_lex_state = 2},
  [5040] = {.lex_state = 411, .external_lex_state = 2},
  [5041] = {.lex_state = 411, .external_lex_state = 2},
  [5042] = {.lex_state = 62, .external_lex_state = 2},
  [5043] = {.lex_state = 411, .external_lex_state = 2},
  [5044] = {.lex_state = 411, .external_lex_state = 2},
  [5045] = {.lex_state = 411, .external_lex_state = 2},
  [5046] = {.lex_state = 411, .external_lex_state = 2},
  [5047] = {.lex_state = 411, .external_lex_state = 2},
  [5048] = {.lex_state = 62, .external_lex_state = 2},
  [5049] = {.lex_state = 411, .external_lex_state = 2},
  [5050] = {.lex_state = 411, .external_lex_state = 2},
  [5051] = {.lex_state = 411, .external_lex_state = 2},
  [5052] = {.lex_state = 411, .external_lex_state = 2},
  [5053] = {.lex_state = 62, .external_lex_state = 2},
  [5054] = {.lex_state = 62, .external_lex_state = 2},
  [5055] = {.lex_state = 62, .external_lex_state = 2},
  [5056] = {.lex_state = 411, .external_lex_state = 2},
  [5057] = {.lex_state = 62, .external_lex_state = 2},
  [5058] = {.lex_state = 411, .external_lex_state = 2},
  [5059] = {.lex_state = 62, .external_lex_state = 2},
  [5060] = {.lex_state = 62, .external_lex_state = 2},
  [5061] = {.lex_state = 62, .external_lex_state = 2},
  [5062] = {.lex_state = 411, .external_lex_state = 2},
  [5063] = {.lex_state = 411, .external_lex_state = 2},
  [5064] = {.lex_state = 62, .external_lex_state = 2},
  [5065] = {.lex_state = 62, .external_lex_state = 2},
  [5066] = {.lex_state = 62, .external_lex_state = 2},
  [5067] = {.lex_state = 62, .external_lex_state = 2},
  [5068] = {.lex_state = 411, .external_lex_state = 2},
  [5069] = {.lex_state = 400, .external_lex_state = 2},
  [5070] = {.lex_state = 410, .external_lex_state = 2},
  [5071] = {.lex_state = 63, .external_lex_state = 2},
  [5072] = {.lex_state = 15, .external_lex_state = 2},
  [5073] = {.lex_state = 15, .external_lex_state = 2},
  [5074] = {.lex_state = 15, .external_lex_state = 2},
  [5075] = {.lex_state = 15, .external_lex_state = 2},
  [5076] = {.lex_state = 15, .external_lex_state = 2},
  [5077] = {.lex_state = 410, .external_lex_state = 2},
  [5078] = {.lex_state = 63, .external_lex_state = 2},
  [5079] = {.lex_state = 63, .external_lex_state = 2},
  [5080] = {.lex_state = 410, .external_lex_state = 2},
  [5081] = {.lex_state = 63, .external_lex_state = 2},
  [5082] = {.lex_state = 410, .external_lex_state = 2},
  [5083] = {.lex_state = 15, .external_lex_state = 2},
  [5084] = {.lex_state = 63, .external_lex_state = 2},
  [5085] = {.lex_state = 63, .external_lex_state = 2},
  [5086] = {.lex_state = 410, .external_lex_state = 2},
  [5087] = {.lex_state = 63, .external_lex_state = 2},
  [5088] = {.lex_state = 15, .external_lex_state = 2},
  [5089] = {.lex_state = 410, .external_lex_state = 2},
  [5090] = {.lex_state = 15, .external_lex_state = 2},
  [5091] = {.lex_state = 410, .external_lex_state = 2},
  [5092] = {.lex_state = 410, .external_lex_state = 2},
  [5093] = {.lex_state = 15, .external_lex_state = 2},
  [5094] = {.lex_state = 15, .external_lex_state = 2},
  [5095] = {.lex_state = 15, .external_lex_state = 2},
  [5096] = {.lex_state = 410, .external_lex_state = 2},
  [5097] = {.lex_state = 410, .external_lex_state = 2},
  [5098] = {.lex_state = 410, .external_lex_state = 2},
  [5099] = {.lex_state = 410, .external_lex_state = 2},
  [5100] = {.lex_state = 15, .external_lex_state = 2},
  [5101] = {.lex_state = 15, .external_lex_state = 2},
  [5102] = {.lex_state = 15, .external_lex_state = 2},
  [5103] = {.lex_state = 63, .external_lex_state = 2},
  [5104] = {.lex_state = 63, .external_lex_state = 2},
  [5105] = {.lex_state = 15, .external_lex_state = 2},
  [5106] = {.lex_state = 15, .external_lex_state = 2},
  [5107] = {.lex_state = 410, .external_lex_state = 2},
  [5108] = {.lex_state = 15, .external_lex_state = 2},
  [5109] = {.lex_state = 15, .external_lex_state = 2},
  [5110] = {.lex_state = 15, .external_lex_state = 2},
  [5111] = {.lex_state = 410, .external_lex_state = 2},
  [5112] = {.lex_state = 410, .external_lex_state = 2},
  [5113] = {.lex_state = 15, .external_lex_state = 2},
  [5114] = {.lex_state = 15, .external_lex_state = 2},
  [5115] = {.lex_state = 410, .external_lex_state = 2},
  [5116] = {.lex_state = 410, .external_lex_state = 2},
  [5117] = {.lex_state = 410, .external_lex_state = 2},
  [5118] = {.lex_state = 410, .external_lex_state = 2},
  [5119] = {.lex_state = 15, .external_lex_state = 2},
  [5120] = {.lex_state = 15, .external_lex_state = 2},
  [5121] = {.lex_state = 15, .external_lex_state = 2},
  [5122] = {.lex_state = 410, .external_lex_state = 2},
  [5123] = {.lex_state = 410, .external_lex_state = 2},
  [5124] = {.lex_state = 410, .external_lex_state = 2},
  [5125] = {.lex_state = 410, .external_lex_state = 2},
  [5126] = {.lex_state = 15, .external_lex_state = 2},
  [5127] = {.lex_state = 410, .external_lex_state = 2},
  [5128] = {.lex_state = 410, .external_lex_state = 2},
  [5129] = {.lex_state = 410, .external_lex_state = 2},
  [5130] = {.lex_state = 410, .external_lex_state = 2},
  [5131] = {.lex_state = 63, .external_lex_state = 2},
  [5132] = {.lex_state = 410, .external_lex_state = 2},
  [5133] = {.lex_state = 410, .external_lex_state = 2},
  [5134] = {.lex_state = 410, .external_lex_state = 2},
  [5135] = {.lex_state = 410, .external_lex_state = 2},
  [5136] = {.lex_state = 410, .external_lex_state = 2},
  [5137] = {.lex_state = 15, .external_lex_state = 2},
  [5138] = {.lex_state = 15, .external_lex_state = 2},
  [5139] = {.lex_state = 15, .external_lex_state = 2},
  [5140] = {.lex_state = 410, .external_lex_state = 2},
  [5141] = {.lex_state = 410, .external_lex_state = 2},
  [5142] = {.lex_state = 410, .external_lex_state = 2},
  [5143] = {.lex_state = 410, .external_lex_state = 2},
  [5144] = {.lex_state = 410, .external_lex_state = 2},
  [5145] = {.lex_state = 15, .external_lex_state = 2},
  [5146] = {.lex_state = 15, .external_lex_state = 2},
  [5147] = {.lex_state = 410, .external_lex_state = 2},
  [5148] = {.lex_state = 410, .external_lex_state = 2},
  [5149] = {.lex_state = 410, .external_lex_state = 2},
  [5150] = {.lex_state = 410, .external_lex_state = 2},
  [5151] = {.lex_state = 410, .external_lex_state = 2},
  [5152] = {.lex_state = 15, .external_lex_state = 2},
  [5153] = {.lex_state = 15, .external_lex_state = 2},
  [5154] = {.lex_state = 410, .external_lex_state = 2},
  [5155] = {.lex_state = 15, .external_lex_state = 2},
  [5156] = {.lex_state = 15, .external_lex_state = 2},
  [5157] = {.lex_state = 63, .external_lex_state = 2},
  [5158] = {.lex_state = 63, .external_lex_state = 2},
  [5159] = {.lex_state = 63, .external_lex_state = 2},
  [5160] = {.lex_state = 63, .external_lex_state = 2},
  [5161] = {.lex_state = 15, .external_lex_state = 2},
  [5162] = {.lex_state = 15, .external_lex_state = 2},
  [5163] = {.lex_state = 410, .external_lex_state = 2},
  [5164] = {.lex_state = 410, .external_lex_state = 2},
  [5165] = {.lex_state = 63, .external_lex_state = 2},
  [5166] = {.lex_state = 15, .external_lex_state = 2},
  [5167] = {.lex_state = 15, .external_lex_state = 2},
  [5168] = {.lex_state = 15, .external_lex_state = 2},
  [5169] = {.lex_state = 15, .external_lex_state = 2},
  [5170] = {.lex_state = 15, .external_lex_state = 2},
  [5171] = {.lex_state = 410, .external_lex_state = 2},
  [5172] = {.lex_state = 410, .external_lex_state = 2},
  [5173] = {.lex_state = 410, .external_lex_state = 2},
  [5174] = {.lex_state = 410, .external_lex_state = 2},
  [5175] = {.lex_state = 15, .external_lex_state = 2},
  [5176] = {.lex_state = 15, .external_lex_state = 2},
  [5177] = {.lex_state = 15, .external_lex_state = 2},
  [5178] = {.lex_state = 15, .external_lex_state = 2},
  [5179] = {.lex_state = 15, .external_lex_state = 2},
  [5180] = {.lex_state = 15, .external_lex_state = 2},
  [5181] = {.lex_state = 15, .external_lex_state = 2},
  [5182] = {.lex_state = 15, .external_lex_state = 2},
  [5183] = {.lex_state = 15, .external_lex_state = 2},
  [5184] = {.lex_state = 15, .external_lex_state = 2},
  [5185] = {.lex_state = 15, .external_lex_state = 2},
  [5186] = {.lex_state = 15, .external_lex_state = 2},
  [5187] = {.lex_state = 410, .external_lex_state = 2},
  [5188] = {.lex_state = 15, .external_lex_state = 2},
  [5189] = {.lex_state = 15, .external_lex_state = 2},
  [5190] = {.lex_state = 15, .external_lex_state = 2},
  [5191] = {.lex_state = 63, .external_lex_state = 2},
  [5192] = {.lex_state = 15, .external_lex_state = 2},
  [5193] = {.lex_state = 63, .external_lex_state = 2},
  [5194] = {.lex_state = 63, .external_lex_state = 2},
  [5195] = {.lex_state = 63, .external_lex_state = 2},
  [5196] = {.lex_state = 63, .external_lex_state = 2},
  [5197] = {.lex_state = 63, .external_lex_state = 2},
  [5198] = {.lex_state = 410, .external_lex_state = 2},
  [5199] = {.lex_state = 15, .external_lex_state = 2},
  [5200] = {.lex_state = 15, .external_lex_state = 2},
  [5201] = {.lex_state = 15, .external_lex_state = 2},
  [5202] = {.lex_state = 15, .external_lex_state = 2},
  [5203] = {.lex_state = 15, .external_lex_state = 2},
  [5204] = {.lex_state = 410, .external_lex_state = 2},
  [5205] = {.lex_state = 63, .external_lex_state = 2},
  [5206] = {.lex_state = 15, .external_lex_state = 2},
  [5207] = {.lex_state = 63, .external_lex_state = 2},
  [5208] = {.lex_state = 15, .external_lex_state = 2},
  [5209] = {.lex_state = 15, .external_lex_state = 2},
  [5210] = {.lex_state = 15, .external_lex_state = 2},
  [5211] = {.lex_state = 15, .external_lex_state = 2},
  [5212] = {.lex_state = 15, .external_lex_state = 2},
  [5213] = {.lex_state = 410, .external_lex_state = 2},
  [5214] = {.lex_state = 410, .external_lex_state = 2},
  [5215] = {.lex_state = 410, .external_lex_state = 2},
  [5216] = {.lex_state = 15, .external_lex_state = 2},
  [5217] = {.lex_state = 410, .external_lex_state = 2},
  [5218] = {.lex_state = 15, .external_lex_state = 2},
  [5219] = {.lex_state = 63, .external_lex_state = 2},
  [5220] = {.lex_state = 15, .external_lex_state = 2},
  [5221] = {.lex_state = 15, .external_lex_state = 2},
  [5222] = {.lex_state = 15, .external_lex_state = 2},
  [5223] = {.lex_state = 15, .external_lex_state = 2},
  [5224] = {.lex_state = 63, .external_lex_state = 2},
  [5225] = {.lex_state = 63, .external_lex_state = 2},
  [5226] = {.lex_state = 410, .external_lex_state = 2},
  [5227] = {.lex_state = 63, .external_lex_state = 2},
  [5228] = {.lex_state = 410, .external_lex_state = 2},
  [5229] = {.lex_state = 63, .external_lex_state = 2},
  [5230] = {.lex_state = 15, .external_lex_state = 2},
  [5231] = {.lex_state = 63, .external_lex_state = 2},
  [5232] = {.lex_state = 15, .external_lex_state = 2},
  [5233] = {.lex_state = 15, .external_lex_state = 2},
  [5234] = {.lex_state = 15, .external_lex_state = 2},
  [5235] = {.lex_state = 15, .external_lex_state = 2},
  [5236] = {.lex_state = 15, .external_lex_state = 2},
  [5237] = {.lex_state = 15, .external_lex_state = 2},
  [5238] = {.lex_state = 410, .external_lex_state = 2},
  [5239] = {.lex_state = 15, .external_lex_state = 2},
  [5240] = {.lex_state = 15, .external_lex_state = 2},
  [5241] = {.lex_state = 63, .external_lex_state = 2},
  [5242] = {.lex_state = 63, .external_lex_state = 2},
  [5243] = {.lex_state = 15, .external_lex_state = 2},
  [5244] = {.lex_state = 410, .external_lex_state = 2},
  [5245] = {.lex_state = 410, .external_lex_state = 2},
  [5246] = {.lex_state = 410, .external_lex_state = 2},
  [5247] = {.lex_state = 15, .external_lex_state = 2},
  [5248] = {.lex_state = 15, .external_lex_state = 2},
  [5249] = {.lex_state = 15, .external_lex_state = 2},
  [5250] = {.lex_state = 410, .external_lex_state = 2},
  [5251] = {.lex_state = 15, .external_lex_state = 2},
  [5252] = {.lex_state = 63, .external_lex_state = 2},
  [5253] = {.lex_state = 15, .external_lex_state = 2},
  [5254] = {.lex_state = 15, .external_lex_state = 2},
  [5255] = {.lex_state = 15, .external_lex_state = 2},
  [5256] = {.lex_state = 15, .external_lex_state = 2},
  [5257] = {.lex_state = 63, .external_lex_state = 2},
  [5258] = {.lex_state = 15, .external_lex_state = 2},
  [5259] = {.lex_state = 15, .external_lex_state = 2},
  [5260] = {.lex_state = 15, .external_lex_state = 2},
  [5261] = {.lex_state = 15, .external_lex_state = 2},
  [5262] = {.lex_state = 410, .external_lex_state = 2},
  [5263] = {.lex_state = 15, .external_lex_state = 2},
  [5264] = {.lex_state = 15, .external_lex_state = 2},
  [5265] = {.lex_state = 63, .external_lex_state = 2},
  [5266] = {.lex_state = 15, .external_lex_state = 2},
  [5267] = {.lex_state = 15, .external_lex_state = 2},
  [5268] = {.lex_state = 15, .external_lex_state = 2},
  [5269] = {.lex_state = 15, .external_lex_state = 2},
  [5270] = {.lex_state = 15, .external_lex_state = 2},
  [5271] = {.lex_state = 15, .external_lex_state = 2},
  [5272] = {.lex_state = 15, .external_lex_state = 2},
  [5273] = {.lex_state = 15, .external_lex_state = 2},
  [5274] = {.lex_state = 410, .external_lex_state = 2},
  [5275] = {.lex_state = 63, .external_lex_state = 2},
  [5276] = {.lex_state = 15, .external_lex_state = 2},
  [5277] = {.lex_state = 15, .external_lex_state = 2},
  [5278] = {.lex_state = 15, .external_lex_state = 2},
  [5279] = {.lex_state = 15, .external_lex_state = 2},
  [5280] = {.lex_state = 15, .external_lex_state = 2},
  [5281] = {.lex_state = 410, .external_lex_state = 2},
  [5282] = {.lex_state = 15, .external_lex_state = 2},
  [5283] = {.lex_state = 15, .external_lex_state = 2},
  [5284] = {.lex_state = 15, .external_lex_state = 2},
  [5285] = {.lex_state = 15, .external_lex_state = 2},
  [5286] = {.lex_state = 410, .external_lex_state = 2},
  [5287] = {.lex_state = 15, .external_lex_state = 2},
  [5288] = {.lex_state = 15, .external_lex_state = 2},
  [5289] = {.lex_state = 15, .external_lex_state = 2},
  [5290] = {.lex_state = 63, .external_lex_state = 2},
  [5291] = {.lex_state = 15, .external_lex_state = 2},
  [5292] = {.lex_state = 15, .external_lex_state = 2},
  [5293] = {.lex_state = 410, .external_lex_state = 2},
  [5294] = {.lex_state = 15, .external_lex_state = 2},
  [5295] = {.lex_state = 15, .external_lex_state = 2},
  [5296] = {.lex_state = 15, .external_lex_state = 2},
  [5297] = {.lex_state = 410, .external_lex_state = 2},
  [5298] = {.lex_state = 15, .external_lex_state = 2},
  [5299] = {.lex_state = 410, .external_lex_state = 2},
  [5300] = {.lex_state = 410, .external_lex_state = 2},
  [5301] = {.lex_state = 410, .external_lex_state = 2},
  [5302] = {.lex_state = 410, .external_lex_state = 2},
  [5303] = {.lex_state = 410, .external_lex_state = 2},
  [5304] = {.lex_state = 410, .external_lex_state = 2},
  [5305] = {.lex_state = 401, .external_lex_state = 2},
  [5306] = {.lex_state = 410, .external_lex_state = 2},
  [5307] = {.lex_state = 15, .external_lex_state = 2},
  [5308] = {.lex_state = 410, .external_lex_state = 2},
  [5309] = {.lex_state = 15, .external_lex_state = 2},
  [5310] = {.lex_state = 15, .external_lex_state = 2},
  [5311] = {.lex_state = 410, .external_lex_state = 2},
  [5312] = {.lex_state = 410, .external_lex_state = 2},
  [5313] = {.lex_state = 15, .external_lex_state = 2},
  [5314] = {.lex_state = 15, .external_lex_state = 2},
  [5315] = {.lex_state = 15, .external_lex_state = 2},
  [5316] = {.lex_state = 410, .external_lex_state = 2},
  [5317] = {.lex_state = 15, .external_lex_state = 2},
  [5318] = {.lex_state = 15, .external_lex_state = 2},
  [5319] = {.lex_state = 410, .external_lex_state = 2},
  [5320] = {.lex_state = 410, .external_lex_state = 2},
  [5321] = {.lex_state = 410, .external_lex_state = 2},
  [5322] = {.lex_state = 410, .external_lex_state = 2},
  [5323] = {.lex_state = 410, .external_lex_state = 2},
  [5324] = {.lex_state = 401, .external_lex_state = 2},
  [5325] = {.lex_state = 410, .external_lex_state = 2},
  [5326] = {.lex_state = 410, .external_lex_state = 2},
  [5327] = {.lex_state = 410, .external_lex_state = 2},
  [5328] = {.lex_state = 401, .external_lex_state = 2},
  [5329] = {.lex_state = 401, .external_lex_state = 2},
  [5330] = {.lex_state = 410, .external_lex_state = 2},
  [5331] = {.lex_state = 50, .external_lex_state = 2},
  [5332] = {.lex_state = 410, .external_lex_state = 2},
  [5333] = {.lex_state = 50, .external_lex_state = 2},
  [5334] = {.lex_state = 410, .external_lex_state = 2},
  [5335] = {.lex_state = 410, .external_lex_state = 2},
  [5336] = {.lex_state = 410, .external_lex_state = 2},
  [5337] = {.lex_state = 15, .external_lex_state = 2},
  [5338] = {.lex_state = 410, .external_lex_state = 2},
  [5339] = {.lex_state = 410, .external_lex_state = 2},
  [5340] = {.lex_state = 410, .external_lex_state = 2},
  [5341] = {.lex_state = 410, .external_lex_state = 2},
  [5342] = {.lex_state = 410, .external_lex_state = 2},
  [5343] = {.lex_state = 410, .external_lex_state = 2},
  [5344] = {.lex_state = 410, .external_lex_state = 2},
  [5345] = {.lex_state = 410, .external_lex_state = 2},
  [5346] = {.lex_state = 410, .external_lex_state = 2},
  [5347] = {.lex_state = 410, .external_lex_state = 2},
  [5348] = {.lex_state = 410, .external_lex_state = 2},
  [5349] = {.lex_state = 410, .external_lex_state = 2},
  [5350] = {.lex_state = 15, .external_lex_state = 2},
  [5351] = {.lex_state = 410, .external_lex_state = 2},
  [5352] = {.lex_state = 51, .external_lex_state = 2},
  [5353] = {.lex_state = 15, .external_lex_state = 2},
  [5354] = {.lex_state = 15, .external_lex_state = 2},
  [5355] = {.lex_state = 15, .external_lex_state = 2},
  [5356] = {.lex_state = 410, .external_lex_state = 2},
  [5357] = {.lex_state = 410, .external_lex_state = 2},
  [5358] = {.lex_state = 15, .external_lex_state = 2},
  [5359] = {.lex_state = 410, .external_lex_state = 2},
  [5360] = {.lex_state = 410, .external_lex_state = 2},
  [5361] = {.lex_state = 49, .external_lex_state = 2},
  [5362] = {.lex_state = 410, .external_lex_state = 2},
  [5363] = {.lex_state = 410, .external_lex_state = 2},
  [5364] = {.lex_state = 410, .external_lex_state = 2},
  [5365] = {.lex_state = 15, .external_lex_state = 2},
  [5366] = {.lex_state = 410, .external_lex_state = 2},
  [5367] = {.lex_state = 410, .external_lex_state = 2},
  [5368] = {.lex_state = 410, .external_lex_state = 2},
  [5369] = {.lex_state = 410, .external_lex_state = 2},
  [5370] = {.lex_state = 410, .external_lex_state = 2},
  [5371] = {.lex_state = 49, .external_lex_state = 2},
  [5372] = {.lex_state = 15, .external_lex_state = 2},
  [5373] = {.lex_state = 410, .external_lex_state = 2},
  [5374] = {.lex_state = 410, .external_lex_state = 2},
  [5375] = {.lex_state = 410, .external_lex_state = 2},
  [5376] = {.lex_state = 410, .external_lex_state = 2},
  [5377] = {.lex_state = 410, .external_lex_state = 2},
  [5378] = {.lex_state = 410, .external_lex_state = 2},
  [5379] = {.lex_state = 410, .external_lex_state = 2},
  [5380] = {.lex_state = 410, .external_lex_state = 2},
  [5381] = {.lex_state = 410, .external_lex_state = 2},
  [5382] = {.lex_state = 63, .external_lex_state = 2},
  [5383] = {.lex_state = 15, .external_lex_state = 2},
  [5384] = {.lex_state = 15, .external_lex_state = 2},
  [5385] = {.lex_state = 15, .external_lex_state = 2},
  [5386] = {.lex_state = 15, .external_lex_state = 2},
  [5387] = {.lex_state = 410, .external_lex_state = 2},
  [5388] = {.lex_state = 63, .external_lex_state = 2},
  [5389] = {.lex_state = 63, .external_lex_state = 2},
  [5390] = {.lex_state = 63, .external_lex_state = 2},
  [5391] = {.lex_state = 410, .external_lex_state = 2},
  [5392] = {.lex_state = 63, .external_lex_state = 2},
  [5393] = {.lex_state = 63, .external_lex_state = 2},
  [5394] = {.lex_state = 63, .external_lex_state = 2},
  [5395] = {.lex_state = 15, .external_lex_state = 2},
  [5396] = {.lex_state = 410, .external_lex_state = 2},
  [5397] = {.lex_state = 410, .external_lex_state = 2},
  [5398] = {.lex_state = 410, .external_lex_state = 2},
  [5399] = {.lex_state = 410, .external_lex_state = 2},
  [5400] = {.lex_state = 410, .external_lex_state = 2},
  [5401] = {.lex_state = 410, .external_lex_state = 2},
  [5402] = {.lex_state = 15, .external_lex_state = 2},
  [5403] = {.lex_state = 15, .external_lex_state = 2},
  [5404] = {.lex_state = 410, .external_lex_state = 2},
  [5405] = {.lex_state = 15, .external_lex_state = 2},
  [5406] = {.lex_state = 15, .external_lex_state = 2},
  [5407] = {.lex_state = 63, .external_lex_state = 2},
  [5408] = {.lex_state = 63, .external_lex_state = 2},
  [5409] = {.lex_state = 63, .external_lex_state = 2},
  [5410] = {.lex_state = 63, .external_lex_state = 2},
  [5411] = {.lex_state = 15, .external_lex_state = 2},
  [5412] = {.lex_state = 63, .external_lex_state = 2},
  [5413] = {.lex_state = 63, .external_lex_state = 2},
  [5414] = {.lex_state = 63, .external_lex_state = 2},
  [5415] = {.lex_state = 410, .external_lex_state = 2},
  [5416] = {.lex_state = 15, .external_lex_state = 2},
  [5417] = {.lex_state = 63, .external_lex_state = 2},
  [5418] = {.lex_state = 63, .external_lex_state = 2},
  [5419] = {.lex_state = 15, .external_lex_state = 2},
  [5420] = {.lex_state = 63, .external_lex_state = 2},
  [5421] = {.lex_state = 410, .external_lex_state = 2},
  [5422] = {.lex_state = 63, .external_lex_state = 2},
  [5423] = {.lex_state = 63, .external_lex_state = 2},
  [5424] = {.lex_state = 63, .external_lex_state = 2},
  [5425] = {.lex_state = 15, .external_lex_state = 2},
  [5426] = {.lex_state = 63, .external_lex_state = 2},
  [5427] = {.lex_state = 15, .external_lex_state = 2},
  [5428] = {.lex_state = 15, .external_lex_state = 2},
  [5429] = {.lex_state = 63, .external_lex_state = 2},
  [5430] = {.lex_state = 15, .external_lex_state = 2},
  [5431] = {.lex_state = 63, .external_lex_state = 2},
  [5432] = {.lex_state = 410, .external_lex_state = 2},
  [5433] = {.lex_state = 63, .external_lex_state = 2},
  [5434] = {.lex_state = 63, .external_lex_state = 2},
  [5435] = {.lex_state = 63, .external_lex_state = 2},
  [5436] = {.lex_state = 63, .external_lex_state = 2},
  [5437] = {.lex_state = 63, .external_lex_state = 2},
  [5438] = {.lex_state = 63, .external_lex_state = 2},
  [5439] = {.lex_state = 63, .external_lex_state = 2},
  [5440] = {.lex_state = 63, .external_lex_state = 2},
  [5441] = {.lex_state = 63, .external_lex_state = 2},
  [5442] = {.lex_state = 63, .external_lex_state = 2},
  [5443] = {.lex_state = 410, .external_lex_state = 2},
  [5444] = {.lex_state = 410, .external_lex_state = 2},
  [5445] = {.lex_state = 15, .external_lex_state = 2},
  [5446] = {.lex_state = 410, .external_lex_state = 2},
  [5447] = {.lex_state = 63, .external_lex_state = 2},
  [5448] = {.lex_state = 410, .external_lex_state = 2},
  [5449] = {.lex_state = 63, .external_lex_state = 2},
  [5450] = {.lex_state = 63, .external_lex_state = 2},
  [5451] = {.lex_state = 410, .external_lex_state = 2},
  [5452] = {.lex_state = 52, .external_lex_state = 2},
  [5453] = {.lex_state = 15, .external_lex_state = 2},
  [5454] = {.lex_state = 15, .external_lex_state = 2},
  [5455] = {.lex_state = 15, .external_lex_state = 2},
  [5456] = {.lex_state = 15, .external_lex_state = 2},
  [5457] = {.lex_state = 15, .external_lex_state = 2},
  [5458] = {.lex_state = 15, .external_lex_state = 2},
  [5459] = {.lex_state = 15, .external_lex_state = 2},
  [5460] = {.lex_state = 15, .external_lex_state = 2},
  [5461] = {.lex_state = 405, .external_lex_state = 2},
  [5462] = {.lex_state = 15, .external_lex_state = 2},
  [5463] = {.lex_state = 15, .external_lex_state = 2},
  [5464] = {.lex_state = 15, .external_lex_state = 2},
  [5465] = {.lex_state = 15, .external_lex_state = 2},
  [5466] = {.lex_state = 15, .external_lex_state = 2},
  [5467] = {.lex_state = 15, .external_lex_state = 2},
  [5468] = {.lex_state = 15, .external_lex_state = 2},
  [5469] = {.lex_state = 405, .external_lex_state = 2},
  [5470] = {.lex_state = 15, .external_lex_state = 2},
  [5471] = {.lex_state = 15, .external_lex_state = 2},
  [5472] = {.lex_state = 15, .external_lex_state = 2},
  [5473] = {.lex_state = 15, .external_lex_state = 2},
  [5474] = {.lex_state = 15, .external_lex_state = 2},
  [5475] = {.lex_state = 15, .external_lex_state = 2},
  [5476] = {.lex_state = 15, .external_lex_state = 2},
  [5477] = {.lex_state = 15, .external_lex_state = 2},
  [5478] = {.lex_state = 15, .external_lex_state = 2},
  [5479] = {.lex_state = 51, .external_lex_state = 2},
  [5480] = {.lex_state = 15, .external_lex_state = 2},
  [5481] = {.lex_state = 15, .external_lex_state = 2},
  [5482] = {.lex_state = 15, .external_lex_state = 2},
  [5483] = {.lex_state = 15, .external_lex_state = 2},
  [5484] = {.lex_state = 15, .external_lex_state = 2},
  [5485] = {.lex_state = 15, .external_lex_state = 2},
  [5486] = {.lex_state = 15, .external_lex_state = 2},
  [5487] = {.lex_state = 15, .external_lex_state = 2},
  [5488] = {.lex_state = 15, .external_lex_state = 2},
  [5489] = {.lex_state = 15, .external_lex_state = 2},
  [5490] = {.lex_state = 15, .external_lex_state = 2},
  [5491] = {.lex_state = 15, .external_lex_state = 2},
  [5492] = {.lex_state = 15, .external_lex_state = 2},
  [5493] = {.lex_state = 15, .external_lex_state = 2},
  [5494] = {.lex_state = 15, .external_lex_state = 2},
  [5495] = {.lex_state = 15, .external_lex_state = 2},
  [5496] = {.lex_state = 15, .external_lex_state = 2},
  [5497] = {.lex_state = 15, .external_lex_state = 2},
  [5498] = {.lex_state = 15, .external_lex_state = 2},
  [5499] = {.lex_state = 15, .external_lex_state = 2},
  [5500] = {.lex_state = 15, .external_lex_state = 2},
  [5501] = {.lex_state = 15, .external_lex_state = 2},
  [5502] = {.lex_state = 15, .external_lex_state = 2},
  [5503] = {.lex_state = 15, .external_lex_state = 2},
  [5504] = {.lex_state = 15, .external_lex_state = 2},
  [5505] = {.lex_state = 15, .external_lex_state = 2},
  [5506] = {.lex_state = 15, .external_lex_state = 2},
  [5507] = {.lex_state = 405, .external_lex_state = 2},
  [5508] = {.lex_state = 15, .external_lex_state = 2},
  [5509] = {.lex_state = 15, .external_lex_state = 2},
  [5510] = {.lex_state = 15, .external_lex_state = 2},
  [5511] = {.lex_state = 15, .external_lex_state = 2},
  [5512] = {.lex_state = 15, .external_lex_state = 2},
  [5513] = {.lex_state = 15, .external_lex_state = 2},
  [5514] = {.lex_state = 15, .external_lex_state = 2},
  [5515] = {.lex_state = 405, .external_lex_state = 2},
  [5516] = {.lex_state = 15, .external_lex_state = 2},
  [5517] = {.lex_state = 15, .external_lex_state = 2},
  [5518] = {.lex_state = 15, .external_lex_state = 2},
  [5519] = {.lex_state = 15, .external_lex_state = 2},
  [5520] = {.lex_state = 15, .external_lex_state = 2},
  [5521] = {.lex_state = 15, .external_lex_state = 2},
  [5522] = {.lex_state = 15, .external_lex_state = 2},
  [5523] = {.lex_state = 15, .external_lex_state = 2},
  [5524] = {.lex_state = 15, .external_lex_state = 2},
  [5525] = {.lex_state = 15, .external_lex_state = 2},
  [5526] = {.lex_state = 15, .external_lex_state = 2},
  [5527] = {.lex_state = 51, .external_lex_state = 2},
  [5528] = {.lex_state = 15, .external_lex_state = 2},
  [5529] = {.lex_state = 15, .external_lex_state = 2},
  [5530] = {.lex_state = 15, .external_lex_state = 2},
  [5531] = {.lex_state = 15, .external_lex_state = 2},
  [5532] = {.lex_state = 15, .external_lex_state = 2},
  [5533] = {.lex_state = 15, .external_lex_state = 2},
  [5534] = {.lex_state = 15, .external_lex_state = 2},
  [5535] = {.lex_state = 6, .external_lex_state = 2},
  [5536] = {.lex_state = 15, .external_lex_state = 2},
  [5537] = {.lex_state = 6, .external_lex_state = 2},
  [5538] = {.lex_state = 15, .external_lex_state = 2},
  [5539] = {.lex_state = 15, .external_lex_state = 2},
  [5540] = {.lex_state = 6, .external_lex_state = 2},
  [5541] = {.lex_state = 15, .external_lex_state = 2},
  [5542] = {.lex_state = 6, .external_lex_state = 2},
  [5543] = {.lex_state = 6, .external_lex_state = 2},
  [5544] = {.lex_state = 15, .external_lex_state = 2},
  [5545] = {.lex_state = 15, .external_lex_state = 2},
  [5546] = {.lex_state = 6, .external_lex_state = 2},
  [5547] = {.lex_state = 15, .external_lex_state = 2},
  [5548] = {.lex_state = 6, .external_lex_state = 2},
  [5549] = {.lex_state = 15, .external_lex_state = 2},
  [5550] = {.lex_state = 6, .external_lex_state = 2},
  [5551] = {.lex_state = 15, .external_lex_state = 2},
  [5552] = {.lex_state = 6, .external_lex_state = 2},
  [5553] = {.lex_state = 15, .external_lex_state = 2},
  [5554] = {.lex_state = 6, .external_lex_state = 2},
  [5555] = {.lex_state = 53, .external_lex_state = 2},
  [5556] = {.lex_state = 15, .external_lex_state = 2},
  [5557] = {.lex_state = 15, .external_lex_state = 2},
  [5558] = {.lex_state = 15, .external_lex_state = 2},
  [5559] = {.lex_state = 6, .external_lex_state = 2},
  [5560] = {.lex_state = 404, .external_lex_state = 2},
  [5561] = {.lex_state = 404, .external_lex_state = 2},
  [5562] = {.lex_state = 6, .external_lex_state = 2},
  [5563] = {.lex_state = 15, .external_lex_state = 2},
  [5564] = {.lex_state = 6, .external_lex_state = 2},
  [5565] = {.lex_state = 15, .external_lex_state = 2},
  [5566] = {.lex_state = 15, .external_lex_state = 2},
  [5567] = {.lex_state = 15, .external_lex_state = 2},
  [5568] = {.lex_state = 15, .external_lex_state = 2},
  [5569] = {.lex_state = 15, .external_lex_state = 2},
  [5570] = {.lex_state = 15, .external_lex_state = 2},
  [5571] = {.lex_state = 15, .external_lex_state = 2},
  [5572] = {.lex_state = 15, .external_lex_state = 2},
  [5573] = {.lex_state = 15, .external_lex_state = 2},
  [5574] = {.lex_state = 15, .external_lex_state = 2},
  [5575] = {.lex_state = 15, .external_lex_state = 2},
  [5576] = {.lex_state = 15, .external_lex_state = 2},
  [5577] = {.lex_state = 6, .external_lex_state = 2},
  [5578] = {.lex_state = 15, .external_lex_state = 2},
  [5579] = {.lex_state = 6, .external_lex_state = 2},
  [5580] = {.lex_state = 52, .external_lex_state = 2},
  [5581] = {.lex_state = 15, .external_lex_state = 2},
  [5582] = {.lex_state = 6, .external_lex_state = 2},
  [5583] = {.lex_state = 15, .external_lex_state = 2},
  [5584] = {.lex_state = 15, .external_lex_state = 2},
  [5585] = {.lex_state = 15, .external_lex_state = 2},
  [5586] = {.lex_state = 15, .external_lex_state = 2},
  [5587] = {.lex_state = 404, .external_lex_state = 2},
  [5588] = {.lex_state = 15, .external_lex_state = 2},
  [5589] = {.lex_state = 15, .external_lex_state = 2},
  [5590] = {.lex_state = 15, .external_lex_state = 2},
  [5591] = {.lex_state = 15, .external_lex_state = 2},
  [5592] = {.lex_state = 15, .external_lex_state = 2},
  [5593] = {.lex_state = 52, .external_lex_state = 2},
  [5594] = {.lex_state = 6, .external_lex_state = 2},
  [5595] = {.lex_state = 15, .external_lex_state = 2},
  [5596] = {.lex_state = 6, .external_lex_state = 2},
  [5597] = {.lex_state = 15, .external_lex_state = 2},
  [5598] = {.lex_state = 6, .external_lex_state = 2},
  [5599] = {.lex_state = 15, .external_lex_state = 2},
  [5600] = {.lex_state = 6, .external_lex_state = 2},
  [5601] = {.lex_state = 15, .external_lex_state = 2},
  [5602] = {.lex_state = 15, .external_lex_state = 2},
  [5603] = {.lex_state = 15, .external_lex_state = 2},
  [5604] = {.lex_state = 15, .external_lex_state = 2},
  [5605] = {.lex_state = 15, .external_lex_state = 2},
  [5606] = {.lex_state = 6, .external_lex_state = 2},
  [5607] = {.lex_state = 404, .external_lex_state = 2},
  [5608] = {.lex_state = 15, .external_lex_state = 2},
  [5609] = {.lex_state = 15, .external_lex_state = 2},
  [5610] = {.lex_state = 15, .external_lex_state = 2},
  [5611] = {.lex_state = 15, .external_lex_state = 2},
  [5612] = {.lex_state = 15, .external_lex_state = 2},
  [5613] = {.lex_state = 6, .external_lex_state = 2},
  [5614] = {.lex_state = 53, .external_lex_state = 2},
  [5615] = {.lex_state = 15, .external_lex_state = 2},
  [5616] = {.lex_state = 15, .external_lex_state = 2},
  [5617] = {.lex_state = 15, .external_lex_state = 2},
  [5618] = {.lex_state = 15, .external_lex_state = 2},
  [5619] = {.lex_state = 15, .external_lex_state = 2},
  [5620] = {.lex_state = 15, .external_lex_state = 2},
  [5621] = {.lex_state = 15, .external_lex_state = 2},
  [5622] = {.lex_state = 15, .external_lex_state = 2},
  [5623] = {.lex_state = 15, .external_lex_state = 2},
  [5624] = {.lex_state = 15, .external_lex_state = 2},
  [5625] = {.lex_state = 15, .external_lex_state = 2},
  [5626] = {.lex_state = 15, .external_lex_state = 2},
  [5627] = {.lex_state = 6, .external_lex_state = 2},
  [5628] = {.lex_state = 6, .external_lex_state = 2},
  [5629] = {.lex_state = 53, .external_lex_state = 2},
  [5630] = {.lex_state = 15, .external_lex_state = 2},
  [5631] = {.lex_state = 15, .external_lex_state = 2},
  [5632] = {.lex_state = 15, .external_lex_state = 2},
  [5633] = {.lex_state = 15, .external_lex_state = 2},
  [5634] = {.lex_state = 15, .external_lex_state = 2},
  [5635] = {.lex_state = 15, .external_lex_state = 2},
  [5636] = {.lex_state = 15, .external_lex_state = 2},
  [5637] = {.lex_state = 15, .external_lex_state = 2},
  [5638] = {.lex_state = 15, .external_lex_state = 2},
  [5639] = {.lex_state = 15, .external_lex_state = 2},
  [5640] = {.lex_state = 6, .external_lex_state = 2},
  [5641] = {.lex_state = 15, .external_lex_state = 2},
  [5642] = {.lex_state = 15, .external_lex_state = 2},
  [5643] = {.lex_state = 15, .external_lex_state = 2},
  [5644] = {.lex_state = 15, .external_lex_state = 2},
  [5645] = {.lex_state = 15, .external_lex_state = 2},
  [5646] = {.lex_state = 15, .external_lex_state = 2},
  [5647] = {.lex_state = 15, .external_lex_state = 2},
  [5648] = {.lex_state = 15, .external_lex_state = 2},
  [5649] = {.lex_state = 15, .external_lex_state = 2},
  [5650] = {.lex_state = 6, .external_lex_state = 2},
  [5651] = {.lex_state = 6, .external_lex_state = 2},
  [5652] = {.lex_state = 6, .external_lex_state = 2},
  [5653] = {.lex_state = 6, .external_lex_state = 2},
  [5654] = {.lex_state = 15, .external_lex_state = 2},
  [5655] = {.lex_state = 6, .external_lex_state = 2},
  [5656] = {.lex_state = 6, .external_lex_state = 2},
  [5657] = {.lex_state = 6, .external_lex_state = 2},
  [5658] = {.lex_state = 6, .external_lex_state = 2},
  [5659] = {.lex_state = 6, .external_lex_state = 2},
  [5660] = {.lex_state = 6, .external_lex_state = 2},
  [5661] = {.lex_state = 6, .external_lex_state = 2},
  [5662] = {.lex_state = 6, .external_lex_state = 2},
  [5663] = {.lex_state = 6, .external_lex_state = 2},
  [5664] = {.lex_state = 6, .external_lex_state = 2},
  [5665] = {.lex_state = 6, .external_lex_state = 2},
  [5666] = {.lex_state = 6, .external_lex_state = 2},
  [5667] = {.lex_state = 6, .external_lex_state = 2},
  [5668] = {.lex_state = 382, .external_lex_state = 2},
  [5669] = {.lex_state = 6, .external_lex_state = 2},
  [5670] = {.lex_state = 6, .external_lex_state = 2},
  [5671] = {.lex_state = 6, .external_lex_state = 2},
  [5672] = {.lex_state = 6, .external_lex_state = 2},
  [5673] = {.lex_state = 6, .external_lex_state = 2},
  [5674] = {.lex_state = 6, .external_lex_state = 2},
  [5675] = {.lex_state = 6, .external_lex_state = 2},
  [5676] = {.lex_state = 6, .external_lex_state = 2},
  [5677] = {.lex_state = 6, .external_lex_state = 2},
  [5678] = {.lex_state = 6, .external_lex_state = 2},
  [5679] = {.lex_state = 6, .external_lex_state = 2},
  [5680] = {.lex_state = 6, .external_lex_state = 2},
  [5681] = {.lex_state = 6, .external_lex_state = 2},
  [5682] = {.lex_state = 6, .external_lex_state = 2},
  [5683] = {.lex_state = 6, .external_lex_state = 2},
  [5684] = {.lex_state = 6, .external_lex_state = 2},
  [5685] = {.lex_state = 6, .external_lex_state = 2},
  [5686] = {.lex_state = 80, .external_lex_state = 2},
  [5687] = {.lex_state = 6, .external_lex_state = 2},
  [5688] = {.lex_state = 6, .external_lex_state = 2},
  [5689] = {.lex_state = 80, .external_lex_state = 2},
  [5690] = {.lex_state = 6, .external_lex_state = 2},
  [5691] = {.lex_state = 6, .external_lex_state = 2},
  [5692] = {.lex_state = 6, .external_lex_state = 2},
  [5693] = {.lex_state = 80, .external_lex_state = 2},
  [5694] = {.lex_state = 80, .external_lex_state = 2},
  [5695] = {.lex_state = 6, .external_lex_state = 2},
  [5696] = {.lex_state = 6, .external_lex_state = 2},
  [5697] = {.lex_state = 80, .external_lex_state = 2},
  [5698] = {.lex_state = 6, .external_lex_state = 2},
  [5699] = {.lex_state = 6, .external_lex_state = 2},
  [5700] = {.lex_state = 6, .external_lex_state = 2},
  [5701] = {.lex_state = 6, .external_lex_state = 2},
  [5702] = {.lex_state = 80, .external_lex_state = 2},
  [5703] = {.lex_state = 6, .external_lex_state = 2},
  [5704] = {.lex_state = 6, .external_lex_state = 2},
  [5705] = {.lex_state = 80, .external_lex_state = 2},
  [5706] = {.lex_state = 80, .external_lex_state = 2},
  [5707] = {.lex_state = 6, .external_lex_state = 2},
  [5708] = {.lex_state = 6, .external_lex_state = 2},
  [5709] = {.lex_state = 6, .external_lex_state = 2},
  [5710] = {.lex_state = 6, .external_lex_state = 2},
  [5711] = {.lex_state = 6, .external_lex_state = 2},
  [5712] = {.lex_state = 6, .external_lex_state = 2},
  [5713] = {.lex_state = 6, .external_lex_state = 2},
  [5714] = {.lex_state = 6, .external_lex_state = 2},
  [5715] = {.lex_state = 6, .external_lex_state = 2},
  [5716] = {.lex_state = 6, .external_lex_state = 2},
  [5717] = {.lex_state = 6, .external_lex_state = 2},
  [5718] = {.lex_state = 6, .external_lex_state = 2},
  [5719] = {.lex_state = 80, .external_lex_state = 2},
  [5720] = {.lex_state = 6, .external_lex_state = 2},
  [5721] = {.lex_state = 6, .external_lex_state = 2},
  [5722] = {.lex_state = 6, .external_lex_state = 2},
  [5723] = {.lex_state = 6, .external_lex_state = 2},
  [5724] = {.lex_state = 6, .external_lex_state = 2},
  [5725] = {.lex_state = 6, .external_lex_state = 2},
  [5726] = {.lex_state = 6, .external_lex_state = 2},
  [5727] = {.lex_state = 6, .external_lex_state = 2},
  [5728] = {.lex_state = 6, .external_lex_state = 2},
  [5729] = {.lex_state = 6, .external_lex_state = 2},
  [5730] = {.lex_state = 6, .external_lex_state = 2},
  [5731] = {.lex_state = 6, .external_lex_state = 2},
  [5732] = {.lex_state = 6, .external_lex_state = 2},
  [5733] = {.lex_state = 6, .external_lex_state = 2},
  [5734] = {.lex_state = 80, .external_lex_state = 2},
  [5735] = {.lex_state = 382, .external_lex_state = 2},
  [5736] = {.lex_state = 6, .external_lex_state = 2},
  [5737] = {.lex_state = 6, .external_lex_state = 2},
  [5738] = {.lex_state = 6, .external_lex_state = 2},
  [5739] = {.lex_state = 6, .external_lex_state = 2},
  [5740] = {.lex_state = 6, .external_lex_state = 2},
  [5741] = {.lex_state = 6, .external_lex_state = 2},
  [5742] = {.lex_state = 6, .external_lex_state = 2},
  [5743] = {.lex_state = 6, .external_lex_state = 2},
  [5744] = {.lex_state = 6, .external_lex_state = 2},
  [5745] = {.lex_state = 382, .external_lex_state = 2},
  [5746] = {.lex_state = 6, .external_lex_state = 2},
  [5747] = {.lex_state = 6, .external_lex_state = 2},
  [5748] = {.lex_state = 6, .external_lex_state = 2},
  [5749] = {.lex_state = 6, .external_lex_state = 2},
  [5750] = {.lex_state = 6, .external_lex_state = 2},
  [5751] = {.lex_state = 6, .external_lex_state = 2},
  [5752] = {.lex_state = 6, .external_lex_state = 2},
  [5753] = {.lex_state = 6, .external_lex_state = 2},
  [5754] = {.lex_state = 6, .external_lex_state = 2},
  [5755] = {.lex_state = 80, .external_lex_state = 2},
  [5756] = {.lex_state = 6, .external_lex_state = 2},
  [5757] = {.lex_state = 6, .external_lex_state = 2},
  [5758] = {.lex_state = 6, .external_lex_state = 2},
  [5759] = {.lex_state = 6, .external_lex_state = 2},
  [5760] = {.lex_state = 6, .external_lex_state = 2},
  [5761] = {.lex_state = 6, .external_lex_state = 2},
  [5762] = {.lex_state = 6, .external_lex_state = 2},
  [5763] = {.lex_state = 6, .external_lex_state = 2},
  [5764] = {.lex_state = 6, .external_lex_state = 2},
  [5765] = {.lex_state = 6, .external_lex_state = 2},
  [5766] = {.lex_state = 6, .external_lex_state = 2},
  [5767] = {.lex_state = 6, .external_lex_state = 2},
  [5768] = {.lex_state = 6, .external_lex_state = 2},
  [5769] = {.lex_state = 6, .external_lex_state = 2},
  [5770] = {.lex_state = 6, .external_lex_state = 2},
  [5771] = {.lex_state = 6, .external_lex_state = 2},
  [5772] = {.lex_state = 6, .external_lex_state = 2},
  [5773] = {.lex_state = 81, .external_lex_state = 2},
  [5774] = {.lex_state = 80, .external_lex_state = 2},
  [5775] = {.lex_state = 80, .external_lex_state = 2},
  [5776] = {.lex_state = 81, .external_lex_state = 2},
  [5777] = {.lex_state = 80, .external_lex_state = 2},
  [5778] = {.lex_state = 80, .external_lex_state = 2},
  [5779] = {.lex_state = 80, .external_lex_state = 2},
  [5780] = {.lex_state = 81, .external_lex_state = 2},
  [5781] = {.lex_state = 80, .external_lex_state = 2},
  [5782] = {.lex_state = 80, .external_lex_state = 2},
  [5783] = {.lex_state = 80, .external_lex_state = 2},
  [5784] = {.lex_state = 80, .external_lex_state = 2},
  [5785] = {.lex_state = 80, .external_lex_state = 2},
  [5786] = {.lex_state = 80, .external_lex_state = 2},
  [5787] = {.lex_state = 80, .external_lex_state = 2},
  [5788] = {.lex_state = 80, .external_lex_state = 2},
  [5789] = {.lex_state = 6, .external_lex_state = 2},
  [5790] = {.lex_state = 80, .external_lex_state = 2},
  [5791] = {.lex_state = 80, .external_lex_state = 2},
  [5792] = {.lex_state = 80, .external_lex_state = 2},
  [5793] = {.lex_state = 80, .external_lex_state = 2},
  [5794] = {.lex_state = 80, .external_lex_state = 2},
  [5795] = {.lex_state = 80, .external_lex_state = 2},
  [5796] = {.lex_state = 80, .external_lex_state = 2},
  [5797] = {.lex_state = 80, .external_lex_state = 2},
  [5798] = {.lex_state = 80, .external_lex_state = 2},
  [5799] = {.lex_state = 81, .external_lex_state = 2},
  [5800] = {.lex_state = 6, .external_lex_state = 2},
  [5801] = {.lex_state = 80, .external_lex_state = 2},
  [5802] = {.lex_state = 80, .external_lex_state = 2},
  [5803] = {.lex_state = 81, .external_lex_state = 2},
  [5804] = {.lex_state = 6, .external_lex_state = 2},
  [5805] = {.lex_state = 6, .external_lex_state = 2},
  [5806] = {.lex_state = 6, .external_lex_state = 2},
  [5807] = {.lex_state = 80, .external_lex_state = 2},
  [5808] = {.lex_state = 80, .external_lex_state = 2},
  [5809] = {.lex_state = 6, .external_lex_state = 2},
  [5810] = {.lex_state = 80, .external_lex_state = 2},
  [5811] = {.lex_state = 81, .external_lex_state = 2},
  [5812] = {.lex_state = 80, .external_lex_state = 2},
  [5813] = {.lex_state = 80, .external_lex_state = 2},
  [5814] = {.lex_state = 6, .external_lex_state = 2},
  [5815] = {.lex_state = 81, .external_lex_state = 2},
  [5816] = {.lex_state = 6, .external_lex_state = 2},
  [5817] = {.lex_state = 6, .external_lex_state = 2},
  [5818] = {.lex_state = 6, .external_lex_state = 2},
  [5819] = {.lex_state = 6, .external_lex_state = 2},
  [5820] = {.lex_state = 80, .external_lex_state = 2},
  [5821] = {.lex_state = 6, .external_lex_state = 2},
  [5822] = {.lex_state = 80, .external_lex_state = 2},
  [5823] = {.lex_state = 6, .external_lex_state = 2},
  [5824] = {.lex_state = 6, .external_lex_state = 2},
  [5825] = {.lex_state = 80, .external_lex_state = 2},
  [5826] = {.lex_state = 80, .external_lex_state = 2},
  [5827] = {.lex_state = 6, .external_lex_state = 2},
  [5828] = {.lex_state = 6, .external_lex_state = 2},
  [5829] = {.lex_state = 6, .external_lex_state = 2},
  [5830] = {.lex_state = 6, .external_lex_state = 2},
  [5831] = {.lex_state = 6, .external_lex_state = 2},
  [5832] = {.lex_state = 6, .external_lex_state = 2},
  [5833] = {.lex_state = 6, .external_lex_state = 2},
  [5834] = {.lex_state = 80, .external_lex_state = 2},
  [5835] = {.lex_state = 6, .external_lex_state = 2},
  [5836] = {.lex_state = 80, .external_lex_state = 2},
  [5837] = {.lex_state = 6, .external_lex_state = 2},
  [5838] = {.lex_state = 80, .external_lex_state = 2},
  [5839] = {.lex_state = 6, .external_lex_state = 2},
  [5840] = {.lex_state = 6, .external_lex_state = 2},
  [5841] = {.lex_state = 6, .external_lex_state = 2},
  [5842] = {.lex_state = 6, .external_lex_state = 2},
  [5843] = {.lex_state = 6, .external_lex_state = 2},
  [5844] = {.lex_state = 6, .external_lex_state = 2},
  [5845] = {.lex_state = 6, .external_lex_state = 2},
  [5846] = {.lex_state = 80, .external_lex_state = 2},
  [5847] = {.lex_state = 80, .external_lex_state = 2},
  [5848] = {.lex_state = 6, .external_lex_state = 2},
  [5849] = {.lex_state = 6, .external_lex_state = 2},
  [5850] = {.lex_state = 6, .external_lex_state = 2},
  [5851] = {.lex_state = 6, .external_lex_state = 2},
  [5852] = {.lex_state = 6, .external_lex_state = 2},
  [5853] = {.lex_state = 80, .external_lex_state = 2},
  [5854] = {.lex_state = 6, .external_lex_state = 2},
  [5855] = {.lex_state = 80, .external_lex_state = 2},
  [5856] = {.lex_state = 80, .external_lex_state = 2},
  [5857] = {.lex_state = 6, .external_lex_state = 2},
  [5858] = {.lex_state = 6, .external_lex_state = 2},
  [5859] = {.lex_state = 6, .external_lex_state = 2},
  [5860] = {.lex_state = 6, .external_lex_state = 2},
  [5861] = {.lex_state = 6, .external_lex_state = 2},
  [5862] = {.lex_state = 6, .external_lex_state = 2},
  [5863] = {.lex_state = 6, .external_lex_state = 2},
  [5864] = {.lex_state = 6, .external_lex_state = 2},
  [5865] = {.lex_state = 6, .external_lex_state = 2},
  [5866] = {.lex_state = 80, .external_lex_state = 2},
  [5867] = {.lex_state = 80, .external_lex_state = 2},
  [5868] = {.lex_state = 80, .external_lex_state = 2},
  [5869] = {.lex_state = 6, .external_lex_state = 2},
  [5870] = {.lex_state = 6, .external_lex_state = 2},
  [5871] = {.lex_state = 80, .external_lex_state = 2},
  [5872] = {.lex_state = 6, .external_lex_state = 2},
  [5873] = {.lex_state = 80, .external_lex_state = 2},
  [5874] = {.lex_state = 6, .external_lex_state = 2},
  [5875] = {.lex_state = 81, .external_lex_state = 2},
  [5876] = {.lex_state = 81, .external_lex_state = 2},
  [5877] = {.lex_state = 6, .external_lex_state = 2},
  [5878] = {.lex_state = 6, .external_lex_state = 2},
  [5879] = {.lex_state = 80, .external_lex_state = 2},
  [5880] = {.lex_state = 81, .external_lex_state = 2},
  [5881] = {.lex_state = 81, .external_lex_state = 2},
  [5882] = {.lex_state = 80, .external_lex_state = 2},
  [5883] = {.lex_state = 80, .external_lex_state = 2},
  [5884] = {.lex_state = 80, .external_lex_state = 2},
  [5885] = {.lex_state = 80, .external_lex_state = 2},
  [5886] = {.lex_state = 382, .external_lex_state = 2},
  [5887] = {.lex_state = 80, .external_lex_state = 2},
  [5888] = {.lex_state = 80, .external_lex_state = 2},
  [5889] = {.lex_state = 80, .external_lex_state = 2},
  [5890] = {.lex_state = 80, .external_lex_state = 2},
  [5891] = {.lex_state = 80, .external_lex_state = 2},
  [5892] = {.lex_state = 80, .external_lex_state = 2},
  [5893] = {.lex_state = 80, .external_lex_state = 2},
  [5894] = {.lex_state = 80, .external_lex_state = 2},
  [5895] = {.lex_state = 80, .external_lex_state = 2},
  [5896] = {.lex_state = 80, .external_lex_state = 2},
  [5897] = {.lex_state = 80, .external_lex_state = 2},
  [5898] = {.lex_state = 80, .external_lex_state = 2},
  [5899] = {.lex_state = 80, .external_lex_state = 2},
  [5900] = {.lex_state = 80, .external_lex_state = 2},
  [5901] = {.lex_state = 80, .external_lex_state = 2},
  [5902] = {.lex_state = 80, .external_lex_state = 2},
  [5903] = {.lex_state = 80, .external_lex_state = 2},
  [5904] = {.lex_state = 80, .external_lex_state = 2},
  [5905] = {.lex_state = 80, .external_lex_state = 2},
  [5906] = {.lex_state = 80, .external_lex_state = 2},
  [5907] = {.lex_state = 80, .external_lex_state = 2},
  [5908] = {.lex_state = 80, .external_lex_state = 2},
  [5909] = {.lex_state = 6, .external_lex_state = 2},
  [5910] = {.lex_state = 81, .external_lex_state = 2},
  [5911] = {.lex_state = 81, .external_lex_state = 2},
  [5912] = {.lex_state = 81, .external_lex_state = 2},
  [5913] = {.lex_state = 81, .external_lex_state = 2},
  [5914] = {.lex_state = 81, .external_lex_state = 2},
  [5915] = {.lex_state = 81, .external_lex_state = 2},
  [5916] = {.lex_state = 81, .external_lex_state = 2},
  [5917] = {.lex_state = 81, .external_lex_state = 2},
  [5918] = {.lex_state = 55, .external_lex_state = 2},
  [5919] = {.lex_state = 81, .external_lex_state = 2},
  [5920] = {.lex_state = 81, .external_lex_state = 2},
  [5921] = {.lex_state = 55, .external_lex_state = 2},
  [5922] = {.lex_state = 81, .external_lex_state = 2},
  [5923] = {.lex_state = 81, .external_lex_state = 2},
  [5924] = {.lex_state = 81, .external_lex_state = 2},
  [5925] = {.lex_state = 81, .external_lex_state = 2},
  [5926] = {.lex_state = 81, .external_lex_state = 2},
  [5927] = {.lex_state = 81, .external_lex_state = 2},
  [5928] = {.lex_state = 81, .external_lex_state = 2},
  [5929] = {.lex_state = 81, .external_lex_state = 2},
  [5930] = {.lex_state = 81, .external_lex_state = 2},
  [5931] = {.lex_state = 81, .external_lex_state = 2},
  [5932] = {.lex_state = 81, .external_lex_state = 2},
  [5933] = {.lex_state = 81, .external_lex_state = 2},
  [5934] = {.lex_state = 81, .external_lex_state = 2},
  [5935] = {.lex_state = 81, .external_lex_state = 2},
  [5936] = {.lex_state = 81, .external_lex_state = 2},
  [5937] = {.lex_state = 81, .external_lex_state = 2},
  [5938] = {.lex_state = 81, .external_lex_state = 2},
  [5939] = {.lex_state = 81, .external_lex_state = 2},
  [5940] = {.lex_state = 81, .external_lex_state = 2},
  [5941] = {.lex_state = 55, .external_lex_state = 2},
  [5942] = {.lex_state = 81, .external_lex_state = 2},
  [5943] = {.lex_state = 81, .external_lex_state = 2},
  [5944] = {.lex_state = 382, .external_lex_state = 2},
  [5945] = {.lex_state = 55, .external_lex_state = 2},
  [5946] = {.lex_state = 81, .external_lex_state = 2},
  [5947] = {.lex_state = 81, .external_lex_state = 2},
  [5948] = {.lex_state = 6, .external_lex_state = 2},
  [5949] = {.lex_state = 81, .external_lex_state = 2},
  [5950] = {.lex_state = 81, .external_lex_state = 2},
  [5951] = {.lex_state = 81, .external_lex_state = 2},
  [5952] = {.lex_state = 81, .external_lex_state = 2},
  [5953] = {.lex_state = 81, .external_lex_state = 2},
  [5954] = {.lex_state = 81, .external_lex_state = 2},
  [5955] = {.lex_state = 81, .external_lex_state = 2},
  [5956] = {.lex_state = 81, .external_lex_state = 2},
  [5957] = {.lex_state = 81, .external_lex_state = 2},
  [5958] = {.lex_state = 81, .external_lex_state = 2},
  [5959] = {.lex_state = 81, .external_lex_state = 2},
  [5960] = {.lex_state = 6, .external_lex_state = 2},
  [5961] = {.lex_state = 81, .external_lex_state = 2},
  [5962] = {.lex_state = 81, .external_lex_state = 2},
  [5963] = {.lex_state = 81, .external_lex_state = 2},
  [5964] = {.lex_state = 55, .external_lex_state = 2},
  [5965] = {.lex_state = 55, .external_lex_state = 2},
  [5966] = {.lex_state = 55, .external_lex_state = 2},
  [5967] = {.lex_state = 81, .external_lex_state = 2},
  [5968] = {.lex_state = 81, .external_lex_state = 2},
  [5969] = {.lex_state = 55, .external_lex_state = 2},
  [5970] = {.lex_state = 55, .external_lex_state = 2},
  [5971] = {.lex_state = 81, .external_lex_state = 2},
  [5972] = {.lex_state = 6, .external_lex_state = 2},
  [5973] = {.lex_state = 55, .external_lex_state = 2},
  [5974] = {.lex_state = 81, .external_lex_state = 2},
  [5975] = {.lex_state = 81, .external_lex_state = 2},
  [5976] = {.lex_state = 81, .external_lex_state = 2},
  [5977] = {.lex_state = 81, .external_lex_state = 2},
  [5978] = {.lex_state = 81, .external_lex_state = 2},
  [5979] = {.lex_state = 81, .external_lex_state = 2},
  [5980] = {.lex_state = 81, .external_lex_state = 2},
  [5981] = {.lex_state = 6, .external_lex_state = 2},
  [5982] = {.lex_state = 81, .external_lex_state = 2},
  [5983] = {.lex_state = 6, .external_lex_state = 2},
  [5984] = {.lex_state = 81, .external_lex_state = 2},
  [5985] = {.lex_state = 81, .external_lex_state = 2},
  [5986] = {.lex_state = 81, .external_lex_state = 2},
  [5987] = {.lex_state = 81, .external_lex_state = 2},
  [5988] = {.lex_state = 6, .external_lex_state = 2},
  [5989] = {.lex_state = 81, .external_lex_state = 2},
  [5990] = {.lex_state = 81, .external_lex_state = 2},
  [5991] = {.lex_state = 81, .external_lex_state = 2},
  [5992] = {.lex_state = 81, .external_lex_state = 2},
  [5993] = {.lex_state = 81, .external_lex_state = 2},
  [5994] = {.lex_state = 81, .external_lex_state = 2},
  [5995] = {.lex_state = 81, .external_lex_state = 2},
  [5996] = {.lex_state = 81, .external_lex_state = 2},
  [5997] = {.lex_state = 6, .external_lex_state = 2},
  [5998] = {.lex_state = 81, .external_lex_state = 2},
  [5999] = {.lex_state = 81, .external_lex_state = 2},
  [6000] = {.lex_state = 81, .external_lex_state = 2},
  [6001] = {.lex_state = 55, .external_lex_state = 2},
  [6002] = {.lex_state = 57, .external_lex_state = 2},
  [6003] = {.lex_state = 6, .external_lex_state = 2},
  [6004] = {.lex_state = 419, .external_lex_state = 2},
  [6005] = {.lex_state = 6, .external_lex_state = 2},
  [6006] = {.lex_state = 55, .external_lex_state = 2},
  [6007] = {.lex_state = 55, .external_lex_state = 2},
  [6008] = {.lex_state = 55, .external_lex_state = 2},
  [6009] = {.lex_state = 55, .external_lex_state = 2},
  [6010] = {.lex_state = 55, .external_lex_state = 2},
  [6011] = {.lex_state = 55, .external_lex_state = 2},
  [6012] = {.lex_state = 55, .external_lex_state = 2},
  [6013] = {.lex_state = 55, .external_lex_state = 2},
  [6014] = {.lex_state = 55, .external_lex_state = 2},
  [6015] = {.lex_state = 55, .external_lex_state = 2},
  [6016] = {.lex_state = 55, .external_lex_state = 2},
  [6017] = {.lex_state = 55, .external_lex_state = 2},
  [6018] = {.lex_state = 55, .external_lex_state = 2},
  [6019] = {.lex_state = 6, .external_lex_state = 2},
  [6020] = {.lex_state = 55, .external_lex_state = 2},
  [6021] = {.lex_state = 55, .external_lex_state = 2},
  [6022] = {.lex_state = 55, .external_lex_state = 2},
  [6023] = {.lex_state = 55, .external_lex_state = 2},
  [6024] = {.lex_state = 55, .external_lex_state = 2},
  [6025] = {.lex_state = 55, .external_lex_state = 2},
  [6026] = {.lex_state = 55, .external_lex_state = 2},
  [6027] = {.lex_state = 6, .external_lex_state = 2},
  [6028] = {.lex_state = 55, .external_lex_state = 2},
  [6029] = {.lex_state = 55, .external_lex_state = 2},
  [6030] = {.lex_state = 55, .external_lex_state = 2},
  [6031] = {.lex_state = 55, .external_lex_state = 2},
  [6032] = {.lex_state = 55, .external_lex_state = 2},
  [6033] = {.lex_state = 55, .external_lex_state = 2},
  [6034] = {.lex_state = 55, .external_lex_state = 2},
  [6035] = {.lex_state = 55, .external_lex_state = 2},
  [6036] = {.lex_state = 55, .external_lex_state = 2},
  [6037] = {.lex_state = 55, .external_lex_state = 2},
  [6038] = {.lex_state = 55, .external_lex_state = 2},
  [6039] = {.lex_state = 382, .external_lex_state = 2},
  [6040] = {.lex_state = 55, .external_lex_state = 2},
  [6041] = {.lex_state = 55, .external_lex_state = 2},
  [6042] = {.lex_state = 6, .external_lex_state = 2},
  [6043] = {.lex_state = 55, .external_lex_state = 2},
  [6044] = {.lex_state = 55, .external_lex_state = 2},
  [6045] = {.lex_state = 57, .external_lex_state = 2},
  [6046] = {.lex_state = 55, .external_lex_state = 2},
  [6047] = {.lex_state = 57, .external_lex_state = 2},
  [6048] = {.lex_state = 55, .external_lex_state = 2},
  [6049] = {.lex_state = 6, .external_lex_state = 2},
  [6050] = {.lex_state = 6, .external_lex_state = 2},
  [6051] = {.lex_state = 55, .external_lex_state = 2},
  [6052] = {.lex_state = 55, .external_lex_state = 2},
  [6053] = {.lex_state = 6, .external_lex_state = 2},
  [6054] = {.lex_state = 6, .external_lex_state = 2},
  [6055] = {.lex_state = 6, .external_lex_state = 2},
  [6056] = {.lex_state = 6, .external_lex_state = 2},
  [6057] = {.lex_state = 55, .external_lex_state = 2},
  [6058] = {.lex_state = 55, .external_lex_state = 2},
  [6059] = {.lex_state = 6, .external_lex_state = 2},
  [6060] = {.lex_state = 55, .external_lex_state = 2},
  [6061] = {.lex_state = 6, .external_lex_state = 2},
  [6062] = {.lex_state = 55, .external_lex_state = 2},
  [6063] = {.lex_state = 55, .external_lex_state = 2},
  [6064] = {.lex_state = 15, .external_lex_state = 2},
  [6065] = {.lex_state = 55, .external_lex_state = 2},
  [6066] = {.lex_state = 55, .external_lex_state = 2},
  [6067] = {.lex_state = 55, .external_lex_state = 2},
  [6068] = {.lex_state = 6, .external_lex_state = 2},
  [6069] = {.lex_state = 55, .external_lex_state = 2},
  [6070] = {.lex_state = 55, .external_lex_state = 2},
  [6071] = {.lex_state = 6, .external_lex_state = 2},
  [6072] = {.lex_state = 6, .external_lex_state = 2},
  [6073] = {.lex_state = 6, .external_lex_state = 2},
  [6074] = {.lex_state = 6, .external_lex_state = 2},
  [6075] = {.lex_state = 6, .external_lex_state = 2},
  [6076] = {.lex_state = 6, .external_lex_state = 2},
  [6077] = {.lex_state = 419, .external_lex_state = 2},
  [6078] = {.lex_state = 6, .external_lex_state = 2},
  [6079] = {.lex_state = 57, .external_lex_state = 2},
  [6080] = {.lex_state = 6, .external_lex_state = 2},
  [6081] = {.lex_state = 6, .external_lex_state = 2},
  [6082] = {.lex_state = 6, .external_lex_state = 2},
  [6083] = {.lex_state = 6, .external_lex_state = 2},
  [6084] = {.lex_state = 6, .external_lex_state = 2},
  [6085] = {.lex_state = 57, .external_lex_state = 2},
  [6086] = {.lex_state = 6, .external_lex_state = 2},
  [6087] = {.lex_state = 6, .external_lex_state = 2},
  [6088] = {.lex_state = 6, .external_lex_state = 2},
  [6089] = {.lex_state = 6, .external_lex_state = 2},
  [6090] = {.lex_state = 6, .external_lex_state = 2},
  [6091] = {.lex_state = 6, .external_lex_state = 2},
  [6092] = {.lex_state = 6, .external_lex_state = 2},
  [6093] = {.lex_state = 6, .external_lex_state = 2},
  [6094] = {.lex_state = 6, .external_lex_state = 2},
  [6095] = {.lex_state = 6, .external_lex_state = 2},
  [6096] = {.lex_state = 6, .external_lex_state = 2},
  [6097] = {.lex_state = 55, .external_lex_state = 2},
  [6098] = {.lex_state = 6, .external_lex_state = 2},
  [6099] = {.lex_state = 55, .external_lex_state = 2},
  [6100] = {.lex_state = 6, .external_lex_state = 2},
  [6101] = {.lex_state = 6, .external_lex_state = 2},
  [6102] = {.lex_state = 6, .external_lex_state = 2},
  [6103] = {.lex_state = 6, .external_lex_state = 2},
  [6104] = {.lex_state = 6, .external_lex_state = 2},
  [6105] = {.lex_state = 55, .external_lex_state = 2},
  [6106] = {.lex_state = 6, .external_lex_state = 2},
  [6107] = {.lex_state = 55, .external_lex_state = 2},
  [6108] = {.lex_state = 55, .external_lex_state = 2},
  [6109] = {.lex_state = 6, .external_lex_state = 2},
  [6110] = {.lex_state = 55, .external_lex_state = 2},
  [6111] = {.lex_state = 57, .external_lex_state = 2},
  [6112] = {.lex_state = 6, .external_lex_state = 2},
  [6113] = {.lex_state = 6, .external_lex_state = 2},
  [6114] = {.lex_state = 6, .external_lex_state = 2},
  [6115] = {.lex_state = 6, .external_lex_state = 2},
  [6116] = {.lex_state = 10, .external_lex_state = 2},
  [6117] = {.lex_state = 6, .external_lex_state = 2},
  [6118] = {.lex_state = 6, .external_lex_state = 2},
  [6119] = {.lex_state = 15, .external_lex_state = 2},
  [6120] = {.lex_state = 6, .external_lex_state = 2},
  [6121] = {.lex_state = 15, .external_lex_state = 2},
  [6122] = {.lex_state = 6, .external_lex_state = 2},
  [6123] = {.lex_state = 6, .external_lex_state = 2},
  [6124] = {.lex_state = 55, .external_lex_state = 2},
  [6125] = {.lex_state = 6, .external_lex_state = 2},
  [6126] = {.lex_state = 55, .external_lex_state = 2},
  [6127] = {.lex_state = 55, .external_lex_state = 2},
  [6128] = {.lex_state = 55, .external_lex_state = 2},
  [6129] = {.lex_state = 6, .external_lex_state = 2},
  [6130] = {.lex_state = 55, .external_lex_state = 2},
  [6131] = {.lex_state = 6, .external_lex_state = 2},
  [6132] = {.lex_state = 55, .external_lex_state = 2},
  [6133] = {.lex_state = 55, .external_lex_state = 2},
  [6134] = {.lex_state = 57, .external_lex_state = 2},
  [6135] = {.lex_state = 55, .external_lex_state = 2},
  [6136] = {.lex_state = 55, .external_lex_state = 2},
  [6137] = {.lex_state = 80, .external_lex_state = 2},
  [6138] = {.lex_state = 57, .external_lex_state = 2},
  [6139] = {.lex_state = 57, .external_lex_state = 2},
  [6140] = {.lex_state = 57, .external_lex_state = 2},
  [6141] = {.lex_state = 54, .external_lex_state = 2},
  [6142] = {.lex_state = 54, .external_lex_state = 2},
  [6143] = {.lex_state = 55, .external_lex_state = 2},
  [6144] = {.lex_state = 55, .external_lex_state = 2},
  [6145] = {.lex_state = 55, .external_lex_state = 2},
  [6146] = {.lex_state = 54, .external_lex_state = 2},
  [6147] = {.lex_state = 55, .external_lex_state = 2},
  [6148] = {.lex_state = 54, .external_lex_state = 2},
  [6149] = {.lex_state = 54, .external_lex_state = 2},
  [6150] = {.lex_state = 54, .external_lex_state = 2},
  [6151] = {.lex_state = 54, .external_lex_state = 2},
  [6152] = {.lex_state = 54, .external_lex_state = 2},
  [6153] = {.lex_state = 54, .external_lex_state = 2},
  [6154] = {.lex_state = 55, .external_lex_state = 2},
  [6155] = {.lex_state = 54, .external_lex_state = 2},
  [6156] = {.lex_state = 54, .external_lex_state = 2},
  [6157] = {.lex_state = 55, .external_lex_state = 2},
  [6158] = {.lex_state = 55, .external_lex_state = 2},
  [6159] = {.lex_state = 6, .external_lex_state = 2},
  [6160] = {.lex_state = 6, .external_lex_state = 2},
  [6161] = {.lex_state = 57, .external_lex_state = 2},
  [6162] = {.lex_state = 57, .external_lex_state = 2},
  [6163] = {.lex_state = 54, .external_lex_state = 2},
  [6164] = {.lex_state = 54, .external_lex_state = 2},
  [6165] = {.lex_state = 420, .external_lex_state = 2},
  [6166] = {.lex_state = 54, .external_lex_state = 2},
  [6167] = {.lex_state = 412, .external_lex_state = 3},
  [6168] = {.lex_state = 421, .external_lex_state = 2},
  [6169] = {.lex_state = 54, .external_lex_state = 2},
  [6170] = {.lex_state = 54, .external_lex_state = 2},
  [6171] = {.lex_state = 57, .external_lex_state = 2},
  [6172] = {.lex_state = 421, .external_lex_state = 2},
  [6173] = {.lex_state = 421, .external_lex_state = 2},
  [6174] = {.lex_state = 421, .external_lex_state = 2},
  [6175] = {.lex_state = 54, .external_lex_state = 2},
  [6176] = {.lex_state = 421, .external_lex_state = 2},
  [6177] = {.lex_state = 10, .external_lex_state = 2},
  [6178] = {.lex_state = 57, .external_lex_state = 2},
  [6179] = {.lex_state = 54, .external_lex_state = 2},
  [6180] = {.lex_state = 57, .external_lex_state = 2},
  [6181] = {.lex_state = 54, .external_lex_state = 2},
  [6182] = {.lex_state = 57, .external_lex_state = 2},
  [6183] = {.lex_state = 57, .external_lex_state = 2},
  [6184] = {.lex_state = 57, .external_lex_state = 2},
  [6185] = {.lex_state = 57, .external_lex_state = 2},
  [6186] = {.lex_state = 57, .external_lex_state = 2},
  [6187] = {.lex_state = 412, .external_lex_state = 3},
  [6188] = {.lex_state = 57, .external_lex_state = 2},
  [6189] = {.lex_state = 57, .external_lex_state = 2},
  [6190] = {.lex_state = 57, .external_lex_state = 2},
  [6191] = {.lex_state = 57, .external_lex_state = 2},
  [6192] = {.lex_state = 54, .external_lex_state = 2},
  [6193] = {.lex_state = 57, .external_lex_state = 2},
  [6194] = {.lex_state = 57, .external_lex_state = 2},
  [6195] = {.lex_state = 54, .external_lex_state = 2},
  [6196] = {.lex_state = 57, .external_lex_state = 2},
  [6197] = {.lex_state = 54, .external_lex_state = 2},
  [6198] = {.lex_state = 57, .external_lex_state = 2},
  [6199] = {.lex_state = 55, .external_lex_state = 2},
  [6200] = {.lex_state = 54, .external_lex_state = 2},
  [6201] = {.lex_state = 57, .external_lex_state = 2},
  [6202] = {.lex_state = 54, .external_lex_state = 2},
  [6203] = {.lex_state = 421, .external_lex_state = 2},
  [6204] = {.lex_state = 57, .external_lex_state = 2},
  [6205] = {.lex_state = 57, .external_lex_state = 2},
  [6206] = {.lex_state = 421, .external_lex_state = 2},
  [6207] = {.lex_state = 54, .external_lex_state = 2},
  [6208] = {.lex_state = 57, .external_lex_state = 2},
  [6209] = {.lex_state = 412, .external_lex_state = 3},
  [6210] = {.lex_state = 419, .external_lex_state = 2},
  [6211] = {.lex_state = 57, .external_lex_state = 2},
  [6212] = {.lex_state = 57, .external_lex_state = 2},
  [6213] = {.lex_state = 419, .external_lex_state = 2},
  [6214] = {.lex_state = 54, .external_lex_state = 2},
  [6215] = {.lex_state = 56, .external_lex_state = 2},
  [6216] = {.lex_state = 56, .external_lex_state = 2},
  [6217] = {.lex_state = 54, .external_lex_state = 2},
  [6218] = {.lex_state = 57, .external_lex_state = 2},
  [6219] = {.lex_state = 57, .external_lex_state = 2},
  [6220] = {.lex_state = 57, .external_lex_state = 2},
  [6221] = {.lex_state = 420, .external_lex_state = 2},
  [6222] = {.lex_state = 57, .external_lex_state = 2},
  [6223] = {.lex_state = 143, .external_lex_state = 2},
  [6224] = {.lex_state = 419, .external_lex_state = 2},
  [6225] = {.lex_state = 57, .external_lex_state = 2},
  [6226] = {.lex_state = 57, .external_lex_state = 2},
  [6227] = {.lex_state = 57, .external_lex_state = 2},
  [6228] = {.lex_state = 57, .external_lex_state = 2},
  [6229] = {.lex_state = 57, .external_lex_state = 2},
  [6230] = {.lex_state = 421, .external_lex_state = 2},
  [6231] = {.lex_state = 54, .external_lex_state = 2},
  [6232] = {.lex_state = 57, .external_lex_state = 2},
  [6233] = {.lex_state = 80, .external_lex_state = 2},
  [6234] = {.lex_state = 421, .external_lex_state = 2},
  [6235] = {.lex_state = 143, .external_lex_state = 2},
  [6236] = {.lex_state = 57, .external_lex_state = 2},
  [6237] = {.lex_state = 81, .external_lex_state = 2},
  [6238] = {.lex_state = 57, .external_lex_state = 2},
  [6239] = {.lex_state = 57, .external_lex_state = 2},
  [6240] = {.lex_state = 56, .external_lex_state = 2},
  [6241] = {.lex_state = 57, .external_lex_state = 2},
  [6242] = {.lex_state = 57, .external_lex_state = 2},
  [6243] = {.lex_state = 56, .external_lex_state = 2},
  [6244] = {.lex_state = 56, .external_lex_state = 2},
  [6245] = {.lex_state = 56, .external_lex_state = 2},
  [6246] = {.lex_state = 57, .external_lex_state = 2},
  [6247] = {.lex_state = 57, .external_lex_state = 2},
  [6248] = {.lex_state = 56, .external_lex_state = 2},
  [6249] = {.lex_state = 56, .external_lex_state = 2},
  [6250] = {.lex_state = 56, .external_lex_state = 2},
  [6251] = {.lex_state = 80, .external_lex_state = 2},
  [6252] = {.lex_state = 57, .external_lex_state = 2},
  [6253] = {.lex_state = 419, .external_lex_state = 2},
  [6254] = {.lex_state = 57, .external_lex_state = 2},
  [6255] = {.lex_state = 57, .external_lex_state = 2},
  [6256] = {.lex_state = 57, .external_lex_state = 2},
  [6257] = {.lex_state = 57, .external_lex_state = 2},
  [6258] = {.lex_state = 54, .external_lex_state = 2},
  [6259] = {.lex_state = 57, .external_lex_state = 2},
  [6260] = {.lex_state = 57, .external_lex_state = 2},
  [6261] = {.lex_state = 57, .external_lex_state = 2},
  [6262] = {.lex_state = 421, .external_lex_state = 2},
  [6263] = {.lex_state = 57, .external_lex_state = 2},
  [6264] = {.lex_state = 54, .external_lex_state = 2},
  [6265] = {.lex_state = 57, .external_lex_state = 2},
  [6266] = {.lex_state = 57, .external_lex_state = 2},
  [6267] = {.lex_state = 57, .external_lex_state = 2},
  [6268] = {.lex_state = 57, .external_lex_state = 2},
  [6269] = {.lex_state = 56, .external_lex_state = 2},
  [6270] = {.lex_state = 56, .external_lex_state = 2},
  [6271] = {.lex_state = 54, .external_lex_state = 2},
  [6272] = {.lex_state = 54, .external_lex_state = 2},
  [6273] = {.lex_state = 54, .external_lex_state = 2},
  [6274] = {.lex_state = 54, .external_lex_state = 2},
  [6275] = {.lex_state = 54, .external_lex_state = 2},
  [6276] = {.lex_state = 54, .external_lex_state = 2},
  [6277] = {.lex_state = 57, .external_lex_state = 2},
  [6278] = {.lex_state = 54, .external_lex_state = 2},
  [6279] = {.lex_state = 54, .external_lex_state = 2},
  [6280] = {.lex_state = 54, .external_lex_state = 2},
  [6281] = {.lex_state = 54, .external_lex_state = 2},
  [6282] = {.lex_state = 54, .external_lex_state = 2},
  [6283] = {.lex_state = 54, .external_lex_state = 2},
  [6284] = {.lex_state = 54, .external_lex_state = 2},
  [6285] = {.lex_state = 54, .external_lex_state = 2},
  [6286] = {.lex_state = 54, .external_lex_state = 2},
  [6287] = {.lex_state = 54, .external_lex_state = 2},
  [6288] = {.lex_state = 54, .external_lex_state = 2},
  [6289] = {.lex_state = 54, .external_lex_state = 2},
  [6290] = {.lex_state = 54, .external_lex_state = 2},
  [6291] = {.lex_state = 54, .external_lex_state = 2},
  [6292] = {.lex_state = 54, .external_lex_state = 2},
  [6293] = {.lex_state = 54, .external_lex_state = 2},
  [6294] = {.lex_state = 54, .external_lex_state = 2},
  [6295] = {.lex_state = 54, .external_lex_state = 2},
  [6296] = {.lex_state = 54, .external_lex_state = 2},
  [6297] = {.lex_state = 54, .external_lex_state = 2},
  [6298] = {.lex_state = 57, .external_lex_state = 2},
  [6299] = {.lex_state = 54, .external_lex_state = 2},
  [6300] = {.lex_state = 57, .external_lex_state = 2},
  [6301] = {.lex_state = 54, .external_lex_state = 2},
  [6302] = {.lex_state = 54, .external_lex_state = 2},
  [6303] = {.lex_state = 54, .external_lex_state = 2},
  [6304] = {.lex_state = 57, .external_lex_state = 2},
  [6305] = {.lex_state = 54, .external_lex_state = 2},
  [6306] = {.lex_state = 57, .external_lex_state = 2},
  [6307] = {.lex_state = 57, .external_lex_state = 2},
  [6308] = {.lex_state = 57, .external_lex_state = 2},
  [6309] = {.lex_state = 54, .external_lex_state = 2},
  [6310] = {.lex_state = 54, .external_lex_state = 2},
  [6311] = {.lex_state = 54, .external_lex_state = 2},
  [6312] = {.lex_state = 54, .external_lex_state = 2},
  [6313] = {.lex_state = 57, .external_lex_state = 2},
  [6314] = {.lex_state = 421, .external_lex_state = 2},
  [6315] = {.lex_state = 57, .external_lex_state = 2},
  [6316] = {.lex_state = 54, .external_lex_state = 2},
  [6317] = {.lex_state = 57, .external_lex_state = 2},
  [6318] = {.lex_state = 54, .external_lex_state = 2},
  [6319] = {.lex_state = 54, .external_lex_state = 2},
  [6320] = {.lex_state = 57, .external_lex_state = 2},
  [6321] = {.lex_state = 57, .external_lex_state = 2},
  [6322] = {.lex_state = 54, .external_lex_state = 2},
  [6323] = {.lex_state = 57, .external_lex_state = 2},
  [6324] = {.lex_state = 54, .external_lex_state = 2},
  [6325] = {.lex_state = 57, .external_lex_state = 2},
  [6326] = {.lex_state = 54, .external_lex_state = 2},
  [6327] = {.lex_state = 57, .external_lex_state = 2},
  [6328] = {.lex_state = 54, .external_lex_state = 2},
  [6329] = {.lex_state = 54, .external_lex_state = 2},
  [6330] = {.lex_state = 54, .external_lex_state = 2},
  [6331] = {.lex_state = 54, .external_lex_state = 2},
  [6332] = {.lex_state = 54, .external_lex_state = 2},
  [6333] = {.lex_state = 54, .external_lex_state = 2},
  [6334] = {.lex_state = 54, .external_lex_state = 2},
  [6335] = {.lex_state = 54, .external_lex_state = 2},
  [6336] = {.lex_state = 54, .external_lex_state = 2},
  [6337] = {.lex_state = 54, .external_lex_state = 2},
  [6338] = {.lex_state = 57, .external_lex_state = 2},
  [6339] = {.lex_state = 54, .external_lex_state = 2},
  [6340] = {.lex_state = 54, .external_lex_state = 2},
  [6341] = {.lex_state = 57, .external_lex_state = 2},
  [6342] = {.lex_state = 57, .external_lex_state = 2},
  [6343] = {.lex_state = 419, .external_lex_state = 2},
  [6344] = {.lex_state = 143, .external_lex_state = 2},
  [6345] = {.lex_state = 143, .external_lex_state = 2},
  [6346] = {.lex_state = 144, .external_lex_state = 2},
  [6347] = {.lex_state = 143, .external_lex_state = 2},
  [6348] = {.lex_state = 419, .external_lex_state = 2},
  [6349] = {.lex_state = 56, .external_lex_state = 2},
  [6350] = {.lex_state = 81, .external_lex_state = 2},
  [6351] = {.lex_state = 419, .external_lex_state = 2},
  [6352] = {.lex_state = 419, .external_lex_state = 2},
  [6353] = {.lex_state = 419, .external_lex_state = 2},
  [6354] = {.lex_state = 56, .external_lex_state = 2},
  [6355] = {.lex_state = 419, .external_lex_state = 2},
  [6356] = {.lex_state = 56, .external_lex_state = 2},
  [6357] = {.lex_state = 419, .external_lex_state = 2},
  [6358] = {.lex_state = 57, .external_lex_state = 2},
  [6359] = {.lex_state = 419, .external_lex_state = 2},
  [6360] = {.lex_state = 144, .external_lex_state = 2},
  [6361] = {.lex_state = 419, .external_lex_state = 2},
  [6362] = {.lex_state = 419, .external_lex_state = 2},
  [6363] = {.lex_state = 420, .external_lex_state = 2},
  [6364] = {.lex_state = 419, .external_lex_state = 2},
  [6365] = {.lex_state = 147, .external_lex_state = 2},
  [6366] = {.lex_state = 419, .external_lex_state = 2},
  [6367] = {.lex_state = 56, .external_lex_state = 2},
  [6368] = {.lex_state = 422, .external_lex_state = 2},
  [6369] = {.lex_state = 420, .external_lex_state = 2},
  [6370] = {.lex_state = 419, .external_lex_state = 2},
  [6371] = {.lex_state = 419, .external_lex_state = 2},
  [6372] = {.lex_state = 56, .external_lex_state = 2},
  [6373] = {.lex_state = 56, .external_lex_state = 2},
  [6374] = {.lex_state = 56, .external_lex_state = 2},
  [6375] = {.lex_state = 56, .external_lex_state = 2},
  [6376] = {.lex_state = 56, .external_lex_state = 2},
  [6377] = {.lex_state = 56, .external_lex_state = 2},
  [6378] = {.lex_state = 422, .external_lex_state = 2},
  [6379] = {.lex_state = 419, .external_lex_state = 2},
  [6380] = {.lex_state = 56, .external_lex_state = 2},
  [6381] = {.lex_state = 419, .external_lex_state = 2},
  [6382] = {.lex_state = 56, .external_lex_state = 2},
  [6383] = {.lex_state = 56, .external_lex_state = 2},
  [6384] = {.lex_state = 56, .external_lex_state = 2},
  [6385] = {.lex_state = 81, .external_lex_state = 2},
  [6386] = {.lex_state = 420, .external_lex_state = 2},
  [6387] = {.lex_state = 419, .external_lex_state = 2},
  [6388] = {.lex_state = 419, .external_lex_state = 2},
  [6389] = {.lex_state = 419, .external_lex_state = 2},
  [6390] = {.lex_state = 419, .external_lex_state = 2},
  [6391] = {.lex_state = 419, .external_lex_state = 2},
  [6392] = {.lex_state = 56, .external_lex_state = 2},
  [6393] = {.lex_state = 422, .external_lex_state = 2},
  [6394] = {.lex_state = 419, .external_lex_state = 2},
  [6395] = {.lex_state = 419, .external_lex_state = 2},
  [6396] = {.lex_state = 56, .external_lex_state = 2},
  [6397] = {.lex_state = 56, .external_lex_state = 2},
  [6398] = {.lex_state = 422, .external_lex_state = 2},
  [6399] = {.lex_state = 419, .external_lex_state = 2},
  [6400] = {.lex_state = 56, .external_lex_state = 2},
  [6401] = {.lex_state = 56, .external_lex_state = 2},
  [6402] = {.lex_state = 56, .external_lex_state = 2},
  [6403] = {.lex_state = 422, .external_lex_state = 2},
  [6404] = {.lex_state = 419, .external_lex_state = 2},
  [6405] = {.lex_state = 56, .external_lex_state = 2},
  [6406] = {.lex_state = 56, .external_lex_state = 2},
  [6407] = {.lex_state = 56, .external_lex_state = 2},
  [6408] = {.lex_state = 56, .external_lex_state = 2},
  [6409] = {.lex_state = 56, .external_lex_state = 2},
  [6410] = {.lex_state = 56, .external_lex_state = 2},
  [6411] = {.lex_state = 422, .external_lex_state = 2},
  [6412] = {.lex_state = 56, .external_lex_state = 2},
  [6413] = {.lex_state = 56, .external_lex_state = 2},
  [6414] = {.lex_state = 56, .external_lex_state = 2},
  [6415] = {.lex_state = 56, .external_lex_state = 2},
  [6416] = {.lex_state = 56, .external_lex_state = 2},
  [6417] = {.lex_state = 56, .external_lex_state = 2},
  [6418] = {.lex_state = 56, .external_lex_state = 2},
  [6419] = {.lex_state = 56, .external_lex_state = 2},
  [6420] = {.lex_state = 56, .external_lex_state = 2},
  [6421] = {.lex_state = 56, .external_lex_state = 2},
  [6422] = {.lex_state = 56, .external_lex_state = 2},
  [6423] = {.lex_state = 56, .external_lex_state = 2},
  [6424] = {.lex_state = 56, .external_lex_state = 2},
  [6425] = {.lex_state = 56, .external_lex_state = 2},
  [6426] = {.lex_state = 56, .external_lex_state = 2},
  [6427] = {.lex_state = 419, .external_lex_state = 2},
  [6428] = {.lex_state = 56, .external_lex_state = 2},
  [6429] = {.lex_state = 56, .external_lex_state = 2},
  [6430] = {.lex_state = 56, .external_lex_state = 2},
  [6431] = {.lex_state = 419, .external_lex_state = 2},
  [6432] = {.lex_state = 422, .external_lex_state = 2},
  [6433] = {.lex_state = 56, .external_lex_state = 2},
  [6434] = {.lex_state = 56, .external_lex_state = 2},
  [6435] = {.lex_state = 56, .external_lex_state = 2},
  [6436] = {.lex_state = 147, .external_lex_state = 2},
  [6437] = {.lex_state = 147, .external_lex_state = 2},
  [6438] = {.lex_state = 56, .external_lex_state = 2},
  [6439] = {.lex_state = 419, .external_lex_state = 2},
  [6440] = {.lex_state = 56, .external_lex_state = 2},
  [6441] = {.lex_state = 419, .external_lex_state = 2},
  [6442] = {.lex_state = 147, .external_lex_state = 2},
  [6443] = {.lex_state = 419, .external_lex_state = 2},
  [6444] = {.lex_state = 56, .external_lex_state = 2},
  [6445] = {.lex_state = 419, .external_lex_state = 2},
  [6446] = {.lex_state = 147, .external_lex_state = 2},
  [6447] = {.lex_state = 56, .external_lex_state = 2},
  [6448] = {.lex_state = 419, .external_lex_state = 2},
  [6449] = {.lex_state = 56, .external_lex_state = 2},
  [6450] = {.lex_state = 147, .external_lex_state = 2},
  [6451] = {.lex_state = 56, .external_lex_state = 2},
  [6452] = {.lex_state = 419, .external_lex_state = 2},
  [6453] = {.lex_state = 56, .external_lex_state = 2},
  [6454] = {.lex_state = 419, .external_lex_state = 2},
  [6455] = {.lex_state = 56, .external_lex_state = 2},
  [6456] = {.lex_state = 56, .external_lex_state = 2},
  [6457] = {.lex_state = 422, .external_lex_state = 2},
  [6458] = {.lex_state = 56, .external_lex_state = 2},
  [6459] = {.lex_state = 56, .external_lex_state = 2},
  [6460] = {.lex_state = 147, .external_lex_state = 2},
  [6461] = {.lex_state = 56, .external_lex_state = 2},
  [6462] = {.lex_state = 56, .external_lex_state = 2},
  [6463] = {.lex_state = 56, .external_lex_state = 2},
  [6464] = {.lex_state = 419, .external_lex_state = 2},
  [6465] = {.lex_state = 56, .external_lex_state = 2},
  [6466] = {.lex_state = 56, .external_lex_state = 2},
  [6467] = {.lex_state = 420, .external_lex_state = 2},
  [6468] = {.lex_state = 419, .external_lex_state = 2},
  [6469] = {.lex_state = 56, .external_lex_state = 2},
  [6470] = {.lex_state = 56, .external_lex_state = 2},
  [6471] = {.lex_state = 147, .external_lex_state = 2},
  [6472] = {.lex_state = 56, .external_lex_state = 2},
  [6473] = {.lex_state = 56, .external_lex_state = 2},
  [6474] = {.lex_state = 419, .external_lex_state = 2},
  [6475] = {.lex_state = 147, .external_lex_state = 2},
  [6476] = {.lex_state = 147, .external_lex_state = 2},
  [6477] = {.lex_state = 419, .external_lex_state = 2},
  [6478] = {.lex_state = 419, .external_lex_state = 2},
  [6479] = {.lex_state = 56, .external_lex_state = 2},
  [6480] = {.lex_state = 56, .external_lex_state = 2},
  [6481] = {.lex_state = 419, .external_lex_state = 2},
  [6482] = {.lex_state = 56, .external_lex_state = 2},
  [6483] = {.lex_state = 419, .external_lex_state = 2},
  [6484] = {.lex_state = 419, .external_lex_state = 2},
  [6485] = {.lex_state = 419, .external_lex_state = 2},
  [6486] = {.lex_state = 143, .external_lex_state = 2},
  [6487] = {.lex_state = 56, .external_lex_state = 2},
  [6488] = {.lex_state = 419, .external_lex_state = 2},
  [6489] = {.lex_state = 422, .external_lex_state = 2},
  [6490] = {.lex_state = 147, .external_lex_state = 2},
  [6491] = {.lex_state = 419, .external_lex_state = 2},
  [6492] = {.lex_state = 419, .external_lex_state = 2},
  [6493] = {.lex_state = 419, .external_lex_state = 2},
  [6494] = {.lex_state = 419, .external_lex_state = 2},
  [6495] = {.lex_state = 419, .external_lex_state = 2},
  [6496] = {.lex_state = 422, .external_lex_state = 2},
  [6497] = {.lex_state = 422, .external_lex_state = 2},
  [6498] = {.lex_state = 121, .external_lex_state = 2},
  [6499] = {.lex_state = 56, .external_lex_state = 2},
  [6500] = {.lex_state = 143, .external_lex_state = 2},
  [6501] = {.lex_state = 143, .external_lex_state = 2},
  [6502] = {.lex_state = 420, .external_lex_state = 2},
  [6503] = {.lex_state = 94, .external_lex_state = 2},
  [6504] = {.lex_state = 144, .external_lex_state = 2},
  [6505] = {.lex_state = 94, .external_lex_state = 2},
  [6506] = {.lex_state = 143, .external_lex_state = 2},
  [6507] = {.lex_state = 55, .external_lex_state = 2},
  [6508] = {.lex_state = 143, .external_lex_state = 2},
  [6509] = {.lex_state = 94, .external_lex_state = 2},
  [6510] = {.lex_state = 143, .external_lex_state = 2},
  [6511] = {.lex_state = 143, .external_lex_state = 2},
  [6512] = {.lex_state = 420, .external_lex_state = 2},
  [6513] = {.lex_state = 420, .external_lex_state = 2},
  [6514] = {.lex_state = 144, .external_lex_state = 2},
  [6515] = {.lex_state = 420, .external_lex_state = 2},
  [6516] = {.lex_state = 143, .external_lex_state = 2},
  [6517] = {.lex_state = 143, .external_lex_state = 2},
  [6518] = {.lex_state = 420, .external_lex_state = 2},
  [6519] = {.lex_state = 420, .external_lex_state = 2},
  [6520] = {.lex_state = 420, .external_lex_state = 2},
  [6521] = {.lex_state = 143, .external_lex_state = 2},
  [6522] = {.lex_state = 420, .external_lex_state = 2},
  [6523] = {.lex_state = 143, .external_lex_state = 2},
  [6524] = {.lex_state = 143, .external_lex_state = 2},
  [6525] = {.lex_state = 420, .external_lex_state = 2},
  [6526] = {.lex_state = 420, .external_lex_state = 2},
  [6527] = {.lex_state = 420, .external_lex_state = 2},
  [6528] = {.lex_state = 420, .external_lex_state = 2},
  [6529] = {.lex_state = 143, .external_lex_state = 2},
  [6530] = {.lex_state = 420, .external_lex_state = 2},
  [6531] = {.lex_state = 420, .external_lex_state = 2},
  [6532] = {.lex_state = 94, .external_lex_state = 2},
  [6533] = {.lex_state = 94, .external_lex_state = 2},
  [6534] = {.lex_state = 94, .external_lex_state = 2},
  [6535] = {.lex_state = 420, .external_lex_state = 2},
  [6536] = {.lex_state = 420, .external_lex_state = 2},
  [6537] = {.lex_state = 55, .external_lex_state = 2},
  [6538] = {.lex_state = 143, .external_lex_state = 2},
  [6539] = {.lex_state = 143, .external_lex_state = 2},
  [6540] = {.lex_state = 148, .external_lex_state = 2},
  [6541] = {.lex_state = 143, .external_lex_state = 2},
  [6542] = {.lex_state = 420, .external_lex_state = 2},
  [6543] = {.lex_state = 143, .external_lex_state = 2},
  [6544] = {.lex_state = 420, .external_lex_state = 2},
  [6545] = {.lex_state = 420, .external_lex_state = 2},
  [6546] = {.lex_state = 143, .external_lex_state = 2},
  [6547] = {.lex_state = 420, .external_lex_state = 2},
  [6548] = {.lex_state = 143, .external_lex_state = 2},
  [6549] = {.lex_state = 420, .external_lex_state = 2},
  [6550] = {.lex_state = 143, .external_lex_state = 2},
  [6551] = {.lex_state = 148, .external_lex_state = 2},
  [6552] = {.lex_state = 143, .external_lex_state = 2},
  [6553] = {.lex_state = 143, .external_lex_state = 2},
  [6554] = {.lex_state = 143, .external_lex_state = 2},
  [6555] = {.lex_state = 143, .external_lex_state = 2},
  [6556] = {.lex_state = 143, .external_lex_state = 2},
  [6557] = {.lex_state = 120, .external_lex_state = 2},
  [6558] = {.lex_state = 143, .external_lex_state = 2},
  [6559] = {.lex_state = 143, .external_lex_state = 2},
  [6560] = {.lex_state = 420, .external_lex_state = 2},
  [6561] = {.lex_state = 143, .external_lex_state = 2},
  [6562] = {.lex_state = 420, .external_lex_state = 2},
  [6563] = {.lex_state = 420, .external_lex_state = 2},
  [6564] = {.lex_state = 94, .external_lex_state = 2},
  [6565] = {.lex_state = 143, .external_lex_state = 2},
  [6566] = {.lex_state = 420, .external_lex_state = 2},
  [6567] = {.lex_state = 420, .external_lex_state = 2},
  [6568] = {.lex_state = 143, .external_lex_state = 2},
  [6569] = {.lex_state = 143, .external_lex_state = 2},
  [6570] = {.lex_state = 420, .external_lex_state = 2},
  [6571] = {.lex_state = 143, .external_lex_state = 2},
  [6572] = {.lex_state = 94, .external_lex_state = 2},
  [6573] = {.lex_state = 143, .external_lex_state = 2},
  [6574] = {.lex_state = 420, .external_lex_state = 2},
  [6575] = {.lex_state = 143, .external_lex_state = 2},
  [6576] = {.lex_state = 420, .external_lex_state = 2},
  [6577] = {.lex_state = 420, .external_lex_state = 2},
  [6578] = {.lex_state = 148, .external_lex_state = 2},
  [6579] = {.lex_state = 143, .external_lex_state = 2},
  [6580] = {.lex_state = 420, .external_lex_state = 2},
  [6581] = {.lex_state = 143, .external_lex_state = 2},
  [6582] = {.lex_state = 420, .external_lex_state = 2},
  [6583] = {.lex_state = 420, .external_lex_state = 2},
  [6584] = {.lex_state = 144, .external_lex_state = 2},
  [6585] = {.lex_state = 148, .external_lex_state = 2},
  [6586] = {.lex_state = 123, .external_lex_state = 2},
  [6587] = {.lex_state = 148, .external_lex_state = 2},
  [6588] = {.lex_state = 420, .external_lex_state = 2},
  [6589] = {.lex_state = 420, .external_lex_state = 2},
  [6590] = {.lex_state = 420, .external_lex_state = 2},
  [6591] = {.lex_state = 148, .external_lex_state = 2},
  [6592] = {.lex_state = 148, .external_lex_state = 2},
  [6593] = {.lex_state = 143, .external_lex_state = 2},
  [6594] = {.lex_state = 420, .external_lex_state = 2},
  [6595] = {.lex_state = 94, .external_lex_state = 2},
  [6596] = {.lex_state = 144, .external_lex_state = 2},
  [6597] = {.lex_state = 420, .external_lex_state = 2},
  [6598] = {.lex_state = 143, .external_lex_state = 2},
  [6599] = {.lex_state = 143, .external_lex_state = 2},
  [6600] = {.lex_state = 143, .external_lex_state = 2},
  [6601] = {.lex_state = 148, .external_lex_state = 2},
  [6602] = {.lex_state = 94, .external_lex_state = 2},
  [6603] = {.lex_state = 420, .external_lex_state = 2},
  [6604] = {.lex_state = 143, .external_lex_state = 2},
  [6605] = {.lex_state = 143, .external_lex_state = 2},
  [6606] = {.lex_state = 148, .external_lex_state = 2},
  [6607] = {.lex_state = 148, .external_lex_state = 2},
  [6608] = {.lex_state = 420, .external_lex_state = 2},
  [6609] = {.lex_state = 420, .external_lex_state = 2},
  [6610] = {.lex_state = 148, .external_lex_state = 2},
  [6611] = {.lex_state = 143, .external_lex_state = 2},
  [6612] = {.lex_state = 420, .external_lex_state = 2},
  [6613] = {.lex_state = 420, .external_lex_state = 2},
  [6614] = {.lex_state = 143, .external_lex_state = 2},
  [6615] = {.lex_state = 143, .external_lex_state = 2},
  [6616] = {.lex_state = 420, .external_lex_state = 2},
  [6617] = {.lex_state = 420, .external_lex_state = 2},
  [6618] = {.lex_state = 420, .external_lex_state = 2},
  [6619] = {.lex_state = 143, .external_lex_state = 2},
  [6620] = {.lex_state = 94, .external_lex_state = 2},
  [6621] = {.lex_state = 143, .external_lex_state = 2},
  [6622] = {.lex_state = 143, .external_lex_state = 2},
  [6623] = {.lex_state = 143, .external_lex_state = 2},
  [6624] = {.lex_state = 420, .external_lex_state = 2},
  [6625] = {.lex_state = 420, .external_lex_state = 2},
  [6626] = {.lex_state = 420, .external_lex_state = 2},
  [6627] = {.lex_state = 143, .external_lex_state = 2},
  [6628] = {.lex_state = 94, .external_lex_state = 2},
  [6629] = {.lex_state = 94, .external_lex_state = 2},
  [6630] = {.lex_state = 144, .external_lex_state = 2},
  [6631] = {.lex_state = 144, .external_lex_state = 2},
  [6632] = {.lex_state = 94, .external_lex_state = 2},
  [6633] = {.lex_state = 144, .external_lex_state = 2},
  [6634] = {.lex_state = 144, .external_lex_state = 2},
  [6635] = {.lex_state = 94, .external_lex_state = 2},
  [6636] = {.lex_state = 144, .external_lex_state = 2},
  [6637] = {.lex_state = 94, .external_lex_state = 2},
  [6638] = {.lex_state = 144, .external_lex_state = 2},
  [6639] = {.lex_state = 94, .external_lex_state = 2},
  [6640] = {.lex_state = 94, .external_lex_state = 2},
  [6641] = {.lex_state = 144, .external_lex_state = 2},
  [6642] = {.lex_state = 144, .external_lex_state = 2},
  [6643] = {.lex_state = 94, .external_lex_state = 2},
  [6644] = {.lex_state = 144, .external_lex_state = 2},
  [6645] = {.lex_state = 144, .external_lex_state = 2},
  [6646] = {.lex_state = 144, .external_lex_state = 2},
  [6647] = {.lex_state = 94, .external_lex_state = 2},
  [6648] = {.lex_state = 94, .external_lex_state = 2},
  [6649] = {.lex_state = 94, .external_lex_state = 2},
  [6650] = {.lex_state = 94, .external_lex_state = 2},
  [6651] = {.lex_state = 94, .external_lex_state = 2},
  [6652] = {.lex_state = 144, .external_lex_state = 2},
  [6653] = {.lex_state = 94, .external_lex_state = 2},
  [6654] = {.lex_state = 94, .external_lex_state = 2},
  [6655] = {.lex_state = 94, .external_lex_state = 2},
  [6656] = {.lex_state = 94, .external_lex_state = 2},
  [6657] = {.lex_state = 94, .external_lex_state = 2},
  [6658] = {.lex_state = 94, .external_lex_state = 2},
  [6659] = {.lex_state = 94, .external_lex_state = 2},
  [6660] = {.lex_state = 54, .external_lex_state = 2},
  [6661] = {.lex_state = 144, .external_lex_state = 2},
  [6662] = {.lex_state = 144, .external_lex_state = 2},
  [6663] = {.lex_state = 94, .external_lex_state = 2},
  [6664] = {.lex_state = 94, .external_lex_state = 2},
  [6665] = {.lex_state = 94, .external_lex_state = 2},
  [6666] = {.lex_state = 95, .external_lex_state = 2},
  [6667] = {.lex_state = 144, .external_lex_state = 2},
  [6668] = {.lex_state = 94, .external_lex_state = 2},
  [6669] = {.lex_state = 94, .external_lex_state = 2},
  [6670] = {.lex_state = 144, .external_lex_state = 2},
  [6671] = {.lex_state = 94, .external_lex_state = 2},
  [6672] = {.lex_state = 94, .external_lex_state = 2},
  [6673] = {.lex_state = 94, .external_lex_state = 2},
  [6674] = {.lex_state = 144, .external_lex_state = 2},
  [6675] = {.lex_state = 144, .external_lex_state = 2},
  [6676] = {.lex_state = 94, .external_lex_state = 2},
  [6677] = {.lex_state = 95, .external_lex_state = 2},
  [6678] = {.lex_state = 94, .external_lex_state = 2},
  [6679] = {.lex_state = 95, .external_lex_state = 2},
  [6680] = {.lex_state = 94, .external_lex_state = 2},
  [6681] = {.lex_state = 94, .external_lex_state = 2},
  [6682] = {.lex_state = 94, .external_lex_state = 2},
  [6683] = {.lex_state = 95, .external_lex_state = 2},
  [6684] = {.lex_state = 144, .external_lex_state = 2},
  [6685] = {.lex_state = 144, .external_lex_state = 2},
  [6686] = {.lex_state = 94, .external_lex_state = 2},
  [6687] = {.lex_state = 95, .external_lex_state = 2},
  [6688] = {.lex_state = 94, .external_lex_state = 2},
  [6689] = {.lex_state = 144, .external_lex_state = 2},
  [6690] = {.lex_state = 144, .external_lex_state = 2},
  [6691] = {.lex_state = 95, .external_lex_state = 2},
  [6692] = {.lex_state = 94, .external_lex_state = 2},
  [6693] = {.lex_state = 94, .external_lex_state = 2},
  [6694] = {.lex_state = 94, .external_lex_state = 2},
  [6695] = {.lex_state = 94, .external_lex_state = 2},
  [6696] = {.lex_state = 94, .external_lex_state = 2},
  [6697] = {.lex_state = 94, .external_lex_state = 2},
  [6698] = {.lex_state = 94, .external_lex_state = 2},
  [6699] = {.lex_state = 94, .external_lex_state = 2},
  [6700] = {.lex_state = 144, .external_lex_state = 2},
  [6701] = {.lex_state = 94, .external_lex_state = 2},
  [6702] = {.lex_state = 144, .external_lex_state = 2},
  [6703] = {.lex_state = 144, .external_lex_state = 2},
  [6704] = {.lex_state = 94, .external_lex_state = 2},
  [6705] = {.lex_state = 122, .external_lex_state = 2},
  [6706] = {.lex_state = 144, .external_lex_state = 2},
  [6707] = {.lex_state = 95, .external_lex_state = 2},
  [6708] = {.lex_state = 144, .external_lex_state = 2},
  [6709] = {.lex_state = 144, .external_lex_state = 2},
  [6710] = {.lex_state = 144, .external_lex_state = 2},
  [6711] = {.lex_state = 144, .external_lex_state = 2},
  [6712] = {.lex_state = 144, .external_lex_state = 2},
  [6713] = {.lex_state = 144, .external_lex_state = 2},
  [6714] = {.lex_state = 144, .external_lex_state = 2},
  [6715] = {.lex_state = 94, .external_lex_state = 2},
  [6716] = {.lex_state = 144, .external_lex_state = 2},
  [6717] = {.lex_state = 94, .external_lex_state = 2},
  [6718] = {.lex_state = 94, .external_lex_state = 2},
  [6719] = {.lex_state = 144, .external_lex_state = 2},
  [6720] = {.lex_state = 144, .external_lex_state = 2},
  [6721] = {.lex_state = 144, .external_lex_state = 2},
  [6722] = {.lex_state = 94, .external_lex_state = 2},
  [6723] = {.lex_state = 94, .external_lex_state = 2},
  [6724] = {.lex_state = 144, .external_lex_state = 2},
  [6725] = {.lex_state = 94, .external_lex_state = 2},
  [6726] = {.lex_state = 94, .external_lex_state = 2},
  [6727] = {.lex_state = 144, .external_lex_state = 2},
  [6728] = {.lex_state = 94, .external_lex_state = 2},
  [6729] = {.lex_state = 94, .external_lex_state = 2},
  [6730] = {.lex_state = 94, .external_lex_state = 2},
  [6731] = {.lex_state = 95, .external_lex_state = 2},
  [6732] = {.lex_state = 57, .external_lex_state = 2},
  [6733] = {.lex_state = 144, .external_lex_state = 2},
  [6734] = {.lex_state = 94, .external_lex_state = 2},
  [6735] = {.lex_state = 54, .external_lex_state = 2},
  [6736] = {.lex_state = 94, .external_lex_state = 2},
  [6737] = {.lex_state = 94, .external_lex_state = 2},
  [6738] = {.lex_state = 94, .external_lex_state = 2},
  [6739] = {.lex_state = 144, .external_lex_state = 2},
  [6740] = {.lex_state = 94, .external_lex_state = 2},
  [6741] = {.lex_state = 144, .external_lex_state = 2},
  [6742] = {.lex_state = 144, .external_lex_state = 2},
  [6743] = {.lex_state = 94, .external_lex_state = 2},
  [6744] = {.lex_state = 144, .external_lex_state = 2},
  [6745] = {.lex_state = 94, .external_lex_state = 2},
  [6746] = {.lex_state = 94, .external_lex_state = 2},
  [6747] = {.lex_state = 144, .external_lex_state = 2},
  [6748] = {.lex_state = 144, .external_lex_state = 2},
  [6749] = {.lex_state = 94, .external_lex_state = 2},
  [6750] = {.lex_state = 144, .external_lex_state = 2},
  [6751] = {.lex_state = 94, .external_lex_state = 2},
  [6752] = {.lex_state = 95, .external_lex_state = 2},
  [6753] = {.lex_state = 57, .external_lex_state = 2},
  [6754] = {.lex_state = 94, .external_lex_state = 2},
  [6755] = {.lex_state = 94, .external_lex_state = 2},
  [6756] = {.lex_state = 94, .external_lex_state = 2},
  [6757] = {.lex_state = 94, .external_lex_state = 2},
  [6758] = {.lex_state = 94, .external_lex_state = 2},
  [6759] = {.lex_state = 144, .external_lex_state = 2},
  [6760] = {.lex_state = 95, .external_lex_state = 2},
  [6761] = {.lex_state = 94, .external_lex_state = 2},
  [6762] = {.lex_state = 94, .external_lex_state = 2},
  [6763] = {.lex_state = 94, .external_lex_state = 2},
  [6764] = {.lex_state = 95, .external_lex_state = 2},
  [6765] = {.lex_state = 144, .external_lex_state = 2},
  [6766] = {.lex_state = 84, .external_lex_state = 2},
  [6767] = {.lex_state = 95, .external_lex_state = 2},
  [6768] = {.lex_state = 84, .external_lex_state = 2},
  [6769] = {.lex_state = 95, .external_lex_state = 2},
  [6770] = {.lex_state = 95, .external_lex_state = 2},
  [6771] = {.lex_state = 95, .external_lex_state = 2},
  [6772] = {.lex_state = 95, .external_lex_state = 2},
  [6773] = {.lex_state = 95, .external_lex_state = 2},
  [6774] = {.lex_state = 56, .external_lex_state = 2},
  [6775] = {.lex_state = 95, .external_lex_state = 2},
  [6776] = {.lex_state = 15, .external_lex_state = 2},
  [6777] = {.lex_state = 95, .external_lex_state = 2},
  [6778] = {.lex_state = 95, .external_lex_state = 2},
  [6779] = {.lex_state = 95, .external_lex_state = 2},
  [6780] = {.lex_state = 95, .external_lex_state = 2},
  [6781] = {.lex_state = 95, .external_lex_state = 2},
  [6782] = {.lex_state = 95, .external_lex_state = 2},
  [6783] = {.lex_state = 95, .external_lex_state = 2},
  [6784] = {.lex_state = 95, .external_lex_state = 2},
  [6785] = {.lex_state = 95, .external_lex_state = 2},
  [6786] = {.lex_state = 95, .external_lex_state = 2},
  [6787] = {.lex_state = 95, .external_lex_state = 2},
  [6788] = {.lex_state = 95, .external_lex_state = 2},
  [6789] = {.lex_state = 84, .external_lex_state = 2},
  [6790] = {.lex_state = 95, .external_lex_state = 2},
  [6791] = {.lex_state = 15, .external_lex_state = 2},
  [6792] = {.lex_state = 84, .external_lex_state = 2},
  [6793] = {.lex_state = 95, .external_lex_state = 2},
  [6794] = {.lex_state = 95, .external_lex_state = 2},
  [6795] = {.lex_state = 15, .external_lex_state = 2},
  [6796] = {.lex_state = 95, .external_lex_state = 2},
  [6797] = {.lex_state = 95, .external_lex_state = 2},
  [6798] = {.lex_state = 95, .external_lex_state = 2},
  [6799] = {.lex_state = 84, .external_lex_state = 2},
  [6800] = {.lex_state = 95, .external_lex_state = 2},
  [6801] = {.lex_state = 95, .external_lex_state = 2},
  [6802] = {.lex_state = 95, .external_lex_state = 2},
  [6803] = {.lex_state = 95, .external_lex_state = 2},
  [6804] = {.lex_state = 95, .external_lex_state = 2},
  [6805] = {.lex_state = 95, .external_lex_state = 2},
  [6806] = {.lex_state = 84, .external_lex_state = 2},
  [6807] = {.lex_state = 95, .external_lex_state = 2},
  [6808] = {.lex_state = 15, .external_lex_state = 2},
  [6809] = {.lex_state = 95, .external_lex_state = 2},
  [6810] = {.lex_state = 95, .external_lex_state = 2},
  [6811] = {.lex_state = 95, .external_lex_state = 2},
  [6812] = {.lex_state = 95, .external_lex_state = 2},
  [6813] = {.lex_state = 95, .external_lex_state = 2},
  [6814] = {.lex_state = 95, .external_lex_state = 2},
  [6815] = {.lex_state = 95, .external_lex_state = 2},
  [6816] = {.lex_state = 95, .external_lex_state = 2},
  [6817] = {.lex_state = 95, .external_lex_state = 2},
  [6818] = {.lex_state = 56, .external_lex_state = 2},
  [6819] = {.lex_state = 95, .external_lex_state = 2},
  [6820] = {.lex_state = 95, .external_lex_state = 2},
  [6821] = {.lex_state = 95, .external_lex_state = 2},
  [6822] = {.lex_state = 95, .external_lex_state = 2},
  [6823] = {.lex_state = 95, .external_lex_state = 2},
  [6824] = {.lex_state = 95, .external_lex_state = 2},
  [6825] = {.lex_state = 95, .external_lex_state = 2},
  [6826] = {.lex_state = 95, .external_lex_state = 2},
  [6827] = {.lex_state = 95, .external_lex_state = 2},
  [6828] = {.lex_state = 95, .external_lex_state = 2},
  [6829] = {.lex_state = 95, .external_lex_state = 2},
  [6830] = {.lex_state = 15, .external_lex_state = 2},
  [6831] = {.lex_state = 95, .external_lex_state = 2},
  [6832] = {.lex_state = 95, .external_lex_state = 2},
  [6833] = {.lex_state = 95, .external_lex_state = 2},
  [6834] = {.lex_state = 15, .external_lex_state = 2},
  [6835] = {.lex_state = 84, .external_lex_state = 2},
  [6836] = {.lex_state = 95, .external_lex_state = 2},
  [6837] = {.lex_state = 95, .external_lex_state = 2},
  [6838] = {.lex_state = 95, .external_lex_state = 2},
  [6839] = {.lex_state = 95, .external_lex_state = 2},
  [6840] = {.lex_state = 95, .external_lex_state = 2},
  [6841] = {.lex_state = 95, .external_lex_state = 2},
  [6842] = {.lex_state = 95, .external_lex_state = 2},
  [6843] = {.lex_state = 84, .external_lex_state = 2},
  [6844] = {.lex_state = 15, .external_lex_state = 2},
  [6845] = {.lex_state = 95, .external_lex_state = 2},
  [6846] = {.lex_state = 95, .external_lex_state = 2},
  [6847] = {.lex_state = 84, .external_lex_state = 2},
  [6848] = {.lex_state = 84, .external_lex_state = 2},
  [6849] = {.lex_state = 84, .external_lex_state = 2},
  [6850] = {.lex_state = 95, .external_lex_state = 2},
  [6851] = {.lex_state = 95, .external_lex_state = 2},
  [6852] = {.lex_state = 95, .external_lex_state = 2},
  [6853] = {.lex_state = 95, .external_lex_state = 2},
  [6854] = {.lex_state = 95, .external_lex_state = 2},
  [6855] = {.lex_state = 95, .external_lex_state = 2},
  [6856] = {.lex_state = 15, .external_lex_state = 2},
  [6857] = {.lex_state = 95, .external_lex_state = 2},
  [6858] = {.lex_state = 95, .external_lex_state = 2},
  [6859] = {.lex_state = 15, .external_lex_state = 2},
  [6860] = {.lex_state = 95, .external_lex_state = 2},
  [6861] = {.lex_state = 84, .external_lex_state = 2},
  [6862] = {.lex_state = 387, .external_lex_state = 2},
  [6863] = {.lex_state = 23, .external_lex_state = 2},
  [6864] = {.lex_state = 23, .external_lex_state = 2},
  [6865] = {.lex_state = 387, .external_lex_state = 2},
  [6866] = {.lex_state = 387, .external_lex_state = 2},
  [6867] = {.lex_state = 23, .external_lex_state = 2},
  [6868] = {.lex_state = 387, .external_lex_state = 2},
  [6869] = {.lex_state = 86, .external_lex_state = 2},
  [6870] = {.lex_state = 86, .external_lex_state = 2},
  [6871] = {.lex_state = 86, .external_lex_state = 2},
  [6872] = {.lex_state = 86, .external_lex_state = 2},
  [6873] = {.lex_state = 86, .external_lex_state = 2},
  [6874] = {.lex_state = 86, .external_lex_state = 2},
  [6875] = {.lex_state = 84, .external_lex_state = 2},
  [6876] = {.lex_state = 387, .external_lex_state = 2},
  [6877] = {.lex_state = 23, .external_lex_state = 2},
  [6878] = {.lex_state = 84, .external_lex_state = 2},
  [6879] = {.lex_state = 23, .external_lex_state = 2},
  [6880] = {.lex_state = 23, .external_lex_state = 2},
  [6881] = {.lex_state = 23, .external_lex_state = 2},
  [6882] = {.lex_state = 84, .external_lex_state = 2},
  [6883] = {.lex_state = 84, .external_lex_state = 2},
  [6884] = {.lex_state = 23, .external_lex_state = 2},
  [6885] = {.lex_state = 84, .external_lex_state = 2},
  [6886] = {.lex_state = 84, .external_lex_state = 2},
  [6887] = {.lex_state = 84, .external_lex_state = 2},
  [6888] = {.lex_state = 387, .external_lex_state = 2},
  [6889] = {.lex_state = 387, .external_lex_state = 2},
  [6890] = {.lex_state = 84, .external_lex_state = 2},
  [6891] = {.lex_state = 84, .external_lex_state = 2},
  [6892] = {.lex_state = 23, .external_lex_state = 2},
  [6893] = {.lex_state = 84, .external_lex_state = 2},
  [6894] = {.lex_state = 23, .external_lex_state = 2},
  [6895] = {.lex_state = 84, .external_lex_state = 2},
  [6896] = {.lex_state = 84, .external_lex_state = 2},
  [6897] = {.lex_state = 23, .external_lex_state = 2},
  [6898] = {.lex_state = 84, .external_lex_state = 2},
  [6899] = {.lex_state = 84, .external_lex_state = 2},
  [6900] = {.lex_state = 84, .external_lex_state = 2},
  [6901] = {.lex_state = 387, .external_lex_state = 2},
  [6902] = {.lex_state = 84, .external_lex_state = 2},
  [6903] = {.lex_state = 84, .external_lex_state = 2},
  [6904] = {.lex_state = 84, .external_lex_state = 2},
  [6905] = {.lex_state = 84, .external_lex_state = 2},
  [6906] = {.lex_state = 23, .external_lex_state = 2},
  [6907] = {.lex_state = 84, .external_lex_state = 2},
  [6908] = {.lex_state = 84, .external_lex_state = 2},
  [6909] = {.lex_state = 84, .external_lex_state = 2},
  [6910] = {.lex_state = 84, .external_lex_state = 2},
  [6911] = {.lex_state = 84, .external_lex_state = 2},
  [6912] = {.lex_state = 84, .external_lex_state = 2},
  [6913] = {.lex_state = 84, .external_lex_state = 2},
  [6914] = {.lex_state = 84, .external_lex_state = 2},
  [6915] = {.lex_state = 23, .external_lex_state = 2},
  [6916] = {.lex_state = 84, .external_lex_state = 2},
  [6917] = {.lex_state = 84, .external_lex_state = 2},
  [6918] = {.lex_state = 84, .external_lex_state = 2},
  [6919] = {.lex_state = 387, .external_lex_state = 2},
  [6920] = {.lex_state = 84, .external_lex_state = 2},
  [6921] = {.lex_state = 84, .external_lex_state = 2},
  [6922] = {.lex_state = 84, .external_lex_state = 2},
  [6923] = {.lex_state = 84, .external_lex_state = 2},
  [6924] = {.lex_state = 23, .external_lex_state = 2},
  [6925] = {.lex_state = 387, .external_lex_state = 2},
  [6926] = {.lex_state = 387, .external_lex_state = 2},
  [6927] = {.lex_state = 387, .external_lex_state = 2},
  [6928] = {.lex_state = 84, .external_lex_state = 2},
  [6929] = {.lex_state = 23, .external_lex_state = 2},
  [6930] = {.lex_state = 23, .external_lex_state = 2},
  [6931] = {.lex_state = 23, .external_lex_state = 2},
  [6932] = {.lex_state = 84, .external_lex_state = 2},
  [6933] = {.lex_state = 23, .external_lex_state = 2},
  [6934] = {.lex_state = 387, .external_lex_state = 2},
  [6935] = {.lex_state = 23, .external_lex_state = 2},
  [6936] = {.lex_state = 387, .external_lex_state = 2},
  [6937] = {.lex_state = 84, .external_lex_state = 2},
  [6938] = {.lex_state = 387, .external_lex_state = 2},
  [6939] = {.lex_state = 84, .external_lex_state = 2},
  [6940] = {.lex_state = 84, .external_lex_state = 2},
  [6941] = {.lex_state = 84, .external_lex_state = 2},
  [6942] = {.lex_state = 23, .external_lex_state = 2},
  [6943] = {.lex_state = 387, .external_lex_state = 2},
  [6944] = {.lex_state = 23, .external_lex_state = 2},
  [6945] = {.lex_state = 84, .external_lex_state = 2},
  [6946] = {.lex_state = 23, .external_lex_state = 2},
  [6947] = {.lex_state = 23, .external_lex_state = 2},
  [6948] = {.lex_state = 387, .external_lex_state = 2},
  [6949] = {.lex_state = 23, .external_lex_state = 2},
  [6950] = {.lex_state = 23, .external_lex_state = 2},
  [6951] = {.lex_state = 23, .external_lex_state = 2},
  [6952] = {.lex_state = 84, .external_lex_state = 2},
  [6953] = {.lex_state = 84, .external_lex_state = 2},
  [6954] = {.lex_state = 84, .external_lex_state = 2},
  [6955] = {.lex_state = 86, .external_lex_state = 2},
  [6956] = {.lex_state = 84, .external_lex_state = 2},
  [6957] = {.lex_state = 84, .external_lex_state = 2},
  [6958] = {.lex_state = 84, .external_lex_state = 2},
  [6959] = {.lex_state = 84, .external_lex_state = 2},
  [6960] = {.lex_state = 23, .external_lex_state = 2},
  [6961] = {.lex_state = 86, .external_lex_state = 2},
  [6962] = {.lex_state = 387, .external_lex_state = 2},
  [6963] = {.lex_state = 84, .external_lex_state = 2},
  [6964] = {.lex_state = 84, .external_lex_state = 2},
  [6965] = {.lex_state = 387, .external_lex_state = 2},
  [6966] = {.lex_state = 84, .external_lex_state = 2},
  [6967] = {.lex_state = 387, .external_lex_state = 2},
  [6968] = {.lex_state = 387, .external_lex_state = 2},
  [6969] = {.lex_state = 387, .external_lex_state = 2},
  [6970] = {.lex_state = 387, .external_lex_state = 2},
  [6971] = {.lex_state = 84, .external_lex_state = 2},
  [6972] = {.lex_state = 84, .external_lex_state = 2},
  [6973] = {.lex_state = 387, .external_lex_state = 2},
  [6974] = {.lex_state = 84, .external_lex_state = 2},
  [6975] = {.lex_state = 387, .external_lex_state = 2},
  [6976] = {.lex_state = 387, .external_lex_state = 2},
  [6977] = {.lex_state = 84, .external_lex_state = 2},
  [6978] = {.lex_state = 84, .external_lex_state = 2},
  [6979] = {.lex_state = 23, .external_lex_state = 2},
  [6980] = {.lex_state = 387, .external_lex_state = 2},
  [6981] = {.lex_state = 387, .external_lex_state = 2},
  [6982] = {.lex_state = 387, .external_lex_state = 2},
  [6983] = {.lex_state = 387, .external_lex_state = 2},
  [6984] = {.lex_state = 387, .external_lex_state = 2},
  [6985] = {.lex_state = 387, .external_lex_state = 2},
  [6986] = {.lex_state = 387, .external_lex_state = 2},
  [6987] = {.lex_state = 387, .external_lex_state = 2},
  [6988] = {.lex_state = 387, .external_lex_state = 2},
  [6989] = {.lex_state = 387, .external_lex_state = 2},
  [6990] = {.lex_state = 23, .external_lex_state = 2},
  [6991] = {.lex_state = 85, .external_lex_state = 2},
  [6992] = {.lex_state = 85, .external_lex_state = 2},
  [6993] = {.lex_state = 387, .external_lex_state = 2},
  [6994] = {.lex_state = 387, .external_lex_state = 2},
  [6995] = {.lex_state = 387, .external_lex_state = 2},
  [6996] = {.lex_state = 387, .external_lex_state = 2},
  [6997] = {.lex_state = 23, .external_lex_state = 2},
  [6998] = {.lex_state = 23, .external_lex_state = 2},
  [6999] = {.lex_state = 387, .external_lex_state = 2},
  [7000] = {.lex_state = 23, .external_lex_state = 2},
  [7001] = {.lex_state = 387, .external_lex_state = 2},
  [7002] = {.lex_state = 23, .external_lex_state = 2},
  [7003] = {.lex_state = 23, .external_lex_state = 2},
  [7004] = {.lex_state = 23, .external_lex_state = 2},
  [7005] = {.lex_state = 387, .external_lex_state = 2},
  [7006] = {.lex_state = 387, .external_lex_state = 2},
  [7007] = {.lex_state = 387, .external_lex_state = 2},
  [7008] = {.lex_state = 387, .external_lex_state = 2},
  [7009] = {.lex_state = 23, .external_lex_state = 2},
  [7010] = {.lex_state = 23, .external_lex_state = 2},
  [7011] = {.lex_state = 23, .external_lex_state = 2},
  [7012] = {.lex_state = 387, .external_lex_state = 2},
  [7013] = {.lex_state = 387, .external_lex_state = 2},
  [7014] = {.lex_state = 387, .external_lex_state = 2},
  [7015] = {.lex_state = 387, .external_lex_state = 2},
  [7016] = {.lex_state = 387, .external_lex_state = 2},
  [7017] = {.lex_state = 23, .external_lex_state = 2},
  [7018] = {.lex_state = 23, .external_lex_state = 2},
  [7019] = {.lex_state = 23, .external_lex_state = 2},
  [7020] = {.lex_state = 23, .external_lex_state = 2},
  [7021] = {.lex_state = 23, .external_lex_state = 2},
  [7022] = {.lex_state = 23, .external_lex_state = 2},
  [7023] = {.lex_state = 84, .external_lex_state = 2},
  [7024] = {.lex_state = 23, .external_lex_state = 2},
  [7025] = {.lex_state = 23, .external_lex_state = 2},
  [7026] = {.lex_state = 23, .external_lex_state = 2},
  [7027] = {.lex_state = 23, .external_lex_state = 2},
  [7028] = {.lex_state = 23, .external_lex_state = 2},
  [7029] = {.lex_state = 387, .external_lex_state = 2},
  [7030] = {.lex_state = 387, .external_lex_state = 2},
  [7031] = {.lex_state = 23, .external_lex_state = 2},
  [7032] = {.lex_state = 387, .external_lex_state = 2},
  [7033] = {.lex_state = 23, .external_lex_state = 2},
  [7034] = {.lex_state = 23, .external_lex_state = 2},
  [7035] = {.lex_state = 84, .external_lex_state = 2},
  [7036] = {.lex_state = 23, .external_lex_state = 2},
  [7037] = {.lex_state = 23, .external_lex_state = 2},
  [7038] = {.lex_state = 23, .external_lex_state = 2},
  [7039] = {.lex_state = 23, .external_lex_state = 2},
  [7040] = {.lex_state = 23, .external_lex_state = 2},
  [7041] = {.lex_state = 387, .external_lex_state = 2},
  [7042] = {.lex_state = 23, .external_lex_state = 2},
  [7043] = {.lex_state = 23, .external_lex_state = 2},
  [7044] = {.lex_state = 23, .external_lex_state = 2},
  [7045] = {.lex_state = 23, .external_lex_state = 2},
  [7046] = {.lex_state = 387, .external_lex_state = 2},
  [7047] = {.lex_state = 23, .external_lex_state = 2},
  [7048] = {.lex_state = 23, .external_lex_state = 2},
  [7049] = {.lex_state = 387, .external_lex_state = 2},
  [7050] = {.lex_state = 23, .external_lex_state = 2},
  [7051] = {.lex_state = 23, .external_lex_state = 2},
  [7052] = {.lex_state = 23, .external_lex_state = 2},
  [7053] = {.lex_state = 84, .external_lex_state = 2},
  [7054] = {.lex_state = 23, .external_lex_state = 2},
  [7055] = {.lex_state = 84, .external_lex_state = 2},
  [7056] = {.lex_state = 84, .external_lex_state = 2},
  [7057] = {.lex_state = 84, .external_lex_state = 2},
  [7058] = {.lex_state = 84, .external_lex_state = 2},
  [7059] = {.lex_state = 387, .external_lex_state = 2},
  [7060] = {.lex_state = 23, .external_lex_state = 2},
  [7061] = {.lex_state = 23, .external_lex_state = 2},
  [7062] = {.lex_state = 23, .external_lex_state = 2},
  [7063] = {.lex_state = 387, .external_lex_state = 2},
  [7064] = {.lex_state = 23, .external_lex_state = 2},
  [7065] = {.lex_state = 84, .external_lex_state = 2},
  [7066] = {.lex_state = 23, .external_lex_state = 2},
  [7067] = {.lex_state = 23, .external_lex_state = 2},
  [7068] = {.lex_state = 387, .external_lex_state = 2},
  [7069] = {.lex_state = 23, .external_lex_state = 2},
  [7070] = {.lex_state = 387, .external_lex_state = 2},
  [7071] = {.lex_state = 387, .external_lex_state = 2},
  [7072] = {.lex_state = 387, .external_lex_state = 2},
  [7073] = {.lex_state = 84, .external_lex_state = 2},
  [7074] = {.lex_state = 387, .external_lex_state = 2},
  [7075] = {.lex_state = 89, .external_lex_state = 2},
  [7076] = {.lex_state = 84, .external_lex_state = 2},
  [7077] = {.lex_state = 387, .external_lex_state = 2},
  [7078] = {.lex_state = 84, .external_lex_state = 2},
  [7079] = {.lex_state = 387, .external_lex_state = 2},
  [7080] = {.lex_state = 84, .external_lex_state = 2},
  [7081] = {.lex_state = 85, .external_lex_state = 2},
  [7082] = {.lex_state = 23, .external_lex_state = 2},
  [7083] = {.lex_state = 387, .external_lex_state = 2},
  [7084] = {.lex_state = 84, .external_lex_state = 2},
  [7085] = {.lex_state = 85, .external_lex_state = 2},
  [7086] = {.lex_state = 85, .external_lex_state = 2},
  [7087] = {.lex_state = 85, .external_lex_state = 2},
  [7088] = {.lex_state = 85, .external_lex_state = 2},
  [7089] = {.lex_state = 85, .external_lex_state = 2},
  [7090] = {.lex_state = 85, .external_lex_state = 2},
  [7091] = {.lex_state = 82, .external_lex_state = 2},
  [7092] = {.lex_state = 387, .external_lex_state = 2},
  [7093] = {.lex_state = 89, .external_lex_state = 2},
  [7094] = {.lex_state = 82, .external_lex_state = 2},
  [7095] = {.lex_state = 90, .external_lex_state = 2},
  [7096] = {.lex_state = 88, .external_lex_state = 2},
  [7097] = {.lex_state = 90, .external_lex_state = 2},
  [7098] = {.lex_state = 86, .external_lex_state = 2},
  [7099] = {.lex_state = 387, .external_lex_state = 2},
  [7100] = {.lex_state = 85, .external_lex_state = 2},
  [7101] = {.lex_state = 23, .external_lex_state = 2},
  [7102] = {.lex_state = 85, .external_lex_state = 2},
  [7103] = {.lex_state = 387, .external_lex_state = 2},
  [7104] = {.lex_state = 387, .external_lex_state = 2},
  [7105] = {.lex_state = 88, .external_lex_state = 2},
  [7106] = {.lex_state = 23, .external_lex_state = 2},
  [7107] = {.lex_state = 387, .external_lex_state = 2},
  [7108] = {.lex_state = 387, .external_lex_state = 2},
  [7109] = {.lex_state = 387, .external_lex_state = 2},
  [7110] = {.lex_state = 387, .external_lex_state = 2},
  [7111] = {.lex_state = 387, .external_lex_state = 2},
  [7112] = {.lex_state = 387, .external_lex_state = 2},
  [7113] = {.lex_state = 387, .external_lex_state = 2},
  [7114] = {.lex_state = 387, .external_lex_state = 2},
  [7115] = {.lex_state = 387, .external_lex_state = 2},
  [7116] = {.lex_state = 387, .external_lex_state = 2},
  [7117] = {.lex_state = 387, .external_lex_state = 2},
  [7118] = {.lex_state = 387, .external_lex_state = 2},
  [7119] = {.lex_state = 387, .external_lex_state = 2},
  [7120] = {.lex_state = 387, .external_lex_state = 2},
  [7121] = {.lex_state = 387, .external_lex_state = 2},
  [7122] = {.lex_state = 387, .external_lex_state = 2},
  [7123] = {.lex_state = 387, .external_lex_state = 2},
  [7124] = {.lex_state = 387, .external_lex_state = 2},
  [7125] = {.lex_state = 387, .external_lex_state = 2},
  [7126] = {.lex_state = 387, .external_lex_state = 2},
  [7127] = {.lex_state = 387, .external_lex_state = 2},
  [7128] = {.lex_state = 387, .external_lex_state = 2},
  [7129] = {.lex_state = 387, .external_lex_state = 2},
  [7130] = {.lex_state = 387, .external_lex_state = 2},
  [7131] = {.lex_state = 387, .external_lex_state = 2},
  [7132] = {.lex_state = 387, .external_lex_state = 2},
  [7133] = {.lex_state = 387, .external_lex_state = 2},
  [7134] = {.lex_state = 387, .external_lex_state = 2},
  [7135] = {.lex_state = 387, .external_lex_state = 2},
  [7136] = {.lex_state = 387, .external_lex_state = 2},
  [7137] = {.lex_state = 387, .external_lex_state = 2},
  [7138] = {.lex_state = 387, .external_lex_state = 2},
  [7139] = {.lex_state = 387, .external_lex_state = 2},
  [7140] = {.lex_state = 387, .external_lex_state = 2},
  [7141] = {.lex_state = 387, .external_lex_state = 2},
  [7142] = {.lex_state = 387, .external_lex_state = 2},
  [7143] = {.lex_state = 387, .external_lex_state = 2},
  [7144] = {.lex_state = 387, .external_lex_state = 2},
  [7145] = {.lex_state = 387, .external_lex_state = 2},
  [7146] = {.lex_state = 387, .external_lex_state = 2},
  [7147] = {.lex_state = 387, .external_lex_state = 2},
  [7148] = {.lex_state = 387, .external_lex_state = 2},
  [7149] = {.lex_state = 387, .external_lex_state = 2},
  [7150] = {.lex_state = 86, .external_lex_state = 2},
  [7151] = {.lex_state = 387, .external_lex_state = 2},
  [7152] = {.lex_state = 387, .external_lex_state = 2},
  [7153] = {.lex_state = 84, .external_lex_state = 2},
  [7154] = {.lex_state = 387, .external_lex_state = 2},
  [7155] = {.lex_state = 387, .external_lex_state = 2},
  [7156] = {.lex_state = 387, .external_lex_state = 2},
  [7157] = {.lex_state = 387, .external_lex_state = 2},
  [7158] = {.lex_state = 387, .external_lex_state = 2},
  [7159] = {.lex_state = 89, .external_lex_state = 2},
  [7160] = {.lex_state = 387, .external_lex_state = 2},
  [7161] = {.lex_state = 387, .external_lex_state = 2},
  [7162] = {.lex_state = 387, .external_lex_state = 2},
  [7163] = {.lex_state = 89, .external_lex_state = 2},
  [7164] = {.lex_state = 89, .external_lex_state = 2},
  [7165] = {.lex_state = 89, .external_lex_state = 2},
  [7166] = {.lex_state = 387, .external_lex_state = 2},
  [7167] = {.lex_state = 89, .external_lex_state = 2},
  [7168] = {.lex_state = 89, .external_lex_state = 2},
  [7169] = {.lex_state = 89, .external_lex_state = 2},
  [7170] = {.lex_state = 387, .external_lex_state = 2},
  [7171] = {.lex_state = 387, .external_lex_state = 2},
  [7172] = {.lex_state = 387, .external_lex_state = 2},
  [7173] = {.lex_state = 387, .external_lex_state = 2},
  [7174] = {.lex_state = 387, .external_lex_state = 2},
  [7175] = {.lex_state = 82, .external_lex_state = 2},
  [7176] = {.lex_state = 23, .external_lex_state = 2},
  [7177] = {.lex_state = 387, .external_lex_state = 2},
  [7178] = {.lex_state = 82, .external_lex_state = 2},
  [7179] = {.lex_state = 82, .external_lex_state = 2},
  [7180] = {.lex_state = 82, .external_lex_state = 2},
  [7181] = {.lex_state = 82, .external_lex_state = 2},
  [7182] = {.lex_state = 82, .external_lex_state = 2},
  [7183] = {.lex_state = 82, .external_lex_state = 2},
  [7184] = {.lex_state = 387, .external_lex_state = 2},
  [7185] = {.lex_state = 89, .external_lex_state = 2},
  [7186] = {.lex_state = 90, .external_lex_state = 2},
  [7187] = {.lex_state = 89, .external_lex_state = 2},
  [7188] = {.lex_state = 90, .external_lex_state = 2},
  [7189] = {.lex_state = 90, .external_lex_state = 2},
  [7190] = {.lex_state = 90, .external_lex_state = 2},
  [7191] = {.lex_state = 90, .external_lex_state = 2},
  [7192] = {.lex_state = 90, .external_lex_state = 2},
  [7193] = {.lex_state = 90, .external_lex_state = 2},
  [7194] = {.lex_state = 82, .external_lex_state = 2},
  [7195] = {.lex_state = 88, .external_lex_state = 2},
  [7196] = {.lex_state = 82, .external_lex_state = 2},
  [7197] = {.lex_state = 88, .external_lex_state = 2},
  [7198] = {.lex_state = 88, .external_lex_state = 2},
  [7199] = {.lex_state = 88, .external_lex_state = 2},
  [7200] = {.lex_state = 88, .external_lex_state = 2},
  [7201] = {.lex_state = 88, .external_lex_state = 2},
  [7202] = {.lex_state = 88, .external_lex_state = 2},
  [7203] = {.lex_state = 90, .external_lex_state = 2},
  [7204] = {.lex_state = 387, .external_lex_state = 2},
  [7205] = {.lex_state = 387, .external_lex_state = 2},
  [7206] = {.lex_state = 94, .external_lex_state = 2},
  [7207] = {.lex_state = 387, .external_lex_state = 2},
  [7208] = {.lex_state = 90, .external_lex_state = 2},
  [7209] = {.lex_state = 387, .external_lex_state = 2},
  [7210] = {.lex_state = 387, .external_lex_state = 2},
  [7211] = {.lex_state = 55, .external_lex_state = 2},
  [7212] = {.lex_state = 387, .external_lex_state = 2},
  [7213] = {.lex_state = 387, .external_lex_state = 2},
  [7214] = {.lex_state = 387, .external_lex_state = 2},
  [7215] = {.lex_state = 387, .external_lex_state = 2},
  [7216] = {.lex_state = 88, .external_lex_state = 2},
  [7217] = {.lex_state = 88, .external_lex_state = 2},
  [7218] = {.lex_state = 387, .external_lex_state = 2},
  [7219] = {.lex_state = 387, .external_lex_state = 2},
  [7220] = {.lex_state = 86, .external_lex_state = 2},
  [7221] = {.lex_state = 387, .external_lex_state = 2},
  [7222] = {.lex_state = 387, .external_lex_state = 2},
  [7223] = {.lex_state = 387, .external_lex_state = 2},
  [7224] = {.lex_state = 387, .external_lex_state = 2},
  [7225] = {.lex_state = 387, .external_lex_state = 2},
  [7226] = {.lex_state = 387, .external_lex_state = 2},
  [7227] = {.lex_state = 387, .external_lex_state = 2},
  [7228] = {.lex_state = 387, .external_lex_state = 2},
  [7229] = {.lex_state = 23, .external_lex_state = 2},
  [7230] = {.lex_state = 387, .external_lex_state = 2},
  [7231] = {.lex_state = 387, .external_lex_state = 2},
  [7232] = {.lex_state = 387, .external_lex_state = 2},
  [7233] = {.lex_state = 387, .external_lex_state = 2},
  [7234] = {.lex_state = 387, .external_lex_state = 2},
  [7235] = {.lex_state = 387, .external_lex_state = 2},
  [7236] = {.lex_state = 387, .external_lex_state = 2},
  [7237] = {.lex_state = 387, .external_lex_state = 2},
  [7238] = {.lex_state = 23, .external_lex_state = 2},
  [7239] = {.lex_state = 387, .external_lex_state = 2},
  [7240] = {.lex_state = 387, .external_lex_state = 2},
  [7241] = {.lex_state = 387, .external_lex_state = 2},
  [7242] = {.lex_state = 23, .external_lex_state = 2},
  [7243] = {.lex_state = 84, .external_lex_state = 2},
  [7244] = {.lex_state = 89, .external_lex_state = 2},
  [7245] = {.lex_state = 85, .external_lex_state = 2},
  [7246] = {.lex_state = 82, .external_lex_state = 2},
  [7247] = {.lex_state = 85, .external_lex_state = 2},
  [7248] = {.lex_state = 90, .external_lex_state = 2},
  [7249] = {.lex_state = 85, .external_lex_state = 2},
  [7250] = {.lex_state = 85, .external_lex_state = 2},
  [7251] = {.lex_state = 85, .external_lex_state = 2},
  [7252] = {.lex_state = 85, .external_lex_state = 2},
  [7253] = {.lex_state = 85, .external_lex_state = 2},
  [7254] = {.lex_state = 85, .external_lex_state = 2},
  [7255] = {.lex_state = 85, .external_lex_state = 2},
  [7256] = {.lex_state = 90, .external_lex_state = 2},
  [7257] = {.lex_state = 85, .external_lex_state = 2},
  [7258] = {.lex_state = 85, .external_lex_state = 2},
  [7259] = {.lex_state = 85, .external_lex_state = 2},
  [7260] = {.lex_state = 86, .external_lex_state = 2},
  [7261] = {.lex_state = 88, .external_lex_state = 2},
  [7262] = {.lex_state = 86, .external_lex_state = 2},
  [7263] = {.lex_state = 85, .external_lex_state = 2},
  [7264] = {.lex_state = 85, .external_lex_state = 2},
  [7265] = {.lex_state = 85, .external_lex_state = 2},
  [7266] = {.lex_state = 85, .external_lex_state = 2},
  [7267] = {.lex_state = 86, .external_lex_state = 2},
  [7268] = {.lex_state = 82, .external_lex_state = 2},
  [7269] = {.lex_state = 82, .external_lex_state = 2},
  [7270] = {.lex_state = 85, .external_lex_state = 2},
  [7271] = {.lex_state = 7, .external_lex_state = 3},
  [7272] = {.lex_state = 82, .external_lex_state = 2},
  [7273] = {.lex_state = 82, .external_lex_state = 2},
  [7274] = {.lex_state = 85, .external_lex_state = 2},
  [7275] = {.lex_state = 92, .external_lex_state = 2},
  [7276] = {.lex_state = 82, .external_lex_state = 2},
  [7277] = {.lex_state = 92, .external_lex_state = 2},
  [7278] = {.lex_state = 92, .external_lex_state = 2},
  [7279] = {.lex_state = 7, .external_lex_state = 3},
  [7280] = {.lex_state = 87, .external_lex_state = 2},
  [7281] = {.lex_state = 89, .external_lex_state = 2},
  [7282] = {.lex_state = 88, .external_lex_state = 2},
  [7283] = {.lex_state = 88, .external_lex_state = 2},
  [7284] = {.lex_state = 85, .external_lex_state = 2},
  [7285] = {.lex_state = 85, .external_lex_state = 2},
  [7286] = {.lex_state = 93, .external_lex_state = 2},
  [7287] = {.lex_state = 88, .external_lex_state = 2},
  [7288] = {.lex_state = 92, .external_lex_state = 2},
  [7289] = {.lex_state = 83, .external_lex_state = 2},
  [7290] = {.lex_state = 93, .external_lex_state = 2},
  [7291] = {.lex_state = 91, .external_lex_state = 2},
  [7292] = {.lex_state = 82, .external_lex_state = 2},
  [7293] = {.lex_state = 85, .external_lex_state = 2},
  [7294] = {.lex_state = 87, .external_lex_state = 2},
  [7295] = {.lex_state = 7, .external_lex_state = 3},
  [7296] = {.lex_state = 88, .external_lex_state = 2},
  [7297] = {.lex_state = 86, .external_lex_state = 2},
  [7298] = {.lex_state = 86, .external_lex_state = 2},
  [7299] = {.lex_state = 86, .external_lex_state = 2},
  [7300] = {.lex_state = 90, .external_lex_state = 2},
  [7301] = {.lex_state = 86, .external_lex_state = 2},
  [7302] = {.lex_state = 83, .external_lex_state = 2},
  [7303] = {.lex_state = 86, .external_lex_state = 2},
  [7304] = {.lex_state = 85, .external_lex_state = 2},
  [7305] = {.lex_state = 85, .external_lex_state = 2},
  [7306] = {.lex_state = 88, .external_lex_state = 2},
  [7307] = {.lex_state = 88, .external_lex_state = 2},
  [7308] = {.lex_state = 91, .external_lex_state = 2},
  [7309] = {.lex_state = 90, .external_lex_state = 2},
  [7310] = {.lex_state = 85, .external_lex_state = 2},
  [7311] = {.lex_state = 83, .external_lex_state = 2},
  [7312] = {.lex_state = 86, .external_lex_state = 2},
  [7313] = {.lex_state = 85, .external_lex_state = 2},
  [7314] = {.lex_state = 89, .external_lex_state = 2},
  [7315] = {.lex_state = 85, .external_lex_state = 2},
  [7316] = {.lex_state = 88, .external_lex_state = 2},
  [7317] = {.lex_state = 82, .external_lex_state = 2},
  [7318] = {.lex_state = 85, .external_lex_state = 2},
  [7319] = {.lex_state = 89, .external_lex_state = 2},
  [7320] = {.lex_state = 85, .external_lex_state = 2},
  [7321] = {.lex_state = 90, .external_lex_state = 2},
  [7322] = {.lex_state = 85, .external_lex_state = 2},
  [7323] = {.lex_state = 85, .external_lex_state = 2},
  [7324] = {.lex_state = 86, .external_lex_state = 2},
  [7325] = {.lex_state = 90, .external_lex_state = 2},
  [7326] = {.lex_state = 88, .external_lex_state = 2},
  [7327] = {.lex_state = 89, .external_lex_state = 2},
  [7328] = {.lex_state = 83, .external_lex_state = 2},
  [7329] = {.lex_state = 85, .external_lex_state = 2},
  [7330] = {.lex_state = 90, .external_lex_state = 2},
  [7331] = {.lex_state = 90, .external_lex_state = 2},
  [7332] = {.lex_state = 92, .external_lex_state = 2},
  [7333] = {.lex_state = 86, .external_lex_state = 2},
  [7334] = {.lex_state = 82, .external_lex_state = 2},
  [7335] = {.lex_state = 86, .external_lex_state = 2},
  [7336] = {.lex_state = 88, .external_lex_state = 2},
  [7337] = {.lex_state = 90, .external_lex_state = 2},
  [7338] = {.lex_state = 82, .external_lex_state = 2},
  [7339] = {.lex_state = 94, .external_lex_state = 2},
  [7340] = {.lex_state = 86, .external_lex_state = 2},
  [7341] = {.lex_state = 86, .external_lex_state = 2},
  [7342] = {.lex_state = 88, .external_lex_state = 2},
  [7343] = {.lex_state = 86, .external_lex_state = 2},
  [7344] = {.lex_state = 86, .external_lex_state = 2},
  [7345] = {.lex_state = 86, .external_lex_state = 2},
  [7346] = {.lex_state = 83, .external_lex_state = 2},
  [7347] = {.lex_state = 83, .external_lex_state = 2},
  [7348] = {.lex_state = 89, .external_lex_state = 2},
  [7349] = {.lex_state = 83, .external_lex_state = 2},
  [7350] = {.lex_state = 86, .external_lex_state = 2},
  [7351] = {.lex_state = 86, .external_lex_state = 2},
  [7352] = {.lex_state = 86, .external_lex_state = 2},
  [7353] = {.lex_state = 86, .external_lex_state = 2},
  [7354] = {.lex_state = 88, .external_lex_state = 2},
  [7355] = {.lex_state = 88, .external_lex_state = 2},
  [7356] = {.lex_state = 90, .external_lex_state = 2},
  [7357] = {.lex_state = 88, .external_lex_state = 2},
  [7358] = {.lex_state = 86, .external_lex_state = 2},
  [7359] = {.lex_state = 91, .external_lex_state = 2},
  [7360] = {.lex_state = 90, .external_lex_state = 2},
  [7361] = {.lex_state = 89, .external_lex_state = 2},
  [7362] = {.lex_state = 86, .external_lex_state = 2},
  [7363] = {.lex_state = 82, .external_lex_state = 2},
  [7364] = {.lex_state = 86, .external_lex_state = 2},
  [7365] = {.lex_state = 89, .external_lex_state = 2},
  [7366] = {.lex_state = 82, .external_lex_state = 2},
  [7367] = {.lex_state = 86, .external_lex_state = 2},
  [7368] = {.lex_state = 89, .external_lex_state = 2},
  [7369] = {.lex_state = 86, .external_lex_state = 2},
  [7370] = {.lex_state = 89, .external_lex_state = 2},
  [7371] = {.lex_state = 91, .external_lex_state = 2},
  [7372] = {.lex_state = 91, .external_lex_state = 2},
  [7373] = {.lex_state = 86, .external_lex_state = 2},
  [7374] = {.lex_state = 91, .external_lex_state = 2},
  [7375] = {.lex_state = 82, .external_lex_state = 2},
  [7376] = {.lex_state = 89, .external_lex_state = 2},
  [7377] = {.lex_state = 83, .external_lex_state = 2},
  [7378] = {.lex_state = 83, .external_lex_state = 2},
  [7379] = {.lex_state = 83, .external_lex_state = 2},
  [7380] = {.lex_state = 89, .external_lex_state = 2},
  [7381] = {.lex_state = 86, .external_lex_state = 2},
  [7382] = {.lex_state = 89, .external_lex_state = 2},
  [7383] = {.lex_state = 89, .external_lex_state = 2},
  [7384] = {.lex_state = 90, .external_lex_state = 2},
  [7385] = {.lex_state = 87, .external_lex_state = 2},
  [7386] = {.lex_state = 86, .external_lex_state = 2},
  [7387] = {.lex_state = 90, .external_lex_state = 2},
  [7388] = {.lex_state = 87, .external_lex_state = 2},
  [7389] = {.lex_state = 89, .external_lex_state = 2},
  [7390] = {.lex_state = 88, .external_lex_state = 2},
  [7391] = {.lex_state = 89, .external_lex_state = 2},
  [7392] = {.lex_state = 7, .external_lex_state = 3},
  [7393] = {.lex_state = 91, .external_lex_state = 2},
  [7394] = {.lex_state = 89, .external_lex_state = 2},
  [7395] = {.lex_state = 86, .external_lex_state = 2},
  [7396] = {.lex_state = 89, .external_lex_state = 2},
  [7397] = {.lex_state = 89, .external_lex_state = 2},
  [7398] = {.lex_state = 89, .external_lex_state = 2},
  [7399] = {.lex_state = 89, .external_lex_state = 2},
  [7400] = {.lex_state = 82, .external_lex_state = 2},
  [7401] = {.lex_state = 91, .external_lex_state = 2},
  [7402] = {.lex_state = 89, .external_lex_state = 2},
  [7403] = {.lex_state = 89, .external_lex_state = 2},
  [7404] = {.lex_state = 89, .external_lex_state = 2},
  [7405] = {.lex_state = 91, .external_lex_state = 2},
  [7406] = {.lex_state = 89, .external_lex_state = 2},
  [7407] = {.lex_state = 89, .external_lex_state = 2},
  [7408] = {.lex_state = 89, .external_lex_state = 2},
  [7409] = {.lex_state = 86, .external_lex_state = 2},
  [7410] = {.lex_state = 89, .external_lex_state = 2},
  [7411] = {.lex_state = 89, .external_lex_state = 2},
  [7412] = {.lex_state = 89, .external_lex_state = 2},
  [7413] = {.lex_state = 89, .external_lex_state = 2},
  [7414] = {.lex_state = 89, .external_lex_state = 2},
  [7415] = {.lex_state = 89, .external_lex_state = 2},
  [7416] = {.lex_state = 89, .external_lex_state = 2},
  [7417] = {.lex_state = 91, .external_lex_state = 2},
  [7418] = {.lex_state = 89, .external_lex_state = 2},
  [7419] = {.lex_state = 89, .external_lex_state = 2},
  [7420] = {.lex_state = 89, .external_lex_state = 2},
  [7421] = {.lex_state = 89, .external_lex_state = 2},
  [7422] = {.lex_state = 86, .external_lex_state = 2},
  [7423] = {.lex_state = 89, .external_lex_state = 2},
  [7424] = {.lex_state = 89, .external_lex_state = 2},
  [7425] = {.lex_state = 89, .external_lex_state = 2},
  [7426] = {.lex_state = 89, .external_lex_state = 2},
  [7427] = {.lex_state = 86, .external_lex_state = 2},
  [7428] = {.lex_state = 89, .external_lex_state = 2},
  [7429] = {.lex_state = 89, .external_lex_state = 2},
  [7430] = {.lex_state = 82, .external_lex_state = 2},
  [7431] = {.lex_state = 86, .external_lex_state = 2},
  [7432] = {.lex_state = 86, .external_lex_state = 2},
  [7433] = {.lex_state = 89, .external_lex_state = 2},
  [7434] = {.lex_state = 89, .external_lex_state = 2},
  [7435] = {.lex_state = 89, .external_lex_state = 2},
  [7436] = {.lex_state = 89, .external_lex_state = 2},
  [7437] = {.lex_state = 90, .external_lex_state = 2},
  [7438] = {.lex_state = 89, .external_lex_state = 2},
  [7439] = {.lex_state = 86, .external_lex_state = 2},
  [7440] = {.lex_state = 86, .external_lex_state = 2},
  [7441] = {.lex_state = 86, .external_lex_state = 2},
  [7442] = {.lex_state = 86, .external_lex_state = 2},
  [7443] = {.lex_state = 89, .external_lex_state = 2},
  [7444] = {.lex_state = 86, .external_lex_state = 2},
  [7445] = {.lex_state = 82, .external_lex_state = 2},
  [7446] = {.lex_state = 82, .external_lex_state = 2},
  [7447] = {.lex_state = 7, .external_lex_state = 3},
  [7448] = {.lex_state = 89, .external_lex_state = 2},
  [7449] = {.lex_state = 85, .external_lex_state = 2},
  [7450] = {.lex_state = 88, .external_lex_state = 2},
  [7451] = {.lex_state = 82, .external_lex_state = 2},
  [7452] = {.lex_state = 89, .external_lex_state = 2},
  [7453] = {.lex_state = 82, .external_lex_state = 2},
  [7454] = {.lex_state = 86, .external_lex_state = 2},
  [7455] = {.lex_state = 82, .external_lex_state = 2},
  [7456] = {.lex_state = 82, .external_lex_state = 2},
  [7457] = {.lex_state = 82, .external_lex_state = 2},
  [7458] = {.lex_state = 90, .external_lex_state = 2},
  [7459] = {.lex_state = 85, .external_lex_state = 2},
  [7460] = {.lex_state = 82, .external_lex_state = 2},
  [7461] = {.lex_state = 82, .external_lex_state = 2},
  [7462] = {.lex_state = 82, .external_lex_state = 2},
  [7463] = {.lex_state = 85, .external_lex_state = 2},
  [7464] = {.lex_state = 86, .external_lex_state = 2},
  [7465] = {.lex_state = 89, .external_lex_state = 2},
  [7466] = {.lex_state = 82, .external_lex_state = 2},
  [7467] = {.lex_state = 82, .external_lex_state = 2},
  [7468] = {.lex_state = 82, .external_lex_state = 2},
  [7469] = {.lex_state = 86, .external_lex_state = 2},
  [7470] = {.lex_state = 82, .external_lex_state = 2},
  [7471] = {.lex_state = 82, .external_lex_state = 2},
  [7472] = {.lex_state = 86, .external_lex_state = 2},
  [7473] = {.lex_state = 82, .external_lex_state = 2},
  [7474] = {.lex_state = 89, .external_lex_state = 2},
  [7475] = {.lex_state = 82, .external_lex_state = 2},
  [7476] = {.lex_state = 82, .external_lex_state = 2},
  [7477] = {.lex_state = 82, .external_lex_state = 2},
  [7478] = {.lex_state = 82, .external_lex_state = 2},
  [7479] = {.lex_state = 89, .external_lex_state = 2},
  [7480] = {.lex_state = 82, .external_lex_state = 2},
  [7481] = {.lex_state = 86, .external_lex_state = 2},
  [7482] = {.lex_state = 82, .external_lex_state = 2},
  [7483] = {.lex_state = 82, .external_lex_state = 2},
  [7484] = {.lex_state = 82, .external_lex_state = 2},
  [7485] = {.lex_state = 82, .external_lex_state = 2},
  [7486] = {.lex_state = 82, .external_lex_state = 2},
  [7487] = {.lex_state = 82, .external_lex_state = 2},
  [7488] = {.lex_state = 82, .external_lex_state = 2},
  [7489] = {.lex_state = 89, .external_lex_state = 2},
  [7490] = {.lex_state = 82, .external_lex_state = 2},
  [7491] = {.lex_state = 82, .external_lex_state = 2},
  [7492] = {.lex_state = 90, .external_lex_state = 2},
  [7493] = {.lex_state = 86, .external_lex_state = 2},
  [7494] = {.lex_state = 86, .external_lex_state = 2},
  [7495] = {.lex_state = 90, .external_lex_state = 2},
  [7496] = {.lex_state = 82, .external_lex_state = 2},
  [7497] = {.lex_state = 85, .external_lex_state = 2},
  [7498] = {.lex_state = 82, .external_lex_state = 2},
  [7499] = {.lex_state = 82, .external_lex_state = 2},
  [7500] = {.lex_state = 82, .external_lex_state = 2},
  [7501] = {.lex_state = 89, .external_lex_state = 2},
  [7502] = {.lex_state = 90, .external_lex_state = 2},
  [7503] = {.lex_state = 90, .external_lex_state = 2},
  [7504] = {.lex_state = 86, .external_lex_state = 2},
  [7505] = {.lex_state = 86, .external_lex_state = 2},
  [7506] = {.lex_state = 85, .external_lex_state = 2},
  [7507] = {.lex_state = 82, .external_lex_state = 2},
  [7508] = {.lex_state = 89, .external_lex_state = 2},
  [7509] = {.lex_state = 85, .external_lex_state = 2},
  [7510] = {.lex_state = 89, .external_lex_state = 2},
  [7511] = {.lex_state = 85, .external_lex_state = 2},
  [7512] = {.lex_state = 90, .external_lex_state = 2},
  [7513] = {.lex_state = 89, .external_lex_state = 2},
  [7514] = {.lex_state = 82, .external_lex_state = 2},
  [7515] = {.lex_state = 86, .external_lex_state = 2},
  [7516] = {.lex_state = 90, .external_lex_state = 2},
  [7517] = {.lex_state = 82, .external_lex_state = 2},
  [7518] = {.lex_state = 90, .external_lex_state = 2},
  [7519] = {.lex_state = 86, .external_lex_state = 2},
  [7520] = {.lex_state = 85, .external_lex_state = 2},
  [7521] = {.lex_state = 90, .external_lex_state = 2},
  [7522] = {.lex_state = 90, .external_lex_state = 2},
  [7523] = {.lex_state = 88, .external_lex_state = 2},
  [7524] = {.lex_state = 90, .external_lex_state = 2},
  [7525] = {.lex_state = 90, .external_lex_state = 2},
  [7526] = {.lex_state = 90, .external_lex_state = 2},
  [7527] = {.lex_state = 90, .external_lex_state = 2},
  [7528] = {.lex_state = 82, .external_lex_state = 2},
  [7529] = {.lex_state = 90, .external_lex_state = 2},
  [7530] = {.lex_state = 90, .external_lex_state = 2},
  [7531] = {.lex_state = 90, .external_lex_state = 2},
  [7532] = {.lex_state = 86, .external_lex_state = 2},
  [7533] = {.lex_state = 90, .external_lex_state = 2},
  [7534] = {.lex_state = 90, .external_lex_state = 2},
  [7535] = {.lex_state = 90, .external_lex_state = 2},
  [7536] = {.lex_state = 82, .external_lex_state = 2},
  [7537] = {.lex_state = 90, .external_lex_state = 2},
  [7538] = {.lex_state = 90, .external_lex_state = 2},
  [7539] = {.lex_state = 90, .external_lex_state = 2},
  [7540] = {.lex_state = 90, .external_lex_state = 2},
  [7541] = {.lex_state = 82, .external_lex_state = 2},
  [7542] = {.lex_state = 90, .external_lex_state = 2},
  [7543] = {.lex_state = 89, .external_lex_state = 2},
  [7544] = {.lex_state = 90, .external_lex_state = 2},
  [7545] = {.lex_state = 90, .external_lex_state = 2},
  [7546] = {.lex_state = 90, .external_lex_state = 2},
  [7547] = {.lex_state = 86, .external_lex_state = 2},
  [7548] = {.lex_state = 90, .external_lex_state = 2},
  [7549] = {.lex_state = 90, .external_lex_state = 2},
  [7550] = {.lex_state = 90, .external_lex_state = 2},
  [7551] = {.lex_state = 90, .external_lex_state = 2},
  [7552] = {.lex_state = 82, .external_lex_state = 2},
  [7553] = {.lex_state = 90, .external_lex_state = 2},
  [7554] = {.lex_state = 90, .external_lex_state = 2},
  [7555] = {.lex_state = 88, .external_lex_state = 2},
  [7556] = {.lex_state = 86, .external_lex_state = 2},
  [7557] = {.lex_state = 89, .external_lex_state = 2},
  [7558] = {.lex_state = 90, .external_lex_state = 2},
  [7559] = {.lex_state = 90, .external_lex_state = 2},
  [7560] = {.lex_state = 90, .external_lex_state = 2},
  [7561] = {.lex_state = 90, .external_lex_state = 2},
  [7562] = {.lex_state = 90, .external_lex_state = 2},
  [7563] = {.lex_state = 82, .external_lex_state = 2},
  [7564] = {.lex_state = 89, .external_lex_state = 2},
  [7565] = {.lex_state = 88, .external_lex_state = 2},
  [7566] = {.lex_state = 87, .external_lex_state = 2},
  [7567] = {.lex_state = 82, .external_lex_state = 2},
  [7568] = {.lex_state = 90, .external_lex_state = 2},
  [7569] = {.lex_state = 82, .external_lex_state = 2},
  [7570] = {.lex_state = 82, .external_lex_state = 2},
  [7571] = {.lex_state = 85, .external_lex_state = 2},
  [7572] = {.lex_state = 88, .external_lex_state = 2},
  [7573] = {.lex_state = 85, .external_lex_state = 2},
  [7574] = {.lex_state = 93, .external_lex_state = 2},
  [7575] = {.lex_state = 85, .external_lex_state = 2},
  [7576] = {.lex_state = 90, .external_lex_state = 2},
  [7577] = {.lex_state = 85, .external_lex_state = 2},
  [7578] = {.lex_state = 88, .external_lex_state = 2},
  [7579] = {.lex_state = 90, .external_lex_state = 2},
  [7580] = {.lex_state = 88, .external_lex_state = 2},
  [7581] = {.lex_state = 82, .external_lex_state = 2},
  [7582] = {.lex_state = 88, .external_lex_state = 2},
  [7583] = {.lex_state = 88, .external_lex_state = 2},
  [7584] = {.lex_state = 85, .external_lex_state = 2},
  [7585] = {.lex_state = 88, .external_lex_state = 2},
  [7586] = {.lex_state = 90, .external_lex_state = 2},
  [7587] = {.lex_state = 88, .external_lex_state = 2},
  [7588] = {.lex_state = 88, .external_lex_state = 2},
  [7589] = {.lex_state = 88, .external_lex_state = 2},
  [7590] = {.lex_state = 85, .external_lex_state = 2},
  [7591] = {.lex_state = 90, .external_lex_state = 2},
  [7592] = {.lex_state = 88, .external_lex_state = 2},
  [7593] = {.lex_state = 88, .external_lex_state = 2},
  [7594] = {.lex_state = 88, .external_lex_state = 2},
  [7595] = {.lex_state = 85, .external_lex_state = 2},
  [7596] = {.lex_state = 85, .external_lex_state = 2},
  [7597] = {.lex_state = 86, .external_lex_state = 2},
  [7598] = {.lex_state = 88, .external_lex_state = 2},
  [7599] = {.lex_state = 88, .external_lex_state = 2},
  [7600] = {.lex_state = 88, .external_lex_state = 2},
  [7601] = {.lex_state = 90, .external_lex_state = 2},
  [7602] = {.lex_state = 88, .external_lex_state = 2},
  [7603] = {.lex_state = 88, .external_lex_state = 2},
  [7604] = {.lex_state = 88, .external_lex_state = 2},
  [7605] = {.lex_state = 88, .external_lex_state = 2},
  [7606] = {.lex_state = 90, .external_lex_state = 2},
  [7607] = {.lex_state = 88, .external_lex_state = 2},
  [7608] = {.lex_state = 82, .external_lex_state = 2},
  [7609] = {.lex_state = 88, .external_lex_state = 2},
  [7610] = {.lex_state = 88, .external_lex_state = 2},
  [7611] = {.lex_state = 88, .external_lex_state = 2},
  [7612] = {.lex_state = 90, .external_lex_state = 2},
  [7613] = {.lex_state = 88, .external_lex_state = 2},
  [7614] = {.lex_state = 88, .external_lex_state = 2},
  [7615] = {.lex_state = 88, .external_lex_state = 2},
  [7616] = {.lex_state = 88, .external_lex_state = 2},
  [7617] = {.lex_state = 90, .external_lex_state = 2},
  [7618] = {.lex_state = 88, .external_lex_state = 2},
  [7619] = {.lex_state = 88, .external_lex_state = 2},
  [7620] = {.lex_state = 90, .external_lex_state = 2},
  [7621] = {.lex_state = 82, .external_lex_state = 2},
  [7622] = {.lex_state = 87, .external_lex_state = 2},
  [7623] = {.lex_state = 88, .external_lex_state = 2},
  [7624] = {.lex_state = 88, .external_lex_state = 2},
  [7625] = {.lex_state = 88, .external_lex_state = 2},
  [7626] = {.lex_state = 88, .external_lex_state = 2},
  [7627] = {.lex_state = 90, .external_lex_state = 2},
  [7628] = {.lex_state = 87, .external_lex_state = 2},
  [7629] = {.lex_state = 87, .external_lex_state = 2},
  [7630] = {.lex_state = 91, .external_lex_state = 2},
  [7631] = {.lex_state = 88, .external_lex_state = 2},
  [7632] = {.lex_state = 90, .external_lex_state = 2},
  [7633] = {.lex_state = 90, .external_lex_state = 2},
  [7634] = {.lex_state = 7, .external_lex_state = 3},
  [7635] = {.lex_state = 88, .external_lex_state = 2},
  [7636] = {.lex_state = 89, .external_lex_state = 2},
  [7637] = {.lex_state = 89, .external_lex_state = 2},
  [7638] = {.lex_state = 88, .external_lex_state = 2},
  [7639] = {.lex_state = 90, .external_lex_state = 2},
  [7640] = {.lex_state = 85, .external_lex_state = 2},
  [7641] = {.lex_state = 90, .external_lex_state = 2},
  [7642] = {.lex_state = 7, .external_lex_state = 3},
  [7643] = {.lex_state = 88, .external_lex_state = 2},
  [7644] = {.lex_state = 93, .external_lex_state = 2},
  [7645] = {.lex_state = 88, .external_lex_state = 2},
  [7646] = {.lex_state = 87, .external_lex_state = 2},
  [7647] = {.lex_state = 82, .external_lex_state = 2},
  [7648] = {.lex_state = 87, .external_lex_state = 2},
  [7649] = {.lex_state = 88, .external_lex_state = 2},
  [7650] = {.lex_state = 82, .external_lex_state = 2},
  [7651] = {.lex_state = 90, .external_lex_state = 2},
  [7652] = {.lex_state = 89, .external_lex_state = 2},
  [7653] = {.lex_state = 87, .external_lex_state = 2},
  [7654] = {.lex_state = 82, .external_lex_state = 2},
  [7655] = {.lex_state = 85, .external_lex_state = 2},
  [7656] = {.lex_state = 89, .external_lex_state = 2},
  [7657] = {.lex_state = 92, .external_lex_state = 2},
  [7658] = {.lex_state = 92, .external_lex_state = 2},
  [7659] = {.lex_state = 88, .external_lex_state = 2},
  [7660] = {.lex_state = 89, .external_lex_state = 2},
  [7661] = {.lex_state = 57, .external_lex_state = 2},
  [7662] = {.lex_state = 88, .external_lex_state = 2},
  [7663] = {.lex_state = 88, .external_lex_state = 2},
  [7664] = {.lex_state = 86, .external_lex_state = 2},
  [7665] = {.lex_state = 88, .external_lex_state = 2},
  [7666] = {.lex_state = 88, .external_lex_state = 2},
  [7667] = {.lex_state = 88, .external_lex_state = 2},
  [7668] = {.lex_state = 92, .external_lex_state = 2},
  [7669] = {.lex_state = 85, .external_lex_state = 2},
  [7670] = {.lex_state = 82, .external_lex_state = 2},
  [7671] = {.lex_state = 82, .external_lex_state = 2},
  [7672] = {.lex_state = 85, .external_lex_state = 2},
  [7673] = {.lex_state = 82, .external_lex_state = 2},
  [7674] = {.lex_state = 93, .external_lex_state = 2},
  [7675] = {.lex_state = 88, .external_lex_state = 2},
  [7676] = {.lex_state = 85, .external_lex_state = 2},
  [7677] = {.lex_state = 82, .external_lex_state = 2},
  [7678] = {.lex_state = 85, .external_lex_state = 2},
  [7679] = {.lex_state = 85, .external_lex_state = 2},
  [7680] = {.lex_state = 93, .external_lex_state = 2},
  [7681] = {.lex_state = 85, .external_lex_state = 2},
  [7682] = {.lex_state = 82, .external_lex_state = 2},
  [7683] = {.lex_state = 93, .external_lex_state = 2},
  [7684] = {.lex_state = 93, .external_lex_state = 2},
  [7685] = {.lex_state = 82, .external_lex_state = 2},
  [7686] = {.lex_state = 88, .external_lex_state = 2},
  [7687] = {.lex_state = 85, .external_lex_state = 2},
  [7688] = {.lex_state = 89, .external_lex_state = 2},
  [7689] = {.lex_state = 85, .external_lex_state = 2},
  [7690] = {.lex_state = 85, .external_lex_state = 2},
  [7691] = {.lex_state = 93, .external_lex_state = 2},
  [7692] = {.lex_state = 93, .external_lex_state = 2},
  [7693] = {.lex_state = 93, .external_lex_state = 2},
  [7694] = {.lex_state = 89, .external_lex_state = 2},
  [7695] = {.lex_state = 90, .external_lex_state = 2},
  [7696] = {.lex_state = 90, .external_lex_state = 2},
  [7697] = {.lex_state = 90, .external_lex_state = 2},
  [7698] = {.lex_state = 85, .external_lex_state = 2},
  [7699] = {.lex_state = 85, .external_lex_state = 2},
  [7700] = {.lex_state = 89, .external_lex_state = 2},
  [7701] = {.lex_state = 86, .external_lex_state = 2},
  [7702] = {.lex_state = 89, .external_lex_state = 2},
  [7703] = {.lex_state = 82, .external_lex_state = 2},
  [7704] = {.lex_state = 85, .external_lex_state = 2},
  [7705] = {.lex_state = 86, .external_lex_state = 2},
  [7706] = {.lex_state = 83, .external_lex_state = 2},
  [7707] = {.lex_state = 86, .external_lex_state = 2},
  [7708] = {.lex_state = 85, .external_lex_state = 2},
  [7709] = {.lex_state = 88, .external_lex_state = 2},
  [7710] = {.lex_state = 85, .external_lex_state = 2},
  [7711] = {.lex_state = 85, .external_lex_state = 2},
  [7712] = {.lex_state = 7, .external_lex_state = 3},
  [7713] = {.lex_state = 89, .external_lex_state = 2},
  [7714] = {.lex_state = 88, .external_lex_state = 2},
  [7715] = {.lex_state = 85, .external_lex_state = 2},
  [7716] = {.lex_state = 85, .external_lex_state = 2},
  [7717] = {.lex_state = 86, .external_lex_state = 2},
  [7718] = {.lex_state = 86, .external_lex_state = 2},
  [7719] = {.lex_state = 85, .external_lex_state = 2},
  [7720] = {.lex_state = 92, .external_lex_state = 2},
  [7721] = {.lex_state = 86, .external_lex_state = 2},
  [7722] = {.lex_state = 95, .external_lex_state = 2},
  [7723] = {.lex_state = 88, .external_lex_state = 2},
  [7724] = {.lex_state = 85, .external_lex_state = 2},
  [7725] = {.lex_state = 86, .external_lex_state = 2},
  [7726] = {.lex_state = 85, .external_lex_state = 2},
  [7727] = {.lex_state = 86, .external_lex_state = 2},
  [7728] = {.lex_state = 88, .external_lex_state = 2},
  [7729] = {.lex_state = 86, .external_lex_state = 2},
  [7730] = {.lex_state = 88, .external_lex_state = 2},
  [7731] = {.lex_state = 88, .external_lex_state = 2},
  [7732] = {.lex_state = 86, .external_lex_state = 2},
  [7733] = {.lex_state = 88, .external_lex_state = 2},
  [7734] = {.lex_state = 92, .external_lex_state = 2},
  [7735] = {.lex_state = 86, .external_lex_state = 2},
  [7736] = {.lex_state = 86, .external_lex_state = 2},
  [7737] = {.lex_state = 86, .external_lex_state = 2},
  [7738] = {.lex_state = 92, .external_lex_state = 2},
  [7739] = {.lex_state = 85, .external_lex_state = 2},
  [7740] = {.lex_state = 86, .external_lex_state = 2},
  [7741] = {.lex_state = 86, .external_lex_state = 2},
  [7742] = {.lex_state = 85, .external_lex_state = 2},
  [7743] = {.lex_state = 86, .external_lex_state = 2},
  [7744] = {.lex_state = 85, .external_lex_state = 2},
  [7745] = {.lex_state = 94, .external_lex_state = 2},
  [7746] = {.lex_state = 90, .external_lex_state = 2},
  [7747] = {.lex_state = 17, .external_lex_state = 2},
  [7748] = {.lex_state = 92, .external_lex_state = 2},
  [7749] = {.lex_state = 87, .external_lex_state = 2},
  [7750] = {.lex_state = 87, .external_lex_state = 2},
  [7751] = {.lex_state = 87, .external_lex_state = 2},
  [7752] = {.lex_state = 17, .external_lex_state = 2},
  [7753] = {.lex_state = 17, .external_lex_state = 2},
  [7754] = {.lex_state = 87, .external_lex_state = 2},
  [7755] = {.lex_state = 87, .external_lex_state = 2},
  [7756] = {.lex_state = 87, .external_lex_state = 2},
  [7757] = {.lex_state = 17, .external_lex_state = 2},
  [7758] = {.lex_state = 87, .external_lex_state = 2},
  [7759] = {.lex_state = 93, .external_lex_state = 2},
  [7760] = {.lex_state = 87, .external_lex_state = 2},
  [7761] = {.lex_state = 92, .external_lex_state = 2},
  [7762] = {.lex_state = 92, .external_lex_state = 2},
  [7763] = {.lex_state = 424, .external_lex_state = 2},
  [7764] = {.lex_state = 83, .external_lex_state = 2},
  [7765] = {.lex_state = 87, .external_lex_state = 2},
  [7766] = {.lex_state = 17, .external_lex_state = 2},
  [7767] = {.lex_state = 385, .external_lex_state = 2},
  [7768] = {.lex_state = 92, .external_lex_state = 2},
  [7769] = {.lex_state = 92, .external_lex_state = 2},
  [7770] = {.lex_state = 92, .external_lex_state = 2},
  [7771] = {.lex_state = 95, .external_lex_state = 2},
  [7772] = {.lex_state = 92, .external_lex_state = 2},
  [7773] = {.lex_state = 92, .external_lex_state = 2},
  [7774] = {.lex_state = 7, .external_lex_state = 3},
  [7775] = {.lex_state = 92, .external_lex_state = 2},
  [7776] = {.lex_state = 92, .external_lex_state = 2},
  [7777] = {.lex_state = 91, .external_lex_state = 2},
  [7778] = {.lex_state = 83, .external_lex_state = 2},
  [7779] = {.lex_state = 17, .external_lex_state = 2},
  [7780] = {.lex_state = 91, .external_lex_state = 2},
  [7781] = {.lex_state = 17, .external_lex_state = 2},
  [7782] = {.lex_state = 91, .external_lex_state = 2},
  [7783] = {.lex_state = 87, .external_lex_state = 2},
  [7784] = {.lex_state = 92, .external_lex_state = 2},
  [7785] = {.lex_state = 17, .external_lex_state = 2},
  [7786] = {.lex_state = 91, .external_lex_state = 2},
  [7787] = {.lex_state = 17, .external_lex_state = 2},
  [7788] = {.lex_state = 385, .external_lex_state = 2},
  [7789] = {.lex_state = 17, .external_lex_state = 2},
  [7790] = {.lex_state = 92, .external_lex_state = 2},
  [7791] = {.lex_state = 17, .external_lex_state = 2},
  [7792] = {.lex_state = 17, .external_lex_state = 2},
  [7793] = {.lex_state = 18, .external_lex_state = 2},
  [7794] = {.lex_state = 92, .external_lex_state = 2},
  [7795] = {.lex_state = 18, .external_lex_state = 2},
  [7796] = {.lex_state = 92, .external_lex_state = 2},
  [7797] = {.lex_state = 91, .external_lex_state = 2},
  [7798] = {.lex_state = 95, .external_lex_state = 2},
  [7799] = {.lex_state = 92, .external_lex_state = 2},
  [7800] = {.lex_state = 93, .external_lex_state = 2},
  [7801] = {.lex_state = 17, .external_lex_state = 2},
  [7802] = {.lex_state = 7, .external_lex_state = 3},
  [7803] = {.lex_state = 17, .external_lex_state = 2},
  [7804] = {.lex_state = 92, .external_lex_state = 2},
  [7805] = {.lex_state = 17, .external_lex_state = 2},
  [7806] = {.lex_state = 83, .external_lex_state = 2},
  [7807] = {.lex_state = 87, .external_lex_state = 2},
  [7808] = {.lex_state = 87, .external_lex_state = 2},
  [7809] = {.lex_state = 92, .external_lex_state = 2},
  [7810] = {.lex_state = 83, .external_lex_state = 2},
  [7811] = {.lex_state = 7, .external_lex_state = 3},
  [7812] = {.lex_state = 92, .external_lex_state = 2},
  [7813] = {.lex_state = 92, .external_lex_state = 2},
  [7814] = {.lex_state = 91, .external_lex_state = 2},
  [7815] = {.lex_state = 92, .external_lex_state = 2},
  [7816] = {.lex_state = 17, .external_lex_state = 2},
  [7817] = {.lex_state = 87, .external_lex_state = 2},
  [7818] = {.lex_state = 17, .external_lex_state = 2},
  [7819] = {.lex_state = 87, .external_lex_state = 2},
  [7820] = {.lex_state = 385, .external_lex_state = 2},
  [7821] = {.lex_state = 92, .external_lex_state = 2},
  [7822] = {.lex_state = 17, .external_lex_state = 2},
  [7823] = {.lex_state = 129, .external_lex_state = 3},
  [7824] = {.lex_state = 83, .external_lex_state = 2},
  [7825] = {.lex_state = 87, .external_lex_state = 2},
  [7826] = {.lex_state = 93, .external_lex_state = 2},
  [7827] = {.lex_state = 83, .external_lex_state = 2},
  [7828] = {.lex_state = 87, .external_lex_state = 2},
  [7829] = {.lex_state = 83, .external_lex_state = 2},
  [7830] = {.lex_state = 17, .external_lex_state = 2},
  [7831] = {.lex_state = 92, .external_lex_state = 2},
  [7832] = {.lex_state = 385, .external_lex_state = 2},
  [7833] = {.lex_state = 93, .external_lex_state = 2},
  [7834] = {.lex_state = 91, .external_lex_state = 2},
  [7835] = {.lex_state = 91, .external_lex_state = 2},
  [7836] = {.lex_state = 87, .external_lex_state = 2},
  [7837] = {.lex_state = 83, .external_lex_state = 2},
  [7838] = {.lex_state = 83, .external_lex_state = 2},
  [7839] = {.lex_state = 83, .external_lex_state = 2},
  [7840] = {.lex_state = 87, .external_lex_state = 2},
  [7841] = {.lex_state = 92, .external_lex_state = 2},
  [7842] = {.lex_state = 83, .external_lex_state = 2},
  [7843] = {.lex_state = 83, .external_lex_state = 2},
  [7844] = {.lex_state = 83, .external_lex_state = 2},
  [7845] = {.lex_state = 87, .external_lex_state = 2},
  [7846] = {.lex_state = 87, .external_lex_state = 2},
  [7847] = {.lex_state = 93, .external_lex_state = 2},
  [7848] = {.lex_state = 17, .external_lex_state = 2},
  [7849] = {.lex_state = 91, .external_lex_state = 2},
  [7850] = {.lex_state = 17, .external_lex_state = 2},
  [7851] = {.lex_state = 17, .external_lex_state = 2},
  [7852] = {.lex_state = 91, .external_lex_state = 2},
  [7853] = {.lex_state = 17, .external_lex_state = 2},
  [7854] = {.lex_state = 87, .external_lex_state = 2},
  [7855] = {.lex_state = 17, .external_lex_state = 2},
  [7856] = {.lex_state = 91, .external_lex_state = 2},
  [7857] = {.lex_state = 91, .external_lex_state = 2},
  [7858] = {.lex_state = 17, .external_lex_state = 2},
  [7859] = {.lex_state = 83, .external_lex_state = 2},
  [7860] = {.lex_state = 83, .external_lex_state = 2},
  [7861] = {.lex_state = 83, .external_lex_state = 2},
  [7862] = {.lex_state = 17, .external_lex_state = 2},
  [7863] = {.lex_state = 83, .external_lex_state = 2},
  [7864] = {.lex_state = 17, .external_lex_state = 2},
  [7865] = {.lex_state = 83, .external_lex_state = 2},
  [7866] = {.lex_state = 83, .external_lex_state = 2},
  [7867] = {.lex_state = 83, .external_lex_state = 2},
  [7868] = {.lex_state = 17, .external_lex_state = 2},
  [7869] = {.lex_state = 83, .external_lex_state = 2},
  [7870] = {.lex_state = 83, .external_lex_state = 2},
  [7871] = {.lex_state = 83, .external_lex_state = 2},
  [7872] = {.lex_state = 83, .external_lex_state = 2},
  [7873] = {.lex_state = 83, .external_lex_state = 2},
  [7874] = {.lex_state = 17, .external_lex_state = 2},
  [7875] = {.lex_state = 83, .external_lex_state = 2},
  [7876] = {.lex_state = 17, .external_lex_state = 2},
  [7877] = {.lex_state = 83, .external_lex_state = 2},
  [7878] = {.lex_state = 83, .external_lex_state = 2},
  [7879] = {.lex_state = 83, .external_lex_state = 2},
  [7880] = {.lex_state = 93, .external_lex_state = 2},
  [7881] = {.lex_state = 91, .external_lex_state = 2},
  [7882] = {.lex_state = 83, .external_lex_state = 2},
  [7883] = {.lex_state = 83, .external_lex_state = 2},
  [7884] = {.lex_state = 91, .external_lex_state = 2},
  [7885] = {.lex_state = 92, .external_lex_state = 2},
  [7886] = {.lex_state = 83, .external_lex_state = 2},
  [7887] = {.lex_state = 83, .external_lex_state = 2},
  [7888] = {.lex_state = 17, .external_lex_state = 2},
  [7889] = {.lex_state = 91, .external_lex_state = 2},
  [7890] = {.lex_state = 83, .external_lex_state = 2},
  [7891] = {.lex_state = 17, .external_lex_state = 2},
  [7892] = {.lex_state = 17, .external_lex_state = 2},
  [7893] = {.lex_state = 17, .external_lex_state = 2},
  [7894] = {.lex_state = 17, .external_lex_state = 2},
  [7895] = {.lex_state = 17, .external_lex_state = 2},
  [7896] = {.lex_state = 83, .external_lex_state = 2},
  [7897] = {.lex_state = 17, .external_lex_state = 2},
  [7898] = {.lex_state = 83, .external_lex_state = 2},
  [7899] = {.lex_state = 93, .external_lex_state = 2},
  [7900] = {.lex_state = 83, .external_lex_state = 2},
  [7901] = {.lex_state = 83, .external_lex_state = 2},
  [7902] = {.lex_state = 385, .external_lex_state = 2},
  [7903] = {.lex_state = 91, .external_lex_state = 2},
  [7904] = {.lex_state = 83, .external_lex_state = 2},
  [7905] = {.lex_state = 17, .external_lex_state = 2},
  [7906] = {.lex_state = 17, .external_lex_state = 2},
  [7907] = {.lex_state = 17, .external_lex_state = 2},
  [7908] = {.lex_state = 17, .external_lex_state = 2},
  [7909] = {.lex_state = 83, .external_lex_state = 2},
  [7910] = {.lex_state = 83, .external_lex_state = 2},
  [7911] = {.lex_state = 93, .external_lex_state = 2},
  [7912] = {.lex_state = 17, .external_lex_state = 2},
  [7913] = {.lex_state = 93, .external_lex_state = 2},
  [7914] = {.lex_state = 17, .external_lex_state = 2},
  [7915] = {.lex_state = 17, .external_lex_state = 2},
  [7916] = {.lex_state = 93, .external_lex_state = 2},
  [7917] = {.lex_state = 17, .external_lex_state = 2},
  [7918] = {.lex_state = 91, .external_lex_state = 2},
  [7919] = {.lex_state = 83, .external_lex_state = 2},
  [7920] = {.lex_state = 17, .external_lex_state = 2},
  [7921] = {.lex_state = 17, .external_lex_state = 2},
  [7922] = {.lex_state = 91, .external_lex_state = 2},
  [7923] = {.lex_state = 17, .external_lex_state = 2},
  [7924] = {.lex_state = 91, .external_lex_state = 2},
  [7925] = {.lex_state = 91, .external_lex_state = 2},
  [7926] = {.lex_state = 92, .external_lex_state = 2},
  [7927] = {.lex_state = 18, .external_lex_state = 2},
  [7928] = {.lex_state = 83, .external_lex_state = 2},
  [7929] = {.lex_state = 83, .external_lex_state = 2},
  [7930] = {.lex_state = 83, .external_lex_state = 2},
  [7931] = {.lex_state = 385, .external_lex_state = 2},
  [7932] = {.lex_state = 17, .external_lex_state = 2},
  [7933] = {.lex_state = 83, .external_lex_state = 2},
  [7934] = {.lex_state = 17, .external_lex_state = 2},
  [7935] = {.lex_state = 83, .external_lex_state = 2},
  [7936] = {.lex_state = 93, .external_lex_state = 2},
  [7937] = {.lex_state = 17, .external_lex_state = 2},
  [7938] = {.lex_state = 17, .external_lex_state = 2},
  [7939] = {.lex_state = 93, .external_lex_state = 2},
  [7940] = {.lex_state = 17, .external_lex_state = 2},
  [7941] = {.lex_state = 17, .external_lex_state = 2},
  [7942] = {.lex_state = 93, .external_lex_state = 2},
  [7943] = {.lex_state = 17, .external_lex_state = 2},
  [7944] = {.lex_state = 83, .external_lex_state = 2},
  [7945] = {.lex_state = 83, .external_lex_state = 2},
  [7946] = {.lex_state = 93, .external_lex_state = 2},
  [7947] = {.lex_state = 91, .external_lex_state = 2},
  [7948] = {.lex_state = 91, .external_lex_state = 2},
  [7949] = {.lex_state = 17, .external_lex_state = 2},
  [7950] = {.lex_state = 91, .external_lex_state = 2},
  [7951] = {.lex_state = 92, .external_lex_state = 2},
  [7952] = {.lex_state = 18, .external_lex_state = 2},
  [7953] = {.lex_state = 18, .external_lex_state = 2},
  [7954] = {.lex_state = 18, .external_lex_state = 2},
  [7955] = {.lex_state = 83, .external_lex_state = 2},
  [7956] = {.lex_state = 17, .external_lex_state = 2},
  [7957] = {.lex_state = 92, .external_lex_state = 2},
  [7958] = {.lex_state = 93, .external_lex_state = 2},
  [7959] = {.lex_state = 18, .external_lex_state = 2},
  [7960] = {.lex_state = 18, .external_lex_state = 2},
  [7961] = {.lex_state = 92, .external_lex_state = 2},
  [7962] = {.lex_state = 17, .external_lex_state = 2},
  [7963] = {.lex_state = 17, .external_lex_state = 2},
  [7964] = {.lex_state = 92, .external_lex_state = 2},
  [7965] = {.lex_state = 87, .external_lex_state = 2},
  [7966] = {.lex_state = 93, .external_lex_state = 2},
  [7967] = {.lex_state = 17, .external_lex_state = 2},
  [7968] = {.lex_state = 17, .external_lex_state = 2},
  [7969] = {.lex_state = 93, .external_lex_state = 2},
  [7970] = {.lex_state = 91, .external_lex_state = 2},
  [7971] = {.lex_state = 18, .external_lex_state = 2},
  [7972] = {.lex_state = 92, .external_lex_state = 2},
  [7973] = {.lex_state = 91, .external_lex_state = 2},
  [7974] = {.lex_state = 87, .external_lex_state = 2},
  [7975] = {.lex_state = 18, .external_lex_state = 2},
  [7976] = {.lex_state = 93, .external_lex_state = 2},
  [7977] = {.lex_state = 92, .external_lex_state = 2},
  [7978] = {.lex_state = 91, .external_lex_state = 2},
  [7979] = {.lex_state = 91, .external_lex_state = 2},
  [7980] = {.lex_state = 91, .external_lex_state = 2},
  [7981] = {.lex_state = 91, .external_lex_state = 2},
  [7982] = {.lex_state = 92, .external_lex_state = 2},
  [7983] = {.lex_state = 91, .external_lex_state = 2},
  [7984] = {.lex_state = 18, .external_lex_state = 2},
  [7985] = {.lex_state = 92, .external_lex_state = 2},
  [7986] = {.lex_state = 17, .external_lex_state = 2},
  [7987] = {.lex_state = 17, .external_lex_state = 2},
  [7988] = {.lex_state = 385, .external_lex_state = 2},
  [7989] = {.lex_state = 93, .external_lex_state = 2},
  [7990] = {.lex_state = 17, .external_lex_state = 2},
  [7991] = {.lex_state = 17, .external_lex_state = 2},
  [7992] = {.lex_state = 18, .external_lex_state = 2},
  [7993] = {.lex_state = 91, .external_lex_state = 2},
  [7994] = {.lex_state = 93, .external_lex_state = 2},
  [7995] = {.lex_state = 17, .external_lex_state = 2},
  [7996] = {.lex_state = 17, .external_lex_state = 2},
  [7997] = {.lex_state = 91, .external_lex_state = 2},
  [7998] = {.lex_state = 93, .external_lex_state = 2},
  [7999] = {.lex_state = 18, .external_lex_state = 2},
  [8000] = {.lex_state = 83, .external_lex_state = 2},
  [8001] = {.lex_state = 18, .external_lex_state = 2},
  [8002] = {.lex_state = 18, .external_lex_state = 2},
  [8003] = {.lex_state = 18, .external_lex_state = 2},
  [8004] = {.lex_state = 17, .external_lex_state = 2},
  [8005] = {.lex_state = 91, .external_lex_state = 2},
  [8006] = {.lex_state = 17, .external_lex_state = 2},
  [8007] = {.lex_state = 87, .external_lex_state = 2},
  [8008] = {.lex_state = 91, .external_lex_state = 2},
  [8009] = {.lex_state = 92, .external_lex_state = 2},
  [8010] = {.lex_state = 92, .external_lex_state = 2},
  [8011] = {.lex_state = 83, .external_lex_state = 2},
  [8012] = {.lex_state = 91, .external_lex_state = 2},
  [8013] = {.lex_state = 92, .external_lex_state = 2},
  [8014] = {.lex_state = 87, .external_lex_state = 2},
  [8015] = {.lex_state = 92, .external_lex_state = 2},
  [8016] = {.lex_state = 87, .external_lex_state = 2},
  [8017] = {.lex_state = 18, .external_lex_state = 2},
  [8018] = {.lex_state = 87, .external_lex_state = 2},
  [8019] = {.lex_state = 92, .external_lex_state = 2},
  [8020] = {.lex_state = 18, .external_lex_state = 2},
  [8021] = {.lex_state = 7, .external_lex_state = 3},
  [8022] = {.lex_state = 92, .external_lex_state = 2},
  [8023] = {.lex_state = 91, .external_lex_state = 2},
  [8024] = {.lex_state = 18, .external_lex_state = 2},
  [8025] = {.lex_state = 92, .external_lex_state = 2},
  [8026] = {.lex_state = 18, .external_lex_state = 2},
  [8027] = {.lex_state = 18, .external_lex_state = 2},
  [8028] = {.lex_state = 17, .external_lex_state = 2},
  [8029] = {.lex_state = 87, .external_lex_state = 2},
  [8030] = {.lex_state = 18, .external_lex_state = 2},
  [8031] = {.lex_state = 91, .external_lex_state = 2},
  [8032] = {.lex_state = 18, .external_lex_state = 2},
  [8033] = {.lex_state = 18, .external_lex_state = 2},
  [8034] = {.lex_state = 18, .external_lex_state = 2},
  [8035] = {.lex_state = 18, .external_lex_state = 2},
  [8036] = {.lex_state = 92, .external_lex_state = 2},
  [8037] = {.lex_state = 83, .external_lex_state = 2},
  [8038] = {.lex_state = 92, .external_lex_state = 2},
  [8039] = {.lex_state = 18, .external_lex_state = 2},
  [8040] = {.lex_state = 18, .external_lex_state = 2},
  [8041] = {.lex_state = 18, .external_lex_state = 2},
  [8042] = {.lex_state = 93, .external_lex_state = 2},
  [8043] = {.lex_state = 83, .external_lex_state = 2},
  [8044] = {.lex_state = 91, .external_lex_state = 2},
  [8045] = {.lex_state = 7, .external_lex_state = 3},
  [8046] = {.lex_state = 93, .external_lex_state = 2},
  [8047] = {.lex_state = 91, .external_lex_state = 2},
  [8048] = {.lex_state = 92, .external_lex_state = 2},
  [8049] = {.lex_state = 92, .external_lex_state = 2},
  [8050] = {.lex_state = 93, .external_lex_state = 2},
  [8051] = {.lex_state = 92, .external_lex_state = 2},
  [8052] = {.lex_state = 91, .external_lex_state = 2},
  [8053] = {.lex_state = 18, .external_lex_state = 2},
  [8054] = {.lex_state = 93, .external_lex_state = 2},
  [8055] = {.lex_state = 18, .external_lex_state = 2},
  [8056] = {.lex_state = 91, .external_lex_state = 2},
  [8057] = {.lex_state = 17, .external_lex_state = 2},
  [8058] = {.lex_state = 18, .external_lex_state = 2},
  [8059] = {.lex_state = 17, .external_lex_state = 2},
  [8060] = {.lex_state = 17, .external_lex_state = 2},
  [8061] = {.lex_state = 17, .external_lex_state = 2},
  [8062] = {.lex_state = 91, .external_lex_state = 2},
  [8063] = {.lex_state = 18, .external_lex_state = 2},
  [8064] = {.lex_state = 91, .external_lex_state = 2},
  [8065] = {.lex_state = 18, .external_lex_state = 2},
  [8066] = {.lex_state = 91, .external_lex_state = 2},
  [8067] = {.lex_state = 92, .external_lex_state = 2},
  [8068] = {.lex_state = 91, .external_lex_state = 2},
  [8069] = {.lex_state = 91, .external_lex_state = 2},
  [8070] = {.lex_state = 18, .external_lex_state = 2},
  [8071] = {.lex_state = 91, .external_lex_state = 2},
  [8072] = {.lex_state = 18, .external_lex_state = 2},
  [8073] = {.lex_state = 18, .external_lex_state = 2},
  [8074] = {.lex_state = 18, .external_lex_state = 2},
  [8075] = {.lex_state = 83, .external_lex_state = 2},
  [8076] = {.lex_state = 91, .external_lex_state = 2},
  [8077] = {.lex_state = 18, .external_lex_state = 2},
  [8078] = {.lex_state = 18, .external_lex_state = 2},
  [8079] = {.lex_state = 91, .external_lex_state = 2},
  [8080] = {.lex_state = 92, .external_lex_state = 2},
  [8081] = {.lex_state = 87, .external_lex_state = 2},
  [8082] = {.lex_state = 18, .external_lex_state = 2},
  [8083] = {.lex_state = 18, .external_lex_state = 2},
  [8084] = {.lex_state = 87, .external_lex_state = 2},
  [8085] = {.lex_state = 18, .external_lex_state = 2},
  [8086] = {.lex_state = 87, .external_lex_state = 2},
  [8087] = {.lex_state = 91, .external_lex_state = 2},
  [8088] = {.lex_state = 87, .external_lex_state = 2},
  [8089] = {.lex_state = 93, .external_lex_state = 2},
  [8090] = {.lex_state = 91, .external_lex_state = 2},
  [8091] = {.lex_state = 93, .external_lex_state = 2},
  [8092] = {.lex_state = 87, .external_lex_state = 2},
  [8093] = {.lex_state = 92, .external_lex_state = 2},
  [8094] = {.lex_state = 93, .external_lex_state = 2},
  [8095] = {.lex_state = 415, .external_lex_state = 3},
  [8096] = {.lex_state = 18, .external_lex_state = 2},
  [8097] = {.lex_state = 83, .external_lex_state = 2},
  [8098] = {.lex_state = 93, .external_lex_state = 2},
  [8099] = {.lex_state = 92, .external_lex_state = 2},
  [8100] = {.lex_state = 92, .external_lex_state = 2},
  [8101] = {.lex_state = 87, .external_lex_state = 2},
  [8102] = {.lex_state = 91, .external_lex_state = 2},
  [8103] = {.lex_state = 93, .external_lex_state = 2},
  [8104] = {.lex_state = 92, .external_lex_state = 2},
  [8105] = {.lex_state = 92, .external_lex_state = 2},
  [8106] = {.lex_state = 91, .external_lex_state = 2},
  [8107] = {.lex_state = 18, .external_lex_state = 2},
  [8108] = {.lex_state = 87, .external_lex_state = 2},
  [8109] = {.lex_state = 87, .external_lex_state = 2},
  [8110] = {.lex_state = 18, .external_lex_state = 2},
  [8111] = {.lex_state = 415, .external_lex_state = 3},
  [8112] = {.lex_state = 92, .external_lex_state = 2},
  [8113] = {.lex_state = 18, .external_lex_state = 2},
  [8114] = {.lex_state = 18, .external_lex_state = 2},
  [8115] = {.lex_state = 91, .external_lex_state = 2},
  [8116] = {.lex_state = 385, .external_lex_state = 2},
  [8117] = {.lex_state = 91, .external_lex_state = 2},
  [8118] = {.lex_state = 84, .external_lex_state = 2},
  [8119] = {.lex_state = 91, .external_lex_state = 2},
  [8120] = {.lex_state = 91, .external_lex_state = 2},
  [8121] = {.lex_state = 91, .external_lex_state = 2},
  [8122] = {.lex_state = 93, .external_lex_state = 2},
  [8123] = {.lex_state = 91, .external_lex_state = 2},
  [8124] = {.lex_state = 17, .external_lex_state = 2},
  [8125] = {.lex_state = 18, .external_lex_state = 2},
  [8126] = {.lex_state = 18, .external_lex_state = 2},
  [8127] = {.lex_state = 17, .external_lex_state = 2},
  [8128] = {.lex_state = 92, .external_lex_state = 2},
  [8129] = {.lex_state = 385, .external_lex_state = 2},
  [8130] = {.lex_state = 91, .external_lex_state = 2},
  [8131] = {.lex_state = 18, .external_lex_state = 2},
  [8132] = {.lex_state = 18, .external_lex_state = 2},
  [8133] = {.lex_state = 87, .external_lex_state = 2},
  [8134] = {.lex_state = 18, .external_lex_state = 2},
  [8135] = {.lex_state = 385, .external_lex_state = 2},
  [8136] = {.lex_state = 18, .external_lex_state = 2},
  [8137] = {.lex_state = 18, .external_lex_state = 2},
  [8138] = {.lex_state = 18, .external_lex_state = 2},
  [8139] = {.lex_state = 385, .external_lex_state = 2},
  [8140] = {.lex_state = 385, .external_lex_state = 2},
  [8141] = {.lex_state = 18, .external_lex_state = 2},
  [8142] = {.lex_state = 18, .external_lex_state = 2},
  [8143] = {.lex_state = 13, .external_lex_state = 2},
  [8144] = {.lex_state = 17, .external_lex_state = 2},
  [8145] = {.lex_state = 18, .external_lex_state = 2},
  [8146] = {.lex_state = 18, .external_lex_state = 2},
  [8147] = {.lex_state = 91, .external_lex_state = 2},
  [8148] = {.lex_state = 385, .external_lex_state = 2},
  [8149] = {.lex_state = 18, .external_lex_state = 2},
  [8150] = {.lex_state = 385, .external_lex_state = 2},
  [8151] = {.lex_state = 385, .external_lex_state = 2},
  [8152] = {.lex_state = 17, .external_lex_state = 2},
  [8153] = {.lex_state = 92, .external_lex_state = 2},
  [8154] = {.lex_state = 93, .external_lex_state = 2},
  [8155] = {.lex_state = 385, .external_lex_state = 2},
  [8156] = {.lex_state = 18, .external_lex_state = 2},
  [8157] = {.lex_state = 91, .external_lex_state = 2},
  [8158] = {.lex_state = 91, .external_lex_state = 2},
  [8159] = {.lex_state = 91, .external_lex_state = 2},
  [8160] = {.lex_state = 93, .external_lex_state = 2},
  [8161] = {.lex_state = 18, .external_lex_state = 2},
  [8162] = {.lex_state = 385, .external_lex_state = 2},
  [8163] = {.lex_state = 93, .external_lex_state = 2},
  [8164] = {.lex_state = 92, .external_lex_state = 2},
  [8165] = {.lex_state = 87, .external_lex_state = 2},
  [8166] = {.lex_state = 87, .external_lex_state = 2},
  [8167] = {.lex_state = 18, .external_lex_state = 2},
  [8168] = {.lex_state = 93, .external_lex_state = 2},
  [8169] = {.lex_state = 91, .external_lex_state = 2},
  [8170] = {.lex_state = 18, .external_lex_state = 2},
  [8171] = {.lex_state = 18, .external_lex_state = 2},
  [8172] = {.lex_state = 18, .external_lex_state = 2},
  [8173] = {.lex_state = 18, .external_lex_state = 2},
  [8174] = {.lex_state = 385, .external_lex_state = 2},
  [8175] = {.lex_state = 87, .external_lex_state = 2},
  [8176] = {.lex_state = 18, .external_lex_state = 2},
  [8177] = {.lex_state = 93, .external_lex_state = 2},
  [8178] = {.lex_state = 7, .external_lex_state = 3},
  [8179] = {.lex_state = 415, .external_lex_state = 3},
  [8180] = {.lex_state = 385, .external_lex_state = 2},
  [8181] = {.lex_state = 93, .external_lex_state = 2},
  [8182] = {.lex_state = 93, .external_lex_state = 2},
  [8183] = {.lex_state = 92, .external_lex_state = 2},
  [8184] = {.lex_state = 92, .external_lex_state = 2},
  [8185] = {.lex_state = 93, .external_lex_state = 2},
  [8186] = {.lex_state = 18, .external_lex_state = 2},
  [8187] = {.lex_state = 18, .external_lex_state = 2},
  [8188] = {.lex_state = 93, .external_lex_state = 2},
  [8189] = {.lex_state = 87, .external_lex_state = 2},
  [8190] = {.lex_state = 7, .external_lex_state = 3},
  [8191] = {.lex_state = 18, .external_lex_state = 2},
  [8192] = {.lex_state = 92, .external_lex_state = 2},
  [8193] = {.lex_state = 87, .external_lex_state = 2},
  [8194] = {.lex_state = 93, .external_lex_state = 2},
  [8195] = {.lex_state = 93, .external_lex_state = 2},
  [8196] = {.lex_state = 87, .external_lex_state = 2},
  [8197] = {.lex_state = 18, .external_lex_state = 2},
  [8198] = {.lex_state = 92, .external_lex_state = 2},
  [8199] = {.lex_state = 418, .external_lex_state = 2},
  [8200] = {.lex_state = 92, .external_lex_state = 2},
  [8201] = {.lex_state = 91, .external_lex_state = 2},
  [8202] = {.lex_state = 415, .external_lex_state = 3},
  [8203] = {.lex_state = 93, .external_lex_state = 2},
  [8204] = {.lex_state = 93, .external_lex_state = 2},
  [8205] = {.lex_state = 93, .external_lex_state = 2},
  [8206] = {.lex_state = 93, .external_lex_state = 2},
  [8207] = {.lex_state = 93, .external_lex_state = 2},
  [8208] = {.lex_state = 93, .external_lex_state = 2},
  [8209] = {.lex_state = 87, .external_lex_state = 2},
  [8210] = {.lex_state = 83, .external_lex_state = 2},
  [8211] = {.lex_state = 17, .external_lex_state = 2},
  [8212] = {.lex_state = 87, .external_lex_state = 2},
  [8213] = {.lex_state = 93, .external_lex_state = 2},
  [8214] = {.lex_state = 93, .external_lex_state = 2},
  [8215] = {.lex_state = 93, .external_lex_state = 2},
  [8216] = {.lex_state = 91, .external_lex_state = 2},
  [8217] = {.lex_state = 87, .external_lex_state = 2},
  [8218] = {.lex_state = 18, .external_lex_state = 2},
  [8219] = {.lex_state = 87, .external_lex_state = 2},
  [8220] = {.lex_state = 93, .external_lex_state = 2},
  [8221] = {.lex_state = 93, .external_lex_state = 2},
  [8222] = {.lex_state = 87, .external_lex_state = 2},
  [8223] = {.lex_state = 93, .external_lex_state = 2},
  [8224] = {.lex_state = 93, .external_lex_state = 2},
  [8225] = {.lex_state = 92, .external_lex_state = 2},
  [8226] = {.lex_state = 93, .external_lex_state = 2},
  [8227] = {.lex_state = 93, .external_lex_state = 2},
  [8228] = {.lex_state = 93, .external_lex_state = 2},
  [8229] = {.lex_state = 91, .external_lex_state = 2},
  [8230] = {.lex_state = 87, .external_lex_state = 2},
  [8231] = {.lex_state = 91, .external_lex_state = 2},
  [8232] = {.lex_state = 93, .external_lex_state = 2},
  [8233] = {.lex_state = 17, .external_lex_state = 2},
  [8234] = {.lex_state = 91, .external_lex_state = 2},
  [8235] = {.lex_state = 18, .external_lex_state = 2},
  [8236] = {.lex_state = 93, .external_lex_state = 2},
  [8237] = {.lex_state = 18, .external_lex_state = 2},
  [8238] = {.lex_state = 18, .external_lex_state = 2},
  [8239] = {.lex_state = 18, .external_lex_state = 2},
  [8240] = {.lex_state = 92, .external_lex_state = 2},
  [8241] = {.lex_state = 93, .external_lex_state = 2},
  [8242] = {.lex_state = 93, .external_lex_state = 2},
  [8243] = {.lex_state = 93, .external_lex_state = 2},
  [8244] = {.lex_state = 93, .external_lex_state = 2},
  [8245] = {.lex_state = 91, .external_lex_state = 2},
  [8246] = {.lex_state = 93, .external_lex_state = 2},
  [8247] = {.lex_state = 91, .external_lex_state = 2},
  [8248] = {.lex_state = 93, .external_lex_state = 2},
  [8249] = {.lex_state = 92, .external_lex_state = 2},
  [8250] = {.lex_state = 93, .external_lex_state = 2},
  [8251] = {.lex_state = 93, .external_lex_state = 2},
  [8252] = {.lex_state = 92, .external_lex_state = 2},
  [8253] = {.lex_state = 93, .external_lex_state = 2},
  [8254] = {.lex_state = 92, .external_lex_state = 2},
  [8255] = {.lex_state = 92, .external_lex_state = 2},
  [8256] = {.lex_state = 92, .external_lex_state = 2},
  [8257] = {.lex_state = 83, .external_lex_state = 2},
  [8258] = {.lex_state = 83, .external_lex_state = 2},
  [8259] = {.lex_state = 87, .external_lex_state = 2},
  [8260] = {.lex_state = 83, .external_lex_state = 2},
  [8261] = {.lex_state = 87, .external_lex_state = 2},
  [8262] = {.lex_state = 83, .external_lex_state = 2},
  [8263] = {.lex_state = 93, .external_lex_state = 2},
  [8264] = {.lex_state = 83, .external_lex_state = 2},
  [8265] = {.lex_state = 83, .external_lex_state = 2},
  [8266] = {.lex_state = 92, .external_lex_state = 2},
  [8267] = {.lex_state = 87, .external_lex_state = 2},
  [8268] = {.lex_state = 18, .external_lex_state = 2},
  [8269] = {.lex_state = 92, .external_lex_state = 2},
  [8270] = {.lex_state = 87, .external_lex_state = 2},
  [8271] = {.lex_state = 83, .external_lex_state = 2},
  [8272] = {.lex_state = 87, .external_lex_state = 2},
  [8273] = {.lex_state = 87, .external_lex_state = 2},
  [8274] = {.lex_state = 93, .external_lex_state = 2},
  [8275] = {.lex_state = 83, .external_lex_state = 2},
  [8276] = {.lex_state = 83, .external_lex_state = 2},
  [8277] = {.lex_state = 93, .external_lex_state = 2},
  [8278] = {.lex_state = 18, .external_lex_state = 2},
  [8279] = {.lex_state = 17, .external_lex_state = 2},
  [8280] = {.lex_state = 83, .external_lex_state = 2},
  [8281] = {.lex_state = 87, .external_lex_state = 2},
  [8282] = {.lex_state = 87, .external_lex_state = 2},
  [8283] = {.lex_state = 92, .external_lex_state = 2},
  [8284] = {.lex_state = 418, .external_lex_state = 2},
  [8285] = {.lex_state = 87, .external_lex_state = 2},
  [8286] = {.lex_state = 87, .external_lex_state = 2},
  [8287] = {.lex_state = 87, .external_lex_state = 2},
  [8288] = {.lex_state = 87, .external_lex_state = 2},
  [8289] = {.lex_state = 92, .external_lex_state = 2},
  [8290] = {.lex_state = 83, .external_lex_state = 2},
  [8291] = {.lex_state = 87, .external_lex_state = 2},
  [8292] = {.lex_state = 91, .external_lex_state = 2},
  [8293] = {.lex_state = 87, .external_lex_state = 2},
  [8294] = {.lex_state = 385, .external_lex_state = 2},
  [8295] = {.lex_state = 87, .external_lex_state = 2},
  [8296] = {.lex_state = 83, .external_lex_state = 2},
  [8297] = {.lex_state = 385, .external_lex_state = 2},
  [8298] = {.lex_state = 385, .external_lex_state = 2},
  [8299] = {.lex_state = 92, .external_lex_state = 2},
  [8300] = {.lex_state = 83, .external_lex_state = 2},
  [8301] = {.lex_state = 87, .external_lex_state = 2},
  [8302] = {.lex_state = 18, .external_lex_state = 2},
  [8303] = {.lex_state = 87, .external_lex_state = 2},
  [8304] = {.lex_state = 83, .external_lex_state = 2},
  [8305] = {.lex_state = 7, .external_lex_state = 3},
  [8306] = {.lex_state = 83, .external_lex_state = 2},
  [8307] = {.lex_state = 83, .external_lex_state = 2},
  [8308] = {.lex_state = 87, .external_lex_state = 2},
  [8309] = {.lex_state = 87, .external_lex_state = 2},
  [8310] = {.lex_state = 87, .external_lex_state = 2},
  [8311] = {.lex_state = 87, .external_lex_state = 2},
  [8312] = {.lex_state = 87, .external_lex_state = 2},
  [8313] = {.lex_state = 87, .external_lex_state = 2},
  [8314] = {.lex_state = 93, .external_lex_state = 2},
  [8315] = {.lex_state = 129, .external_lex_state = 3},
  [8316] = {.lex_state = 418, .external_lex_state = 2},
  [8317] = {.lex_state = 139, .external_lex_state = 2},
  [8318] = {.lex_state = 13, .external_lex_state = 2},
  [8319] = {.lex_state = 84, .external_lex_state = 2},
  [8320] = {.lex_state = 129, .external_lex_state = 3},
  [8321] = {.lex_state = 418, .external_lex_state = 2},
  [8322] = {.lex_state = 129, .external_lex_state = 3},
  [8323] = {.lex_state = 129, .external_lex_state = 3},
  [8324] = {.lex_state = 129, .external_lex_state = 3},
  [8325] = {.lex_state = 89, .external_lex_state = 2},
  [8326] = {.lex_state = 129, .external_lex_state = 3},
  [8327] = {.lex_state = 129, .external_lex_state = 3},
  [8328] = {.lex_state = 129, .external_lex_state = 3},
  [8329] = {.lex_state = 129, .external_lex_state = 3},
  [8330] = {.lex_state = 129, .external_lex_state = 3},
  [8331] = {.lex_state = 418, .external_lex_state = 2},
  [8332] = {.lex_state = 418, .external_lex_state = 2},
  [8333] = {.lex_state = 129, .external_lex_state = 3},
  [8334] = {.lex_state = 129, .external_lex_state = 3},
  [8335] = {.lex_state = 418, .external_lex_state = 2},
  [8336] = {.lex_state = 129, .external_lex_state = 3},
  [8337] = {.lex_state = 129, .external_lex_state = 3},
  [8338] = {.lex_state = 129, .external_lex_state = 3},
  [8339] = {.lex_state = 129, .external_lex_state = 3},
  [8340] = {.lex_state = 129, .external_lex_state = 3},
  [8341] = {.lex_state = 13, .external_lex_state = 2},
  [8342] = {.lex_state = 129, .external_lex_state = 3},
  [8343] = {.lex_state = 13, .external_lex_state = 2},
  [8344] = {.lex_state = 129, .external_lex_state = 3},
  [8345] = {.lex_state = 13, .external_lex_state = 2},
  [8346] = {.lex_state = 88, .external_lex_state = 2},
  [8347] = {.lex_state = 13, .external_lex_state = 2},
  [8348] = {.lex_state = 129, .external_lex_state = 3},
  [8349] = {.lex_state = 129, .external_lex_state = 3},
  [8350] = {.lex_state = 418, .external_lex_state = 2},
  [8351] = {.lex_state = 13, .external_lex_state = 2},
  [8352] = {.lex_state = 418, .external_lex_state = 2},
  [8353] = {.lex_state = 129, .external_lex_state = 3},
  [8354] = {.lex_state = 129, .external_lex_state = 3},
  [8355] = {.lex_state = 418, .external_lex_state = 2},
  [8356] = {.lex_state = 414, .external_lex_state = 3},
  [8357] = {.lex_state = 129, .external_lex_state = 3},
  [8358] = {.lex_state = 129, .external_lex_state = 3},
  [8359] = {.lex_state = 414, .external_lex_state = 3},
  [8360] = {.lex_state = 156, .external_lex_state = 2},
  [8361] = {.lex_state = 13, .external_lex_state = 2},
  [8362] = {.lex_state = 13, .external_lex_state = 2},
  [8363] = {.lex_state = 13, .external_lex_state = 2},
  [8364] = {.lex_state = 418, .external_lex_state = 2},
  [8365] = {.lex_state = 418, .external_lex_state = 2},
  [8366] = {.lex_state = 13, .external_lex_state = 2},
  [8367] = {.lex_state = 139, .external_lex_state = 2},
  [8368] = {.lex_state = 129, .external_lex_state = 3},
  [8369] = {.lex_state = 418, .external_lex_state = 2},
  [8370] = {.lex_state = 129, .external_lex_state = 3},
  [8371] = {.lex_state = 129, .external_lex_state = 3},
  [8372] = {.lex_state = 129, .external_lex_state = 3},
  [8373] = {.lex_state = 418, .external_lex_state = 2},
  [8374] = {.lex_state = 129, .external_lex_state = 3},
  [8375] = {.lex_state = 129, .external_lex_state = 3},
  [8376] = {.lex_state = 418, .external_lex_state = 2},
  [8377] = {.lex_state = 13, .external_lex_state = 2},
  [8378] = {.lex_state = 129, .external_lex_state = 3},
  [8379] = {.lex_state = 129, .external_lex_state = 3},
  [8380] = {.lex_state = 418, .external_lex_state = 2},
  [8381] = {.lex_state = 13, .external_lex_state = 2},
  [8382] = {.lex_state = 129, .external_lex_state = 3},
  [8383] = {.lex_state = 418, .external_lex_state = 2},
  [8384] = {.lex_state = 418, .external_lex_state = 2},
  [8385] = {.lex_state = 418, .external_lex_state = 2},
  [8386] = {.lex_state = 418, .external_lex_state = 2},
  [8387] = {.lex_state = 418, .external_lex_state = 2},
  [8388] = {.lex_state = 129, .external_lex_state = 3},
  [8389] = {.lex_state = 13, .external_lex_state = 2},
  [8390] = {.lex_state = 418, .external_lex_state = 2},
  [8391] = {.lex_state = 418, .external_lex_state = 2},
  [8392] = {.lex_state = 129, .external_lex_state = 3},
  [8393] = {.lex_state = 418, .external_lex_state = 2},
  [8394] = {.lex_state = 129, .external_lex_state = 3},
  [8395] = {.lex_state = 129, .external_lex_state = 3},
  [8396] = {.lex_state = 129, .external_lex_state = 3},
  [8397] = {.lex_state = 129, .external_lex_state = 3},
  [8398] = {.lex_state = 129, .external_lex_state = 3},
  [8399] = {.lex_state = 418, .external_lex_state = 2},
  [8400] = {.lex_state = 129, .external_lex_state = 3},
  [8401] = {.lex_state = 418, .external_lex_state = 2},
  [8402] = {.lex_state = 418, .external_lex_state = 2},
  [8403] = {.lex_state = 129, .external_lex_state = 3},
  [8404] = {.lex_state = 13, .external_lex_state = 2},
  [8405] = {.lex_state = 418, .external_lex_state = 2},
  [8406] = {.lex_state = 129, .external_lex_state = 3},
  [8407] = {.lex_state = 129, .external_lex_state = 3},
  [8408] = {.lex_state = 418, .external_lex_state = 2},
  [8409] = {.lex_state = 129, .external_lex_state = 3},
  [8410] = {.lex_state = 418, .external_lex_state = 2},
  [8411] = {.lex_state = 129, .external_lex_state = 3},
  [8412] = {.lex_state = 418, .external_lex_state = 2},
  [8413] = {.lex_state = 82, .external_lex_state = 2},
  [8414] = {.lex_state = 418, .external_lex_state = 2},
  [8415] = {.lex_state = 418, .external_lex_state = 2},
  [8416] = {.lex_state = 418, .external_lex_state = 2},
  [8417] = {.lex_state = 418, .external_lex_state = 2},
  [8418] = {.lex_state = 418, .external_lex_state = 2},
  [8419] = {.lex_state = 13, .external_lex_state = 2},
  [8420] = {.lex_state = 418, .external_lex_state = 2},
  [8421] = {.lex_state = 129, .external_lex_state = 3},
  [8422] = {.lex_state = 418, .external_lex_state = 2},
  [8423] = {.lex_state = 13, .external_lex_state = 2},
  [8424] = {.lex_state = 129, .external_lex_state = 3},
  [8425] = {.lex_state = 129, .external_lex_state = 3},
  [8426] = {.lex_state = 129, .external_lex_state = 3},
  [8427] = {.lex_state = 129, .external_lex_state = 3},
  [8428] = {.lex_state = 418, .external_lex_state = 2},
  [8429] = {.lex_state = 418, .external_lex_state = 2},
  [8430] = {.lex_state = 418, .external_lex_state = 2},
  [8431] = {.lex_state = 129, .external_lex_state = 3},
  [8432] = {.lex_state = 418, .external_lex_state = 2},
  [8433] = {.lex_state = 129, .external_lex_state = 3},
  [8434] = {.lex_state = 129, .external_lex_state = 3},
  [8435] = {.lex_state = 418, .external_lex_state = 2},
  [8436] = {.lex_state = 13, .external_lex_state = 2},
  [8437] = {.lex_state = 13, .external_lex_state = 2},
  [8438] = {.lex_state = 418, .external_lex_state = 2},
  [8439] = {.lex_state = 129, .external_lex_state = 3},
  [8440] = {.lex_state = 129, .external_lex_state = 3},
  [8441] = {.lex_state = 418, .external_lex_state = 2},
  [8442] = {.lex_state = 129, .external_lex_state = 3},
  [8443] = {.lex_state = 129, .external_lex_state = 3},
  [8444] = {.lex_state = 84, .external_lex_state = 2},
  [8445] = {.lex_state = 129, .external_lex_state = 3},
  [8446] = {.lex_state = 13, .external_lex_state = 2},
  [8447] = {.lex_state = 129, .external_lex_state = 3},
  [8448] = {.lex_state = 418, .external_lex_state = 2},
  [8449] = {.lex_state = 129, .external_lex_state = 3},
  [8450] = {.lex_state = 129, .external_lex_state = 3},
  [8451] = {.lex_state = 418, .external_lex_state = 2},
  [8452] = {.lex_state = 414, .external_lex_state = 3},
  [8453] = {.lex_state = 418, .external_lex_state = 2},
  [8454] = {.lex_state = 418, .external_lex_state = 2},
  [8455] = {.lex_state = 129, .external_lex_state = 3},
  [8456] = {.lex_state = 129, .external_lex_state = 3},
  [8457] = {.lex_state = 418, .external_lex_state = 2},
  [8458] = {.lex_state = 418, .external_lex_state = 2},
  [8459] = {.lex_state = 418, .external_lex_state = 2},
  [8460] = {.lex_state = 129, .external_lex_state = 3},
  [8461] = {.lex_state = 418, .external_lex_state = 2},
  [8462] = {.lex_state = 129, .external_lex_state = 3},
  [8463] = {.lex_state = 418, .external_lex_state = 2},
  [8464] = {.lex_state = 85, .external_lex_state = 2},
  [8465] = {.lex_state = 129, .external_lex_state = 3},
  [8466] = {.lex_state = 418, .external_lex_state = 2},
  [8467] = {.lex_state = 86, .external_lex_state = 2},
  [8468] = {.lex_state = 129, .external_lex_state = 3},
  [8469] = {.lex_state = 418, .external_lex_state = 2},
  [8470] = {.lex_state = 129, .external_lex_state = 3},
  [8471] = {.lex_state = 129, .external_lex_state = 3},
  [8472] = {.lex_state = 418, .external_lex_state = 2},
  [8473] = {.lex_state = 13, .external_lex_state = 2},
  [8474] = {.lex_state = 129, .external_lex_state = 3},
  [8475] = {.lex_state = 418, .external_lex_state = 2},
  [8476] = {.lex_state = 129, .external_lex_state = 3},
  [8477] = {.lex_state = 129, .external_lex_state = 3},
  [8478] = {.lex_state = 418, .external_lex_state = 2},
  [8479] = {.lex_state = 129, .external_lex_state = 3},
  [8480] = {.lex_state = 90, .external_lex_state = 2},
  [8481] = {.lex_state = 129, .external_lex_state = 3},
  [8482] = {.lex_state = 418, .external_lex_state = 2},
  [8483] = {.lex_state = 129, .external_lex_state = 3},
  [8484] = {.lex_state = 418, .external_lex_state = 2},
  [8485] = {.lex_state = 418, .external_lex_state = 2},
  [8486] = {.lex_state = 129, .external_lex_state = 3},
  [8487] = {.lex_state = 129, .external_lex_state = 3},
  [8488] = {.lex_state = 129, .external_lex_state = 3},
  [8489] = {.lex_state = 129, .external_lex_state = 3},
  [8490] = {.lex_state = 129, .external_lex_state = 3},
  [8491] = {.lex_state = 418, .external_lex_state = 2},
  [8492] = {.lex_state = 139, .external_lex_state = 2},
  [8493] = {.lex_state = 415, .external_lex_state = 3},
  [8494] = {.lex_state = 415, .external_lex_state = 3},
  [8495] = {.lex_state = 130, .external_lex_state = 3},
  [8496] = {.lex_state = 130, .external_lex_state = 3},
  [8497] = {.lex_state = 415, .external_lex_state = 3},
  [8498] = {.lex_state = 415, .external_lex_state = 3},
  [8499] = {.lex_state = 89, .external_lex_state = 2},
  [8500] = {.lex_state = 130, .external_lex_state = 3},
  [8501] = {.lex_state = 83, .external_lex_state = 2},
  [8502] = {.lex_state = 130, .external_lex_state = 3},
  [8503] = {.lex_state = 130, .external_lex_state = 3},
  [8504] = {.lex_state = 415, .external_lex_state = 3},
  [8505] = {.lex_state = 139, .external_lex_state = 2},
  [8506] = {.lex_state = 415, .external_lex_state = 3},
  [8507] = {.lex_state = 130, .external_lex_state = 3},
  [8508] = {.lex_state = 130, .external_lex_state = 3},
  [8509] = {.lex_state = 415, .external_lex_state = 3},
  [8510] = {.lex_state = 130, .external_lex_state = 3},
  [8511] = {.lex_state = 415, .external_lex_state = 3},
  [8512] = {.lex_state = 130, .external_lex_state = 3},
  [8513] = {.lex_state = 130, .external_lex_state = 3},
  [8514] = {.lex_state = 415, .external_lex_state = 3},
  [8515] = {.lex_state = 415, .external_lex_state = 3},
  [8516] = {.lex_state = 415, .external_lex_state = 3},
  [8517] = {.lex_state = 415, .external_lex_state = 3},
  [8518] = {.lex_state = 415, .external_lex_state = 3},
  [8519] = {.lex_state = 130, .external_lex_state = 3},
  [8520] = {.lex_state = 415, .external_lex_state = 3},
  [8521] = {.lex_state = 415, .external_lex_state = 3},
  [8522] = {.lex_state = 130, .external_lex_state = 3},
  [8523] = {.lex_state = 415, .external_lex_state = 3},
  [8524] = {.lex_state = 130, .external_lex_state = 3},
  [8525] = {.lex_state = 415, .external_lex_state = 3},
  [8526] = {.lex_state = 139, .external_lex_state = 2},
  [8527] = {.lex_state = 130, .external_lex_state = 3},
  [8528] = {.lex_state = 415, .external_lex_state = 3},
  [8529] = {.lex_state = 139, .external_lex_state = 2},
  [8530] = {.lex_state = 130, .external_lex_state = 3},
  [8531] = {.lex_state = 139, .external_lex_state = 2},
  [8532] = {.lex_state = 86, .external_lex_state = 2},
  [8533] = {.lex_state = 82, .external_lex_state = 2},
  [8534] = {.lex_state = 139, .external_lex_state = 2},
  [8535] = {.lex_state = 139, .external_lex_state = 2},
  [8536] = {.lex_state = 130, .external_lex_state = 3},
  [8537] = {.lex_state = 139, .external_lex_state = 2},
  [8538] = {.lex_state = 139, .external_lex_state = 2},
  [8539] = {.lex_state = 139, .external_lex_state = 2},
  [8540] = {.lex_state = 130, .external_lex_state = 3},
  [8541] = {.lex_state = 415, .external_lex_state = 3},
  [8542] = {.lex_state = 415, .external_lex_state = 3},
  [8543] = {.lex_state = 130, .external_lex_state = 3},
  [8544] = {.lex_state = 139, .external_lex_state = 2},
  [8545] = {.lex_state = 139, .external_lex_state = 2},
  [8546] = {.lex_state = 415, .external_lex_state = 3},
  [8547] = {.lex_state = 415, .external_lex_state = 3},
  [8548] = {.lex_state = 139, .external_lex_state = 2},
  [8549] = {.lex_state = 415, .external_lex_state = 3},
  [8550] = {.lex_state = 415, .external_lex_state = 3},
  [8551] = {.lex_state = 415, .external_lex_state = 3},
  [8552] = {.lex_state = 415, .external_lex_state = 3},
  [8553] = {.lex_state = 139, .external_lex_state = 2},
  [8554] = {.lex_state = 415, .external_lex_state = 3},
  [8555] = {.lex_state = 92, .external_lex_state = 2},
  [8556] = {.lex_state = 139, .external_lex_state = 2},
  [8557] = {.lex_state = 415, .external_lex_state = 3},
  [8558] = {.lex_state = 130, .external_lex_state = 3},
  [8559] = {.lex_state = 415, .external_lex_state = 3},
  [8560] = {.lex_state = 415, .external_lex_state = 3},
  [8561] = {.lex_state = 139, .external_lex_state = 2},
  [8562] = {.lex_state = 88, .external_lex_state = 2},
  [8563] = {.lex_state = 415, .external_lex_state = 3},
  [8564] = {.lex_state = 139, .external_lex_state = 2},
  [8565] = {.lex_state = 130, .external_lex_state = 3},
  [8566] = {.lex_state = 130, .external_lex_state = 3},
  [8567] = {.lex_state = 85, .external_lex_state = 2},
  [8568] = {.lex_state = 415, .external_lex_state = 3},
  [8569] = {.lex_state = 139, .external_lex_state = 2},
  [8570] = {.lex_state = 139, .external_lex_state = 2},
  [8571] = {.lex_state = 415, .external_lex_state = 3},
  [8572] = {.lex_state = 130, .external_lex_state = 3},
  [8573] = {.lex_state = 415, .external_lex_state = 3},
  [8574] = {.lex_state = 415, .external_lex_state = 3},
  [8575] = {.lex_state = 415, .external_lex_state = 3},
  [8576] = {.lex_state = 415, .external_lex_state = 3},
  [8577] = {.lex_state = 415, .external_lex_state = 3},
  [8578] = {.lex_state = 415, .external_lex_state = 3},
  [8579] = {.lex_state = 139, .external_lex_state = 2},
  [8580] = {.lex_state = 139, .external_lex_state = 2},
  [8581] = {.lex_state = 130, .external_lex_state = 3},
  [8582] = {.lex_state = 139, .external_lex_state = 2},
  [8583] = {.lex_state = 139, .external_lex_state = 2},
  [8584] = {.lex_state = 139, .external_lex_state = 2},
  [8585] = {.lex_state = 139, .external_lex_state = 2},
  [8586] = {.lex_state = 139, .external_lex_state = 2},
  [8587] = {.lex_state = 139, .external_lex_state = 2},
  [8588] = {.lex_state = 130, .external_lex_state = 3},
  [8589] = {.lex_state = 130, .external_lex_state = 3},
  [8590] = {.lex_state = 130, .external_lex_state = 3},
  [8591] = {.lex_state = 130, .external_lex_state = 3},
  [8592] = {.lex_state = 415, .external_lex_state = 3},
  [8593] = {.lex_state = 85, .external_lex_state = 2},
  [8594] = {.lex_state = 415, .external_lex_state = 3},
  [8595] = {.lex_state = 139, .external_lex_state = 2},
  [8596] = {.lex_state = 415, .external_lex_state = 3},
  [8597] = {.lex_state = 415, .external_lex_state = 3},
  [8598] = {.lex_state = 415, .external_lex_state = 3},
  [8599] = {.lex_state = 415, .external_lex_state = 3},
  [8600] = {.lex_state = 415, .external_lex_state = 3},
  [8601] = {.lex_state = 415, .external_lex_state = 3},
  [8602] = {.lex_state = 130, .external_lex_state = 3},
  [8603] = {.lex_state = 415, .external_lex_state = 3},
  [8604] = {.lex_state = 130, .external_lex_state = 3},
  [8605] = {.lex_state = 415, .external_lex_state = 3},
  [8606] = {.lex_state = 415, .external_lex_state = 3},
  [8607] = {.lex_state = 415, .external_lex_state = 3},
  [8608] = {.lex_state = 139, .external_lex_state = 2},
  [8609] = {.lex_state = 415, .external_lex_state = 3},
  [8610] = {.lex_state = 130, .external_lex_state = 3},
  [8611] = {.lex_state = 415, .external_lex_state = 3},
  [8612] = {.lex_state = 130, .external_lex_state = 3},
  [8613] = {.lex_state = 415, .external_lex_state = 3},
  [8614] = {.lex_state = 130, .external_lex_state = 3},
  [8615] = {.lex_state = 415, .external_lex_state = 3},
  [8616] = {.lex_state = 139, .external_lex_state = 2},
  [8617] = {.lex_state = 139, .external_lex_state = 2},
  [8618] = {.lex_state = 139, .external_lex_state = 2},
  [8619] = {.lex_state = 139, .external_lex_state = 2},
  [8620] = {.lex_state = 139, .external_lex_state = 2},
  [8621] = {.lex_state = 130, .external_lex_state = 3},
  [8622] = {.lex_state = 130, .external_lex_state = 3},
  [8623] = {.lex_state = 130, .external_lex_state = 3},
  [8624] = {.lex_state = 415, .external_lex_state = 3},
  [8625] = {.lex_state = 415, .external_lex_state = 3},
  [8626] = {.lex_state = 130, .external_lex_state = 3},
  [8627] = {.lex_state = 130, .external_lex_state = 3},
  [8628] = {.lex_state = 415, .external_lex_state = 3},
  [8629] = {.lex_state = 139, .external_lex_state = 2},
  [8630] = {.lex_state = 139, .external_lex_state = 2},
  [8631] = {.lex_state = 139, .external_lex_state = 2},
  [8632] = {.lex_state = 130, .external_lex_state = 3},
  [8633] = {.lex_state = 139, .external_lex_state = 2},
  [8634] = {.lex_state = 139, .external_lex_state = 2},
  [8635] = {.lex_state = 139, .external_lex_state = 2},
  [8636] = {.lex_state = 139, .external_lex_state = 2},
  [8637] = {.lex_state = 86, .external_lex_state = 2},
  [8638] = {.lex_state = 139, .external_lex_state = 2},
  [8639] = {.lex_state = 130, .external_lex_state = 3},
  [8640] = {.lex_state = 415, .external_lex_state = 3},
  [8641] = {.lex_state = 139, .external_lex_state = 2},
  [8642] = {.lex_state = 130, .external_lex_state = 3},
  [8643] = {.lex_state = 93, .external_lex_state = 2},
  [8644] = {.lex_state = 415, .external_lex_state = 3},
  [8645] = {.lex_state = 130, .external_lex_state = 3},
  [8646] = {.lex_state = 130, .external_lex_state = 3},
  [8647] = {.lex_state = 130, .external_lex_state = 3},
  [8648] = {.lex_state = 415, .external_lex_state = 3},
  [8649] = {.lex_state = 130, .external_lex_state = 3},
  [8650] = {.lex_state = 18, .external_lex_state = 2},
  [8651] = {.lex_state = 130, .external_lex_state = 3},
  [8652] = {.lex_state = 139, .external_lex_state = 2},
  [8653] = {.lex_state = 139, .external_lex_state = 2},
  [8654] = {.lex_state = 130, .external_lex_state = 3},
  [8655] = {.lex_state = 139, .external_lex_state = 2},
  [8656] = {.lex_state = 139, .external_lex_state = 2},
  [8657] = {.lex_state = 17, .external_lex_state = 2},
  [8658] = {.lex_state = 130, .external_lex_state = 3},
  [8659] = {.lex_state = 139, .external_lex_state = 2},
  [8660] = {.lex_state = 139, .external_lex_state = 2},
  [8661] = {.lex_state = 415, .external_lex_state = 3},
  [8662] = {.lex_state = 139, .external_lex_state = 2},
  [8663] = {.lex_state = 130, .external_lex_state = 3},
  [8664] = {.lex_state = 130, .external_lex_state = 3},
  [8665] = {.lex_state = 415, .external_lex_state = 3},
  [8666] = {.lex_state = 130, .external_lex_state = 3},
  [8667] = {.lex_state = 130, .external_lex_state = 3},
  [8668] = {.lex_state = 415, .external_lex_state = 3},
  [8669] = {.lex_state = 82, .external_lex_state = 2},
  [8670] = {.lex_state = 415, .external_lex_state = 3},
  [8671] = {.lex_state = 130, .external_lex_state = 3},
  [8672] = {.lex_state = 130, .external_lex_state = 3},
  [8673] = {.lex_state = 130, .external_lex_state = 3},
  [8674] = {.lex_state = 415, .external_lex_state = 3},
  [8675] = {.lex_state = 415, .external_lex_state = 3},
  [8676] = {.lex_state = 130, .external_lex_state = 3},
  [8677] = {.lex_state = 415, .external_lex_state = 3},
  [8678] = {.lex_state = 130, .external_lex_state = 3},
  [8679] = {.lex_state = 130, .external_lex_state = 3},
  [8680] = {.lex_state = 139, .external_lex_state = 2},
  [8681] = {.lex_state = 130, .external_lex_state = 3},
  [8682] = {.lex_state = 130, .external_lex_state = 3},
  [8683] = {.lex_state = 130, .external_lex_state = 3},
  [8684] = {.lex_state = 139, .external_lex_state = 2},
  [8685] = {.lex_state = 139, .external_lex_state = 2},
  [8686] = {.lex_state = 139, .external_lex_state = 2},
  [8687] = {.lex_state = 130, .external_lex_state = 3},
  [8688] = {.lex_state = 139, .external_lex_state = 2},
  [8689] = {.lex_state = 415, .external_lex_state = 3},
  [8690] = {.lex_state = 415, .external_lex_state = 3},
  [8691] = {.lex_state = 415, .external_lex_state = 3},
  [8692] = {.lex_state = 415, .external_lex_state = 3},
  [8693] = {.lex_state = 130, .external_lex_state = 3},
  [8694] = {.lex_state = 89, .external_lex_state = 2},
  [8695] = {.lex_state = 139, .external_lex_state = 2},
  [8696] = {.lex_state = 130, .external_lex_state = 3},
  [8697] = {.lex_state = 130, .external_lex_state = 3},
  [8698] = {.lex_state = 415, .external_lex_state = 3},
  [8699] = {.lex_state = 130, .external_lex_state = 3},
  [8700] = {.lex_state = 139, .external_lex_state = 2},
  [8701] = {.lex_state = 415, .external_lex_state = 3},
  [8702] = {.lex_state = 130, .external_lex_state = 3},
  [8703] = {.lex_state = 130, .external_lex_state = 3},
  [8704] = {.lex_state = 130, .external_lex_state = 3},
  [8705] = {.lex_state = 90, .external_lex_state = 2},
  [8706] = {.lex_state = 130, .external_lex_state = 3},
  [8707] = {.lex_state = 415, .external_lex_state = 3},
  [8708] = {.lex_state = 139, .external_lex_state = 2},
  [8709] = {.lex_state = 139, .external_lex_state = 2},
  [8710] = {.lex_state = 130, .external_lex_state = 3},
  [8711] = {.lex_state = 139, .external_lex_state = 2},
  [8712] = {.lex_state = 130, .external_lex_state = 3},
  [8713] = {.lex_state = 87, .external_lex_state = 2},
  [8714] = {.lex_state = 415, .external_lex_state = 3},
  [8715] = {.lex_state = 130, .external_lex_state = 3},
  [8716] = {.lex_state = 130, .external_lex_state = 3},
  [8717] = {.lex_state = 130, .external_lex_state = 3},
  [8718] = {.lex_state = 415, .external_lex_state = 3},
  [8719] = {.lex_state = 415, .external_lex_state = 3},
  [8720] = {.lex_state = 88, .external_lex_state = 2},
  [8721] = {.lex_state = 415, .external_lex_state = 3},
  [8722] = {.lex_state = 130, .external_lex_state = 3},
  [8723] = {.lex_state = 139, .external_lex_state = 2},
  [8724] = {.lex_state = 130, .external_lex_state = 3},
  [8725] = {.lex_state = 130, .external_lex_state = 3},
  [8726] = {.lex_state = 130, .external_lex_state = 3},
  [8727] = {.lex_state = 415, .external_lex_state = 3},
  [8728] = {.lex_state = 130, .external_lex_state = 3},
  [8729] = {.lex_state = 415, .external_lex_state = 3},
  [8730] = {.lex_state = 130, .external_lex_state = 3},
  [8731] = {.lex_state = 91, .external_lex_state = 2},
  [8732] = {.lex_state = 415, .external_lex_state = 3},
  [8733] = {.lex_state = 130, .external_lex_state = 3},
  [8734] = {.lex_state = 415, .external_lex_state = 3},
  [8735] = {.lex_state = 130, .external_lex_state = 3},
  [8736] = {.lex_state = 90, .external_lex_state = 2},
  [8737] = {.lex_state = 130, .external_lex_state = 3},
  [8738] = {.lex_state = 415, .external_lex_state = 3},
  [8739] = {.lex_state = 415, .external_lex_state = 3},
  [8740] = {.lex_state = 415, .external_lex_state = 3},
  [8741] = {.lex_state = 7, .external_lex_state = 3},
  [8742] = {.lex_state = 415, .external_lex_state = 3},
  [8743] = {.lex_state = 415, .external_lex_state = 3},
  [8744] = {.lex_state = 415, .external_lex_state = 3},
  [8745] = {.lex_state = 415, .external_lex_state = 3},
  [8746] = {.lex_state = 415, .external_lex_state = 3},
  [8747] = {.lex_state = 415, .external_lex_state = 3},
  [8748] = {.lex_state = 87, .external_lex_state = 2},
  [8749] = {.lex_state = 7, .external_lex_state = 3},
  [8750] = {.lex_state = 415, .external_lex_state = 3},
  [8751] = {.lex_state = 415, .external_lex_state = 3},
  [8752] = {.lex_state = 415, .external_lex_state = 3},
  [8753] = {.lex_state = 17, .external_lex_state = 2},
  [8754] = {.lex_state = 415, .external_lex_state = 3},
  [8755] = {.lex_state = 7, .external_lex_state = 3},
  [8756] = {.lex_state = 415, .external_lex_state = 3},
  [8757] = {.lex_state = 17, .external_lex_state = 2},
  [8758] = {.lex_state = 415, .external_lex_state = 3},
  [8759] = {.lex_state = 415, .external_lex_state = 3},
  [8760] = {.lex_state = 17, .external_lex_state = 2},
  [8761] = {.lex_state = 415, .external_lex_state = 3},
  [8762] = {.lex_state = 415, .external_lex_state = 3},
  [8763] = {.lex_state = 18, .external_lex_state = 2},
  [8764] = {.lex_state = 93, .external_lex_state = 2},
  [8765] = {.lex_state = 17, .external_lex_state = 2},
  [8766] = {.lex_state = 140, .external_lex_state = 2},
  [8767] = {.lex_state = 7, .external_lex_state = 3},
  [8768] = {.lex_state = 87, .external_lex_state = 2},
  [8769] = {.lex_state = 7, .external_lex_state = 3},
  [8770] = {.lex_state = 7, .external_lex_state = 3},
  [8771] = {.lex_state = 7, .external_lex_state = 3},
  [8772] = {.lex_state = 415, .external_lex_state = 3},
  [8773] = {.lex_state = 415, .external_lex_state = 3},
  [8774] = {.lex_state = 415, .external_lex_state = 3},
  [8775] = {.lex_state = 415, .external_lex_state = 3},
  [8776] = {.lex_state = 83, .external_lex_state = 2},
  [8777] = {.lex_state = 415, .external_lex_state = 3},
  [8778] = {.lex_state = 7, .external_lex_state = 3},
  [8779] = {.lex_state = 140, .external_lex_state = 2},
  [8780] = {.lex_state = 415, .external_lex_state = 3},
  [8781] = {.lex_state = 415, .external_lex_state = 3},
  [8782] = {.lex_state = 7, .external_lex_state = 3},
  [8783] = {.lex_state = 7, .external_lex_state = 3},
  [8784] = {.lex_state = 415, .external_lex_state = 3},
  [8785] = {.lex_state = 415, .external_lex_state = 3},
  [8786] = {.lex_state = 415, .external_lex_state = 3},
  [8787] = {.lex_state = 415, .external_lex_state = 3},
  [8788] = {.lex_state = 138, .external_lex_state = 2},
  [8789] = {.lex_state = 92, .external_lex_state = 2},
  [8790] = {.lex_state = 415, .external_lex_state = 3},
  [8791] = {.lex_state = 7, .external_lex_state = 3},
  [8792] = {.lex_state = 7, .external_lex_state = 3},
  [8793] = {.lex_state = 18, .external_lex_state = 2},
  [8794] = {.lex_state = 415, .external_lex_state = 3},
  [8795] = {.lex_state = 415, .external_lex_state = 3},
  [8796] = {.lex_state = 7, .external_lex_state = 3},
  [8797] = {.lex_state = 415, .external_lex_state = 3},
  [8798] = {.lex_state = 415, .external_lex_state = 3},
  [8799] = {.lex_state = 415, .external_lex_state = 3},
  [8800] = {.lex_state = 91, .external_lex_state = 2},
  [8801] = {.lex_state = 138, .external_lex_state = 2},
  [8802] = {.lex_state = 415, .external_lex_state = 3},
  [8803] = {.lex_state = 415, .external_lex_state = 3},
  [8804] = {.lex_state = 415, .external_lex_state = 3},
  [8805] = {.lex_state = 7, .external_lex_state = 3},
  [8806] = {.lex_state = 415, .external_lex_state = 3},
  [8807] = {.lex_state = 415, .external_lex_state = 3},
  [8808] = {.lex_state = 415, .external_lex_state = 3},
  [8809] = {.lex_state = 415, .external_lex_state = 3},
  [8810] = {.lex_state = 415, .external_lex_state = 3},
  [8811] = {.lex_state = 415, .external_lex_state = 3},
  [8812] = {.lex_state = 7, .external_lex_state = 3},
  [8813] = {.lex_state = 7, .external_lex_state = 3},
  [8814] = {.lex_state = 83, .external_lex_state = 2},
  [8815] = {.lex_state = 18, .external_lex_state = 2},
  [8816] = {.lex_state = 415, .external_lex_state = 3},
  [8817] = {.lex_state = 157, .external_lex_state = 2},
  [8818] = {.lex_state = 7, .external_lex_state = 3},
  [8819] = {.lex_state = 7, .external_lex_state = 3},
  [8820] = {.lex_state = 7, .external_lex_state = 3},
  [8821] = {.lex_state = 415, .external_lex_state = 3},
  [8822] = {.lex_state = 18, .external_lex_state = 2},
  [8823] = {.lex_state = 415, .external_lex_state = 3},
  [8824] = {.lex_state = 92, .external_lex_state = 2},
  [8825] = {.lex_state = 93, .external_lex_state = 2},
  [8826] = {.lex_state = 18, .external_lex_state = 2},
  [8827] = {.lex_state = 18, .external_lex_state = 2},
  [8828] = {.lex_state = 417, .external_lex_state = 2},
  [8829] = {.lex_state = 91, .external_lex_state = 2},
  [8830] = {.lex_state = 18, .external_lex_state = 2},
  [8831] = {.lex_state = 7, .external_lex_state = 3},
  [8832] = {.lex_state = 415, .external_lex_state = 3},
  [8833] = {.lex_state = 17, .external_lex_state = 2},
  [8834] = {.lex_state = 415, .external_lex_state = 3},
  [8835] = {.lex_state = 17, .external_lex_state = 2},
  [8836] = {.lex_state = 155, .external_lex_state = 2},
  [8837] = {.lex_state = 415, .external_lex_state = 3},
  [8838] = {.lex_state = 415, .external_lex_state = 3},
  [8839] = {.lex_state = 415, .external_lex_state = 3},
  [8840] = {.lex_state = 415, .external_lex_state = 3},
  [8841] = {.lex_state = 415, .external_lex_state = 3},
  [8842] = {.lex_state = 415, .external_lex_state = 3},
  [8843] = {.lex_state = 415, .external_lex_state = 3},
  [8844] = {.lex_state = 415, .external_lex_state = 3},
  [8845] = {.lex_state = 7, .external_lex_state = 3},
  [8846] = {.lex_state = 7, .external_lex_state = 3},
  [8847] = {.lex_state = 415, .external_lex_state = 3},
  [8848] = {.lex_state = 17, .external_lex_state = 2},
  [8849] = {.lex_state = 7, .external_lex_state = 3},
  [8850] = {.lex_state = 415, .external_lex_state = 3},
  [8851] = {.lex_state = 415, .external_lex_state = 3},
  [8852] = {.lex_state = 415, .external_lex_state = 3},
  [8853] = {.lex_state = 415, .external_lex_state = 3},
  [8854] = {.lex_state = 415, .external_lex_state = 3},
  [8855] = {.lex_state = 415, .external_lex_state = 3},
  [8856] = {.lex_state = 415, .external_lex_state = 3},
  [8857] = {.lex_state = 415, .external_lex_state = 3},
  [8858] = {.lex_state = 415, .external_lex_state = 3},
  [8859] = {.lex_state = 415, .external_lex_state = 3},
  [8860] = {.lex_state = 415, .external_lex_state = 3},
  [8861] = {.lex_state = 415, .external_lex_state = 3},
  [8862] = {.lex_state = 415, .external_lex_state = 3},
  [8863] = {.lex_state = 415, .external_lex_state = 3},
  [8864] = {.lex_state = 415, .external_lex_state = 3},
  [8865] = {.lex_state = 7, .external_lex_state = 3},
  [8866] = {.lex_state = 415, .external_lex_state = 3},
  [8867] = {.lex_state = 415, .external_lex_state = 3},
  [8868] = {.lex_state = 415, .external_lex_state = 3},
  [8869] = {.lex_state = 415, .external_lex_state = 3},
  [8870] = {.lex_state = 415, .external_lex_state = 3},
  [8871] = {.lex_state = 7, .external_lex_state = 3},
  [8872] = {.lex_state = 415, .external_lex_state = 3},
  [8873] = {.lex_state = 7, .external_lex_state = 3},
  [8874] = {.lex_state = 138, .external_lex_state = 2},
  [8875] = {.lex_state = 19, .external_lex_state = 2},
  [8876] = {.lex_state = 19, .external_lex_state = 2},
  [8877] = {.lex_state = 19, .external_lex_state = 2},
  [8878] = {.lex_state = 178, .external_lex_state = 3},
  [8879] = {.lex_state = 19, .external_lex_state = 2},
  [8880] = {.lex_state = 19, .external_lex_state = 2},
  [8881] = {.lex_state = 140, .external_lex_state = 2},
  [8882] = {.lex_state = 138, .external_lex_state = 2},
  [8883] = {.lex_state = 138, .external_lex_state = 2},
  [8884] = {.lex_state = 7, .external_lex_state = 3},
  [8885] = {.lex_state = 7, .external_lex_state = 3},
  [8886] = {.lex_state = 19, .external_lex_state = 2},
  [8887] = {.lex_state = 7, .external_lex_state = 3},
  [8888] = {.lex_state = 19, .external_lex_state = 2},
  [8889] = {.lex_state = 138, .external_lex_state = 2},
  [8890] = {.lex_state = 178, .external_lex_state = 3},
  [8891] = {.lex_state = 140, .external_lex_state = 2},
  [8892] = {.lex_state = 140, .external_lex_state = 2},
  [8893] = {.lex_state = 140, .external_lex_state = 2},
  [8894] = {.lex_state = 7, .external_lex_state = 3},
  [8895] = {.lex_state = 7, .external_lex_state = 3},
  [8896] = {.lex_state = 138, .external_lex_state = 2},
  [8897] = {.lex_state = 138, .external_lex_state = 2},
  [8898] = {.lex_state = 140, .external_lex_state = 2},
  [8899] = {.lex_state = 138, .external_lex_state = 2},
  [8900] = {.lex_state = 138, .external_lex_state = 2},
  [8901] = {.lex_state = 140, .external_lex_state = 2},
  [8902] = {.lex_state = 178, .external_lex_state = 3},
  [8903] = {.lex_state = 19, .external_lex_state = 2},
  [8904] = {.lex_state = 7, .external_lex_state = 3},
  [8905] = {.lex_state = 7, .external_lex_state = 3},
  [8906] = {.lex_state = 140, .external_lex_state = 2},
  [8907] = {.lex_state = 171, .external_lex_state = 3},
  [8908] = {.lex_state = 19, .external_lex_state = 2},
  [8909] = {.lex_state = 178, .external_lex_state = 3},
  [8910] = {.lex_state = 138, .external_lex_state = 2},
  [8911] = {.lex_state = 7, .external_lex_state = 3},
  [8912] = {.lex_state = 7, .external_lex_state = 3},
  [8913] = {.lex_state = 140, .external_lex_state = 2},
  [8914] = {.lex_state = 7, .external_lex_state = 3},
  [8915] = {.lex_state = 19, .external_lex_state = 2},
  [8916] = {.lex_state = 19, .external_lex_state = 2},
  [8917] = {.lex_state = 19, .external_lex_state = 2},
  [8918] = {.lex_state = 138, .external_lex_state = 2},
  [8919] = {.lex_state = 7, .external_lex_state = 3},
  [8920] = {.lex_state = 7, .external_lex_state = 3},
  [8921] = {.lex_state = 138, .external_lex_state = 2},
  [8922] = {.lex_state = 7, .external_lex_state = 3},
  [8923] = {.lex_state = 19, .external_lex_state = 2},
  [8924] = {.lex_state = 7, .external_lex_state = 3},
  [8925] = {.lex_state = 7, .external_lex_state = 3},
  [8926] = {.lex_state = 7, .external_lex_state = 3},
  [8927] = {.lex_state = 414, .external_lex_state = 3},
  [8928] = {.lex_state = 138, .external_lex_state = 2},
  [8929] = {.lex_state = 414, .external_lex_state = 3},
  [8930] = {.lex_state = 19, .external_lex_state = 2},
  [8931] = {.lex_state = 19, .external_lex_state = 2},
  [8932] = {.lex_state = 140, .external_lex_state = 2},
  [8933] = {.lex_state = 7, .external_lex_state = 3},
  [8934] = {.lex_state = 7, .external_lex_state = 3},
  [8935] = {.lex_state = 140, .external_lex_state = 2},
  [8936] = {.lex_state = 178, .external_lex_state = 3},
  [8937] = {.lex_state = 140, .external_lex_state = 2},
  [8938] = {.lex_state = 7, .external_lex_state = 3},
  [8939] = {.lex_state = 7, .external_lex_state = 3},
  [8940] = {.lex_state = 140, .external_lex_state = 2},
  [8941] = {.lex_state = 140, .external_lex_state = 2},
  [8942] = {.lex_state = 140, .external_lex_state = 2},
  [8943] = {.lex_state = 178, .external_lex_state = 3},
  [8944] = {.lex_state = 138, .external_lex_state = 2},
  [8945] = {.lex_state = 138, .external_lex_state = 2},
  [8946] = {.lex_state = 138, .external_lex_state = 2},
  [8947] = {.lex_state = 140, .external_lex_state = 2},
  [8948] = {.lex_state = 414, .external_lex_state = 3},
  [8949] = {.lex_state = 7, .external_lex_state = 3},
  [8950] = {.lex_state = 7, .external_lex_state = 3},
  [8951] = {.lex_state = 7, .external_lex_state = 3},
  [8952] = {.lex_state = 7, .external_lex_state = 3},
  [8953] = {.lex_state = 140, .external_lex_state = 2},
  [8954] = {.lex_state = 140, .external_lex_state = 2},
  [8955] = {.lex_state = 7, .external_lex_state = 3},
  [8956] = {.lex_state = 19, .external_lex_state = 2},
  [8957] = {.lex_state = 35, .external_lex_state = 2},
  [8958] = {.lex_state = 7, .external_lex_state = 3},
  [8959] = {.lex_state = 7, .external_lex_state = 3},
  [8960] = {.lex_state = 7, .external_lex_state = 3},
  [8961] = {.lex_state = 19, .external_lex_state = 2},
  [8962] = {.lex_state = 19, .external_lex_state = 2},
  [8963] = {.lex_state = 140, .external_lex_state = 2},
  [8964] = {.lex_state = 7, .external_lex_state = 3},
  [8965] = {.lex_state = 19, .external_lex_state = 2},
  [8966] = {.lex_state = 7, .external_lex_state = 3},
  [8967] = {.lex_state = 7, .external_lex_state = 3},
  [8968] = {.lex_state = 178, .external_lex_state = 3},
  [8969] = {.lex_state = 414, .external_lex_state = 3},
  [8970] = {.lex_state = 19, .external_lex_state = 2},
  [8971] = {.lex_state = 178, .external_lex_state = 3},
  [8972] = {.lex_state = 171, .external_lex_state = 3},
  [8973] = {.lex_state = 19, .external_lex_state = 2},
  [8974] = {.lex_state = 138, .external_lex_state = 2},
  [8975] = {.lex_state = 414, .external_lex_state = 3},
  [8976] = {.lex_state = 138, .external_lex_state = 2},
  [8977] = {.lex_state = 138, .external_lex_state = 2},
  [8978] = {.lex_state = 7, .external_lex_state = 3},
  [8979] = {.lex_state = 414, .external_lex_state = 3},
  [8980] = {.lex_state = 138, .external_lex_state = 2},
  [8981] = {.lex_state = 19, .external_lex_state = 2},
  [8982] = {.lex_state = 7, .external_lex_state = 3},
  [8983] = {.lex_state = 19, .external_lex_state = 2},
  [8984] = {.lex_state = 7, .external_lex_state = 3},
  [8985] = {.lex_state = 140, .external_lex_state = 2},
  [8986] = {.lex_state = 140, .external_lex_state = 2},
  [8987] = {.lex_state = 414, .external_lex_state = 3},
  [8988] = {.lex_state = 138, .external_lex_state = 2},
  [8989] = {.lex_state = 414, .external_lex_state = 3},
  [8990] = {.lex_state = 178, .external_lex_state = 3},
  [8991] = {.lex_state = 7, .external_lex_state = 3},
  [8992] = {.lex_state = 19, .external_lex_state = 2},
  [8993] = {.lex_state = 140, .external_lex_state = 2},
  [8994] = {.lex_state = 138, .external_lex_state = 2},
  [8995] = {.lex_state = 140, .external_lex_state = 2},
  [8996] = {.lex_state = 138, .external_lex_state = 2},
  [8997] = {.lex_state = 140, .external_lex_state = 2},
  [8998] = {.lex_state = 414, .external_lex_state = 3},
  [8999] = {.lex_state = 138, .external_lex_state = 2},
  [9000] = {.lex_state = 138, .external_lex_state = 2},
  [9001] = {.lex_state = 140, .external_lex_state = 2},
  [9002] = {.lex_state = 140, .external_lex_state = 2},
  [9003] = {.lex_state = 138, .external_lex_state = 2},
  [9004] = {.lex_state = 138, .external_lex_state = 2},
  [9005] = {.lex_state = 138, .external_lex_state = 2},
  [9006] = {.lex_state = 138, .external_lex_state = 2},
  [9007] = {.lex_state = 19, .external_lex_state = 2},
  [9008] = {.lex_state = 140, .external_lex_state = 2},
  [9009] = {.lex_state = 19, .external_lex_state = 2},
  [9010] = {.lex_state = 178, .external_lex_state = 3},
  [9011] = {.lex_state = 7, .external_lex_state = 3},
  [9012] = {.lex_state = 140, .external_lex_state = 2},
  [9013] = {.lex_state = 7, .external_lex_state = 3},
  [9014] = {.lex_state = 129, .external_lex_state = 3},
  [9015] = {.lex_state = 129, .external_lex_state = 3},
  [9016] = {.lex_state = 138, .external_lex_state = 2},
  [9017] = {.lex_state = 138, .external_lex_state = 2},
  [9018] = {.lex_state = 7, .external_lex_state = 3},
  [9019] = {.lex_state = 426, .external_lex_state = 3},
  [9020] = {.lex_state = 7, .external_lex_state = 3},
  [9021] = {.lex_state = 129, .external_lex_state = 3},
  [9022] = {.lex_state = 129, .external_lex_state = 3},
  [9023] = {.lex_state = 178, .external_lex_state = 3},
  [9024] = {.lex_state = 7, .external_lex_state = 3},
  [9025] = {.lex_state = 140, .external_lex_state = 2},
  [9026] = {.lex_state = 7, .external_lex_state = 3},
  [9027] = {.lex_state = 138, .external_lex_state = 2},
  [9028] = {.lex_state = 138, .external_lex_state = 2},
  [9029] = {.lex_state = 414, .external_lex_state = 3},
  [9030] = {.lex_state = 129, .external_lex_state = 3},
  [9031] = {.lex_state = 178, .external_lex_state = 3},
  [9032] = {.lex_state = 414, .external_lex_state = 3},
  [9033] = {.lex_state = 414, .external_lex_state = 3},
  [9034] = {.lex_state = 19, .external_lex_state = 2},
  [9035] = {.lex_state = 171, .external_lex_state = 3},
  [9036] = {.lex_state = 414, .external_lex_state = 3},
  [9037] = {.lex_state = 178, .external_lex_state = 3},
  [9038] = {.lex_state = 414, .external_lex_state = 3},
  [9039] = {.lex_state = 35, .external_lex_state = 2},
  [9040] = {.lex_state = 129, .external_lex_state = 3},
  [9041] = {.lex_state = 138, .external_lex_state = 2},
  [9042] = {.lex_state = 414, .external_lex_state = 3},
  [9043] = {.lex_state = 414, .external_lex_state = 3},
  [9044] = {.lex_state = 140, .external_lex_state = 2},
  [9045] = {.lex_state = 414, .external_lex_state = 3},
  [9046] = {.lex_state = 19, .external_lex_state = 2},
  [9047] = {.lex_state = 19, .external_lex_state = 2},
  [9048] = {.lex_state = 19, .external_lex_state = 2},
  [9049] = {.lex_state = 19, .external_lex_state = 2},
  [9050] = {.lex_state = 19, .external_lex_state = 2},
  [9051] = {.lex_state = 138, .external_lex_state = 2},
  [9052] = {.lex_state = 178, .external_lex_state = 3},
  [9053] = {.lex_state = 140, .external_lex_state = 2},
  [9054] = {.lex_state = 416, .external_lex_state = 2},
  [9055] = {.lex_state = 19, .external_lex_state = 2},
  [9056] = {.lex_state = 140, .external_lex_state = 2},
  [9057] = {.lex_state = 140, .external_lex_state = 2},
  [9058] = {.lex_state = 140, .external_lex_state = 2},
  [9059] = {.lex_state = 7, .external_lex_state = 3},
  [9060] = {.lex_state = 140, .external_lex_state = 2},
  [9061] = {.lex_state = 140, .external_lex_state = 2},
  [9062] = {.lex_state = 171, .external_lex_state = 3},
  [9063] = {.lex_state = 414, .external_lex_state = 3},
  [9064] = {.lex_state = 19, .external_lex_state = 2},
  [9065] = {.lex_state = 19, .external_lex_state = 2},
  [9066] = {.lex_state = 19, .external_lex_state = 2},
  [9067] = {.lex_state = 178, .external_lex_state = 3},
  [9068] = {.lex_state = 140, .external_lex_state = 2},
  [9069] = {.lex_state = 140, .external_lex_state = 2},
  [9070] = {.lex_state = 129, .external_lex_state = 3},
  [9071] = {.lex_state = 19, .external_lex_state = 2},
  [9072] = {.lex_state = 129, .external_lex_state = 3},
  [9073] = {.lex_state = 129, .external_lex_state = 3},
  [9074] = {.lex_state = 129, .external_lex_state = 3},
  [9075] = {.lex_state = 129, .external_lex_state = 3},
  [9076] = {.lex_state = 19, .external_lex_state = 2},
  [9077] = {.lex_state = 19, .external_lex_state = 2},
  [9078] = {.lex_state = 7, .external_lex_state = 3},
  [9079] = {.lex_state = 178, .external_lex_state = 3},
  [9080] = {.lex_state = 19, .external_lex_state = 2},
  [9081] = {.lex_state = 19, .external_lex_state = 2},
  [9082] = {.lex_state = 19, .external_lex_state = 2},
  [9083] = {.lex_state = 7, .external_lex_state = 3},
  [9084] = {.lex_state = 7, .external_lex_state = 3},
  [9085] = {.lex_state = 7, .external_lex_state = 3},
  [9086] = {.lex_state = 35, .external_lex_state = 2},
  [9087] = {.lex_state = 414, .external_lex_state = 3},
  [9088] = {.lex_state = 19, .external_lex_state = 2},
  [9089] = {.lex_state = 129, .external_lex_state = 3},
  [9090] = {.lex_state = 7, .external_lex_state = 3},
  [9091] = {.lex_state = 178, .external_lex_state = 3},
  [9092] = {.lex_state = 19, .external_lex_state = 2},
  [9093] = {.lex_state = 19, .external_lex_state = 2},
  [9094] = {.lex_state = 19, .external_lex_state = 2},
  [9095] = {.lex_state = 19, .external_lex_state = 2},
  [9096] = {.lex_state = 138, .external_lex_state = 2},
  [9097] = {.lex_state = 19, .external_lex_state = 2},
  [9098] = {.lex_state = 129, .external_lex_state = 3},
  [9099] = {.lex_state = 414, .external_lex_state = 3},
  [9100] = {.lex_state = 140, .external_lex_state = 2},
  [9101] = {.lex_state = 19, .external_lex_state = 2},
  [9102] = {.lex_state = 414, .external_lex_state = 3},
  [9103] = {.lex_state = 414, .external_lex_state = 3},
  [9104] = {.lex_state = 19, .external_lex_state = 2},
  [9105] = {.lex_state = 19, .external_lex_state = 2},
  [9106] = {.lex_state = 7, .external_lex_state = 3},
  [9107] = {.lex_state = 19, .external_lex_state = 2},
  [9108] = {.lex_state = 7, .external_lex_state = 3},
  [9109] = {.lex_state = 19, .external_lex_state = 2},
  [9110] = {.lex_state = 129, .external_lex_state = 3},
  [9111] = {.lex_state = 19, .external_lex_state = 2},
  [9112] = {.lex_state = 140, .external_lex_state = 2},
  [9113] = {.lex_state = 414, .external_lex_state = 3},
  [9114] = {.lex_state = 19, .external_lex_state = 2},
  [9115] = {.lex_state = 414, .external_lex_state = 3},
  [9116] = {.lex_state = 19, .external_lex_state = 2},
  [9117] = {.lex_state = 19, .external_lex_state = 2},
  [9118] = {.lex_state = 171, .external_lex_state = 3},
  [9119] = {.lex_state = 178, .external_lex_state = 3},
  [9120] = {.lex_state = 19, .external_lex_state = 2},
  [9121] = {.lex_state = 129, .external_lex_state = 3},
  [9122] = {.lex_state = 414, .external_lex_state = 3},
  [9123] = {.lex_state = 19, .external_lex_state = 2},
  [9124] = {.lex_state = 7, .external_lex_state = 3},
  [9125] = {.lex_state = 129, .external_lex_state = 3},
  [9126] = {.lex_state = 129, .external_lex_state = 3},
  [9127] = {.lex_state = 19, .external_lex_state = 2},
  [9128] = {.lex_state = 138, .external_lex_state = 2},
  [9129] = {.lex_state = 138, .external_lex_state = 2},
  [9130] = {.lex_state = 19, .external_lex_state = 2},
  [9131] = {.lex_state = 7, .external_lex_state = 3},
  [9132] = {.lex_state = 7, .external_lex_state = 3},
  [9133] = {.lex_state = 140, .external_lex_state = 2},
  [9134] = {.lex_state = 140, .external_lex_state = 2},
  [9135] = {.lex_state = 19, .external_lex_state = 2},
  [9136] = {.lex_state = 138, .external_lex_state = 2},
  [9137] = {.lex_state = 19, .external_lex_state = 2},
  [9138] = {.lex_state = 129, .external_lex_state = 3},
  [9139] = {.lex_state = 19, .external_lex_state = 2},
  [9140] = {.lex_state = 19, .external_lex_state = 2},
  [9141] = {.lex_state = 138, .external_lex_state = 2},
  [9142] = {.lex_state = 140, .external_lex_state = 2},
  [9143] = {.lex_state = 140, .external_lex_state = 2},
  [9144] = {.lex_state = 140, .external_lex_state = 2},
  [9145] = {.lex_state = 140, .external_lex_state = 2},
  [9146] = {.lex_state = 140, .external_lex_state = 2},
  [9147] = {.lex_state = 19, .external_lex_state = 2},
  [9148] = {.lex_state = 7, .external_lex_state = 3},
  [9149] = {.lex_state = 129, .external_lex_state = 3},
  [9150] = {.lex_state = 138, .external_lex_state = 2},
  [9151] = {.lex_state = 7, .external_lex_state = 3},
  [9152] = {.lex_state = 140, .external_lex_state = 2},
  [9153] = {.lex_state = 140, .external_lex_state = 2},
  [9154] = {.lex_state = 178, .external_lex_state = 3},
  [9155] = {.lex_state = 140, .external_lex_state = 2},
  [9156] = {.lex_state = 19, .external_lex_state = 2},
  [9157] = {.lex_state = 19, .external_lex_state = 2},
  [9158] = {.lex_state = 19, .external_lex_state = 2},
  [9159] = {.lex_state = 140, .external_lex_state = 2},
  [9160] = {.lex_state = 171, .external_lex_state = 3},
  [9161] = {.lex_state = 140, .external_lex_state = 2},
  [9162] = {.lex_state = 138, .external_lex_state = 2},
  [9163] = {.lex_state = 140, .external_lex_state = 2},
  [9164] = {.lex_state = 140, .external_lex_state = 2},
  [9165] = {.lex_state = 138, .external_lex_state = 2},
  [9166] = {.lex_state = 7, .external_lex_state = 3},
  [9167] = {.lex_state = 178, .external_lex_state = 3},
  [9168] = {.lex_state = 140, .external_lex_state = 2},
  [9169] = {.lex_state = 7, .external_lex_state = 3},
  [9170] = {.lex_state = 19, .external_lex_state = 2},
  [9171] = {.lex_state = 138, .external_lex_state = 2},
  [9172] = {.lex_state = 7, .external_lex_state = 3},
  [9173] = {.lex_state = 140, .external_lex_state = 2},
  [9174] = {.lex_state = 19, .external_lex_state = 2},
  [9175] = {.lex_state = 7, .external_lex_state = 3},
  [9176] = {.lex_state = 19, .external_lex_state = 2},
  [9177] = {.lex_state = 138, .external_lex_state = 2},
  [9178] = {.lex_state = 140, .external_lex_state = 2},
  [9179] = {.lex_state = 140, .external_lex_state = 2},
  [9180] = {.lex_state = 129, .external_lex_state = 3},
  [9181] = {.lex_state = 129, .external_lex_state = 3},
  [9182] = {.lex_state = 19, .external_lex_state = 2},
  [9183] = {.lex_state = 138, .external_lex_state = 2},
  [9184] = {.lex_state = 19, .external_lex_state = 2},
  [9185] = {.lex_state = 140, .external_lex_state = 2},
  [9186] = {.lex_state = 138, .external_lex_state = 2},
  [9187] = {.lex_state = 138, .external_lex_state = 2},
  [9188] = {.lex_state = 138, .external_lex_state = 2},
  [9189] = {.lex_state = 19, .external_lex_state = 2},
  [9190] = {.lex_state = 140, .external_lex_state = 2},
  [9191] = {.lex_state = 138, .external_lex_state = 2},
  [9192] = {.lex_state = 19, .external_lex_state = 2},
  [9193] = {.lex_state = 140, .external_lex_state = 2},
  [9194] = {.lex_state = 7, .external_lex_state = 3},
  [9195] = {.lex_state = 7, .external_lex_state = 3},
  [9196] = {.lex_state = 19, .external_lex_state = 2},
  [9197] = {.lex_state = 138, .external_lex_state = 2},
  [9198] = {.lex_state = 138, .external_lex_state = 2},
  [9199] = {.lex_state = 7, .external_lex_state = 3},
  [9200] = {.lex_state = 138, .external_lex_state = 2},
  [9201] = {.lex_state = 7, .external_lex_state = 3},
  [9202] = {.lex_state = 7, .external_lex_state = 3},
  [9203] = {.lex_state = 7, .external_lex_state = 3},
  [9204] = {.lex_state = 138, .external_lex_state = 2},
  [9205] = {.lex_state = 7, .external_lex_state = 3},
  [9206] = {.lex_state = 414, .external_lex_state = 3},
  [9207] = {.lex_state = 140, .external_lex_state = 2},
  [9208] = {.lex_state = 7, .external_lex_state = 3},
  [9209] = {.lex_state = 138, .external_lex_state = 2},
  [9210] = {.lex_state = 138, .external_lex_state = 2},
  [9211] = {.lex_state = 138, .external_lex_state = 2},
  [9212] = {.lex_state = 138, .external_lex_state = 2},
  [9213] = {.lex_state = 129, .external_lex_state = 3},
  [9214] = {.lex_state = 138, .external_lex_state = 2},
  [9215] = {.lex_state = 138, .external_lex_state = 2},
  [9216] = {.lex_state = 138, .external_lex_state = 2},
  [9217] = {.lex_state = 19, .external_lex_state = 2},
  [9218] = {.lex_state = 19, .external_lex_state = 2},
  [9219] = {.lex_state = 19, .external_lex_state = 2},
  [9220] = {.lex_state = 138, .external_lex_state = 2},
  [9221] = {.lex_state = 7, .external_lex_state = 3},
  [9222] = {.lex_state = 7, .external_lex_state = 3},
  [9223] = {.lex_state = 19, .external_lex_state = 2},
  [9224] = {.lex_state = 130, .external_lex_state = 3},
  [9225] = {.lex_state = 414, .external_lex_state = 3},
  [9226] = {.lex_state = 7, .external_lex_state = 3},
  [9227] = {.lex_state = 414, .external_lex_state = 3},
  [9228] = {.lex_state = 16, .external_lex_state = 2},
  [9229] = {.lex_state = 414, .external_lex_state = 3},
  [9230] = {.lex_state = 414, .external_lex_state = 3},
  [9231] = {.lex_state = 426, .external_lex_state = 3},
  [9232] = {.lex_state = 7, .external_lex_state = 3},
  [9233] = {.lex_state = 7, .external_lex_state = 3},
  [9234] = {.lex_state = 7, .external_lex_state = 3},
  [9235] = {.lex_state = 7, .external_lex_state = 3},
  [9236] = {.lex_state = 7, .external_lex_state = 3},
  [9237] = {.lex_state = 130, .external_lex_state = 3},
  [9238] = {.lex_state = 7, .external_lex_state = 3},
  [9239] = {.lex_state = 414, .external_lex_state = 3},
  [9240] = {.lex_state = 7, .external_lex_state = 3},
  [9241] = {.lex_state = 414, .external_lex_state = 3},
  [9242] = {.lex_state = 414, .external_lex_state = 3},
  [9243] = {.lex_state = 414, .external_lex_state = 3},
  [9244] = {.lex_state = 414, .external_lex_state = 3},
  [9245] = {.lex_state = 414, .external_lex_state = 3},
  [9246] = {.lex_state = 130, .external_lex_state = 3},
  [9247] = {.lex_state = 7, .external_lex_state = 3},
  [9248] = {.lex_state = 7, .external_lex_state = 3},
  [9249] = {.lex_state = 414, .external_lex_state = 3},
  [9250] = {.lex_state = 7, .external_lex_state = 3},
  [9251] = {.lex_state = 7, .external_lex_state = 3},
  [9252] = {.lex_state = 130, .external_lex_state = 3},
  [9253] = {.lex_state = 7, .external_lex_state = 3},
  [9254] = {.lex_state = 414, .external_lex_state = 3},
  [9255] = {.lex_state = 414, .external_lex_state = 3},
  [9256] = {.lex_state = 414, .external_lex_state = 3},
  [9257] = {.lex_state = 7, .external_lex_state = 3},
  [9258] = {.lex_state = 414, .external_lex_state = 3},
  [9259] = {.lex_state = 7, .external_lex_state = 3},
  [9260] = {.lex_state = 414, .external_lex_state = 3},
  [9261] = {.lex_state = 7, .external_lex_state = 3},
  [9262] = {.lex_state = 130, .external_lex_state = 3},
  [9263] = {.lex_state = 414, .external_lex_state = 3},
  [9264] = {.lex_state = 7, .external_lex_state = 3},
  [9265] = {.lex_state = 7, .external_lex_state = 3},
  [9266] = {.lex_state = 7, .external_lex_state = 3},
  [9267] = {.lex_state = 414, .external_lex_state = 3},
  [9268] = {.lex_state = 7, .external_lex_state = 3},
  [9269] = {.lex_state = 130, .external_lex_state = 3},
  [9270] = {.lex_state = 7, .external_lex_state = 3},
  [9271] = {.lex_state = 130, .external_lex_state = 3},
  [9272] = {.lex_state = 7, .external_lex_state = 3},
  [9273] = {.lex_state = 414, .external_lex_state = 3},
  [9274] = {.lex_state = 130, .external_lex_state = 3},
  [9275] = {.lex_state = 130, .external_lex_state = 3},
  [9276] = {.lex_state = 7, .external_lex_state = 3},
  [9277] = {.lex_state = 7, .external_lex_state = 3},
  [9278] = {.lex_state = 7, .external_lex_state = 3},
  [9279] = {.lex_state = 130, .external_lex_state = 3},
  [9280] = {.lex_state = 414, .external_lex_state = 3},
  [9281] = {.lex_state = 7, .external_lex_state = 3},
  [9282] = {.lex_state = 7, .external_lex_state = 3},
  [9283] = {.lex_state = 7, .external_lex_state = 3},
  [9284] = {.lex_state = 7, .external_lex_state = 3},
  [9285] = {.lex_state = 426, .external_lex_state = 3},
  [9286] = {.lex_state = 7, .external_lex_state = 3},
  [9287] = {.lex_state = 7, .external_lex_state = 3},
  [9288] = {.lex_state = 7, .external_lex_state = 3},
  [9289] = {.lex_state = 7, .external_lex_state = 3},
  [9290] = {.lex_state = 130, .external_lex_state = 3},
  [9291] = {.lex_state = 414, .external_lex_state = 3},
  [9292] = {.lex_state = 130, .external_lex_state = 3},
  [9293] = {.lex_state = 414, .external_lex_state = 3},
  [9294] = {.lex_state = 7, .external_lex_state = 3},
  [9295] = {.lex_state = 16, .external_lex_state = 2},
  [9296] = {.lex_state = 130, .external_lex_state = 3},
  [9297] = {.lex_state = 414, .external_lex_state = 3},
  [9298] = {.lex_state = 414, .external_lex_state = 3},
  [9299] = {.lex_state = 414, .external_lex_state = 3},
  [9300] = {.lex_state = 414, .external_lex_state = 3},
  [9301] = {.lex_state = 130, .external_lex_state = 3},
  [9302] = {.lex_state = 130, .external_lex_state = 3},
  [9303] = {.lex_state = 414, .external_lex_state = 3},
  [9304] = {.lex_state = 414, .external_lex_state = 3},
  [9305] = {.lex_state = 414, .external_lex_state = 3},
  [9306] = {.lex_state = 7, .external_lex_state = 3},
  [9307] = {.lex_state = 7, .external_lex_state = 3},
  [9308] = {.lex_state = 7, .external_lex_state = 3},
  [9309] = {.lex_state = 16, .external_lex_state = 2},
  [9310] = {.lex_state = 414, .external_lex_state = 3},
  [9311] = {.lex_state = 7, .external_lex_state = 3},
  [9312] = {.lex_state = 414, .external_lex_state = 3},
  [9313] = {.lex_state = 7, .external_lex_state = 3},
  [9314] = {.lex_state = 414, .external_lex_state = 3},
  [9315] = {.lex_state = 7, .external_lex_state = 3},
  [9316] = {.lex_state = 130, .external_lex_state = 3},
  [9317] = {.lex_state = 414, .external_lex_state = 3},
  [9318] = {.lex_state = 414, .external_lex_state = 3},
  [9319] = {.lex_state = 414, .external_lex_state = 3},
  [9320] = {.lex_state = 130, .external_lex_state = 3},
  [9321] = {.lex_state = 414, .external_lex_state = 3},
  [9322] = {.lex_state = 414, .external_lex_state = 3},
  [9323] = {.lex_state = 414, .external_lex_state = 3},
  [9324] = {.lex_state = 414, .external_lex_state = 3},
  [9325] = {.lex_state = 414, .external_lex_state = 3},
  [9326] = {.lex_state = 130, .external_lex_state = 3},
  [9327] = {.lex_state = 414, .external_lex_state = 3},
  [9328] = {.lex_state = 414, .external_lex_state = 3},
  [9329] = {.lex_state = 414, .external_lex_state = 3},
  [9330] = {.lex_state = 414, .external_lex_state = 3},
  [9331] = {.lex_state = 414, .external_lex_state = 3},
  [9332] = {.lex_state = 7, .external_lex_state = 3},
  [9333] = {.lex_state = 7, .external_lex_state = 3},
  [9334] = {.lex_state = 414, .external_lex_state = 3},
  [9335] = {.lex_state = 7, .external_lex_state = 3},
  [9336] = {.lex_state = 7, .external_lex_state = 3},
  [9337] = {.lex_state = 7, .external_lex_state = 3},
  [9338] = {.lex_state = 7, .external_lex_state = 3},
  [9339] = {.lex_state = 7, .external_lex_state = 3},
  [9340] = {.lex_state = 414, .external_lex_state = 3},
  [9341] = {.lex_state = 130, .external_lex_state = 3},
  [9342] = {.lex_state = 7, .external_lex_state = 3},
  [9343] = {.lex_state = 7, .external_lex_state = 3},
  [9344] = {.lex_state = 130, .external_lex_state = 3},
  [9345] = {.lex_state = 130, .external_lex_state = 3},
  [9346] = {.lex_state = 414, .external_lex_state = 3},
  [9347] = {.lex_state = 130, .external_lex_state = 3},
  [9348] = {.lex_state = 7, .external_lex_state = 3},
  [9349] = {.lex_state = 414, .external_lex_state = 3},
  [9350] = {.lex_state = 7, .external_lex_state = 3},
  [9351] = {.lex_state = 130, .external_lex_state = 3},
  [9352] = {.lex_state = 130, .external_lex_state = 3},
  [9353] = {.lex_state = 130, .external_lex_state = 3},
  [9354] = {.lex_state = 130, .external_lex_state = 3},
  [9355] = {.lex_state = 414, .external_lex_state = 3},
  [9356] = {.lex_state = 35, .external_lex_state = 2},
  [9357] = {.lex_state = 414, .external_lex_state = 3},
  [9358] = {.lex_state = 414, .external_lex_state = 3},
  [9359] = {.lex_state = 7, .external_lex_state = 3},
  [9360] = {.lex_state = 7, .external_lex_state = 3},
  [9361] = {.lex_state = 7, .external_lex_state = 3},
  [9362] = {.lex_state = 7, .external_lex_state = 3},
  [9363] = {.lex_state = 7, .external_lex_state = 3},
  [9364] = {.lex_state = 414, .external_lex_state = 3},
  [9365] = {.lex_state = 7, .external_lex_state = 3},
  [9366] = {.lex_state = 7, .external_lex_state = 3},
  [9367] = {.lex_state = 7, .external_lex_state = 3},
  [9368] = {.lex_state = 7, .external_lex_state = 3},
  [9369] = {.lex_state = 414, .external_lex_state = 3},
  [9370] = {.lex_state = 414, .external_lex_state = 3},
  [9371] = {.lex_state = 130, .external_lex_state = 3},
  [9372] = {.lex_state = 7, .external_lex_state = 3},
  [9373] = {.lex_state = 414, .external_lex_state = 3},
  [9374] = {.lex_state = 414, .external_lex_state = 3},
  [9375] = {.lex_state = 414, .external_lex_state = 3},
  [9376] = {.lex_state = 7, .external_lex_state = 3},
  [9377] = {.lex_state = 414, .external_lex_state = 3},
  [9378] = {.lex_state = 414, .external_lex_state = 3},
  [9379] = {.lex_state = 414, .external_lex_state = 3},
  [9380] = {.lex_state = 414, .external_lex_state = 3},
  [9381] = {.lex_state = 414, .external_lex_state = 3},
  [9382] = {.lex_state = 7, .external_lex_state = 3},
  [9383] = {.lex_state = 414, .external_lex_state = 3},
  [9384] = {.lex_state = 414, .external_lex_state = 3},
  [9385] = {.lex_state = 414, .external_lex_state = 3},
  [9386] = {.lex_state = 16, .external_lex_state = 2},
  [9387] = {.lex_state = 414, .external_lex_state = 3},
  [9388] = {.lex_state = 414, .external_lex_state = 3},
  [9389] = {.lex_state = 414, .external_lex_state = 3},
  [9390] = {.lex_state = 16, .external_lex_state = 2},
  [9391] = {.lex_state = 414, .external_lex_state = 3},
  [9392] = {.lex_state = 7, .external_lex_state = 3},
  [9393] = {.lex_state = 16, .external_lex_state = 2},
  [9394] = {.lex_state = 414, .external_lex_state = 3},
  [9395] = {.lex_state = 7, .external_lex_state = 3},
  [9396] = {.lex_state = 130, .external_lex_state = 3},
  [9397] = {.lex_state = 7, .external_lex_state = 3},
  [9398] = {.lex_state = 130, .external_lex_state = 3},
  [9399] = {.lex_state = 7, .external_lex_state = 3},
  [9400] = {.lex_state = 24, .external_lex_state = 2},
  [9401] = {.lex_state = 414, .external_lex_state = 3},
  [9402] = {.lex_state = 414, .external_lex_state = 3},
  [9403] = {.lex_state = 412, .external_lex_state = 3},
  [9404] = {.lex_state = 412, .external_lex_state = 3},
  [9405] = {.lex_state = 412, .external_lex_state = 3},
  [9406] = {.lex_state = 412, .external_lex_state = 3},
  [9407] = {.lex_state = 412, .external_lex_state = 3},
  [9408] = {.lex_state = 412, .external_lex_state = 3},
  [9409] = {.lex_state = 412, .external_lex_state = 3},
  [9410] = {.lex_state = 412, .external_lex_state = 3},
  [9411] = {.lex_state = 412, .external_lex_state = 3},
  [9412] = {.lex_state = 412, .external_lex_state = 3},
  [9413] = {.lex_state = 412, .external_lex_state = 3},
  [9414] = {.lex_state = 412, .external_lex_state = 3},
  [9415] = {.lex_state = 414, .external_lex_state = 3},
  [9416] = {.lex_state = 170, .external_lex_state = 3},
  [9417] = {.lex_state = 414, .external_lex_state = 3},
  [9418] = {.lex_state = 412, .external_lex_state = 3},
  [9419] = {.lex_state = 412, .external_lex_state = 3},
  [9420] = {.lex_state = 412, .external_lex_state = 3},
  [9421] = {.lex_state = 414, .external_lex_state = 3},
  [9422] = {.lex_state = 414, .external_lex_state = 3},
  [9423] = {.lex_state = 414, .external_lex_state = 3},
  [9424] = {.lex_state = 414, .external_lex_state = 3},
  [9425] = {.lex_state = 414, .external_lex_state = 3},
  [9426] = {.lex_state = 414, .external_lex_state = 3},
  [9427] = {.lex_state = 414, .external_lex_state = 3},
  [9428] = {.lex_state = 414, .external_lex_state = 3},
  [9429] = {.lex_state = 414, .external_lex_state = 3},
  [9430] = {.lex_state = 414, .external_lex_state = 3},
  [9431] = {.lex_state = 414, .external_lex_state = 3},
  [9432] = {.lex_state = 170, .external_lex_state = 3},
  [9433] = {.lex_state = 412, .external_lex_state = 3},
  [9434] = {.lex_state = 414, .external_lex_state = 3},
  [9435] = {.lex_state = 414, .external_lex_state = 3},
  [9436] = {.lex_state = 412, .external_lex_state = 3},
  [9437] = {.lex_state = 414, .external_lex_state = 3},
  [9438] = {.lex_state = 414, .external_lex_state = 3},
  [9439] = {.lex_state = 414, .external_lex_state = 3},
  [9440] = {.lex_state = 412, .external_lex_state = 3},
  [9441] = {.lex_state = 412, .external_lex_state = 3},
  [9442] = {.lex_state = 412, .external_lex_state = 3},
  [9443] = {.lex_state = 414, .external_lex_state = 3},
  [9444] = {.lex_state = 412, .external_lex_state = 3},
  [9445] = {.lex_state = 412, .external_lex_state = 3},
  [9446] = {.lex_state = 24, .external_lex_state = 2},
  [9447] = {.lex_state = 412, .external_lex_state = 3},
  [9448] = {.lex_state = 412, .external_lex_state = 3},
  [9449] = {.lex_state = 412, .external_lex_state = 3},
  [9450] = {.lex_state = 412, .external_lex_state = 3},
  [9451] = {.lex_state = 412, .external_lex_state = 3},
  [9452] = {.lex_state = 412, .external_lex_state = 3},
  [9453] = {.lex_state = 412, .external_lex_state = 3},
  [9454] = {.lex_state = 412, .external_lex_state = 3},
  [9455] = {.lex_state = 412, .external_lex_state = 3},
  [9456] = {.lex_state = 414, .external_lex_state = 3},
  [9457] = {.lex_state = 414, .external_lex_state = 3},
  [9458] = {.lex_state = 414, .external_lex_state = 3},
  [9459] = {.lex_state = 19, .external_lex_state = 2},
  [9460] = {.lex_state = 412, .external_lex_state = 3},
  [9461] = {.lex_state = 412, .external_lex_state = 3},
  [9462] = {.lex_state = 412, .external_lex_state = 3},
  [9463] = {.lex_state = 412, .external_lex_state = 3},
  [9464] = {.lex_state = 24, .external_lex_state = 2},
  [9465] = {.lex_state = 412, .external_lex_state = 3},
  [9466] = {.lex_state = 170, .external_lex_state = 3},
  [9467] = {.lex_state = 412, .external_lex_state = 3},
  [9468] = {.lex_state = 412, .external_lex_state = 3},
  [9469] = {.lex_state = 412, .external_lex_state = 3},
  [9470] = {.lex_state = 412, .external_lex_state = 3},
  [9471] = {.lex_state = 412, .external_lex_state = 3},
  [9472] = {.lex_state = 412, .external_lex_state = 3},
  [9473] = {.lex_state = 412, .external_lex_state = 3},
  [9474] = {.lex_state = 412, .external_lex_state = 3},
  [9475] = {.lex_state = 412, .external_lex_state = 3},
  [9476] = {.lex_state = 412, .external_lex_state = 3},
  [9477] = {.lex_state = 412, .external_lex_state = 3},
  [9478] = {.lex_state = 414, .external_lex_state = 3},
  [9479] = {.lex_state = 414, .external_lex_state = 3},
  [9480] = {.lex_state = 414, .external_lex_state = 3},
  [9481] = {.lex_state = 414, .external_lex_state = 3},
  [9482] = {.lex_state = 414, .external_lex_state = 3},
  [9483] = {.lex_state = 414, .external_lex_state = 3},
  [9484] = {.lex_state = 412, .external_lex_state = 3},
  [9485] = {.lex_state = 24, .external_lex_state = 2},
  [9486] = {.lex_state = 414, .external_lex_state = 3},
  [9487] = {.lex_state = 412, .external_lex_state = 3},
  [9488] = {.lex_state = 414, .external_lex_state = 3},
  [9489] = {.lex_state = 414, .external_lex_state = 3},
  [9490] = {.lex_state = 414, .external_lex_state = 3},
  [9491] = {.lex_state = 412, .external_lex_state = 3},
  [9492] = {.lex_state = 412, .external_lex_state = 3},
  [9493] = {.lex_state = 412, .external_lex_state = 3},
  [9494] = {.lex_state = 414, .external_lex_state = 3},
  [9495] = {.lex_state = 414, .external_lex_state = 3},
  [9496] = {.lex_state = 414, .external_lex_state = 3},
  [9497] = {.lex_state = 414, .external_lex_state = 3},
  [9498] = {.lex_state = 414, .external_lex_state = 3},
  [9499] = {.lex_state = 414, .external_lex_state = 3},
  [9500] = {.lex_state = 414, .external_lex_state = 3},
  [9501] = {.lex_state = 414, .external_lex_state = 3},
  [9502] = {.lex_state = 414, .external_lex_state = 3},
  [9503] = {.lex_state = 414, .external_lex_state = 3},
  [9504] = {.lex_state = 414, .external_lex_state = 3},
  [9505] = {.lex_state = 414, .external_lex_state = 3},
  [9506] = {.lex_state = 412, .external_lex_state = 3},
  [9507] = {.lex_state = 412, .external_lex_state = 3},
  [9508] = {.lex_state = 412, .external_lex_state = 3},
  [9509] = {.lex_state = 414, .external_lex_state = 3},
  [9510] = {.lex_state = 412, .external_lex_state = 3},
  [9511] = {.lex_state = 412, .external_lex_state = 3},
  [9512] = {.lex_state = 412, .external_lex_state = 3},
  [9513] = {.lex_state = 412, .external_lex_state = 3},
  [9514] = {.lex_state = 412, .external_lex_state = 3},
  [9515] = {.lex_state = 412, .external_lex_state = 3},
  [9516] = {.lex_state = 412, .external_lex_state = 3},
  [9517] = {.lex_state = 412, .external_lex_state = 3},
  [9518] = {.lex_state = 414, .external_lex_state = 3},
  [9519] = {.lex_state = 412, .external_lex_state = 3},
  [9520] = {.lex_state = 412, .external_lex_state = 3},
  [9521] = {.lex_state = 412, .external_lex_state = 3},
  [9522] = {.lex_state = 414, .external_lex_state = 3},
  [9523] = {.lex_state = 414, .external_lex_state = 3},
  [9524] = {.lex_state = 412, .external_lex_state = 3},
  [9525] = {.lex_state = 412, .external_lex_state = 3},
  [9526] = {.lex_state = 170, .external_lex_state = 3},
  [9527] = {.lex_state = 414, .external_lex_state = 3},
  [9528] = {.lex_state = 414, .external_lex_state = 3},
  [9529] = {.lex_state = 414, .external_lex_state = 3},
  [9530] = {.lex_state = 414, .external_lex_state = 3},
  [9531] = {.lex_state = 414, .external_lex_state = 3},
  [9532] = {.lex_state = 414, .external_lex_state = 3},
  [9533] = {.lex_state = 412, .external_lex_state = 3},
  [9534] = {.lex_state = 412, .external_lex_state = 3},
  [9535] = {.lex_state = 414, .external_lex_state = 3},
  [9536] = {.lex_state = 412, .external_lex_state = 3},
  [9537] = {.lex_state = 414, .external_lex_state = 3},
  [9538] = {.lex_state = 412, .external_lex_state = 3},
  [9539] = {.lex_state = 412, .external_lex_state = 3},
  [9540] = {.lex_state = 412, .external_lex_state = 3},
  [9541] = {.lex_state = 412, .external_lex_state = 3},
  [9542] = {.lex_state = 412, .external_lex_state = 3},
  [9543] = {.lex_state = 412, .external_lex_state = 3},
  [9544] = {.lex_state = 412, .external_lex_state = 3},
  [9545] = {.lex_state = 412, .external_lex_state = 3},
  [9546] = {.lex_state = 412, .external_lex_state = 3},
  [9547] = {.lex_state = 412, .external_lex_state = 3},
  [9548] = {.lex_state = 412, .external_lex_state = 3},
  [9549] = {.lex_state = 412, .external_lex_state = 3},
  [9550] = {.lex_state = 412, .external_lex_state = 3},
  [9551] = {.lex_state = 412, .external_lex_state = 3},
  [9552] = {.lex_state = 412, .external_lex_state = 3},
  [9553] = {.lex_state = 412, .external_lex_state = 3},
  [9554] = {.lex_state = 19, .external_lex_state = 2},
  [9555] = {.lex_state = 425, .external_lex_state = 3},
  [9556] = {.lex_state = 412, .external_lex_state = 3},
  [9557] = {.lex_state = 412, .external_lex_state = 3},
  [9558] = {.lex_state = 412, .external_lex_state = 3},
  [9559] = {.lex_state = 412, .external_lex_state = 3},
  [9560] = {.lex_state = 412, .external_lex_state = 3},
  [9561] = {.lex_state = 412, .external_lex_state = 3},
  [9562] = {.lex_state = 412, .external_lex_state = 3},
  [9563] = {.lex_state = 133, .external_lex_state = 2},
  [9564] = {.lex_state = 19, .external_lex_state = 2},
  [9565] = {.lex_state = 412, .external_lex_state = 3},
  [9566] = {.lex_state = 412, .external_lex_state = 3},
  [9567] = {.lex_state = 412, .external_lex_state = 3},
  [9568] = {.lex_state = 412, .external_lex_state = 3},
  [9569] = {.lex_state = 412, .external_lex_state = 3},
  [9570] = {.lex_state = 412, .external_lex_state = 3},
  [9571] = {.lex_state = 412, .external_lex_state = 3},
  [9572] = {.lex_state = 412, .external_lex_state = 3},
  [9573] = {.lex_state = 412, .external_lex_state = 3},
  [9574] = {.lex_state = 412, .external_lex_state = 3},
  [9575] = {.lex_state = 412, .external_lex_state = 3},
  [9576] = {.lex_state = 412, .external_lex_state = 3},
  [9577] = {.lex_state = 412, .external_lex_state = 3},
  [9578] = {.lex_state = 412, .external_lex_state = 3},
  [9579] = {.lex_state = 412, .external_lex_state = 3},
  [9580] = {.lex_state = 412, .external_lex_state = 3},
  [9581] = {.lex_state = 412, .external_lex_state = 3},
  [9582] = {.lex_state = 412, .external_lex_state = 3},
  [9583] = {.lex_state = 425, .external_lex_state = 3},
  [9584] = {.lex_state = 19, .external_lex_state = 2},
  [9585] = {.lex_state = 412, .external_lex_state = 3},
  [9586] = {.lex_state = 412, .external_lex_state = 3},
  [9587] = {.lex_state = 19, .external_lex_state = 2},
  [9588] = {.lex_state = 133, .external_lex_state = 2},
  [9589] = {.lex_state = 412, .external_lex_state = 3},
  [9590] = {.lex_state = 412, .external_lex_state = 3},
  [9591] = {.lex_state = 412, .external_lex_state = 3},
  [9592] = {.lex_state = 414, .external_lex_state = 3},
  [9593] = {.lex_state = 19, .external_lex_state = 2},
  [9594] = {.lex_state = 412, .external_lex_state = 3},
  [9595] = {.lex_state = 412, .external_lex_state = 3},
  [9596] = {.lex_state = 19, .external_lex_state = 2},
  [9597] = {.lex_state = 412, .external_lex_state = 3},
  [9598] = {.lex_state = 412, .external_lex_state = 3},
  [9599] = {.lex_state = 412, .external_lex_state = 3},
  [9600] = {.lex_state = 412, .external_lex_state = 3},
  [9601] = {.lex_state = 412, .external_lex_state = 3},
  [9602] = {.lex_state = 412, .external_lex_state = 3},
  [9603] = {.lex_state = 412, .external_lex_state = 3},
  [9604] = {.lex_state = 412, .external_lex_state = 3},
  [9605] = {.lex_state = 412, .external_lex_state = 3},
  [9606] = {.lex_state = 412, .external_lex_state = 3},
  [9607] = {.lex_state = 412, .external_lex_state = 3},
  [9608] = {.lex_state = 412, .external_lex_state = 3},
  [9609] = {.lex_state = 412, .external_lex_state = 3},
  [9610] = {.lex_state = 412, .external_lex_state = 3},
  [9611] = {.lex_state = 412, .external_lex_state = 3},
  [9612] = {.lex_state = 19, .external_lex_state = 2},
  [9613] = {.lex_state = 412, .external_lex_state = 3},
  [9614] = {.lex_state = 137, .external_lex_state = 2},
  [9615] = {.lex_state = 412, .external_lex_state = 3},
  [9616] = {.lex_state = 412, .external_lex_state = 3},
  [9617] = {.lex_state = 137, .external_lex_state = 2},
  [9618] = {.lex_state = 412, .external_lex_state = 3},
  [9619] = {.lex_state = 412, .external_lex_state = 3},
  [9620] = {.lex_state = 414, .external_lex_state = 3},
  [9621] = {.lex_state = 412, .external_lex_state = 3},
  [9622] = {.lex_state = 412, .external_lex_state = 3},
  [9623] = {.lex_state = 412, .external_lex_state = 3},
  [9624] = {.lex_state = 414, .external_lex_state = 3},
  [9625] = {.lex_state = 412, .external_lex_state = 3},
  [9626] = {.lex_state = 412, .external_lex_state = 3},
  [9627] = {.lex_state = 137, .external_lex_state = 2},
  [9628] = {.lex_state = 133, .external_lex_state = 2},
  [9629] = {.lex_state = 412, .external_lex_state = 3},
  [9630] = {.lex_state = 7, .external_lex_state = 3},
  [9631] = {.lex_state = 145, .external_lex_state = 2},
  [9632] = {.lex_state = 133, .external_lex_state = 2},
  [9633] = {.lex_state = 412, .external_lex_state = 3},
  [9634] = {.lex_state = 170, .external_lex_state = 3},
  [9635] = {.lex_state = 412, .external_lex_state = 3},
  [9636] = {.lex_state = 7, .external_lex_state = 3},
  [9637] = {.lex_state = 412, .external_lex_state = 3},
  [9638] = {.lex_state = 170, .external_lex_state = 3},
  [9639] = {.lex_state = 170, .external_lex_state = 3},
  [9640] = {.lex_state = 412, .external_lex_state = 3},
  [9641] = {.lex_state = 133, .external_lex_state = 2},
  [9642] = {.lex_state = 170, .external_lex_state = 3},
  [9643] = {.lex_state = 412, .external_lex_state = 3},
  [9644] = {.lex_state = 137, .external_lex_state = 2},
  [9645] = {.lex_state = 133, .external_lex_state = 2},
  [9646] = {.lex_state = 170, .external_lex_state = 3},
  [9647] = {.lex_state = 412, .external_lex_state = 3},
  [9648] = {.lex_state = 170, .external_lex_state = 3},
  [9649] = {.lex_state = 412, .external_lex_state = 3},
  [9650] = {.lex_state = 170, .external_lex_state = 3},
  [9651] = {.lex_state = 170, .external_lex_state = 3},
  [9652] = {.lex_state = 412, .external_lex_state = 3},
  [9653] = {.lex_state = 7, .external_lex_state = 3},
  [9654] = {.lex_state = 7, .external_lex_state = 3},
  [9655] = {.lex_state = 170, .external_lex_state = 3},
  [9656] = {.lex_state = 412, .external_lex_state = 3},
  [9657] = {.lex_state = 412, .external_lex_state = 3},
  [9658] = {.lex_state = 412, .external_lex_state = 3},
  [9659] = {.lex_state = 170, .external_lex_state = 3},
  [9660] = {.lex_state = 412, .external_lex_state = 3},
  [9661] = {.lex_state = 170, .external_lex_state = 3},
  [9662] = {.lex_state = 170, .external_lex_state = 3},
  [9663] = {.lex_state = 170, .external_lex_state = 3},
  [9664] = {.lex_state = 145, .external_lex_state = 2},
  [9665] = {.lex_state = 170, .external_lex_state = 3},
  [9666] = {.lex_state = 170, .external_lex_state = 3},
  [9667] = {.lex_state = 170, .external_lex_state = 3},
  [9668] = {.lex_state = 170, .external_lex_state = 3},
  [9669] = {.lex_state = 412, .external_lex_state = 3},
  [9670] = {.lex_state = 170, .external_lex_state = 3},
  [9671] = {.lex_state = 412, .external_lex_state = 3},
  [9672] = {.lex_state = 170, .external_lex_state = 3},
  [9673] = {.lex_state = 7, .external_lex_state = 3},
  [9674] = {.lex_state = 412, .external_lex_state = 3},
  [9675] = {.lex_state = 412, .external_lex_state = 3},
  [9676] = {.lex_state = 7, .external_lex_state = 3},
  [9677] = {.lex_state = 412, .external_lex_state = 3},
  [9678] = {.lex_state = 412, .external_lex_state = 3},
  [9679] = {.lex_state = 412, .external_lex_state = 3},
  [9680] = {.lex_state = 412, .external_lex_state = 3},
  [9681] = {.lex_state = 170, .external_lex_state = 3},
  [9682] = {.lex_state = 136, .external_lex_state = 2},
  [9683] = {.lex_state = 412, .external_lex_state = 3},
  [9684] = {.lex_state = 412, .external_lex_state = 3},
  [9685] = {.lex_state = 170, .external_lex_state = 3},
  [9686] = {.lex_state = 412, .external_lex_state = 3},
  [9687] = {.lex_state = 137, .external_lex_state = 2},
  [9688] = {.lex_state = 170, .external_lex_state = 3},
  [9689] = {.lex_state = 412, .external_lex_state = 3},
  [9690] = {.lex_state = 412, .external_lex_state = 3},
  [9691] = {.lex_state = 412, .external_lex_state = 3},
  [9692] = {.lex_state = 170, .external_lex_state = 3},
  [9693] = {.lex_state = 412, .external_lex_state = 3},
  [9694] = {.lex_state = 170, .external_lex_state = 3},
  [9695] = {.lex_state = 412, .external_lex_state = 3},
  [9696] = {.lex_state = 412, .external_lex_state = 3},
  [9697] = {.lex_state = 412, .external_lex_state = 3},
  [9698] = {.lex_state = 412, .external_lex_state = 3},
  [9699] = {.lex_state = 412, .external_lex_state = 3},
  [9700] = {.lex_state = 412, .external_lex_state = 3},
  [9701] = {.lex_state = 412, .external_lex_state = 3},
  [9702] = {.lex_state = 412, .external_lex_state = 3},
  [9703] = {.lex_state = 412, .external_lex_state = 3},
  [9704] = {.lex_state = 170, .external_lex_state = 3},
  [9705] = {.lex_state = 412, .external_lex_state = 3},
  [9706] = {.lex_state = 7, .external_lex_state = 3},
  [9707] = {.lex_state = 412, .external_lex_state = 3},
  [9708] = {.lex_state = 170, .external_lex_state = 3},
  [9709] = {.lex_state = 412, .external_lex_state = 3},
  [9710] = {.lex_state = 170, .external_lex_state = 3},
  [9711] = {.lex_state = 170, .external_lex_state = 3},
  [9712] = {.lex_state = 412, .external_lex_state = 3},
  [9713] = {.lex_state = 170, .external_lex_state = 3},
  [9714] = {.lex_state = 170, .external_lex_state = 3},
  [9715] = {.lex_state = 412, .external_lex_state = 3},
  [9716] = {.lex_state = 412, .external_lex_state = 3},
  [9717] = {.lex_state = 170, .external_lex_state = 3},
  [9718] = {.lex_state = 412, .external_lex_state = 3},
  [9719] = {.lex_state = 158, .external_lex_state = 2},
  [9720] = {.lex_state = 170, .external_lex_state = 3},
  [9721] = {.lex_state = 7, .external_lex_state = 3},
  [9722] = {.lex_state = 412, .external_lex_state = 3},
  [9723] = {.lex_state = 170, .external_lex_state = 3},
  [9724] = {.lex_state = 170, .external_lex_state = 3},
  [9725] = {.lex_state = 136, .external_lex_state = 2},
  [9726] = {.lex_state = 7, .external_lex_state = 3},
  [9727] = {.lex_state = 170, .external_lex_state = 3},
  [9728] = {.lex_state = 170, .external_lex_state = 3},
  [9729] = {.lex_state = 170, .external_lex_state = 3},
  [9730] = {.lex_state = 412, .external_lex_state = 3},
  [9731] = {.lex_state = 412, .external_lex_state = 3},
  [9732] = {.lex_state = 412, .external_lex_state = 3},
  [9733] = {.lex_state = 412, .external_lex_state = 3},
  [9734] = {.lex_state = 412, .external_lex_state = 3},
  [9735] = {.lex_state = 412, .external_lex_state = 3},
  [9736] = {.lex_state = 412, .external_lex_state = 3},
  [9737] = {.lex_state = 412, .external_lex_state = 3},
  [9738] = {.lex_state = 412, .external_lex_state = 3},
  [9739] = {.lex_state = 412, .external_lex_state = 3},
  [9740] = {.lex_state = 412, .external_lex_state = 3},
  [9741] = {.lex_state = 412, .external_lex_state = 3},
  [9742] = {.lex_state = 412, .external_lex_state = 3},
  [9743] = {.lex_state = 412, .external_lex_state = 3},
  [9744] = {.lex_state = 412, .external_lex_state = 3},
  [9745] = {.lex_state = 412, .external_lex_state = 3},
  [9746] = {.lex_state = 412, .external_lex_state = 3},
  [9747] = {.lex_state = 170, .external_lex_state = 3},
  [9748] = {.lex_state = 412, .external_lex_state = 3},
  [9749] = {.lex_state = 412, .external_lex_state = 3},
  [9750] = {.lex_state = 170, .external_lex_state = 3},
  [9751] = {.lex_state = 170, .external_lex_state = 3},
  [9752] = {.lex_state = 170, .external_lex_state = 3},
  [9753] = {.lex_state = 412, .external_lex_state = 3},
  [9754] = {.lex_state = 7, .external_lex_state = 3},
  [9755] = {.lex_state = 412, .external_lex_state = 3},
  [9756] = {.lex_state = 137, .external_lex_state = 2},
  [9757] = {.lex_state = 412, .external_lex_state = 3},
  [9758] = {.lex_state = 170, .external_lex_state = 3},
  [9759] = {.lex_state = 412, .external_lex_state = 3},
  [9760] = {.lex_state = 412, .external_lex_state = 3},
  [9761] = {.lex_state = 412, .external_lex_state = 3},
  [9762] = {.lex_state = 412, .external_lex_state = 3},
  [9763] = {.lex_state = 412, .external_lex_state = 3},
  [9764] = {.lex_state = 412, .external_lex_state = 3},
  [9765] = {.lex_state = 7, .external_lex_state = 3},
  [9766] = {.lex_state = 170, .external_lex_state = 3},
  [9767] = {.lex_state = 170, .external_lex_state = 3},
  [9768] = {.lex_state = 412, .external_lex_state = 3},
  [9769] = {.lex_state = 412, .external_lex_state = 3},
  [9770] = {.lex_state = 136, .external_lex_state = 2},
  [9771] = {.lex_state = 7, .external_lex_state = 3},
  [9772] = {.lex_state = 7, .external_lex_state = 3},
  [9773] = {.lex_state = 7, .external_lex_state = 3},
  [9774] = {.lex_state = 7, .external_lex_state = 3},
  [9775] = {.lex_state = 7, .external_lex_state = 3},
  [9776] = {.lex_state = 7, .external_lex_state = 3},
  [9777] = {.lex_state = 7, .external_lex_state = 3},
  [9778] = {.lex_state = 7, .external_lex_state = 3},
  [9779] = {.lex_state = 7, .external_lex_state = 3},
  [9780] = {.lex_state = 7, .external_lex_state = 3},
  [9781] = {.lex_state = 7, .external_lex_state = 3},
  [9782] = {.lex_state = 7, .external_lex_state = 3},
  [9783] = {.lex_state = 7, .external_lex_state = 3},
  [9784] = {.lex_state = 7, .external_lex_state = 3},
  [9785] = {.lex_state = 427, .external_lex_state = 3},
  [9786] = {.lex_state = 136, .external_lex_state = 2},
  [9787] = {.lex_state = 136, .external_lex_state = 2},
  [9788] = {.lex_state = 412, .external_lex_state = 3},
  [9789] = {.lex_state = 136, .external_lex_state = 2},
  [9790] = {.lex_state = 7, .external_lex_state = 3},
  [9791] = {.lex_state = 412, .external_lex_state = 3},
  [9792] = {.lex_state = 149, .external_lex_state = 2},
  [9793] = {.lex_state = 136, .external_lex_state = 2},
  [9794] = {.lex_state = 7, .external_lex_state = 3},
  [9795] = {.lex_state = 136, .external_lex_state = 2},
  [9796] = {.lex_state = 412, .external_lex_state = 3},
  [9797] = {.lex_state = 7, .external_lex_state = 3},
  [9798] = {.lex_state = 7, .external_lex_state = 3},
  [9799] = {.lex_state = 7, .external_lex_state = 3},
  [9800] = {.lex_state = 7, .external_lex_state = 3},
  [9801] = {.lex_state = 136, .external_lex_state = 2},
  [9802] = {.lex_state = 7, .external_lex_state = 3},
  [9803] = {.lex_state = 7, .external_lex_state = 3},
  [9804] = {.lex_state = 7, .external_lex_state = 3},
  [9805] = {.lex_state = 7, .external_lex_state = 3},
  [9806] = {.lex_state = 7, .external_lex_state = 3},
  [9807] = {.lex_state = 136, .external_lex_state = 2},
  [9808] = {.lex_state = 7, .external_lex_state = 3},
  [9809] = {.lex_state = 412, .external_lex_state = 3},
  [9810] = {.lex_state = 7, .external_lex_state = 3},
  [9811] = {.lex_state = 7, .external_lex_state = 3},
  [9812] = {.lex_state = 7, .external_lex_state = 3},
  [9813] = {.lex_state = 7, .external_lex_state = 3},
  [9814] = {.lex_state = 149, .external_lex_state = 2},
  [9815] = {.lex_state = 412, .external_lex_state = 3},
  [9816] = {.lex_state = 412, .external_lex_state = 3},
  [9817] = {.lex_state = 7, .external_lex_state = 3},
  [9818] = {.lex_state = 7, .external_lex_state = 3},
  [9819] = {.lex_state = 412, .external_lex_state = 3},
  [9820] = {.lex_state = 149, .external_lex_state = 2},
  [9821] = {.lex_state = 7, .external_lex_state = 3},
  [9822] = {.lex_state = 7, .external_lex_state = 3},
  [9823] = {.lex_state = 7, .external_lex_state = 3},
  [9824] = {.lex_state = 7, .external_lex_state = 3},
  [9825] = {.lex_state = 149, .external_lex_state = 2},
  [9826] = {.lex_state = 136, .external_lex_state = 2},
  [9827] = {.lex_state = 7, .external_lex_state = 3},
  [9828] = {.lex_state = 7, .external_lex_state = 3},
  [9829] = {.lex_state = 412, .external_lex_state = 3},
  [9830] = {.lex_state = 7, .external_lex_state = 3},
  [9831] = {.lex_state = 7, .external_lex_state = 3},
  [9832] = {.lex_state = 7, .external_lex_state = 3},
  [9833] = {.lex_state = 7, .external_lex_state = 3},
  [9834] = {.lex_state = 136, .external_lex_state = 2},
  [9835] = {.lex_state = 7, .external_lex_state = 3},
  [9836] = {.lex_state = 7, .external_lex_state = 3},
  [9837] = {.lex_state = 7, .external_lex_state = 3},
  [9838] = {.lex_state = 7, .external_lex_state = 3},
  [9839] = {.lex_state = 7, .external_lex_state = 3},
  [9840] = {.lex_state = 7, .external_lex_state = 3},
  [9841] = {.lex_state = 7, .external_lex_state = 3},
  [9842] = {.lex_state = 7, .external_lex_state = 3},
  [9843] = {.lex_state = 145, .external_lex_state = 2},
  [9844] = {.lex_state = 7, .external_lex_state = 3},
  [9845] = {.lex_state = 7, .external_lex_state = 3},
  [9846] = {.lex_state = 7, .external_lex_state = 3},
  [9847] = {.lex_state = 7, .external_lex_state = 3},
  [9848] = {.lex_state = 425, .external_lex_state = 3},
  [9849] = {.lex_state = 136, .external_lex_state = 2},
  [9850] = {.lex_state = 7, .external_lex_state = 3},
  [9851] = {.lex_state = 145, .external_lex_state = 2},
  [9852] = {.lex_state = 7, .external_lex_state = 3},
  [9853] = {.lex_state = 136, .external_lex_state = 2},
  [9854] = {.lex_state = 7, .external_lex_state = 3},
  [9855] = {.lex_state = 7, .external_lex_state = 3},
  [9856] = {.lex_state = 7, .external_lex_state = 3},
  [9857] = {.lex_state = 412, .external_lex_state = 3},
  [9858] = {.lex_state = 7, .external_lex_state = 3},
  [9859] = {.lex_state = 7, .external_lex_state = 3},
  [9860] = {.lex_state = 7, .external_lex_state = 3},
  [9861] = {.lex_state = 7, .external_lex_state = 3},
  [9862] = {.lex_state = 7, .external_lex_state = 3},
  [9863] = {.lex_state = 7, .external_lex_state = 3},
  [9864] = {.lex_state = 7, .external_lex_state = 3},
  [9865] = {.lex_state = 7, .external_lex_state = 3},
  [9866] = {.lex_state = 7, .external_lex_state = 3},
  [9867] = {.lex_state = 136, .external_lex_state = 2},
  [9868] = {.lex_state = 412, .external_lex_state = 3},
  [9869] = {.lex_state = 136, .external_lex_state = 2},
  [9870] = {.lex_state = 7, .external_lex_state = 3},
  [9871] = {.lex_state = 7, .external_lex_state = 3},
  [9872] = {.lex_state = 412, .external_lex_state = 3},
  [9873] = {.lex_state = 7, .external_lex_state = 3},
  [9874] = {.lex_state = 136, .external_lex_state = 2},
  [9875] = {.lex_state = 7, .external_lex_state = 3},
  [9876] = {.lex_state = 7, .external_lex_state = 3},
  [9877] = {.lex_state = 7, .external_lex_state = 3},
  [9878] = {.lex_state = 136, .external_lex_state = 2},
  [9879] = {.lex_state = 7, .external_lex_state = 3},
  [9880] = {.lex_state = 7, .external_lex_state = 3},
  [9881] = {.lex_state = 7, .external_lex_state = 3},
  [9882] = {.lex_state = 145, .external_lex_state = 2},
  [9883] = {.lex_state = 7, .external_lex_state = 3},
  [9884] = {.lex_state = 7, .external_lex_state = 3},
  [9885] = {.lex_state = 7, .external_lex_state = 3},
  [9886] = {.lex_state = 7, .external_lex_state = 3},
  [9887] = {.lex_state = 7, .external_lex_state = 3},
  [9888] = {.lex_state = 412, .external_lex_state = 3},
  [9889] = {.lex_state = 7, .external_lex_state = 3},
  [9890] = {.lex_state = 136, .external_lex_state = 2},
  [9891] = {.lex_state = 7, .external_lex_state = 3},
  [9892] = {.lex_state = 7, .external_lex_state = 3},
  [9893] = {.lex_state = 7, .external_lex_state = 3},
  [9894] = {.lex_state = 412, .external_lex_state = 3},
  [9895] = {.lex_state = 7, .external_lex_state = 3},
  [9896] = {.lex_state = 412, .external_lex_state = 3},
  [9897] = {.lex_state = 412, .external_lex_state = 3},
  [9898] = {.lex_state = 7, .external_lex_state = 3},
  [9899] = {.lex_state = 7, .external_lex_state = 3},
  [9900] = {.lex_state = 412, .external_lex_state = 3},
  [9901] = {.lex_state = 136, .external_lex_state = 2},
  [9902] = {.lex_state = 136, .external_lex_state = 2},
  [9903] = {.lex_state = 136, .external_lex_state = 2},
  [9904] = {.lex_state = 7, .external_lex_state = 3},
  [9905] = {.lex_state = 7, .external_lex_state = 3},
  [9906] = {.lex_state = 136, .external_lex_state = 2},
  [9907] = {.lex_state = 149, .external_lex_state = 2},
  [9908] = {.lex_state = 7, .external_lex_state = 3},
  [9909] = {.lex_state = 7, .external_lex_state = 3},
  [9910] = {.lex_state = 7, .external_lex_state = 3},
  [9911] = {.lex_state = 7, .external_lex_state = 3},
  [9912] = {.lex_state = 136, .external_lex_state = 2},
  [9913] = {.lex_state = 149, .external_lex_state = 2},
  [9914] = {.lex_state = 136, .external_lex_state = 2},
  [9915] = {.lex_state = 7, .external_lex_state = 3},
  [9916] = {.lex_state = 136, .external_lex_state = 2},
  [9917] = {.lex_state = 7, .external_lex_state = 3},
  [9918] = {.lex_state = 425, .external_lex_state = 3},
  [9919] = {.lex_state = 136, .external_lex_state = 2},
  [9920] = {.lex_state = 412, .external_lex_state = 3},
  [9921] = {.lex_state = 7, .external_lex_state = 3},
  [9922] = {.lex_state = 136, .external_lex_state = 2},
  [9923] = {.lex_state = 7, .external_lex_state = 3},
  [9924] = {.lex_state = 136, .external_lex_state = 2},
  [9925] = {.lex_state = 412, .external_lex_state = 3},
  [9926] = {.lex_state = 136, .external_lex_state = 2},
  [9927] = {.lex_state = 7, .external_lex_state = 3},
  [9928] = {.lex_state = 136, .external_lex_state = 2},
  [9929] = {.lex_state = 7, .external_lex_state = 3},
  [9930] = {.lex_state = 7, .external_lex_state = 3},
  [9931] = {.lex_state = 412, .external_lex_state = 3},
  [9932] = {.lex_state = 412, .external_lex_state = 3},
  [9933] = {.lex_state = 136, .external_lex_state = 2},
  [9934] = {.lex_state = 136, .external_lex_state = 2},
  [9935] = {.lex_state = 412, .external_lex_state = 3},
  [9936] = {.lex_state = 7, .external_lex_state = 3},
  [9937] = {.lex_state = 7, .external_lex_state = 3},
  [9938] = {.lex_state = 136, .external_lex_state = 2},
  [9939] = {.lex_state = 7, .external_lex_state = 3},
  [9940] = {.lex_state = 7, .external_lex_state = 3},
  [9941] = {.lex_state = 412, .external_lex_state = 3},
  [9942] = {.lex_state = 132, .external_lex_state = 3},
  [9943] = {.lex_state = 7, .external_lex_state = 3},
  [9944] = {.lex_state = 7, .external_lex_state = 3},
  [9945] = {.lex_state = 7, .external_lex_state = 3},
  [9946] = {.lex_state = 7, .external_lex_state = 3},
  [9947] = {.lex_state = 136, .external_lex_state = 2},
  [9948] = {.lex_state = 7, .external_lex_state = 3},
  [9949] = {.lex_state = 7, .external_lex_state = 3},
  [9950] = {.lex_state = 7, .external_lex_state = 3},
  [9951] = {.lex_state = 412, .external_lex_state = 3},
  [9952] = {.lex_state = 412, .external_lex_state = 3},
  [9953] = {.lex_state = 7, .external_lex_state = 3},
  [9954] = {.lex_state = 427, .external_lex_state = 3},
  [9955] = {.lex_state = 425, .external_lex_state = 3},
  [9956] = {.lex_state = 7, .external_lex_state = 3},
  [9957] = {.lex_state = 132, .external_lex_state = 3},
  [9958] = {.lex_state = 425, .external_lex_state = 3},
  [9959] = {.lex_state = 136, .external_lex_state = 2},
  [9960] = {.lex_state = 136, .external_lex_state = 2},
  [9961] = {.lex_state = 7, .external_lex_state = 3},
  [9962] = {.lex_state = 7, .external_lex_state = 3},
  [9963] = {.lex_state = 412, .external_lex_state = 3},
  [9964] = {.lex_state = 412, .external_lex_state = 3},
  [9965] = {.lex_state = 7, .external_lex_state = 3},
  [9966] = {.lex_state = 7, .external_lex_state = 3},
  [9967] = {.lex_state = 412, .external_lex_state = 3},
  [9968] = {.lex_state = 149, .external_lex_state = 2},
  [9969] = {.lex_state = 412, .external_lex_state = 3},
  [9970] = {.lex_state = 7, .external_lex_state = 3},
  [9971] = {.lex_state = 7, .external_lex_state = 3},
  [9972] = {.lex_state = 412, .external_lex_state = 3},
  [9973] = {.lex_state = 136, .external_lex_state = 2},
  [9974] = {.lex_state = 145, .external_lex_state = 2},
  [9975] = {.lex_state = 136, .external_lex_state = 2},
  [9976] = {.lex_state = 7, .external_lex_state = 3},
  [9977] = {.lex_state = 7, .external_lex_state = 3},
  [9978] = {.lex_state = 7, .external_lex_state = 3},
  [9979] = {.lex_state = 412, .external_lex_state = 3},
  [9980] = {.lex_state = 7, .external_lex_state = 3},
  [9981] = {.lex_state = 136, .external_lex_state = 2},
  [9982] = {.lex_state = 7, .external_lex_state = 3},
  [9983] = {.lex_state = 7, .external_lex_state = 3},
  [9984] = {.lex_state = 412, .external_lex_state = 3},
  [9985] = {.lex_state = 412, .external_lex_state = 3},
  [9986] = {.lex_state = 7, .external_lex_state = 3},
  [9987] = {.lex_state = 149, .external_lex_state = 2},
  [9988] = {.lex_state = 412, .external_lex_state = 3},
  [9989] = {.lex_state = 136, .external_lex_state = 2},
  [9990] = {.lex_state = 136, .external_lex_state = 2},
  [9991] = {.lex_state = 7, .external_lex_state = 3},
  [9992] = {.lex_state = 7, .external_lex_state = 3},
  [9993] = {.lex_state = 425, .external_lex_state = 3},
  [9994] = {.lex_state = 7, .external_lex_state = 3},
  [9995] = {.lex_state = 136, .external_lex_state = 2},
  [9996] = {.lex_state = 7, .external_lex_state = 3},
  [9997] = {.lex_state = 7, .external_lex_state = 3},
  [9998] = {.lex_state = 7, .external_lex_state = 3},
  [9999] = {.lex_state = 7, .external_lex_state = 3},
  [10000] = {.lex_state = 412, .external_lex_state = 3},
  [10001] = {.lex_state = 7, .external_lex_state = 3},
  [10002] = {.lex_state = 136, .external_lex_state = 2},
  [10003] = {.lex_state = 136, .external_lex_state = 2},
  [10004] = {.lex_state = 7, .external_lex_state = 3},
  [10005] = {.lex_state = 7, .external_lex_state = 3},
  [10006] = {.lex_state = 7, .external_lex_state = 3},
  [10007] = {.lex_state = 136, .external_lex_state = 2},
  [10008] = {.lex_state = 412, .external_lex_state = 3},
  [10009] = {.lex_state = 7, .external_lex_state = 3},
  [10010] = {.lex_state = 136, .external_lex_state = 2},
  [10011] = {.lex_state = 136, .external_lex_state = 2},
  [10012] = {.lex_state = 7, .external_lex_state = 3},
  [10013] = {.lex_state = 7, .external_lex_state = 3},
  [10014] = {.lex_state = 136, .external_lex_state = 2},
  [10015] = {.lex_state = 136, .external_lex_state = 2},
  [10016] = {.lex_state = 7, .external_lex_state = 3},
  [10017] = {.lex_state = 7, .external_lex_state = 3},
  [10018] = {.lex_state = 136, .external_lex_state = 2},
  [10019] = {.lex_state = 7, .external_lex_state = 3},
  [10020] = {.lex_state = 7, .external_lex_state = 3},
  [10021] = {.lex_state = 136, .external_lex_state = 2},
  [10022] = {.lex_state = 7, .external_lex_state = 3},
  [10023] = {.lex_state = 136, .external_lex_state = 2},
  [10024] = {.lex_state = 136, .external_lex_state = 2},
  [10025] = {.lex_state = 412, .external_lex_state = 3},
  [10026] = {.lex_state = 7, .external_lex_state = 3},
  [10027] = {.lex_state = 7, .external_lex_state = 3},
  [10028] = {.lex_state = 7, .external_lex_state = 3},
  [10029] = {.lex_state = 7, .external_lex_state = 3},
  [10030] = {.lex_state = 425, .external_lex_state = 3},
  [10031] = {.lex_state = 7, .external_lex_state = 3},
  [10032] = {.lex_state = 412, .external_lex_state = 3},
  [10033] = {.lex_state = 136, .external_lex_state = 2},
  [10034] = {.lex_state = 7, .external_lex_state = 3},
  [10035] = {.lex_state = 7, .external_lex_state = 3},
  [10036] = {.lex_state = 7, .external_lex_state = 3},
  [10037] = {.lex_state = 412, .external_lex_state = 3},
  [10038] = {.lex_state = 7, .external_lex_state = 3},
  [10039] = {.lex_state = 7, .external_lex_state = 3},
  [10040] = {.lex_state = 7, .external_lex_state = 3},
  [10041] = {.lex_state = 7, .external_lex_state = 3},
  [10042] = {.lex_state = 136, .external_lex_state = 2},
  [10043] = {.lex_state = 412, .external_lex_state = 3},
  [10044] = {.lex_state = 7, .external_lex_state = 3},
  [10045] = {.lex_state = 412, .external_lex_state = 3},
  [10046] = {.lex_state = 136, .external_lex_state = 2},
  [10047] = {.lex_state = 149, .external_lex_state = 2},
  [10048] = {.lex_state = 412, .external_lex_state = 3},
  [10049] = {.lex_state = 7, .external_lex_state = 3},
  [10050] = {.lex_state = 7, .external_lex_state = 3},
  [10051] = {.lex_state = 7, .external_lex_state = 3},
  [10052] = {.lex_state = 7, .external_lex_state = 3},
  [10053] = {.lex_state = 136, .external_lex_state = 2},
  [10054] = {.lex_state = 7, .external_lex_state = 3},
  [10055] = {.lex_state = 412, .external_lex_state = 3},
  [10056] = {.lex_state = 7, .external_lex_state = 3},
  [10057] = {.lex_state = 7, .external_lex_state = 3},
  [10058] = {.lex_state = 7, .external_lex_state = 3},
  [10059] = {.lex_state = 7, .external_lex_state = 3},
  [10060] = {.lex_state = 7, .external_lex_state = 3},
  [10061] = {.lex_state = 412, .external_lex_state = 3},
  [10062] = {.lex_state = 7, .external_lex_state = 3},
  [10063] = {.lex_state = 7, .external_lex_state = 3},
  [10064] = {.lex_state = 136, .external_lex_state = 2},
  [10065] = {.lex_state = 132, .external_lex_state = 3},
  [10066] = {.lex_state = 136, .external_lex_state = 2},
  [10067] = {.lex_state = 7, .external_lex_state = 3},
  [10068] = {.lex_state = 7, .external_lex_state = 3},
  [10069] = {.lex_state = 7, .external_lex_state = 3},
  [10070] = {.lex_state = 136, .external_lex_state = 2},
  [10071] = {.lex_state = 7, .external_lex_state = 3},
  [10072] = {.lex_state = 7, .external_lex_state = 3},
  [10073] = {.lex_state = 7, .external_lex_state = 3},
  [10074] = {.lex_state = 7, .external_lex_state = 3},
  [10075] = {.lex_state = 7, .external_lex_state = 3},
  [10076] = {.lex_state = 7, .external_lex_state = 3},
  [10077] = {.lex_state = 7, .external_lex_state = 3},
  [10078] = {.lex_state = 7, .external_lex_state = 3},
  [10079] = {.lex_state = 412, .external_lex_state = 3},
  [10080] = {.lex_state = 7, .external_lex_state = 3},
  [10081] = {.lex_state = 7, .external_lex_state = 3},
  [10082] = {.lex_state = 7, .external_lex_state = 3},
  [10083] = {.lex_state = 136, .external_lex_state = 2},
  [10084] = {.lex_state = 7, .external_lex_state = 3},
  [10085] = {.lex_state = 7, .external_lex_state = 3},
  [10086] = {.lex_state = 7, .external_lex_state = 3},
  [10087] = {.lex_state = 7, .external_lex_state = 3},
  [10088] = {.lex_state = 7, .external_lex_state = 3},
  [10089] = {.lex_state = 412, .external_lex_state = 3},
  [10090] = {.lex_state = 136, .external_lex_state = 2},
  [10091] = {.lex_state = 7, .external_lex_state = 3},
  [10092] = {.lex_state = 412, .external_lex_state = 3},
  [10093] = {.lex_state = 7, .external_lex_state = 3},
  [10094] = {.lex_state = 412, .external_lex_state = 3},
  [10095] = {.lex_state = 412, .external_lex_state = 3},
  [10096] = {.lex_state = 412, .external_lex_state = 3},
  [10097] = {.lex_state = 7, .external_lex_state = 3},
  [10098] = {.lex_state = 412, .external_lex_state = 3},
  [10099] = {.lex_state = 412, .external_lex_state = 3},
  [10100] = {.lex_state = 412, .external_lex_state = 3},
  [10101] = {.lex_state = 412, .external_lex_state = 3},
  [10102] = {.lex_state = 412, .external_lex_state = 3},
  [10103] = {.lex_state = 412, .external_lex_state = 3},
  [10104] = {.lex_state = 7, .external_lex_state = 3},
  [10105] = {.lex_state = 7, .external_lex_state = 3},
  [10106] = {.lex_state = 412, .external_lex_state = 3},
  [10107] = {.lex_state = 7, .external_lex_state = 3},
  [10108] = {.lex_state = 7, .external_lex_state = 3},
  [10109] = {.lex_state = 7, .external_lex_state = 3},
  [10110] = {.lex_state = 7, .external_lex_state = 3},
  [10111] = {.lex_state = 7, .external_lex_state = 3},
  [10112] = {.lex_state = 7, .external_lex_state = 3},
  [10113] = {.lex_state = 7, .external_lex_state = 3},
  [10114] = {.lex_state = 149, .external_lex_state = 2},
  [10115] = {.lex_state = 412, .external_lex_state = 3},
  [10116] = {.lex_state = 7, .external_lex_state = 3},
  [10117] = {.lex_state = 426, .external_lex_state = 3},
  [10118] = {.lex_state = 7, .external_lex_state = 3},
  [10119] = {.lex_state = 7, .external_lex_state = 3},
  [10120] = {.lex_state = 7, .external_lex_state = 3},
  [10121] = {.lex_state = 149, .external_lex_state = 2},
  [10122] = {.lex_state = 145, .external_lex_state = 2},
  [10123] = {.lex_state = 145, .external_lex_state = 2},
  [10124] = {.lex_state = 145, .external_lex_state = 2},
  [10125] = {.lex_state = 425, .external_lex_state = 3},
  [10126] = {.lex_state = 145, .external_lex_state = 2},
  [10127] = {.lex_state = 425, .external_lex_state = 3},
  [10128] = {.lex_state = 145, .external_lex_state = 2},
  [10129] = {.lex_state = 425, .external_lex_state = 3},
  [10130] = {.lex_state = 145, .external_lex_state = 2},
  [10131] = {.lex_state = 145, .external_lex_state = 2},
  [10132] = {.lex_state = 412, .external_lex_state = 3},
  [10133] = {.lex_state = 145, .external_lex_state = 2},
  [10134] = {.lex_state = 425, .external_lex_state = 3},
  [10135] = {.lex_state = 145, .external_lex_state = 2},
  [10136] = {.lex_state = 145, .external_lex_state = 2},
  [10137] = {.lex_state = 145, .external_lex_state = 2},
  [10138] = {.lex_state = 412, .external_lex_state = 3},
  [10139] = {.lex_state = 145, .external_lex_state = 2},
  [10140] = {.lex_state = 145, .external_lex_state = 2},
  [10141] = {.lex_state = 425, .external_lex_state = 3},
  [10142] = {.lex_state = 145, .external_lex_state = 2},
  [10143] = {.lex_state = 427, .external_lex_state = 3},
  [10144] = {.lex_state = 145, .external_lex_state = 2},
  [10145] = {.lex_state = 412, .external_lex_state = 3},
  [10146] = {.lex_state = 145, .external_lex_state = 2},
  [10147] = {.lex_state = 425, .external_lex_state = 3},
  [10148] = {.lex_state = 145, .external_lex_state = 2},
  [10149] = {.lex_state = 435, .external_lex_state = 3},
  [10150] = {.lex_state = 145, .external_lex_state = 2},
  [10151] = {.lex_state = 145, .external_lex_state = 2},
  [10152] = {.lex_state = 145, .external_lex_state = 2},
  [10153] = {.lex_state = 145, .external_lex_state = 2},
  [10154] = {.lex_state = 425, .external_lex_state = 3},
  [10155] = {.lex_state = 412, .external_lex_state = 3},
  [10156] = {.lex_state = 425, .external_lex_state = 3},
  [10157] = {.lex_state = 427, .external_lex_state = 3},
  [10158] = {.lex_state = 425, .external_lex_state = 3},
  [10159] = {.lex_state = 145, .external_lex_state = 2},
  [10160] = {.lex_state = 425, .external_lex_state = 3},
  [10161] = {.lex_state = 145, .external_lex_state = 2},
  [10162] = {.lex_state = 412, .external_lex_state = 3},
  [10163] = {.lex_state = 145, .external_lex_state = 2},
  [10164] = {.lex_state = 145, .external_lex_state = 2},
  [10165] = {.lex_state = 145, .external_lex_state = 2},
  [10166] = {.lex_state = 425, .external_lex_state = 3},
  [10167] = {.lex_state = 145, .external_lex_state = 2},
  [10168] = {.lex_state = 145, .external_lex_state = 2},
  [10169] = {.lex_state = 425, .external_lex_state = 3},
  [10170] = {.lex_state = 145, .external_lex_state = 2},
  [10171] = {.lex_state = 425, .external_lex_state = 3},
  [10172] = {.lex_state = 425, .external_lex_state = 3},
  [10173] = {.lex_state = 145, .external_lex_state = 2},
  [10174] = {.lex_state = 145, .external_lex_state = 2},
  [10175] = {.lex_state = 145, .external_lex_state = 2},
  [10176] = {.lex_state = 145, .external_lex_state = 2},
  [10177] = {.lex_state = 425, .external_lex_state = 3},
  [10178] = {.lex_state = 412, .external_lex_state = 3},
  [10179] = {.lex_state = 145, .external_lex_state = 2},
  [10180] = {.lex_state = 435, .external_lex_state = 3},
  [10181] = {.lex_state = 145, .external_lex_state = 2},
  [10182] = {.lex_state = 145, .external_lex_state = 2},
  [10183] = {.lex_state = 145, .external_lex_state = 2},
  [10184] = {.lex_state = 145, .external_lex_state = 2},
  [10185] = {.lex_state = 145, .external_lex_state = 2},
  [10186] = {.lex_state = 145, .external_lex_state = 2},
  [10187] = {.lex_state = 145, .external_lex_state = 2},
  [10188] = {.lex_state = 145, .external_lex_state = 2},
  [10189] = {.lex_state = 145, .external_lex_state = 2},
  [10190] = {.lex_state = 145, .external_lex_state = 2},
  [10191] = {.lex_state = 435, .external_lex_state = 3},
  [10192] = {.lex_state = 412, .external_lex_state = 3},
  [10193] = {.lex_state = 425, .external_lex_state = 3},
  [10194] = {.lex_state = 145, .external_lex_state = 2},
  [10195] = {.lex_state = 145, .external_lex_state = 2},
  [10196] = {.lex_state = 145, .external_lex_state = 2},
  [10197] = {.lex_state = 412, .external_lex_state = 3},
  [10198] = {.lex_state = 145, .external_lex_state = 2},
  [10199] = {.lex_state = 145, .external_lex_state = 2},
  [10200] = {.lex_state = 188, .external_lex_state = 3},
  [10201] = {.lex_state = 412, .external_lex_state = 3},
  [10202] = {.lex_state = 432, .external_lex_state = 3},
  [10203] = {.lex_state = 412, .external_lex_state = 3},
  [10204] = {.lex_state = 412, .external_lex_state = 3},
  [10205] = {.lex_state = 435, .external_lex_state = 3},
  [10206] = {.lex_state = 412, .external_lex_state = 3},
  [10207] = {.lex_state = 188, .external_lex_state = 3},
  [10208] = {.lex_state = 412, .external_lex_state = 3},
  [10209] = {.lex_state = 188, .external_lex_state = 3},
  [10210] = {.lex_state = 412, .external_lex_state = 3},
  [10211] = {.lex_state = 432, .external_lex_state = 3},
  [10212] = {.lex_state = 7, .external_lex_state = 3},
  [10213] = {.lex_state = 7, .external_lex_state = 3},
  [10214] = {.lex_state = 412, .external_lex_state = 3},
  [10215] = {.lex_state = 432, .external_lex_state = 3},
  [10216] = {.lex_state = 7, .external_lex_state = 3},
  [10217] = {.lex_state = 7, .external_lex_state = 3},
  [10218] = {.lex_state = 7, .external_lex_state = 3},
  [10219] = {.lex_state = 7, .external_lex_state = 3},
  [10220] = {.lex_state = 7, .external_lex_state = 3},
  [10221] = {.lex_state = 435, .external_lex_state = 3},
  [10222] = {.lex_state = 435, .external_lex_state = 3},
  [10223] = {.lex_state = 432, .external_lex_state = 3},
  [10224] = {.lex_state = 435, .external_lex_state = 3},
  [10225] = {.lex_state = 7, .external_lex_state = 3},
  [10226] = {.lex_state = 435, .external_lex_state = 3},
  [10227] = {.lex_state = 432, .external_lex_state = 3},
  [10228] = {.lex_state = 435, .external_lex_state = 3},
  [10229] = {.lex_state = 435, .external_lex_state = 3},
  [10230] = {.lex_state = 435, .external_lex_state = 3},
  [10231] = {.lex_state = 425, .external_lex_state = 3},
  [10232] = {.lex_state = 435, .external_lex_state = 3},
  [10233] = {.lex_state = 7, .external_lex_state = 3},
  [10234] = {.lex_state = 432, .external_lex_state = 3},
  [10235] = {.lex_state = 7, .external_lex_state = 3},
  [10236] = {.lex_state = 412, .external_lex_state = 3},
  [10237] = {.lex_state = 435, .external_lex_state = 3},
  [10238] = {.lex_state = 412, .external_lex_state = 3},
  [10239] = {.lex_state = 432, .external_lex_state = 3},
  [10240] = {.lex_state = 7, .external_lex_state = 3},
  [10241] = {.lex_state = 7, .external_lex_state = 3},
  [10242] = {.lex_state = 7, .external_lex_state = 3},
  [10243] = {.lex_state = 435, .external_lex_state = 3},
  [10244] = {.lex_state = 432, .external_lex_state = 3},
  [10245] = {.lex_state = 435, .external_lex_state = 3},
  [10246] = {.lex_state = 7, .external_lex_state = 3},
  [10247] = {.lex_state = 435, .external_lex_state = 3},
  [10248] = {.lex_state = 7, .external_lex_state = 3},
  [10249] = {.lex_state = 425, .external_lex_state = 3},
  [10250] = {.lex_state = 412, .external_lex_state = 3},
  [10251] = {.lex_state = 435, .external_lex_state = 3},
  [10252] = {.lex_state = 425, .external_lex_state = 3},
  [10253] = {.lex_state = 180, .external_lex_state = 3},
  [10254] = {.lex_state = 7, .external_lex_state = 3},
  [10255] = {.lex_state = 7, .external_lex_state = 3},
  [10256] = {.lex_state = 7, .external_lex_state = 3},
  [10257] = {.lex_state = 7, .external_lex_state = 3},
  [10258] = {.lex_state = 435, .external_lex_state = 3},
  [10259] = {.lex_state = 7, .external_lex_state = 3},
  [10260] = {.lex_state = 7, .external_lex_state = 3},
  [10261] = {.lex_state = 435, .external_lex_state = 3},
  [10262] = {.lex_state = 188, .external_lex_state = 3},
  [10263] = {.lex_state = 7, .external_lex_state = 3},
  [10264] = {.lex_state = 7, .external_lex_state = 3},
  [10265] = {.lex_state = 435, .external_lex_state = 3},
  [10266] = {.lex_state = 7, .external_lex_state = 3},
  [10267] = {.lex_state = 425, .external_lex_state = 3},
  [10268] = {.lex_state = 435, .external_lex_state = 3},
  [10269] = {.lex_state = 7, .external_lex_state = 3},
  [10270] = {.lex_state = 180, .external_lex_state = 3},
  [10271] = {.lex_state = 425, .external_lex_state = 3},
  [10272] = {.lex_state = 7, .external_lex_state = 3},
  [10273] = {.lex_state = 7, .external_lex_state = 3},
  [10274] = {.lex_state = 7, .external_lex_state = 3},
  [10275] = {.lex_state = 435, .external_lex_state = 3},
  [10276] = {.lex_state = 7, .external_lex_state = 3},
  [10277] = {.lex_state = 7, .external_lex_state = 3},
  [10278] = {.lex_state = 435, .external_lex_state = 3},
  [10279] = {.lex_state = 7, .external_lex_state = 3},
  [10280] = {.lex_state = 435, .external_lex_state = 3},
  [10281] = {.lex_state = 7, .external_lex_state = 3},
  [10282] = {.lex_state = 435, .external_lex_state = 3},
  [10283] = {.lex_state = 435, .external_lex_state = 3},
  [10284] = {.lex_state = 435, .external_lex_state = 3},
  [10285] = {.lex_state = 435, .external_lex_state = 3},
  [10286] = {.lex_state = 7, .external_lex_state = 3},
  [10287] = {.lex_state = 432, .external_lex_state = 3},
  [10288] = {.lex_state = 435, .external_lex_state = 3},
  [10289] = {.lex_state = 7, .external_lex_state = 3},
  [10290] = {.lex_state = 425, .external_lex_state = 3},
  [10291] = {.lex_state = 435, .external_lex_state = 3},
  [10292] = {.lex_state = 435, .external_lex_state = 3},
  [10293] = {.lex_state = 435, .external_lex_state = 3},
  [10294] = {.lex_state = 7, .external_lex_state = 3},
  [10295] = {.lex_state = 7, .external_lex_state = 3},
  [10296] = {.lex_state = 435, .external_lex_state = 3},
  [10297] = {.lex_state = 7, .external_lex_state = 3},
  [10298] = {.lex_state = 7, .external_lex_state = 3},
  [10299] = {.lex_state = 7, .external_lex_state = 3},
  [10300] = {.lex_state = 435, .external_lex_state = 3},
  [10301] = {.lex_state = 432, .external_lex_state = 3},
  [10302] = {.lex_state = 435, .external_lex_state = 3},
  [10303] = {.lex_state = 435, .external_lex_state = 3},
  [10304] = {.lex_state = 7, .external_lex_state = 3},
  [10305] = {.lex_state = 432, .external_lex_state = 3},
  [10306] = {.lex_state = 180, .external_lex_state = 3},
  [10307] = {.lex_state = 180, .external_lex_state = 3},
  [10308] = {.lex_state = 180, .external_lex_state = 3},
  [10309] = {.lex_state = 15, .external_lex_state = 2},
  [10310] = {.lex_state = 15, .external_lex_state = 2},
  [10311] = {.lex_state = 15, .external_lex_state = 2},
  [10312] = {.lex_state = 15, .external_lex_state = 2},
  [10313] = {.lex_state = 7, .external_lex_state = 3},
  [10314] = {.lex_state = 7, .external_lex_state = 3},
  [10315] = {.lex_state = 7, .external_lex_state = 3},
  [10316] = {.lex_state = 188, .external_lex_state = 3},
  [10317] = {.lex_state = 7, .external_lex_state = 3},
  [10318] = {.lex_state = 7, .external_lex_state = 3},
  [10319] = {.lex_state = 7, .external_lex_state = 3},
  [10320] = {.lex_state = 7, .external_lex_state = 3},
  [10321] = {.lex_state = 7, .external_lex_state = 3},
  [10322] = {.lex_state = 7, .external_lex_state = 3},
  [10323] = {.lex_state = 15, .external_lex_state = 2},
  [10324] = {.lex_state = 15, .external_lex_state = 2},
  [10325] = {.lex_state = 15, .external_lex_state = 2},
  [10326] = {.lex_state = 7, .external_lex_state = 3},
  [10327] = {.lex_state = 7, .external_lex_state = 3},
  [10328] = {.lex_state = 7, .external_lex_state = 3},
  [10329] = {.lex_state = 15, .external_lex_state = 2},
  [10330] = {.lex_state = 7, .external_lex_state = 3},
  [10331] = {.lex_state = 15, .external_lex_state = 2},
  [10332] = {.lex_state = 432, .external_lex_state = 3},
  [10333] = {.lex_state = 7, .external_lex_state = 3},
  [10334] = {.lex_state = 7, .external_lex_state = 3},
  [10335] = {.lex_state = 7, .external_lex_state = 3},
  [10336] = {.lex_state = 7, .external_lex_state = 3},
  [10337] = {.lex_state = 7, .external_lex_state = 3},
  [10338] = {.lex_state = 432, .external_lex_state = 3},
  [10339] = {.lex_state = 432, .external_lex_state = 3},
  [10340] = {.lex_state = 432, .external_lex_state = 3},
  [10341] = {.lex_state = 432, .external_lex_state = 3},
  [10342] = {.lex_state = 7, .external_lex_state = 3},
  [10343] = {.lex_state = 7, .external_lex_state = 3},
  [10344] = {.lex_state = 15, .external_lex_state = 2},
  [10345] = {.lex_state = 7, .external_lex_state = 3},
  [10346] = {.lex_state = 7, .external_lex_state = 3},
  [10347] = {.lex_state = 15, .external_lex_state = 2},
  [10348] = {.lex_state = 7, .external_lex_state = 3},
  [10349] = {.lex_state = 7, .external_lex_state = 3},
  [10350] = {.lex_state = 7, .external_lex_state = 3},
  [10351] = {.lex_state = 7, .external_lex_state = 3},
  [10352] = {.lex_state = 7, .external_lex_state = 3},
  [10353] = {.lex_state = 427, .external_lex_state = 3},
  [10354] = {.lex_state = 432, .external_lex_state = 3},
  [10355] = {.lex_state = 432, .external_lex_state = 3},
  [10356] = {.lex_state = 432, .external_lex_state = 3},
  [10357] = {.lex_state = 432, .external_lex_state = 3},
  [10358] = {.lex_state = 7, .external_lex_state = 3},
  [10359] = {.lex_state = 7, .external_lex_state = 3},
  [10360] = {.lex_state = 7, .external_lex_state = 3},
  [10361] = {.lex_state = 7, .external_lex_state = 3},
  [10362] = {.lex_state = 7, .external_lex_state = 3},
  [10363] = {.lex_state = 7, .external_lex_state = 3},
  [10364] = {.lex_state = 7, .external_lex_state = 3},
  [10365] = {.lex_state = 7, .external_lex_state = 3},
  [10366] = {.lex_state = 7, .external_lex_state = 3},
  [10367] = {.lex_state = 7, .external_lex_state = 3},
  [10368] = {.lex_state = 7, .external_lex_state = 3},
  [10369] = {.lex_state = 7, .external_lex_state = 3},
  [10370] = {.lex_state = 7, .external_lex_state = 3},
  [10371] = {.lex_state = 7, .external_lex_state = 3},
  [10372] = {.lex_state = 7, .external_lex_state = 3},
  [10373] = {.lex_state = 7, .external_lex_state = 3},
  [10374] = {.lex_state = 7, .external_lex_state = 3},
  [10375] = {.lex_state = 7, .external_lex_state = 3},
  [10376] = {.lex_state = 432, .external_lex_state = 3},
  [10377] = {.lex_state = 432, .external_lex_state = 3},
  [10378] = {.lex_state = 432, .external_lex_state = 3},
  [10379] = {.lex_state = 432, .external_lex_state = 3},
  [10380] = {.lex_state = 432, .external_lex_state = 3},
  [10381] = {.lex_state = 7, .external_lex_state = 3},
  [10382] = {.lex_state = 7, .external_lex_state = 3},
  [10383] = {.lex_state = 7, .external_lex_state = 3},
  [10384] = {.lex_state = 188, .external_lex_state = 3},
  [10385] = {.lex_state = 7, .external_lex_state = 3},
  [10386] = {.lex_state = 7, .external_lex_state = 3},
  [10387] = {.lex_state = 432, .external_lex_state = 3},
  [10388] = {.lex_state = 432, .external_lex_state = 3},
  [10389] = {.lex_state = 7, .external_lex_state = 3},
  [10390] = {.lex_state = 7, .external_lex_state = 3},
  [10391] = {.lex_state = 7, .external_lex_state = 3},
  [10392] = {.lex_state = 7, .external_lex_state = 3},
  [10393] = {.lex_state = 7, .external_lex_state = 3},
  [10394] = {.lex_state = 432, .external_lex_state = 3},
  [10395] = {.lex_state = 432, .external_lex_state = 3},
  [10396] = {.lex_state = 432, .external_lex_state = 3},
  [10397] = {.lex_state = 432, .external_lex_state = 3},
  [10398] = {.lex_state = 187, .external_lex_state = 3},
  [10399] = {.lex_state = 432, .external_lex_state = 3},
  [10400] = {.lex_state = 432, .external_lex_state = 3},
  [10401] = {.lex_state = 432, .external_lex_state = 3},
  [10402] = {.lex_state = 7, .external_lex_state = 3},
  [10403] = {.lex_state = 7, .external_lex_state = 3},
  [10404] = {.lex_state = 7, .external_lex_state = 3},
  [10405] = {.lex_state = 432, .external_lex_state = 3},
  [10406] = {.lex_state = 7, .external_lex_state = 3},
  [10407] = {.lex_state = 7, .external_lex_state = 3},
  [10408] = {.lex_state = 7, .external_lex_state = 3},
  [10409] = {.lex_state = 7, .external_lex_state = 3},
  [10410] = {.lex_state = 7, .external_lex_state = 3},
  [10411] = {.lex_state = 7, .external_lex_state = 3},
  [10412] = {.lex_state = 425, .external_lex_state = 3},
  [10413] = {.lex_state = 187, .external_lex_state = 3},
  [10414] = {.lex_state = 7, .external_lex_state = 3},
  [10415] = {.lex_state = 7, .external_lex_state = 3},
  [10416] = {.lex_state = 7, .external_lex_state = 3},
  [10417] = {.lex_state = 7, .external_lex_state = 3},
  [10418] = {.lex_state = 7, .external_lex_state = 3},
  [10419] = {.lex_state = 7, .external_lex_state = 3},
  [10420] = {.lex_state = 7, .external_lex_state = 3},
  [10421] = {.lex_state = 7, .external_lex_state = 3},
  [10422] = {.lex_state = 7, .external_lex_state = 3},
  [10423] = {.lex_state = 7, .external_lex_state = 3},
  [10424] = {.lex_state = 7, .external_lex_state = 3},
  [10425] = {.lex_state = 7, .external_lex_state = 3},
  [10426] = {.lex_state = 7, .external_lex_state = 3},
  [10427] = {.lex_state = 7, .external_lex_state = 3},
  [10428] = {.lex_state = 7, .external_lex_state = 3},
  [10429] = {.lex_state = 7, .external_lex_state = 3},
  [10430] = {.lex_state = 7, .external_lex_state = 3},
  [10431] = {.lex_state = 7, .external_lex_state = 3},
  [10432] = {.lex_state = 7, .external_lex_state = 3},
  [10433] = {.lex_state = 7, .external_lex_state = 3},
  [10434] = {.lex_state = 425, .external_lex_state = 3},
  [10435] = {.lex_state = 7, .external_lex_state = 3},
  [10436] = {.lex_state = 7, .external_lex_state = 3},
  [10437] = {.lex_state = 7, .external_lex_state = 3},
  [10438] = {.lex_state = 7, .external_lex_state = 3},
  [10439] = {.lex_state = 432, .external_lex_state = 3},
  [10440] = {.lex_state = 7, .external_lex_state = 3},
  [10441] = {.lex_state = 7, .external_lex_state = 3},
  [10442] = {.lex_state = 15, .external_lex_state = 2},
  [10443] = {.lex_state = 15, .external_lex_state = 2},
  [10444] = {.lex_state = 7, .external_lex_state = 3},
  [10445] = {.lex_state = 7, .external_lex_state = 3},
  [10446] = {.lex_state = 7, .external_lex_state = 3},
  [10447] = {.lex_state = 432, .external_lex_state = 3},
  [10448] = {.lex_state = 7, .external_lex_state = 3},
  [10449] = {.lex_state = 15, .external_lex_state = 2},
  [10450] = {.lex_state = 7, .external_lex_state = 3},
  [10451] = {.lex_state = 7, .external_lex_state = 3},
  [10452] = {.lex_state = 15, .external_lex_state = 2},
  [10453] = {.lex_state = 7, .external_lex_state = 3},
  [10454] = {.lex_state = 7, .external_lex_state = 3},
  [10455] = {.lex_state = 7, .external_lex_state = 3},
  [10456] = {.lex_state = 425, .external_lex_state = 3},
  [10457] = {.lex_state = 7, .external_lex_state = 3},
  [10458] = {.lex_state = 425, .external_lex_state = 3},
  [10459] = {.lex_state = 7, .external_lex_state = 3},
  [10460] = {.lex_state = 7, .external_lex_state = 3},
  [10461] = {.lex_state = 189, .external_lex_state = 3},
  [10462] = {.lex_state = 7, .external_lex_state = 3},
  [10463] = {.lex_state = 7, .external_lex_state = 3},
  [10464] = {.lex_state = 7, .external_lex_state = 3},
  [10465] = {.lex_state = 189, .external_lex_state = 3},
  [10466] = {.lex_state = 7, .external_lex_state = 3},
  [10467] = {.lex_state = 7, .external_lex_state = 3},
  [10468] = {.lex_state = 7, .external_lex_state = 3},
  [10469] = {.lex_state = 7, .external_lex_state = 3},
  [10470] = {.lex_state = 15, .external_lex_state = 2},
  [10471] = {.lex_state = 432, .external_lex_state = 3},
  [10472] = {.lex_state = 15, .external_lex_state = 2},
  [10473] = {.lex_state = 180, .external_lex_state = 3},
  [10474] = {.lex_state = 7, .external_lex_state = 3},
  [10475] = {.lex_state = 15, .external_lex_state = 2},
  [10476] = {.lex_state = 15, .external_lex_state = 2},
  [10477] = {.lex_state = 15, .external_lex_state = 2},
  [10478] = {.lex_state = 7, .external_lex_state = 3},
  [10479] = {.lex_state = 7, .external_lex_state = 3},
  [10480] = {.lex_state = 15, .external_lex_state = 2},
  [10481] = {.lex_state = 15, .external_lex_state = 2},
  [10482] = {.lex_state = 418, .external_lex_state = 3},
  [10483] = {.lex_state = 418, .external_lex_state = 3},
  [10484] = {.lex_state = 418, .external_lex_state = 3},
  [10485] = {.lex_state = 180, .external_lex_state = 3},
  [10486] = {.lex_state = 418, .external_lex_state = 3},
  [10487] = {.lex_state = 418, .external_lex_state = 3},
  [10488] = {.lex_state = 425, .external_lex_state = 3},
  [10489] = {.lex_state = 146, .external_lex_state = 2},
  [10490] = {.lex_state = 418, .external_lex_state = 3},
  [10491] = {.lex_state = 7, .external_lex_state = 3},
  [10492] = {.lex_state = 146, .external_lex_state = 2},
  [10493] = {.lex_state = 187, .external_lex_state = 3},
  [10494] = {.lex_state = 430, .external_lex_state = 3},
  [10495] = {.lex_state = 412, .external_lex_state = 3},
  [10496] = {.lex_state = 7, .external_lex_state = 3},
  [10497] = {.lex_state = 432, .external_lex_state = 3},
  [10498] = {.lex_state = 15, .external_lex_state = 2},
  [10499] = {.lex_state = 7, .external_lex_state = 3},
  [10500] = {.lex_state = 15, .external_lex_state = 2},
  [10501] = {.lex_state = 15, .external_lex_state = 2},
  [10502] = {.lex_state = 15, .external_lex_state = 2},
  [10503] = {.lex_state = 15, .external_lex_state = 2},
  [10504] = {.lex_state = 15, .external_lex_state = 2},
  [10505] = {.lex_state = 15, .external_lex_state = 2},
  [10506] = {.lex_state = 15, .external_lex_state = 2},
  [10507] = {.lex_state = 15, .external_lex_state = 2},
  [10508] = {.lex_state = 15, .external_lex_state = 2},
  [10509] = {.lex_state = 15, .external_lex_state = 2},
  [10510] = {.lex_state = 15, .external_lex_state = 2},
  [10511] = {.lex_state = 15, .external_lex_state = 2},
  [10512] = {.lex_state = 15, .external_lex_state = 2},
  [10513] = {.lex_state = 15, .external_lex_state = 2},
  [10514] = {.lex_state = 15, .external_lex_state = 2},
  [10515] = {.lex_state = 15, .external_lex_state = 2},
  [10516] = {.lex_state = 15, .external_lex_state = 2},
  [10517] = {.lex_state = 15, .external_lex_state = 2},
  [10518] = {.lex_state = 15, .external_lex_state = 2},
  [10519] = {.lex_state = 15, .external_lex_state = 2},
  [10520] = {.lex_state = 412, .external_lex_state = 3},
  [10521] = {.lex_state = 15, .external_lex_state = 2},
  [10522] = {.lex_state = 15, .external_lex_state = 2},
  [10523] = {.lex_state = 15, .external_lex_state = 2},
  [10524] = {.lex_state = 15, .external_lex_state = 2},
  [10525] = {.lex_state = 15, .external_lex_state = 2},
  [10526] = {.lex_state = 15, .external_lex_state = 2},
  [10527] = {.lex_state = 15, .external_lex_state = 2},
  [10528] = {.lex_state = 15, .external_lex_state = 2},
  [10529] = {.lex_state = 15, .external_lex_state = 2},
  [10530] = {.lex_state = 15, .external_lex_state = 2},
  [10531] = {.lex_state = 15, .external_lex_state = 2},
  [10532] = {.lex_state = 15, .external_lex_state = 2},
  [10533] = {.lex_state = 15, .external_lex_state = 2},
  [10534] = {.lex_state = 15, .external_lex_state = 2},
  [10535] = {.lex_state = 15, .external_lex_state = 2},
  [10536] = {.lex_state = 15, .external_lex_state = 2},
  [10537] = {.lex_state = 15, .external_lex_state = 2},
  [10538] = {.lex_state = 15, .external_lex_state = 2},
  [10539] = {.lex_state = 15, .external_lex_state = 2},
  [10540] = {.lex_state = 15, .external_lex_state = 2},
  [10541] = {.lex_state = 15, .external_lex_state = 2},
  [10542] = {.lex_state = 15, .external_lex_state = 2},
  [10543] = {.lex_state = 7, .external_lex_state = 3},
  [10544] = {.lex_state = 432, .external_lex_state = 3},
  [10545] = {.lex_state = 15, .external_lex_state = 2},
  [10546] = {.lex_state = 430, .external_lex_state = 3},
  [10547] = {.lex_state = 430, .external_lex_state = 3},
  [10548] = {.lex_state = 430, .external_lex_state = 3},
  [10549] = {.lex_state = 432, .external_lex_state = 3},
  [10550] = {.lex_state = 432, .external_lex_state = 3},
  [10551] = {.lex_state = 189, .external_lex_state = 3},
  [10552] = {.lex_state = 432, .external_lex_state = 3},
  [10553] = {.lex_state = 15, .external_lex_state = 2},
  [10554] = {.lex_state = 188, .external_lex_state = 3},
  [10555] = {.lex_state = 188, .external_lex_state = 3},
  [10556] = {.lex_state = 188, .external_lex_state = 3},
  [10557] = {.lex_state = 188, .external_lex_state = 3},
  [10558] = {.lex_state = 188, .external_lex_state = 3},
  [10559] = {.lex_state = 15, .external_lex_state = 2},
  [10560] = {.lex_state = 188, .external_lex_state = 3},
  [10561] = {.lex_state = 188, .external_lex_state = 3},
  [10562] = {.lex_state = 188, .external_lex_state = 3},
  [10563] = {.lex_state = 188, .external_lex_state = 3},
  [10564] = {.lex_state = 188, .external_lex_state = 3},
  [10565] = {.lex_state = 188, .external_lex_state = 3},
  [10566] = {.lex_state = 188, .external_lex_state = 3},
  [10567] = {.lex_state = 188, .external_lex_state = 3},
  [10568] = {.lex_state = 188, .external_lex_state = 3},
  [10569] = {.lex_state = 188, .external_lex_state = 3},
  [10570] = {.lex_state = 188, .external_lex_state = 3},
  [10571] = {.lex_state = 188, .external_lex_state = 3},
  [10572] = {.lex_state = 188, .external_lex_state = 3},
  [10573] = {.lex_state = 188, .external_lex_state = 3},
  [10574] = {.lex_state = 188, .external_lex_state = 3},
  [10575] = {.lex_state = 188, .external_lex_state = 3},
  [10576] = {.lex_state = 188, .external_lex_state = 3},
  [10577] = {.lex_state = 188, .external_lex_state = 3},
  [10578] = {.lex_state = 188, .external_lex_state = 3},
  [10579] = {.lex_state = 188, .external_lex_state = 3},
  [10580] = {.lex_state = 188, .external_lex_state = 3},
  [10581] = {.lex_state = 188, .external_lex_state = 3},
  [10582] = {.lex_state = 188, .external_lex_state = 3},
  [10583] = {.lex_state = 7, .external_lex_state = 3},
  [10584] = {.lex_state = 7, .external_lex_state = 3},
  [10585] = {.lex_state = 7, .external_lex_state = 3},
  [10586] = {.lex_state = 188, .external_lex_state = 3},
  [10587] = {.lex_state = 7, .external_lex_state = 3},
  [10588] = {.lex_state = 188, .external_lex_state = 3},
  [10589] = {.lex_state = 7, .external_lex_state = 3},
  [10590] = {.lex_state = 7, .external_lex_state = 3},
  [10591] = {.lex_state = 7, .external_lex_state = 3},
  [10592] = {.lex_state = 7, .external_lex_state = 3},
  [10593] = {.lex_state = 7, .external_lex_state = 3},
  [10594] = {.lex_state = 15, .external_lex_state = 2},
  [10595] = {.lex_state = 15, .external_lex_state = 2},
  [10596] = {.lex_state = 7, .external_lex_state = 3},
  [10597] = {.lex_state = 7, .external_lex_state = 3},
  [10598] = {.lex_state = 15, .external_lex_state = 2},
  [10599] = {.lex_state = 15, .external_lex_state = 2},
  [10600] = {.lex_state = 7, .external_lex_state = 3},
  [10601] = {.lex_state = 15, .external_lex_state = 2},
  [10602] = {.lex_state = 7, .external_lex_state = 3},
  [10603] = {.lex_state = 7, .external_lex_state = 3},
  [10604] = {.lex_state = 7, .external_lex_state = 3},
  [10605] = {.lex_state = 7, .external_lex_state = 3},
  [10606] = {.lex_state = 7, .external_lex_state = 3},
  [10607] = {.lex_state = 7, .external_lex_state = 3},
  [10608] = {.lex_state = 180, .external_lex_state = 3},
  [10609] = {.lex_state = 180, .external_lex_state = 3},
  [10610] = {.lex_state = 425, .external_lex_state = 3},
  [10611] = {.lex_state = 7, .external_lex_state = 3},
  [10612] = {.lex_state = 7, .external_lex_state = 3},
  [10613] = {.lex_state = 7, .external_lex_state = 3},
  [10614] = {.lex_state = 180, .external_lex_state = 3},
  [10615] = {.lex_state = 7, .external_lex_state = 3},
  [10616] = {.lex_state = 15, .external_lex_state = 2},
  [10617] = {.lex_state = 7, .external_lex_state = 3},
  [10618] = {.lex_state = 7, .external_lex_state = 3},
  [10619] = {.lex_state = 7, .external_lex_state = 3},
  [10620] = {.lex_state = 432, .external_lex_state = 3},
  [10621] = {.lex_state = 7, .external_lex_state = 3},
  [10622] = {.lex_state = 7, .external_lex_state = 3},
  [10623] = {.lex_state = 15, .external_lex_state = 2},
  [10624] = {.lex_state = 180, .external_lex_state = 3},
  [10625] = {.lex_state = 146, .external_lex_state = 2},
  [10626] = {.lex_state = 7, .external_lex_state = 3},
  [10627] = {.lex_state = 146, .external_lex_state = 2},
  [10628] = {.lex_state = 7, .external_lex_state = 3},
  [10629] = {.lex_state = 167, .external_lex_state = 3},
  [10630] = {.lex_state = 174, .external_lex_state = 3},
  [10631] = {.lex_state = 130, .external_lex_state = 3},
  [10632] = {.lex_state = 130, .external_lex_state = 3},
  [10633] = {.lex_state = 130, .external_lex_state = 3},
  [10634] = {.lex_state = 130, .external_lex_state = 3},
  [10635] = {.lex_state = 130, .external_lex_state = 3},
  [10636] = {.lex_state = 130, .external_lex_state = 3},
  [10637] = {.lex_state = 130, .external_lex_state = 3},
  [10638] = {.lex_state = 130, .external_lex_state = 3},
  [10639] = {.lex_state = 130, .external_lex_state = 3},
  [10640] = {.lex_state = 130, .external_lex_state = 3},
  [10641] = {.lex_state = 130, .external_lex_state = 3},
  [10642] = {.lex_state = 130, .external_lex_state = 3},
  [10643] = {.lex_state = 167, .external_lex_state = 3},
  [10644] = {.lex_state = 418, .external_lex_state = 3},
  [10645] = {.lex_state = 7, .external_lex_state = 3},
  [10646] = {.lex_state = 175, .external_lex_state = 3},
  [10647] = {.lex_state = 167, .external_lex_state = 3},
  [10648] = {.lex_state = 425, .external_lex_state = 3},
  [10649] = {.lex_state = 146, .external_lex_state = 2},
  [10650] = {.lex_state = 167, .external_lex_state = 3},
  [10651] = {.lex_state = 428, .external_lex_state = 3},
  [10652] = {.lex_state = 180, .external_lex_state = 3},
  [10653] = {.lex_state = 146, .external_lex_state = 2},
  [10654] = {.lex_state = 180, .external_lex_state = 3},
  [10655] = {.lex_state = 180, .external_lex_state = 3},
  [10656] = {.lex_state = 425, .external_lex_state = 3},
  [10657] = {.lex_state = 180, .external_lex_state = 3},
  [10658] = {.lex_state = 180, .external_lex_state = 3},
  [10659] = {.lex_state = 180, .external_lex_state = 3},
  [10660] = {.lex_state = 130, .external_lex_state = 3},
  [10661] = {.lex_state = 180, .external_lex_state = 3},
  [10662] = {.lex_state = 130, .external_lex_state = 3},
  [10663] = {.lex_state = 130, .external_lex_state = 3},
  [10664] = {.lex_state = 130, .external_lex_state = 3},
  [10665] = {.lex_state = 130, .external_lex_state = 3},
  [10666] = {.lex_state = 130, .external_lex_state = 3},
  [10667] = {.lex_state = 9, .external_lex_state = 3},
  [10668] = {.lex_state = 180, .external_lex_state = 3},
  [10669] = {.lex_state = 425, .external_lex_state = 3},
  [10670] = {.lex_state = 425, .external_lex_state = 3},
  [10671] = {.lex_state = 425, .external_lex_state = 3},
  [10672] = {.lex_state = 425, .external_lex_state = 3},
  [10673] = {.lex_state = 139, .external_lex_state = 3},
  [10674] = {.lex_state = 425, .external_lex_state = 3},
  [10675] = {.lex_state = 433, .external_lex_state = 3},
  [10676] = {.lex_state = 180, .external_lex_state = 3},
  [10677] = {.lex_state = 180, .external_lex_state = 3},
  [10678] = {.lex_state = 180, .external_lex_state = 3},
  [10679] = {.lex_state = 130, .external_lex_state = 3},
  [10680] = {.lex_state = 175, .external_lex_state = 3},
  [10681] = {.lex_state = 130, .external_lex_state = 3},
  [10682] = {.lex_state = 425, .external_lex_state = 3},
  [10683] = {.lex_state = 180, .external_lex_state = 3},
  [10684] = {.lex_state = 180, .external_lex_state = 3},
  [10685] = {.lex_state = 180, .external_lex_state = 3},
  [10686] = {.lex_state = 180, .external_lex_state = 3},
  [10687] = {.lex_state = 180, .external_lex_state = 3},
  [10688] = {.lex_state = 180, .external_lex_state = 3},
  [10689] = {.lex_state = 180, .external_lex_state = 3},
  [10690] = {.lex_state = 180, .external_lex_state = 3},
  [10691] = {.lex_state = 139, .external_lex_state = 3},
  [10692] = {.lex_state = 180, .external_lex_state = 3},
  [10693] = {.lex_state = 180, .external_lex_state = 3},
  [10694] = {.lex_state = 180, .external_lex_state = 3},
  [10695] = {.lex_state = 180, .external_lex_state = 3},
  [10696] = {.lex_state = 180, .external_lex_state = 3},
  [10697] = {.lex_state = 180, .external_lex_state = 3},
  [10698] = {.lex_state = 180, .external_lex_state = 3},
  [10699] = {.lex_state = 180, .external_lex_state = 3},
  [10700] = {.lex_state = 180, .external_lex_state = 3},
  [10701] = {.lex_state = 139, .external_lex_state = 3},
  [10702] = {.lex_state = 139, .external_lex_state = 3},
  [10703] = {.lex_state = 139, .external_lex_state = 3},
  [10704] = {.lex_state = 189, .external_lex_state = 3},
  [10705] = {.lex_state = 425, .external_lex_state = 3},
  [10706] = {.lex_state = 180, .external_lex_state = 3},
  [10707] = {.lex_state = 418, .external_lex_state = 3},
  [10708] = {.lex_state = 7, .external_lex_state = 3},
  [10709] = {.lex_state = 7, .external_lex_state = 3},
  [10710] = {.lex_state = 7, .external_lex_state = 3},
  [10711] = {.lex_state = 7, .external_lex_state = 3},
  [10712] = {.lex_state = 425, .external_lex_state = 3},
  [10713] = {.lex_state = 425, .external_lex_state = 3},
  [10714] = {.lex_state = 433, .external_lex_state = 3},
  [10715] = {.lex_state = 417, .external_lex_state = 2},
  [10716] = {.lex_state = 180, .external_lex_state = 3},
  [10717] = {.lex_state = 174, .external_lex_state = 3},
  [10718] = {.lex_state = 7, .external_lex_state = 3},
  [10719] = {.lex_state = 180, .external_lex_state = 3},
  [10720] = {.lex_state = 130, .external_lex_state = 3},
  [10721] = {.lex_state = 7, .external_lex_state = 3},
  [10722] = {.lex_state = 139, .external_lex_state = 3},
  [10723] = {.lex_state = 130, .external_lex_state = 3},
  [10724] = {.lex_state = 180, .external_lex_state = 3},
  [10725] = {.lex_state = 7, .external_lex_state = 3},
  [10726] = {.lex_state = 130, .external_lex_state = 3},
  [10727] = {.lex_state = 167, .external_lex_state = 3},
  [10728] = {.lex_state = 432, .external_lex_state = 3},
  [10729] = {.lex_state = 425, .external_lex_state = 3},
  [10730] = {.lex_state = 425, .external_lex_state = 3},
  [10731] = {.lex_state = 187, .external_lex_state = 3},
  [10732] = {.lex_state = 130, .external_lex_state = 3},
  [10733] = {.lex_state = 180, .external_lex_state = 3},
  [10734] = {.lex_state = 429, .external_lex_state = 3},
  [10735] = {.lex_state = 9, .external_lex_state = 3},
  [10736] = {.lex_state = 425, .external_lex_state = 3},
  [10737] = {.lex_state = 131, .external_lex_state = 3},
  [10738] = {.lex_state = 9, .external_lex_state = 3},
  [10739] = {.lex_state = 131, .external_lex_state = 3},
  [10740] = {.lex_state = 131, .external_lex_state = 3},
  [10741] = {.lex_state = 129, .external_lex_state = 3},
  [10742] = {.lex_state = 434, .external_lex_state = 3},
  [10743] = {.lex_state = 9, .external_lex_state = 3},
  [10744] = {.lex_state = 129, .external_lex_state = 3},
  [10745] = {.lex_state = 9, .external_lex_state = 3},
  [10746] = {.lex_state = 129, .external_lex_state = 3},
  [10747] = {.lex_state = 9, .external_lex_state = 3},
  [10748] = {.lex_state = 9, .external_lex_state = 3},
  [10749] = {.lex_state = 129, .external_lex_state = 3},
  [10750] = {.lex_state = 9, .external_lex_state = 3},
  [10751] = {.lex_state = 9, .external_lex_state = 3},
  [10752] = {.lex_state = 9, .external_lex_state = 3},
  [10753] = {.lex_state = 9, .external_lex_state = 3},
  [10754] = {.lex_state = 9, .external_lex_state = 3},
  [10755] = {.lex_state = 9, .external_lex_state = 3},
  [10756] = {.lex_state = 9, .external_lex_state = 3},
  [10757] = {.lex_state = 9, .external_lex_state = 3},
  [10758] = {.lex_state = 9, .external_lex_state = 3},
  [10759] = {.lex_state = 434, .external_lex_state = 3},
  [10760] = {.lex_state = 9, .external_lex_state = 3},
  [10761] = {.lex_state = 129, .external_lex_state = 3},
  [10762] = {.lex_state = 129, .external_lex_state = 3},
  [10763] = {.lex_state = 129, .external_lex_state = 3},
  [10764] = {.lex_state = 34, .external_lex_state = 2},
  [10765] = {.lex_state = 129, .external_lex_state = 3},
  [10766] = {.lex_state = 129, .external_lex_state = 3},
  [10767] = {.lex_state = 175, .external_lex_state = 3},
  [10768] = {.lex_state = 175, .external_lex_state = 3},
  [10769] = {.lex_state = 9, .external_lex_state = 3},
  [10770] = {.lex_state = 425, .external_lex_state = 3},
  [10771] = {.lex_state = 175, .external_lex_state = 3},
  [10772] = {.lex_state = 9, .external_lex_state = 3},
  [10773] = {.lex_state = 174, .external_lex_state = 3},
  [10774] = {.lex_state = 425, .external_lex_state = 3},
  [10775] = {.lex_state = 434, .external_lex_state = 3},
  [10776] = {.lex_state = 174, .external_lex_state = 3},
  [10777] = {.lex_state = 9, .external_lex_state = 3},
  [10778] = {.lex_state = 129, .external_lex_state = 3},
  [10779] = {.lex_state = 175, .external_lex_state = 3},
  [10780] = {.lex_state = 425, .external_lex_state = 3},
  [10781] = {.lex_state = 9, .external_lex_state = 3},
  [10782] = {.lex_state = 175, .external_lex_state = 3},
  [10783] = {.lex_state = 175, .external_lex_state = 3},
  [10784] = {.lex_state = 189, .external_lex_state = 3},
  [10785] = {.lex_state = 9, .external_lex_state = 3},
  [10786] = {.lex_state = 130, .external_lex_state = 3},
  [10787] = {.lex_state = 9, .external_lex_state = 3},
  [10788] = {.lex_state = 9, .external_lex_state = 3},
  [10789] = {.lex_state = 131, .external_lex_state = 3},
  [10790] = {.lex_state = 189, .external_lex_state = 3},
  [10791] = {.lex_state = 131, .external_lex_state = 3},
  [10792] = {.lex_state = 189, .external_lex_state = 3},
  [10793] = {.lex_state = 189, .external_lex_state = 3},
  [10794] = {.lex_state = 189, .external_lex_state = 3},
  [10795] = {.lex_state = 425, .external_lex_state = 3},
  [10796] = {.lex_state = 180, .external_lex_state = 3},
  [10797] = {.lex_state = 189, .external_lex_state = 3},
  [10798] = {.lex_state = 9, .external_lex_state = 3},
  [10799] = {.lex_state = 187, .external_lex_state = 3},
  [10800] = {.lex_state = 189, .external_lex_state = 3},
  [10801] = {.lex_state = 189, .external_lex_state = 3},
  [10802] = {.lex_state = 189, .external_lex_state = 3},
  [10803] = {.lex_state = 189, .external_lex_state = 3},
  [10804] = {.lex_state = 174, .external_lex_state = 3},
  [10805] = {.lex_state = 184, .external_lex_state = 3},
  [10806] = {.lex_state = 9, .external_lex_state = 3},
  [10807] = {.lex_state = 189, .external_lex_state = 3},
  [10808] = {.lex_state = 189, .external_lex_state = 3},
  [10809] = {.lex_state = 189, .external_lex_state = 3},
  [10810] = {.lex_state = 189, .external_lex_state = 3},
  [10811] = {.lex_state = 189, .external_lex_state = 3},
  [10812] = {.lex_state = 189, .external_lex_state = 3},
  [10813] = {.lex_state = 189, .external_lex_state = 3},
  [10814] = {.lex_state = 189, .external_lex_state = 3},
  [10815] = {.lex_state = 189, .external_lex_state = 3},
  [10816] = {.lex_state = 189, .external_lex_state = 3},
  [10817] = {.lex_state = 189, .external_lex_state = 3},
  [10818] = {.lex_state = 189, .external_lex_state = 3},
  [10819] = {.lex_state = 189, .external_lex_state = 3},
  [10820] = {.lex_state = 189, .external_lex_state = 3},
  [10821] = {.lex_state = 9, .external_lex_state = 3},
  [10822] = {.lex_state = 187, .external_lex_state = 3},
  [10823] = {.lex_state = 187, .external_lex_state = 3},
  [10824] = {.lex_state = 187, .external_lex_state = 3},
  [10825] = {.lex_state = 187, .external_lex_state = 3},
  [10826] = {.lex_state = 189, .external_lex_state = 3},
  [10827] = {.lex_state = 9, .external_lex_state = 3},
  [10828] = {.lex_state = 131, .external_lex_state = 3},
  [10829] = {.lex_state = 131, .external_lex_state = 3},
  [10830] = {.lex_state = 131, .external_lex_state = 3},
  [10831] = {.lex_state = 131, .external_lex_state = 3},
  [10832] = {.lex_state = 131, .external_lex_state = 3},
  [10833] = {.lex_state = 131, .external_lex_state = 3},
  [10834] = {.lex_state = 131, .external_lex_state = 3},
  [10835] = {.lex_state = 9, .external_lex_state = 3},
  [10836] = {.lex_state = 131, .external_lex_state = 3},
  [10837] = {.lex_state = 131, .external_lex_state = 3},
  [10838] = {.lex_state = 131, .external_lex_state = 3},
  [10839] = {.lex_state = 131, .external_lex_state = 3},
  [10840] = {.lex_state = 139, .external_lex_state = 3},
  [10841] = {.lex_state = 131, .external_lex_state = 3},
  [10842] = {.lex_state = 131, .external_lex_state = 3},
  [10843] = {.lex_state = 187, .external_lex_state = 3},
  [10844] = {.lex_state = 187, .external_lex_state = 3},
  [10845] = {.lex_state = 187, .external_lex_state = 3},
  [10846] = {.lex_state = 131, .external_lex_state = 3},
  [10847] = {.lex_state = 189, .external_lex_state = 3},
  [10848] = {.lex_state = 187, .external_lex_state = 3},
  [10849] = {.lex_state = 9, .external_lex_state = 3},
  [10850] = {.lex_state = 174, .external_lex_state = 3},
  [10851] = {.lex_state = 131, .external_lex_state = 3},
  [10852] = {.lex_state = 131, .external_lex_state = 3},
  [10853] = {.lex_state = 131, .external_lex_state = 3},
  [10854] = {.lex_state = 131, .external_lex_state = 3},
  [10855] = {.lex_state = 131, .external_lex_state = 3},
  [10856] = {.lex_state = 131, .external_lex_state = 3},
  [10857] = {.lex_state = 131, .external_lex_state = 3},
  [10858] = {.lex_state = 434, .external_lex_state = 3},
  [10859] = {.lex_state = 187, .external_lex_state = 3},
  [10860] = {.lex_state = 9, .external_lex_state = 3},
  [10861] = {.lex_state = 187, .external_lex_state = 3},
  [10862] = {.lex_state = 187, .external_lex_state = 3},
  [10863] = {.lex_state = 187, .external_lex_state = 3},
  [10864] = {.lex_state = 187, .external_lex_state = 3},
  [10865] = {.lex_state = 187, .external_lex_state = 3},
  [10866] = {.lex_state = 187, .external_lex_state = 3},
  [10867] = {.lex_state = 187, .external_lex_state = 3},
  [10868] = {.lex_state = 130, .external_lex_state = 3},
  [10869] = {.lex_state = 130, .external_lex_state = 3},
  [10870] = {.lex_state = 130, .external_lex_state = 3},
  [10871] = {.lex_state = 130, .external_lex_state = 3},
  [10872] = {.lex_state = 130, .external_lex_state = 3},
  [10873] = {.lex_state = 187, .external_lex_state = 3},
  [10874] = {.lex_state = 187, .external_lex_state = 3},
  [10875] = {.lex_state = 189, .external_lex_state = 3},
  [10876] = {.lex_state = 189, .external_lex_state = 3},
  [10877] = {.lex_state = 189, .external_lex_state = 3},
  [10878] = {.lex_state = 189, .external_lex_state = 3},
  [10879] = {.lex_state = 187, .external_lex_state = 3},
  [10880] = {.lex_state = 187, .external_lex_state = 3},
  [10881] = {.lex_state = 187, .external_lex_state = 3},
  [10882] = {.lex_state = 187, .external_lex_state = 3},
  [10883] = {.lex_state = 187, .external_lex_state = 3},
  [10884] = {.lex_state = 187, .external_lex_state = 3},
  [10885] = {.lex_state = 187, .external_lex_state = 3},
  [10886] = {.lex_state = 187, .external_lex_state = 3},
  [10887] = {.lex_state = 427, .external_lex_state = 3},
  [10888] = {.lex_state = 9, .external_lex_state = 3},
  [10889] = {.lex_state = 9, .external_lex_state = 3},
  [10890] = {.lex_state = 174, .external_lex_state = 3},
  [10891] = {.lex_state = 187, .external_lex_state = 3},
  [10892] = {.lex_state = 174, .external_lex_state = 3},
  [10893] = {.lex_state = 9, .external_lex_state = 3},
  [10894] = {.lex_state = 129, .external_lex_state = 3},
  [10895] = {.lex_state = 131, .external_lex_state = 3},
  [10896] = {.lex_state = 131, .external_lex_state = 3},
  [10897] = {.lex_state = 139, .external_lex_state = 3},
  [10898] = {.lex_state = 174, .external_lex_state = 3},
  [10899] = {.lex_state = 189, .external_lex_state = 3},
  [10900] = {.lex_state = 187, .external_lex_state = 3},
  [10901] = {.lex_state = 9, .external_lex_state = 3},
  [10902] = {.lex_state = 9, .external_lex_state = 3},
  [10903] = {.lex_state = 9, .external_lex_state = 3},
  [10904] = {.lex_state = 187, .external_lex_state = 3},
  [10905] = {.lex_state = 187, .external_lex_state = 3},
  [10906] = {.lex_state = 432, .external_lex_state = 3},
  [10907] = {.lex_state = 131, .external_lex_state = 3},
  [10908] = {.lex_state = 131, .external_lex_state = 3},
  [10909] = {.lex_state = 131, .external_lex_state = 3},
  [10910] = {.lex_state = 131, .external_lex_state = 3},
  [10911] = {.lex_state = 174, .external_lex_state = 3},
  [10912] = {.lex_state = 432, .external_lex_state = 3},
  [10913] = {.lex_state = 434, .external_lex_state = 3},
  [10914] = {.lex_state = 434, .external_lex_state = 3},
  [10915] = {.lex_state = 9, .external_lex_state = 3},
  [10916] = {.lex_state = 9, .external_lex_state = 3},
  [10917] = {.lex_state = 425, .external_lex_state = 3},
  [10918] = {.lex_state = 425, .external_lex_state = 3},
  [10919] = {.lex_state = 425, .external_lex_state = 3},
  [10920] = {.lex_state = 129, .external_lex_state = 3},
  [10921] = {.lex_state = 427, .external_lex_state = 3},
  [10922] = {.lex_state = 418, .external_lex_state = 3},
  [10923] = {.lex_state = 9, .external_lex_state = 3},
  [10924] = {.lex_state = 131, .external_lex_state = 3},
  [10925] = {.lex_state = 431, .external_lex_state = 3},
  [10926] = {.lex_state = 9, .external_lex_state = 3},
  [10927] = {.lex_state = 7, .external_lex_state = 3},
  [10928] = {.lex_state = 131, .external_lex_state = 3},
  [10929] = {.lex_state = 9, .external_lex_state = 3},
  [10930] = {.lex_state = 9, .external_lex_state = 3},
  [10931] = {.lex_state = 9, .external_lex_state = 3},
  [10932] = {.lex_state = 131, .external_lex_state = 3},
  [10933] = {.lex_state = 131, .external_lex_state = 3},
  [10934] = {.lex_state = 131, .external_lex_state = 3},
  [10935] = {.lex_state = 131, .external_lex_state = 3},
  [10936] = {.lex_state = 131, .external_lex_state = 3},
  [10937] = {.lex_state = 131, .external_lex_state = 3},
  [10938] = {.lex_state = 131, .external_lex_state = 3},
  [10939] = {.lex_state = 131, .external_lex_state = 3},
  [10940] = {.lex_state = 9, .external_lex_state = 3},
  [10941] = {.lex_state = 9, .external_lex_state = 3},
  [10942] = {.lex_state = 131, .external_lex_state = 3},
  [10943] = {.lex_state = 9, .external_lex_state = 3},
  [10944] = {.lex_state = 9, .external_lex_state = 3},
  [10945] = {.lex_state = 432, .external_lex_state = 3},
  [10946] = {.lex_state = 9, .external_lex_state = 3},
  [10947] = {.lex_state = 9, .external_lex_state = 3},
  [10948] = {.lex_state = 131, .external_lex_state = 3},
  [10949] = {.lex_state = 9, .external_lex_state = 3},
  [10950] = {.lex_state = 9, .external_lex_state = 3},
  [10951] = {.lex_state = 9, .external_lex_state = 3},
  [10952] = {.lex_state = 9, .external_lex_state = 3},
  [10953] = {.lex_state = 9, .external_lex_state = 3},
  [10954] = {.lex_state = 9, .external_lex_state = 3},
  [10955] = {.lex_state = 9, .external_lex_state = 3},
  [10956] = {.lex_state = 9, .external_lex_state = 3},
  [10957] = {.lex_state = 131, .external_lex_state = 3},
  [10958] = {.lex_state = 425, .external_lex_state = 3},
  [10959] = {.lex_state = 131, .external_lex_state = 3},
  [10960] = {.lex_state = 9, .external_lex_state = 3},
  [10961] = {.lex_state = 9, .external_lex_state = 3},
  [10962] = {.lex_state = 9, .external_lex_state = 3},
  [10963] = {.lex_state = 425, .external_lex_state = 3},
  [10964] = {.lex_state = 425, .external_lex_state = 3},
  [10965] = {.lex_state = 131, .external_lex_state = 3},
  [10966] = {.lex_state = 175, .external_lex_state = 3},
  [10967] = {.lex_state = 131, .external_lex_state = 3},
  [10968] = {.lex_state = 425, .external_lex_state = 3},
  [10969] = {.lex_state = 425, .external_lex_state = 3},
  [10970] = {.lex_state = 131, .external_lex_state = 3},
  [10971] = {.lex_state = 131, .external_lex_state = 3},
  [10972] = {.lex_state = 131, .external_lex_state = 3},
  [10973] = {.lex_state = 131, .external_lex_state = 3},
  [10974] = {.lex_state = 418, .external_lex_state = 3},
  [10975] = {.lex_state = 130, .external_lex_state = 3},
  [10976] = {.lex_state = 130, .external_lex_state = 3},
  [10977] = {.lex_state = 130, .external_lex_state = 3},
  [10978] = {.lex_state = 130, .external_lex_state = 3},
  [10979] = {.lex_state = 130, .external_lex_state = 3},
  [10980] = {.lex_state = 130, .external_lex_state = 3},
  [10981] = {.lex_state = 130, .external_lex_state = 3},
  [10982] = {.lex_state = 130, .external_lex_state = 3},
  [10983] = {.lex_state = 130, .external_lex_state = 3},
  [10984] = {.lex_state = 130, .external_lex_state = 3},
  [10985] = {.lex_state = 130, .external_lex_state = 3},
  [10986] = {.lex_state = 9, .external_lex_state = 3},
  [10987] = {.lex_state = 131, .external_lex_state = 3},
  [10988] = {.lex_state = 130, .external_lex_state = 3},
  [10989] = {.lex_state = 9, .external_lex_state = 3},
  [10990] = {.lex_state = 425, .external_lex_state = 3},
  [10991] = {.lex_state = 418, .external_lex_state = 3},
  [10992] = {.lex_state = 418, .external_lex_state = 3},
  [10993] = {.lex_state = 425, .external_lex_state = 3},
  [10994] = {.lex_state = 131, .external_lex_state = 3},
  [10995] = {.lex_state = 418, .external_lex_state = 3},
  [10996] = {.lex_state = 131, .external_lex_state = 3},
  [10997] = {.lex_state = 131, .external_lex_state = 3},
  [10998] = {.lex_state = 131, .external_lex_state = 3},
  [10999] = {.lex_state = 175, .external_lex_state = 3},
  [11000] = {.lex_state = 131, .external_lex_state = 3},
  [11001] = {.lex_state = 9, .external_lex_state = 3},
  [11002] = {.lex_state = 131, .external_lex_state = 3},
  [11003] = {.lex_state = 131, .external_lex_state = 3},
  [11004] = {.lex_state = 131, .external_lex_state = 3},
  [11005] = {.lex_state = 131, .external_lex_state = 3},
  [11006] = {.lex_state = 131, .external_lex_state = 3},
  [11007] = {.lex_state = 131, .external_lex_state = 3},
  [11008] = {.lex_state = 131, .external_lex_state = 3},
  [11009] = {.lex_state = 131, .external_lex_state = 3},
  [11010] = {.lex_state = 131, .external_lex_state = 3},
  [11011] = {.lex_state = 131, .external_lex_state = 3},
  [11012] = {.lex_state = 131, .external_lex_state = 3},
  [11013] = {.lex_state = 131, .external_lex_state = 3},
  [11014] = {.lex_state = 131, .external_lex_state = 3},
  [11015] = {.lex_state = 131, .external_lex_state = 3},
  [11016] = {.lex_state = 9, .external_lex_state = 3},
  [11017] = {.lex_state = 131, .external_lex_state = 3},
  [11018] = {.lex_state = 9, .external_lex_state = 3},
  [11019] = {.lex_state = 131, .external_lex_state = 3},
  [11020] = {.lex_state = 9, .external_lex_state = 3},
  [11021] = {.lex_state = 129, .external_lex_state = 3},
  [11022] = {.lex_state = 184, .external_lex_state = 3},
  [11023] = {.lex_state = 129, .external_lex_state = 3},
  [11024] = {.lex_state = 131, .external_lex_state = 3},
  [11025] = {.lex_state = 9, .external_lex_state = 3},
  [11026] = {.lex_state = 9, .external_lex_state = 3},
  [11027] = {.lex_state = 9, .external_lex_state = 3},
  [11028] = {.lex_state = 9, .external_lex_state = 3},
  [11029] = {.lex_state = 432, .external_lex_state = 3},
  [11030] = {.lex_state = 9, .external_lex_state = 3},
  [11031] = {.lex_state = 9, .external_lex_state = 3},
  [11032] = {.lex_state = 131, .external_lex_state = 3},
  [11033] = {.lex_state = 9, .external_lex_state = 3},
  [11034] = {.lex_state = 9, .external_lex_state = 3},
  [11035] = {.lex_state = 9, .external_lex_state = 3},
  [11036] = {.lex_state = 432, .external_lex_state = 3},
  [11037] = {.lex_state = 9, .external_lex_state = 3},
  [11038] = {.lex_state = 9, .external_lex_state = 3},
  [11039] = {.lex_state = 129, .external_lex_state = 3},
  [11040] = {.lex_state = 161, .external_lex_state = 3},
  [11041] = {.lex_state = 9, .external_lex_state = 3},
  [11042] = {.lex_state = 9, .external_lex_state = 3},
  [11043] = {.lex_state = 9, .external_lex_state = 3},
  [11044] = {.lex_state = 9, .external_lex_state = 3},
  [11045] = {.lex_state = 9, .external_lex_state = 3},
  [11046] = {.lex_state = 9, .external_lex_state = 3},
  [11047] = {.lex_state = 9, .external_lex_state = 3},
  [11048] = {.lex_state = 425, .external_lex_state = 3},
  [11049] = {.lex_state = 9, .external_lex_state = 3},
  [11050] = {.lex_state = 416, .external_lex_state = 2},
  [11051] = {.lex_state = 130, .external_lex_state = 3},
  [11052] = {.lex_state = 187, .external_lex_state = 3},
  [11053] = {.lex_state = 432, .external_lex_state = 3},
  [11054] = {.lex_state = 129, .external_lex_state = 3},
  [11055] = {.lex_state = 9, .external_lex_state = 3},
  [11056] = {.lex_state = 131, .external_lex_state = 3},
  [11057] = {.lex_state = 131, .external_lex_state = 3},
  [11058] = {.lex_state = 9, .external_lex_state = 3},
  [11059] = {.lex_state = 129, .external_lex_state = 3},
  [11060] = {.lex_state = 9, .external_lex_state = 3},
  [11061] = {.lex_state = 9, .external_lex_state = 3},
  [11062] = {.lex_state = 131, .external_lex_state = 3},
  [11063] = {.lex_state = 9, .external_lex_state = 3},
  [11064] = {.lex_state = 129, .external_lex_state = 3},
  [11065] = {.lex_state = 9, .external_lex_state = 3},
  [11066] = {.lex_state = 9, .external_lex_state = 3},
  [11067] = {.lex_state = 9, .external_lex_state = 3},
  [11068] = {.lex_state = 189, .external_lex_state = 3},
  [11069] = {.lex_state = 129, .external_lex_state = 3},
  [11070] = {.lex_state = 9, .external_lex_state = 3},
  [11071] = {.lex_state = 9, .external_lex_state = 3},
  [11072] = {.lex_state = 9, .external_lex_state = 3},
  [11073] = {.lex_state = 9, .external_lex_state = 3},
  [11074] = {.lex_state = 131, .external_lex_state = 3},
  [11075] = {.lex_state = 9, .external_lex_state = 3},
  [11076] = {.lex_state = 9, .external_lex_state = 3},
  [11077] = {.lex_state = 131, .external_lex_state = 3},
  [11078] = {.lex_state = 418, .external_lex_state = 3},
  [11079] = {.lex_state = 9, .external_lex_state = 3},
  [11080] = {.lex_state = 9, .external_lex_state = 3},
  [11081] = {.lex_state = 9, .external_lex_state = 3},
  [11082] = {.lex_state = 9, .external_lex_state = 3},
  [11083] = {.lex_state = 131, .external_lex_state = 3},
  [11084] = {.lex_state = 131, .external_lex_state = 3},
  [11085] = {.lex_state = 174, .external_lex_state = 3},
  [11086] = {.lex_state = 15, .external_lex_state = 2},
  [11087] = {.lex_state = 174, .external_lex_state = 3},
  [11088] = {.lex_state = 18, .external_lex_state = 3},
  [11089] = {.lex_state = 18, .external_lex_state = 3},
  [11090] = {.lex_state = 18, .external_lex_state = 3},
  [11091] = {.lex_state = 425, .external_lex_state = 3},
  [11092] = {.lex_state = 18, .external_lex_state = 3},
  [11093] = {.lex_state = 180, .external_lex_state = 3},
  [11094] = {.lex_state = 425, .external_lex_state = 3},
  [11095] = {.lex_state = 180, .external_lex_state = 3},
  [11096] = {.lex_state = 7, .external_lex_state = 3},
  [11097] = {.lex_state = 15, .external_lex_state = 2},
  [11098] = {.lex_state = 15, .external_lex_state = 2},
  [11099] = {.lex_state = 431, .external_lex_state = 3},
  [11100] = {.lex_state = 7, .external_lex_state = 3},
  [11101] = {.lex_state = 7, .external_lex_state = 3},
  [11102] = {.lex_state = 15, .external_lex_state = 2},
  [11103] = {.lex_state = 7, .external_lex_state = 3},
  [11104] = {.lex_state = 7, .external_lex_state = 3},
  [11105] = {.lex_state = 7, .external_lex_state = 3},
  [11106] = {.lex_state = 7, .external_lex_state = 3},
  [11107] = {.lex_state = 7, .external_lex_state = 3},
  [11108] = {.lex_state = 412, .external_lex_state = 2},
  [11109] = {.lex_state = 7, .external_lex_state = 3},
  [11110] = {.lex_state = 7, .external_lex_state = 3},
  [11111] = {.lex_state = 7, .external_lex_state = 3},
  [11112] = {.lex_state = 175, .external_lex_state = 3},
  [11113] = {.lex_state = 7, .external_lex_state = 3},
  [11114] = {.lex_state = 164, .external_lex_state = 3},
  [11115] = {.lex_state = 7, .external_lex_state = 3},
  [11116] = {.lex_state = 7, .external_lex_state = 3},
  [11117] = {.lex_state = 7, .external_lex_state = 3},
  [11118] = {.lex_state = 434, .external_lex_state = 3},
  [11119] = {.lex_state = 425, .external_lex_state = 3},
  [11120] = {.lex_state = 418, .external_lex_state = 3},
  [11121] = {.lex_state = 164, .external_lex_state = 3},
  [11122] = {.lex_state = 164, .external_lex_state = 3},
  [11123] = {.lex_state = 174, .external_lex_state = 3},
  [11124] = {.lex_state = 425, .external_lex_state = 3},
  [11125] = {.lex_state = 164, .external_lex_state = 3},
  [11126] = {.lex_state = 129, .external_lex_state = 3},
  [11127] = {.lex_state = 425, .external_lex_state = 3},
  [11128] = {.lex_state = 418, .external_lex_state = 3},
  [11129] = {.lex_state = 418, .external_lex_state = 3},
  [11130] = {.lex_state = 129, .external_lex_state = 3},
  [11131] = {.lex_state = 129, .external_lex_state = 3},
  [11132] = {.lex_state = 425, .external_lex_state = 3},
  [11133] = {.lex_state = 418, .external_lex_state = 3},
  [11134] = {.lex_state = 418, .external_lex_state = 3},
  [11135] = {.lex_state = 418, .external_lex_state = 3},
  [11136] = {.lex_state = 418, .external_lex_state = 3},
  [11137] = {.lex_state = 174, .external_lex_state = 3},
  [11138] = {.lex_state = 418, .external_lex_state = 3},
  [11139] = {.lex_state = 7, .external_lex_state = 3},
  [11140] = {.lex_state = 174, .external_lex_state = 3},
  [11141] = {.lex_state = 7, .external_lex_state = 3},
  [11142] = {.lex_state = 7, .external_lex_state = 3},
  [11143] = {.lex_state = 7, .external_lex_state = 3},
  [11144] = {.lex_state = 180, .external_lex_state = 3},
  [11145] = {.lex_state = 180, .external_lex_state = 3},
  [11146] = {.lex_state = 7, .external_lex_state = 3},
  [11147] = {.lex_state = 7, .external_lex_state = 3},
  [11148] = {.lex_state = 7, .external_lex_state = 3},
  [11149] = {.lex_state = 7, .external_lex_state = 3},
  [11150] = {.lex_state = 129, .external_lex_state = 3},
  [11151] = {.lex_state = 174, .external_lex_state = 3},
  [11152] = {.lex_state = 431, .external_lex_state = 3},
  [11153] = {.lex_state = 129, .external_lex_state = 3},
  [11154] = {.lex_state = 139, .external_lex_state = 3},
  [11155] = {.lex_state = 185, .external_lex_state = 3},
  [11156] = {.lex_state = 185, .external_lex_state = 3},
  [11157] = {.lex_state = 129, .external_lex_state = 3},
  [11158] = {.lex_state = 412, .external_lex_state = 2},
  [11159] = {.lex_state = 185, .external_lex_state = 3},
  [11160] = {.lex_state = 7, .external_lex_state = 3},
  [11161] = {.lex_state = 129, .external_lex_state = 3},
  [11162] = {.lex_state = 174, .external_lex_state = 3},
  [11163] = {.lex_state = 185, .external_lex_state = 3},
  [11164] = {.lex_state = 185, .external_lex_state = 3},
  [11165] = {.lex_state = 129, .external_lex_state = 3},
  [11166] = {.lex_state = 7, .external_lex_state = 3},
  [11167] = {.lex_state = 7, .external_lex_state = 3},
  [11168] = {.lex_state = 7, .external_lex_state = 3},
  [11169] = {.lex_state = 129, .external_lex_state = 3},
  [11170] = {.lex_state = 7, .external_lex_state = 3},
  [11171] = {.lex_state = 129, .external_lex_state = 3},
  [11172] = {.lex_state = 139, .external_lex_state = 3},
  [11173] = {.lex_state = 129, .external_lex_state = 3},
  [11174] = {.lex_state = 7, .external_lex_state = 3},
  [11175] = {.lex_state = 180, .external_lex_state = 3},
  [11176] = {.lex_state = 7, .external_lex_state = 3},
  [11177] = {.lex_state = 7, .external_lex_state = 3},
  [11178] = {.lex_state = 139, .external_lex_state = 3},
  [11179] = {.lex_state = 139, .external_lex_state = 3},
  [11180] = {.lex_state = 7, .external_lex_state = 3},
  [11181] = {.lex_state = 139, .external_lex_state = 3},
  [11182] = {.lex_state = 185, .external_lex_state = 3},
  [11183] = {.lex_state = 7, .external_lex_state = 3},
  [11184] = {.lex_state = 434, .external_lex_state = 3},
  [11185] = {.lex_state = 174, .external_lex_state = 3},
  [11186] = {.lex_state = 174, .external_lex_state = 3},
  [11187] = {.lex_state = 7, .external_lex_state = 3},
  [11188] = {.lex_state = 174, .external_lex_state = 3},
  [11189] = {.lex_state = 7, .external_lex_state = 3},
  [11190] = {.lex_state = 7, .external_lex_state = 3},
  [11191] = {.lex_state = 7, .external_lex_state = 3},
  [11192] = {.lex_state = 7, .external_lex_state = 3},
  [11193] = {.lex_state = 174, .external_lex_state = 3},
  [11194] = {.lex_state = 174, .external_lex_state = 3},
  [11195] = {.lex_state = 174, .external_lex_state = 3},
  [11196] = {.lex_state = 7, .external_lex_state = 3},
  [11197] = {.lex_state = 7, .external_lex_state = 3},
  [11198] = {.lex_state = 7, .external_lex_state = 3},
  [11199] = {.lex_state = 180, .external_lex_state = 3},
  [11200] = {.lex_state = 7, .external_lex_state = 3},
  [11201] = {.lex_state = 175, .external_lex_state = 3},
  [11202] = {.lex_state = 139, .external_lex_state = 3},
  [11203] = {.lex_state = 174, .external_lex_state = 3},
  [11204] = {.lex_state = 174, .external_lex_state = 3},
  [11205] = {.lex_state = 174, .external_lex_state = 3},
  [11206] = {.lex_state = 174, .external_lex_state = 3},
  [11207] = {.lex_state = 174, .external_lex_state = 3},
  [11208] = {.lex_state = 17, .external_lex_state = 3},
  [11209] = {.lex_state = 17, .external_lex_state = 3},
  [11210] = {.lex_state = 175, .external_lex_state = 3},
  [11211] = {.lex_state = 7, .external_lex_state = 3},
  [11212] = {.lex_state = 175, .external_lex_state = 3},
  [11213] = {.lex_state = 418, .external_lex_state = 3},
  [11214] = {.lex_state = 7, .external_lex_state = 3},
  [11215] = {.lex_state = 175, .external_lex_state = 3},
  [11216] = {.lex_state = 175, .external_lex_state = 3},
  [11217] = {.lex_state = 7, .external_lex_state = 3},
  [11218] = {.lex_state = 7, .external_lex_state = 3},
  [11219] = {.lex_state = 7, .external_lex_state = 3},
  [11220] = {.lex_state = 7, .external_lex_state = 3},
  [11221] = {.lex_state = 7, .external_lex_state = 3},
  [11222] = {.lex_state = 7, .external_lex_state = 3},
  [11223] = {.lex_state = 7, .external_lex_state = 3},
  [11224] = {.lex_state = 425, .external_lex_state = 3},
  [11225] = {.lex_state = 7, .external_lex_state = 3},
  [11226] = {.lex_state = 7, .external_lex_state = 3},
  [11227] = {.lex_state = 418, .external_lex_state = 3},
  [11228] = {.lex_state = 425, .external_lex_state = 3},
  [11229] = {.lex_state = 17, .external_lex_state = 3},
  [11230] = {.lex_state = 175, .external_lex_state = 3},
  [11231] = {.lex_state = 175, .external_lex_state = 3},
  [11232] = {.lex_state = 175, .external_lex_state = 3},
  [11233] = {.lex_state = 174, .external_lex_state = 3},
  [11234] = {.lex_state = 175, .external_lex_state = 3},
  [11235] = {.lex_state = 425, .external_lex_state = 3},
  [11236] = {.lex_state = 142, .external_lex_state = 2},
  [11237] = {.lex_state = 174, .external_lex_state = 3},
  [11238] = {.lex_state = 7, .external_lex_state = 3},
  [11239] = {.lex_state = 418, .external_lex_state = 3},
  [11240] = {.lex_state = 418, .external_lex_state = 3},
  [11241] = {.lex_state = 17, .external_lex_state = 3},
  [11242] = {.lex_state = 418, .external_lex_state = 3},
  [11243] = {.lex_state = 17, .external_lex_state = 3},
  [11244] = {.lex_state = 418, .external_lex_state = 3},
  [11245] = {.lex_state = 175, .external_lex_state = 3},
  [11246] = {.lex_state = 175, .external_lex_state = 3},
  [11247] = {.lex_state = 175, .external_lex_state = 3},
  [11248] = {.lex_state = 175, .external_lex_state = 3},
  [11249] = {.lex_state = 425, .external_lex_state = 3},
  [11250] = {.lex_state = 7, .external_lex_state = 3},
  [11251] = {.lex_state = 7, .external_lex_state = 3},
  [11252] = {.lex_state = 7, .external_lex_state = 3},
  [11253] = {.lex_state = 7, .external_lex_state = 3},
  [11254] = {.lex_state = 7, .external_lex_state = 3},
  [11255] = {.lex_state = 7, .external_lex_state = 3},
  [11256] = {.lex_state = 7, .external_lex_state = 3},
  [11257] = {.lex_state = 175, .external_lex_state = 3},
  [11258] = {.lex_state = 175, .external_lex_state = 3},
  [11259] = {.lex_state = 175, .external_lex_state = 3},
  [11260] = {.lex_state = 175, .external_lex_state = 3},
  [11261] = {.lex_state = 7, .external_lex_state = 3},
  [11262] = {.lex_state = 7, .external_lex_state = 3},
  [11263] = {.lex_state = 7, .external_lex_state = 3},
  [11264] = {.lex_state = 7, .external_lex_state = 3},
  [11265] = {.lex_state = 7, .external_lex_state = 3},
  [11266] = {.lex_state = 129, .external_lex_state = 3},
  [11267] = {.lex_state = 7, .external_lex_state = 3},
  [11268] = {.lex_state = 129, .external_lex_state = 3},
  [11269] = {.lex_state = 17, .external_lex_state = 3},
  [11270] = {.lex_state = 175, .external_lex_state = 3},
  [11271] = {.lex_state = 175, .external_lex_state = 3},
  [11272] = {.lex_state = 175, .external_lex_state = 3},
  [11273] = {.lex_state = 175, .external_lex_state = 3},
  [11274] = {.lex_state = 175, .external_lex_state = 3},
  [11275] = {.lex_state = 175, .external_lex_state = 3},
  [11276] = {.lex_state = 175, .external_lex_state = 3},
  [11277] = {.lex_state = 175, .external_lex_state = 3},
  [11278] = {.lex_state = 175, .external_lex_state = 3},
  [11279] = {.lex_state = 175, .external_lex_state = 3},
  [11280] = {.lex_state = 129, .external_lex_state = 3},
  [11281] = {.lex_state = 174, .external_lex_state = 3},
  [11282] = {.lex_state = 418, .external_lex_state = 3},
  [11283] = {.lex_state = 129, .external_lex_state = 3},
  [11284] = {.lex_state = 431, .external_lex_state = 3},
  [11285] = {.lex_state = 425, .external_lex_state = 3},
  [11286] = {.lex_state = 418, .external_lex_state = 3},
  [11287] = {.lex_state = 418, .external_lex_state = 3},
  [11288] = {.lex_state = 15, .external_lex_state = 2},
  [11289] = {.lex_state = 7, .external_lex_state = 3},
  [11290] = {.lex_state = 7, .external_lex_state = 3},
  [11291] = {.lex_state = 418, .external_lex_state = 3},
  [11292] = {.lex_state = 7, .external_lex_state = 3},
  [11293] = {.lex_state = 7, .external_lex_state = 3},
  [11294] = {.lex_state = 7, .external_lex_state = 3},
  [11295] = {.lex_state = 7, .external_lex_state = 3},
  [11296] = {.lex_state = 418, .external_lex_state = 3},
  [11297] = {.lex_state = 431, .external_lex_state = 3},
  [11298] = {.lex_state = 7, .external_lex_state = 3},
  [11299] = {.lex_state = 7, .external_lex_state = 3},
  [11300] = {.lex_state = 7, .external_lex_state = 3},
  [11301] = {.lex_state = 418, .external_lex_state = 3},
  [11302] = {.lex_state = 418, .external_lex_state = 3},
  [11303] = {.lex_state = 7, .external_lex_state = 3},
  [11304] = {.lex_state = 418, .external_lex_state = 3},
  [11305] = {.lex_state = 418, .external_lex_state = 3},
  [11306] = {.lex_state = 7, .external_lex_state = 3},
  [11307] = {.lex_state = 7, .external_lex_state = 3},
  [11308] = {.lex_state = 418, .external_lex_state = 3},
  [11309] = {.lex_state = 418, .external_lex_state = 3},
  [11310] = {.lex_state = 418, .external_lex_state = 3},
  [11311] = {.lex_state = 418, .external_lex_state = 3},
  [11312] = {.lex_state = 418, .external_lex_state = 3},
  [11313] = {.lex_state = 418, .external_lex_state = 3},
  [11314] = {.lex_state = 7, .external_lex_state = 3},
  [11315] = {.lex_state = 418, .external_lex_state = 3},
  [11316] = {.lex_state = 418, .external_lex_state = 3},
  [11317] = {.lex_state = 434, .external_lex_state = 3},
  [11318] = {.lex_state = 418, .external_lex_state = 3},
  [11319] = {.lex_state = 7, .external_lex_state = 3},
  [11320] = {.lex_state = 418, .external_lex_state = 3},
  [11321] = {.lex_state = 7, .external_lex_state = 3},
  [11322] = {.lex_state = 7, .external_lex_state = 3},
  [11323] = {.lex_state = 15, .external_lex_state = 2},
  [11324] = {.lex_state = 7, .external_lex_state = 3},
  [11325] = {.lex_state = 163, .external_lex_state = 3},
  [11326] = {.lex_state = 7, .external_lex_state = 3},
  [11327] = {.lex_state = 7, .external_lex_state = 3},
  [11328] = {.lex_state = 7, .external_lex_state = 3},
  [11329] = {.lex_state = 7, .external_lex_state = 3},
  [11330] = {.lex_state = 7, .external_lex_state = 3},
  [11331] = {.lex_state = 7, .external_lex_state = 3},
  [11332] = {.lex_state = 174, .external_lex_state = 3},
  [11333] = {.lex_state = 175, .external_lex_state = 3},
  [11334] = {.lex_state = 174, .external_lex_state = 3},
  [11335] = {.lex_state = 174, .external_lex_state = 3},
  [11336] = {.lex_state = 175, .external_lex_state = 3},
  [11337] = {.lex_state = 7, .external_lex_state = 3},
  [11338] = {.lex_state = 175, .external_lex_state = 3},
  [11339] = {.lex_state = 7, .external_lex_state = 3},
  [11340] = {.lex_state = 7, .external_lex_state = 3},
  [11341] = {.lex_state = 175, .external_lex_state = 3},
  [11342] = {.lex_state = 418, .external_lex_state = 3},
  [11343] = {.lex_state = 7, .external_lex_state = 3},
  [11344] = {.lex_state = 175, .external_lex_state = 3},
  [11345] = {.lex_state = 15, .external_lex_state = 2},
  [11346] = {.lex_state = 174, .external_lex_state = 3},
  [11347] = {.lex_state = 174, .external_lex_state = 3},
  [11348] = {.lex_state = 418, .external_lex_state = 3},
  [11349] = {.lex_state = 425, .external_lex_state = 3},
  [11350] = {.lex_state = 174, .external_lex_state = 3},
  [11351] = {.lex_state = 174, .external_lex_state = 3},
  [11352] = {.lex_state = 174, .external_lex_state = 3},
  [11353] = {.lex_state = 7, .external_lex_state = 3},
  [11354] = {.lex_state = 7, .external_lex_state = 3},
  [11355] = {.lex_state = 7, .external_lex_state = 3},
  [11356] = {.lex_state = 174, .external_lex_state = 3},
  [11357] = {.lex_state = 7, .external_lex_state = 3},
  [11358] = {.lex_state = 7, .external_lex_state = 3},
  [11359] = {.lex_state = 7, .external_lex_state = 3},
  [11360] = {.lex_state = 7, .external_lex_state = 3},
  [11361] = {.lex_state = 162, .external_lex_state = 3},
  [11362] = {.lex_state = 7, .external_lex_state = 3},
  [11363] = {.lex_state = 425, .external_lex_state = 3},
  [11364] = {.lex_state = 414, .external_lex_state = 3},
  [11365] = {.lex_state = 174, .external_lex_state = 3},
  [11366] = {.lex_state = 425, .external_lex_state = 3},
  [11367] = {.lex_state = 425, .external_lex_state = 3},
  [11368] = {.lex_state = 174, .external_lex_state = 3},
  [11369] = {.lex_state = 174, .external_lex_state = 3},
  [11370] = {.lex_state = 7, .external_lex_state = 3},
  [11371] = {.lex_state = 18, .external_lex_state = 3},
  [11372] = {.lex_state = 18, .external_lex_state = 3},
  [11373] = {.lex_state = 7, .external_lex_state = 3},
  [11374] = {.lex_state = 7, .external_lex_state = 3},
  [11375] = {.lex_state = 7, .external_lex_state = 3},
  [11376] = {.lex_state = 174, .external_lex_state = 3},
  [11377] = {.lex_state = 7, .external_lex_state = 3},
  [11378] = {.lex_state = 434, .external_lex_state = 3},
  [11379] = {.lex_state = 425, .external_lex_state = 3},
  [11380] = {.lex_state = 7, .external_lex_state = 3},
  [11381] = {.lex_state = 425, .external_lex_state = 3},
  [11382] = {.lex_state = 425, .external_lex_state = 3},
  [11383] = {.lex_state = 425, .external_lex_state = 3},
  [11384] = {.lex_state = 425, .external_lex_state = 3},
  [11385] = {.lex_state = 425, .external_lex_state = 3},
  [11386] = {.lex_state = 425, .external_lex_state = 3},
  [11387] = {.lex_state = 175, .external_lex_state = 3},
  [11388] = {.lex_state = 139, .external_lex_state = 3},
  [11389] = {.lex_state = 416, .external_lex_state = 3},
  [11390] = {.lex_state = 414, .external_lex_state = 3},
  [11391] = {.lex_state = 163, .external_lex_state = 3},
  [11392] = {.lex_state = 139, .external_lex_state = 3},
  [11393] = {.lex_state = 425, .external_lex_state = 3},
  [11394] = {.lex_state = 425, .external_lex_state = 3},
  [11395] = {.lex_state = 139, .external_lex_state = 3},
  [11396] = {.lex_state = 425, .external_lex_state = 3},
  [11397] = {.lex_state = 139, .external_lex_state = 3},
  [11398] = {.lex_state = 163, .external_lex_state = 3},
  [11399] = {.lex_state = 425, .external_lex_state = 3},
  [11400] = {.lex_state = 139, .external_lex_state = 3},
  [11401] = {.lex_state = 425, .external_lex_state = 3},
  [11402] = {.lex_state = 139, .external_lex_state = 3},
  [11403] = {.lex_state = 6, .external_lex_state = 2},
  [11404] = {.lex_state = 425, .external_lex_state = 3},
  [11405] = {.lex_state = 6, .external_lex_state = 2},
  [11406] = {.lex_state = 6, .external_lex_state = 2},
  [11407] = {.lex_state = 6, .external_lex_state = 2},
  [11408] = {.lex_state = 428, .external_lex_state = 3},
  [11409] = {.lex_state = 428, .external_lex_state = 3},
  [11410] = {.lex_state = 428, .external_lex_state = 3},
  [11411] = {.lex_state = 428, .external_lex_state = 3},
  [11412] = {.lex_state = 6, .external_lex_state = 2},
  [11413] = {.lex_state = 170, .external_lex_state = 3},
  [11414] = {.lex_state = 170, .external_lex_state = 3},
  [11415] = {.lex_state = 139, .external_lex_state = 3},
  [11416] = {.lex_state = 139, .external_lex_state = 3},
  [11417] = {.lex_state = 414, .external_lex_state = 3},
  [11418] = {.lex_state = 139, .external_lex_state = 3},
  [11419] = {.lex_state = 139, .external_lex_state = 3},
  [11420] = {.lex_state = 170, .external_lex_state = 3},
  [11421] = {.lex_state = 17, .external_lex_state = 3},
  [11422] = {.lex_state = 163, .external_lex_state = 3},
  [11423] = {.lex_state = 18, .external_lex_state = 3},
  [11424] = {.lex_state = 130, .external_lex_state = 3},
  [11425] = {.lex_state = 130, .external_lex_state = 3},
  [11426] = {.lex_state = 17, .external_lex_state = 3},
  [11427] = {.lex_state = 139, .external_lex_state = 3},
  [11428] = {.lex_state = 139, .external_lex_state = 3},
  [11429] = {.lex_state = 177, .external_lex_state = 3},
  [11430] = {.lex_state = 130, .external_lex_state = 3},
  [11431] = {.lex_state = 130, .external_lex_state = 3},
  [11432] = {.lex_state = 130, .external_lex_state = 3},
  [11433] = {.lex_state = 130, .external_lex_state = 3},
  [11434] = {.lex_state = 130, .external_lex_state = 3},
  [11435] = {.lex_state = 130, .external_lex_state = 3},
  [11436] = {.lex_state = 130, .external_lex_state = 3},
  [11437] = {.lex_state = 130, .external_lex_state = 3},
  [11438] = {.lex_state = 130, .external_lex_state = 3},
  [11439] = {.lex_state = 130, .external_lex_state = 3},
  [11440] = {.lex_state = 130, .external_lex_state = 3},
  [11441] = {.lex_state = 130, .external_lex_state = 3},
  [11442] = {.lex_state = 425, .external_lex_state = 3},
  [11443] = {.lex_state = 175, .external_lex_state = 3},
  [11444] = {.lex_state = 170, .external_lex_state = 3},
  [11445] = {.lex_state = 6, .external_lex_state = 2},
  [11446] = {.lex_state = 176, .external_lex_state = 3},
  [11447] = {.lex_state = 6, .external_lex_state = 2},
  [11448] = {.lex_state = 6, .external_lex_state = 2},
  [11449] = {.lex_state = 6, .external_lex_state = 2},
  [11450] = {.lex_state = 6, .external_lex_state = 2},
  [11451] = {.lex_state = 6, .external_lex_state = 2},
  [11452] = {.lex_state = 6, .external_lex_state = 2},
  [11453] = {.lex_state = 170, .external_lex_state = 3},
  [11454] = {.lex_state = 425, .external_lex_state = 3},
  [11455] = {.lex_state = 6, .external_lex_state = 2},
  [11456] = {.lex_state = 139, .external_lex_state = 3},
  [11457] = {.lex_state = 414, .external_lex_state = 3},
  [11458] = {.lex_state = 414, .external_lex_state = 3},
  [11459] = {.lex_state = 6, .external_lex_state = 2},
  [11460] = {.lex_state = 425, .external_lex_state = 3},
  [11461] = {.lex_state = 174, .external_lex_state = 3},
  [11462] = {.lex_state = 170, .external_lex_state = 3},
  [11463] = {.lex_state = 425, .external_lex_state = 3},
  [11464] = {.lex_state = 177, .external_lex_state = 3},
  [11465] = {.lex_state = 185, .external_lex_state = 3},
  [11466] = {.lex_state = 425, .external_lex_state = 3},
  [11467] = {.lex_state = 130, .external_lex_state = 3},
  [11468] = {.lex_state = 425, .external_lex_state = 3},
  [11469] = {.lex_state = 6, .external_lex_state = 2},
  [11470] = {.lex_state = 6, .external_lex_state = 2},
  [11471] = {.lex_state = 170, .external_lex_state = 3},
  [11472] = {.lex_state = 139, .external_lex_state = 3},
  [11473] = {.lex_state = 139, .external_lex_state = 3},
  [11474] = {.lex_state = 425, .external_lex_state = 3},
  [11475] = {.lex_state = 425, .external_lex_state = 3},
  [11476] = {.lex_state = 425, .external_lex_state = 3},
  [11477] = {.lex_state = 6, .external_lex_state = 2},
  [11478] = {.lex_state = 139, .external_lex_state = 3},
  [11479] = {.lex_state = 6, .external_lex_state = 2},
  [11480] = {.lex_state = 139, .external_lex_state = 3},
  [11481] = {.lex_state = 6, .external_lex_state = 2},
  [11482] = {.lex_state = 170, .external_lex_state = 3},
  [11483] = {.lex_state = 6, .external_lex_state = 2},
  [11484] = {.lex_state = 6, .external_lex_state = 2},
  [11485] = {.lex_state = 130, .external_lex_state = 3},
  [11486] = {.lex_state = 130, .external_lex_state = 3},
  [11487] = {.lex_state = 130, .external_lex_state = 3},
  [11488] = {.lex_state = 130, .external_lex_state = 3},
  [11489] = {.lex_state = 130, .external_lex_state = 3},
  [11490] = {.lex_state = 170, .external_lex_state = 3},
  [11491] = {.lex_state = 6, .external_lex_state = 2},
  [11492] = {.lex_state = 170, .external_lex_state = 3},
  [11493] = {.lex_state = 6, .external_lex_state = 2},
  [11494] = {.lex_state = 139, .external_lex_state = 3},
  [11495] = {.lex_state = 6, .external_lex_state = 2},
  [11496] = {.lex_state = 139, .external_lex_state = 3},
  [11497] = {.lex_state = 170, .external_lex_state = 3},
  [11498] = {.lex_state = 6, .external_lex_state = 2},
  [11499] = {.lex_state = 139, .external_lex_state = 3},
  [11500] = {.lex_state = 6, .external_lex_state = 2},
  [11501] = {.lex_state = 139, .external_lex_state = 3},
  [11502] = {.lex_state = 170, .external_lex_state = 3},
  [11503] = {.lex_state = 170, .external_lex_state = 3},
  [11504] = {.lex_state = 414, .external_lex_state = 3},
  [11505] = {.lex_state = 170, .external_lex_state = 3},
  [11506] = {.lex_state = 6, .external_lex_state = 2},
  [11507] = {.lex_state = 6, .external_lex_state = 2},
  [11508] = {.lex_state = 170, .external_lex_state = 3},
  [11509] = {.lex_state = 6, .external_lex_state = 2},
  [11510] = {.lex_state = 6, .external_lex_state = 2},
  [11511] = {.lex_state = 6, .external_lex_state = 2},
  [11512] = {.lex_state = 6, .external_lex_state = 2},
  [11513] = {.lex_state = 139, .external_lex_state = 3},
  [11514] = {.lex_state = 130, .external_lex_state = 3},
  [11515] = {.lex_state = 6, .external_lex_state = 2},
  [11516] = {.lex_state = 170, .external_lex_state = 3},
  [11517] = {.lex_state = 6, .external_lex_state = 2},
  [11518] = {.lex_state = 170, .external_lex_state = 3},
  [11519] = {.lex_state = 150, .external_lex_state = 2},
  [11520] = {.lex_state = 6, .external_lex_state = 2},
  [11521] = {.lex_state = 170, .external_lex_state = 3},
  [11522] = {.lex_state = 176, .external_lex_state = 3},
  [11523] = {.lex_state = 170, .external_lex_state = 3},
  [11524] = {.lex_state = 6, .external_lex_state = 2},
  [11525] = {.lex_state = 6, .external_lex_state = 2},
  [11526] = {.lex_state = 414, .external_lex_state = 3},
  [11527] = {.lex_state = 414, .external_lex_state = 3},
  [11528] = {.lex_state = 425, .external_lex_state = 3},
  [11529] = {.lex_state = 170, .external_lex_state = 3},
  [11530] = {.lex_state = 6, .external_lex_state = 2},
  [11531] = {.lex_state = 425, .external_lex_state = 3},
  [11532] = {.lex_state = 6, .external_lex_state = 2},
  [11533] = {.lex_state = 425, .external_lex_state = 3},
  [11534] = {.lex_state = 170, .external_lex_state = 3},
  [11535] = {.lex_state = 150, .external_lex_state = 2},
  [11536] = {.lex_state = 170, .external_lex_state = 3},
  [11537] = {.lex_state = 139, .external_lex_state = 3},
  [11538] = {.lex_state = 6, .external_lex_state = 2},
  [11539] = {.lex_state = 170, .external_lex_state = 3},
  [11540] = {.lex_state = 170, .external_lex_state = 3},
  [11541] = {.lex_state = 6, .external_lex_state = 2},
  [11542] = {.lex_state = 150, .external_lex_state = 2},
  [11543] = {.lex_state = 6, .external_lex_state = 2},
  [11544] = {.lex_state = 414, .external_lex_state = 3},
  [11545] = {.lex_state = 185, .external_lex_state = 3},
  [11546] = {.lex_state = 130, .external_lex_state = 3},
  [11547] = {.lex_state = 6, .external_lex_state = 2},
  [11548] = {.lex_state = 139, .external_lex_state = 3},
  [11549] = {.lex_state = 6, .external_lex_state = 2},
  [11550] = {.lex_state = 185, .external_lex_state = 3},
  [11551] = {.lex_state = 139, .external_lex_state = 3},
  [11552] = {.lex_state = 6, .external_lex_state = 2},
  [11553] = {.lex_state = 6, .external_lex_state = 2},
  [11554] = {.lex_state = 414, .external_lex_state = 3},
  [11555] = {.lex_state = 6, .external_lex_state = 2},
  [11556] = {.lex_state = 6, .external_lex_state = 2},
  [11557] = {.lex_state = 414, .external_lex_state = 3},
  [11558] = {.lex_state = 6, .external_lex_state = 2},
  [11559] = {.lex_state = 139, .external_lex_state = 3},
  [11560] = {.lex_state = 130, .external_lex_state = 3},
  [11561] = {.lex_state = 425, .external_lex_state = 3},
  [11562] = {.lex_state = 139, .external_lex_state = 3},
  [11563] = {.lex_state = 425, .external_lex_state = 3},
  [11564] = {.lex_state = 414, .external_lex_state = 3},
  [11565] = {.lex_state = 425, .external_lex_state = 3},
  [11566] = {.lex_state = 6, .external_lex_state = 2},
  [11567] = {.lex_state = 425, .external_lex_state = 3},
  [11568] = {.lex_state = 130, .external_lex_state = 3},
  [11569] = {.lex_state = 6, .external_lex_state = 2},
  [11570] = {.lex_state = 6, .external_lex_state = 2},
  [11571] = {.lex_state = 174, .external_lex_state = 3},
  [11572] = {.lex_state = 175, .external_lex_state = 3},
  [11573] = {.lex_state = 6, .external_lex_state = 2},
  [11574] = {.lex_state = 425, .external_lex_state = 3},
  [11575] = {.lex_state = 6, .external_lex_state = 2},
  [11576] = {.lex_state = 6, .external_lex_state = 2},
  [11577] = {.lex_state = 6, .external_lex_state = 2},
  [11578] = {.lex_state = 139, .external_lex_state = 3},
  [11579] = {.lex_state = 139, .external_lex_state = 3},
  [11580] = {.lex_state = 425, .external_lex_state = 3},
  [11581] = {.lex_state = 170, .external_lex_state = 3},
  [11582] = {.lex_state = 6, .external_lex_state = 2},
  [11583] = {.lex_state = 185, .external_lex_state = 3},
  [11584] = {.lex_state = 6, .external_lex_state = 2},
  [11585] = {.lex_state = 425, .external_lex_state = 3},
  [11586] = {.lex_state = 18, .external_lex_state = 3},
  [11587] = {.lex_state = 139, .external_lex_state = 3},
  [11588] = {.lex_state = 139, .external_lex_state = 3},
  [11589] = {.lex_state = 139, .external_lex_state = 3},
  [11590] = {.lex_state = 139, .external_lex_state = 3},
  [11591] = {.lex_state = 434, .external_lex_state = 3},
  [11592] = {.lex_state = 139, .external_lex_state = 3},
  [11593] = {.lex_state = 6, .external_lex_state = 2},
  [11594] = {.lex_state = 139, .external_lex_state = 3},
  [11595] = {.lex_state = 170, .external_lex_state = 3},
  [11596] = {.lex_state = 163, .external_lex_state = 3},
  [11597] = {.lex_state = 6, .external_lex_state = 2},
  [11598] = {.lex_state = 425, .external_lex_state = 3},
  [11599] = {.lex_state = 434, .external_lex_state = 3},
  [11600] = {.lex_state = 434, .external_lex_state = 3},
  [11601] = {.lex_state = 434, .external_lex_state = 3},
  [11602] = {.lex_state = 131, .external_lex_state = 3},
  [11603] = {.lex_state = 131, .external_lex_state = 3},
  [11604] = {.lex_state = 131, .external_lex_state = 3},
  [11605] = {.lex_state = 425, .external_lex_state = 3},
  [11606] = {.lex_state = 131, .external_lex_state = 3},
  [11607] = {.lex_state = 131, .external_lex_state = 3},
  [11608] = {.lex_state = 131, .external_lex_state = 3},
  [11609] = {.lex_state = 174, .external_lex_state = 3},
  [11610] = {.lex_state = 131, .external_lex_state = 3},
  [11611] = {.lex_state = 425, .external_lex_state = 3},
  [11612] = {.lex_state = 434, .external_lex_state = 3},
  [11613] = {.lex_state = 130, .external_lex_state = 3},
  [11614] = {.lex_state = 434, .external_lex_state = 3},
  [11615] = {.lex_state = 425, .external_lex_state = 3},
  [11616] = {.lex_state = 428, .external_lex_state = 3},
  [11617] = {.lex_state = 425, .external_lex_state = 3},
  [11618] = {.lex_state = 425, .external_lex_state = 3},
  [11619] = {.lex_state = 434, .external_lex_state = 3},
  [11620] = {.lex_state = 425, .external_lex_state = 3},
  [11621] = {.lex_state = 434, .external_lex_state = 3},
  [11622] = {.lex_state = 425, .external_lex_state = 3},
  [11623] = {.lex_state = 425, .external_lex_state = 3},
  [11624] = {.lex_state = 129, .external_lex_state = 3},
  [11625] = {.lex_state = 425, .external_lex_state = 3},
  [11626] = {.lex_state = 412, .external_lex_state = 3},
  [11627] = {.lex_state = 425, .external_lex_state = 3},
  [11628] = {.lex_state = 425, .external_lex_state = 3},
  [11629] = {.lex_state = 425, .external_lex_state = 3},
  [11630] = {.lex_state = 425, .external_lex_state = 3},
  [11631] = {.lex_state = 425, .external_lex_state = 3},
  [11632] = {.lex_state = 34, .external_lex_state = 2},
  [11633] = {.lex_state = 425, .external_lex_state = 3},
  [11634] = {.lex_state = 425, .external_lex_state = 3},
  [11635] = {.lex_state = 428, .external_lex_state = 3},
  [11636] = {.lex_state = 425, .external_lex_state = 3},
  [11637] = {.lex_state = 129, .external_lex_state = 3},
  [11638] = {.lex_state = 131, .external_lex_state = 3},
  [11639] = {.lex_state = 425, .external_lex_state = 3},
  [11640] = {.lex_state = 173, .external_lex_state = 3},
  [11641] = {.lex_state = 425, .external_lex_state = 3},
  [11642] = {.lex_state = 161, .external_lex_state = 3},
  [11643] = {.lex_state = 161, .external_lex_state = 3},
  [11644] = {.lex_state = 34, .external_lex_state = 2},
  [11645] = {.lex_state = 131, .external_lex_state = 3},
  [11646] = {.lex_state = 130, .external_lex_state = 3},
  [11647] = {.lex_state = 129, .external_lex_state = 3},
  [11648] = {.lex_state = 161, .external_lex_state = 3},
  [11649] = {.lex_state = 181, .external_lex_state = 3},
  [11650] = {.lex_state = 129, .external_lex_state = 3},
  [11651] = {.lex_state = 425, .external_lex_state = 3},
  [11652] = {.lex_state = 425, .external_lex_state = 3},
  [11653] = {.lex_state = 131, .external_lex_state = 3},
  [11654] = {.lex_state = 434, .external_lex_state = 3},
  [11655] = {.lex_state = 428, .external_lex_state = 3},
  [11656] = {.lex_state = 425, .external_lex_state = 3},
  [11657] = {.lex_state = 131, .external_lex_state = 3},
  [11658] = {.lex_state = 173, .external_lex_state = 3},
  [11659] = {.lex_state = 425, .external_lex_state = 3},
  [11660] = {.lex_state = 130, .external_lex_state = 3},
  [11661] = {.lex_state = 425, .external_lex_state = 3},
  [11662] = {.lex_state = 425, .external_lex_state = 3},
  [11663] = {.lex_state = 425, .external_lex_state = 3},
  [11664] = {.lex_state = 425, .external_lex_state = 3},
  [11665] = {.lex_state = 425, .external_lex_state = 3},
  [11666] = {.lex_state = 425, .external_lex_state = 3},
  [11667] = {.lex_state = 425, .external_lex_state = 3},
  [11668] = {.lex_state = 425, .external_lex_state = 3},
  [11669] = {.lex_state = 425, .external_lex_state = 3},
  [11670] = {.lex_state = 425, .external_lex_state = 3},
  [11671] = {.lex_state = 131, .external_lex_state = 3},
  [11672] = {.lex_state = 425, .external_lex_state = 3},
  [11673] = {.lex_state = 425, .external_lex_state = 3},
  [11674] = {.lex_state = 434, .external_lex_state = 3},
  [11675] = {.lex_state = 434, .external_lex_state = 3},
  [11676] = {.lex_state = 425, .external_lex_state = 3},
  [11677] = {.lex_state = 185, .external_lex_state = 3},
  [11678] = {.lex_state = 434, .external_lex_state = 3},
  [11679] = {.lex_state = 173, .external_lex_state = 3},
  [11680] = {.lex_state = 131, .external_lex_state = 3},
  [11681] = {.lex_state = 173, .external_lex_state = 3},
  [11682] = {.lex_state = 17, .external_lex_state = 3},
  [11683] = {.lex_state = 17, .external_lex_state = 3},
  [11684] = {.lex_state = 425, .external_lex_state = 3},
  [11685] = {.lex_state = 17, .external_lex_state = 3},
  [11686] = {.lex_state = 434, .external_lex_state = 3},
  [11687] = {.lex_state = 434, .external_lex_state = 3},
  [11688] = {.lex_state = 17, .external_lex_state = 3},
  [11689] = {.lex_state = 425, .external_lex_state = 3},
  [11690] = {.lex_state = 131, .external_lex_state = 3},
  [11691] = {.lex_state = 434, .external_lex_state = 3},
  [11692] = {.lex_state = 129, .external_lex_state = 3},
  [11693] = {.lex_state = 173, .external_lex_state = 3},
  [11694] = {.lex_state = 130, .external_lex_state = 3},
  [11695] = {.lex_state = 425, .external_lex_state = 3},
  [11696] = {.lex_state = 425, .external_lex_state = 3},
  [11697] = {.lex_state = 425, .external_lex_state = 3},
  [11698] = {.lex_state = 187, .external_lex_state = 3},
  [11699] = {.lex_state = 425, .external_lex_state = 3},
  [11700] = {.lex_state = 425, .external_lex_state = 3},
  [11701] = {.lex_state = 129, .external_lex_state = 3},
  [11702] = {.lex_state = 425, .external_lex_state = 3},
  [11703] = {.lex_state = 414, .external_lex_state = 3},
  [11704] = {.lex_state = 425, .external_lex_state = 3},
  [11705] = {.lex_state = 434, .external_lex_state = 3},
  [11706] = {.lex_state = 425, .external_lex_state = 3},
  [11707] = {.lex_state = 425, .external_lex_state = 3},
  [11708] = {.lex_state = 425, .external_lex_state = 3},
  [11709] = {.lex_state = 425, .external_lex_state = 3},
  [11710] = {.lex_state = 434, .external_lex_state = 3},
  [11711] = {.lex_state = 129, .external_lex_state = 3},
  [11712] = {.lex_state = 189, .external_lex_state = 3},
  [11713] = {.lex_state = 425, .external_lex_state = 3},
  [11714] = {.lex_state = 425, .external_lex_state = 3},
  [11715] = {.lex_state = 414, .external_lex_state = 3},
  [11716] = {.lex_state = 129, .external_lex_state = 3},
  [11717] = {.lex_state = 425, .external_lex_state = 3},
  [11718] = {.lex_state = 425, .external_lex_state = 3},
  [11719] = {.lex_state = 425, .external_lex_state = 3},
  [11720] = {.lex_state = 425, .external_lex_state = 3},
  [11721] = {.lex_state = 129, .external_lex_state = 3},
  [11722] = {.lex_state = 425, .external_lex_state = 3},
  [11723] = {.lex_state = 138, .external_lex_state = 3},
  [11724] = {.lex_state = 425, .external_lex_state = 3},
  [11725] = {.lex_state = 425, .external_lex_state = 3},
  [11726] = {.lex_state = 425, .external_lex_state = 3},
  [11727] = {.lex_state = 434, .external_lex_state = 3},
  [11728] = {.lex_state = 429, .external_lex_state = 3},
  [11729] = {.lex_state = 173, .external_lex_state = 3},
  [11730] = {.lex_state = 429, .external_lex_state = 3},
  [11731] = {.lex_state = 429, .external_lex_state = 3},
  [11732] = {.lex_state = 434, .external_lex_state = 3},
  [11733] = {.lex_state = 425, .external_lex_state = 3},
  [11734] = {.lex_state = 425, .external_lex_state = 3},
  [11735] = {.lex_state = 434, .external_lex_state = 3},
  [11736] = {.lex_state = 425, .external_lex_state = 3},
  [11737] = {.lex_state = 425, .external_lex_state = 3},
  [11738] = {.lex_state = 425, .external_lex_state = 3},
  [11739] = {.lex_state = 425, .external_lex_state = 3},
  [11740] = {.lex_state = 173, .external_lex_state = 3},
  [11741] = {.lex_state = 131, .external_lex_state = 3},
  [11742] = {.lex_state = 425, .external_lex_state = 3},
  [11743] = {.lex_state = 131, .external_lex_state = 3},
  [11744] = {.lex_state = 425, .external_lex_state = 3},
  [11745] = {.lex_state = 129, .external_lex_state = 3},
  [11746] = {.lex_state = 425, .external_lex_state = 3},
  [11747] = {.lex_state = 425, .external_lex_state = 3},
  [11748] = {.lex_state = 425, .external_lex_state = 3},
  [11749] = {.lex_state = 129, .external_lex_state = 3},
  [11750] = {.lex_state = 434, .external_lex_state = 3},
  [11751] = {.lex_state = 434, .external_lex_state = 3},
  [11752] = {.lex_state = 129, .external_lex_state = 3},
  [11753] = {.lex_state = 425, .external_lex_state = 3},
  [11754] = {.lex_state = 129, .external_lex_state = 3},
  [11755] = {.lex_state = 425, .external_lex_state = 3},
  [11756] = {.lex_state = 425, .external_lex_state = 3},
  [11757] = {.lex_state = 174, .external_lex_state = 3},
  [11758] = {.lex_state = 425, .external_lex_state = 3},
  [11759] = {.lex_state = 425, .external_lex_state = 3},
  [11760] = {.lex_state = 131, .external_lex_state = 3},
  [11761] = {.lex_state = 425, .external_lex_state = 3},
  [11762] = {.lex_state = 425, .external_lex_state = 3},
  [11763] = {.lex_state = 131, .external_lex_state = 3},
  [11764] = {.lex_state = 425, .external_lex_state = 3},
  [11765] = {.lex_state = 425, .external_lex_state = 3},
  [11766] = {.lex_state = 425, .external_lex_state = 3},
  [11767] = {.lex_state = 414, .external_lex_state = 3},
  [11768] = {.lex_state = 131, .external_lex_state = 3},
  [11769] = {.lex_state = 425, .external_lex_state = 3},
  [11770] = {.lex_state = 131, .external_lex_state = 3},
  [11771] = {.lex_state = 434, .external_lex_state = 3},
  [11772] = {.lex_state = 181, .external_lex_state = 3},
  [11773] = {.lex_state = 425, .external_lex_state = 3},
  [11774] = {.lex_state = 131, .external_lex_state = 3},
  [11775] = {.lex_state = 425, .external_lex_state = 3},
  [11776] = {.lex_state = 150, .external_lex_state = 2},
  [11777] = {.lex_state = 129, .external_lex_state = 3},
  [11778] = {.lex_state = 131, .external_lex_state = 3},
  [11779] = {.lex_state = 131, .external_lex_state = 3},
  [11780] = {.lex_state = 425, .external_lex_state = 3},
  [11781] = {.lex_state = 434, .external_lex_state = 3},
  [11782] = {.lex_state = 425, .external_lex_state = 3},
  [11783] = {.lex_state = 425, .external_lex_state = 3},
  [11784] = {.lex_state = 425, .external_lex_state = 3},
  [11785] = {.lex_state = 425, .external_lex_state = 3},
  [11786] = {.lex_state = 425, .external_lex_state = 3},
  [11787] = {.lex_state = 425, .external_lex_state = 3},
  [11788] = {.lex_state = 181, .external_lex_state = 3},
  [11789] = {.lex_state = 181, .external_lex_state = 3},
  [11790] = {.lex_state = 425, .external_lex_state = 3},
  [11791] = {.lex_state = 129, .external_lex_state = 3},
  [11792] = {.lex_state = 425, .external_lex_state = 3},
  [11793] = {.lex_state = 161, .external_lex_state = 3},
  [11794] = {.lex_state = 425, .external_lex_state = 3},
  [11795] = {.lex_state = 6, .external_lex_state = 2},
  [11796] = {.lex_state = 129, .external_lex_state = 3},
  [11797] = {.lex_state = 425, .external_lex_state = 3},
  [11798] = {.lex_state = 425, .external_lex_state = 3},
  [11799] = {.lex_state = 425, .external_lex_state = 3},
  [11800] = {.lex_state = 425, .external_lex_state = 3},
  [11801] = {.lex_state = 17, .external_lex_state = 3},
  [11802] = {.lex_state = 175, .external_lex_state = 3},
  [11803] = {.lex_state = 425, .external_lex_state = 3},
  [11804] = {.lex_state = 425, .external_lex_state = 3},
  [11805] = {.lex_state = 131, .external_lex_state = 3},
  [11806] = {.lex_state = 175, .external_lex_state = 3},
  [11807] = {.lex_state = 130, .external_lex_state = 3},
  [11808] = {.lex_state = 425, .external_lex_state = 3},
  [11809] = {.lex_state = 425, .external_lex_state = 3},
  [11810] = {.lex_state = 425, .external_lex_state = 3},
  [11811] = {.lex_state = 425, .external_lex_state = 3},
  [11812] = {.lex_state = 181, .external_lex_state = 3},
  [11813] = {.lex_state = 425, .external_lex_state = 3},
  [11814] = {.lex_state = 425, .external_lex_state = 3},
  [11815] = {.lex_state = 425, .external_lex_state = 3},
  [11816] = {.lex_state = 131, .external_lex_state = 3},
  [11817] = {.lex_state = 175, .external_lex_state = 3},
  [11818] = {.lex_state = 425, .external_lex_state = 3},
  [11819] = {.lex_state = 425, .external_lex_state = 3},
  [11820] = {.lex_state = 425, .external_lex_state = 3},
  [11821] = {.lex_state = 425, .external_lex_state = 3},
  [11822] = {.lex_state = 129, .external_lex_state = 3},
  [11823] = {.lex_state = 425, .external_lex_state = 3},
  [11824] = {.lex_state = 425, .external_lex_state = 3},
  [11825] = {.lex_state = 425, .external_lex_state = 3},
  [11826] = {.lex_state = 425, .external_lex_state = 3},
  [11827] = {.lex_state = 425, .external_lex_state = 3},
  [11828] = {.lex_state = 181, .external_lex_state = 3},
  [11829] = {.lex_state = 181, .external_lex_state = 3},
  [11830] = {.lex_state = 174, .external_lex_state = 3},
  [11831] = {.lex_state = 131, .external_lex_state = 3},
  [11832] = {.lex_state = 425, .external_lex_state = 3},
  [11833] = {.lex_state = 181, .external_lex_state = 3},
  [11834] = {.lex_state = 425, .external_lex_state = 3},
  [11835] = {.lex_state = 175, .external_lex_state = 3},
  [11836] = {.lex_state = 175, .external_lex_state = 3},
  [11837] = {.lex_state = 140, .external_lex_state = 3},
  [11838] = {.lex_state = 425, .external_lex_state = 3},
  [11839] = {.lex_state = 175, .external_lex_state = 3},
  [11840] = {.lex_state = 129, .external_lex_state = 3},
  [11841] = {.lex_state = 131, .external_lex_state = 3},
  [11842] = {.lex_state = 412, .external_lex_state = 3},
  [11843] = {.lex_state = 425, .external_lex_state = 3},
  [11844] = {.lex_state = 425, .external_lex_state = 3},
  [11845] = {.lex_state = 434, .external_lex_state = 3},
  [11846] = {.lex_state = 136, .external_lex_state = 3},
  [11847] = {.lex_state = 130, .external_lex_state = 3},
  [11848] = {.lex_state = 174, .external_lex_state = 3},
  [11849] = {.lex_state = 425, .external_lex_state = 3},
  [11850] = {.lex_state = 425, .external_lex_state = 3},
  [11851] = {.lex_state = 174, .external_lex_state = 3},
  [11852] = {.lex_state = 412, .external_lex_state = 2},
  [11853] = {.lex_state = 173, .external_lex_state = 3},
  [11854] = {.lex_state = 173, .external_lex_state = 3},
  [11855] = {.lex_state = 425, .external_lex_state = 3},
  [11856] = {.lex_state = 434, .external_lex_state = 3},
  [11857] = {.lex_state = 130, .external_lex_state = 3},
  [11858] = {.lex_state = 434, .external_lex_state = 3},
  [11859] = {.lex_state = 425, .external_lex_state = 3},
  [11860] = {.lex_state = 434, .external_lex_state = 3},
  [11861] = {.lex_state = 425, .external_lex_state = 3},
  [11862] = {.lex_state = 130, .external_lex_state = 3},
  [11863] = {.lex_state = 425, .external_lex_state = 3},
  [11864] = {.lex_state = 425, .external_lex_state = 3},
  [11865] = {.lex_state = 425, .external_lex_state = 3},
  [11866] = {.lex_state = 425, .external_lex_state = 3},
  [11867] = {.lex_state = 425, .external_lex_state = 3},
  [11868] = {.lex_state = 425, .external_lex_state = 3},
  [11869] = {.lex_state = 425, .external_lex_state = 3},
  [11870] = {.lex_state = 425, .external_lex_state = 3},
  [11871] = {.lex_state = 425, .external_lex_state = 3},
  [11872] = {.lex_state = 425, .external_lex_state = 3},
  [11873] = {.lex_state = 425, .external_lex_state = 3},
  [11874] = {.lex_state = 425, .external_lex_state = 3},
  [11875] = {.lex_state = 425, .external_lex_state = 3},
  [11876] = {.lex_state = 425, .external_lex_state = 3},
  [11877] = {.lex_state = 434, .external_lex_state = 3},
  [11878] = {.lex_state = 425, .external_lex_state = 3},
  [11879] = {.lex_state = 434, .external_lex_state = 3},
  [11880] = {.lex_state = 130, .external_lex_state = 3},
  [11881] = {.lex_state = 130, .external_lex_state = 3},
  [11882] = {.lex_state = 425, .external_lex_state = 3},
  [11883] = {.lex_state = 130, .external_lex_state = 3},
  [11884] = {.lex_state = 425, .external_lex_state = 3},
  [11885] = {.lex_state = 425, .external_lex_state = 3},
  [11886] = {.lex_state = 425, .external_lex_state = 3},
  [11887] = {.lex_state = 130, .external_lex_state = 3},
  [11888] = {.lex_state = 425, .external_lex_state = 3},
  [11889] = {.lex_state = 130, .external_lex_state = 3},
  [11890] = {.lex_state = 129, .external_lex_state = 3},
  [11891] = {.lex_state = 425, .external_lex_state = 3},
  [11892] = {.lex_state = 425, .external_lex_state = 3},
  [11893] = {.lex_state = 176, .external_lex_state = 3},
  [11894] = {.lex_state = 425, .external_lex_state = 3},
  [11895] = {.lex_state = 181, .external_lex_state = 3},
  [11896] = {.lex_state = 130, .external_lex_state = 3},
  [11897] = {.lex_state = 130, .external_lex_state = 3},
  [11898] = {.lex_state = 177, .external_lex_state = 3},
  [11899] = {.lex_state = 181, .external_lex_state = 3},
  [11900] = {.lex_state = 425, .external_lex_state = 3},
  [11901] = {.lex_state = 130, .external_lex_state = 3},
  [11902] = {.lex_state = 425, .external_lex_state = 3},
  [11903] = {.lex_state = 425, .external_lex_state = 3},
  [11904] = {.lex_state = 425, .external_lex_state = 3},
  [11905] = {.lex_state = 130, .external_lex_state = 3},
  [11906] = {.lex_state = 173, .external_lex_state = 3},
  [11907] = {.lex_state = 173, .external_lex_state = 3},
  [11908] = {.lex_state = 425, .external_lex_state = 3},
  [11909] = {.lex_state = 425, .external_lex_state = 3},
  [11910] = {.lex_state = 425, .external_lex_state = 3},
  [11911] = {.lex_state = 34, .external_lex_state = 2},
  [11912] = {.lex_state = 425, .external_lex_state = 3},
  [11913] = {.lex_state = 425, .external_lex_state = 3},
  [11914] = {.lex_state = 425, .external_lex_state = 3},
  [11915] = {.lex_state = 425, .external_lex_state = 3},
  [11916] = {.lex_state = 425, .external_lex_state = 3},
  [11917] = {.lex_state = 425, .external_lex_state = 3},
  [11918] = {.lex_state = 181, .external_lex_state = 3},
  [11919] = {.lex_state = 425, .external_lex_state = 3},
  [11920] = {.lex_state = 425, .external_lex_state = 3},
  [11921] = {.lex_state = 425, .external_lex_state = 3},
  [11922] = {.lex_state = 425, .external_lex_state = 3},
  [11923] = {.lex_state = 425, .external_lex_state = 3},
  [11924] = {.lex_state = 425, .external_lex_state = 3},
  [11925] = {.lex_state = 434, .external_lex_state = 3},
  [11926] = {.lex_state = 18, .external_lex_state = 3},
  [11927] = {.lex_state = 425, .external_lex_state = 3},
  [11928] = {.lex_state = 131, .external_lex_state = 3},
  [11929] = {.lex_state = 425, .external_lex_state = 3},
  [11930] = {.lex_state = 174, .external_lex_state = 3},
  [11931] = {.lex_state = 425, .external_lex_state = 3},
  [11932] = {.lex_state = 434, .external_lex_state = 3},
  [11933] = {.lex_state = 130, .external_lex_state = 3},
  [11934] = {.lex_state = 434, .external_lex_state = 3},
  [11935] = {.lex_state = 425, .external_lex_state = 3},
  [11936] = {.lex_state = 425, .external_lex_state = 3},
  [11937] = {.lex_state = 425, .external_lex_state = 3},
  [11938] = {.lex_state = 425, .external_lex_state = 3},
  [11939] = {.lex_state = 425, .external_lex_state = 3},
  [11940] = {.lex_state = 434, .external_lex_state = 3},
  [11941] = {.lex_state = 434, .external_lex_state = 3},
  [11942] = {.lex_state = 425, .external_lex_state = 3},
  [11943] = {.lex_state = 425, .external_lex_state = 3},
  [11944] = {.lex_state = 425, .external_lex_state = 3},
  [11945] = {.lex_state = 425, .external_lex_state = 3},
  [11946] = {.lex_state = 425, .external_lex_state = 3},
  [11947] = {.lex_state = 425, .external_lex_state = 3},
  [11948] = {.lex_state = 18, .external_lex_state = 3},
  [11949] = {.lex_state = 425, .external_lex_state = 3},
  [11950] = {.lex_state = 130, .external_lex_state = 3},
  [11951] = {.lex_state = 434, .external_lex_state = 3},
  [11952] = {.lex_state = 434, .external_lex_state = 3},
  [11953] = {.lex_state = 18, .external_lex_state = 3},
  [11954] = {.lex_state = 18, .external_lex_state = 3},
  [11955] = {.lex_state = 18, .external_lex_state = 3},
  [11956] = {.lex_state = 131, .external_lex_state = 3},
  [11957] = {.lex_state = 434, .external_lex_state = 3},
  [11958] = {.lex_state = 129, .external_lex_state = 3},
  [11959] = {.lex_state = 161, .external_lex_state = 3},
  [11960] = {.lex_state = 185, .external_lex_state = 3},
  [11961] = {.lex_state = 129, .external_lex_state = 3},
  [11962] = {.lex_state = 185, .external_lex_state = 3},
  [11963] = {.lex_state = 412, .external_lex_state = 3},
  [11964] = {.lex_state = 170, .external_lex_state = 3},
  [11965] = {.lex_state = 18, .external_lex_state = 3},
  [11966] = {.lex_state = 17, .external_lex_state = 3},
  [11967] = {.lex_state = 129, .external_lex_state = 3},
  [11968] = {.lex_state = 170, .external_lex_state = 3},
  [11969] = {.lex_state = 18, .external_lex_state = 3},
  [11970] = {.lex_state = 18, .external_lex_state = 3},
  [11971] = {.lex_state = 170, .external_lex_state = 3},
  [11972] = {.lex_state = 187, .external_lex_state = 3},
  [11973] = {.lex_state = 18, .external_lex_state = 3},
  [11974] = {.lex_state = 18, .external_lex_state = 3},
  [11975] = {.lex_state = 170, .external_lex_state = 3},
  [11976] = {.lex_state = 412, .external_lex_state = 3},
  [11977] = {.lex_state = 425, .external_lex_state = 3},
  [11978] = {.lex_state = 17, .external_lex_state = 3},
  [11979] = {.lex_state = 185, .external_lex_state = 3},
  [11980] = {.lex_state = 129, .external_lex_state = 3},
  [11981] = {.lex_state = 129, .external_lex_state = 3},
  [11982] = {.lex_state = 129, .external_lex_state = 3},
  [11983] = {.lex_state = 18, .external_lex_state = 3},
  [11984] = {.lex_state = 18, .external_lex_state = 3},
  [11985] = {.lex_state = 18, .external_lex_state = 3},
  [11986] = {.lex_state = 18, .external_lex_state = 3},
  [11987] = {.lex_state = 170, .external_lex_state = 3},
  [11988] = {.lex_state = 129, .external_lex_state = 3},
  [11989] = {.lex_state = 187, .external_lex_state = 3},
  [11990] = {.lex_state = 170, .external_lex_state = 3},
  [11991] = {.lex_state = 18, .external_lex_state = 3},
  [11992] = {.lex_state = 18, .external_lex_state = 3},
  [11993] = {.lex_state = 18, .external_lex_state = 3},
  [11994] = {.lex_state = 18, .external_lex_state = 3},
  [11995] = {.lex_state = 18, .external_lex_state = 3},
  [11996] = {.lex_state = 18, .external_lex_state = 3},
  [11997] = {.lex_state = 185, .external_lex_state = 3},
  [11998] = {.lex_state = 18, .external_lex_state = 3},
  [11999] = {.lex_state = 18, .external_lex_state = 3},
  [12000] = {.lex_state = 18, .external_lex_state = 3},
  [12001] = {.lex_state = 18, .external_lex_state = 3},
  [12002] = {.lex_state = 18, .external_lex_state = 3},
  [12003] = {.lex_state = 18, .external_lex_state = 3},
  [12004] = {.lex_state = 18, .external_lex_state = 3},
  [12005] = {.lex_state = 18, .external_lex_state = 3},
  [12006] = {.lex_state = 18, .external_lex_state = 3},
  [12007] = {.lex_state = 18, .external_lex_state = 3},
  [12008] = {.lex_state = 17, .external_lex_state = 3},
  [12009] = {.lex_state = 170, .external_lex_state = 3},
  [12010] = {.lex_state = 185, .external_lex_state = 3},
  [12011] = {.lex_state = 425, .external_lex_state = 3},
  [12012] = {.lex_state = 425, .external_lex_state = 3},
  [12013] = {.lex_state = 129, .external_lex_state = 3},
  [12014] = {.lex_state = 7, .external_lex_state = 3},
  [12015] = {.lex_state = 185, .external_lex_state = 3},
  [12016] = {.lex_state = 185, .external_lex_state = 3},
  [12017] = {.lex_state = 18, .external_lex_state = 3},
  [12018] = {.lex_state = 18, .external_lex_state = 3},
  [12019] = {.lex_state = 189, .external_lex_state = 3},
  [12020] = {.lex_state = 173, .external_lex_state = 3},
  [12021] = {.lex_state = 129, .external_lex_state = 3},
  [12022] = {.lex_state = 170, .external_lex_state = 3},
  [12023] = {.lex_state = 129, .external_lex_state = 3},
  [12024] = {.lex_state = 185, .external_lex_state = 3},
  [12025] = {.lex_state = 18, .external_lex_state = 3},
  [12026] = {.lex_state = 187, .external_lex_state = 3},
  [12027] = {.lex_state = 412, .external_lex_state = 3},
  [12028] = {.lex_state = 17, .external_lex_state = 3},
  [12029] = {.lex_state = 412, .external_lex_state = 3},
  [12030] = {.lex_state = 170, .external_lex_state = 3},
  [12031] = {.lex_state = 17, .external_lex_state = 3},
  [12032] = {.lex_state = 185, .external_lex_state = 3},
  [12033] = {.lex_state = 17, .external_lex_state = 3},
  [12034] = {.lex_state = 187, .external_lex_state = 3},
  [12035] = {.lex_state = 185, .external_lex_state = 3},
  [12036] = {.lex_state = 412, .external_lex_state = 3},
  [12037] = {.lex_state = 412, .external_lex_state = 3},
  [12038] = {.lex_state = 173, .external_lex_state = 3},
  [12039] = {.lex_state = 17, .external_lex_state = 3},
  [12040] = {.lex_state = 129, .external_lex_state = 3},
  [12041] = {.lex_state = 17, .external_lex_state = 3},
  [12042] = {.lex_state = 18, .external_lex_state = 3},
  [12043] = {.lex_state = 17, .external_lex_state = 3},
  [12044] = {.lex_state = 189, .external_lex_state = 3},
  [12045] = {.lex_state = 170, .external_lex_state = 3},
  [12046] = {.lex_state = 170, .external_lex_state = 3},
  [12047] = {.lex_state = 412, .external_lex_state = 3},
  [12048] = {.lex_state = 129, .external_lex_state = 3},
  [12049] = {.lex_state = 425, .external_lex_state = 3},
  [12050] = {.lex_state = 189, .external_lex_state = 3},
  [12051] = {.lex_state = 185, .external_lex_state = 3},
  [12052] = {.lex_state = 185, .external_lex_state = 3},
  [12053] = {.lex_state = 17, .external_lex_state = 3},
  [12054] = {.lex_state = 17, .external_lex_state = 3},
  [12055] = {.lex_state = 17, .external_lex_state = 3},
  [12056] = {.lex_state = 17, .external_lex_state = 3},
  [12057] = {.lex_state = 17, .external_lex_state = 3},
  [12058] = {.lex_state = 412, .external_lex_state = 3},
  [12059] = {.lex_state = 170, .external_lex_state = 3},
  [12060] = {.lex_state = 133, .external_lex_state = 2},
  [12061] = {.lex_state = 17, .external_lex_state = 3},
  [12062] = {.lex_state = 17, .external_lex_state = 3},
  [12063] = {.lex_state = 17, .external_lex_state = 3},
  [12064] = {.lex_state = 425, .external_lex_state = 3},
  [12065] = {.lex_state = 425, .external_lex_state = 3},
  [12066] = {.lex_state = 6, .external_lex_state = 2},
  [12067] = {.lex_state = 185, .external_lex_state = 3},
  [12068] = {.lex_state = 185, .external_lex_state = 3},
  [12069] = {.lex_state = 129, .external_lex_state = 3},
  [12070] = {.lex_state = 17, .external_lex_state = 3},
  [12071] = {.lex_state = 17, .external_lex_state = 3},
  [12072] = {.lex_state = 185, .external_lex_state = 3},
  [12073] = {.lex_state = 17, .external_lex_state = 3},
  [12074] = {.lex_state = 17, .external_lex_state = 3},
  [12075] = {.lex_state = 412, .external_lex_state = 3},
  [12076] = {.lex_state = 170, .external_lex_state = 3},
  [12077] = {.lex_state = 412, .external_lex_state = 3},
  [12078] = {.lex_state = 412, .external_lex_state = 3},
  [12079] = {.lex_state = 162, .external_lex_state = 3},
  [12080] = {.lex_state = 162, .external_lex_state = 3},
  [12081] = {.lex_state = 162, .external_lex_state = 3},
  [12082] = {.lex_state = 170, .external_lex_state = 3},
  [12083] = {.lex_state = 170, .external_lex_state = 3},
  [12084] = {.lex_state = 17, .external_lex_state = 3},
  [12085] = {.lex_state = 170, .external_lex_state = 3},
  [12086] = {.lex_state = 170, .external_lex_state = 3},
  [12087] = {.lex_state = 170, .external_lex_state = 3},
  [12088] = {.lex_state = 17, .external_lex_state = 3},
  [12089] = {.lex_state = 17, .external_lex_state = 3},
  [12090] = {.lex_state = 170, .external_lex_state = 3},
  [12091] = {.lex_state = 185, .external_lex_state = 3},
  [12092] = {.lex_state = 185, .external_lex_state = 3},
  [12093] = {.lex_state = 17, .external_lex_state = 3},
  [12094] = {.lex_state = 412, .external_lex_state = 3},
  [12095] = {.lex_state = 161, .external_lex_state = 3},
  [12096] = {.lex_state = 170, .external_lex_state = 3},
  [12097] = {.lex_state = 170, .external_lex_state = 3},
  [12098] = {.lex_state = 17, .external_lex_state = 3},
  [12099] = {.lex_state = 17, .external_lex_state = 3},
  [12100] = {.lex_state = 425, .external_lex_state = 3},
  [12101] = {.lex_state = 17, .external_lex_state = 3},
  [12102] = {.lex_state = 18, .external_lex_state = 3},
  [12103] = {.lex_state = 170, .external_lex_state = 3},
  [12104] = {.lex_state = 185, .external_lex_state = 3},
  [12105] = {.lex_state = 161, .external_lex_state = 3},
  [12106] = {.lex_state = 185, .external_lex_state = 3},
  [12107] = {.lex_state = 170, .external_lex_state = 3},
  [12108] = {.lex_state = 185, .external_lex_state = 3},
  [12109] = {.lex_state = 17, .external_lex_state = 3},
  [12110] = {.lex_state = 17, .external_lex_state = 3},
  [12111] = {.lex_state = 170, .external_lex_state = 3},
  [12112] = {.lex_state = 170, .external_lex_state = 3},
  [12113] = {.lex_state = 170, .external_lex_state = 3},
  [12114] = {.lex_state = 412, .external_lex_state = 3},
  [12115] = {.lex_state = 170, .external_lex_state = 3},
  [12116] = {.lex_state = 17, .external_lex_state = 3},
  [12117] = {.lex_state = 412, .external_lex_state = 3},
  [12118] = {.lex_state = 170, .external_lex_state = 3},
  [12119] = {.lex_state = 189, .external_lex_state = 3},
  [12120] = {.lex_state = 425, .external_lex_state = 3},
  [12121] = {.lex_state = 170, .external_lex_state = 3},
  [12122] = {.lex_state = 425, .external_lex_state = 3},
  [12123] = {.lex_state = 428, .external_lex_state = 3},
  [12124] = {.lex_state = 170, .external_lex_state = 3},
  [12125] = {.lex_state = 170, .external_lex_state = 3},
  [12126] = {.lex_state = 170, .external_lex_state = 3},
  [12127] = {.lex_state = 185, .external_lex_state = 3},
  [12128] = {.lex_state = 170, .external_lex_state = 3},
  [12129] = {.lex_state = 170, .external_lex_state = 3},
  [12130] = {.lex_state = 425, .external_lex_state = 3},
  [12131] = {.lex_state = 185, .external_lex_state = 3},
  [12132] = {.lex_state = 170, .external_lex_state = 3},
  [12133] = {.lex_state = 17, .external_lex_state = 3},
  [12134] = {.lex_state = 18, .external_lex_state = 3},
  [12135] = {.lex_state = 181, .external_lex_state = 3},
  [12136] = {.lex_state = 425, .external_lex_state = 3},
  [12137] = {.lex_state = 412, .external_lex_state = 3},
  [12138] = {.lex_state = 425, .external_lex_state = 3},
  [12139] = {.lex_state = 412, .external_lex_state = 3},
  [12140] = {.lex_state = 170, .external_lex_state = 3},
  [12141] = {.lex_state = 170, .external_lex_state = 3},
  [12142] = {.lex_state = 185, .external_lex_state = 3},
  [12143] = {.lex_state = 185, .external_lex_state = 3},
  [12144] = {.lex_state = 18, .external_lex_state = 3},
  [12145] = {.lex_state = 412, .external_lex_state = 3},
  [12146] = {.lex_state = 412, .external_lex_state = 3},
  [12147] = {.lex_state = 17, .external_lex_state = 3},
  [12148] = {.lex_state = 412, .external_lex_state = 3},
  [12149] = {.lex_state = 412, .external_lex_state = 3},
  [12150] = {.lex_state = 170, .external_lex_state = 3},
  [12151] = {.lex_state = 170, .external_lex_state = 3},
  [12152] = {.lex_state = 170, .external_lex_state = 3},
  [12153] = {.lex_state = 170, .external_lex_state = 3},
  [12154] = {.lex_state = 18, .external_lex_state = 3},
  [12155] = {.lex_state = 170, .external_lex_state = 3},
  [12156] = {.lex_state = 425, .external_lex_state = 3},
  [12157] = {.lex_state = 425, .external_lex_state = 3},
  [12158] = {.lex_state = 425, .external_lex_state = 3},
  [12159] = {.lex_state = 425, .external_lex_state = 3},
  [12160] = {.lex_state = 34, .external_lex_state = 2},
  [12161] = {.lex_state = 181, .external_lex_state = 3},
  [12162] = {.lex_state = 185, .external_lex_state = 3},
  [12163] = {.lex_state = 129, .external_lex_state = 3},
  [12164] = {.lex_state = 185, .external_lex_state = 3},
  [12165] = {.lex_state = 185, .external_lex_state = 3},
  [12166] = {.lex_state = 185, .external_lex_state = 3},
  [12167] = {.lex_state = 185, .external_lex_state = 3},
  [12168] = {.lex_state = 185, .external_lex_state = 3},
  [12169] = {.lex_state = 185, .external_lex_state = 3},
  [12170] = {.lex_state = 185, .external_lex_state = 3},
  [12171] = {.lex_state = 185, .external_lex_state = 3},
  [12172] = {.lex_state = 185, .external_lex_state = 3},
  [12173] = {.lex_state = 170, .external_lex_state = 3},
  [12174] = {.lex_state = 170, .external_lex_state = 3},
  [12175] = {.lex_state = 185, .external_lex_state = 3},
  [12176] = {.lex_state = 17, .external_lex_state = 3},
  [12177] = {.lex_state = 18, .external_lex_state = 3},
  [12178] = {.lex_state = 185, .external_lex_state = 3},
  [12179] = {.lex_state = 185, .external_lex_state = 3},
  [12180] = {.lex_state = 425, .external_lex_state = 3},
  [12181] = {.lex_state = 425, .external_lex_state = 3},
  [12182] = {.lex_state = 170, .external_lex_state = 3},
  [12183] = {.lex_state = 170, .external_lex_state = 3},
  [12184] = {.lex_state = 170, .external_lex_state = 3},
  [12185] = {.lex_state = 425, .external_lex_state = 3},
  [12186] = {.lex_state = 425, .external_lex_state = 3},
  [12187] = {.lex_state = 170, .external_lex_state = 3},
  [12188] = {.lex_state = 170, .external_lex_state = 3},
  [12189] = {.lex_state = 170, .external_lex_state = 3},
  [12190] = {.lex_state = 170, .external_lex_state = 3},
  [12191] = {.lex_state = 425, .external_lex_state = 3},
  [12192] = {.lex_state = 170, .external_lex_state = 3},
  [12193] = {.lex_state = 170, .external_lex_state = 3},
  [12194] = {.lex_state = 170, .external_lex_state = 3},
  [12195] = {.lex_state = 18, .external_lex_state = 3},
  [12196] = {.lex_state = 170, .external_lex_state = 3},
  [12197] = {.lex_state = 170, .external_lex_state = 3},
  [12198] = {.lex_state = 170, .external_lex_state = 3},
  [12199] = {.lex_state = 170, .external_lex_state = 3},
  [12200] = {.lex_state = 170, .external_lex_state = 3},
  [12201] = {.lex_state = 170, .external_lex_state = 3},
  [12202] = {.lex_state = 170, .external_lex_state = 3},
  [12203] = {.lex_state = 170, .external_lex_state = 3},
  [12204] = {.lex_state = 170, .external_lex_state = 3},
  [12205] = {.lex_state = 425, .external_lex_state = 3},
  [12206] = {.lex_state = 170, .external_lex_state = 3},
  [12207] = {.lex_state = 170, .external_lex_state = 3},
  [12208] = {.lex_state = 170, .external_lex_state = 3},
  [12209] = {.lex_state = 412, .external_lex_state = 3},
  [12210] = {.lex_state = 17, .external_lex_state = 3},
  [12211] = {.lex_state = 425, .external_lex_state = 3},
  [12212] = {.lex_state = 412, .external_lex_state = 3},
  [12213] = {.lex_state = 181, .external_lex_state = 3},
  [12214] = {.lex_state = 173, .external_lex_state = 3},
  [12215] = {.lex_state = 131, .external_lex_state = 3},
  [12216] = {.lex_state = 131, .external_lex_state = 3},
  [12217] = {.lex_state = 131, .external_lex_state = 3},
  [12218] = {.lex_state = 131, .external_lex_state = 3},
  [12219] = {.lex_state = 131, .external_lex_state = 3},
  [12220] = {.lex_state = 131, .external_lex_state = 3},
  [12221] = {.lex_state = 131, .external_lex_state = 3},
  [12222] = {.lex_state = 131, .external_lex_state = 3},
  [12223] = {.lex_state = 131, .external_lex_state = 3},
  [12224] = {.lex_state = 131, .external_lex_state = 3},
  [12225] = {.lex_state = 131, .external_lex_state = 3},
  [12226] = {.lex_state = 131, .external_lex_state = 3},
  [12227] = {.lex_state = 131, .external_lex_state = 3},
  [12228] = {.lex_state = 412, .external_lex_state = 3},
  [12229] = {.lex_state = 425, .external_lex_state = 3},
  [12230] = {.lex_state = 173, .external_lex_state = 3},
  [12231] = {.lex_state = 412, .external_lex_state = 3},
  [12232] = {.lex_state = 425, .external_lex_state = 3},
  [12233] = {.lex_state = 174, .external_lex_state = 3},
  [12234] = {.lex_state = 173, .external_lex_state = 3},
  [12235] = {.lex_state = 412, .external_lex_state = 3},
  [12236] = {.lex_state = 173, .external_lex_state = 3},
  [12237] = {.lex_state = 412, .external_lex_state = 3},
  [12238] = {.lex_state = 173, .external_lex_state = 3},
  [12239] = {.lex_state = 412, .external_lex_state = 3},
  [12240] = {.lex_state = 181, .external_lex_state = 3},
  [12241] = {.lex_state = 181, .external_lex_state = 3},
  [12242] = {.lex_state = 181, .external_lex_state = 3},
  [12243] = {.lex_state = 181, .external_lex_state = 3},
  [12244] = {.lex_state = 412, .external_lex_state = 3},
  [12245] = {.lex_state = 412, .external_lex_state = 3},
  [12246] = {.lex_state = 181, .external_lex_state = 3},
  [12247] = {.lex_state = 425, .external_lex_state = 3},
  [12248] = {.lex_state = 425, .external_lex_state = 3},
  [12249] = {.lex_state = 173, .external_lex_state = 3},
  [12250] = {.lex_state = 412, .external_lex_state = 3},
  [12251] = {.lex_state = 425, .external_lex_state = 3},
  [12252] = {.lex_state = 131, .external_lex_state = 3},
  [12253] = {.lex_state = 131, .external_lex_state = 3},
  [12254] = {.lex_state = 131, .external_lex_state = 3},
  [12255] = {.lex_state = 131, .external_lex_state = 3},
  [12256] = {.lex_state = 131, .external_lex_state = 3},
  [12257] = {.lex_state = 173, .external_lex_state = 3},
  [12258] = {.lex_state = 173, .external_lex_state = 3},
  [12259] = {.lex_state = 425, .external_lex_state = 3},
  [12260] = {.lex_state = 173, .external_lex_state = 3},
  [12261] = {.lex_state = 6, .external_lex_state = 3},
  [12262] = {.lex_state = 183, .external_lex_state = 3},
  [12263] = {.lex_state = 412, .external_lex_state = 3},
  [12264] = {.lex_state = 173, .external_lex_state = 3},
  [12265] = {.lex_state = 425, .external_lex_state = 3},
  [12266] = {.lex_state = 412, .external_lex_state = 3},
  [12267] = {.lex_state = 425, .external_lex_state = 3},
  [12268] = {.lex_state = 173, .external_lex_state = 3},
  [12269] = {.lex_state = 173, .external_lex_state = 3},
  [12270] = {.lex_state = 15, .external_lex_state = 3},
  [12271] = {.lex_state = 175, .external_lex_state = 3},
  [12272] = {.lex_state = 173, .external_lex_state = 3},
  [12273] = {.lex_state = 6, .external_lex_state = 3},
  [12274] = {.lex_state = 173, .external_lex_state = 3},
  [12275] = {.lex_state = 412, .external_lex_state = 3},
  [12276] = {.lex_state = 8, .external_lex_state = 3},
  [12277] = {.lex_state = 412, .external_lex_state = 3},
  [12278] = {.lex_state = 425, .external_lex_state = 3},
  [12279] = {.lex_state = 425, .external_lex_state = 3},
  [12280] = {.lex_state = 425, .external_lex_state = 3},
  [12281] = {.lex_state = 425, .external_lex_state = 3},
  [12282] = {.lex_state = 412, .external_lex_state = 3},
  [12283] = {.lex_state = 131, .external_lex_state = 3},
  [12284] = {.lex_state = 412, .external_lex_state = 3},
  [12285] = {.lex_state = 174, .external_lex_state = 3},
  [12286] = {.lex_state = 174, .external_lex_state = 3},
  [12287] = {.lex_state = 174, .external_lex_state = 3},
  [12288] = {.lex_state = 8, .external_lex_state = 3},
  [12289] = {.lex_state = 173, .external_lex_state = 3},
  [12290] = {.lex_state = 425, .external_lex_state = 3},
  [12291] = {.lex_state = 412, .external_lex_state = 3},
  [12292] = {.lex_state = 412, .external_lex_state = 3},
  [12293] = {.lex_state = 181, .external_lex_state = 3},
  [12294] = {.lex_state = 175, .external_lex_state = 3},
  [12295] = {.lex_state = 175, .external_lex_state = 3},
  [12296] = {.lex_state = 175, .external_lex_state = 3},
  [12297] = {.lex_state = 425, .external_lex_state = 3},
  [12298] = {.lex_state = 417, .external_lex_state = 3},
  [12299] = {.lex_state = 425, .external_lex_state = 3},
  [12300] = {.lex_state = 412, .external_lex_state = 3},
  [12301] = {.lex_state = 412, .external_lex_state = 3},
  [12302] = {.lex_state = 19, .external_lex_state = 3},
  [12303] = {.lex_state = 181, .external_lex_state = 3},
  [12304] = {.lex_state = 412, .external_lex_state = 3},
  [12305] = {.lex_state = 412, .external_lex_state = 3},
  [12306] = {.lex_state = 181, .external_lex_state = 3},
  [12307] = {.lex_state = 161, .external_lex_state = 3},
  [12308] = {.lex_state = 412, .external_lex_state = 3},
  [12309] = {.lex_state = 173, .external_lex_state = 3},
  [12310] = {.lex_state = 412, .external_lex_state = 3},
  [12311] = {.lex_state = 412, .external_lex_state = 3},
  [12312] = {.lex_state = 412, .external_lex_state = 3},
  [12313] = {.lex_state = 181, .external_lex_state = 3},
  [12314] = {.lex_state = 181, .external_lex_state = 3},
  [12315] = {.lex_state = 412, .external_lex_state = 3},
  [12316] = {.lex_state = 19, .external_lex_state = 3},
  [12317] = {.lex_state = 181, .external_lex_state = 3},
  [12318] = {.lex_state = 425, .external_lex_state = 3},
  [12319] = {.lex_state = 15, .external_lex_state = 2},
  [12320] = {.lex_state = 181, .external_lex_state = 3},
  [12321] = {.lex_state = 425, .external_lex_state = 3},
  [12322] = {.lex_state = 412, .external_lex_state = 3},
  [12323] = {.lex_state = 412, .external_lex_state = 3},
  [12324] = {.lex_state = 425, .external_lex_state = 3},
  [12325] = {.lex_state = 181, .external_lex_state = 3},
  [12326] = {.lex_state = 412, .external_lex_state = 3},
  [12327] = {.lex_state = 173, .external_lex_state = 3},
  [12328] = {.lex_state = 412, .external_lex_state = 3},
  [12329] = {.lex_state = 425, .external_lex_state = 3},
  [12330] = {.lex_state = 181, .external_lex_state = 3},
  [12331] = {.lex_state = 181, .external_lex_state = 3},
  [12332] = {.lex_state = 181, .external_lex_state = 3},
  [12333] = {.lex_state = 173, .external_lex_state = 3},
  [12334] = {.lex_state = 173, .external_lex_state = 3},
  [12335] = {.lex_state = 173, .external_lex_state = 3},
  [12336] = {.lex_state = 425, .external_lex_state = 3},
  [12337] = {.lex_state = 173, .external_lex_state = 3},
  [12338] = {.lex_state = 412, .external_lex_state = 3},
  [12339] = {.lex_state = 181, .external_lex_state = 3},
  [12340] = {.lex_state = 181, .external_lex_state = 3},
  [12341] = {.lex_state = 412, .external_lex_state = 3},
  [12342] = {.lex_state = 412, .external_lex_state = 3},
  [12343] = {.lex_state = 181, .external_lex_state = 3},
  [12344] = {.lex_state = 181, .external_lex_state = 3},
  [12345] = {.lex_state = 412, .external_lex_state = 3},
  [12346] = {.lex_state = 412, .external_lex_state = 3},
  [12347] = {.lex_state = 173, .external_lex_state = 3},
  [12348] = {.lex_state = 181, .external_lex_state = 3},
  [12349] = {.lex_state = 181, .external_lex_state = 3},
  [12350] = {.lex_state = 181, .external_lex_state = 3},
  [12351] = {.lex_state = 181, .external_lex_state = 3},
  [12352] = {.lex_state = 412, .external_lex_state = 3},
  [12353] = {.lex_state = 181, .external_lex_state = 3},
  [12354] = {.lex_state = 181, .external_lex_state = 3},
  [12355] = {.lex_state = 412, .external_lex_state = 3},
  [12356] = {.lex_state = 181, .external_lex_state = 3},
  [12357] = {.lex_state = 181, .external_lex_state = 3},
  [12358] = {.lex_state = 412, .external_lex_state = 3},
  [12359] = {.lex_state = 181, .external_lex_state = 3},
  [12360] = {.lex_state = 181, .external_lex_state = 3},
  [12361] = {.lex_state = 412, .external_lex_state = 3},
  [12362] = {.lex_state = 412, .external_lex_state = 3},
  [12363] = {.lex_state = 425, .external_lex_state = 3},
  [12364] = {.lex_state = 131, .external_lex_state = 3},
  [12365] = {.lex_state = 425, .external_lex_state = 3},
  [12366] = {.lex_state = 425, .external_lex_state = 3},
  [12367] = {.lex_state = 425, .external_lex_state = 3},
  [12368] = {.lex_state = 425, .external_lex_state = 3},
  [12369] = {.lex_state = 131, .external_lex_state = 3},
  [12370] = {.lex_state = 425, .external_lex_state = 3},
  [12371] = {.lex_state = 412, .external_lex_state = 2},
  [12372] = {.lex_state = 425, .external_lex_state = 3},
  [12373] = {.lex_state = 425, .external_lex_state = 3},
  [12374] = {.lex_state = 412, .external_lex_state = 3},
  [12375] = {.lex_state = 425, .external_lex_state = 3},
  [12376] = {.lex_state = 425, .external_lex_state = 3},
  [12377] = {.lex_state = 425, .external_lex_state = 3},
  [12378] = {.lex_state = 425, .external_lex_state = 3},
  [12379] = {.lex_state = 412, .external_lex_state = 3},
  [12380] = {.lex_state = 425, .external_lex_state = 3},
  [12381] = {.lex_state = 425, .external_lex_state = 3},
  [12382] = {.lex_state = 425, .external_lex_state = 3},
  [12383] = {.lex_state = 425, .external_lex_state = 3},
  [12384] = {.lex_state = 173, .external_lex_state = 3},
  [12385] = {.lex_state = 173, .external_lex_state = 3},
  [12386] = {.lex_state = 412, .external_lex_state = 3},
  [12387] = {.lex_state = 425, .external_lex_state = 3},
  [12388] = {.lex_state = 425, .external_lex_state = 3},
  [12389] = {.lex_state = 133, .external_lex_state = 2},
  [12390] = {.lex_state = 425, .external_lex_state = 3},
  [12391] = {.lex_state = 425, .external_lex_state = 3},
  [12392] = {.lex_state = 425, .external_lex_state = 3},
  [12393] = {.lex_state = 425, .external_lex_state = 3},
  [12394] = {.lex_state = 425, .external_lex_state = 3},
  [12395] = {.lex_state = 425, .external_lex_state = 3},
  [12396] = {.lex_state = 425, .external_lex_state = 3},
  [12397] = {.lex_state = 425, .external_lex_state = 3},
  [12398] = {.lex_state = 425, .external_lex_state = 3},
  [12399] = {.lex_state = 425, .external_lex_state = 3},
  [12400] = {.lex_state = 425, .external_lex_state = 3},
  [12401] = {.lex_state = 425, .external_lex_state = 3},
  [12402] = {.lex_state = 425, .external_lex_state = 3},
  [12403] = {.lex_state = 425, .external_lex_state = 3},
  [12404] = {.lex_state = 425, .external_lex_state = 3},
  [12405] = {.lex_state = 425, .external_lex_state = 3},
  [12406] = {.lex_state = 425, .external_lex_state = 3},
  [12407] = {.lex_state = 425, .external_lex_state = 3},
  [12408] = {.lex_state = 173, .external_lex_state = 3},
  [12409] = {.lex_state = 425, .external_lex_state = 3},
  [12410] = {.lex_state = 173, .external_lex_state = 3},
  [12411] = {.lex_state = 173, .external_lex_state = 3},
  [12412] = {.lex_state = 425, .external_lex_state = 3},
  [12413] = {.lex_state = 173, .external_lex_state = 3},
  [12414] = {.lex_state = 425, .external_lex_state = 3},
  [12415] = {.lex_state = 412, .external_lex_state = 3},
  [12416] = {.lex_state = 425, .external_lex_state = 3},
  [12417] = {.lex_state = 425, .external_lex_state = 3},
  [12418] = {.lex_state = 425, .external_lex_state = 3},
  [12419] = {.lex_state = 425, .external_lex_state = 3},
  [12420] = {.lex_state = 425, .external_lex_state = 3},
  [12421] = {.lex_state = 425, .external_lex_state = 3},
  [12422] = {.lex_state = 425, .external_lex_state = 3},
  [12423] = {.lex_state = 425, .external_lex_state = 3},
  [12424] = {.lex_state = 425, .external_lex_state = 3},
  [12425] = {.lex_state = 425, .external_lex_state = 3},
  [12426] = {.lex_state = 425, .external_lex_state = 3},
  [12427] = {.lex_state = 425, .external_lex_state = 3},
  [12428] = {.lex_state = 425, .external_lex_state = 3},
  [12429] = {.lex_state = 425, .external_lex_state = 3},
  [12430] = {.lex_state = 425, .external_lex_state = 3},
  [12431] = {.lex_state = 412, .external_lex_state = 3},
  [12432] = {.lex_state = 173, .external_lex_state = 3},
  [12433] = {.lex_state = 412, .external_lex_state = 3},
  [12434] = {.lex_state = 173, .external_lex_state = 3},
  [12435] = {.lex_state = 412, .external_lex_state = 2},
  [12436] = {.lex_state = 173, .external_lex_state = 3},
  [12437] = {.lex_state = 425, .external_lex_state = 3},
  [12438] = {.lex_state = 412, .external_lex_state = 2},
  [12439] = {.lex_state = 173, .external_lex_state = 3},
  [12440] = {.lex_state = 412, .external_lex_state = 3},
  [12441] = {.lex_state = 131, .external_lex_state = 3},
  [12442] = {.lex_state = 412, .external_lex_state = 3},
  [12443] = {.lex_state = 412, .external_lex_state = 3},
  [12444] = {.lex_state = 412, .external_lex_state = 3},
  [12445] = {.lex_state = 412, .external_lex_state = 3},
  [12446] = {.lex_state = 425, .external_lex_state = 3},
  [12447] = {.lex_state = 412, .external_lex_state = 3},
  [12448] = {.lex_state = 412, .external_lex_state = 3},
  [12449] = {.lex_state = 8, .external_lex_state = 3},
  [12450] = {.lex_state = 181, .external_lex_state = 3},
  [12451] = {.lex_state = 425, .external_lex_state = 3},
  [12452] = {.lex_state = 425, .external_lex_state = 3},
  [12453] = {.lex_state = 412, .external_lex_state = 3},
  [12454] = {.lex_state = 425, .external_lex_state = 3},
  [12455] = {.lex_state = 425, .external_lex_state = 3},
  [12456] = {.lex_state = 425, .external_lex_state = 3},
  [12457] = {.lex_state = 19, .external_lex_state = 3},
  [12458] = {.lex_state = 425, .external_lex_state = 3},
  [12459] = {.lex_state = 425, .external_lex_state = 3},
  [12460] = {.lex_state = 425, .external_lex_state = 3},
  [12461] = {.lex_state = 425, .external_lex_state = 3},
  [12462] = {.lex_state = 412, .external_lex_state = 3},
  [12463] = {.lex_state = 414, .external_lex_state = 3},
  [12464] = {.lex_state = 425, .external_lex_state = 3},
  [12465] = {.lex_state = 131, .external_lex_state = 3},
  [12466] = {.lex_state = 131, .external_lex_state = 3},
  [12467] = {.lex_state = 425, .external_lex_state = 3},
  [12468] = {.lex_state = 425, .external_lex_state = 3},
  [12469] = {.lex_state = 417, .external_lex_state = 3},
  [12470] = {.lex_state = 412, .external_lex_state = 3},
  [12471] = {.lex_state = 425, .external_lex_state = 3},
  [12472] = {.lex_state = 417, .external_lex_state = 3},
  [12473] = {.lex_state = 412, .external_lex_state = 3},
  [12474] = {.lex_state = 412, .external_lex_state = 3},
  [12475] = {.lex_state = 414, .external_lex_state = 3},
  [12476] = {.lex_state = 412, .external_lex_state = 3},
  [12477] = {.lex_state = 168, .external_lex_state = 3},
  [12478] = {.lex_state = 173, .external_lex_state = 3},
  [12479] = {.lex_state = 412, .external_lex_state = 3},
  [12480] = {.lex_state = 425, .external_lex_state = 3},
  [12481] = {.lex_state = 425, .external_lex_state = 3},
  [12482] = {.lex_state = 412, .external_lex_state = 3},
  [12483] = {.lex_state = 412, .external_lex_state = 3},
  [12484] = {.lex_state = 15, .external_lex_state = 3},
  [12485] = {.lex_state = 412, .external_lex_state = 3},
  [12486] = {.lex_state = 412, .external_lex_state = 3},
  [12487] = {.lex_state = 412, .external_lex_state = 3},
  [12488] = {.lex_state = 132, .external_lex_state = 3},
  [12489] = {.lex_state = 412, .external_lex_state = 3},
  [12490] = {.lex_state = 412, .external_lex_state = 3},
  [12491] = {.lex_state = 412, .external_lex_state = 3},
  [12492] = {.lex_state = 412, .external_lex_state = 3},
  [12493] = {.lex_state = 412, .external_lex_state = 3},
  [12494] = {.lex_state = 412, .external_lex_state = 3},
  [12495] = {.lex_state = 412, .external_lex_state = 3},
  [12496] = {.lex_state = 412, .external_lex_state = 3},
  [12497] = {.lex_state = 412, .external_lex_state = 3},
  [12498] = {.lex_state = 173, .external_lex_state = 3},
  [12499] = {.lex_state = 412, .external_lex_state = 3},
  [12500] = {.lex_state = 412, .external_lex_state = 3},
  [12501] = {.lex_state = 412, .external_lex_state = 3},
  [12502] = {.lex_state = 173, .external_lex_state = 3},
  [12503] = {.lex_state = 15, .external_lex_state = 3},
  [12504] = {.lex_state = 140, .external_lex_state = 3},
  [12505] = {.lex_state = 140, .external_lex_state = 3},
  [12506] = {.lex_state = 412, .external_lex_state = 3},
  [12507] = {.lex_state = 412, .external_lex_state = 3},
  [12508] = {.lex_state = 412, .external_lex_state = 3},
  [12509] = {.lex_state = 140, .external_lex_state = 3},
  [12510] = {.lex_state = 414, .external_lex_state = 3},
  [12511] = {.lex_state = 412, .external_lex_state = 3},
  [12512] = {.lex_state = 412, .external_lex_state = 3},
  [12513] = {.lex_state = 412, .external_lex_state = 3},
  [12514] = {.lex_state = 414, .external_lex_state = 3},
  [12515] = {.lex_state = 412, .external_lex_state = 3},
  [12516] = {.lex_state = 136, .external_lex_state = 3},
  [12517] = {.lex_state = 412, .external_lex_state = 3},
  [12518] = {.lex_state = 412, .external_lex_state = 3},
  [12519] = {.lex_state = 173, .external_lex_state = 3},
  [12520] = {.lex_state = 412, .external_lex_state = 3},
  [12521] = {.lex_state = 132, .external_lex_state = 3},
  [12522] = {.lex_state = 15, .external_lex_state = 3},
  [12523] = {.lex_state = 412, .external_lex_state = 3},
  [12524] = {.lex_state = 412, .external_lex_state = 3},
  [12525] = {.lex_state = 412, .external_lex_state = 3},
  [12526] = {.lex_state = 412, .external_lex_state = 3},
  [12527] = {.lex_state = 412, .external_lex_state = 3},
  [12528] = {.lex_state = 412, .external_lex_state = 3},
  [12529] = {.lex_state = 412, .external_lex_state = 3},
  [12530] = {.lex_state = 412, .external_lex_state = 3},
  [12531] = {.lex_state = 412, .external_lex_state = 3},
  [12532] = {.lex_state = 132, .external_lex_state = 3},
  [12533] = {.lex_state = 412, .external_lex_state = 3},
  [12534] = {.lex_state = 412, .external_lex_state = 3},
  [12535] = {.lex_state = 412, .external_lex_state = 3},
  [12536] = {.lex_state = 15, .external_lex_state = 3},
  [12537] = {.lex_state = 412, .external_lex_state = 3},
  [12538] = {.lex_state = 414, .external_lex_state = 3},
  [12539] = {.lex_state = 412, .external_lex_state = 3},
  [12540] = {.lex_state = 412, .external_lex_state = 3},
  [12541] = {.lex_state = 414, .external_lex_state = 3},
  [12542] = {.lex_state = 412, .external_lex_state = 3},
  [12543] = {.lex_state = 15, .external_lex_state = 3},
  [12544] = {.lex_state = 412, .external_lex_state = 3},
  [12545] = {.lex_state = 412, .external_lex_state = 3},
  [12546] = {.lex_state = 412, .external_lex_state = 3},
  [12547] = {.lex_state = 412, .external_lex_state = 3},
  [12548] = {.lex_state = 412, .external_lex_state = 3},
  [12549] = {.lex_state = 414, .external_lex_state = 3},
  [12550] = {.lex_state = 412, .external_lex_state = 3},
  [12551] = {.lex_state = 412, .external_lex_state = 3},
  [12552] = {.lex_state = 412, .external_lex_state = 3},
  [12553] = {.lex_state = 412, .external_lex_state = 3},
  [12554] = {.lex_state = 15, .external_lex_state = 3},
  [12555] = {.lex_state = 412, .external_lex_state = 3},
  [12556] = {.lex_state = 412, .external_lex_state = 3},
  [12557] = {.lex_state = 412, .external_lex_state = 3},
  [12558] = {.lex_state = 412, .external_lex_state = 3},
  [12559] = {.lex_state = 412, .external_lex_state = 3},
  [12560] = {.lex_state = 412, .external_lex_state = 3},
  [12561] = {.lex_state = 414, .external_lex_state = 3},
  [12562] = {.lex_state = 412, .external_lex_state = 3},
  [12563] = {.lex_state = 414, .external_lex_state = 3},
  [12564] = {.lex_state = 15, .external_lex_state = 3},
  [12565] = {.lex_state = 412, .external_lex_state = 3},
  [12566] = {.lex_state = 412, .external_lex_state = 3},
  [12567] = {.lex_state = 412, .external_lex_state = 3},
  [12568] = {.lex_state = 412, .external_lex_state = 3},
  [12569] = {.lex_state = 412, .external_lex_state = 3},
  [12570] = {.lex_state = 412, .external_lex_state = 3},
  [12571] = {.lex_state = 412, .external_lex_state = 3},
  [12572] = {.lex_state = 412, .external_lex_state = 3},
  [12573] = {.lex_state = 412, .external_lex_state = 3},
  [12574] = {.lex_state = 132, .external_lex_state = 3},
  [12575] = {.lex_state = 412, .external_lex_state = 3},
  [12576] = {.lex_state = 412, .external_lex_state = 3},
  [12577] = {.lex_state = 15, .external_lex_state = 3},
  [12578] = {.lex_state = 412, .external_lex_state = 3},
  [12579] = {.lex_state = 412, .external_lex_state = 3},
  [12580] = {.lex_state = 412, .external_lex_state = 3},
  [12581] = {.lex_state = 412, .external_lex_state = 3},
  [12582] = {.lex_state = 412, .external_lex_state = 3},
  [12583] = {.lex_state = 412, .external_lex_state = 3},
  [12584] = {.lex_state = 131, .external_lex_state = 3},
  [12585] = {.lex_state = 412, .external_lex_state = 3},
  [12586] = {.lex_state = 183, .external_lex_state = 3},
  [12587] = {.lex_state = 412, .external_lex_state = 3},
  [12588] = {.lex_state = 412, .external_lex_state = 3},
  [12589] = {.lex_state = 412, .external_lex_state = 3},
  [12590] = {.lex_state = 412, .external_lex_state = 3},
  [12591] = {.lex_state = 15, .external_lex_state = 3},
  [12592] = {.lex_state = 15, .external_lex_state = 3},
  [12593] = {.lex_state = 412, .external_lex_state = 3},
  [12594] = {.lex_state = 412, .external_lex_state = 3},
  [12595] = {.lex_state = 412, .external_lex_state = 3},
  [12596] = {.lex_state = 412, .external_lex_state = 3},
  [12597] = {.lex_state = 412, .external_lex_state = 3},
  [12598] = {.lex_state = 15, .external_lex_state = 3},
  [12599] = {.lex_state = 412, .external_lex_state = 3},
  [12600] = {.lex_state = 412, .external_lex_state = 3},
  [12601] = {.lex_state = 412, .external_lex_state = 3},
  [12602] = {.lex_state = 412, .external_lex_state = 3},
  [12603] = {.lex_state = 412, .external_lex_state = 3},
  [12604] = {.lex_state = 412, .external_lex_state = 3},
  [12605] = {.lex_state = 412, .external_lex_state = 3},
  [12606] = {.lex_state = 412, .external_lex_state = 3},
  [12607] = {.lex_state = 412, .external_lex_state = 3},
  [12608] = {.lex_state = 412, .external_lex_state = 3},
  [12609] = {.lex_state = 412, .external_lex_state = 3},
  [12610] = {.lex_state = 412, .external_lex_state = 3},
  [12611] = {.lex_state = 412, .external_lex_state = 3},
  [12612] = {.lex_state = 412, .external_lex_state = 3},
  [12613] = {.lex_state = 412, .external_lex_state = 3},
  [12614] = {.lex_state = 174, .external_lex_state = 3},
  [12615] = {.lex_state = 412, .external_lex_state = 3},
  [12616] = {.lex_state = 412, .external_lex_state = 3},
  [12617] = {.lex_state = 15, .external_lex_state = 3},
  [12618] = {.lex_state = 412, .external_lex_state = 3},
  [12619] = {.lex_state = 412, .external_lex_state = 3},
  [12620] = {.lex_state = 412, .external_lex_state = 3},
  [12621] = {.lex_state = 412, .external_lex_state = 3},
  [12622] = {.lex_state = 412, .external_lex_state = 3},
  [12623] = {.lex_state = 15, .external_lex_state = 3},
  [12624] = {.lex_state = 412, .external_lex_state = 3},
  [12625] = {.lex_state = 412, .external_lex_state = 3},
  [12626] = {.lex_state = 412, .external_lex_state = 3},
  [12627] = {.lex_state = 412, .external_lex_state = 3},
  [12628] = {.lex_state = 412, .external_lex_state = 3},
  [12629] = {.lex_state = 412, .external_lex_state = 3},
  [12630] = {.lex_state = 15, .external_lex_state = 3},
  [12631] = {.lex_state = 15, .external_lex_state = 3},
  [12632] = {.lex_state = 412, .external_lex_state = 3},
  [12633] = {.lex_state = 412, .external_lex_state = 3},
  [12634] = {.lex_state = 15, .external_lex_state = 3},
  [12635] = {.lex_state = 412, .external_lex_state = 3},
  [12636] = {.lex_state = 15, .external_lex_state = 3},
  [12637] = {.lex_state = 412, .external_lex_state = 3},
  [12638] = {.lex_state = 412, .external_lex_state = 3},
  [12639] = {.lex_state = 412, .external_lex_state = 3},
  [12640] = {.lex_state = 412, .external_lex_state = 3},
  [12641] = {.lex_state = 15, .external_lex_state = 3},
  [12642] = {.lex_state = 412, .external_lex_state = 3},
  [12643] = {.lex_state = 412, .external_lex_state = 3},
  [12644] = {.lex_state = 412, .external_lex_state = 3},
  [12645] = {.lex_state = 412, .external_lex_state = 3},
  [12646] = {.lex_state = 412, .external_lex_state = 3},
  [12647] = {.lex_state = 412, .external_lex_state = 3},
  [12648] = {.lex_state = 412, .external_lex_state = 3},
  [12649] = {.lex_state = 15, .external_lex_state = 3},
  [12650] = {.lex_state = 412, .external_lex_state = 3},
  [12651] = {.lex_state = 425, .external_lex_state = 3},
  [12652] = {.lex_state = 412, .external_lex_state = 3},
  [12653] = {.lex_state = 412, .external_lex_state = 3},
  [12654] = {.lex_state = 412, .external_lex_state = 3},
  [12655] = {.lex_state = 412, .external_lex_state = 3},
  [12656] = {.lex_state = 412, .external_lex_state = 3},
  [12657] = {.lex_state = 412, .external_lex_state = 3},
  [12658] = {.lex_state = 412, .external_lex_state = 3},
  [12659] = {.lex_state = 412, .external_lex_state = 3},
  [12660] = {.lex_state = 412, .external_lex_state = 3},
  [12661] = {.lex_state = 412, .external_lex_state = 3},
  [12662] = {.lex_state = 412, .external_lex_state = 3},
  [12663] = {.lex_state = 412, .external_lex_state = 3},
  [12664] = {.lex_state = 412, .external_lex_state = 3},
  [12665] = {.lex_state = 15, .external_lex_state = 3},
  [12666] = {.lex_state = 412, .external_lex_state = 3},
  [12667] = {.lex_state = 412, .external_lex_state = 3},
  [12668] = {.lex_state = 412, .external_lex_state = 3},
  [12669] = {.lex_state = 412, .external_lex_state = 3},
  [12670] = {.lex_state = 412, .external_lex_state = 3},
  [12671] = {.lex_state = 412, .external_lex_state = 3},
  [12672] = {.lex_state = 412, .external_lex_state = 3},
  [12673] = {.lex_state = 412, .external_lex_state = 3},
  [12674] = {.lex_state = 412, .external_lex_state = 3},
  [12675] = {.lex_state = 412, .external_lex_state = 3},
  [12676] = {.lex_state = 412, .external_lex_state = 3},
  [12677] = {.lex_state = 412, .external_lex_state = 3},
  [12678] = {.lex_state = 412, .external_lex_state = 3},
  [12679] = {.lex_state = 412, .external_lex_state = 3},
  [12680] = {.lex_state = 412, .external_lex_state = 3},
  [12681] = {.lex_state = 15, .external_lex_state = 3},
  [12682] = {.lex_state = 202, .external_lex_state = 3},
  [12683] = {.lex_state = 412, .external_lex_state = 3},
  [12684] = {.lex_state = 412, .external_lex_state = 3},
  [12685] = {.lex_state = 15, .external_lex_state = 3},
  [12686] = {.lex_state = 412, .external_lex_state = 3},
  [12687] = {.lex_state = 412, .external_lex_state = 3},
  [12688] = {.lex_state = 412, .external_lex_state = 3},
  [12689] = {.lex_state = 412, .external_lex_state = 3},
  [12690] = {.lex_state = 412, .external_lex_state = 3},
  [12691] = {.lex_state = 412, .external_lex_state = 3},
  [12692] = {.lex_state = 412, .external_lex_state = 3},
  [12693] = {.lex_state = 412, .external_lex_state = 3},
  [12694] = {.lex_state = 412, .external_lex_state = 3},
  [12695] = {.lex_state = 412, .external_lex_state = 3},
  [12696] = {.lex_state = 412, .external_lex_state = 3},
  [12697] = {.lex_state = 412, .external_lex_state = 3},
  [12698] = {.lex_state = 15, .external_lex_state = 3},
  [12699] = {.lex_state = 15, .external_lex_state = 3},
  [12700] = {.lex_state = 412, .external_lex_state = 3},
  [12701] = {.lex_state = 412, .external_lex_state = 3},
  [12702] = {.lex_state = 15, .external_lex_state = 3},
  [12703] = {.lex_state = 15, .external_lex_state = 3},
  [12704] = {.lex_state = 175, .external_lex_state = 3},
  [12705] = {.lex_state = 412, .external_lex_state = 3},
  [12706] = {.lex_state = 412, .external_lex_state = 3},
  [12707] = {.lex_state = 412, .external_lex_state = 3},
  [12708] = {.lex_state = 412, .external_lex_state = 3},
  [12709] = {.lex_state = 412, .external_lex_state = 3},
  [12710] = {.lex_state = 15, .external_lex_state = 3},
  [12711] = {.lex_state = 412, .external_lex_state = 3},
  [12712] = {.lex_state = 412, .external_lex_state = 3},
  [12713] = {.lex_state = 15, .external_lex_state = 3},
  [12714] = {.lex_state = 412, .external_lex_state = 3},
  [12715] = {.lex_state = 412, .external_lex_state = 3},
  [12716] = {.lex_state = 132, .external_lex_state = 3},
  [12717] = {.lex_state = 15, .external_lex_state = 3},
  [12718] = {.lex_state = 412, .external_lex_state = 3},
  [12719] = {.lex_state = 129, .external_lex_state = 3},
  [12720] = {.lex_state = 412, .external_lex_state = 3},
  [12721] = {.lex_state = 181, .external_lex_state = 3},
  [12722] = {.lex_state = 412, .external_lex_state = 3},
  [12723] = {.lex_state = 15, .external_lex_state = 3},
  [12724] = {.lex_state = 181, .external_lex_state = 3},
  [12725] = {.lex_state = 412, .external_lex_state = 3},
  [12726] = {.lex_state = 412, .external_lex_state = 3},
  [12727] = {.lex_state = 412, .external_lex_state = 3},
  [12728] = {.lex_state = 412, .external_lex_state = 3},
  [12729] = {.lex_state = 412, .external_lex_state = 3},
  [12730] = {.lex_state = 412, .external_lex_state = 3},
  [12731] = {.lex_state = 412, .external_lex_state = 3},
  [12732] = {.lex_state = 15, .external_lex_state = 3},
  [12733] = {.lex_state = 15, .external_lex_state = 3},
  [12734] = {.lex_state = 15, .external_lex_state = 3},
  [12735] = {.lex_state = 181, .external_lex_state = 3},
  [12736] = {.lex_state = 412, .external_lex_state = 3},
  [12737] = {.lex_state = 412, .external_lex_state = 3},
  [12738] = {.lex_state = 15, .external_lex_state = 3},
  [12739] = {.lex_state = 412, .external_lex_state = 3},
  [12740] = {.lex_state = 412, .external_lex_state = 3},
  [12741] = {.lex_state = 412, .external_lex_state = 3},
  [12742] = {.lex_state = 412, .external_lex_state = 3},
  [12743] = {.lex_state = 412, .external_lex_state = 3},
  [12744] = {.lex_state = 412, .external_lex_state = 3},
  [12745] = {.lex_state = 15, .external_lex_state = 3},
  [12746] = {.lex_state = 412, .external_lex_state = 3},
  [12747] = {.lex_state = 412, .external_lex_state = 3},
  [12748] = {.lex_state = 181, .external_lex_state = 3},
  [12749] = {.lex_state = 15, .external_lex_state = 3},
  [12750] = {.lex_state = 181, .external_lex_state = 3},
  [12751] = {.lex_state = 412, .external_lex_state = 3},
  [12752] = {.lex_state = 412, .external_lex_state = 3},
  [12753] = {.lex_state = 15, .external_lex_state = 3},
  [12754] = {.lex_state = 412, .external_lex_state = 3},
  [12755] = {.lex_state = 412, .external_lex_state = 3},
  [12756] = {.lex_state = 412, .external_lex_state = 3},
  [12757] = {.lex_state = 412, .external_lex_state = 3},
  [12758] = {.lex_state = 15, .external_lex_state = 3},
  [12759] = {.lex_state = 412, .external_lex_state = 3},
  [12760] = {.lex_state = 412, .external_lex_state = 3},
  [12761] = {.lex_state = 181, .external_lex_state = 3},
  [12762] = {.lex_state = 412, .external_lex_state = 3},
  [12763] = {.lex_state = 412, .external_lex_state = 3},
  [12764] = {.lex_state = 412, .external_lex_state = 3},
  [12765] = {.lex_state = 412, .external_lex_state = 3},
  [12766] = {.lex_state = 412, .external_lex_state = 3},
  [12767] = {.lex_state = 15, .external_lex_state = 3},
  [12768] = {.lex_state = 412, .external_lex_state = 3},
  [12769] = {.lex_state = 412, .external_lex_state = 3},
  [12770] = {.lex_state = 15, .external_lex_state = 3},
  [12771] = {.lex_state = 412, .external_lex_state = 3},
  [12772] = {.lex_state = 15, .external_lex_state = 3},
  [12773] = {.lex_state = 15, .external_lex_state = 3},
  [12774] = {.lex_state = 174, .external_lex_state = 3},
  [12775] = {.lex_state = 15, .external_lex_state = 3},
  [12776] = {.lex_state = 412, .external_lex_state = 3},
  [12777] = {.lex_state = 412, .external_lex_state = 3},
  [12778] = {.lex_state = 412, .external_lex_state = 3},
  [12779] = {.lex_state = 412, .external_lex_state = 3},
  [12780] = {.lex_state = 15, .external_lex_state = 3},
  [12781] = {.lex_state = 412, .external_lex_state = 3},
  [12782] = {.lex_state = 412, .external_lex_state = 3},
  [12783] = {.lex_state = 15, .external_lex_state = 3},
  [12784] = {.lex_state = 414, .external_lex_state = 3},
  [12785] = {.lex_state = 412, .external_lex_state = 3},
  [12786] = {.lex_state = 15, .external_lex_state = 3},
  [12787] = {.lex_state = 174, .external_lex_state = 3},
  [12788] = {.lex_state = 414, .external_lex_state = 3},
  [12789] = {.lex_state = 412, .external_lex_state = 3},
  [12790] = {.lex_state = 412, .external_lex_state = 3},
  [12791] = {.lex_state = 412, .external_lex_state = 3},
  [12792] = {.lex_state = 414, .external_lex_state = 3},
  [12793] = {.lex_state = 412, .external_lex_state = 3},
  [12794] = {.lex_state = 412, .external_lex_state = 3},
  [12795] = {.lex_state = 412, .external_lex_state = 3},
  [12796] = {.lex_state = 412, .external_lex_state = 3},
  [12797] = {.lex_state = 414, .external_lex_state = 3},
  [12798] = {.lex_state = 412, .external_lex_state = 3},
  [12799] = {.lex_state = 412, .external_lex_state = 3},
  [12800] = {.lex_state = 414, .external_lex_state = 3},
  [12801] = {.lex_state = 412, .external_lex_state = 3},
  [12802] = {.lex_state = 412, .external_lex_state = 3},
  [12803] = {.lex_state = 412, .external_lex_state = 3},
  [12804] = {.lex_state = 412, .external_lex_state = 3},
  [12805] = {.lex_state = 412, .external_lex_state = 3},
  [12806] = {.lex_state = 412, .external_lex_state = 3},
  [12807] = {.lex_state = 412, .external_lex_state = 3},
  [12808] = {.lex_state = 412, .external_lex_state = 3},
  [12809] = {.lex_state = 412, .external_lex_state = 3},
  [12810] = {.lex_state = 412, .external_lex_state = 3},
  [12811] = {.lex_state = 412, .external_lex_state = 3},
  [12812] = {.lex_state = 412, .external_lex_state = 3},
  [12813] = {.lex_state = 412, .external_lex_state = 3},
  [12814] = {.lex_state = 412, .external_lex_state = 3},
  [12815] = {.lex_state = 412, .external_lex_state = 3},
  [12816] = {.lex_state = 412, .external_lex_state = 3},
  [12817] = {.lex_state = 412, .external_lex_state = 3},
  [12818] = {.lex_state = 412, .external_lex_state = 3},
  [12819] = {.lex_state = 412, .external_lex_state = 3},
  [12820] = {.lex_state = 412, .external_lex_state = 3},
  [12821] = {.lex_state = 412, .external_lex_state = 3},
  [12822] = {.lex_state = 412, .external_lex_state = 3},
  [12823] = {.lex_state = 412, .external_lex_state = 3},
  [12824] = {.lex_state = 425, .external_lex_state = 3},
  [12825] = {.lex_state = 412, .external_lex_state = 3},
  [12826] = {.lex_state = 412, .external_lex_state = 3},
  [12827] = {.lex_state = 412, .external_lex_state = 3},
  [12828] = {.lex_state = 412, .external_lex_state = 3},
  [12829] = {.lex_state = 412, .external_lex_state = 3},
  [12830] = {.lex_state = 412, .external_lex_state = 3},
  [12831] = {.lex_state = 412, .external_lex_state = 3},
  [12832] = {.lex_state = 412, .external_lex_state = 3},
  [12833] = {.lex_state = 412, .external_lex_state = 3},
  [12834] = {.lex_state = 412, .external_lex_state = 3},
  [12835] = {.lex_state = 412, .external_lex_state = 3},
  [12836] = {.lex_state = 425, .external_lex_state = 3},
  [12837] = {.lex_state = 412, .external_lex_state = 3},
  [12838] = {.lex_state = 412, .external_lex_state = 3},
  [12839] = {.lex_state = 412, .external_lex_state = 3},
  [12840] = {.lex_state = 15, .external_lex_state = 3},
  [12841] = {.lex_state = 412, .external_lex_state = 3},
  [12842] = {.lex_state = 414, .external_lex_state = 3},
  [12843] = {.lex_state = 412, .external_lex_state = 3},
  [12844] = {.lex_state = 412, .external_lex_state = 3},
  [12845] = {.lex_state = 412, .external_lex_state = 3},
  [12846] = {.lex_state = 131, .external_lex_state = 3},
  [12847] = {.lex_state = 412, .external_lex_state = 3},
  [12848] = {.lex_state = 131, .external_lex_state = 3},
  [12849] = {.lex_state = 412, .external_lex_state = 3},
  [12850] = {.lex_state = 412, .external_lex_state = 3},
  [12851] = {.lex_state = 131, .external_lex_state = 3},
  [12852] = {.lex_state = 412, .external_lex_state = 3},
  [12853] = {.lex_state = 412, .external_lex_state = 3},
  [12854] = {.lex_state = 412, .external_lex_state = 3},
  [12855] = {.lex_state = 412, .external_lex_state = 3},
  [12856] = {.lex_state = 412, .external_lex_state = 3},
  [12857] = {.lex_state = 412, .external_lex_state = 3},
  [12858] = {.lex_state = 412, .external_lex_state = 3},
  [12859] = {.lex_state = 412, .external_lex_state = 3},
  [12860] = {.lex_state = 412, .external_lex_state = 3},
  [12861] = {.lex_state = 412, .external_lex_state = 3},
  [12862] = {.lex_state = 412, .external_lex_state = 3},
  [12863] = {.lex_state = 412, .external_lex_state = 3},
  [12864] = {.lex_state = 412, .external_lex_state = 3},
  [12865] = {.lex_state = 131, .external_lex_state = 3},
  [12866] = {.lex_state = 131, .external_lex_state = 3},
  [12867] = {.lex_state = 412, .external_lex_state = 3},
  [12868] = {.lex_state = 412, .external_lex_state = 3},
  [12869] = {.lex_state = 132, .external_lex_state = 3},
  [12870] = {.lex_state = 414, .external_lex_state = 3},
  [12871] = {.lex_state = 131, .external_lex_state = 3},
  [12872] = {.lex_state = 131, .external_lex_state = 3},
  [12873] = {.lex_state = 412, .external_lex_state = 3},
  [12874] = {.lex_state = 131, .external_lex_state = 3},
  [12875] = {.lex_state = 414, .external_lex_state = 3},
  [12876] = {.lex_state = 8, .external_lex_state = 3},
  [12877] = {.lex_state = 412, .external_lex_state = 3},
  [12878] = {.lex_state = 412, .external_lex_state = 3},
  [12879] = {.lex_state = 412, .external_lex_state = 3},
  [12880] = {.lex_state = 412, .external_lex_state = 3},
  [12881] = {.lex_state = 412, .external_lex_state = 3},
  [12882] = {.lex_state = 412, .external_lex_state = 3},
  [12883] = {.lex_state = 412, .external_lex_state = 3},
  [12884] = {.lex_state = 412, .external_lex_state = 3},
  [12885] = {.lex_state = 412, .external_lex_state = 3},
  [12886] = {.lex_state = 414, .external_lex_state = 3},
  [12887] = {.lex_state = 425, .external_lex_state = 3},
  [12888] = {.lex_state = 412, .external_lex_state = 3},
  [12889] = {.lex_state = 412, .external_lex_state = 3},
  [12890] = {.lex_state = 412, .external_lex_state = 3},
  [12891] = {.lex_state = 425, .external_lex_state = 3},
  [12892] = {.lex_state = 425, .external_lex_state = 3},
  [12893] = {.lex_state = 412, .external_lex_state = 3},
  [12894] = {.lex_state = 15, .external_lex_state = 3},
  [12895] = {.lex_state = 131, .external_lex_state = 3},
  [12896] = {.lex_state = 131, .external_lex_state = 3},
  [12897] = {.lex_state = 412, .external_lex_state = 3},
  [12898] = {.lex_state = 131, .external_lex_state = 3},
  [12899] = {.lex_state = 15, .external_lex_state = 3},
  [12900] = {.lex_state = 412, .external_lex_state = 3},
  [12901] = {.lex_state = 412, .external_lex_state = 3},
  [12902] = {.lex_state = 412, .external_lex_state = 3},
  [12903] = {.lex_state = 412, .external_lex_state = 3},
  [12904] = {.lex_state = 412, .external_lex_state = 3},
  [12905] = {.lex_state = 412, .external_lex_state = 3},
  [12906] = {.lex_state = 412, .external_lex_state = 3},
  [12907] = {.lex_state = 131, .external_lex_state = 3},
  [12908] = {.lex_state = 412, .external_lex_state = 3},
  [12909] = {.lex_state = 412, .external_lex_state = 3},
  [12910] = {.lex_state = 412, .external_lex_state = 3},
  [12911] = {.lex_state = 412, .external_lex_state = 3},
  [12912] = {.lex_state = 412, .external_lex_state = 3},
  [12913] = {.lex_state = 412, .external_lex_state = 3},
  [12914] = {.lex_state = 412, .external_lex_state = 3},
  [12915] = {.lex_state = 412, .external_lex_state = 3},
  [12916] = {.lex_state = 412, .external_lex_state = 3},
  [12917] = {.lex_state = 412, .external_lex_state = 3},
  [12918] = {.lex_state = 412, .external_lex_state = 3},
  [12919] = {.lex_state = 412, .external_lex_state = 3},
  [12920] = {.lex_state = 412, .external_lex_state = 3},
  [12921] = {.lex_state = 412, .external_lex_state = 3},
  [12922] = {.lex_state = 131, .external_lex_state = 3},
  [12923] = {.lex_state = 412, .external_lex_state = 3},
  [12924] = {.lex_state = 412, .external_lex_state = 3},
  [12925] = {.lex_state = 425, .external_lex_state = 3},
  [12926] = {.lex_state = 425, .external_lex_state = 3},
  [12927] = {.lex_state = 412, .external_lex_state = 3},
  [12928] = {.lex_state = 131, .external_lex_state = 3},
  [12929] = {.lex_state = 412, .external_lex_state = 3},
  [12930] = {.lex_state = 412, .external_lex_state = 3},
  [12931] = {.lex_state = 131, .external_lex_state = 3},
  [12932] = {.lex_state = 412, .external_lex_state = 3},
  [12933] = {.lex_state = 412, .external_lex_state = 3},
  [12934] = {.lex_state = 15, .external_lex_state = 3},
  [12935] = {.lex_state = 412, .external_lex_state = 3},
  [12936] = {.lex_state = 412, .external_lex_state = 3},
  [12937] = {.lex_state = 412, .external_lex_state = 3},
  [12938] = {.lex_state = 412, .external_lex_state = 3},
  [12939] = {.lex_state = 131, .external_lex_state = 3},
  [12940] = {.lex_state = 131, .external_lex_state = 3},
  [12941] = {.lex_state = 412, .external_lex_state = 3},
  [12942] = {.lex_state = 425, .external_lex_state = 3},
  [12943] = {.lex_state = 412, .external_lex_state = 3},
  [12944] = {.lex_state = 412, .external_lex_state = 3},
  [12945] = {.lex_state = 412, .external_lex_state = 3},
  [12946] = {.lex_state = 412, .external_lex_state = 3},
  [12947] = {.lex_state = 412, .external_lex_state = 3},
  [12948] = {.lex_state = 412, .external_lex_state = 3},
  [12949] = {.lex_state = 412, .external_lex_state = 3},
  [12950] = {.lex_state = 412, .external_lex_state = 3},
  [12951] = {.lex_state = 412, .external_lex_state = 3},
  [12952] = {.lex_state = 412, .external_lex_state = 3},
  [12953] = {.lex_state = 175, .external_lex_state = 3},
  [12954] = {.lex_state = 412, .external_lex_state = 3},
  [12955] = {.lex_state = 412, .external_lex_state = 3},
  [12956] = {.lex_state = 131, .external_lex_state = 3},
  [12957] = {.lex_state = 412, .external_lex_state = 3},
  [12958] = {.lex_state = 412, .external_lex_state = 3},
  [12959] = {.lex_state = 412, .external_lex_state = 3},
  [12960] = {.lex_state = 412, .external_lex_state = 3},
  [12961] = {.lex_state = 412, .external_lex_state = 3},
  [12962] = {.lex_state = 412, .external_lex_state = 3},
  [12963] = {.lex_state = 412, .external_lex_state = 3},
  [12964] = {.lex_state = 412, .external_lex_state = 3},
  [12965] = {.lex_state = 414, .external_lex_state = 3},
  [12966] = {.lex_state = 412, .external_lex_state = 3},
  [12967] = {.lex_state = 412, .external_lex_state = 3},
  [12968] = {.lex_state = 175, .external_lex_state = 3},
  [12969] = {.lex_state = 412, .external_lex_state = 3},
  [12970] = {.lex_state = 412, .external_lex_state = 3},
  [12971] = {.lex_state = 132, .external_lex_state = 3},
  [12972] = {.lex_state = 132, .external_lex_state = 3},
  [12973] = {.lex_state = 173, .external_lex_state = 3},
  [12974] = {.lex_state = 412, .external_lex_state = 3},
  [12975] = {.lex_state = 412, .external_lex_state = 3},
  [12976] = {.lex_state = 412, .external_lex_state = 3},
  [12977] = {.lex_state = 412, .external_lex_state = 3},
  [12978] = {.lex_state = 412, .external_lex_state = 3},
  [12979] = {.lex_state = 425, .external_lex_state = 3},
  [12980] = {.lex_state = 173, .external_lex_state = 3},
  [12981] = {.lex_state = 412, .external_lex_state = 3},
  [12982] = {.lex_state = 412, .external_lex_state = 3},
  [12983] = {.lex_state = 412, .external_lex_state = 3},
  [12984] = {.lex_state = 425, .external_lex_state = 3},
  [12985] = {.lex_state = 132, .external_lex_state = 3},
  [12986] = {.lex_state = 412, .external_lex_state = 3},
  [12987] = {.lex_state = 412, .external_lex_state = 3},
  [12988] = {.lex_state = 412, .external_lex_state = 3},
  [12989] = {.lex_state = 412, .external_lex_state = 3},
  [12990] = {.lex_state = 412, .external_lex_state = 3},
  [12991] = {.lex_state = 412, .external_lex_state = 3},
  [12992] = {.lex_state = 425, .external_lex_state = 3},
  [12993] = {.lex_state = 412, .external_lex_state = 3},
  [12994] = {.lex_state = 425, .external_lex_state = 3},
  [12995] = {.lex_state = 412, .external_lex_state = 3},
  [12996] = {.lex_state = 412, .external_lex_state = 3},
  [12997] = {.lex_state = 412, .external_lex_state = 3},
  [12998] = {.lex_state = 412, .external_lex_state = 3},
  [12999] = {.lex_state = 412, .external_lex_state = 3},
  [13000] = {.lex_state = 412, .external_lex_state = 3},
  [13001] = {.lex_state = 412, .external_lex_state = 3},
  [13002] = {.lex_state = 425, .external_lex_state = 3},
  [13003] = {.lex_state = 425, .external_lex_state = 3},
  [13004] = {.lex_state = 412, .external_lex_state = 3},
  [13005] = {.lex_state = 425, .external_lex_state = 3},
  [13006] = {.lex_state = 412, .external_lex_state = 3},
  [13007] = {.lex_state = 425, .external_lex_state = 3},
  [13008] = {.lex_state = 202, .external_lex_state = 3},
  [13009] = {.lex_state = 412, .external_lex_state = 3},
  [13010] = {.lex_state = 132, .external_lex_state = 3},
  [13011] = {.lex_state = 132, .external_lex_state = 3},
  [13012] = {.lex_state = 132, .external_lex_state = 3},
  [13013] = {.lex_state = 412, .external_lex_state = 3},
  [13014] = {.lex_state = 412, .external_lex_state = 3},
  [13015] = {.lex_state = 15, .external_lex_state = 3},
  [13016] = {.lex_state = 412, .external_lex_state = 3},
  [13017] = {.lex_state = 128, .external_lex_state = 3},
  [13018] = {.lex_state = 132, .external_lex_state = 3},
  [13019] = {.lex_state = 132, .external_lex_state = 3},
  [13020] = {.lex_state = 412, .external_lex_state = 3},
  [13021] = {.lex_state = 132, .external_lex_state = 3},
  [13022] = {.lex_state = 425, .external_lex_state = 3},
  [13023] = {.lex_state = 132, .external_lex_state = 3},
  [13024] = {.lex_state = 132, .external_lex_state = 3},
  [13025] = {.lex_state = 132, .external_lex_state = 3},
  [13026] = {.lex_state = 132, .external_lex_state = 3},
  [13027] = {.lex_state = 425, .external_lex_state = 3},
  [13028] = {.lex_state = 412, .external_lex_state = 3},
  [13029] = {.lex_state = 425, .external_lex_state = 3},
  [13030] = {.lex_state = 412, .external_lex_state = 3},
  [13031] = {.lex_state = 412, .external_lex_state = 3},
  [13032] = {.lex_state = 425, .external_lex_state = 3},
  [13033] = {.lex_state = 412, .external_lex_state = 3},
  [13034] = {.lex_state = 412, .external_lex_state = 3},
  [13035] = {.lex_state = 412, .external_lex_state = 3},
  [13036] = {.lex_state = 412, .external_lex_state = 3},
  [13037] = {.lex_state = 412, .external_lex_state = 3},
  [13038] = {.lex_state = 414, .external_lex_state = 3},
  [13039] = {.lex_state = 15, .external_lex_state = 3},
  [13040] = {.lex_state = 412, .external_lex_state = 3},
  [13041] = {.lex_state = 138, .external_lex_state = 3},
  [13042] = {.lex_state = 412, .external_lex_state = 3},
  [13043] = {.lex_state = 414, .external_lex_state = 3},
  [13044] = {.lex_state = 412, .external_lex_state = 3},
  [13045] = {.lex_state = 138, .external_lex_state = 3},
  [13046] = {.lex_state = 412, .external_lex_state = 3},
  [13047] = {.lex_state = 15, .external_lex_state = 3},
  [13048] = {.lex_state = 138, .external_lex_state = 3},
  [13049] = {.lex_state = 416, .external_lex_state = 3},
  [13050] = {.lex_state = 416, .external_lex_state = 3},
  [13051] = {.lex_state = 412, .external_lex_state = 3},
  [13052] = {.lex_state = 412, .external_lex_state = 3},
  [13053] = {.lex_state = 412, .external_lex_state = 3},
  [13054] = {.lex_state = 416, .external_lex_state = 3},
  [13055] = {.lex_state = 412, .external_lex_state = 3},
  [13056] = {.lex_state = 412, .external_lex_state = 3},
  [13057] = {.lex_state = 412, .external_lex_state = 3},
  [13058] = {.lex_state = 414, .external_lex_state = 3},
  [13059] = {.lex_state = 412, .external_lex_state = 3},
  [13060] = {.lex_state = 425, .external_lex_state = 3},
  [13061] = {.lex_state = 131, .external_lex_state = 3},
  [13062] = {.lex_state = 19, .external_lex_state = 3},
  [13063] = {.lex_state = 425, .external_lex_state = 3},
  [13064] = {.lex_state = 131, .external_lex_state = 3},
  [13065] = {.lex_state = 131, .external_lex_state = 3},
  [13066] = {.lex_state = 131, .external_lex_state = 3},
  [13067] = {.lex_state = 131, .external_lex_state = 3},
  [13068] = {.lex_state = 131, .external_lex_state = 3},
  [13069] = {.lex_state = 131, .external_lex_state = 3},
  [13070] = {.lex_state = 131, .external_lex_state = 3},
  [13071] = {.lex_state = 131, .external_lex_state = 3},
  [13072] = {.lex_state = 131, .external_lex_state = 3},
  [13073] = {.lex_state = 131, .external_lex_state = 3},
  [13074] = {.lex_state = 131, .external_lex_state = 3},
  [13075] = {.lex_state = 131, .external_lex_state = 3},
  [13076] = {.lex_state = 131, .external_lex_state = 3},
  [13077] = {.lex_state = 131, .external_lex_state = 3},
  [13078] = {.lex_state = 131, .external_lex_state = 3},
  [13079] = {.lex_state = 132, .external_lex_state = 3},
  [13080] = {.lex_state = 15, .external_lex_state = 3},
  [13081] = {.lex_state = 425, .external_lex_state = 3},
  [13082] = {.lex_state = 425, .external_lex_state = 3},
  [13083] = {.lex_state = 128, .external_lex_state = 3},
  [13084] = {.lex_state = 425, .external_lex_state = 3},
  [13085] = {.lex_state = 425, .external_lex_state = 3},
  [13086] = {.lex_state = 425, .external_lex_state = 3},
  [13087] = {.lex_state = 425, .external_lex_state = 3},
  [13088] = {.lex_state = 425, .external_lex_state = 3},
  [13089] = {.lex_state = 425, .external_lex_state = 3},
  [13090] = {.lex_state = 425, .external_lex_state = 3},
  [13091] = {.lex_state = 425, .external_lex_state = 3},
  [13092] = {.lex_state = 425, .external_lex_state = 3},
  [13093] = {.lex_state = 425, .external_lex_state = 3},
  [13094] = {.lex_state = 412, .external_lex_state = 3},
  [13095] = {.lex_state = 412, .external_lex_state = 3},
  [13096] = {.lex_state = 412, .external_lex_state = 3},
  [13097] = {.lex_state = 412, .external_lex_state = 3},
  [13098] = {.lex_state = 412, .external_lex_state = 3},
  [13099] = {.lex_state = 15, .external_lex_state = 3},
  [13100] = {.lex_state = 412, .external_lex_state = 3},
  [13101] = {.lex_state = 412, .external_lex_state = 3},
  [13102] = {.lex_state = 425, .external_lex_state = 3},
  [13103] = {.lex_state = 425, .external_lex_state = 3},
  [13104] = {.lex_state = 128, .external_lex_state = 3},
  [13105] = {.lex_state = 425, .external_lex_state = 3},
  [13106] = {.lex_state = 425, .external_lex_state = 3},
  [13107] = {.lex_state = 425, .external_lex_state = 3},
  [13108] = {.lex_state = 425, .external_lex_state = 3},
  [13109] = {.lex_state = 425, .external_lex_state = 3},
  [13110] = {.lex_state = 425, .external_lex_state = 3},
  [13111] = {.lex_state = 425, .external_lex_state = 3},
  [13112] = {.lex_state = 425, .external_lex_state = 3},
  [13113] = {.lex_state = 425, .external_lex_state = 3},
  [13114] = {.lex_state = 425, .external_lex_state = 3},
  [13115] = {.lex_state = 131, .external_lex_state = 3},
  [13116] = {.lex_state = 131, .external_lex_state = 3},
  [13117] = {.lex_state = 131, .external_lex_state = 3},
  [13118] = {.lex_state = 131, .external_lex_state = 3},
  [13119] = {.lex_state = 131, .external_lex_state = 3},
  [13120] = {.lex_state = 412, .external_lex_state = 3},
  [13121] = {.lex_state = 132, .external_lex_state = 3},
  [13122] = {.lex_state = 412, .external_lex_state = 3},
  [13123] = {.lex_state = 128, .external_lex_state = 3},
  [13124] = {.lex_state = 19, .external_lex_state = 3},
  [13125] = {.lex_state = 172, .external_lex_state = 3},
  [13126] = {.lex_state = 425, .external_lex_state = 3},
  [13127] = {.lex_state = 128, .external_lex_state = 3},
  [13128] = {.lex_state = 412, .external_lex_state = 3},
  [13129] = {.lex_state = 132, .external_lex_state = 3},
  [13130] = {.lex_state = 132, .external_lex_state = 3},
  [13131] = {.lex_state = 132, .external_lex_state = 3},
  [13132] = {.lex_state = 132, .external_lex_state = 3},
  [13133] = {.lex_state = 19, .external_lex_state = 3},
  [13134] = {.lex_state = 132, .external_lex_state = 3},
  [13135] = {.lex_state = 132, .external_lex_state = 3},
  [13136] = {.lex_state = 132, .external_lex_state = 3},
  [13137] = {.lex_state = 132, .external_lex_state = 3},
  [13138] = {.lex_state = 132, .external_lex_state = 3},
  [13139] = {.lex_state = 132, .external_lex_state = 3},
  [13140] = {.lex_state = 132, .external_lex_state = 3},
  [13141] = {.lex_state = 425, .external_lex_state = 3},
  [13142] = {.lex_state = 425, .external_lex_state = 3},
  [13143] = {.lex_state = 128, .external_lex_state = 3},
  [13144] = {.lex_state = 412, .external_lex_state = 3},
  [13145] = {.lex_state = 128, .external_lex_state = 3},
  [13146] = {.lex_state = 425, .external_lex_state = 3},
  [13147] = {.lex_state = 425, .external_lex_state = 3},
  [13148] = {.lex_state = 412, .external_lex_state = 3},
  [13149] = {.lex_state = 15, .external_lex_state = 2},
  [13150] = {.lex_state = 15, .external_lex_state = 3},
  [13151] = {.lex_state = 132, .external_lex_state = 3},
  [13152] = {.lex_state = 425, .external_lex_state = 3},
  [13153] = {.lex_state = 425, .external_lex_state = 3},
  [13154] = {.lex_state = 19, .external_lex_state = 3},
  [13155] = {.lex_state = 19, .external_lex_state = 3},
  [13156] = {.lex_state = 425, .external_lex_state = 3},
  [13157] = {.lex_state = 19, .external_lex_state = 3},
  [13158] = {.lex_state = 19, .external_lex_state = 3},
  [13159] = {.lex_state = 425, .external_lex_state = 3},
  [13160] = {.lex_state = 425, .external_lex_state = 3},
  [13161] = {.lex_state = 19, .external_lex_state = 3},
  [13162] = {.lex_state = 19, .external_lex_state = 3},
  [13163] = {.lex_state = 19, .external_lex_state = 3},
  [13164] = {.lex_state = 19, .external_lex_state = 3},
  [13165] = {.lex_state = 131, .external_lex_state = 3},
  [13166] = {.lex_state = 425, .external_lex_state = 3},
  [13167] = {.lex_state = 202, .external_lex_state = 3},
  [13168] = {.lex_state = 425, .external_lex_state = 3},
  [13169] = {.lex_state = 425, .external_lex_state = 3},
  [13170] = {.lex_state = 425, .external_lex_state = 3},
  [13171] = {.lex_state = 131, .external_lex_state = 3},
  [13172] = {.lex_state = 19, .external_lex_state = 3},
  [13173] = {.lex_state = 19, .external_lex_state = 3},
  [13174] = {.lex_state = 19, .external_lex_state = 3},
  [13175] = {.lex_state = 19, .external_lex_state = 3},
  [13176] = {.lex_state = 425, .external_lex_state = 3},
  [13177] = {.lex_state = 412, .external_lex_state = 3},
  [13178] = {.lex_state = 15, .external_lex_state = 2},
  [13179] = {.lex_state = 412, .external_lex_state = 3},
  [13180] = {.lex_state = 15, .external_lex_state = 2},
  [13181] = {.lex_state = 412, .external_lex_state = 3},
  [13182] = {.lex_state = 19, .external_lex_state = 3},
  [13183] = {.lex_state = 412, .external_lex_state = 3},
  [13184] = {.lex_state = 412, .external_lex_state = 3},
  [13185] = {.lex_state = 412, .external_lex_state = 3},
  [13186] = {.lex_state = 412, .external_lex_state = 3},
  [13187] = {.lex_state = 412, .external_lex_state = 3},
  [13188] = {.lex_state = 412, .external_lex_state = 3},
  [13189] = {.lex_state = 412, .external_lex_state = 3},
  [13190] = {.lex_state = 174, .external_lex_state = 3},
  [13191] = {.lex_state = 19, .external_lex_state = 3},
  [13192] = {.lex_state = 19, .external_lex_state = 3},
  [13193] = {.lex_state = 19, .external_lex_state = 3},
  [13194] = {.lex_state = 19, .external_lex_state = 3},
  [13195] = {.lex_state = 15, .external_lex_state = 2},
  [13196] = {.lex_state = 425, .external_lex_state = 3},
  [13197] = {.lex_state = 19, .external_lex_state = 3},
  [13198] = {.lex_state = 19, .external_lex_state = 3},
  [13199] = {.lex_state = 132, .external_lex_state = 3},
  [13200] = {.lex_state = 425, .external_lex_state = 3},
  [13201] = {.lex_state = 128, .external_lex_state = 3},
  [13202] = {.lex_state = 202, .external_lex_state = 3},
  [13203] = {.lex_state = 19, .external_lex_state = 3},
  [13204] = {.lex_state = 425, .external_lex_state = 3},
  [13205] = {.lex_state = 19, .external_lex_state = 3},
  [13206] = {.lex_state = 19, .external_lex_state = 3},
  [13207] = {.lex_state = 19, .external_lex_state = 3},
  [13208] = {.lex_state = 19, .external_lex_state = 3},
  [13209] = {.lex_state = 19, .external_lex_state = 3},
  [13210] = {.lex_state = 425, .external_lex_state = 3},
  [13211] = {.lex_state = 425, .external_lex_state = 3},
  [13212] = {.lex_state = 425, .external_lex_state = 3},
  [13213] = {.lex_state = 425, .external_lex_state = 3},
  [13214] = {.lex_state = 425, .external_lex_state = 3},
  [13215] = {.lex_state = 425, .external_lex_state = 3},
  [13216] = {.lex_state = 19, .external_lex_state = 3},
  [13217] = {.lex_state = 128, .external_lex_state = 3},
  [13218] = {.lex_state = 8, .external_lex_state = 3},
  [13219] = {.lex_state = 425, .external_lex_state = 3},
  [13220] = {.lex_state = 15, .external_lex_state = 2},
  [13221] = {.lex_state = 425, .external_lex_state = 3},
  [13222] = {.lex_state = 19, .external_lex_state = 3},
  [13223] = {.lex_state = 15, .external_lex_state = 2},
  [13224] = {.lex_state = 175, .external_lex_state = 3},
  [13225] = {.lex_state = 425, .external_lex_state = 3},
  [13226] = {.lex_state = 425, .external_lex_state = 3},
  [13227] = {.lex_state = 425, .external_lex_state = 3},
  [13228] = {.lex_state = 425, .external_lex_state = 3},
  [13229] = {.lex_state = 425, .external_lex_state = 3},
  [13230] = {.lex_state = 412, .external_lex_state = 3},
  [13231] = {.lex_state = 425, .external_lex_state = 3},
  [13232] = {.lex_state = 425, .external_lex_state = 3},
  [13233] = {.lex_state = 131, .external_lex_state = 3},
  [13234] = {.lex_state = 425, .external_lex_state = 3},
  [13235] = {.lex_state = 425, .external_lex_state = 3},
  [13236] = {.lex_state = 15, .external_lex_state = 2},
  [13237] = {.lex_state = 425, .external_lex_state = 3},
  [13238] = {.lex_state = 425, .external_lex_state = 3},
  [13239] = {.lex_state = 425, .external_lex_state = 3},
  [13240] = {.lex_state = 19, .external_lex_state = 3},
  [13241] = {.lex_state = 15, .external_lex_state = 3},
  [13242] = {.lex_state = 15, .external_lex_state = 3},
  [13243] = {.lex_state = 412, .external_lex_state = 3},
  [13244] = {.lex_state = 425, .external_lex_state = 3},
  [13245] = {.lex_state = 130, .external_lex_state = 3},
  [13246] = {.lex_state = 130, .external_lex_state = 3},
  [13247] = {.lex_state = 412, .external_lex_state = 3},
  [13248] = {.lex_state = 131, .external_lex_state = 3},
  [13249] = {.lex_state = 131, .external_lex_state = 3},
  [13250] = {.lex_state = 425, .external_lex_state = 3},
  [13251] = {.lex_state = 425, .external_lex_state = 3},
  [13252] = {.lex_state = 131, .external_lex_state = 3},
  [13253] = {.lex_state = 131, .external_lex_state = 3},
  [13254] = {.lex_state = 131, .external_lex_state = 3},
  [13255] = {.lex_state = 15, .external_lex_state = 3},
  [13256] = {.lex_state = 131, .external_lex_state = 3},
  [13257] = {.lex_state = 131, .external_lex_state = 3},
  [13258] = {.lex_state = 130, .external_lex_state = 3},
  [13259] = {.lex_state = 129, .external_lex_state = 3},
  [13260] = {.lex_state = 129, .external_lex_state = 3},
  [13261] = {.lex_state = 130, .external_lex_state = 3},
  [13262] = {.lex_state = 15, .external_lex_state = 3},
  [13263] = {.lex_state = 166, .external_lex_state = 3},
  [13264] = {.lex_state = 166, .external_lex_state = 3},
  [13265] = {.lex_state = 130, .external_lex_state = 3},
  [13266] = {.lex_state = 130, .external_lex_state = 3},
  [13267] = {.lex_state = 412, .external_lex_state = 3},
  [13268] = {.lex_state = 130, .external_lex_state = 3},
  [13269] = {.lex_state = 15, .external_lex_state = 3},
  [13270] = {.lex_state = 412, .external_lex_state = 3},
  [13271] = {.lex_state = 181, .external_lex_state = 3},
  [13272] = {.lex_state = 130, .external_lex_state = 3},
  [13273] = {.lex_state = 166, .external_lex_state = 3},
  [13274] = {.lex_state = 425, .external_lex_state = 3},
  [13275] = {.lex_state = 182, .external_lex_state = 3},
  [13276] = {.lex_state = 130, .external_lex_state = 3},
  [13277] = {.lex_state = 130, .external_lex_state = 3},
  [13278] = {.lex_state = 130, .external_lex_state = 3},
  [13279] = {.lex_state = 130, .external_lex_state = 3},
  [13280] = {.lex_state = 130, .external_lex_state = 3},
  [13281] = {.lex_state = 412, .external_lex_state = 3},
  [13282] = {.lex_state = 130, .external_lex_state = 3},
  [13283] = {.lex_state = 15, .external_lex_state = 3},
  [13284] = {.lex_state = 15, .external_lex_state = 3},
  [13285] = {.lex_state = 130, .external_lex_state = 3},
  [13286] = {.lex_state = 130, .external_lex_state = 3},
  [13287] = {.lex_state = 130, .external_lex_state = 3},
  [13288] = {.lex_state = 130, .external_lex_state = 3},
  [13289] = {.lex_state = 130, .external_lex_state = 3},
  [13290] = {.lex_state = 130, .external_lex_state = 3},
  [13291] = {.lex_state = 130, .external_lex_state = 3},
  [13292] = {.lex_state = 130, .external_lex_state = 3},
  [13293] = {.lex_state = 130, .external_lex_state = 3},
  [13294] = {.lex_state = 130, .external_lex_state = 3},
  [13295] = {.lex_state = 15, .external_lex_state = 3},
  [13296] = {.lex_state = 130, .external_lex_state = 3},
  [13297] = {.lex_state = 166, .external_lex_state = 3},
  [13298] = {.lex_state = 130, .external_lex_state = 3},
  [13299] = {.lex_state = 130, .external_lex_state = 3},
  [13300] = {.lex_state = 130, .external_lex_state = 3},
  [13301] = {.lex_state = 130, .external_lex_state = 3},
  [13302] = {.lex_state = 130, .external_lex_state = 3},
  [13303] = {.lex_state = 130, .external_lex_state = 3},
  [13304] = {.lex_state = 425, .external_lex_state = 3},
  [13305] = {.lex_state = 129, .external_lex_state = 3},
  [13306] = {.lex_state = 15, .external_lex_state = 3},
  [13307] = {.lex_state = 130, .external_lex_state = 3},
  [13308] = {.lex_state = 130, .external_lex_state = 3},
  [13309] = {.lex_state = 130, .external_lex_state = 3},
  [13310] = {.lex_state = 130, .external_lex_state = 3},
  [13311] = {.lex_state = 130, .external_lex_state = 3},
  [13312] = {.lex_state = 15, .external_lex_state = 3},
  [13313] = {.lex_state = 129, .external_lex_state = 3},
  [13314] = {.lex_state = 425, .external_lex_state = 3},
  [13315] = {.lex_state = 130, .external_lex_state = 3},
  [13316] = {.lex_state = 15, .external_lex_state = 3},
  [13317] = {.lex_state = 15, .external_lex_state = 3},
  [13318] = {.lex_state = 166, .external_lex_state = 3},
  [13319] = {.lex_state = 15, .external_lex_state = 3},
  [13320] = {.lex_state = 15, .external_lex_state = 3},
  [13321] = {.lex_state = 15, .external_lex_state = 3},
  [13322] = {.lex_state = 15, .external_lex_state = 3},
  [13323] = {.lex_state = 182, .external_lex_state = 3},
  [13324] = {.lex_state = 15, .external_lex_state = 3},
  [13325] = {.lex_state = 129, .external_lex_state = 3},
  [13326] = {.lex_state = 412, .external_lex_state = 3},
  [13327] = {.lex_state = 129, .external_lex_state = 3},
  [13328] = {.lex_state = 412, .external_lex_state = 3},
  [13329] = {.lex_state = 15, .external_lex_state = 3},
  [13330] = {.lex_state = 131, .external_lex_state = 3},
  [13331] = {.lex_state = 131, .external_lex_state = 3},
  [13332] = {.lex_state = 131, .external_lex_state = 3},
  [13333] = {.lex_state = 131, .external_lex_state = 3},
  [13334] = {.lex_state = 131, .external_lex_state = 3},
  [13335] = {.lex_state = 131, .external_lex_state = 3},
  [13336] = {.lex_state = 15, .external_lex_state = 3},
  [13337] = {.lex_state = 131, .external_lex_state = 3},
  [13338] = {.lex_state = 131, .external_lex_state = 3},
  [13339] = {.lex_state = 130, .external_lex_state = 3},
  [13340] = {.lex_state = 131, .external_lex_state = 3},
  [13341] = {.lex_state = 131, .external_lex_state = 3},
  [13342] = {.lex_state = 131, .external_lex_state = 3},
  [13343] = {.lex_state = 130, .external_lex_state = 3},
  [13344] = {.lex_state = 15, .external_lex_state = 3},
  [13345] = {.lex_state = 130, .external_lex_state = 3},
  [13346] = {.lex_state = 130, .external_lex_state = 3},
  [13347] = {.lex_state = 182, .external_lex_state = 3},
  [13348] = {.lex_state = 166, .external_lex_state = 3},
  [13349] = {.lex_state = 131, .external_lex_state = 3},
  [13350] = {.lex_state = 15, .external_lex_state = 3},
  [13351] = {.lex_state = 412, .external_lex_state = 3},
  [13352] = {.lex_state = 15, .external_lex_state = 3},
  [13353] = {.lex_state = 130, .external_lex_state = 3},
  [13354] = {.lex_state = 15, .external_lex_state = 3},
  [13355] = {.lex_state = 130, .external_lex_state = 3},
  [13356] = {.lex_state = 131, .external_lex_state = 3},
  [13357] = {.lex_state = 412, .external_lex_state = 3},
  [13358] = {.lex_state = 15, .external_lex_state = 3},
  [13359] = {.lex_state = 131, .external_lex_state = 3},
  [13360] = {.lex_state = 130, .external_lex_state = 3},
  [13361] = {.lex_state = 425, .external_lex_state = 3},
  [13362] = {.lex_state = 412, .external_lex_state = 3},
  [13363] = {.lex_state = 15, .external_lex_state = 3},
  [13364] = {.lex_state = 15, .external_lex_state = 3},
  [13365] = {.lex_state = 130, .external_lex_state = 3},
  [13366] = {.lex_state = 130, .external_lex_state = 3},
  [13367] = {.lex_state = 15, .external_lex_state = 3},
  [13368] = {.lex_state = 15, .external_lex_state = 3},
  [13369] = {.lex_state = 412, .external_lex_state = 3},
  [13370] = {.lex_state = 131, .external_lex_state = 3},
  [13371] = {.lex_state = 412, .external_lex_state = 3},
  [13372] = {.lex_state = 15, .external_lex_state = 3},
  [13373] = {.lex_state = 412, .external_lex_state = 3},
  [13374] = {.lex_state = 412, .external_lex_state = 3},
  [13375] = {.lex_state = 131, .external_lex_state = 3},
  [13376] = {.lex_state = 412, .external_lex_state = 3},
  [13377] = {.lex_state = 412, .external_lex_state = 3},
  [13378] = {.lex_state = 412, .external_lex_state = 3},
  [13379] = {.lex_state = 15, .external_lex_state = 3},
  [13380] = {.lex_state = 15, .external_lex_state = 3},
  [13381] = {.lex_state = 15, .external_lex_state = 3},
  [13382] = {.lex_state = 412, .external_lex_state = 3},
  [13383] = {.lex_state = 129, .external_lex_state = 3},
  [13384] = {.lex_state = 15, .external_lex_state = 3},
  [13385] = {.lex_state = 15, .external_lex_state = 3},
  [13386] = {.lex_state = 130, .external_lex_state = 3},
  [13387] = {.lex_state = 166, .external_lex_state = 3},
  [13388] = {.lex_state = 15, .external_lex_state = 3},
  [13389] = {.lex_state = 130, .external_lex_state = 3},
  [13390] = {.lex_state = 130, .external_lex_state = 3},
  [13391] = {.lex_state = 130, .external_lex_state = 3},
  [13392] = {.lex_state = 130, .external_lex_state = 3},
  [13393] = {.lex_state = 130, .external_lex_state = 3},
  [13394] = {.lex_state = 130, .external_lex_state = 3},
  [13395] = {.lex_state = 130, .external_lex_state = 3},
  [13396] = {.lex_state = 130, .external_lex_state = 3},
  [13397] = {.lex_state = 130, .external_lex_state = 3},
  [13398] = {.lex_state = 130, .external_lex_state = 3},
  [13399] = {.lex_state = 166, .external_lex_state = 3},
  [13400] = {.lex_state = 130, .external_lex_state = 3},
  [13401] = {.lex_state = 15, .external_lex_state = 3},
  [13402] = {.lex_state = 130, .external_lex_state = 3},
  [13403] = {.lex_state = 130, .external_lex_state = 3},
  [13404] = {.lex_state = 15, .external_lex_state = 3},
  [13405] = {.lex_state = 15, .external_lex_state = 3},
  [13406] = {.lex_state = 15, .external_lex_state = 3},
  [13407] = {.lex_state = 15, .external_lex_state = 3},
  [13408] = {.lex_state = 15, .external_lex_state = 3},
  [13409] = {.lex_state = 130, .external_lex_state = 3},
  [13410] = {.lex_state = 15, .external_lex_state = 3},
  [13411] = {.lex_state = 130, .external_lex_state = 3},
  [13412] = {.lex_state = 15, .external_lex_state = 3},
  [13413] = {.lex_state = 15, .external_lex_state = 3},
  [13414] = {.lex_state = 15, .external_lex_state = 3},
  [13415] = {.lex_state = 15, .external_lex_state = 3},
  [13416] = {.lex_state = 15, .external_lex_state = 3},
  [13417] = {.lex_state = 15, .external_lex_state = 3},
  [13418] = {.lex_state = 15, .external_lex_state = 3},
  [13419] = {.lex_state = 15, .external_lex_state = 3},
  [13420] = {.lex_state = 129, .external_lex_state = 3},
  [13421] = {.lex_state = 15, .external_lex_state = 3},
  [13422] = {.lex_state = 15, .external_lex_state = 3},
  [13423] = {.lex_state = 412, .external_lex_state = 3},
  [13424] = {.lex_state = 15, .external_lex_state = 3},
  [13425] = {.lex_state = 8, .external_lex_state = 3},
  [13426] = {.lex_state = 425, .external_lex_state = 3},
  [13427] = {.lex_state = 425, .external_lex_state = 3},
  [13428] = {.lex_state = 412, .external_lex_state = 3},
  [13429] = {.lex_state = 425, .external_lex_state = 3},
  [13430] = {.lex_state = 425, .external_lex_state = 3},
  [13431] = {.lex_state = 129, .external_lex_state = 3},
  [13432] = {.lex_state = 15, .external_lex_state = 3},
  [13433] = {.lex_state = 425, .external_lex_state = 3},
  [13434] = {.lex_state = 425, .external_lex_state = 3},
  [13435] = {.lex_state = 15, .external_lex_state = 3},
  [13436] = {.lex_state = 129, .external_lex_state = 3},
  [13437] = {.lex_state = 182, .external_lex_state = 3},
  [13438] = {.lex_state = 129, .external_lex_state = 3},
  [13439] = {.lex_state = 129, .external_lex_state = 3},
  [13440] = {.lex_state = 129, .external_lex_state = 3},
  [13441] = {.lex_state = 129, .external_lex_state = 3},
  [13442] = {.lex_state = 412, .external_lex_state = 3},
  [13443] = {.lex_state = 412, .external_lex_state = 3},
  [13444] = {.lex_state = 129, .external_lex_state = 3},
  [13445] = {.lex_state = 129, .external_lex_state = 3},
  [13446] = {.lex_state = 129, .external_lex_state = 3},
  [13447] = {.lex_state = 130, .external_lex_state = 3},
  [13448] = {.lex_state = 15, .external_lex_state = 3},
  [13449] = {.lex_state = 8, .external_lex_state = 3},
  [13450] = {.lex_state = 130, .external_lex_state = 3},
  [13451] = {.lex_state = 130, .external_lex_state = 3},
  [13452] = {.lex_state = 130, .external_lex_state = 3},
  [13453] = {.lex_state = 130, .external_lex_state = 3},
  [13454] = {.lex_state = 130, .external_lex_state = 3},
  [13455] = {.lex_state = 130, .external_lex_state = 3},
  [13456] = {.lex_state = 130, .external_lex_state = 3},
  [13457] = {.lex_state = 130, .external_lex_state = 3},
  [13458] = {.lex_state = 130, .external_lex_state = 3},
  [13459] = {.lex_state = 8, .external_lex_state = 3},
  [13460] = {.lex_state = 15, .external_lex_state = 3},
  [13461] = {.lex_state = 130, .external_lex_state = 3},
  [13462] = {.lex_state = 8, .external_lex_state = 3},
  [13463] = {.lex_state = 130, .external_lex_state = 3},
  [13464] = {.lex_state = 412, .external_lex_state = 3},
  [13465] = {.lex_state = 130, .external_lex_state = 3},
  [13466] = {.lex_state = 412, .external_lex_state = 3},
  [13467] = {.lex_state = 130, .external_lex_state = 3},
  [13468] = {.lex_state = 130, .external_lex_state = 3},
  [13469] = {.lex_state = 131, .external_lex_state = 3},
  [13470] = {.lex_state = 15, .external_lex_state = 3},
  [13471] = {.lex_state = 15, .external_lex_state = 3},
  [13472] = {.lex_state = 425, .external_lex_state = 3},
  [13473] = {.lex_state = 173, .external_lex_state = 3},
  [13474] = {.lex_state = 173, .external_lex_state = 3},
  [13475] = {.lex_state = 412, .external_lex_state = 3},
  [13476] = {.lex_state = 130, .external_lex_state = 3},
  [13477] = {.lex_state = 412, .external_lex_state = 3},
  [13478] = {.lex_state = 15, .external_lex_state = 3},
  [13479] = {.lex_state = 173, .external_lex_state = 3},
  [13480] = {.lex_state = 15, .external_lex_state = 3},
  [13481] = {.lex_state = 425, .external_lex_state = 3},
  [13482] = {.lex_state = 425, .external_lex_state = 3},
  [13483] = {.lex_state = 425, .external_lex_state = 3},
  [13484] = {.lex_state = 425, .external_lex_state = 3},
  [13485] = {.lex_state = 425, .external_lex_state = 3},
  [13486] = {.lex_state = 425, .external_lex_state = 3},
  [13487] = {.lex_state = 130, .external_lex_state = 3},
  [13488] = {.lex_state = 130, .external_lex_state = 3},
  [13489] = {.lex_state = 130, .external_lex_state = 3},
  [13490] = {.lex_state = 129, .external_lex_state = 3},
  [13491] = {.lex_state = 131, .external_lex_state = 3},
  [13492] = {.lex_state = 131, .external_lex_state = 3},
  [13493] = {.lex_state = 425, .external_lex_state = 3},
  [13494] = {.lex_state = 425, .external_lex_state = 3},
  [13495] = {.lex_state = 425, .external_lex_state = 3},
  [13496] = {.lex_state = 15, .external_lex_state = 3},
  [13497] = {.lex_state = 412, .external_lex_state = 3},
  [13498] = {.lex_state = 130, .external_lex_state = 3},
  [13499] = {.lex_state = 412, .external_lex_state = 3},
  [13500] = {.lex_state = 425, .external_lex_state = 3},
  [13501] = {.lex_state = 425, .external_lex_state = 3},
  [13502] = {.lex_state = 425, .external_lex_state = 3},
  [13503] = {.lex_state = 412, .external_lex_state = 3},
  [13504] = {.lex_state = 130, .external_lex_state = 3},
  [13505] = {.lex_state = 15, .external_lex_state = 3},
  [13506] = {.lex_state = 15, .external_lex_state = 3},
  [13507] = {.lex_state = 130, .external_lex_state = 3},
  [13508] = {.lex_state = 129, .external_lex_state = 3},
  [13509] = {.lex_state = 130, .external_lex_state = 3},
  [13510] = {.lex_state = 425, .external_lex_state = 3},
  [13511] = {.lex_state = 425, .external_lex_state = 3},
  [13512] = {.lex_state = 130, .external_lex_state = 3},
  [13513] = {.lex_state = 131, .external_lex_state = 3},
  [13514] = {.lex_state = 130, .external_lex_state = 3},
  [13515] = {.lex_state = 131, .external_lex_state = 3},
  [13516] = {.lex_state = 131, .external_lex_state = 3},
  [13517] = {.lex_state = 131, .external_lex_state = 3},
  [13518] = {.lex_state = 425, .external_lex_state = 3},
  [13519] = {.lex_state = 130, .external_lex_state = 3},
  [13520] = {.lex_state = 129, .external_lex_state = 3},
  [13521] = {.lex_state = 131, .external_lex_state = 3},
  [13522] = {.lex_state = 131, .external_lex_state = 3},
  [13523] = {.lex_state = 129, .external_lex_state = 3},
  [13524] = {.lex_state = 131, .external_lex_state = 3},
  [13525] = {.lex_state = 131, .external_lex_state = 3},
  [13526] = {.lex_state = 130, .external_lex_state = 3},
  [13527] = {.lex_state = 130, .external_lex_state = 3},
  [13528] = {.lex_state = 129, .external_lex_state = 3},
  [13529] = {.lex_state = 129, .external_lex_state = 3},
  [13530] = {.lex_state = 131, .external_lex_state = 3},
  [13531] = {.lex_state = 131, .external_lex_state = 3},
  [13532] = {.lex_state = 131, .external_lex_state = 3},
  [13533] = {.lex_state = 425, .external_lex_state = 3},
  [13534] = {.lex_state = 425, .external_lex_state = 3},
  [13535] = {.lex_state = 130, .external_lex_state = 3},
  [13536] = {.lex_state = 130, .external_lex_state = 3},
  [13537] = {.lex_state = 425, .external_lex_state = 3},
  [13538] = {.lex_state = 425, .external_lex_state = 3},
  [13539] = {.lex_state = 129, .external_lex_state = 3},
  [13540] = {.lex_state = 130, .external_lex_state = 3},
  [13541] = {.lex_state = 129, .external_lex_state = 3},
  [13542] = {.lex_state = 130, .external_lex_state = 3},
  [13543] = {.lex_state = 131, .external_lex_state = 3},
  [13544] = {.lex_state = 131, .external_lex_state = 3},
  [13545] = {.lex_state = 130, .external_lex_state = 3},
  [13546] = {.lex_state = 131, .external_lex_state = 3},
  [13547] = {.lex_state = 130, .external_lex_state = 3},
  [13548] = {.lex_state = 129, .external_lex_state = 3},
  [13549] = {.lex_state = 131, .external_lex_state = 3},
  [13550] = {.lex_state = 131, .external_lex_state = 3},
  [13551] = {.lex_state = 181, .external_lex_state = 3},
  [13552] = {.lex_state = 15, .external_lex_state = 3},
  [13553] = {.lex_state = 181, .external_lex_state = 3},
  [13554] = {.lex_state = 15, .external_lex_state = 3},
  [13555] = {.lex_state = 15, .external_lex_state = 3},
  [13556] = {.lex_state = 131, .external_lex_state = 3},
  [13557] = {.lex_state = 181, .external_lex_state = 3},
  [13558] = {.lex_state = 412, .external_lex_state = 3},
  [13559] = {.lex_state = 425, .external_lex_state = 3},
  [13560] = {.lex_state = 425, .external_lex_state = 3},
  [13561] = {.lex_state = 425, .external_lex_state = 3},
  [13562] = {.lex_state = 425, .external_lex_state = 3},
  [13563] = {.lex_state = 425, .external_lex_state = 3},
  [13564] = {.lex_state = 182, .external_lex_state = 3},
  [13565] = {.lex_state = 173, .external_lex_state = 3},
  [13566] = {.lex_state = 425, .external_lex_state = 3},
  [13567] = {.lex_state = 15, .external_lex_state = 3},
  [13568] = {.lex_state = 129, .external_lex_state = 3},
  [13569] = {.lex_state = 129, .external_lex_state = 3},
  [13570] = {.lex_state = 129, .external_lex_state = 3},
  [13571] = {.lex_state = 15, .external_lex_state = 3},
  [13572] = {.lex_state = 129, .external_lex_state = 3},
  [13573] = {.lex_state = 159, .external_lex_state = 5},
  [13574] = {.lex_state = 165, .external_lex_state = 3},
  [13575] = {.lex_state = 130, .external_lex_state = 3},
  [13576] = {.lex_state = 129, .external_lex_state = 3},
  [13577] = {.lex_state = 129, .external_lex_state = 3},
  [13578] = {.lex_state = 129, .external_lex_state = 3},
  [13579] = {.lex_state = 129, .external_lex_state = 3},
  [13580] = {.lex_state = 159, .external_lex_state = 5},
  [13581] = {.lex_state = 129, .external_lex_state = 3},
  [13582] = {.lex_state = 159, .external_lex_state = 5},
  [13583] = {.lex_state = 173, .external_lex_state = 3},
  [13584] = {.lex_state = 129, .external_lex_state = 3},
  [13585] = {.lex_state = 129, .external_lex_state = 3},
  [13586] = {.lex_state = 159, .external_lex_state = 5},
  [13587] = {.lex_state = 414, .external_lex_state = 3},
  [13588] = {.lex_state = 130, .external_lex_state = 3},
  [13589] = {.lex_state = 130, .external_lex_state = 3},
  [13590] = {.lex_state = 129, .external_lex_state = 3},
  [13591] = {.lex_state = 129, .external_lex_state = 3},
  [13592] = {.lex_state = 129, .external_lex_state = 3},
  [13593] = {.lex_state = 129, .external_lex_state = 3},
  [13594] = {.lex_state = 129, .external_lex_state = 3},
  [13595] = {.lex_state = 129, .external_lex_state = 3},
  [13596] = {.lex_state = 129, .external_lex_state = 3},
  [13597] = {.lex_state = 15, .external_lex_state = 3},
  [13598] = {.lex_state = 129, .external_lex_state = 3},
  [13599] = {.lex_state = 129, .external_lex_state = 3},
  [13600] = {.lex_state = 159, .external_lex_state = 5},
  [13601] = {.lex_state = 129, .external_lex_state = 3},
  [13602] = {.lex_state = 129, .external_lex_state = 3},
  [13603] = {.lex_state = 159, .external_lex_state = 5},
  [13604] = {.lex_state = 129, .external_lex_state = 3},
  [13605] = {.lex_state = 159, .external_lex_state = 5},
  [13606] = {.lex_state = 129, .external_lex_state = 3},
  [13607] = {.lex_state = 129, .external_lex_state = 3},
  [13608] = {.lex_state = 129, .external_lex_state = 3},
  [13609] = {.lex_state = 159, .external_lex_state = 5},
  [13610] = {.lex_state = 159, .external_lex_state = 5},
  [13611] = {.lex_state = 15, .external_lex_state = 3},
  [13612] = {.lex_state = 129, .external_lex_state = 3},
  [13613] = {.lex_state = 15, .external_lex_state = 3},
  [13614] = {.lex_state = 129, .external_lex_state = 3},
  [13615] = {.lex_state = 129, .external_lex_state = 3},
  [13616] = {.lex_state = 129, .external_lex_state = 3},
  [13617] = {.lex_state = 129, .external_lex_state = 3},
  [13618] = {.lex_state = 15, .external_lex_state = 3},
  [13619] = {.lex_state = 159, .external_lex_state = 5},
  [13620] = {.lex_state = 15, .external_lex_state = 3},
  [13621] = {.lex_state = 15, .external_lex_state = 3},
  [13622] = {.lex_state = 15, .external_lex_state = 3},
  [13623] = {.lex_state = 129, .external_lex_state = 3},
  [13624] = {.lex_state = 15, .external_lex_state = 3},
  [13625] = {.lex_state = 129, .external_lex_state = 3},
  [13626] = {.lex_state = 129, .external_lex_state = 3},
  [13627] = {.lex_state = 129, .external_lex_state = 3},
  [13628] = {.lex_state = 15, .external_lex_state = 3},
  [13629] = {.lex_state = 129, .external_lex_state = 3},
  [13630] = {.lex_state = 131, .external_lex_state = 3},
  [13631] = {.lex_state = 159, .external_lex_state = 5},
  [13632] = {.lex_state = 129, .external_lex_state = 3},
  [13633] = {.lex_state = 129, .external_lex_state = 3},
  [13634] = {.lex_state = 15, .external_lex_state = 3},
  [13635] = {.lex_state = 131, .external_lex_state = 3},
  [13636] = {.lex_state = 129, .external_lex_state = 3},
  [13637] = {.lex_state = 129, .external_lex_state = 3},
  [13638] = {.lex_state = 159, .external_lex_state = 5},
  [13639] = {.lex_state = 131, .external_lex_state = 3},
  [13640] = {.lex_state = 129, .external_lex_state = 3},
  [13641] = {.lex_state = 131, .external_lex_state = 3},
  [13642] = {.lex_state = 131, .external_lex_state = 3},
  [13643] = {.lex_state = 129, .external_lex_state = 3},
  [13644] = {.lex_state = 129, .external_lex_state = 3},
  [13645] = {.lex_state = 15, .external_lex_state = 3},
  [13646] = {.lex_state = 131, .external_lex_state = 3},
  [13647] = {.lex_state = 131, .external_lex_state = 3},
  [13648] = {.lex_state = 131, .external_lex_state = 3},
  [13649] = {.lex_state = 131, .external_lex_state = 3},
  [13650] = {.lex_state = 159, .external_lex_state = 5},
  [13651] = {.lex_state = 129, .external_lex_state = 3},
  [13652] = {.lex_state = 159, .external_lex_state = 5},
  [13653] = {.lex_state = 129, .external_lex_state = 3},
  [13654] = {.lex_state = 131, .external_lex_state = 3},
  [13655] = {.lex_state = 131, .external_lex_state = 3},
  [13656] = {.lex_state = 129, .external_lex_state = 3},
  [13657] = {.lex_state = 129, .external_lex_state = 3},
  [13658] = {.lex_state = 131, .external_lex_state = 3},
  [13659] = {.lex_state = 129, .external_lex_state = 3},
  [13660] = {.lex_state = 15, .external_lex_state = 3},
  [13661] = {.lex_state = 129, .external_lex_state = 3},
  [13662] = {.lex_state = 131, .external_lex_state = 3},
  [13663] = {.lex_state = 159, .external_lex_state = 5},
  [13664] = {.lex_state = 129, .external_lex_state = 3},
  [13665] = {.lex_state = 129, .external_lex_state = 3},
  [13666] = {.lex_state = 129, .external_lex_state = 3},
  [13667] = {.lex_state = 181, .external_lex_state = 3},
  [13668] = {.lex_state = 130, .external_lex_state = 3},
  [13669] = {.lex_state = 129, .external_lex_state = 3},
  [13670] = {.lex_state = 15, .external_lex_state = 3},
  [13671] = {.lex_state = 173, .external_lex_state = 3},
  [13672] = {.lex_state = 173, .external_lex_state = 3},
  [13673] = {.lex_state = 129, .external_lex_state = 3},
  [13674] = {.lex_state = 131, .external_lex_state = 3},
  [13675] = {.lex_state = 129, .external_lex_state = 3},
  [13676] = {.lex_state = 129, .external_lex_state = 3},
  [13677] = {.lex_state = 130, .external_lex_state = 3},
  [13678] = {.lex_state = 129, .external_lex_state = 3},
  [13679] = {.lex_state = 130, .external_lex_state = 3},
  [13680] = {.lex_state = 130, .external_lex_state = 3},
  [13681] = {.lex_state = 130, .external_lex_state = 3},
  [13682] = {.lex_state = 130, .external_lex_state = 3},
  [13683] = {.lex_state = 130, .external_lex_state = 3},
  [13684] = {.lex_state = 130, .external_lex_state = 3},
  [13685] = {.lex_state = 130, .external_lex_state = 3},
  [13686] = {.lex_state = 130, .external_lex_state = 3},
  [13687] = {.lex_state = 130, .external_lex_state = 3},
  [13688] = {.lex_state = 130, .external_lex_state = 3},
  [13689] = {.lex_state = 130, .external_lex_state = 3},
  [13690] = {.lex_state = 129, .external_lex_state = 3},
  [13691] = {.lex_state = 129, .external_lex_state = 3},
  [13692] = {.lex_state = 129, .external_lex_state = 3},
  [13693] = {.lex_state = 130, .external_lex_state = 3},
  [13694] = {.lex_state = 159, .external_lex_state = 5},
  [13695] = {.lex_state = 15, .external_lex_state = 3},
  [13696] = {.lex_state = 129, .external_lex_state = 3},
  [13697] = {.lex_state = 159, .external_lex_state = 5},
  [13698] = {.lex_state = 129, .external_lex_state = 3},
  [13699] = {.lex_state = 414, .external_lex_state = 3},
  [13700] = {.lex_state = 182, .external_lex_state = 3},
  [13701] = {.lex_state = 130, .external_lex_state = 3},
  [13702] = {.lex_state = 130, .external_lex_state = 3},
  [13703] = {.lex_state = 130, .external_lex_state = 3},
  [13704] = {.lex_state = 130, .external_lex_state = 3},
  [13705] = {.lex_state = 130, .external_lex_state = 3},
  [13706] = {.lex_state = 130, .external_lex_state = 3},
  [13707] = {.lex_state = 130, .external_lex_state = 3},
  [13708] = {.lex_state = 130, .external_lex_state = 3},
  [13709] = {.lex_state = 130, .external_lex_state = 3},
  [13710] = {.lex_state = 130, .external_lex_state = 3},
  [13711] = {.lex_state = 130, .external_lex_state = 3},
  [13712] = {.lex_state = 130, .external_lex_state = 3},
  [13713] = {.lex_state = 15, .external_lex_state = 3},
  [13714] = {.lex_state = 15, .external_lex_state = 3},
  [13715] = {.lex_state = 15, .external_lex_state = 3},
  [13716] = {.lex_state = 130, .external_lex_state = 3},
  [13717] = {.lex_state = 129, .external_lex_state = 3},
  [13718] = {.lex_state = 130, .external_lex_state = 3},
  [13719] = {.lex_state = 130, .external_lex_state = 3},
  [13720] = {.lex_state = 130, .external_lex_state = 3},
  [13721] = {.lex_state = 130, .external_lex_state = 3},
  [13722] = {.lex_state = 130, .external_lex_state = 3},
  [13723] = {.lex_state = 130, .external_lex_state = 3},
  [13724] = {.lex_state = 130, .external_lex_state = 3},
  [13725] = {.lex_state = 130, .external_lex_state = 3},
  [13726] = {.lex_state = 130, .external_lex_state = 3},
  [13727] = {.lex_state = 130, .external_lex_state = 3},
  [13728] = {.lex_state = 130, .external_lex_state = 3},
  [13729] = {.lex_state = 130, .external_lex_state = 3},
  [13730] = {.lex_state = 129, .external_lex_state = 3},
  [13731] = {.lex_state = 425, .external_lex_state = 3},
  [13732] = {.lex_state = 130, .external_lex_state = 3},
  [13733] = {.lex_state = 129, .external_lex_state = 3},
  [13734] = {.lex_state = 130, .external_lex_state = 3},
  [13735] = {.lex_state = 130, .external_lex_state = 3},
  [13736] = {.lex_state = 130, .external_lex_state = 3},
  [13737] = {.lex_state = 130, .external_lex_state = 3},
  [13738] = {.lex_state = 130, .external_lex_state = 3},
  [13739] = {.lex_state = 130, .external_lex_state = 3},
  [13740] = {.lex_state = 130, .external_lex_state = 3},
  [13741] = {.lex_state = 130, .external_lex_state = 3},
  [13742] = {.lex_state = 130, .external_lex_state = 3},
  [13743] = {.lex_state = 130, .external_lex_state = 3},
  [13744] = {.lex_state = 130, .external_lex_state = 3},
  [13745] = {.lex_state = 130, .external_lex_state = 3},
  [13746] = {.lex_state = 130, .external_lex_state = 3},
  [13747] = {.lex_state = 130, .external_lex_state = 3},
  [13748] = {.lex_state = 130, .external_lex_state = 3},
  [13749] = {.lex_state = 159, .external_lex_state = 5},
  [13750] = {.lex_state = 129, .external_lex_state = 3},
  [13751] = {.lex_state = 129, .external_lex_state = 3},
  [13752] = {.lex_state = 159, .external_lex_state = 5},
  [13753] = {.lex_state = 159, .external_lex_state = 5},
  [13754] = {.lex_state = 129, .external_lex_state = 3},
  [13755] = {.lex_state = 129, .external_lex_state = 3},
  [13756] = {.lex_state = 159, .external_lex_state = 5},
  [13757] = {.lex_state = 129, .external_lex_state = 3},
  [13758] = {.lex_state = 15, .external_lex_state = 3},
  [13759] = {.lex_state = 131, .external_lex_state = 3},
  [13760] = {.lex_state = 425, .external_lex_state = 3},
  [13761] = {.lex_state = 131, .external_lex_state = 3},
  [13762] = {.lex_state = 129, .external_lex_state = 3},
  [13763] = {.lex_state = 131, .external_lex_state = 3},
  [13764] = {.lex_state = 129, .external_lex_state = 3},
  [13765] = {.lex_state = 129, .external_lex_state = 3},
  [13766] = {.lex_state = 129, .external_lex_state = 3},
  [13767] = {.lex_state = 129, .external_lex_state = 3},
  [13768] = {.lex_state = 129, .external_lex_state = 3},
  [13769] = {.lex_state = 129, .external_lex_state = 3},
  [13770] = {.lex_state = 129, .external_lex_state = 3},
  [13771] = {.lex_state = 129, .external_lex_state = 3},
  [13772] = {.lex_state = 129, .external_lex_state = 3},
  [13773] = {.lex_state = 129, .external_lex_state = 3},
  [13774] = {.lex_state = 129, .external_lex_state = 3},
  [13775] = {.lex_state = 129, .external_lex_state = 3},
  [13776] = {.lex_state = 129, .external_lex_state = 3},
  [13777] = {.lex_state = 129, .external_lex_state = 3},
  [13778] = {.lex_state = 159, .external_lex_state = 5},
  [13779] = {.lex_state = 159, .external_lex_state = 5},
  [13780] = {.lex_state = 129, .external_lex_state = 3},
  [13781] = {.lex_state = 129, .external_lex_state = 3},
  [13782] = {.lex_state = 425, .external_lex_state = 3},
  [13783] = {.lex_state = 425, .external_lex_state = 3},
  [13784] = {.lex_state = 159, .external_lex_state = 5},
  [13785] = {.lex_state = 129, .external_lex_state = 3},
  [13786] = {.lex_state = 129, .external_lex_state = 3},
  [13787] = {.lex_state = 129, .external_lex_state = 3},
  [13788] = {.lex_state = 129, .external_lex_state = 3},
  [13789] = {.lex_state = 129, .external_lex_state = 3},
  [13790] = {.lex_state = 129, .external_lex_state = 3},
  [13791] = {.lex_state = 159, .external_lex_state = 5},
  [13792] = {.lex_state = 414, .external_lex_state = 3},
  [13793] = {.lex_state = 425, .external_lex_state = 3},
  [13794] = {.lex_state = 159, .external_lex_state = 5},
  [13795] = {.lex_state = 129, .external_lex_state = 3},
  [13796] = {.lex_state = 129, .external_lex_state = 3},
  [13797] = {.lex_state = 129, .external_lex_state = 3},
  [13798] = {.lex_state = 129, .external_lex_state = 3},
  [13799] = {.lex_state = 129, .external_lex_state = 3},
  [13800] = {.lex_state = 130, .external_lex_state = 3},
  [13801] = {.lex_state = 173, .external_lex_state = 3},
  [13802] = {.lex_state = 129, .external_lex_state = 3},
  [13803] = {.lex_state = 159, .external_lex_state = 5},
  [13804] = {.lex_state = 129, .external_lex_state = 3},
  [13805] = {.lex_state = 15, .external_lex_state = 3},
  [13806] = {.lex_state = 129, .external_lex_state = 3},
  [13807] = {.lex_state = 129, .external_lex_state = 3},
  [13808] = {.lex_state = 129, .external_lex_state = 3},
  [13809] = {.lex_state = 159, .external_lex_state = 5},
  [13810] = {.lex_state = 159, .external_lex_state = 5},
  [13811] = {.lex_state = 129, .external_lex_state = 3},
  [13812] = {.lex_state = 129, .external_lex_state = 3},
  [13813] = {.lex_state = 129, .external_lex_state = 3},
  [13814] = {.lex_state = 129, .external_lex_state = 3},
  [13815] = {.lex_state = 129, .external_lex_state = 3},
  [13816] = {.lex_state = 159, .external_lex_state = 5},
  [13817] = {.lex_state = 15, .external_lex_state = 3},
  [13818] = {.lex_state = 129, .external_lex_state = 3},
  [13819] = {.lex_state = 159, .external_lex_state = 5},
  [13820] = {.lex_state = 159, .external_lex_state = 5},
  [13821] = {.lex_state = 129, .external_lex_state = 3},
  [13822] = {.lex_state = 129, .external_lex_state = 3},
  [13823] = {.lex_state = 129, .external_lex_state = 3},
  [13824] = {.lex_state = 129, .external_lex_state = 3},
  [13825] = {.lex_state = 129, .external_lex_state = 3},
  [13826] = {.lex_state = 129, .external_lex_state = 3},
  [13827] = {.lex_state = 159, .external_lex_state = 5},
  [13828] = {.lex_state = 129, .external_lex_state = 3},
  [13829] = {.lex_state = 129, .external_lex_state = 3},
  [13830] = {.lex_state = 130, .external_lex_state = 3},
  [13831] = {.lex_state = 159, .external_lex_state = 5},
  [13832] = {.lex_state = 159, .external_lex_state = 5},
  [13833] = {.lex_state = 159, .external_lex_state = 5},
  [13834] = {.lex_state = 159, .external_lex_state = 5},
  [13835] = {.lex_state = 159, .external_lex_state = 5},
  [13836] = {.lex_state = 159, .external_lex_state = 5},
  [13837] = {.lex_state = 159, .external_lex_state = 5},
  [13838] = {.lex_state = 159, .external_lex_state = 5},
  [13839] = {.lex_state = 159, .external_lex_state = 5},
  [13840] = {.lex_state = 159, .external_lex_state = 5},
  [13841] = {.lex_state = 159, .external_lex_state = 5},
  [13842] = {.lex_state = 159, .external_lex_state = 5},
  [13843] = {.lex_state = 159, .external_lex_state = 5},
  [13844] = {.lex_state = 159, .external_lex_state = 5},
  [13845] = {.lex_state = 159, .external_lex_state = 5},
  [13846] = {.lex_state = 159, .external_lex_state = 5},
  [13847] = {.lex_state = 129, .external_lex_state = 3},
  [13848] = {.lex_state = 129, .external_lex_state = 3},
  [13849] = {.lex_state = 129, .external_lex_state = 3},
  [13850] = {.lex_state = 159, .external_lex_state = 5},
  [13851] = {.lex_state = 129, .external_lex_state = 3},
  [13852] = {.lex_state = 129, .external_lex_state = 3},
  [13853] = {.lex_state = 129, .external_lex_state = 3},
  [13854] = {.lex_state = 129, .external_lex_state = 3},
  [13855] = {.lex_state = 129, .external_lex_state = 3},
  [13856] = {.lex_state = 129, .external_lex_state = 3},
  [13857] = {.lex_state = 129, .external_lex_state = 3},
  [13858] = {.lex_state = 130, .external_lex_state = 3},
  [13859] = {.lex_state = 130, .external_lex_state = 3},
  [13860] = {.lex_state = 130, .external_lex_state = 3},
  [13861] = {.lex_state = 130, .external_lex_state = 3},
  [13862] = {.lex_state = 130, .external_lex_state = 3},
  [13863] = {.lex_state = 159, .external_lex_state = 5},
  [13864] = {.lex_state = 129, .external_lex_state = 3},
  [13865] = {.lex_state = 129, .external_lex_state = 3},
  [13866] = {.lex_state = 129, .external_lex_state = 3},
  [13867] = {.lex_state = 129, .external_lex_state = 3},
  [13868] = {.lex_state = 129, .external_lex_state = 3},
  [13869] = {.lex_state = 129, .external_lex_state = 3},
  [13870] = {.lex_state = 131, .external_lex_state = 3},
  [13871] = {.lex_state = 131, .external_lex_state = 3},
  [13872] = {.lex_state = 129, .external_lex_state = 3},
  [13873] = {.lex_state = 129, .external_lex_state = 3},
  [13874] = {.lex_state = 129, .external_lex_state = 3},
  [13875] = {.lex_state = 159, .external_lex_state = 5},
  [13876] = {.lex_state = 129, .external_lex_state = 3},
  [13877] = {.lex_state = 181, .external_lex_state = 3},
  [13878] = {.lex_state = 181, .external_lex_state = 3},
  [13879] = {.lex_state = 131, .external_lex_state = 3},
  [13880] = {.lex_state = 130, .external_lex_state = 3},
  [13881] = {.lex_state = 159, .external_lex_state = 5},
  [13882] = {.lex_state = 159, .external_lex_state = 5},
  [13883] = {.lex_state = 425, .external_lex_state = 3},
  [13884] = {.lex_state = 15, .external_lex_state = 3},
  [13885] = {.lex_state = 129, .external_lex_state = 3},
  [13886] = {.lex_state = 425, .external_lex_state = 3},
  [13887] = {.lex_state = 129, .external_lex_state = 3},
  [13888] = {.lex_state = 129, .external_lex_state = 3},
  [13889] = {.lex_state = 129, .external_lex_state = 3},
  [13890] = {.lex_state = 129, .external_lex_state = 3},
  [13891] = {.lex_state = 129, .external_lex_state = 3},
  [13892] = {.lex_state = 129, .external_lex_state = 3},
  [13893] = {.lex_state = 129, .external_lex_state = 3},
  [13894] = {.lex_state = 129, .external_lex_state = 3},
  [13895] = {.lex_state = 129, .external_lex_state = 3},
  [13896] = {.lex_state = 129, .external_lex_state = 3},
  [13897] = {.lex_state = 129, .external_lex_state = 3},
  [13898] = {.lex_state = 129, .external_lex_state = 3},
  [13899] = {.lex_state = 129, .external_lex_state = 3},
  [13900] = {.lex_state = 129, .external_lex_state = 3},
  [13901] = {.lex_state = 129, .external_lex_state = 3},
  [13902] = {.lex_state = 129, .external_lex_state = 3},
  [13903] = {.lex_state = 129, .external_lex_state = 3},
  [13904] = {.lex_state = 159, .external_lex_state = 5},
  [13905] = {.lex_state = 129, .external_lex_state = 3},
  [13906] = {.lex_state = 129, .external_lex_state = 3},
  [13907] = {.lex_state = 159, .external_lex_state = 5},
  [13908] = {.lex_state = 129, .external_lex_state = 3},
  [13909] = {.lex_state = 129, .external_lex_state = 3},
  [13910] = {.lex_state = 129, .external_lex_state = 3},
  [13911] = {.lex_state = 129, .external_lex_state = 3},
  [13912] = {.lex_state = 129, .external_lex_state = 3},
  [13913] = {.lex_state = 129, .external_lex_state = 3},
  [13914] = {.lex_state = 129, .external_lex_state = 3},
  [13915] = {.lex_state = 15, .external_lex_state = 3},
  [13916] = {.lex_state = 129, .external_lex_state = 3},
  [13917] = {.lex_state = 130, .external_lex_state = 3},
  [13918] = {.lex_state = 130, .external_lex_state = 3},
  [13919] = {.lex_state = 129, .external_lex_state = 3},
  [13920] = {.lex_state = 159, .external_lex_state = 5},
  [13921] = {.lex_state = 159, .external_lex_state = 5},
  [13922] = {.lex_state = 181, .external_lex_state = 3},
  [13923] = {.lex_state = 129, .external_lex_state = 3},
  [13924] = {.lex_state = 129, .external_lex_state = 3},
  [13925] = {.lex_state = 129, .external_lex_state = 3},
  [13926] = {.lex_state = 130, .external_lex_state = 3},
  [13927] = {.lex_state = 159, .external_lex_state = 5},
  [13928] = {.lex_state = 129, .external_lex_state = 3},
  [13929] = {.lex_state = 159, .external_lex_state = 5},
  [13930] = {.lex_state = 15, .external_lex_state = 3},
  [13931] = {.lex_state = 15, .external_lex_state = 3},
  [13932] = {.lex_state = 129, .external_lex_state = 3},
  [13933] = {.lex_state = 129, .external_lex_state = 3},
  [13934] = {.lex_state = 129, .external_lex_state = 3},
  [13935] = {.lex_state = 130, .external_lex_state = 3},
  [13936] = {.lex_state = 130, .external_lex_state = 3},
  [13937] = {.lex_state = 130, .external_lex_state = 3},
  [13938] = {.lex_state = 129, .external_lex_state = 3},
  [13939] = {.lex_state = 129, .external_lex_state = 3},
  [13940] = {.lex_state = 129, .external_lex_state = 3},
  [13941] = {.lex_state = 129, .external_lex_state = 3},
  [13942] = {.lex_state = 129, .external_lex_state = 3},
  [13943] = {.lex_state = 129, .external_lex_state = 3},
  [13944] = {.lex_state = 129, .external_lex_state = 3},
  [13945] = {.lex_state = 129, .external_lex_state = 3},
  [13946] = {.lex_state = 129, .external_lex_state = 3},
  [13947] = {.lex_state = 129, .external_lex_state = 3},
  [13948] = {.lex_state = 129, .external_lex_state = 3},
  [13949] = {.lex_state = 130, .external_lex_state = 3},
  [13950] = {.lex_state = 130, .external_lex_state = 3},
  [13951] = {.lex_state = 130, .external_lex_state = 3},
  [13952] = {.lex_state = 130, .external_lex_state = 3},
  [13953] = {.lex_state = 129, .external_lex_state = 3},
  [13954] = {.lex_state = 129, .external_lex_state = 3},
  [13955] = {.lex_state = 15, .external_lex_state = 3},
  [13956] = {.lex_state = 129, .external_lex_state = 3},
  [13957] = {.lex_state = 129, .external_lex_state = 3},
  [13958] = {.lex_state = 15, .external_lex_state = 3},
  [13959] = {.lex_state = 159, .external_lex_state = 5},
  [13960] = {.lex_state = 159, .external_lex_state = 5},
  [13961] = {.lex_state = 165, .external_lex_state = 3},
  [13962] = {.lex_state = 159, .external_lex_state = 5},
  [13963] = {.lex_state = 15, .external_lex_state = 3},
  [13964] = {.lex_state = 15, .external_lex_state = 3},
  [13965] = {.lex_state = 129, .external_lex_state = 3},
  [13966] = {.lex_state = 129, .external_lex_state = 3},
  [13967] = {.lex_state = 159, .external_lex_state = 5},
  [13968] = {.lex_state = 129, .external_lex_state = 3},
  [13969] = {.lex_state = 129, .external_lex_state = 3},
  [13970] = {.lex_state = 159, .external_lex_state = 5},
  [13971] = {.lex_state = 129, .external_lex_state = 3},
  [13972] = {.lex_state = 129, .external_lex_state = 3},
  [13973] = {.lex_state = 129, .external_lex_state = 3},
  [13974] = {.lex_state = 129, .external_lex_state = 3},
  [13975] = {.lex_state = 129, .external_lex_state = 3},
  [13976] = {.lex_state = 129, .external_lex_state = 3},
  [13977] = {.lex_state = 129, .external_lex_state = 3},
  [13978] = {.lex_state = 19, .external_lex_state = 3},
  [13979] = {.lex_state = 425, .external_lex_state = 3},
  [13980] = {.lex_state = 129, .external_lex_state = 3},
  [13981] = {.lex_state = 15, .external_lex_state = 3},
  [13982] = {.lex_state = 15, .external_lex_state = 3},
  [13983] = {.lex_state = 129, .external_lex_state = 3},
  [13984] = {.lex_state = 129, .external_lex_state = 3},
  [13985] = {.lex_state = 182, .external_lex_state = 3},
  [13986] = {.lex_state = 425, .external_lex_state = 3},
  [13987] = {.lex_state = 129, .external_lex_state = 3},
  [13988] = {.lex_state = 425, .external_lex_state = 3},
  [13989] = {.lex_state = 19, .external_lex_state = 3},
  [13990] = {.lex_state = 129, .external_lex_state = 3},
  [13991] = {.lex_state = 129, .external_lex_state = 3},
  [13992] = {.lex_state = 15, .external_lex_state = 3},
  [13993] = {.lex_state = 425, .external_lex_state = 3},
  [13994] = {.lex_state = 15, .external_lex_state = 3},
  [13995] = {.lex_state = 129, .external_lex_state = 3},
  [13996] = {.lex_state = 15, .external_lex_state = 3},
  [13997] = {.lex_state = 203, .external_lex_state = 3},
  [13998] = {.lex_state = 182, .external_lex_state = 3},
  [13999] = {.lex_state = 129, .external_lex_state = 3},
  [14000] = {.lex_state = 129, .external_lex_state = 3},
  [14001] = {.lex_state = 19, .external_lex_state = 3},
  [14002] = {.lex_state = 129, .external_lex_state = 3},
  [14003] = {.lex_state = 229, .external_lex_state = 3},
  [14004] = {.lex_state = 229, .external_lex_state = 3},
  [14005] = {.lex_state = 129, .external_lex_state = 3},
  [14006] = {.lex_state = 182, .external_lex_state = 3},
  [14007] = {.lex_state = 129, .external_lex_state = 3},
  [14008] = {.lex_state = 15, .external_lex_state = 3},
  [14009] = {.lex_state = 8, .external_lex_state = 3},
  [14010] = {.lex_state = 129, .external_lex_state = 3},
  [14011] = {.lex_state = 182, .external_lex_state = 3},
  [14012] = {.lex_state = 190, .external_lex_state = 3},
  [14013] = {.lex_state = 15, .external_lex_state = 3},
  [14014] = {.lex_state = 182, .external_lex_state = 3},
  [14015] = {.lex_state = 15, .external_lex_state = 3},
  [14016] = {.lex_state = 15, .external_lex_state = 3},
  [14017] = {.lex_state = 19, .external_lex_state = 3},
  [14018] = {.lex_state = 129, .external_lex_state = 3},
  [14019] = {.lex_state = 15, .external_lex_state = 3},
  [14020] = {.lex_state = 129, .external_lex_state = 3},
  [14021] = {.lex_state = 182, .external_lex_state = 3},
  [14022] = {.lex_state = 182, .external_lex_state = 3},
  [14023] = {.lex_state = 182, .external_lex_state = 3},
  [14024] = {.lex_state = 129, .external_lex_state = 3},
  [14025] = {.lex_state = 129, .external_lex_state = 3},
  [14026] = {.lex_state = 129, .external_lex_state = 3},
  [14027] = {.lex_state = 129, .external_lex_state = 3},
  [14028] = {.lex_state = 15, .external_lex_state = 3},
  [14029] = {.lex_state = 15, .external_lex_state = 3},
  [14030] = {.lex_state = 8, .external_lex_state = 3},
  [14031] = {.lex_state = 425, .external_lex_state = 3},
  [14032] = {.lex_state = 129, .external_lex_state = 3},
  [14033] = {.lex_state = 229, .external_lex_state = 3},
  [14034] = {.lex_state = 19, .external_lex_state = 3},
  [14035] = {.lex_state = 412, .external_lex_state = 3},
  [14036] = {.lex_state = 15, .external_lex_state = 3},
  [14037] = {.lex_state = 15, .external_lex_state = 3},
  [14038] = {.lex_state = 129, .external_lex_state = 3},
  [14039] = {.lex_state = 15, .external_lex_state = 3},
  [14040] = {.lex_state = 129, .external_lex_state = 3},
  [14041] = {.lex_state = 15, .external_lex_state = 3},
  [14042] = {.lex_state = 182, .external_lex_state = 3},
  [14043] = {.lex_state = 129, .external_lex_state = 3},
  [14044] = {.lex_state = 425, .external_lex_state = 3},
  [14045] = {.lex_state = 182, .external_lex_state = 3},
  [14046] = {.lex_state = 129, .external_lex_state = 3},
  [14047] = {.lex_state = 182, .external_lex_state = 3},
  [14048] = {.lex_state = 129, .external_lex_state = 3},
  [14049] = {.lex_state = 15, .external_lex_state = 3},
  [14050] = {.lex_state = 129, .external_lex_state = 3},
  [14051] = {.lex_state = 182, .external_lex_state = 3},
  [14052] = {.lex_state = 129, .external_lex_state = 3},
  [14053] = {.lex_state = 15, .external_lex_state = 3},
  [14054] = {.lex_state = 129, .external_lex_state = 3},
  [14055] = {.lex_state = 129, .external_lex_state = 3},
  [14056] = {.lex_state = 129, .external_lex_state = 3},
  [14057] = {.lex_state = 129, .external_lex_state = 3},
  [14058] = {.lex_state = 129, .external_lex_state = 3},
  [14059] = {.lex_state = 129, .external_lex_state = 3},
  [14060] = {.lex_state = 129, .external_lex_state = 3},
  [14061] = {.lex_state = 15, .external_lex_state = 3},
  [14062] = {.lex_state = 425, .external_lex_state = 3},
  [14063] = {.lex_state = 129, .external_lex_state = 3},
  [14064] = {.lex_state = 129, .external_lex_state = 3},
  [14065] = {.lex_state = 129, .external_lex_state = 3},
  [14066] = {.lex_state = 15, .external_lex_state = 3},
  [14067] = {.lex_state = 19, .external_lex_state = 3},
  [14068] = {.lex_state = 182, .external_lex_state = 3},
  [14069] = {.lex_state = 425, .external_lex_state = 3},
  [14070] = {.lex_state = 15, .external_lex_state = 3},
  [14071] = {.lex_state = 425, .external_lex_state = 3},
  [14072] = {.lex_state = 182, .external_lex_state = 3},
  [14073] = {.lex_state = 15, .external_lex_state = 3},
  [14074] = {.lex_state = 182, .external_lex_state = 3},
  [14075] = {.lex_state = 15, .external_lex_state = 3},
  [14076] = {.lex_state = 129, .external_lex_state = 3},
  [14077] = {.lex_state = 15, .external_lex_state = 3},
  [14078] = {.lex_state = 182, .external_lex_state = 3},
  [14079] = {.lex_state = 129, .external_lex_state = 3},
  [14080] = {.lex_state = 15, .external_lex_state = 3},
  [14081] = {.lex_state = 129, .external_lex_state = 3},
  [14082] = {.lex_state = 15, .external_lex_state = 3},
  [14083] = {.lex_state = 425, .external_lex_state = 3},
  [14084] = {.lex_state = 182, .external_lex_state = 3},
  [14085] = {.lex_state = 182, .external_lex_state = 3},
  [14086] = {.lex_state = 182, .external_lex_state = 3},
  [14087] = {.lex_state = 182, .external_lex_state = 3},
  [14088] = {.lex_state = 182, .external_lex_state = 3},
  [14089] = {.lex_state = 182, .external_lex_state = 3},
  [14090] = {.lex_state = 182, .external_lex_state = 3},
  [14091] = {.lex_state = 190, .external_lex_state = 3},
  [14092] = {.lex_state = 129, .external_lex_state = 3},
  [14093] = {.lex_state = 15, .external_lex_state = 3},
  [14094] = {.lex_state = 159, .external_lex_state = 5},
  [14095] = {.lex_state = 15, .external_lex_state = 3},
  [14096] = {.lex_state = 129, .external_lex_state = 3},
  [14097] = {.lex_state = 425, .external_lex_state = 3},
  [14098] = {.lex_state = 425, .external_lex_state = 3},
  [14099] = {.lex_state = 412, .external_lex_state = 3},
  [14100] = {.lex_state = 15, .external_lex_state = 3},
  [14101] = {.lex_state = 129, .external_lex_state = 3},
  [14102] = {.lex_state = 15, .external_lex_state = 3},
  [14103] = {.lex_state = 425, .external_lex_state = 3},
  [14104] = {.lex_state = 425, .external_lex_state = 3},
  [14105] = {.lex_state = 425, .external_lex_state = 3},
  [14106] = {.lex_state = 425, .external_lex_state = 3},
  [14107] = {.lex_state = 425, .external_lex_state = 3},
  [14108] = {.lex_state = 425, .external_lex_state = 3},
  [14109] = {.lex_state = 8, .external_lex_state = 3},
  [14110] = {.lex_state = 425, .external_lex_state = 3},
  [14111] = {.lex_state = 129, .external_lex_state = 3},
  [14112] = {.lex_state = 15, .external_lex_state = 3},
  [14113] = {.lex_state = 129, .external_lex_state = 3},
  [14114] = {.lex_state = 15, .external_lex_state = 3},
  [14115] = {.lex_state = 15, .external_lex_state = 3},
  [14116] = {.lex_state = 129, .external_lex_state = 3},
  [14117] = {.lex_state = 216, .external_lex_state = 3},
  [14118] = {.lex_state = 129, .external_lex_state = 3},
  [14119] = {.lex_state = 15, .external_lex_state = 3},
  [14120] = {.lex_state = 412, .external_lex_state = 3},
  [14121] = {.lex_state = 425, .external_lex_state = 3},
  [14122] = {.lex_state = 131, .external_lex_state = 3},
  [14123] = {.lex_state = 159, .external_lex_state = 5},
  [14124] = {.lex_state = 129, .external_lex_state = 3},
  [14125] = {.lex_state = 15, .external_lex_state = 3},
  [14126] = {.lex_state = 8, .external_lex_state = 3},
  [14127] = {.lex_state = 129, .external_lex_state = 3},
  [14128] = {.lex_state = 129, .external_lex_state = 3},
  [14129] = {.lex_state = 129, .external_lex_state = 3},
  [14130] = {.lex_state = 15, .external_lex_state = 3},
  [14131] = {.lex_state = 15, .external_lex_state = 3},
  [14132] = {.lex_state = 129, .external_lex_state = 3},
  [14133] = {.lex_state = 129, .external_lex_state = 3},
  [14134] = {.lex_state = 425, .external_lex_state = 3},
  [14135] = {.lex_state = 129, .external_lex_state = 3},
  [14136] = {.lex_state = 129, .external_lex_state = 3},
  [14137] = {.lex_state = 203, .external_lex_state = 3},
  [14138] = {.lex_state = 15, .external_lex_state = 3},
  [14139] = {.lex_state = 15, .external_lex_state = 3},
  [14140] = {.lex_state = 229, .external_lex_state = 3},
  [14141] = {.lex_state = 19, .external_lex_state = 3},
  [14142] = {.lex_state = 190, .external_lex_state = 3},
  [14143] = {.lex_state = 229, .external_lex_state = 3},
  [14144] = {.lex_state = 229, .external_lex_state = 3},
  [14145] = {.lex_state = 129, .external_lex_state = 3},
  [14146] = {.lex_state = 129, .external_lex_state = 3},
  [14147] = {.lex_state = 15, .external_lex_state = 3},
  [14148] = {.lex_state = 129, .external_lex_state = 3},
  [14149] = {.lex_state = 182, .external_lex_state = 3},
  [14150] = {.lex_state = 15, .external_lex_state = 3},
  [14151] = {.lex_state = 182, .external_lex_state = 3},
  [14152] = {.lex_state = 425, .external_lex_state = 3},
  [14153] = {.lex_state = 182, .external_lex_state = 3},
  [14154] = {.lex_state = 182, .external_lex_state = 3},
  [14155] = {.lex_state = 129, .external_lex_state = 3},
  [14156] = {.lex_state = 15, .external_lex_state = 3},
  [14157] = {.lex_state = 129, .external_lex_state = 3},
  [14158] = {.lex_state = 425, .external_lex_state = 3},
  [14159] = {.lex_state = 425, .external_lex_state = 3},
  [14160] = {.lex_state = 182, .external_lex_state = 3},
  [14161] = {.lex_state = 229, .external_lex_state = 3},
  [14162] = {.lex_state = 129, .external_lex_state = 3},
  [14163] = {.lex_state = 15, .external_lex_state = 3},
  [14164] = {.lex_state = 15, .external_lex_state = 3},
  [14165] = {.lex_state = 182, .external_lex_state = 3},
  [14166] = {.lex_state = 129, .external_lex_state = 3},
  [14167] = {.lex_state = 182, .external_lex_state = 3},
  [14168] = {.lex_state = 15, .external_lex_state = 3},
  [14169] = {.lex_state = 15, .external_lex_state = 3},
  [14170] = {.lex_state = 425, .external_lex_state = 3},
  [14171] = {.lex_state = 182, .external_lex_state = 3},
  [14172] = {.lex_state = 15, .external_lex_state = 3},
  [14173] = {.lex_state = 129, .external_lex_state = 3},
  [14174] = {.lex_state = 15, .external_lex_state = 3},
  [14175] = {.lex_state = 15, .external_lex_state = 3},
  [14176] = {.lex_state = 129, .external_lex_state = 3},
  [14177] = {.lex_state = 425, .external_lex_state = 3},
  [14178] = {.lex_state = 229, .external_lex_state = 3},
  [14179] = {.lex_state = 15, .external_lex_state = 3},
  [14180] = {.lex_state = 15, .external_lex_state = 3},
  [14181] = {.lex_state = 129, .external_lex_state = 3},
  [14182] = {.lex_state = 15, .external_lex_state = 3},
  [14183] = {.lex_state = 425, .external_lex_state = 3},
  [14184] = {.lex_state = 425, .external_lex_state = 3},
  [14185] = {.lex_state = 425, .external_lex_state = 3},
  [14186] = {.lex_state = 425, .external_lex_state = 3},
  [14187] = {.lex_state = 425, .external_lex_state = 3},
  [14188] = {.lex_state = 425, .external_lex_state = 3},
  [14189] = {.lex_state = 425, .external_lex_state = 3},
  [14190] = {.lex_state = 425, .external_lex_state = 3},
  [14191] = {.lex_state = 425, .external_lex_state = 3},
  [14192] = {.lex_state = 425, .external_lex_state = 3},
  [14193] = {.lex_state = 425, .external_lex_state = 3},
  [14194] = {.lex_state = 425, .external_lex_state = 3},
  [14195] = {.lex_state = 425, .external_lex_state = 3},
  [14196] = {.lex_state = 129, .external_lex_state = 3},
  [14197] = {.lex_state = 8, .external_lex_state = 3},
  [14198] = {.lex_state = 8, .external_lex_state = 3},
  [14199] = {.lex_state = 8, .external_lex_state = 3},
  [14200] = {.lex_state = 19, .external_lex_state = 3},
  [14201] = {.lex_state = 8, .external_lex_state = 3},
  [14202] = {.lex_state = 412, .external_lex_state = 3},
  [14203] = {.lex_state = 425, .external_lex_state = 3},
  [14204] = {.lex_state = 412, .external_lex_state = 3},
  [14205] = {.lex_state = 412, .external_lex_state = 3},
  [14206] = {.lex_state = 425, .external_lex_state = 3},
  [14207] = {.lex_state = 165, .external_lex_state = 3},
  [14208] = {.lex_state = 15, .external_lex_state = 3},
  [14209] = {.lex_state = 412, .external_lex_state = 3},
  [14210] = {.lex_state = 425, .external_lex_state = 3},
  [14211] = {.lex_state = 8, .external_lex_state = 3},
  [14212] = {.lex_state = 190, .external_lex_state = 3},
  [14213] = {.lex_state = 8, .external_lex_state = 3},
  [14214] = {.lex_state = 19, .external_lex_state = 3},
  [14215] = {.lex_state = 8, .external_lex_state = 3},
  [14216] = {.lex_state = 165, .external_lex_state = 3},
  [14217] = {.lex_state = 19, .external_lex_state = 3},
  [14218] = {.lex_state = 8, .external_lex_state = 3},
  [14219] = {.lex_state = 425, .external_lex_state = 3},
  [14220] = {.lex_state = 165, .external_lex_state = 3},
  [14221] = {.lex_state = 8, .external_lex_state = 3},
  [14222] = {.lex_state = 8, .external_lex_state = 3},
  [14223] = {.lex_state = 8, .external_lex_state = 3},
  [14224] = {.lex_state = 8, .external_lex_state = 3},
  [14225] = {.lex_state = 190, .external_lex_state = 3},
  [14226] = {.lex_state = 179, .external_lex_state = 3},
  [14227] = {.lex_state = 186, .external_lex_state = 3},
  [14228] = {.lex_state = 179, .external_lex_state = 3},
  [14229] = {.lex_state = 190, .external_lex_state = 3},
  [14230] = {.lex_state = 190, .external_lex_state = 3},
  [14231] = {.lex_state = 425, .external_lex_state = 3},
  [14232] = {.lex_state = 159, .external_lex_state = 5},
  [14233] = {.lex_state = 190, .external_lex_state = 3},
  [14234] = {.lex_state = 190, .external_lex_state = 3},
  [14235] = {.lex_state = 182, .external_lex_state = 3},
  [14236] = {.lex_state = 179, .external_lex_state = 3},
  [14237] = {.lex_state = 19, .external_lex_state = 3},
  [14238] = {.lex_state = 8, .external_lex_state = 3},
  [14239] = {.lex_state = 190, .external_lex_state = 3},
  [14240] = {.lex_state = 8, .external_lex_state = 3},
  [14241] = {.lex_state = 190, .external_lex_state = 3},
  [14242] = {.lex_state = 190, .external_lex_state = 3},
  [14243] = {.lex_state = 7, .external_lex_state = 3},
  [14244] = {.lex_state = 425, .external_lex_state = 3},
  [14245] = {.lex_state = 204, .external_lex_state = 3},
  [14246] = {.lex_state = 190, .external_lex_state = 3},
  [14247] = {.lex_state = 190, .external_lex_state = 3},
  [14248] = {.lex_state = 204, .external_lex_state = 3},
  [14249] = {.lex_state = 190, .external_lex_state = 3},
  [14250] = {.lex_state = 19, .external_lex_state = 3},
  [14251] = {.lex_state = 425, .external_lex_state = 3},
  [14252] = {.lex_state = 204, .external_lex_state = 3},
  [14253] = {.lex_state = 8, .external_lex_state = 3},
  [14254] = {.lex_state = 190, .external_lex_state = 3},
  [14255] = {.lex_state = 179, .external_lex_state = 3},
  [14256] = {.lex_state = 190, .external_lex_state = 3},
  [14257] = {.lex_state = 179, .external_lex_state = 3},
  [14258] = {.lex_state = 190, .external_lex_state = 3},
  [14259] = {.lex_state = 7, .external_lex_state = 3},
  [14260] = {.lex_state = 132, .external_lex_state = 3},
  [14261] = {.lex_state = 169, .external_lex_state = 3},
  [14262] = {.lex_state = 190, .external_lex_state = 3},
  [14263] = {.lex_state = 132, .external_lex_state = 3},
  [14264] = {.lex_state = 190, .external_lex_state = 3},
  [14265] = {.lex_state = 179, .external_lex_state = 3},
  [14266] = {.lex_state = 204, .external_lex_state = 3},
  [14267] = {.lex_state = 190, .external_lex_state = 3},
  [14268] = {.lex_state = 190, .external_lex_state = 3},
  [14269] = {.lex_state = 190, .external_lex_state = 3},
  [14270] = {.lex_state = 190, .external_lex_state = 3},
  [14271] = {.lex_state = 19, .external_lex_state = 3},
  [14272] = {.lex_state = 190, .external_lex_state = 3},
  [14273] = {.lex_state = 7, .external_lex_state = 3},
  [14274] = {.lex_state = 190, .external_lex_state = 3},
  [14275] = {.lex_state = 19, .external_lex_state = 3},
  [14276] = {.lex_state = 8, .external_lex_state = 3},
  [14277] = {.lex_state = 425, .external_lex_state = 3},
  [14278] = {.lex_state = 204, .external_lex_state = 3},
  [14279] = {.lex_state = 204, .external_lex_state = 3},
  [14280] = {.lex_state = 204, .external_lex_state = 3},
  [14281] = {.lex_state = 190, .external_lex_state = 3},
  [14282] = {.lex_state = 186, .external_lex_state = 3},
  [14283] = {.lex_state = 204, .external_lex_state = 3},
  [14284] = {.lex_state = 186, .external_lex_state = 3},
  [14285] = {.lex_state = 8, .external_lex_state = 3},
  [14286] = {.lex_state = 190, .external_lex_state = 3},
  [14287] = {.lex_state = 172, .external_lex_state = 3},
  [14288] = {.lex_state = 190, .external_lex_state = 3},
  [14289] = {.lex_state = 190, .external_lex_state = 3},
  [14290] = {.lex_state = 19, .external_lex_state = 3},
  [14291] = {.lex_state = 8, .external_lex_state = 3},
  [14292] = {.lex_state = 132, .external_lex_state = 3},
  [14293] = {.lex_state = 190, .external_lex_state = 3},
  [14294] = {.lex_state = 190, .external_lex_state = 3},
  [14295] = {.lex_state = 190, .external_lex_state = 3},
  [14296] = {.lex_state = 159, .external_lex_state = 5},
  [14297] = {.lex_state = 190, .external_lex_state = 3},
  [14298] = {.lex_state = 190, .external_lex_state = 3},
  [14299] = {.lex_state = 190, .external_lex_state = 3},
  [14300] = {.lex_state = 425, .external_lex_state = 3},
  [14301] = {.lex_state = 425, .external_lex_state = 3},
  [14302] = {.lex_state = 190, .external_lex_state = 3},
  [14303] = {.lex_state = 382, .external_lex_state = 3},
  [14304] = {.lex_state = 382, .external_lex_state = 3},
  [14305] = {.lex_state = 382, .external_lex_state = 3},
  [14306] = {.lex_state = 412, .external_lex_state = 3},
  [14307] = {.lex_state = 382, .external_lex_state = 3},
  [14308] = {.lex_state = 412, .external_lex_state = 3},
  [14309] = {.lex_state = 15, .external_lex_state = 3},
  [14310] = {.lex_state = 165, .external_lex_state = 3},
  [14311] = {.lex_state = 382, .external_lex_state = 3},
  [14312] = {.lex_state = 382, .external_lex_state = 3},
  [14313] = {.lex_state = 382, .external_lex_state = 3},
  [14314] = {.lex_state = 382, .external_lex_state = 3},
  [14315] = {.lex_state = 412, .external_lex_state = 3},
  [14316] = {.lex_state = 412, .external_lex_state = 3},
  [14317] = {.lex_state = 382, .external_lex_state = 3},
  [14318] = {.lex_state = 15, .external_lex_state = 3},
  [14319] = {.lex_state = 382, .external_lex_state = 3},
  [14320] = {.lex_state = 382, .external_lex_state = 3},
  [14321] = {.lex_state = 382, .external_lex_state = 3},
  [14322] = {.lex_state = 15, .external_lex_state = 3},
  [14323] = {.lex_state = 412, .external_lex_state = 3},
  [14324] = {.lex_state = 382, .external_lex_state = 3},
  [14325] = {.lex_state = 382, .external_lex_state = 3},
  [14326] = {.lex_state = 412, .external_lex_state = 3},
  [14327] = {.lex_state = 382, .external_lex_state = 3},
  [14328] = {.lex_state = 412, .external_lex_state = 3},
  [14329] = {.lex_state = 412, .external_lex_state = 3},
  [14330] = {.lex_state = 412, .external_lex_state = 3},
  [14331] = {.lex_state = 412, .external_lex_state = 3},
  [14332] = {.lex_state = 412, .external_lex_state = 3},
  [14333] = {.lex_state = 412, .external_lex_state = 3},
  [14334] = {.lex_state = 412, .external_lex_state = 3},
  [14335] = {.lex_state = 412, .external_lex_state = 3},
  [14336] = {.lex_state = 412, .external_lex_state = 3},
  [14337] = {.lex_state = 382, .external_lex_state = 3},
  [14338] = {.lex_state = 382, .external_lex_state = 3},
  [14339] = {.lex_state = 412, .external_lex_state = 3},
  [14340] = {.lex_state = 412, .external_lex_state = 3},
  [14341] = {.lex_state = 412, .external_lex_state = 3},
  [14342] = {.lex_state = 382, .external_lex_state = 3},
  [14343] = {.lex_state = 204, .external_lex_state = 3},
  [14344] = {.lex_state = 15, .external_lex_state = 3},
  [14345] = {.lex_state = 382, .external_lex_state = 3},
  [14346] = {.lex_state = 412, .external_lex_state = 3},
  [14347] = {.lex_state = 412, .external_lex_state = 3},
  [14348] = {.lex_state = 382, .external_lex_state = 3},
  [14349] = {.lex_state = 412, .external_lex_state = 3},
  [14350] = {.lex_state = 382, .external_lex_state = 3},
  [14351] = {.lex_state = 204, .external_lex_state = 3},
  [14352] = {.lex_state = 382, .external_lex_state = 3},
  [14353] = {.lex_state = 412, .external_lex_state = 3},
  [14354] = {.lex_state = 382, .external_lex_state = 3},
  [14355] = {.lex_state = 412, .external_lex_state = 3},
  [14356] = {.lex_state = 382, .external_lex_state = 3},
  [14357] = {.lex_state = 412, .external_lex_state = 3},
  [14358] = {.lex_state = 412, .external_lex_state = 3},
  [14359] = {.lex_state = 203, .external_lex_state = 3},
  [14360] = {.lex_state = 412, .external_lex_state = 3},
  [14361] = {.lex_state = 412, .external_lex_state = 3},
  [14362] = {.lex_state = 412, .external_lex_state = 3},
  [14363] = {.lex_state = 382, .external_lex_state = 3},
  [14364] = {.lex_state = 412, .external_lex_state = 3},
  [14365] = {.lex_state = 382, .external_lex_state = 3},
  [14366] = {.lex_state = 412, .external_lex_state = 3},
  [14367] = {.lex_state = 412, .external_lex_state = 3},
  [14368] = {.lex_state = 203, .external_lex_state = 3},
  [14369] = {.lex_state = 412, .external_lex_state = 3},
  [14370] = {.lex_state = 382, .external_lex_state = 3},
  [14371] = {.lex_state = 382, .external_lex_state = 3},
  [14372] = {.lex_state = 412, .external_lex_state = 3},
  [14373] = {.lex_state = 382, .external_lex_state = 3},
  [14374] = {.lex_state = 412, .external_lex_state = 3},
  [14375] = {.lex_state = 412, .external_lex_state = 3},
  [14376] = {.lex_state = 382, .external_lex_state = 3},
  [14377] = {.lex_state = 15, .external_lex_state = 3},
  [14378] = {.lex_state = 412, .external_lex_state = 3},
  [14379] = {.lex_state = 204, .external_lex_state = 3},
  [14380] = {.lex_state = 382, .external_lex_state = 3},
  [14381] = {.lex_state = 412, .external_lex_state = 3},
  [14382] = {.lex_state = 15, .external_lex_state = 3},
  [14383] = {.lex_state = 382, .external_lex_state = 3},
  [14384] = {.lex_state = 382, .external_lex_state = 3},
  [14385] = {.lex_state = 412, .external_lex_state = 3},
  [14386] = {.lex_state = 412, .external_lex_state = 3},
  [14387] = {.lex_state = 204, .external_lex_state = 3},
  [14388] = {.lex_state = 412, .external_lex_state = 3},
  [14389] = {.lex_state = 412, .external_lex_state = 3},
  [14390] = {.lex_state = 382, .external_lex_state = 3},
  [14391] = {.lex_state = 382, .external_lex_state = 3},
  [14392] = {.lex_state = 412, .external_lex_state = 3},
  [14393] = {.lex_state = 382, .external_lex_state = 3},
  [14394] = {.lex_state = 412, .external_lex_state = 3},
  [14395] = {.lex_state = 382, .external_lex_state = 3},
  [14396] = {.lex_state = 412, .external_lex_state = 3},
  [14397] = {.lex_state = 15, .external_lex_state = 3},
  [14398] = {.lex_state = 382, .external_lex_state = 3},
  [14399] = {.lex_state = 204, .external_lex_state = 3},
  [14400] = {.lex_state = 382, .external_lex_state = 3},
  [14401] = {.lex_state = 382, .external_lex_state = 3},
  [14402] = {.lex_state = 182, .external_lex_state = 3},
  [14403] = {.lex_state = 412, .external_lex_state = 3},
  [14404] = {.lex_state = 382, .external_lex_state = 3},
  [14405] = {.lex_state = 204, .external_lex_state = 3},
  [14406] = {.lex_state = 382, .external_lex_state = 3},
  [14407] = {.lex_state = 382, .external_lex_state = 3},
  [14408] = {.lex_state = 382, .external_lex_state = 3},
  [14409] = {.lex_state = 412, .external_lex_state = 3},
  [14410] = {.lex_state = 382, .external_lex_state = 3},
  [14411] = {.lex_state = 412, .external_lex_state = 3},
  [14412] = {.lex_state = 382, .external_lex_state = 3},
  [14413] = {.lex_state = 382, .external_lex_state = 3},
  [14414] = {.lex_state = 15, .external_lex_state = 3},
  [14415] = {.lex_state = 15, .external_lex_state = 3},
  [14416] = {.lex_state = 15, .external_lex_state = 3},
  [14417] = {.lex_state = 382, .external_lex_state = 3},
  [14418] = {.lex_state = 412, .external_lex_state = 3},
  [14419] = {.lex_state = 412, .external_lex_state = 3},
  [14420] = {.lex_state = 412, .external_lex_state = 3},
  [14421] = {.lex_state = 382, .external_lex_state = 3},
  [14422] = {.lex_state = 382, .external_lex_state = 3},
  [14423] = {.lex_state = 382, .external_lex_state = 3},
  [14424] = {.lex_state = 15, .external_lex_state = 3},
  [14425] = {.lex_state = 412, .external_lex_state = 3},
  [14426] = {.lex_state = 412, .external_lex_state = 3},
  [14427] = {.lex_state = 412, .external_lex_state = 3},
  [14428] = {.lex_state = 382, .external_lex_state = 3},
  [14429] = {.lex_state = 412, .external_lex_state = 3},
  [14430] = {.lex_state = 412, .external_lex_state = 3},
  [14431] = {.lex_state = 15, .external_lex_state = 3},
  [14432] = {.lex_state = 382, .external_lex_state = 3},
  [14433] = {.lex_state = 382, .external_lex_state = 3},
  [14434] = {.lex_state = 15, .external_lex_state = 3},
  [14435] = {.lex_state = 15, .external_lex_state = 3},
  [14436] = {.lex_state = 15, .external_lex_state = 3},
  [14437] = {.lex_state = 412, .external_lex_state = 3},
  [14438] = {.lex_state = 382, .external_lex_state = 3},
  [14439] = {.lex_state = 382, .external_lex_state = 3},
  [14440] = {.lex_state = 382, .external_lex_state = 3},
  [14441] = {.lex_state = 412, .external_lex_state = 3},
  [14442] = {.lex_state = 412, .external_lex_state = 3},
  [14443] = {.lex_state = 412, .external_lex_state = 3},
  [14444] = {.lex_state = 412, .external_lex_state = 3},
  [14445] = {.lex_state = 412, .external_lex_state = 3},
  [14446] = {.lex_state = 15, .external_lex_state = 3},
  [14447] = {.lex_state = 15, .external_lex_state = 3},
  [14448] = {.lex_state = 382, .external_lex_state = 3},
  [14449] = {.lex_state = 15, .external_lex_state = 3},
  [14450] = {.lex_state = 382, .external_lex_state = 3},
  [14451] = {.lex_state = 412, .external_lex_state = 3},
  [14452] = {.lex_state = 382, .external_lex_state = 3},
  [14453] = {.lex_state = 412, .external_lex_state = 3},
  [14454] = {.lex_state = 412, .external_lex_state = 3},
  [14455] = {.lex_state = 412, .external_lex_state = 3},
  [14456] = {.lex_state = 15, .external_lex_state = 3},
  [14457] = {.lex_state = 412, .external_lex_state = 3},
  [14458] = {.lex_state = 382, .external_lex_state = 3},
  [14459] = {.lex_state = 382, .external_lex_state = 3},
  [14460] = {.lex_state = 412, .external_lex_state = 3},
  [14461] = {.lex_state = 412, .external_lex_state = 3},
  [14462] = {.lex_state = 204, .external_lex_state = 3},
  [14463] = {.lex_state = 382, .external_lex_state = 3},
  [14464] = {.lex_state = 15, .external_lex_state = 3},
  [14465] = {.lex_state = 382, .external_lex_state = 3},
  [14466] = {.lex_state = 412, .external_lex_state = 3},
  [14467] = {.lex_state = 412, .external_lex_state = 3},
  [14468] = {.lex_state = 382, .external_lex_state = 3},
  [14469] = {.lex_state = 412, .external_lex_state = 3},
  [14470] = {.lex_state = 382, .external_lex_state = 3},
  [14471] = {.lex_state = 382, .external_lex_state = 3},
  [14472] = {.lex_state = 186, .external_lex_state = 3},
  [14473] = {.lex_state = 382, .external_lex_state = 3},
  [14474] = {.lex_state = 165, .external_lex_state = 3},
  [14475] = {.lex_state = 15, .external_lex_state = 3},
  [14476] = {.lex_state = 382, .external_lex_state = 3},
  [14477] = {.lex_state = 382, .external_lex_state = 3},
  [14478] = {.lex_state = 382, .external_lex_state = 3},
  [14479] = {.lex_state = 382, .external_lex_state = 3},
  [14480] = {.lex_state = 382, .external_lex_state = 3},
  [14481] = {.lex_state = 382, .external_lex_state = 3},
  [14482] = {.lex_state = 15, .external_lex_state = 3},
  [14483] = {.lex_state = 412, .external_lex_state = 3},
  [14484] = {.lex_state = 15, .external_lex_state = 3},
  [14485] = {.lex_state = 412, .external_lex_state = 3},
  [14486] = {.lex_state = 382, .external_lex_state = 3},
  [14487] = {.lex_state = 15, .external_lex_state = 3},
  [14488] = {.lex_state = 15, .external_lex_state = 3},
  [14489] = {.lex_state = 190, .external_lex_state = 3},
  [14490] = {.lex_state = 15, .external_lex_state = 3},
  [14491] = {.lex_state = 382, .external_lex_state = 3},
  [14492] = {.lex_state = 412, .external_lex_state = 3},
  [14493] = {.lex_state = 382, .external_lex_state = 3},
  [14494] = {.lex_state = 382, .external_lex_state = 3},
  [14495] = {.lex_state = 382, .external_lex_state = 3},
  [14496] = {.lex_state = 382, .external_lex_state = 3},
  [14497] = {.lex_state = 382, .external_lex_state = 3},
  [14498] = {.lex_state = 382, .external_lex_state = 3},
  [14499] = {.lex_state = 204, .external_lex_state = 3},
  [14500] = {.lex_state = 382, .external_lex_state = 3},
  [14501] = {.lex_state = 382, .external_lex_state = 3},
  [14502] = {.lex_state = 382, .external_lex_state = 3},
  [14503] = {.lex_state = 203, .external_lex_state = 3},
  [14504] = {.lex_state = 412, .external_lex_state = 3},
  [14505] = {.lex_state = 382, .external_lex_state = 3},
  [14506] = {.lex_state = 382, .external_lex_state = 3},
  [14507] = {.lex_state = 15, .external_lex_state = 3},
  [14508] = {.lex_state = 382, .external_lex_state = 3},
  [14509] = {.lex_state = 15, .external_lex_state = 3},
  [14510] = {.lex_state = 382, .external_lex_state = 3},
  [14511] = {.lex_state = 412, .external_lex_state = 3},
  [14512] = {.lex_state = 382, .external_lex_state = 3},
  [14513] = {.lex_state = 382, .external_lex_state = 3},
  [14514] = {.lex_state = 190, .external_lex_state = 3},
  [14515] = {.lex_state = 382, .external_lex_state = 3},
  [14516] = {.lex_state = 15, .external_lex_state = 3},
  [14517] = {.lex_state = 382, .external_lex_state = 3},
  [14518] = {.lex_state = 382, .external_lex_state = 3},
  [14519] = {.lex_state = 382, .external_lex_state = 3},
  [14520] = {.lex_state = 15, .external_lex_state = 3},
  [14521] = {.lex_state = 382, .external_lex_state = 3},
  [14522] = {.lex_state = 15, .external_lex_state = 3},
  [14523] = {.lex_state = 412, .external_lex_state = 3},
  [14524] = {.lex_state = 382, .external_lex_state = 3},
  [14525] = {.lex_state = 412, .external_lex_state = 3},
  [14526] = {.lex_state = 15, .external_lex_state = 3},
  [14527] = {.lex_state = 15, .external_lex_state = 3},
  [14528] = {.lex_state = 382, .external_lex_state = 3},
  [14529] = {.lex_state = 382, .external_lex_state = 3},
  [14530] = {.lex_state = 382, .external_lex_state = 3},
  [14531] = {.lex_state = 382, .external_lex_state = 3},
  [14532] = {.lex_state = 382, .external_lex_state = 3},
  [14533] = {.lex_state = 412, .external_lex_state = 3},
  [14534] = {.lex_state = 15, .external_lex_state = 3},
  [14535] = {.lex_state = 412, .external_lex_state = 3},
  [14536] = {.lex_state = 186, .external_lex_state = 3},
  [14537] = {.lex_state = 412, .external_lex_state = 3},
  [14538] = {.lex_state = 412, .external_lex_state = 3},
  [14539] = {.lex_state = 186, .external_lex_state = 3},
  [14540] = {.lex_state = 186, .external_lex_state = 3},
  [14541] = {.lex_state = 186, .external_lex_state = 3},
  [14542] = {.lex_state = 412, .external_lex_state = 3},
  [14543] = {.lex_state = 182, .external_lex_state = 3},
  [14544] = {.lex_state = 186, .external_lex_state = 3},
  [14545] = {.lex_state = 186, .external_lex_state = 3},
  [14546] = {.lex_state = 186, .external_lex_state = 3},
  [14547] = {.lex_state = 186, .external_lex_state = 3},
  [14548] = {.lex_state = 412, .external_lex_state = 3},
  [14549] = {.lex_state = 186, .external_lex_state = 3},
  [14550] = {.lex_state = 186, .external_lex_state = 3},
  [14551] = {.lex_state = 186, .external_lex_state = 3},
  [14552] = {.lex_state = 186, .external_lex_state = 3},
  [14553] = {.lex_state = 186, .external_lex_state = 3},
  [14554] = {.lex_state = 182, .external_lex_state = 3},
  [14555] = {.lex_state = 186, .external_lex_state = 3},
  [14556] = {.lex_state = 186, .external_lex_state = 3},
  [14557] = {.lex_state = 186, .external_lex_state = 3},
  [14558] = {.lex_state = 186, .external_lex_state = 3},
  [14559] = {.lex_state = 165, .external_lex_state = 3},
  [14560] = {.lex_state = 412, .external_lex_state = 3},
  [14561] = {.lex_state = 186, .external_lex_state = 3},
  [14562] = {.lex_state = 182, .external_lex_state = 3},
  [14563] = {.lex_state = 412, .external_lex_state = 3},
  [14564] = {.lex_state = 412, .external_lex_state = 3},
  [14565] = {.lex_state = 182, .external_lex_state = 3},
  [14566] = {.lex_state = 165, .external_lex_state = 3},
  [14567] = {.lex_state = 170, .external_lex_state = 3},
  [14568] = {.lex_state = 186, .external_lex_state = 3},
  [14569] = {.lex_state = 412, .external_lex_state = 3},
  [14570] = {.lex_state = 412, .external_lex_state = 3},
  [14571] = {.lex_state = 15, .external_lex_state = 3},
  [14572] = {.lex_state = 169, .external_lex_state = 3},
  [14573] = {.lex_state = 203, .external_lex_state = 3},
  [14574] = {.lex_state = 186, .external_lex_state = 3},
  [14575] = {.lex_state = 165, .external_lex_state = 3},
  [14576] = {.lex_state = 186, .external_lex_state = 3},
  [14577] = {.lex_state = 186, .external_lex_state = 3},
  [14578] = {.lex_state = 170, .external_lex_state = 3},
  [14579] = {.lex_state = 412, .external_lex_state = 3},
  [14580] = {.lex_state = 186, .external_lex_state = 3},
  [14581] = {.lex_state = 182, .external_lex_state = 3},
  [14582] = {.lex_state = 186, .external_lex_state = 3},
  [14583] = {.lex_state = 186, .external_lex_state = 3},
  [14584] = {.lex_state = 170, .external_lex_state = 3},
  [14585] = {.lex_state = 186, .external_lex_state = 3},
  [14586] = {.lex_state = 186, .external_lex_state = 3},
  [14587] = {.lex_state = 186, .external_lex_state = 3},
  [14588] = {.lex_state = 186, .external_lex_state = 3},
  [14589] = {.lex_state = 186, .external_lex_state = 3},
  [14590] = {.lex_state = 186, .external_lex_state = 3},
  [14591] = {.lex_state = 186, .external_lex_state = 3},
  [14592] = {.lex_state = 8, .external_lex_state = 3},
  [14593] = {.lex_state = 165, .external_lex_state = 3},
  [14594] = {.lex_state = 165, .external_lex_state = 3},
  [14595] = {.lex_state = 165, .external_lex_state = 3},
  [14596] = {.lex_state = 165, .external_lex_state = 3},
  [14597] = {.lex_state = 8, .external_lex_state = 3},
  [14598] = {.lex_state = 8, .external_lex_state = 3},
  [14599] = {.lex_state = 8, .external_lex_state = 3},
  [14600] = {.lex_state = 165, .external_lex_state = 3},
  [14601] = {.lex_state = 7, .external_lex_state = 3},
  [14602] = {.lex_state = 170, .external_lex_state = 3},
  [14603] = {.lex_state = 179, .external_lex_state = 3},
  [14604] = {.lex_state = 190, .external_lex_state = 3},
  [14605] = {.lex_state = 15, .external_lex_state = 3},
  [14606] = {.lex_state = 208, .external_lex_state = 3},
  [14607] = {.lex_state = 165, .external_lex_state = 3},
  [14608] = {.lex_state = 8, .external_lex_state = 3},
  [14609] = {.lex_state = 165, .external_lex_state = 3},
  [14610] = {.lex_state = 165, .external_lex_state = 3},
  [14611] = {.lex_state = 15, .external_lex_state = 3},
  [14612] = {.lex_state = 15, .external_lex_state = 3},
  [14613] = {.lex_state = 179, .external_lex_state = 3},
  [14614] = {.lex_state = 165, .external_lex_state = 3},
  [14615] = {.lex_state = 179, .external_lex_state = 3},
  [14616] = {.lex_state = 8, .external_lex_state = 3},
  [14617] = {.lex_state = 179, .external_lex_state = 3},
  [14618] = {.lex_state = 8, .external_lex_state = 3},
  [14619] = {.lex_state = 165, .external_lex_state = 3},
  [14620] = {.lex_state = 165, .external_lex_state = 3},
  [14621] = {.lex_state = 412, .external_lex_state = 3},
  [14622] = {.lex_state = 15, .external_lex_state = 3},
  [14623] = {.lex_state = 165, .external_lex_state = 3},
  [14624] = {.lex_state = 165, .external_lex_state = 3},
  [14625] = {.lex_state = 179, .external_lex_state = 3},
  [14626] = {.lex_state = 8, .external_lex_state = 3},
  [14627] = {.lex_state = 208, .external_lex_state = 3},
  [14628] = {.lex_state = 165, .external_lex_state = 3},
  [14629] = {.lex_state = 165, .external_lex_state = 3},
  [14630] = {.lex_state = 15, .external_lex_state = 3},
  [14631] = {.lex_state = 165, .external_lex_state = 3},
  [14632] = {.lex_state = 15, .external_lex_state = 3},
  [14633] = {.lex_state = 165, .external_lex_state = 3},
  [14634] = {.lex_state = 179, .external_lex_state = 3},
  [14635] = {.lex_state = 205, .external_lex_state = 3},
  [14636] = {.lex_state = 205, .external_lex_state = 3},
  [14637] = {.lex_state = 4, .external_lex_state = 6},
  [14638] = {.lex_state = 15, .external_lex_state = 3},
  [14639] = {.lex_state = 165, .external_lex_state = 3},
  [14640] = {.lex_state = 179, .external_lex_state = 3},
  [14641] = {.lex_state = 205, .external_lex_state = 3},
  [14642] = {.lex_state = 190, .external_lex_state = 3},
  [14643] = {.lex_state = 15, .external_lex_state = 3},
  [14644] = {.lex_state = 8, .external_lex_state = 3},
  [14645] = {.lex_state = 4, .external_lex_state = 6},
  [14646] = {.lex_state = 205, .external_lex_state = 3},
  [14647] = {.lex_state = 205, .external_lex_state = 3},
  [14648] = {.lex_state = 4, .external_lex_state = 6},
  [14649] = {.lex_state = 4, .external_lex_state = 6},
  [14650] = {.lex_state = 4, .external_lex_state = 6},
  [14651] = {.lex_state = 205, .external_lex_state = 3},
  [14652] = {.lex_state = 4, .external_lex_state = 6},
  [14653] = {.lex_state = 179, .external_lex_state = 3},
  [14654] = {.lex_state = 382, .external_lex_state = 3},
  [14655] = {.lex_state = 15, .external_lex_state = 3},
  [14656] = {.lex_state = 205, .external_lex_state = 3},
  [14657] = {.lex_state = 382, .external_lex_state = 3},
  [14658] = {.lex_state = 4, .external_lex_state = 6},
  [14659] = {.lex_state = 8, .external_lex_state = 3},
  [14660] = {.lex_state = 205, .external_lex_state = 3},
  [14661] = {.lex_state = 4, .external_lex_state = 6},
  [14662] = {.lex_state = 382, .external_lex_state = 3},
  [14663] = {.lex_state = 4, .external_lex_state = 6},
  [14664] = {.lex_state = 205, .external_lex_state = 3},
  [14665] = {.lex_state = 15, .external_lex_state = 3},
  [14666] = {.lex_state = 4, .external_lex_state = 6},
  [14667] = {.lex_state = 205, .external_lex_state = 3},
  [14668] = {.lex_state = 382, .external_lex_state = 3},
  [14669] = {.lex_state = 15, .external_lex_state = 3},
  [14670] = {.lex_state = 4, .external_lex_state = 6},
  [14671] = {.lex_state = 205, .external_lex_state = 3},
  [14672] = {.lex_state = 8, .external_lex_state = 3},
  [14673] = {.lex_state = 8, .external_lex_state = 3},
  [14674] = {.lex_state = 382, .external_lex_state = 3},
  [14675] = {.lex_state = 15, .external_lex_state = 3},
  [14676] = {.lex_state = 208, .external_lex_state = 3},
  [14677] = {.lex_state = 205, .external_lex_state = 3},
  [14678] = {.lex_state = 4, .external_lex_state = 6},
  [14679] = {.lex_state = 4, .external_lex_state = 6},
  [14680] = {.lex_state = 4, .external_lex_state = 6},
  [14681] = {.lex_state = 4, .external_lex_state = 6},
  [14682] = {.lex_state = 382, .external_lex_state = 3},
  [14683] = {.lex_state = 205, .external_lex_state = 3},
  [14684] = {.lex_state = 190, .external_lex_state = 3},
  [14685] = {.lex_state = 205, .external_lex_state = 3},
  [14686] = {.lex_state = 4, .external_lex_state = 6},
  [14687] = {.lex_state = 382, .external_lex_state = 3},
  [14688] = {.lex_state = 199, .external_lex_state = 7},
  [14689] = {.lex_state = 4, .external_lex_state = 6},
  [14690] = {.lex_state = 205, .external_lex_state = 3},
  [14691] = {.lex_state = 205, .external_lex_state = 3},
  [14692] = {.lex_state = 8, .external_lex_state = 3},
  [14693] = {.lex_state = 4, .external_lex_state = 6},
  [14694] = {.lex_state = 382, .external_lex_state = 3},
  [14695] = {.lex_state = 4, .external_lex_state = 6},
  [14696] = {.lex_state = 205, .external_lex_state = 3},
  [14697] = {.lex_state = 15, .external_lex_state = 3},
  [14698] = {.lex_state = 15, .external_lex_state = 3},
  [14699] = {.lex_state = 4, .external_lex_state = 6},
  [14700] = {.lex_state = 205, .external_lex_state = 3},
  [14701] = {.lex_state = 205, .external_lex_state = 3},
  [14702] = {.lex_state = 15, .external_lex_state = 3},
  [14703] = {.lex_state = 15, .external_lex_state = 3},
  [14704] = {.lex_state = 4, .external_lex_state = 6},
  [14705] = {.lex_state = 179, .external_lex_state = 3},
  [14706] = {.lex_state = 208, .external_lex_state = 3},
  [14707] = {.lex_state = 190, .external_lex_state = 3},
  [14708] = {.lex_state = 205, .external_lex_state = 3},
  [14709] = {.lex_state = 205, .external_lex_state = 3},
  [14710] = {.lex_state = 205, .external_lex_state = 3},
  [14711] = {.lex_state = 15, .external_lex_state = 3},
  [14712] = {.lex_state = 4, .external_lex_state = 6},
  [14713] = {.lex_state = 4, .external_lex_state = 6},
  [14714] = {.lex_state = 4, .external_lex_state = 6},
  [14715] = {.lex_state = 4, .external_lex_state = 6},
  [14716] = {.lex_state = 382, .external_lex_state = 3},
  [14717] = {.lex_state = 8, .external_lex_state = 3},
  [14718] = {.lex_state = 205, .external_lex_state = 3},
  [14719] = {.lex_state = 4, .external_lex_state = 6},
  [14720] = {.lex_state = 4, .external_lex_state = 6},
  [14721] = {.lex_state = 205, .external_lex_state = 3},
  [14722] = {.lex_state = 4, .external_lex_state = 6},
  [14723] = {.lex_state = 8, .external_lex_state = 3},
  [14724] = {.lex_state = 4, .external_lex_state = 6},
  [14725] = {.lex_state = 205, .external_lex_state = 3},
  [14726] = {.lex_state = 382, .external_lex_state = 3},
  [14727] = {.lex_state = 165, .external_lex_state = 3},
  [14728] = {.lex_state = 205, .external_lex_state = 3},
  [14729] = {.lex_state = 165, .external_lex_state = 3},
  [14730] = {.lex_state = 8, .external_lex_state = 3},
  [14731] = {.lex_state = 205, .external_lex_state = 3},
  [14732] = {.lex_state = 382, .external_lex_state = 3},
  [14733] = {.lex_state = 165, .external_lex_state = 3},
  [14734] = {.lex_state = 4, .external_lex_state = 6},
  [14735] = {.lex_state = 382, .external_lex_state = 3},
  [14736] = {.lex_state = 4, .external_lex_state = 6},
  [14737] = {.lex_state = 4, .external_lex_state = 6},
  [14738] = {.lex_state = 4, .external_lex_state = 6},
  [14739] = {.lex_state = 382, .external_lex_state = 3},
  [14740] = {.lex_state = 4, .external_lex_state = 6},
  [14741] = {.lex_state = 15, .external_lex_state = 3},
  [14742] = {.lex_state = 170, .external_lex_state = 3},
  [14743] = {.lex_state = 8, .external_lex_state = 3},
  [14744] = {.lex_state = 4, .external_lex_state = 6},
  [14745] = {.lex_state = 205, .external_lex_state = 3},
  [14746] = {.lex_state = 4, .external_lex_state = 6},
  [14747] = {.lex_state = 4, .external_lex_state = 6},
  [14748] = {.lex_state = 4, .external_lex_state = 6},
  [14749] = {.lex_state = 4, .external_lex_state = 6},
  [14750] = {.lex_state = 190, .external_lex_state = 3},
  [14751] = {.lex_state = 4, .external_lex_state = 6},
  [14752] = {.lex_state = 4, .external_lex_state = 6},
  [14753] = {.lex_state = 205, .external_lex_state = 3},
  [14754] = {.lex_state = 4, .external_lex_state = 6},
  [14755] = {.lex_state = 8, .external_lex_state = 3},
  [14756] = {.lex_state = 205, .external_lex_state = 3},
  [14757] = {.lex_state = 4, .external_lex_state = 6},
  [14758] = {.lex_state = 205, .external_lex_state = 3},
  [14759] = {.lex_state = 4, .external_lex_state = 6},
  [14760] = {.lex_state = 8, .external_lex_state = 3},
  [14761] = {.lex_state = 4, .external_lex_state = 6},
  [14762] = {.lex_state = 15, .external_lex_state = 3},
  [14763] = {.lex_state = 4, .external_lex_state = 6},
  [14764] = {.lex_state = 382, .external_lex_state = 3},
  [14765] = {.lex_state = 190, .external_lex_state = 3},
  [14766] = {.lex_state = 205, .external_lex_state = 3},
  [14767] = {.lex_state = 15, .external_lex_state = 3},
  [14768] = {.lex_state = 4, .external_lex_state = 6},
  [14769] = {.lex_state = 4, .external_lex_state = 6},
  [14770] = {.lex_state = 4, .external_lex_state = 6},
  [14771] = {.lex_state = 8, .external_lex_state = 3},
  [14772] = {.lex_state = 205, .external_lex_state = 3},
  [14773] = {.lex_state = 4, .external_lex_state = 6},
  [14774] = {.lex_state = 205, .external_lex_state = 3},
  [14775] = {.lex_state = 15, .external_lex_state = 3},
  [14776] = {.lex_state = 4, .external_lex_state = 6},
  [14777] = {.lex_state = 15, .external_lex_state = 3},
  [14778] = {.lex_state = 15, .external_lex_state = 3},
  [14779] = {.lex_state = 15, .external_lex_state = 3},
  [14780] = {.lex_state = 4, .external_lex_state = 6},
  [14781] = {.lex_state = 4, .external_lex_state = 6},
  [14782] = {.lex_state = 205, .external_lex_state = 3},
  [14783] = {.lex_state = 205, .external_lex_state = 3},
  [14784] = {.lex_state = 179, .external_lex_state = 3},
  [14785] = {.lex_state = 15, .external_lex_state = 3},
  [14786] = {.lex_state = 15, .external_lex_state = 3},
  [14787] = {.lex_state = 15, .external_lex_state = 3},
  [14788] = {.lex_state = 412, .external_lex_state = 3},
  [14789] = {.lex_state = 4, .external_lex_state = 6},
  [14790] = {.lex_state = 15, .external_lex_state = 3},
  [14791] = {.lex_state = 4, .external_lex_state = 6},
  [14792] = {.lex_state = 205, .external_lex_state = 3},
  [14793] = {.lex_state = 165, .external_lex_state = 3},
  [14794] = {.lex_state = 205, .external_lex_state = 3},
  [14795] = {.lex_state = 205, .external_lex_state = 3},
  [14796] = {.lex_state = 205, .external_lex_state = 3},
  [14797] = {.lex_state = 8, .external_lex_state = 3},
  [14798] = {.lex_state = 4, .external_lex_state = 6},
  [14799] = {.lex_state = 15, .external_lex_state = 3},
  [14800] = {.lex_state = 165, .external_lex_state = 3},
  [14801] = {.lex_state = 165, .external_lex_state = 3},
  [14802] = {.lex_state = 4, .external_lex_state = 6},
  [14803] = {.lex_state = 205, .external_lex_state = 3},
  [14804] = {.lex_state = 15, .external_lex_state = 3},
  [14805] = {.lex_state = 205, .external_lex_state = 3},
  [14806] = {.lex_state = 4, .external_lex_state = 6},
  [14807] = {.lex_state = 382, .external_lex_state = 3},
  [14808] = {.lex_state = 4, .external_lex_state = 6},
  [14809] = {.lex_state = 205, .external_lex_state = 3},
  [14810] = {.lex_state = 4, .external_lex_state = 6},
  [14811] = {.lex_state = 382, .external_lex_state = 3},
  [14812] = {.lex_state = 4, .external_lex_state = 6},
  [14813] = {.lex_state = 4, .external_lex_state = 6},
  [14814] = {.lex_state = 15, .external_lex_state = 3},
  [14815] = {.lex_state = 205, .external_lex_state = 3},
  [14816] = {.lex_state = 205, .external_lex_state = 3},
  [14817] = {.lex_state = 15, .external_lex_state = 3},
  [14818] = {.lex_state = 15, .external_lex_state = 3},
  [14819] = {.lex_state = 205, .external_lex_state = 3},
  [14820] = {.lex_state = 205, .external_lex_state = 3},
  [14821] = {.lex_state = 4, .external_lex_state = 6},
  [14822] = {.lex_state = 4, .external_lex_state = 6},
  [14823] = {.lex_state = 205, .external_lex_state = 3},
  [14824] = {.lex_state = 205, .external_lex_state = 3},
  [14825] = {.lex_state = 205, .external_lex_state = 3},
  [14826] = {.lex_state = 382, .external_lex_state = 3},
  [14827] = {.lex_state = 412, .external_lex_state = 3},
  [14828] = {.lex_state = 382, .external_lex_state = 3},
  [14829] = {.lex_state = 205, .external_lex_state = 3},
  [14830] = {.lex_state = 15, .external_lex_state = 3},
  [14831] = {.lex_state = 15, .external_lex_state = 3},
  [14832] = {.lex_state = 412, .external_lex_state = 3},
  [14833] = {.lex_state = 412, .external_lex_state = 3},
  [14834] = {.lex_state = 7, .external_lex_state = 3},
  [14835] = {.lex_state = 7, .external_lex_state = 3},
  [14836] = {.lex_state = 15, .external_lex_state = 3},
  [14837] = {.lex_state = 7, .external_lex_state = 3},
  [14838] = {.lex_state = 15, .external_lex_state = 3},
  [14839] = {.lex_state = 7, .external_lex_state = 3},
  [14840] = {.lex_state = 15, .external_lex_state = 3},
  [14841] = {.lex_state = 15, .external_lex_state = 3},
  [14842] = {.lex_state = 7, .external_lex_state = 3},
  [14843] = {.lex_state = 7, .external_lex_state = 3},
  [14844] = {.lex_state = 15, .external_lex_state = 3},
  [14845] = {.lex_state = 15, .external_lex_state = 3},
  [14846] = {.lex_state = 7, .external_lex_state = 3},
  [14847] = {.lex_state = 7, .external_lex_state = 3},
  [14848] = {.lex_state = 7, .external_lex_state = 3},
  [14849] = {.lex_state = 15, .external_lex_state = 3},
  [14850] = {.lex_state = 7, .external_lex_state = 3},
  [14851] = {.lex_state = 15, .external_lex_state = 3},
  [14852] = {.lex_state = 7, .external_lex_state = 3},
  [14853] = {.lex_state = 15, .external_lex_state = 3},
  [14854] = {.lex_state = 15, .external_lex_state = 3},
  [14855] = {.lex_state = 7, .external_lex_state = 3},
  [14856] = {.lex_state = 15, .external_lex_state = 3},
  [14857] = {.lex_state = 15, .external_lex_state = 3},
  [14858] = {.lex_state = 15, .external_lex_state = 3},
  [14859] = {.lex_state = 7, .external_lex_state = 3},
  [14860] = {.lex_state = 199, .external_lex_state = 7},
  [14861] = {.lex_state = 7, .external_lex_state = 3},
  [14862] = {.lex_state = 15, .external_lex_state = 3},
  [14863] = {.lex_state = 7, .external_lex_state = 3},
  [14864] = {.lex_state = 179, .external_lex_state = 3},
  [14865] = {.lex_state = 165, .external_lex_state = 3},
  [14866] = {.lex_state = 15, .external_lex_state = 3},
  [14867] = {.lex_state = 15, .external_lex_state = 3},
  [14868] = {.lex_state = 7, .external_lex_state = 3},
  [14869] = {.lex_state = 165, .external_lex_state = 3},
  [14870] = {.lex_state = 425, .external_lex_state = 3},
  [14871] = {.lex_state = 15, .external_lex_state = 3},
  [14872] = {.lex_state = 15, .external_lex_state = 3},
  [14873] = {.lex_state = 186, .external_lex_state = 3},
  [14874] = {.lex_state = 15, .external_lex_state = 3},
  [14875] = {.lex_state = 7, .external_lex_state = 3},
  [14876] = {.lex_state = 7, .external_lex_state = 3},
  [14877] = {.lex_state = 199, .external_lex_state = 7},
  [14878] = {.lex_state = 7, .external_lex_state = 3},
  [14879] = {.lex_state = 15, .external_lex_state = 3},
  [14880] = {.lex_state = 165, .external_lex_state = 3},
  [14881] = {.lex_state = 7, .external_lex_state = 3},
  [14882] = {.lex_state = 15, .external_lex_state = 3},
  [14883] = {.lex_state = 165, .external_lex_state = 3},
  [14884] = {.lex_state = 165, .external_lex_state = 3},
  [14885] = {.lex_state = 15, .external_lex_state = 3},
  [14886] = {.lex_state = 15, .external_lex_state = 3},
  [14887] = {.lex_state = 7, .external_lex_state = 3},
  [14888] = {.lex_state = 7, .external_lex_state = 3},
  [14889] = {.lex_state = 7, .external_lex_state = 3},
  [14890] = {.lex_state = 165, .external_lex_state = 3},
  [14891] = {.lex_state = 7, .external_lex_state = 3},
  [14892] = {.lex_state = 7, .external_lex_state = 3},
  [14893] = {.lex_state = 15, .external_lex_state = 3},
  [14894] = {.lex_state = 425, .external_lex_state = 3},
  [14895] = {.lex_state = 7, .external_lex_state = 3},
  [14896] = {.lex_state = 165, .external_lex_state = 3},
  [14897] = {.lex_state = 165, .external_lex_state = 3},
  [14898] = {.lex_state = 15, .external_lex_state = 3},
  [14899] = {.lex_state = 7, .external_lex_state = 3},
  [14900] = {.lex_state = 425, .external_lex_state = 3},
  [14901] = {.lex_state = 425, .external_lex_state = 3},
  [14902] = {.lex_state = 425, .external_lex_state = 3},
  [14903] = {.lex_state = 15, .external_lex_state = 3},
  [14904] = {.lex_state = 15, .external_lex_state = 3},
  [14905] = {.lex_state = 15, .external_lex_state = 3},
  [14906] = {.lex_state = 6, .external_lex_state = 3},
  [14907] = {.lex_state = 6, .external_lex_state = 3},
  [14908] = {.lex_state = 15, .external_lex_state = 3},
  [14909] = {.lex_state = 15, .external_lex_state = 3},
  [14910] = {.lex_state = 8, .external_lex_state = 3},
  [14911] = {.lex_state = 15, .external_lex_state = 3},
  [14912] = {.lex_state = 15, .external_lex_state = 3},
  [14913] = {.lex_state = 6, .external_lex_state = 3},
  [14914] = {.lex_state = 15, .external_lex_state = 3},
  [14915] = {.lex_state = 8, .external_lex_state = 3},
  [14916] = {.lex_state = 15, .external_lex_state = 3},
  [14917] = {.lex_state = 15, .external_lex_state = 3},
  [14918] = {.lex_state = 8, .external_lex_state = 3},
  [14919] = {.lex_state = 15, .external_lex_state = 3},
  [14920] = {.lex_state = 8, .external_lex_state = 3},
  [14921] = {.lex_state = 186, .external_lex_state = 3},
  [14922] = {.lex_state = 15, .external_lex_state = 3},
  [14923] = {.lex_state = 8, .external_lex_state = 3},
  [14924] = {.lex_state = 191, .external_lex_state = 3},
  [14925] = {.lex_state = 15, .external_lex_state = 3},
  [14926] = {.lex_state = 15, .external_lex_state = 3},
  [14927] = {.lex_state = 15, .external_lex_state = 8},
  [14928] = {.lex_state = 15, .external_lex_state = 3},
  [14929] = {.lex_state = 15, .external_lex_state = 3},
  [14930] = {.lex_state = 15, .external_lex_state = 3},
  [14931] = {.lex_state = 186, .external_lex_state = 3},
  [14932] = {.lex_state = 179, .external_lex_state = 3},
  [14933] = {.lex_state = 15, .external_lex_state = 3},
  [14934] = {.lex_state = 6, .external_lex_state = 3},
  [14935] = {.lex_state = 15, .external_lex_state = 3},
  [14936] = {.lex_state = 15, .external_lex_state = 3},
  [14937] = {.lex_state = 186, .external_lex_state = 3},
  [14938] = {.lex_state = 15, .external_lex_state = 3},
  [14939] = {.lex_state = 15, .external_lex_state = 3},
  [14940] = {.lex_state = 15, .external_lex_state = 3},
  [14941] = {.lex_state = 179, .external_lex_state = 3},
  [14942] = {.lex_state = 165, .external_lex_state = 3},
  [14943] = {.lex_state = 165, .external_lex_state = 3},
  [14944] = {.lex_state = 15, .external_lex_state = 3},
  [14945] = {.lex_state = 15, .external_lex_state = 3},
  [14946] = {.lex_state = 6, .external_lex_state = 3},
  [14947] = {.lex_state = 15, .external_lex_state = 3},
  [14948] = {.lex_state = 15, .external_lex_state = 3},
  [14949] = {.lex_state = 15, .external_lex_state = 8},
  [14950] = {.lex_state = 165, .external_lex_state = 3},
  [14951] = {.lex_state = 15, .external_lex_state = 3},
  [14952] = {.lex_state = 8, .external_lex_state = 3},
  [14953] = {.lex_state = 15, .external_lex_state = 8},
  [14954] = {.lex_state = 15, .external_lex_state = 3},
  [14955] = {.lex_state = 165, .external_lex_state = 3},
  [14956] = {.lex_state = 15, .external_lex_state = 3},
  [14957] = {.lex_state = 15, .external_lex_state = 3},
  [14958] = {.lex_state = 15, .external_lex_state = 3},
  [14959] = {.lex_state = 15, .external_lex_state = 3},
  [14960] = {.lex_state = 6, .external_lex_state = 3},
  [14961] = {.lex_state = 15, .external_lex_state = 3},
  [14962] = {.lex_state = 15, .external_lex_state = 3},
  [14963] = {.lex_state = 15, .external_lex_state = 3},
  [14964] = {.lex_state = 15, .external_lex_state = 3},
  [14965] = {.lex_state = 165, .external_lex_state = 3},
  [14966] = {.lex_state = 15, .external_lex_state = 3},
  [14967] = {.lex_state = 15, .external_lex_state = 3},
  [14968] = {.lex_state = 15, .external_lex_state = 3},
  [14969] = {.lex_state = 15, .external_lex_state = 3},
  [14970] = {.lex_state = 165, .external_lex_state = 3},
  [14971] = {.lex_state = 15, .external_lex_state = 3},
  [14972] = {.lex_state = 15, .external_lex_state = 3},
  [14973] = {.lex_state = 15, .external_lex_state = 8},
  [14974] = {.lex_state = 15, .external_lex_state = 8},
  [14975] = {.lex_state = 142, .external_lex_state = 3},
  [14976] = {.lex_state = 142, .external_lex_state = 3},
  [14977] = {.lex_state = 142, .external_lex_state = 3},
  [14978] = {.lex_state = 15, .external_lex_state = 3},
  [14979] = {.lex_state = 142, .external_lex_state = 3},
  [14980] = {.lex_state = 142, .external_lex_state = 3},
  [14981] = {.lex_state = 142, .external_lex_state = 3},
  [14982] = {.lex_state = 15, .external_lex_state = 3},
  [14983] = {.lex_state = 15, .external_lex_state = 3},
  [14984] = {.lex_state = 15, .external_lex_state = 3},
  [14985] = {.lex_state = 6, .external_lex_state = 3},
  [14986] = {.lex_state = 15, .external_lex_state = 3},
  [14987] = {.lex_state = 142, .external_lex_state = 3},
  [14988] = {.lex_state = 142, .external_lex_state = 3},
  [14989] = {.lex_state = 15, .external_lex_state = 3},
  [14990] = {.lex_state = 171, .external_lex_state = 3},
  [14991] = {.lex_state = 15, .external_lex_state = 8},
  [14992] = {.lex_state = 15, .external_lex_state = 8},
  [14993] = {.lex_state = 179, .external_lex_state = 3},
  [14994] = {.lex_state = 15, .external_lex_state = 3},
  [14995] = {.lex_state = 15, .external_lex_state = 3},
  [14996] = {.lex_state = 15, .external_lex_state = 3},
  [14997] = {.lex_state = 179, .external_lex_state = 3},
  [14998] = {.lex_state = 179, .external_lex_state = 3},
  [14999] = {.lex_state = 15, .external_lex_state = 3},
  [15000] = {.lex_state = 16, .external_lex_state = 3},
  [15001] = {.lex_state = 186, .external_lex_state = 3},
  [15002] = {.lex_state = 15, .external_lex_state = 3},
  [15003] = {.lex_state = 16, .external_lex_state = 3},
  [15004] = {.lex_state = 15, .external_lex_state = 3},
  [15005] = {.lex_state = 15, .external_lex_state = 3},
  [15006] = {.lex_state = 8, .external_lex_state = 3},
  [15007] = {.lex_state = 15, .external_lex_state = 3},
  [15008] = {.lex_state = 6, .external_lex_state = 3},
  [15009] = {.lex_state = 15, .external_lex_state = 8},
  [15010] = {.lex_state = 15, .external_lex_state = 8},
  [15011] = {.lex_state = 15, .external_lex_state = 3},
  [15012] = {.lex_state = 15, .external_lex_state = 3},
  [15013] = {.lex_state = 15, .external_lex_state = 3},
  [15014] = {.lex_state = 165, .external_lex_state = 3},
  [15015] = {.lex_state = 179, .external_lex_state = 3},
  [15016] = {.lex_state = 15, .external_lex_state = 3},
  [15017] = {.lex_state = 179, .external_lex_state = 3},
  [15018] = {.lex_state = 165, .external_lex_state = 3},
  [15019] = {.lex_state = 165, .external_lex_state = 3},
  [15020] = {.lex_state = 15, .external_lex_state = 8},
  [15021] = {.lex_state = 15, .external_lex_state = 8},
  [15022] = {.lex_state = 15, .external_lex_state = 3},
  [15023] = {.lex_state = 179, .external_lex_state = 3},
  [15024] = {.lex_state = 15, .external_lex_state = 3},
  [15025] = {.lex_state = 15, .external_lex_state = 3},
  [15026] = {.lex_state = 165, .external_lex_state = 3},
  [15027] = {.lex_state = 165, .external_lex_state = 3},
  [15028] = {.lex_state = 165, .external_lex_state = 3},
  [15029] = {.lex_state = 15, .external_lex_state = 3},
  [15030] = {.lex_state = 15, .external_lex_state = 8},
  [15031] = {.lex_state = 15, .external_lex_state = 8},
  [15032] = {.lex_state = 15, .external_lex_state = 3},
  [15033] = {.lex_state = 15, .external_lex_state = 3},
  [15034] = {.lex_state = 191, .external_lex_state = 3},
  [15035] = {.lex_state = 15, .external_lex_state = 3},
  [15036] = {.lex_state = 15, .external_lex_state = 8},
  [15037] = {.lex_state = 15, .external_lex_state = 3},
  [15038] = {.lex_state = 6, .external_lex_state = 3},
  [15039] = {.lex_state = 15, .external_lex_state = 3},
  [15040] = {.lex_state = 15, .external_lex_state = 3},
  [15041] = {.lex_state = 15, .external_lex_state = 3},
  [15042] = {.lex_state = 15, .external_lex_state = 3},
  [15043] = {.lex_state = 6, .external_lex_state = 3},
  [15044] = {.lex_state = 15, .external_lex_state = 3},
  [15045] = {.lex_state = 15, .external_lex_state = 3},
  [15046] = {.lex_state = 15, .external_lex_state = 3},
  [15047] = {.lex_state = 6, .external_lex_state = 3},
  [15048] = {.lex_state = 15, .external_lex_state = 3},
  [15049] = {.lex_state = 15, .external_lex_state = 3},
  [15050] = {.lex_state = 15, .external_lex_state = 3},
  [15051] = {.lex_state = 15, .external_lex_state = 3},
  [15052] = {.lex_state = 15, .external_lex_state = 3},
  [15053] = {.lex_state = 15, .external_lex_state = 3},
  [15054] = {.lex_state = 15, .external_lex_state = 3},
  [15055] = {.lex_state = 15, .external_lex_state = 3},
  [15056] = {.lex_state = 15, .external_lex_state = 3},
  [15057] = {.lex_state = 15, .external_lex_state = 3},
  [15058] = {.lex_state = 15, .external_lex_state = 3},
  [15059] = {.lex_state = 15, .external_lex_state = 3},
  [15060] = {.lex_state = 15, .external_lex_state = 3},
  [15061] = {.lex_state = 15, .external_lex_state = 3},
  [15062] = {.lex_state = 15, .external_lex_state = 3},
  [15063] = {.lex_state = 15, .external_lex_state = 3},
  [15064] = {.lex_state = 15, .external_lex_state = 3},
  [15065] = {.lex_state = 15, .external_lex_state = 3},
  [15066] = {.lex_state = 15, .external_lex_state = 3},
  [15067] = {.lex_state = 15, .external_lex_state = 3},
  [15068] = {.lex_state = 15, .external_lex_state = 3},
  [15069] = {.lex_state = 15, .external_lex_state = 3},
  [15070] = {.lex_state = 199, .external_lex_state = 7},
  [15071] = {.lex_state = 15, .external_lex_state = 3},
  [15072] = {.lex_state = 179, .external_lex_state = 3},
  [15073] = {.lex_state = 15, .external_lex_state = 3},
  [15074] = {.lex_state = 15, .external_lex_state = 3},
  [15075] = {.lex_state = 15, .external_lex_state = 3},
  [15076] = {.lex_state = 15, .external_lex_state = 3},
  [15077] = {.lex_state = 15, .external_lex_state = 3},
  [15078] = {.lex_state = 15, .external_lex_state = 3},
  [15079] = {.lex_state = 179, .external_lex_state = 3},
  [15080] = {.lex_state = 15, .external_lex_state = 3},
  [15081] = {.lex_state = 179, .external_lex_state = 3},
  [15082] = {.lex_state = 15, .external_lex_state = 3},
  [15083] = {.lex_state = 15, .external_lex_state = 3},
  [15084] = {.lex_state = 15, .external_lex_state = 3},
  [15085] = {.lex_state = 15, .external_lex_state = 3},
  [15086] = {.lex_state = 15, .external_lex_state = 3},
  [15087] = {.lex_state = 142, .external_lex_state = 3},
  [15088] = {.lex_state = 179, .external_lex_state = 3},
  [15089] = {.lex_state = 179, .external_lex_state = 3},
  [15090] = {.lex_state = 15, .external_lex_state = 3},
  [15091] = {.lex_state = 15, .external_lex_state = 3},
  [15092] = {.lex_state = 179, .external_lex_state = 3},
  [15093] = {.lex_state = 15, .external_lex_state = 8},
  [15094] = {.lex_state = 15, .external_lex_state = 3},
  [15095] = {.lex_state = 15, .external_lex_state = 3},
  [15096] = {.lex_state = 15, .external_lex_state = 3},
  [15097] = {.lex_state = 15, .external_lex_state = 3},
  [15098] = {.lex_state = 15, .external_lex_state = 3},
  [15099] = {.lex_state = 15, .external_lex_state = 3},
  [15100] = {.lex_state = 15, .external_lex_state = 3},
  [15101] = {.lex_state = 15, .external_lex_state = 3},
  [15102] = {.lex_state = 15, .external_lex_state = 3},
  [15103] = {.lex_state = 15, .external_lex_state = 3},
  [15104] = {.lex_state = 15, .external_lex_state = 3},
  [15105] = {.lex_state = 15, .external_lex_state = 3},
  [15106] = {.lex_state = 15, .external_lex_state = 3},
  [15107] = {.lex_state = 15, .external_lex_state = 3},
  [15108] = {.lex_state = 15, .external_lex_state = 3},
  [15109] = {.lex_state = 15, .external_lex_state = 3},
  [15110] = {.lex_state = 15, .external_lex_state = 3},
  [15111] = {.lex_state = 15, .external_lex_state = 3},
  [15112] = {.lex_state = 15, .external_lex_state = 3},
  [15113] = {.lex_state = 15, .external_lex_state = 3},
  [15114] = {.lex_state = 15, .external_lex_state = 3},
  [15115] = {.lex_state = 15, .external_lex_state = 3},
  [15116] = {.lex_state = 15, .external_lex_state = 3},
  [15117] = {.lex_state = 142, .external_lex_state = 3},
  [15118] = {.lex_state = 15, .external_lex_state = 3},
  [15119] = {.lex_state = 8, .external_lex_state = 3},
  [15120] = {.lex_state = 15, .external_lex_state = 3},
  [15121] = {.lex_state = 15, .external_lex_state = 3},
  [15122] = {.lex_state = 15, .external_lex_state = 3},
  [15123] = {.lex_state = 15, .external_lex_state = 3},
  [15124] = {.lex_state = 15, .external_lex_state = 3},
  [15125] = {.lex_state = 15, .external_lex_state = 3},
  [15126] = {.lex_state = 15, .external_lex_state = 3},
  [15127] = {.lex_state = 15, .external_lex_state = 3},
  [15128] = {.lex_state = 15, .external_lex_state = 3},
  [15129] = {.lex_state = 179, .external_lex_state = 3},
  [15130] = {.lex_state = 15, .external_lex_state = 3},
  [15131] = {.lex_state = 15, .external_lex_state = 3},
  [15132] = {.lex_state = 15, .external_lex_state = 3},
  [15133] = {.lex_state = 15, .external_lex_state = 3},
  [15134] = {.lex_state = 191, .external_lex_state = 3},
  [15135] = {.lex_state = 15, .external_lex_state = 3},
  [15136] = {.lex_state = 15, .external_lex_state = 3},
  [15137] = {.lex_state = 15, .external_lex_state = 3},
  [15138] = {.lex_state = 15, .external_lex_state = 3},
  [15139] = {.lex_state = 15, .external_lex_state = 3},
  [15140] = {.lex_state = 15, .external_lex_state = 3},
  [15141] = {.lex_state = 179, .external_lex_state = 3},
  [15142] = {.lex_state = 15, .external_lex_state = 3},
  [15143] = {.lex_state = 15, .external_lex_state = 3},
  [15144] = {.lex_state = 15, .external_lex_state = 3},
  [15145] = {.lex_state = 165, .external_lex_state = 3},
  [15146] = {.lex_state = 15, .external_lex_state = 3},
  [15147] = {.lex_state = 15, .external_lex_state = 3},
  [15148] = {.lex_state = 15, .external_lex_state = 3},
  [15149] = {.lex_state = 15, .external_lex_state = 3},
  [15150] = {.lex_state = 6, .external_lex_state = 3},
  [15151] = {.lex_state = 15, .external_lex_state = 3},
  [15152] = {.lex_state = 15, .external_lex_state = 3},
  [15153] = {.lex_state = 15, .external_lex_state = 3},
  [15154] = {.lex_state = 15, .external_lex_state = 3},
  [15155] = {.lex_state = 15, .external_lex_state = 3},
  [15156] = {.lex_state = 15, .external_lex_state = 3},
  [15157] = {.lex_state = 6, .external_lex_state = 3},
  [15158] = {.lex_state = 15, .external_lex_state = 3},
  [15159] = {.lex_state = 15, .external_lex_state = 3},
  [15160] = {.lex_state = 15, .external_lex_state = 3},
  [15161] = {.lex_state = 15, .external_lex_state = 3},
  [15162] = {.lex_state = 8, .external_lex_state = 3},
  [15163] = {.lex_state = 15, .external_lex_state = 3},
  [15164] = {.lex_state = 15, .external_lex_state = 3},
  [15165] = {.lex_state = 15, .external_lex_state = 3},
  [15166] = {.lex_state = 15, .external_lex_state = 3},
  [15167] = {.lex_state = 15, .external_lex_state = 3},
  [15168] = {.lex_state = 15, .external_lex_state = 3},
  [15169] = {.lex_state = 15, .external_lex_state = 3},
  [15170] = {.lex_state = 15, .external_lex_state = 3},
  [15171] = {.lex_state = 15, .external_lex_state = 3},
  [15172] = {.lex_state = 15, .external_lex_state = 3},
  [15173] = {.lex_state = 15, .external_lex_state = 3},
  [15174] = {.lex_state = 15, .external_lex_state = 3},
  [15175] = {.lex_state = 15, .external_lex_state = 3},
  [15176] = {.lex_state = 15, .external_lex_state = 3},
  [15177] = {.lex_state = 15, .external_lex_state = 3},
  [15178] = {.lex_state = 15, .external_lex_state = 3},
  [15179] = {.lex_state = 15, .external_lex_state = 3},
  [15180] = {.lex_state = 15, .external_lex_state = 3},
  [15181] = {.lex_state = 15, .external_lex_state = 3},
  [15182] = {.lex_state = 15, .external_lex_state = 3},
  [15183] = {.lex_state = 8, .external_lex_state = 3},
  [15184] = {.lex_state = 8, .external_lex_state = 3},
  [15185] = {.lex_state = 142, .external_lex_state = 3},
  [15186] = {.lex_state = 15, .external_lex_state = 3},
  [15187] = {.lex_state = 15, .external_lex_state = 3},
  [15188] = {.lex_state = 15, .external_lex_state = 3},
  [15189] = {.lex_state = 15, .external_lex_state = 3},
  [15190] = {.lex_state = 15, .external_lex_state = 3},
  [15191] = {.lex_state = 8, .external_lex_state = 3},
  [15192] = {.lex_state = 8, .external_lex_state = 3},
  [15193] = {.lex_state = 8, .external_lex_state = 3},
  [15194] = {.lex_state = 15, .external_lex_state = 3},
  [15195] = {.lex_state = 8, .external_lex_state = 3},
  [15196] = {.lex_state = 8, .external_lex_state = 3},
  [15197] = {.lex_state = 8, .external_lex_state = 3},
  [15198] = {.lex_state = 8, .external_lex_state = 3},
  [15199] = {.lex_state = 425, .external_lex_state = 3},
  [15200] = {.lex_state = 8, .external_lex_state = 3},
  [15201] = {.lex_state = 8, .external_lex_state = 3},
  [15202] = {.lex_state = 179, .external_lex_state = 3},
  [15203] = {.lex_state = 179, .external_lex_state = 3},
  [15204] = {.lex_state = 165, .external_lex_state = 3},
  [15205] = {.lex_state = 179, .external_lex_state = 3},
  [15206] = {.lex_state = 8, .external_lex_state = 3},
  [15207] = {.lex_state = 179, .external_lex_state = 3},
  [15208] = {.lex_state = 179, .external_lex_state = 3},
  [15209] = {.lex_state = 179, .external_lex_state = 3},
  [15210] = {.lex_state = 8, .external_lex_state = 3},
  [15211] = {.lex_state = 179, .external_lex_state = 3},
  [15212] = {.lex_state = 179, .external_lex_state = 3},
  [15213] = {.lex_state = 8, .external_lex_state = 3},
  [15214] = {.lex_state = 8, .external_lex_state = 3},
  [15215] = {.lex_state = 15, .external_lex_state = 3},
  [15216] = {.lex_state = 191, .external_lex_state = 3},
  [15217] = {.lex_state = 8, .external_lex_state = 3},
  [15218] = {.lex_state = 179, .external_lex_state = 3},
  [15219] = {.lex_state = 15, .external_lex_state = 3},
  [15220] = {.lex_state = 15, .external_lex_state = 3},
  [15221] = {.lex_state = 15, .external_lex_state = 3},
  [15222] = {.lex_state = 15, .external_lex_state = 3},
  [15223] = {.lex_state = 6, .external_lex_state = 3},
  [15224] = {.lex_state = 15, .external_lex_state = 3},
  [15225] = {.lex_state = 142, .external_lex_state = 3},
  [15226] = {.lex_state = 15, .external_lex_state = 3},
  [15227] = {.lex_state = 15, .external_lex_state = 3},
  [15228] = {.lex_state = 15, .external_lex_state = 3},
  [15229] = {.lex_state = 6, .external_lex_state = 3},
  [15230] = {.lex_state = 165, .external_lex_state = 3},
  [15231] = {.lex_state = 165, .external_lex_state = 3},
  [15232] = {.lex_state = 15, .external_lex_state = 3},
  [15233] = {.lex_state = 179, .external_lex_state = 3},
  [15234] = {.lex_state = 15, .external_lex_state = 3},
  [15235] = {.lex_state = 15, .external_lex_state = 3},
  [15236] = {.lex_state = 15, .external_lex_state = 3},
  [15237] = {.lex_state = 15, .external_lex_state = 3},
  [15238] = {.lex_state = 15, .external_lex_state = 3},
  [15239] = {.lex_state = 15, .external_lex_state = 3},
  [15240] = {.lex_state = 191, .external_lex_state = 3},
  [15241] = {.lex_state = 15, .external_lex_state = 3},
  [15242] = {.lex_state = 179, .external_lex_state = 3},
  [15243] = {.lex_state = 15, .external_lex_state = 3},
  [15244] = {.lex_state = 165, .external_lex_state = 3},
  [15245] = {.lex_state = 8, .external_lex_state = 3},
  [15246] = {.lex_state = 8, .external_lex_state = 3},
  [15247] = {.lex_state = 179, .external_lex_state = 3},
  [15248] = {.lex_state = 179, .external_lex_state = 3},
  [15249] = {.lex_state = 179, .external_lex_state = 3},
  [15250] = {.lex_state = 15, .external_lex_state = 3},
  [15251] = {.lex_state = 179, .external_lex_state = 3},
  [15252] = {.lex_state = 171, .external_lex_state = 3},
  [15253] = {.lex_state = 171, .external_lex_state = 3},
  [15254] = {.lex_state = 171, .external_lex_state = 3},
  [15255] = {.lex_state = 15, .external_lex_state = 3},
  [15256] = {.lex_state = 15, .external_lex_state = 3},
  [15257] = {.lex_state = 15, .external_lex_state = 3},
  [15258] = {.lex_state = 6, .external_lex_state = 3},
  [15259] = {.lex_state = 15, .external_lex_state = 3},
  [15260] = {.lex_state = 15, .external_lex_state = 3},
  [15261] = {.lex_state = 6, .external_lex_state = 3},
  [15262] = {.lex_state = 15, .external_lex_state = 3},
  [15263] = {.lex_state = 15, .external_lex_state = 3},
  [15264] = {.lex_state = 15, .external_lex_state = 3},
  [15265] = {.lex_state = 15, .external_lex_state = 3},
  [15266] = {.lex_state = 15, .external_lex_state = 3},
  [15267] = {.lex_state = 15, .external_lex_state = 3},
  [15268] = {.lex_state = 15, .external_lex_state = 3},
  [15269] = {.lex_state = 15, .external_lex_state = 3},
  [15270] = {.lex_state = 6, .external_lex_state = 3},
  [15271] = {.lex_state = 15, .external_lex_state = 3},
  [15272] = {.lex_state = 15, .external_lex_state = 3},
  [15273] = {.lex_state = 15, .external_lex_state = 3},
  [15274] = {.lex_state = 15, .external_lex_state = 3},
  [15275] = {.lex_state = 15, .external_lex_state = 3},
  [15276] = {.lex_state = 15, .external_lex_state = 3},
  [15277] = {.lex_state = 15, .external_lex_state = 3},
  [15278] = {.lex_state = 15, .external_lex_state = 3},
  [15279] = {.lex_state = 15, .external_lex_state = 3},
  [15280] = {.lex_state = 15, .external_lex_state = 3},
  [15281] = {.lex_state = 132, .external_lex_state = 3},
  [15282] = {.lex_state = 15, .external_lex_state = 3},
  [15283] = {.lex_state = 15, .external_lex_state = 3},
  [15284] = {.lex_state = 6, .external_lex_state = 3},
  [15285] = {.lex_state = 6, .external_lex_state = 3},
  [15286] = {.lex_state = 15, .external_lex_state = 3},
  [15287] = {.lex_state = 15, .external_lex_state = 3},
  [15288] = {.lex_state = 15, .external_lex_state = 3},
  [15289] = {.lex_state = 15, .external_lex_state = 3},
  [15290] = {.lex_state = 15, .external_lex_state = 3},
  [15291] = {.lex_state = 6, .external_lex_state = 3},
  [15292] = {.lex_state = 15, .external_lex_state = 3},
  [15293] = {.lex_state = 15, .external_lex_state = 3},
  [15294] = {.lex_state = 15, .external_lex_state = 3},
  [15295] = {.lex_state = 15, .external_lex_state = 3},
  [15296] = {.lex_state = 15, .external_lex_state = 3},
  [15297] = {.lex_state = 15, .external_lex_state = 3},
  [15298] = {.lex_state = 15, .external_lex_state = 3},
  [15299] = {.lex_state = 15, .external_lex_state = 3},
  [15300] = {.lex_state = 15, .external_lex_state = 3},
  [15301] = {.lex_state = 15, .external_lex_state = 3},
  [15302] = {.lex_state = 15, .external_lex_state = 3},
  [15303] = {.lex_state = 15, .external_lex_state = 3},
  [15304] = {.lex_state = 15, .external_lex_state = 3},
  [15305] = {.lex_state = 15, .external_lex_state = 3},
  [15306] = {.lex_state = 15, .external_lex_state = 3},
  [15307] = {.lex_state = 6, .external_lex_state = 3},
  [15308] = {.lex_state = 6, .external_lex_state = 3},
  [15309] = {.lex_state = 15, .external_lex_state = 3},
  [15310] = {.lex_state = 15, .external_lex_state = 3},
  [15311] = {.lex_state = 15, .external_lex_state = 3},
  [15312] = {.lex_state = 15, .external_lex_state = 3},
  [15313] = {.lex_state = 15, .external_lex_state = 3},
  [15314] = {.lex_state = 15, .external_lex_state = 3},
  [15315] = {.lex_state = 15, .external_lex_state = 3},
  [15316] = {.lex_state = 132, .external_lex_state = 3},
  [15317] = {.lex_state = 15, .external_lex_state = 3},
  [15318] = {.lex_state = 15, .external_lex_state = 3},
  [15319] = {.lex_state = 6, .external_lex_state = 3},
  [15320] = {.lex_state = 15, .external_lex_state = 3},
  [15321] = {.lex_state = 15, .external_lex_state = 3},
  [15322] = {.lex_state = 15, .external_lex_state = 3},
  [15323] = {.lex_state = 15, .external_lex_state = 3},
  [15324] = {.lex_state = 15, .external_lex_state = 3},
  [15325] = {.lex_state = 15, .external_lex_state = 3},
  [15326] = {.lex_state = 6, .external_lex_state = 3},
  [15327] = {.lex_state = 15, .external_lex_state = 3},
  [15328] = {.lex_state = 15, .external_lex_state = 3},
  [15329] = {.lex_state = 6, .external_lex_state = 3},
  [15330] = {.lex_state = 15, .external_lex_state = 3},
  [15331] = {.lex_state = 15, .external_lex_state = 3},
  [15332] = {.lex_state = 15, .external_lex_state = 3},
  [15333] = {.lex_state = 15, .external_lex_state = 3},
  [15334] = {.lex_state = 15, .external_lex_state = 3},
  [15335] = {.lex_state = 15, .external_lex_state = 3},
  [15336] = {.lex_state = 15, .external_lex_state = 3},
  [15337] = {.lex_state = 15, .external_lex_state = 3},
  [15338] = {.lex_state = 15, .external_lex_state = 3},
  [15339] = {.lex_state = 6, .external_lex_state = 3},
  [15340] = {.lex_state = 15, .external_lex_state = 3},
  [15341] = {.lex_state = 15, .external_lex_state = 3},
  [15342] = {.lex_state = 15, .external_lex_state = 3},
  [15343] = {.lex_state = 15, .external_lex_state = 3},
  [15344] = {.lex_state = 15, .external_lex_state = 3},
  [15345] = {.lex_state = 15, .external_lex_state = 3},
  [15346] = {.lex_state = 15, .external_lex_state = 3},
  [15347] = {.lex_state = 15, .external_lex_state = 3},
  [15348] = {.lex_state = 6, .external_lex_state = 3},
  [15349] = {.lex_state = 15, .external_lex_state = 3},
  [15350] = {.lex_state = 15, .external_lex_state = 3},
  [15351] = {.lex_state = 15, .external_lex_state = 3},
  [15352] = {.lex_state = 15, .external_lex_state = 3},
  [15353] = {.lex_state = 15, .external_lex_state = 3},
  [15354] = {.lex_state = 15, .external_lex_state = 3},
  [15355] = {.lex_state = 6, .external_lex_state = 3},
  [15356] = {.lex_state = 15, .external_lex_state = 3},
  [15357] = {.lex_state = 15, .external_lex_state = 3},
  [15358] = {.lex_state = 15, .external_lex_state = 3},
  [15359] = {.lex_state = 15, .external_lex_state = 3},
  [15360] = {.lex_state = 15, .external_lex_state = 3},
  [15361] = {.lex_state = 15, .external_lex_state = 3},
  [15362] = {.lex_state = 15, .external_lex_state = 3},
  [15363] = {.lex_state = 6, .external_lex_state = 3},
  [15364] = {.lex_state = 15, .external_lex_state = 3},
  [15365] = {.lex_state = 15, .external_lex_state = 3},
  [15366] = {.lex_state = 15, .external_lex_state = 3},
  [15367] = {.lex_state = 15, .external_lex_state = 3},
  [15368] = {.lex_state = 6, .external_lex_state = 3},
  [15369] = {.lex_state = 15, .external_lex_state = 3},
  [15370] = {.lex_state = 6, .external_lex_state = 3},
  [15371] = {.lex_state = 15, .external_lex_state = 3},
  [15372] = {.lex_state = 15, .external_lex_state = 3},
  [15373] = {.lex_state = 6, .external_lex_state = 3},
  [15374] = {.lex_state = 6, .external_lex_state = 3},
  [15375] = {.lex_state = 15, .external_lex_state = 3},
  [15376] = {.lex_state = 6, .external_lex_state = 3},
  [15377] = {.lex_state = 15, .external_lex_state = 3},
  [15378] = {.lex_state = 15, .external_lex_state = 3},
  [15379] = {.lex_state = 15, .external_lex_state = 3},
  [15380] = {.lex_state = 15, .external_lex_state = 3},
  [15381] = {.lex_state = 15, .external_lex_state = 3},
  [15382] = {.lex_state = 6, .external_lex_state = 3},
  [15383] = {.lex_state = 15, .external_lex_state = 3},
  [15384] = {.lex_state = 15, .external_lex_state = 3},
  [15385] = {.lex_state = 6, .external_lex_state = 3},
  [15386] = {.lex_state = 6, .external_lex_state = 3},
  [15387] = {.lex_state = 6, .external_lex_state = 3},
  [15388] = {.lex_state = 15, .external_lex_state = 3},
  [15389] = {.lex_state = 15, .external_lex_state = 3},
  [15390] = {.lex_state = 15, .external_lex_state = 3},
  [15391] = {.lex_state = 6, .external_lex_state = 3},
  [15392] = {.lex_state = 15, .external_lex_state = 3},
  [15393] = {.lex_state = 6, .external_lex_state = 3},
  [15394] = {.lex_state = 15, .external_lex_state = 3},
  [15395] = {.lex_state = 15, .external_lex_state = 3},
  [15396] = {.lex_state = 15, .external_lex_state = 3},
  [15397] = {.lex_state = 15, .external_lex_state = 3},
  [15398] = {.lex_state = 15, .external_lex_state = 3},
  [15399] = {.lex_state = 15, .external_lex_state = 3},
  [15400] = {.lex_state = 6, .external_lex_state = 3},
  [15401] = {.lex_state = 15, .external_lex_state = 3},
  [15402] = {.lex_state = 6, .external_lex_state = 3},
  [15403] = {.lex_state = 6, .external_lex_state = 3},
  [15404] = {.lex_state = 15, .external_lex_state = 3},
  [15405] = {.lex_state = 6, .external_lex_state = 3},
  [15406] = {.lex_state = 6, .external_lex_state = 3},
  [15407] = {.lex_state = 6, .external_lex_state = 3},
  [15408] = {.lex_state = 15, .external_lex_state = 3},
  [15409] = {.lex_state = 15, .external_lex_state = 3},
  [15410] = {.lex_state = 6, .external_lex_state = 3},
  [15411] = {.lex_state = 6, .external_lex_state = 3},
  [15412] = {.lex_state = 132, .external_lex_state = 3},
  [15413] = {.lex_state = 15, .external_lex_state = 3},
  [15414] = {.lex_state = 15, .external_lex_state = 3},
  [15415] = {.lex_state = 15, .external_lex_state = 3},
  [15416] = {.lex_state = 15, .external_lex_state = 3},
  [15417] = {.lex_state = 132, .external_lex_state = 3},
  [15418] = {.lex_state = 6, .external_lex_state = 3},
  [15419] = {.lex_state = 6, .external_lex_state = 3},
  [15420] = {.lex_state = 15, .external_lex_state = 3},
  [15421] = {.lex_state = 15, .external_lex_state = 3},
  [15422] = {.lex_state = 15, .external_lex_state = 3},
  [15423] = {.lex_state = 15, .external_lex_state = 3},
  [15424] = {.lex_state = 15, .external_lex_state = 3},
  [15425] = {.lex_state = 15, .external_lex_state = 3},
  [15426] = {.lex_state = 6, .external_lex_state = 3},
  [15427] = {.lex_state = 15, .external_lex_state = 3},
  [15428] = {.lex_state = 6, .external_lex_state = 3},
  [15429] = {.lex_state = 15, .external_lex_state = 3},
  [15430] = {.lex_state = 6, .external_lex_state = 3},
  [15431] = {.lex_state = 15, .external_lex_state = 3},
  [15432] = {.lex_state = 15, .external_lex_state = 3},
  [15433] = {.lex_state = 15, .external_lex_state = 3},
  [15434] = {.lex_state = 15, .external_lex_state = 3},
  [15435] = {.lex_state = 15, .external_lex_state = 3},
  [15436] = {.lex_state = 15, .external_lex_state = 3},
  [15437] = {.lex_state = 15, .external_lex_state = 3},
  [15438] = {.lex_state = 15, .external_lex_state = 3},
  [15439] = {.lex_state = 15, .external_lex_state = 3},
  [15440] = {.lex_state = 15, .external_lex_state = 3},
  [15441] = {.lex_state = 15, .external_lex_state = 3},
  [15442] = {.lex_state = 15, .external_lex_state = 3},
  [15443] = {.lex_state = 15, .external_lex_state = 3},
  [15444] = {.lex_state = 15, .external_lex_state = 3},
  [15445] = {.lex_state = 15, .external_lex_state = 3},
  [15446] = {.lex_state = 15, .external_lex_state = 3},
  [15447] = {.lex_state = 15, .external_lex_state = 3},
  [15448] = {.lex_state = 15, .external_lex_state = 3},
  [15449] = {.lex_state = 15, .external_lex_state = 3},
  [15450] = {.lex_state = 15, .external_lex_state = 3},
  [15451] = {.lex_state = 15, .external_lex_state = 3},
  [15452] = {.lex_state = 15, .external_lex_state = 3},
  [15453] = {.lex_state = 15, .external_lex_state = 3},
  [15454] = {.lex_state = 15, .external_lex_state = 3},
  [15455] = {.lex_state = 15, .external_lex_state = 3},
  [15456] = {.lex_state = 15, .external_lex_state = 3},
  [15457] = {.lex_state = 15, .external_lex_state = 3},
  [15458] = {.lex_state = 15, .external_lex_state = 3},
  [15459] = {.lex_state = 15, .external_lex_state = 3},
  [15460] = {.lex_state = 15, .external_lex_state = 3},
  [15461] = {.lex_state = 15, .external_lex_state = 3},
  [15462] = {.lex_state = 15, .external_lex_state = 3},
  [15463] = {.lex_state = 15, .external_lex_state = 3},
  [15464] = {.lex_state = 15, .external_lex_state = 3},
  [15465] = {.lex_state = 15, .external_lex_state = 3},
  [15466] = {.lex_state = 15, .external_lex_state = 3},
  [15467] = {.lex_state = 15, .external_lex_state = 3},
  [15468] = {.lex_state = 15, .external_lex_state = 3},
  [15469] = {.lex_state = 15, .external_lex_state = 3},
  [15470] = {.lex_state = 15, .external_lex_state = 3},
  [15471] = {.lex_state = 15, .external_lex_state = 3},
  [15472] = {.lex_state = 132, .external_lex_state = 3},
  [15473] = {.lex_state = 6, .external_lex_state = 3},
  [15474] = {.lex_state = 6, .external_lex_state = 3},
  [15475] = {.lex_state = 15, .external_lex_state = 3},
  [15476] = {.lex_state = 6, .external_lex_state = 3},
  [15477] = {.lex_state = 15, .external_lex_state = 3},
  [15478] = {.lex_state = 6, .external_lex_state = 3},
  [15479] = {.lex_state = 6, .external_lex_state = 3},
  [15480] = {.lex_state = 6, .external_lex_state = 3},
  [15481] = {.lex_state = 15, .external_lex_state = 3},
  [15482] = {.lex_state = 15, .external_lex_state = 3},
  [15483] = {.lex_state = 6, .external_lex_state = 3},
  [15484] = {.lex_state = 6, .external_lex_state = 3},
  [15485] = {.lex_state = 15, .external_lex_state = 3},
  [15486] = {.lex_state = 15, .external_lex_state = 3},
  [15487] = {.lex_state = 15, .external_lex_state = 3},
  [15488] = {.lex_state = 15, .external_lex_state = 3},
  [15489] = {.lex_state = 15, .external_lex_state = 3},
  [15490] = {.lex_state = 15, .external_lex_state = 3},
  [15491] = {.lex_state = 6, .external_lex_state = 3},
  [15492] = {.lex_state = 15, .external_lex_state = 3},
  [15493] = {.lex_state = 15, .external_lex_state = 3},
  [15494] = {.lex_state = 15, .external_lex_state = 3},
  [15495] = {.lex_state = 15, .external_lex_state = 3},
  [15496] = {.lex_state = 6, .external_lex_state = 3},
  [15497] = {.lex_state = 6, .external_lex_state = 3},
  [15498] = {.lex_state = 15, .external_lex_state = 3},
  [15499] = {.lex_state = 15, .external_lex_state = 3},
  [15500] = {.lex_state = 15, .external_lex_state = 3},
  [15501] = {.lex_state = 6, .external_lex_state = 3},
  [15502] = {.lex_state = 15, .external_lex_state = 3},
  [15503] = {.lex_state = 15, .external_lex_state = 3},
  [15504] = {.lex_state = 15, .external_lex_state = 3},
  [15505] = {.lex_state = 15, .external_lex_state = 3},
  [15506] = {.lex_state = 6, .external_lex_state = 3},
  [15507] = {.lex_state = 15, .external_lex_state = 3},
  [15508] = {.lex_state = 6, .external_lex_state = 3},
  [15509] = {.lex_state = 15, .external_lex_state = 3},
  [15510] = {.lex_state = 15, .external_lex_state = 3},
  [15511] = {.lex_state = 15, .external_lex_state = 3},
  [15512] = {.lex_state = 132, .external_lex_state = 3},
  [15513] = {.lex_state = 15, .external_lex_state = 3},
  [15514] = {.lex_state = 15, .external_lex_state = 3},
  [15515] = {.lex_state = 15, .external_lex_state = 3},
  [15516] = {.lex_state = 15, .external_lex_state = 3},
  [15517] = {.lex_state = 6, .external_lex_state = 3},
  [15518] = {.lex_state = 6, .external_lex_state = 3},
  [15519] = {.lex_state = 15, .external_lex_state = 3},
  [15520] = {.lex_state = 6, .external_lex_state = 3},
  [15521] = {.lex_state = 6, .external_lex_state = 3},
  [15522] = {.lex_state = 15, .external_lex_state = 3},
  [15523] = {.lex_state = 425, .external_lex_state = 3},
  [15524] = {.lex_state = 425, .external_lex_state = 3},
  [15525] = {.lex_state = 6, .external_lex_state = 3},
  [15526] = {.lex_state = 6, .external_lex_state = 3},
  [15527] = {.lex_state = 6, .external_lex_state = 3},
  [15528] = {.lex_state = 15, .external_lex_state = 3},
  [15529] = {.lex_state = 15, .external_lex_state = 3},
  [15530] = {.lex_state = 6, .external_lex_state = 3},
  [15531] = {.lex_state = 15, .external_lex_state = 3},
  [15532] = {.lex_state = 15, .external_lex_state = 3},
  [15533] = {.lex_state = 132, .external_lex_state = 3},
  [15534] = {.lex_state = 15, .external_lex_state = 3},
  [15535] = {.lex_state = 132, .external_lex_state = 3},
  [15536] = {.lex_state = 15, .external_lex_state = 3},
  [15537] = {.lex_state = 15, .external_lex_state = 3},
  [15538] = {.lex_state = 15, .external_lex_state = 3},
  [15539] = {.lex_state = 15, .external_lex_state = 3},
  [15540] = {.lex_state = 6, .external_lex_state = 3},
  [15541] = {.lex_state = 15, .external_lex_state = 3},
  [15542] = {.lex_state = 8, .external_lex_state = 3},
  [15543] = {.lex_state = 15, .external_lex_state = 3},
  [15544] = {.lex_state = 15, .external_lex_state = 3},
  [15545] = {.lex_state = 6, .external_lex_state = 3},
  [15546] = {.lex_state = 15, .external_lex_state = 3},
  [15547] = {.lex_state = 6, .external_lex_state = 3},
  [15548] = {.lex_state = 6, .external_lex_state = 3},
  [15549] = {.lex_state = 6, .external_lex_state = 3},
  [15550] = {.lex_state = 15, .external_lex_state = 3},
  [15551] = {.lex_state = 6, .external_lex_state = 3},
  [15552] = {.lex_state = 15, .external_lex_state = 3},
  [15553] = {.lex_state = 6, .external_lex_state = 3},
  [15554] = {.lex_state = 6, .external_lex_state = 3},
  [15555] = {.lex_state = 6, .external_lex_state = 3},
  [15556] = {.lex_state = 15, .external_lex_state = 3},
  [15557] = {.lex_state = 132, .external_lex_state = 3},
  [15558] = {.lex_state = 6, .external_lex_state = 3},
  [15559] = {.lex_state = 15, .external_lex_state = 3},
  [15560] = {.lex_state = 15, .external_lex_state = 3},
  [15561] = {.lex_state = 6, .external_lex_state = 3},
  [15562] = {.lex_state = 132, .external_lex_state = 3},
  [15563] = {.lex_state = 15, .external_lex_state = 3},
  [15564] = {.lex_state = 15, .external_lex_state = 3},
  [15565] = {.lex_state = 132, .external_lex_state = 3},
  [15566] = {.lex_state = 15, .external_lex_state = 3},
  [15567] = {.lex_state = 15, .external_lex_state = 3},
  [15568] = {.lex_state = 15, .external_lex_state = 3},
  [15569] = {.lex_state = 15, .external_lex_state = 3},
  [15570] = {.lex_state = 6, .external_lex_state = 3},
  [15571] = {.lex_state = 15, .external_lex_state = 3},
  [15572] = {.lex_state = 15, .external_lex_state = 3},
  [15573] = {.lex_state = 15, .external_lex_state = 3},
  [15574] = {.lex_state = 6, .external_lex_state = 3},
  [15575] = {.lex_state = 15, .external_lex_state = 3},
  [15576] = {.lex_state = 15, .external_lex_state = 3},
  [15577] = {.lex_state = 132, .external_lex_state = 3},
  [15578] = {.lex_state = 15, .external_lex_state = 3},
  [15579] = {.lex_state = 6, .external_lex_state = 3},
  [15580] = {.lex_state = 15, .external_lex_state = 3},
  [15581] = {.lex_state = 15, .external_lex_state = 3},
  [15582] = {.lex_state = 15, .external_lex_state = 3},
  [15583] = {.lex_state = 15, .external_lex_state = 3},
  [15584] = {.lex_state = 15, .external_lex_state = 3},
  [15585] = {.lex_state = 6, .external_lex_state = 3},
  [15586] = {.lex_state = 15, .external_lex_state = 3},
  [15587] = {.lex_state = 15, .external_lex_state = 3},
  [15588] = {.lex_state = 6, .external_lex_state = 3},
  [15589] = {.lex_state = 15, .external_lex_state = 3},
  [15590] = {.lex_state = 15, .external_lex_state = 3},
  [15591] = {.lex_state = 15, .external_lex_state = 3},
  [15592] = {.lex_state = 6, .external_lex_state = 3},
  [15593] = {.lex_state = 15, .external_lex_state = 3},
  [15594] = {.lex_state = 15, .external_lex_state = 3},
  [15595] = {.lex_state = 15, .external_lex_state = 3},
  [15596] = {.lex_state = 6, .external_lex_state = 3},
  [15597] = {.lex_state = 15, .external_lex_state = 3},
  [15598] = {.lex_state = 15, .external_lex_state = 3},
  [15599] = {.lex_state = 15, .external_lex_state = 3},
  [15600] = {.lex_state = 15, .external_lex_state = 3},
  [15601] = {.lex_state = 6, .external_lex_state = 3},
  [15602] = {.lex_state = 15, .external_lex_state = 3},
  [15603] = {.lex_state = 15, .external_lex_state = 3},
  [15604] = {.lex_state = 6, .external_lex_state = 3},
  [15605] = {.lex_state = 15, .external_lex_state = 3},
  [15606] = {.lex_state = 425, .external_lex_state = 3},
  [15607] = {.lex_state = 15, .external_lex_state = 3},
  [15608] = {.lex_state = 15, .external_lex_state = 3},
  [15609] = {.lex_state = 15, .external_lex_state = 3},
  [15610] = {.lex_state = 15, .external_lex_state = 3},
  [15611] = {.lex_state = 15, .external_lex_state = 3},
  [15612] = {.lex_state = 15, .external_lex_state = 3},
  [15613] = {.lex_state = 15, .external_lex_state = 3},
  [15614] = {.lex_state = 15, .external_lex_state = 3},
  [15615] = {.lex_state = 15, .external_lex_state = 3},
  [15616] = {.lex_state = 15, .external_lex_state = 3},
  [15617] = {.lex_state = 15, .external_lex_state = 3},
  [15618] = {.lex_state = 15, .external_lex_state = 3},
  [15619] = {.lex_state = 15, .external_lex_state = 3},
  [15620] = {.lex_state = 15, .external_lex_state = 3},
  [15621] = {.lex_state = 15, .external_lex_state = 3},
  [15622] = {.lex_state = 15, .external_lex_state = 3},
  [15623] = {.lex_state = 6, .external_lex_state = 3},
  [15624] = {.lex_state = 15, .external_lex_state = 3},
  [15625] = {.lex_state = 15, .external_lex_state = 3},
  [15626] = {.lex_state = 6, .external_lex_state = 3},
  [15627] = {.lex_state = 15, .external_lex_state = 3},
  [15628] = {.lex_state = 6, .external_lex_state = 3},
  [15629] = {.lex_state = 15, .external_lex_state = 3},
  [15630] = {.lex_state = 6, .external_lex_state = 3},
  [15631] = {.lex_state = 15, .external_lex_state = 3},
  [15632] = {.lex_state = 6, .external_lex_state = 3},
  [15633] = {.lex_state = 6, .external_lex_state = 3},
  [15634] = {.lex_state = 15, .external_lex_state = 3},
  [15635] = {.lex_state = 15, .external_lex_state = 3},
  [15636] = {.lex_state = 15, .external_lex_state = 3},
  [15637] = {.lex_state = 6, .external_lex_state = 3},
  [15638] = {.lex_state = 25, .external_lex_state = 3},
  [15639] = {.lex_state = 15, .external_lex_state = 3},
  [15640] = {.lex_state = 6, .external_lex_state = 3},
  [15641] = {.lex_state = 15, .external_lex_state = 3},
  [15642] = {.lex_state = 6, .external_lex_state = 3},
  [15643] = {.lex_state = 15, .external_lex_state = 3},
  [15644] = {.lex_state = 6, .external_lex_state = 3},
  [15645] = {.lex_state = 15, .external_lex_state = 3},
  [15646] = {.lex_state = 15, .external_lex_state = 3},
  [15647] = {.lex_state = 15, .external_lex_state = 3},
  [15648] = {.lex_state = 6, .external_lex_state = 3},
  [15649] = {.lex_state = 6, .external_lex_state = 3},
  [15650] = {.lex_state = 15, .external_lex_state = 3},
  [15651] = {.lex_state = 15, .external_lex_state = 3},
  [15652] = {.lex_state = 15, .external_lex_state = 3},
  [15653] = {.lex_state = 15, .external_lex_state = 3},
  [15654] = {.lex_state = 25, .external_lex_state = 3},
  [15655] = {.lex_state = 6, .external_lex_state = 3},
  [15656] = {.lex_state = 412, .external_lex_state = 3},
  [15657] = {.lex_state = 15, .external_lex_state = 3},
  [15658] = {.lex_state = 6, .external_lex_state = 3},
  [15659] = {.lex_state = 15, .external_lex_state = 3},
  [15660] = {.lex_state = 6, .external_lex_state = 3},
  [15661] = {.lex_state = 15, .external_lex_state = 3},
  [15662] = {.lex_state = 6, .external_lex_state = 3},
  [15663] = {.lex_state = 15, .external_lex_state = 3},
  [15664] = {.lex_state = 15, .external_lex_state = 3},
  [15665] = {.lex_state = 15, .external_lex_state = 3},
  [15666] = {.lex_state = 15, .external_lex_state = 3},
  [15667] = {.lex_state = 15, .external_lex_state = 3},
  [15668] = {.lex_state = 165, .external_lex_state = 3},
  [15669] = {.lex_state = 382, .external_lex_state = 3},
  [15670] = {.lex_state = 382, .external_lex_state = 3},
  [15671] = {.lex_state = 6, .external_lex_state = 3},
  [15672] = {.lex_state = 15, .external_lex_state = 3},
  [15673] = {.lex_state = 15, .external_lex_state = 3},
  [15674] = {.lex_state = 6, .external_lex_state = 3},
  [15675] = {.lex_state = 382, .external_lex_state = 3},
  [15676] = {.lex_state = 15, .external_lex_state = 3},
  [15677] = {.lex_state = 15, .external_lex_state = 3},
  [15678] = {.lex_state = 15, .external_lex_state = 3},
  [15679] = {.lex_state = 382, .external_lex_state = 3},
  [15680] = {.lex_state = 15, .external_lex_state = 3},
  [15681] = {.lex_state = 15, .external_lex_state = 3},
  [15682] = {.lex_state = 15, .external_lex_state = 3},
  [15683] = {.lex_state = 15, .external_lex_state = 3},
  [15684] = {.lex_state = 15, .external_lex_state = 3},
  [15685] = {.lex_state = 15, .external_lex_state = 3},
  [15686] = {.lex_state = 15, .external_lex_state = 3},
  [15687] = {.lex_state = 15, .external_lex_state = 3},
  [15688] = {.lex_state = 15, .external_lex_state = 3},
  [15689] = {.lex_state = 412, .external_lex_state = 3},
  [15690] = {.lex_state = 6, .external_lex_state = 3},
  [15691] = {.lex_state = 15, .external_lex_state = 3},
  [15692] = {.lex_state = 6, .external_lex_state = 3},
  [15693] = {.lex_state = 15, .external_lex_state = 3},
  [15694] = {.lex_state = 15, .external_lex_state = 3},
  [15695] = {.lex_state = 15, .external_lex_state = 3},
  [15696] = {.lex_state = 15, .external_lex_state = 3},
  [15697] = {.lex_state = 6, .external_lex_state = 3},
  [15698] = {.lex_state = 15, .external_lex_state = 3},
  [15699] = {.lex_state = 15, .external_lex_state = 3},
  [15700] = {.lex_state = 165, .external_lex_state = 3},
  [15701] = {.lex_state = 15, .external_lex_state = 3},
  [15702] = {.lex_state = 15, .external_lex_state = 3},
  [15703] = {.lex_state = 15, .external_lex_state = 3},
  [15704] = {.lex_state = 15, .external_lex_state = 3},
  [15705] = {.lex_state = 412, .external_lex_state = 3},
  [15706] = {.lex_state = 15, .external_lex_state = 3},
  [15707] = {.lex_state = 15, .external_lex_state = 3},
  [15708] = {.lex_state = 15, .external_lex_state = 3},
  [15709] = {.lex_state = 6, .external_lex_state = 3},
  [15710] = {.lex_state = 165, .external_lex_state = 3},
  [15711] = {.lex_state = 15, .external_lex_state = 3},
  [15712] = {.lex_state = 6, .external_lex_state = 3},
  [15713] = {.lex_state = 15, .external_lex_state = 3},
  [15714] = {.lex_state = 15, .external_lex_state = 3},
  [15715] = {.lex_state = 6, .external_lex_state = 3},
  [15716] = {.lex_state = 6, .external_lex_state = 3},
  [15717] = {.lex_state = 15, .external_lex_state = 3},
  [15718] = {.lex_state = 15, .external_lex_state = 3},
  [15719] = {.lex_state = 15, .external_lex_state = 3},
  [15720] = {.lex_state = 6, .external_lex_state = 3},
  [15721] = {.lex_state = 15, .external_lex_state = 3},
  [15722] = {.lex_state = 165, .external_lex_state = 3},
  [15723] = {.lex_state = 15, .external_lex_state = 3},
  [15724] = {.lex_state = 6, .external_lex_state = 3},
  [15725] = {.lex_state = 15, .external_lex_state = 3},
  [15726] = {.lex_state = 15, .external_lex_state = 3},
  [15727] = {.lex_state = 15, .external_lex_state = 3},
  [15728] = {.lex_state = 382, .external_lex_state = 3},
  [15729] = {.lex_state = 15, .external_lex_state = 3},
  [15730] = {.lex_state = 382, .external_lex_state = 3},
  [15731] = {.lex_state = 15, .external_lex_state = 3},
  [15732] = {.lex_state = 15, .external_lex_state = 3},
  [15733] = {.lex_state = 15, .external_lex_state = 3},
  [15734] = {.lex_state = 6, .external_lex_state = 3},
  [15735] = {.lex_state = 382, .external_lex_state = 3},
  [15736] = {.lex_state = 15, .external_lex_state = 3},
  [15737] = {.lex_state = 6, .external_lex_state = 3},
  [15738] = {.lex_state = 15, .external_lex_state = 3},
  [15739] = {.lex_state = 15, .external_lex_state = 3},
  [15740] = {.lex_state = 6, .external_lex_state = 3},
  [15741] = {.lex_state = 382, .external_lex_state = 3},
  [15742] = {.lex_state = 15, .external_lex_state = 3},
  [15743] = {.lex_state = 15, .external_lex_state = 3},
  [15744] = {.lex_state = 6, .external_lex_state = 3},
  [15745] = {.lex_state = 15, .external_lex_state = 3},
  [15746] = {.lex_state = 15, .external_lex_state = 3},
  [15747] = {.lex_state = 15, .external_lex_state = 3},
  [15748] = {.lex_state = 15, .external_lex_state = 3},
  [15749] = {.lex_state = 6, .external_lex_state = 3},
  [15750] = {.lex_state = 15, .external_lex_state = 3},
  [15751] = {.lex_state = 15, .external_lex_state = 3},
  [15752] = {.lex_state = 15, .external_lex_state = 3},
  [15753] = {.lex_state = 15, .external_lex_state = 3},
  [15754] = {.lex_state = 15, .external_lex_state = 3},
  [15755] = {.lex_state = 15, .external_lex_state = 3},
  [15756] = {.lex_state = 6, .external_lex_state = 3},
  [15757] = {.lex_state = 6, .external_lex_state = 3},
  [15758] = {.lex_state = 15, .external_lex_state = 3},
  [15759] = {.lex_state = 15, .external_lex_state = 3},
  [15760] = {.lex_state = 6, .external_lex_state = 3},
  [15761] = {.lex_state = 15, .external_lex_state = 3},
  [15762] = {.lex_state = 15, .external_lex_state = 3},
  [15763] = {.lex_state = 15, .external_lex_state = 3},
  [15764] = {.lex_state = 15, .external_lex_state = 3},
  [15765] = {.lex_state = 6, .external_lex_state = 3},
  [15766] = {.lex_state = 15, .external_lex_state = 3},
  [15767] = {.lex_state = 15, .external_lex_state = 3},
  [15768] = {.lex_state = 15, .external_lex_state = 3},
  [15769] = {.lex_state = 382, .external_lex_state = 3},
  [15770] = {.lex_state = 6, .external_lex_state = 3},
  [15771] = {.lex_state = 15, .external_lex_state = 3},
  [15772] = {.lex_state = 15, .external_lex_state = 3},
  [15773] = {.lex_state = 15, .external_lex_state = 3},
  [15774] = {.lex_state = 6, .external_lex_state = 3},
  [15775] = {.lex_state = 15, .external_lex_state = 3},
  [15776] = {.lex_state = 15, .external_lex_state = 3},
  [15777] = {.lex_state = 15, .external_lex_state = 3},
  [15778] = {.lex_state = 15, .external_lex_state = 3},
  [15779] = {.lex_state = 6, .external_lex_state = 3},
  [15780] = {.lex_state = 15, .external_lex_state = 3},
  [15781] = {.lex_state = 382, .external_lex_state = 3},
  [15782] = {.lex_state = 165, .external_lex_state = 3},
  [15783] = {.lex_state = 382, .external_lex_state = 3},
  [15784] = {.lex_state = 15, .external_lex_state = 3},
  [15785] = {.lex_state = 15, .external_lex_state = 3},
  [15786] = {.lex_state = 15, .external_lex_state = 3},
  [15787] = {.lex_state = 15, .external_lex_state = 3},
  [15788] = {.lex_state = 15, .external_lex_state = 3},
  [15789] = {.lex_state = 15, .external_lex_state = 3},
  [15790] = {.lex_state = 179, .external_lex_state = 3},
  [15791] = {.lex_state = 15, .external_lex_state = 3},
  [15792] = {.lex_state = 179, .external_lex_state = 3},
  [15793] = {.lex_state = 6, .external_lex_state = 3},
  [15794] = {.lex_state = 6, .external_lex_state = 3},
  [15795] = {.lex_state = 179, .external_lex_state = 3},
  [15796] = {.lex_state = 15, .external_lex_state = 3},
  [15797] = {.lex_state = 15, .external_lex_state = 3},
  [15798] = {.lex_state = 15, .external_lex_state = 3},
  [15799] = {.lex_state = 15, .external_lex_state = 3},
  [15800] = {.lex_state = 382, .external_lex_state = 3},
  [15801] = {.lex_state = 15, .external_lex_state = 3},
  [15802] = {.lex_state = 15, .external_lex_state = 3},
  [15803] = {.lex_state = 15, .external_lex_state = 3},
  [15804] = {.lex_state = 15, .external_lex_state = 3},
  [15805] = {.lex_state = 15, .external_lex_state = 3},
  [15806] = {.lex_state = 15, .external_lex_state = 3},
  [15807] = {.lex_state = 15, .external_lex_state = 3},
  [15808] = {.lex_state = 6, .external_lex_state = 3},
  [15809] = {.lex_state = 15, .external_lex_state = 3},
  [15810] = {.lex_state = 15, .external_lex_state = 3},
  [15811] = {.lex_state = 15, .external_lex_state = 3},
  [15812] = {.lex_state = 15, .external_lex_state = 3},
  [15813] = {.lex_state = 15, .external_lex_state = 3},
  [15814] = {.lex_state = 15, .external_lex_state = 3},
  [15815] = {.lex_state = 15, .external_lex_state = 3},
  [15816] = {.lex_state = 6, .external_lex_state = 3},
  [15817] = {.lex_state = 15, .external_lex_state = 3},
  [15818] = {.lex_state = 15, .external_lex_state = 3},
  [15819] = {.lex_state = 15, .external_lex_state = 3},
  [15820] = {.lex_state = 425, .external_lex_state = 3},
  [15821] = {.lex_state = 15, .external_lex_state = 3},
  [15822] = {.lex_state = 425, .external_lex_state = 3},
  [15823] = {.lex_state = 412, .external_lex_state = 3},
  [15824] = {.lex_state = 6, .external_lex_state = 3},
  [15825] = {.lex_state = 15, .external_lex_state = 3},
  [15826] = {.lex_state = 412, .external_lex_state = 3},
  [15827] = {.lex_state = 15, .external_lex_state = 3},
  [15828] = {.lex_state = 6, .external_lex_state = 3},
  [15829] = {.lex_state = 15, .external_lex_state = 3},
  [15830] = {.lex_state = 412, .external_lex_state = 3},
  [15831] = {.lex_state = 412, .external_lex_state = 3},
  [15832] = {.lex_state = 412, .external_lex_state = 3},
  [15833] = {.lex_state = 15, .external_lex_state = 3},
  [15834] = {.lex_state = 6, .external_lex_state = 3},
  [15835] = {.lex_state = 15, .external_lex_state = 3},
  [15836] = {.lex_state = 6, .external_lex_state = 3},
  [15837] = {.lex_state = 6, .external_lex_state = 3},
  [15838] = {.lex_state = 165, .external_lex_state = 3},
  [15839] = {.lex_state = 15, .external_lex_state = 3},
  [15840] = {.lex_state = 6, .external_lex_state = 3},
  [15841] = {.lex_state = 8, .external_lex_state = 3},
  [15842] = {.lex_state = 15, .external_lex_state = 3},
  [15843] = {.lex_state = 25, .external_lex_state = 3},
  [15844] = {.lex_state = 15, .external_lex_state = 3},
  [15845] = {.lex_state = 15, .external_lex_state = 3},
  [15846] = {.lex_state = 6, .external_lex_state = 3},
  [15847] = {.lex_state = 6, .external_lex_state = 3},
  [15848] = {.lex_state = 15, .external_lex_state = 3},
  [15849] = {.lex_state = 6, .external_lex_state = 3},
  [15850] = {.lex_state = 15, .external_lex_state = 3},
  [15851] = {.lex_state = 179, .external_lex_state = 3},
  [15852] = {.lex_state = 15, .external_lex_state = 3},
  [15853] = {.lex_state = 165, .external_lex_state = 3},
  [15854] = {.lex_state = 15, .external_lex_state = 3},
  [15855] = {.lex_state = 15, .external_lex_state = 3},
  [15856] = {.lex_state = 15, .external_lex_state = 3},
  [15857] = {.lex_state = 15, .external_lex_state = 3},
  [15858] = {.lex_state = 15, .external_lex_state = 3},
  [15859] = {.lex_state = 6, .external_lex_state = 3},
  [15860] = {.lex_state = 15, .external_lex_state = 3},
  [15861] = {.lex_state = 15, .external_lex_state = 3},
  [15862] = {.lex_state = 15, .external_lex_state = 3},
  [15863] = {.lex_state = 15, .external_lex_state = 3},
  [15864] = {.lex_state = 15, .external_lex_state = 3},
  [15865] = {.lex_state = 15, .external_lex_state = 3},
  [15866] = {.lex_state = 425, .external_lex_state = 3},
  [15867] = {.lex_state = 412, .external_lex_state = 3},
  [15868] = {.lex_state = 15, .external_lex_state = 3},
  [15869] = {.lex_state = 15, .external_lex_state = 3},
  [15870] = {.lex_state = 412, .external_lex_state = 3},
  [15871] = {.lex_state = 412, .external_lex_state = 3},
  [15872] = {.lex_state = 412, .external_lex_state = 3},
  [15873] = {.lex_state = 15, .external_lex_state = 3},
  [15874] = {.lex_state = 15, .external_lex_state = 3},
  [15875] = {.lex_state = 6, .external_lex_state = 3},
  [15876] = {.lex_state = 15, .external_lex_state = 3},
  [15877] = {.lex_state = 15, .external_lex_state = 3},
  [15878] = {.lex_state = 15, .external_lex_state = 3},
  [15879] = {.lex_state = 6, .external_lex_state = 3},
  [15880] = {.lex_state = 6, .external_lex_state = 3},
  [15881] = {.lex_state = 15, .external_lex_state = 3},
  [15882] = {.lex_state = 382, .external_lex_state = 3},
  [15883] = {.lex_state = 15, .external_lex_state = 3},
  [15884] = {.lex_state = 382, .external_lex_state = 3},
  [15885] = {.lex_state = 6, .external_lex_state = 3},
  [15886] = {.lex_state = 15, .external_lex_state = 3},
  [15887] = {.lex_state = 382, .external_lex_state = 3},
  [15888] = {.lex_state = 382, .external_lex_state = 3},
  [15889] = {.lex_state = 173, .external_lex_state = 3},
  [15890] = {.lex_state = 173, .external_lex_state = 3},
  [15891] = {.lex_state = 382, .external_lex_state = 3},
  [15892] = {.lex_state = 6, .external_lex_state = 3},
  [15893] = {.lex_state = 173, .external_lex_state = 3},
  [15894] = {.lex_state = 382, .external_lex_state = 3},
  [15895] = {.lex_state = 382, .external_lex_state = 3},
  [15896] = {.lex_state = 15, .external_lex_state = 3},
  [15897] = {.lex_state = 382, .external_lex_state = 3},
  [15898] = {.lex_state = 6, .external_lex_state = 3},
  [15899] = {.lex_state = 15, .external_lex_state = 3},
  [15900] = {.lex_state = 129, .external_lex_state = 3},
  [15901] = {.lex_state = 382, .external_lex_state = 3},
  [15902] = {.lex_state = 382, .external_lex_state = 3},
  [15903] = {.lex_state = 15, .external_lex_state = 3},
  [15904] = {.lex_state = 15, .external_lex_state = 3},
  [15905] = {.lex_state = 382, .external_lex_state = 3},
  [15906] = {.lex_state = 382, .external_lex_state = 3},
  [15907] = {.lex_state = 15, .external_lex_state = 3},
  [15908] = {.lex_state = 15, .external_lex_state = 3},
  [15909] = {.lex_state = 6, .external_lex_state = 3},
  [15910] = {.lex_state = 382, .external_lex_state = 3},
  [15911] = {.lex_state = 382, .external_lex_state = 3},
  [15912] = {.lex_state = 6, .external_lex_state = 3},
  [15913] = {.lex_state = 382, .external_lex_state = 3},
  [15914] = {.lex_state = 6, .external_lex_state = 3},
  [15915] = {.lex_state = 15, .external_lex_state = 3},
  [15916] = {.lex_state = 382, .external_lex_state = 3},
  [15917] = {.lex_state = 15, .external_lex_state = 3},
  [15918] = {.lex_state = 15, .external_lex_state = 3},
  [15919] = {.lex_state = 15, .external_lex_state = 3},
  [15920] = {.lex_state = 382, .external_lex_state = 3},
  [15921] = {.lex_state = 382, .external_lex_state = 3},
  [15922] = {.lex_state = 382, .external_lex_state = 3},
  [15923] = {.lex_state = 165, .external_lex_state = 3},
  [15924] = {.lex_state = 15, .external_lex_state = 3},
  [15925] = {.lex_state = 15, .external_lex_state = 3},
  [15926] = {.lex_state = 382, .external_lex_state = 3},
  [15927] = {.lex_state = 211, .external_lex_state = 8},
  [15928] = {.lex_state = 382, .external_lex_state = 3},
  [15929] = {.lex_state = 382, .external_lex_state = 3},
  [15930] = {.lex_state = 15, .external_lex_state = 3},
  [15931] = {.lex_state = 382, .external_lex_state = 3},
  [15932] = {.lex_state = 382, .external_lex_state = 3},
  [15933] = {.lex_state = 15, .external_lex_state = 3},
  [15934] = {.lex_state = 382, .external_lex_state = 3},
  [15935] = {.lex_state = 15, .external_lex_state = 3},
  [15936] = {.lex_state = 382, .external_lex_state = 3},
  [15937] = {.lex_state = 15, .external_lex_state = 3},
  [15938] = {.lex_state = 15, .external_lex_state = 3},
  [15939] = {.lex_state = 173, .external_lex_state = 3},
  [15940] = {.lex_state = 382, .external_lex_state = 3},
  [15941] = {.lex_state = 382, .external_lex_state = 3},
  [15942] = {.lex_state = 6, .external_lex_state = 3},
  [15943] = {.lex_state = 382, .external_lex_state = 3},
  [15944] = {.lex_state = 382, .external_lex_state = 3},
  [15945] = {.lex_state = 173, .external_lex_state = 3},
  [15946] = {.lex_state = 382, .external_lex_state = 3},
  [15947] = {.lex_state = 15, .external_lex_state = 3},
  [15948] = {.lex_state = 15, .external_lex_state = 3},
  [15949] = {.lex_state = 15, .external_lex_state = 3},
  [15950] = {.lex_state = 15, .external_lex_state = 3},
  [15951] = {.lex_state = 382, .external_lex_state = 3},
  [15952] = {.lex_state = 15, .external_lex_state = 3},
  [15953] = {.lex_state = 15, .external_lex_state = 3},
  [15954] = {.lex_state = 6, .external_lex_state = 3},
  [15955] = {.lex_state = 6, .external_lex_state = 3},
  [15956] = {.lex_state = 15, .external_lex_state = 3},
  [15957] = {.lex_state = 15, .external_lex_state = 3},
  [15958] = {.lex_state = 15, .external_lex_state = 3},
  [15959] = {.lex_state = 382, .external_lex_state = 3},
  [15960] = {.lex_state = 382, .external_lex_state = 3},
  [15961] = {.lex_state = 15, .external_lex_state = 3},
  [15962] = {.lex_state = 173, .external_lex_state = 3},
  [15963] = {.lex_state = 6, .external_lex_state = 3},
  [15964] = {.lex_state = 15, .external_lex_state = 3},
  [15965] = {.lex_state = 6, .external_lex_state = 3},
  [15966] = {.lex_state = 382, .external_lex_state = 3},
  [15967] = {.lex_state = 15, .external_lex_state = 3},
  [15968] = {.lex_state = 6, .external_lex_state = 3},
  [15969] = {.lex_state = 132, .external_lex_state = 3},
  [15970] = {.lex_state = 382, .external_lex_state = 3},
  [15971] = {.lex_state = 15, .external_lex_state = 3},
  [15972] = {.lex_state = 15, .external_lex_state = 3},
  [15973] = {.lex_state = 15, .external_lex_state = 3},
  [15974] = {.lex_state = 382, .external_lex_state = 3},
  [15975] = {.lex_state = 8, .external_lex_state = 3},
  [15976] = {.lex_state = 382, .external_lex_state = 3},
  [15977] = {.lex_state = 6, .external_lex_state = 3},
  [15978] = {.lex_state = 6, .external_lex_state = 3},
  [15979] = {.lex_state = 6, .external_lex_state = 3},
  [15980] = {.lex_state = 6, .external_lex_state = 3},
  [15981] = {.lex_state = 382, .external_lex_state = 3},
  [15982] = {.lex_state = 6, .external_lex_state = 3},
  [15983] = {.lex_state = 6, .external_lex_state = 3},
  [15984] = {.lex_state = 15, .external_lex_state = 3},
  [15985] = {.lex_state = 8, .external_lex_state = 3},
  [15986] = {.lex_state = 382, .external_lex_state = 3},
  [15987] = {.lex_state = 6, .external_lex_state = 3},
  [15988] = {.lex_state = 382, .external_lex_state = 3},
  [15989] = {.lex_state = 15, .external_lex_state = 3},
  [15990] = {.lex_state = 382, .external_lex_state = 3},
  [15991] = {.lex_state = 6, .external_lex_state = 3},
  [15992] = {.lex_state = 382, .external_lex_state = 3},
  [15993] = {.lex_state = 15, .external_lex_state = 3},
  [15994] = {.lex_state = 6, .external_lex_state = 3},
  [15995] = {.lex_state = 15, .external_lex_state = 3},
  [15996] = {.lex_state = 8, .external_lex_state = 3},
  [15997] = {.lex_state = 15, .external_lex_state = 3},
  [15998] = {.lex_state = 15, .external_lex_state = 3},
  [15999] = {.lex_state = 15, .external_lex_state = 3},
  [16000] = {.lex_state = 382, .external_lex_state = 3},
  [16001] = {.lex_state = 382, .external_lex_state = 3},
  [16002] = {.lex_state = 15, .external_lex_state = 3},
  [16003] = {.lex_state = 15, .external_lex_state = 3},
  [16004] = {.lex_state = 15, .external_lex_state = 3},
  [16005] = {.lex_state = 132, .external_lex_state = 3},
  [16006] = {.lex_state = 382, .external_lex_state = 3},
  [16007] = {.lex_state = 15, .external_lex_state = 3},
  [16008] = {.lex_state = 15, .external_lex_state = 3},
  [16009] = {.lex_state = 6, .external_lex_state = 3},
  [16010] = {.lex_state = 382, .external_lex_state = 3},
  [16011] = {.lex_state = 382, .external_lex_state = 3},
  [16012] = {.lex_state = 382, .external_lex_state = 3},
  [16013] = {.lex_state = 382, .external_lex_state = 3},
  [16014] = {.lex_state = 382, .external_lex_state = 3},
  [16015] = {.lex_state = 382, .external_lex_state = 3},
  [16016] = {.lex_state = 382, .external_lex_state = 3},
  [16017] = {.lex_state = 382, .external_lex_state = 3},
  [16018] = {.lex_state = 382, .external_lex_state = 3},
  [16019] = {.lex_state = 382, .external_lex_state = 3},
  [16020] = {.lex_state = 15, .external_lex_state = 3},
  [16021] = {.lex_state = 15, .external_lex_state = 3},
  [16022] = {.lex_state = 6, .external_lex_state = 3},
  [16023] = {.lex_state = 382, .external_lex_state = 3},
  [16024] = {.lex_state = 382, .external_lex_state = 3},
  [16025] = {.lex_state = 382, .external_lex_state = 3},
  [16026] = {.lex_state = 382, .external_lex_state = 3},
  [16027] = {.lex_state = 15, .external_lex_state = 3},
  [16028] = {.lex_state = 132, .external_lex_state = 3},
  [16029] = {.lex_state = 15, .external_lex_state = 3},
  [16030] = {.lex_state = 6, .external_lex_state = 3},
  [16031] = {.lex_state = 382, .external_lex_state = 3},
  [16032] = {.lex_state = 382, .external_lex_state = 3},
  [16033] = {.lex_state = 6, .external_lex_state = 3},
  [16034] = {.lex_state = 15, .external_lex_state = 3},
  [16035] = {.lex_state = 173, .external_lex_state = 3},
  [16036] = {.lex_state = 15, .external_lex_state = 3},
  [16037] = {.lex_state = 382, .external_lex_state = 3},
  [16038] = {.lex_state = 15, .external_lex_state = 3},
  [16039] = {.lex_state = 382, .external_lex_state = 3},
  [16040] = {.lex_state = 15, .external_lex_state = 3},
  [16041] = {.lex_state = 6, .external_lex_state = 3},
  [16042] = {.lex_state = 6, .external_lex_state = 3},
  [16043] = {.lex_state = 382, .external_lex_state = 3},
  [16044] = {.lex_state = 382, .external_lex_state = 3},
  [16045] = {.lex_state = 382, .external_lex_state = 3},
  [16046] = {.lex_state = 382, .external_lex_state = 3},
  [16047] = {.lex_state = 382, .external_lex_state = 3},
  [16048] = {.lex_state = 6, .external_lex_state = 3},
  [16049] = {.lex_state = 132, .external_lex_state = 3},
  [16050] = {.lex_state = 382, .external_lex_state = 3},
  [16051] = {.lex_state = 15, .external_lex_state = 3},
  [16052] = {.lex_state = 15, .external_lex_state = 3},
  [16053] = {.lex_state = 173, .external_lex_state = 3},
  [16054] = {.lex_state = 382, .external_lex_state = 3},
  [16055] = {.lex_state = 15, .external_lex_state = 3},
  [16056] = {.lex_state = 15, .external_lex_state = 3},
  [16057] = {.lex_state = 15, .external_lex_state = 3},
  [16058] = {.lex_state = 15, .external_lex_state = 3},
  [16059] = {.lex_state = 6, .external_lex_state = 3},
  [16060] = {.lex_state = 173, .external_lex_state = 3},
  [16061] = {.lex_state = 6, .external_lex_state = 3},
  [16062] = {.lex_state = 382, .external_lex_state = 3},
  [16063] = {.lex_state = 382, .external_lex_state = 3},
  [16064] = {.lex_state = 15, .external_lex_state = 3},
  [16065] = {.lex_state = 132, .external_lex_state = 3},
  [16066] = {.lex_state = 6, .external_lex_state = 3},
  [16067] = {.lex_state = 15, .external_lex_state = 3},
  [16068] = {.lex_state = 15, .external_lex_state = 3},
  [16069] = {.lex_state = 15, .external_lex_state = 3},
  [16070] = {.lex_state = 15, .external_lex_state = 3},
  [16071] = {.lex_state = 15, .external_lex_state = 3},
  [16072] = {.lex_state = 6, .external_lex_state = 3},
  [16073] = {.lex_state = 382, .external_lex_state = 3},
  [16074] = {.lex_state = 15, .external_lex_state = 3},
  [16075] = {.lex_state = 382, .external_lex_state = 3},
  [16076] = {.lex_state = 382, .external_lex_state = 3},
  [16077] = {.lex_state = 382, .external_lex_state = 3},
  [16078] = {.lex_state = 15, .external_lex_state = 3},
  [16079] = {.lex_state = 382, .external_lex_state = 3},
  [16080] = {.lex_state = 15, .external_lex_state = 3},
  [16081] = {.lex_state = 382, .external_lex_state = 3},
  [16082] = {.lex_state = 6, .external_lex_state = 3},
  [16083] = {.lex_state = 173, .external_lex_state = 3},
  [16084] = {.lex_state = 15, .external_lex_state = 3},
  [16085] = {.lex_state = 6, .external_lex_state = 3},
  [16086] = {.lex_state = 382, .external_lex_state = 3},
  [16087] = {.lex_state = 15, .external_lex_state = 3},
  [16088] = {.lex_state = 15, .external_lex_state = 3},
  [16089] = {.lex_state = 382, .external_lex_state = 3},
  [16090] = {.lex_state = 8, .external_lex_state = 3},
  [16091] = {.lex_state = 15, .external_lex_state = 3},
  [16092] = {.lex_state = 15, .external_lex_state = 3},
  [16093] = {.lex_state = 15, .external_lex_state = 3},
  [16094] = {.lex_state = 15, .external_lex_state = 3},
  [16095] = {.lex_state = 173, .external_lex_state = 3},
  [16096] = {.lex_state = 15, .external_lex_state = 3},
  [16097] = {.lex_state = 15, .external_lex_state = 3},
  [16098] = {.lex_state = 382, .external_lex_state = 3},
  [16099] = {.lex_state = 15, .external_lex_state = 3},
  [16100] = {.lex_state = 15, .external_lex_state = 3},
  [16101] = {.lex_state = 15, .external_lex_state = 3},
  [16102] = {.lex_state = 382, .external_lex_state = 3},
  [16103] = {.lex_state = 382, .external_lex_state = 3},
  [16104] = {.lex_state = 173, .external_lex_state = 3},
  [16105] = {.lex_state = 382, .external_lex_state = 3},
  [16106] = {.lex_state = 6, .external_lex_state = 3},
  [16107] = {.lex_state = 173, .external_lex_state = 3},
  [16108] = {.lex_state = 6, .external_lex_state = 3},
  [16109] = {.lex_state = 382, .external_lex_state = 3},
  [16110] = {.lex_state = 173, .external_lex_state = 3},
  [16111] = {.lex_state = 15, .external_lex_state = 3},
  [16112] = {.lex_state = 15, .external_lex_state = 3},
  [16113] = {.lex_state = 15, .external_lex_state = 3},
  [16114] = {.lex_state = 15, .external_lex_state = 3},
  [16115] = {.lex_state = 15, .external_lex_state = 3},
  [16116] = {.lex_state = 15, .external_lex_state = 3},
  [16117] = {.lex_state = 6, .external_lex_state = 3},
  [16118] = {.lex_state = 382, .external_lex_state = 3},
  [16119] = {.lex_state = 382, .external_lex_state = 3},
  [16120] = {.lex_state = 382, .external_lex_state = 3},
  [16121] = {.lex_state = 6, .external_lex_state = 3},
  [16122] = {.lex_state = 15, .external_lex_state = 3},
  [16123] = {.lex_state = 173, .external_lex_state = 3},
  [16124] = {.lex_state = 382, .external_lex_state = 3},
  [16125] = {.lex_state = 173, .external_lex_state = 3},
  [16126] = {.lex_state = 6, .external_lex_state = 3},
  [16127] = {.lex_state = 173, .external_lex_state = 3},
  [16128] = {.lex_state = 15, .external_lex_state = 3},
  [16129] = {.lex_state = 382, .external_lex_state = 3},
  [16130] = {.lex_state = 15, .external_lex_state = 3},
  [16131] = {.lex_state = 6, .external_lex_state = 3},
  [16132] = {.lex_state = 211, .external_lex_state = 8},
  [16133] = {.lex_state = 15, .external_lex_state = 3},
  [16134] = {.lex_state = 132, .external_lex_state = 3},
  [16135] = {.lex_state = 382, .external_lex_state = 3},
  [16136] = {.lex_state = 6, .external_lex_state = 3},
  [16137] = {.lex_state = 6, .external_lex_state = 3},
  [16138] = {.lex_state = 382, .external_lex_state = 3},
  [16139] = {.lex_state = 6, .external_lex_state = 3},
  [16140] = {.lex_state = 173, .external_lex_state = 3},
  [16141] = {.lex_state = 15, .external_lex_state = 3},
  [16142] = {.lex_state = 6, .external_lex_state = 3},
  [16143] = {.lex_state = 382, .external_lex_state = 3},
  [16144] = {.lex_state = 6, .external_lex_state = 3},
  [16145] = {.lex_state = 6, .external_lex_state = 3},
  [16146] = {.lex_state = 6, .external_lex_state = 3},
  [16147] = {.lex_state = 15, .external_lex_state = 3},
  [16148] = {.lex_state = 15, .external_lex_state = 3},
  [16149] = {.lex_state = 6, .external_lex_state = 3},
  [16150] = {.lex_state = 15, .external_lex_state = 3},
  [16151] = {.lex_state = 382, .external_lex_state = 3},
  [16152] = {.lex_state = 15, .external_lex_state = 3},
  [16153] = {.lex_state = 382, .external_lex_state = 3},
  [16154] = {.lex_state = 15, .external_lex_state = 3},
  [16155] = {.lex_state = 15, .external_lex_state = 3},
  [16156] = {.lex_state = 382, .external_lex_state = 3},
  [16157] = {.lex_state = 15, .external_lex_state = 3},
  [16158] = {.lex_state = 15, .external_lex_state = 3},
  [16159] = {.lex_state = 6, .external_lex_state = 3},
  [16160] = {.lex_state = 15, .external_lex_state = 3},
  [16161] = {.lex_state = 6, .external_lex_state = 3},
  [16162] = {.lex_state = 15, .external_lex_state = 3},
  [16163] = {.lex_state = 15, .external_lex_state = 3},
  [16164] = {.lex_state = 6, .external_lex_state = 3},
  [16165] = {.lex_state = 15, .external_lex_state = 3},
  [16166] = {.lex_state = 382, .external_lex_state = 3},
  [16167] = {.lex_state = 382, .external_lex_state = 3},
  [16168] = {.lex_state = 15, .external_lex_state = 3},
  [16169] = {.lex_state = 15, .external_lex_state = 3},
  [16170] = {.lex_state = 173, .external_lex_state = 3},
  [16171] = {.lex_state = 382, .external_lex_state = 3},
  [16172] = {.lex_state = 382, .external_lex_state = 3},
  [16173] = {.lex_state = 15, .external_lex_state = 3},
  [16174] = {.lex_state = 15, .external_lex_state = 3},
  [16175] = {.lex_state = 15, .external_lex_state = 3},
  [16176] = {.lex_state = 15, .external_lex_state = 3},
  [16177] = {.lex_state = 382, .external_lex_state = 3},
  [16178] = {.lex_state = 382, .external_lex_state = 3},
  [16179] = {.lex_state = 165, .external_lex_state = 3},
  [16180] = {.lex_state = 382, .external_lex_state = 3},
  [16181] = {.lex_state = 382, .external_lex_state = 3},
  [16182] = {.lex_state = 382, .external_lex_state = 3},
  [16183] = {.lex_state = 382, .external_lex_state = 3},
  [16184] = {.lex_state = 382, .external_lex_state = 3},
  [16185] = {.lex_state = 382, .external_lex_state = 3},
  [16186] = {.lex_state = 6, .external_lex_state = 3},
  [16187] = {.lex_state = 382, .external_lex_state = 3},
  [16188] = {.lex_state = 6, .external_lex_state = 3},
  [16189] = {.lex_state = 6, .external_lex_state = 3},
  [16190] = {.lex_state = 15, .external_lex_state = 3},
  [16191] = {.lex_state = 173, .external_lex_state = 3},
  [16192] = {.lex_state = 132, .external_lex_state = 3},
  [16193] = {.lex_state = 173, .external_lex_state = 3},
  [16194] = {.lex_state = 15, .external_lex_state = 3},
  [16195] = {.lex_state = 173, .external_lex_state = 3},
  [16196] = {.lex_state = 382, .external_lex_state = 3},
  [16197] = {.lex_state = 6, .external_lex_state = 3},
  [16198] = {.lex_state = 382, .external_lex_state = 3},
  [16199] = {.lex_state = 15, .external_lex_state = 3},
  [16200] = {.lex_state = 15, .external_lex_state = 3},
  [16201] = {.lex_state = 173, .external_lex_state = 3},
  [16202] = {.lex_state = 15, .external_lex_state = 3},
  [16203] = {.lex_state = 8, .external_lex_state = 3},
  [16204] = {.lex_state = 15, .external_lex_state = 3},
  [16205] = {.lex_state = 382, .external_lex_state = 3},
  [16206] = {.lex_state = 15, .external_lex_state = 3},
  [16207] = {.lex_state = 15, .external_lex_state = 3},
  [16208] = {.lex_state = 173, .external_lex_state = 3},
  [16209] = {.lex_state = 15, .external_lex_state = 3},
  [16210] = {.lex_state = 382, .external_lex_state = 3},
  [16211] = {.lex_state = 15, .external_lex_state = 3},
  [16212] = {.lex_state = 382, .external_lex_state = 3},
  [16213] = {.lex_state = 6, .external_lex_state = 3},
  [16214] = {.lex_state = 382, .external_lex_state = 3},
  [16215] = {.lex_state = 173, .external_lex_state = 3},
  [16216] = {.lex_state = 6, .external_lex_state = 3},
  [16217] = {.lex_state = 132, .external_lex_state = 3},
  [16218] = {.lex_state = 382, .external_lex_state = 3},
  [16219] = {.lex_state = 382, .external_lex_state = 3},
  [16220] = {.lex_state = 382, .external_lex_state = 3},
  [16221] = {.lex_state = 15, .external_lex_state = 3},
  [16222] = {.lex_state = 15, .external_lex_state = 3},
  [16223] = {.lex_state = 382, .external_lex_state = 3},
  [16224] = {.lex_state = 15, .external_lex_state = 3},
  [16225] = {.lex_state = 382, .external_lex_state = 3},
  [16226] = {.lex_state = 8, .external_lex_state = 3},
  [16227] = {.lex_state = 382, .external_lex_state = 3},
  [16228] = {.lex_state = 382, .external_lex_state = 3},
  [16229] = {.lex_state = 6, .external_lex_state = 3},
  [16230] = {.lex_state = 382, .external_lex_state = 3},
  [16231] = {.lex_state = 6, .external_lex_state = 3},
  [16232] = {.lex_state = 15, .external_lex_state = 3},
  [16233] = {.lex_state = 15, .external_lex_state = 3},
  [16234] = {.lex_state = 382, .external_lex_state = 3},
  [16235] = {.lex_state = 15, .external_lex_state = 3},
  [16236] = {.lex_state = 382, .external_lex_state = 3},
  [16237] = {.lex_state = 382, .external_lex_state = 3},
  [16238] = {.lex_state = 15, .external_lex_state = 3},
  [16239] = {.lex_state = 6, .external_lex_state = 3},
  [16240] = {.lex_state = 15, .external_lex_state = 3},
  [16241] = {.lex_state = 15, .external_lex_state = 3},
  [16242] = {.lex_state = 15, .external_lex_state = 3},
  [16243] = {.lex_state = 173, .external_lex_state = 3},
  [16244] = {.lex_state = 15, .external_lex_state = 3},
  [16245] = {.lex_state = 6, .external_lex_state = 3},
  [16246] = {.lex_state = 6, .external_lex_state = 3},
  [16247] = {.lex_state = 6, .external_lex_state = 3},
  [16248] = {.lex_state = 382, .external_lex_state = 3},
  [16249] = {.lex_state = 129, .external_lex_state = 3},
  [16250] = {.lex_state = 382, .external_lex_state = 3},
  [16251] = {.lex_state = 8, .external_lex_state = 3},
  [16252] = {.lex_state = 382, .external_lex_state = 3},
  [16253] = {.lex_state = 382, .external_lex_state = 3},
  [16254] = {.lex_state = 382, .external_lex_state = 3},
  [16255] = {.lex_state = 382, .external_lex_state = 3},
  [16256] = {.lex_state = 6, .external_lex_state = 3},
  [16257] = {.lex_state = 6, .external_lex_state = 3},
  [16258] = {.lex_state = 382, .external_lex_state = 3},
  [16259] = {.lex_state = 382, .external_lex_state = 3},
  [16260] = {.lex_state = 8, .external_lex_state = 3},
  [16261] = {.lex_state = 382, .external_lex_state = 3},
  [16262] = {.lex_state = 15, .external_lex_state = 3},
  [16263] = {.lex_state = 15, .external_lex_state = 3},
  [16264] = {.lex_state = 15, .external_lex_state = 3},
  [16265] = {.lex_state = 382, .external_lex_state = 3},
  [16266] = {.lex_state = 382, .external_lex_state = 3},
  [16267] = {.lex_state = 15, .external_lex_state = 3},
  [16268] = {.lex_state = 382, .external_lex_state = 3},
  [16269] = {.lex_state = 382, .external_lex_state = 3},
  [16270] = {.lex_state = 382, .external_lex_state = 3},
  [16271] = {.lex_state = 15, .external_lex_state = 3},
  [16272] = {.lex_state = 6, .external_lex_state = 3},
  [16273] = {.lex_state = 6, .external_lex_state = 3},
  [16274] = {.lex_state = 15, .external_lex_state = 3},
  [16275] = {.lex_state = 15, .external_lex_state = 3},
  [16276] = {.lex_state = 15, .external_lex_state = 3},
  [16277] = {.lex_state = 15, .external_lex_state = 3},
  [16278] = {.lex_state = 382, .external_lex_state = 3},
  [16279] = {.lex_state = 15, .external_lex_state = 3},
  [16280] = {.lex_state = 15, .external_lex_state = 3},
  [16281] = {.lex_state = 15, .external_lex_state = 3},
  [16282] = {.lex_state = 382, .external_lex_state = 3},
  [16283] = {.lex_state = 382, .external_lex_state = 3},
  [16284] = {.lex_state = 382, .external_lex_state = 3},
  [16285] = {.lex_state = 382, .external_lex_state = 3},
  [16286] = {.lex_state = 15, .external_lex_state = 3},
  [16287] = {.lex_state = 15, .external_lex_state = 3},
  [16288] = {.lex_state = 173, .external_lex_state = 3},
  [16289] = {.lex_state = 382, .external_lex_state = 3},
  [16290] = {.lex_state = 382, .external_lex_state = 3},
  [16291] = {.lex_state = 6, .external_lex_state = 3},
  [16292] = {.lex_state = 173, .external_lex_state = 3},
  [16293] = {.lex_state = 382, .external_lex_state = 3},
  [16294] = {.lex_state = 8, .external_lex_state = 3},
  [16295] = {.lex_state = 382, .external_lex_state = 3},
  [16296] = {.lex_state = 382, .external_lex_state = 3},
  [16297] = {.lex_state = 382, .external_lex_state = 3},
  [16298] = {.lex_state = 382, .external_lex_state = 3},
  [16299] = {.lex_state = 129, .external_lex_state = 3},
  [16300] = {.lex_state = 15, .external_lex_state = 3},
  [16301] = {.lex_state = 15, .external_lex_state = 3},
  [16302] = {.lex_state = 15, .external_lex_state = 3},
  [16303] = {.lex_state = 6, .external_lex_state = 3},
  [16304] = {.lex_state = 382, .external_lex_state = 3},
  [16305] = {.lex_state = 382, .external_lex_state = 3},
  [16306] = {.lex_state = 15, .external_lex_state = 3},
  [16307] = {.lex_state = 15, .external_lex_state = 3},
  [16308] = {.lex_state = 15, .external_lex_state = 3},
  [16309] = {.lex_state = 15, .external_lex_state = 3},
  [16310] = {.lex_state = 15, .external_lex_state = 3},
  [16311] = {.lex_state = 15, .external_lex_state = 3},
  [16312] = {.lex_state = 15, .external_lex_state = 3},
  [16313] = {.lex_state = 173, .external_lex_state = 3},
  [16314] = {.lex_state = 382, .external_lex_state = 3},
  [16315] = {.lex_state = 6, .external_lex_state = 3},
  [16316] = {.lex_state = 15, .external_lex_state = 3},
  [16317] = {.lex_state = 15, .external_lex_state = 3},
  [16318] = {.lex_state = 173, .external_lex_state = 3},
  [16319] = {.lex_state = 6, .external_lex_state = 3},
  [16320] = {.lex_state = 382, .external_lex_state = 3},
  [16321] = {.lex_state = 382, .external_lex_state = 3},
  [16322] = {.lex_state = 129, .external_lex_state = 3},
  [16323] = {.lex_state = 173, .external_lex_state = 3},
  [16324] = {.lex_state = 382, .external_lex_state = 3},
  [16325] = {.lex_state = 15, .external_lex_state = 3},
  [16326] = {.lex_state = 382, .external_lex_state = 3},
  [16327] = {.lex_state = 6, .external_lex_state = 3},
  [16328] = {.lex_state = 382, .external_lex_state = 3},
  [16329] = {.lex_state = 382, .external_lex_state = 3},
  [16330] = {.lex_state = 382, .external_lex_state = 3},
  [16331] = {.lex_state = 382, .external_lex_state = 3},
  [16332] = {.lex_state = 6, .external_lex_state = 3},
  [16333] = {.lex_state = 6, .external_lex_state = 3},
  [16334] = {.lex_state = 15, .external_lex_state = 3},
  [16335] = {.lex_state = 15, .external_lex_state = 3},
  [16336] = {.lex_state = 382, .external_lex_state = 3},
  [16337] = {.lex_state = 15, .external_lex_state = 3},
  [16338] = {.lex_state = 15, .external_lex_state = 3},
  [16339] = {.lex_state = 382, .external_lex_state = 3},
  [16340] = {.lex_state = 382, .external_lex_state = 3},
  [16341] = {.lex_state = 15, .external_lex_state = 3},
  [16342] = {.lex_state = 129, .external_lex_state = 3},
  [16343] = {.lex_state = 382, .external_lex_state = 3},
  [16344] = {.lex_state = 382, .external_lex_state = 3},
  [16345] = {.lex_state = 382, .external_lex_state = 3},
  [16346] = {.lex_state = 6, .external_lex_state = 3},
  [16347] = {.lex_state = 15, .external_lex_state = 3},
  [16348] = {.lex_state = 15, .external_lex_state = 3},
  [16349] = {.lex_state = 173, .external_lex_state = 3},
  [16350] = {.lex_state = 15, .external_lex_state = 3},
  [16351] = {.lex_state = 173, .external_lex_state = 3},
  [16352] = {.lex_state = 173, .external_lex_state = 3},
  [16353] = {.lex_state = 15, .external_lex_state = 3},
  [16354] = {.lex_state = 15, .external_lex_state = 3},
  [16355] = {.lex_state = 382, .external_lex_state = 3},
  [16356] = {.lex_state = 15, .external_lex_state = 3},
  [16357] = {.lex_state = 15, .external_lex_state = 3},
  [16358] = {.lex_state = 15, .external_lex_state = 3},
  [16359] = {.lex_state = 382, .external_lex_state = 3},
  [16360] = {.lex_state = 129, .external_lex_state = 3},
  [16361] = {.lex_state = 15, .external_lex_state = 3},
  [16362] = {.lex_state = 15, .external_lex_state = 3},
  [16363] = {.lex_state = 6, .external_lex_state = 3},
  [16364] = {.lex_state = 6, .external_lex_state = 3},
  [16365] = {.lex_state = 382, .external_lex_state = 3},
  [16366] = {.lex_state = 382, .external_lex_state = 3},
  [16367] = {.lex_state = 6, .external_lex_state = 3},
  [16368] = {.lex_state = 382, .external_lex_state = 3},
  [16369] = {.lex_state = 15, .external_lex_state = 3},
  [16370] = {.lex_state = 15, .external_lex_state = 3},
  [16371] = {.lex_state = 129, .external_lex_state = 3},
  [16372] = {.lex_state = 6, .external_lex_state = 3},
  [16373] = {.lex_state = 173, .external_lex_state = 3},
  [16374] = {.lex_state = 15, .external_lex_state = 3},
  [16375] = {.lex_state = 382, .external_lex_state = 3},
  [16376] = {.lex_state = 15, .external_lex_state = 3},
  [16377] = {.lex_state = 382, .external_lex_state = 3},
  [16378] = {.lex_state = 15, .external_lex_state = 3},
  [16379] = {.lex_state = 129, .external_lex_state = 3},
  [16380] = {.lex_state = 15, .external_lex_state = 3},
  [16381] = {.lex_state = 15, .external_lex_state = 3},
  [16382] = {.lex_state = 15, .external_lex_state = 3},
  [16383] = {.lex_state = 382, .external_lex_state = 3},
  [16384] = {.lex_state = 15, .external_lex_state = 3},
  [16385] = {.lex_state = 129, .external_lex_state = 3},
  [16386] = {.lex_state = 15, .external_lex_state = 3},
  [16387] = {.lex_state = 129, .external_lex_state = 3},
  [16388] = {.lex_state = 382, .external_lex_state = 3},
  [16389] = {.lex_state = 15, .external_lex_state = 3},
  [16390] = {.lex_state = 129, .external_lex_state = 3},
  [16391] = {.lex_state = 211, .external_lex_state = 8},
  [16392] = {.lex_state = 132, .external_lex_state = 3},
  [16393] = {.lex_state = 129, .external_lex_state = 3},
  [16394] = {.lex_state = 15, .external_lex_state = 3},
  [16395] = {.lex_state = 15, .external_lex_state = 3},
  [16396] = {.lex_state = 129, .external_lex_state = 3},
  [16397] = {.lex_state = 382, .external_lex_state = 3},
  [16398] = {.lex_state = 15, .external_lex_state = 3},
  [16399] = {.lex_state = 129, .external_lex_state = 3},
  [16400] = {.lex_state = 15, .external_lex_state = 3},
  [16401] = {.lex_state = 6, .external_lex_state = 3},
  [16402] = {.lex_state = 382, .external_lex_state = 3},
  [16403] = {.lex_state = 15, .external_lex_state = 3},
  [16404] = {.lex_state = 132, .external_lex_state = 3},
  [16405] = {.lex_state = 129, .external_lex_state = 3},
  [16406] = {.lex_state = 7, .external_lex_state = 3},
  [16407] = {.lex_state = 15, .external_lex_state = 3},
  [16408] = {.lex_state = 15, .external_lex_state = 3},
  [16409] = {.lex_state = 129, .external_lex_state = 3},
  [16410] = {.lex_state = 382, .external_lex_state = 3},
  [16411] = {.lex_state = 129, .external_lex_state = 3},
  [16412] = {.lex_state = 15, .external_lex_state = 3},
  [16413] = {.lex_state = 173, .external_lex_state = 3},
  [16414] = {.lex_state = 382, .external_lex_state = 3},
  [16415] = {.lex_state = 129, .external_lex_state = 3},
  [16416] = {.lex_state = 15, .external_lex_state = 3},
  [16417] = {.lex_state = 129, .external_lex_state = 3},
  [16418] = {.lex_state = 6, .external_lex_state = 3},
  [16419] = {.lex_state = 173, .external_lex_state = 3},
  [16420] = {.lex_state = 15, .external_lex_state = 3},
  [16421] = {.lex_state = 15, .external_lex_state = 3},
  [16422] = {.lex_state = 129, .external_lex_state = 3},
  [16423] = {.lex_state = 173, .external_lex_state = 3},
  [16424] = {.lex_state = 382, .external_lex_state = 3},
  [16425] = {.lex_state = 6, .external_lex_state = 3},
  [16426] = {.lex_state = 129, .external_lex_state = 3},
  [16427] = {.lex_state = 129, .external_lex_state = 3},
  [16428] = {.lex_state = 132, .external_lex_state = 3},
  [16429] = {.lex_state = 15, .external_lex_state = 3},
  [16430] = {.lex_state = 129, .external_lex_state = 3},
  [16431] = {.lex_state = 6, .external_lex_state = 3},
  [16432] = {.lex_state = 382, .external_lex_state = 3},
  [16433] = {.lex_state = 129, .external_lex_state = 3},
  [16434] = {.lex_state = 173, .external_lex_state = 3},
  [16435] = {.lex_state = 382, .external_lex_state = 3},
  [16436] = {.lex_state = 129, .external_lex_state = 3},
  [16437] = {.lex_state = 15, .external_lex_state = 3},
  [16438] = {.lex_state = 6, .external_lex_state = 3},
  [16439] = {.lex_state = 15, .external_lex_state = 3},
  [16440] = {.lex_state = 132, .external_lex_state = 3},
  [16441] = {.lex_state = 129, .external_lex_state = 3},
  [16442] = {.lex_state = 15, .external_lex_state = 3},
  [16443] = {.lex_state = 129, .external_lex_state = 3},
  [16444] = {.lex_state = 382, .external_lex_state = 3},
  [16445] = {.lex_state = 382, .external_lex_state = 3},
  [16446] = {.lex_state = 382, .external_lex_state = 3},
  [16447] = {.lex_state = 15, .external_lex_state = 3},
  [16448] = {.lex_state = 15, .external_lex_state = 3},
  [16449] = {.lex_state = 129, .external_lex_state = 3},
  [16450] = {.lex_state = 132, .external_lex_state = 3},
  [16451] = {.lex_state = 132, .external_lex_state = 3},
  [16452] = {.lex_state = 129, .external_lex_state = 3},
  [16453] = {.lex_state = 382, .external_lex_state = 3},
  [16454] = {.lex_state = 382, .external_lex_state = 3},
  [16455] = {.lex_state = 382, .external_lex_state = 3},
  [16456] = {.lex_state = 6, .external_lex_state = 3},
  [16457] = {.lex_state = 129, .external_lex_state = 3},
  [16458] = {.lex_state = 129, .external_lex_state = 3},
  [16459] = {.lex_state = 6, .external_lex_state = 3},
  [16460] = {.lex_state = 129, .external_lex_state = 3},
  [16461] = {.lex_state = 173, .external_lex_state = 3},
  [16462] = {.lex_state = 382, .external_lex_state = 3},
  [16463] = {.lex_state = 129, .external_lex_state = 3},
  [16464] = {.lex_state = 129, .external_lex_state = 3},
  [16465] = {.lex_state = 15, .external_lex_state = 3},
  [16466] = {.lex_state = 129, .external_lex_state = 3},
  [16467] = {.lex_state = 15, .external_lex_state = 3},
  [16468] = {.lex_state = 382, .external_lex_state = 3},
  [16469] = {.lex_state = 129, .external_lex_state = 3},
  [16470] = {.lex_state = 15, .external_lex_state = 3},
  [16471] = {.lex_state = 15, .external_lex_state = 3},
  [16472] = {.lex_state = 129, .external_lex_state = 3},
  [16473] = {.lex_state = 382, .external_lex_state = 3},
  [16474] = {.lex_state = 382, .external_lex_state = 3},
  [16475] = {.lex_state = 15, .external_lex_state = 3},
  [16476] = {.lex_state = 129, .external_lex_state = 3},
  [16477] = {.lex_state = 382, .external_lex_state = 3},
  [16478] = {.lex_state = 8, .external_lex_state = 3},
  [16479] = {.lex_state = 129, .external_lex_state = 3},
  [16480] = {.lex_state = 15, .external_lex_state = 3},
  [16481] = {.lex_state = 6, .external_lex_state = 3},
  [16482] = {.lex_state = 132, .external_lex_state = 3},
  [16483] = {.lex_state = 129, .external_lex_state = 3},
  [16484] = {.lex_state = 382, .external_lex_state = 3},
  [16485] = {.lex_state = 6, .external_lex_state = 3},
  [16486] = {.lex_state = 129, .external_lex_state = 3},
  [16487] = {.lex_state = 15, .external_lex_state = 3},
  [16488] = {.lex_state = 129, .external_lex_state = 3},
  [16489] = {.lex_state = 15, .external_lex_state = 3},
  [16490] = {.lex_state = 8, .external_lex_state = 3},
  [16491] = {.lex_state = 15, .external_lex_state = 3},
  [16492] = {.lex_state = 129, .external_lex_state = 3},
  [16493] = {.lex_state = 15, .external_lex_state = 3},
  [16494] = {.lex_state = 129, .external_lex_state = 3},
  [16495] = {.lex_state = 382, .external_lex_state = 3},
  [16496] = {.lex_state = 129, .external_lex_state = 3},
  [16497] = {.lex_state = 382, .external_lex_state = 3},
  [16498] = {.lex_state = 382, .external_lex_state = 3},
  [16499] = {.lex_state = 382, .external_lex_state = 3},
  [16500] = {.lex_state = 129, .external_lex_state = 3},
  [16501] = {.lex_state = 382, .external_lex_state = 3},
  [16502] = {.lex_state = 15, .external_lex_state = 3},
  [16503] = {.lex_state = 129, .external_lex_state = 3},
  [16504] = {.lex_state = 15, .external_lex_state = 3},
  [16505] = {.lex_state = 382, .external_lex_state = 3},
  [16506] = {.lex_state = 6, .external_lex_state = 3},
  [16507] = {.lex_state = 129, .external_lex_state = 3},
  [16508] = {.lex_state = 129, .external_lex_state = 3},
  [16509] = {.lex_state = 15, .external_lex_state = 3},
  [16510] = {.lex_state = 382, .external_lex_state = 3},
  [16511] = {.lex_state = 6, .external_lex_state = 3},
  [16512] = {.lex_state = 15, .external_lex_state = 3},
  [16513] = {.lex_state = 6, .external_lex_state = 3},
  [16514] = {.lex_state = 132, .external_lex_state = 3},
  [16515] = {.lex_state = 129, .external_lex_state = 3},
  [16516] = {.lex_state = 15, .external_lex_state = 3},
  [16517] = {.lex_state = 129, .external_lex_state = 3},
  [16518] = {.lex_state = 382, .external_lex_state = 3},
  [16519] = {.lex_state = 382, .external_lex_state = 3},
  [16520] = {.lex_state = 15, .external_lex_state = 3},
  [16521] = {.lex_state = 382, .external_lex_state = 3},
  [16522] = {.lex_state = 382, .external_lex_state = 3},
  [16523] = {.lex_state = 6, .external_lex_state = 3},
  [16524] = {.lex_state = 382, .external_lex_state = 3},
  [16525] = {.lex_state = 425, .external_lex_state = 3},
  [16526] = {.lex_state = 382, .external_lex_state = 3},
  [16527] = {.lex_state = 382, .external_lex_state = 3},
  [16528] = {.lex_state = 382, .external_lex_state = 3},
  [16529] = {.lex_state = 15, .external_lex_state = 3},
  [16530] = {.lex_state = 173, .external_lex_state = 3},
  [16531] = {.lex_state = 173, .external_lex_state = 3},
  [16532] = {.lex_state = 382, .external_lex_state = 3},
  [16533] = {.lex_state = 6, .external_lex_state = 3},
  [16534] = {.lex_state = 15, .external_lex_state = 3},
  [16535] = {.lex_state = 173, .external_lex_state = 3},
  [16536] = {.lex_state = 173, .external_lex_state = 3},
  [16537] = {.lex_state = 15, .external_lex_state = 3},
  [16538] = {.lex_state = 382, .external_lex_state = 3},
  [16539] = {.lex_state = 15, .external_lex_state = 3},
  [16540] = {.lex_state = 6, .external_lex_state = 3},
  [16541] = {.lex_state = 15, .external_lex_state = 3},
  [16542] = {.lex_state = 173, .external_lex_state = 3},
  [16543] = {.lex_state = 382, .external_lex_state = 3},
  [16544] = {.lex_state = 6, .external_lex_state = 3},
  [16545] = {.lex_state = 15, .external_lex_state = 3},
  [16546] = {.lex_state = 6, .external_lex_state = 3},
  [16547] = {.lex_state = 6, .external_lex_state = 3},
  [16548] = {.lex_state = 173, .external_lex_state = 3},
  [16549] = {.lex_state = 382, .external_lex_state = 3},
  [16550] = {.lex_state = 382, .external_lex_state = 3},
  [16551] = {.lex_state = 15, .external_lex_state = 3},
  [16552] = {.lex_state = 382, .external_lex_state = 3},
  [16553] = {.lex_state = 15, .external_lex_state = 3},
  [16554] = {.lex_state = 382, .external_lex_state = 3},
  [16555] = {.lex_state = 382, .external_lex_state = 3},
  [16556] = {.lex_state = 382, .external_lex_state = 3},
  [16557] = {.lex_state = 382, .external_lex_state = 3},
  [16558] = {.lex_state = 15, .external_lex_state = 3},
  [16559] = {.lex_state = 382, .external_lex_state = 3},
  [16560] = {.lex_state = 382, .external_lex_state = 3},
  [16561] = {.lex_state = 382, .external_lex_state = 3},
  [16562] = {.lex_state = 8, .external_lex_state = 3},
  [16563] = {.lex_state = 382, .external_lex_state = 3},
  [16564] = {.lex_state = 15, .external_lex_state = 3},
  [16565] = {.lex_state = 15, .external_lex_state = 3},
  [16566] = {.lex_state = 382, .external_lex_state = 3},
  [16567] = {.lex_state = 382, .external_lex_state = 3},
  [16568] = {.lex_state = 382, .external_lex_state = 3},
  [16569] = {.lex_state = 382, .external_lex_state = 3},
  [16570] = {.lex_state = 15, .external_lex_state = 3},
  [16571] = {.lex_state = 15, .external_lex_state = 3},
  [16572] = {.lex_state = 15, .external_lex_state = 3},
  [16573] = {.lex_state = 15, .external_lex_state = 3},
  [16574] = {.lex_state = 382, .external_lex_state = 3},
  [16575] = {.lex_state = 382, .external_lex_state = 3},
  [16576] = {.lex_state = 15, .external_lex_state = 3},
  [16577] = {.lex_state = 15, .external_lex_state = 3},
  [16578] = {.lex_state = 382, .external_lex_state = 3},
  [16579] = {.lex_state = 132, .external_lex_state = 3},
  [16580] = {.lex_state = 15, .external_lex_state = 3},
  [16581] = {.lex_state = 15, .external_lex_state = 3},
  [16582] = {.lex_state = 15, .external_lex_state = 3},
  [16583] = {.lex_state = 15, .external_lex_state = 3},
  [16584] = {.lex_state = 15, .external_lex_state = 3},
  [16585] = {.lex_state = 15, .external_lex_state = 3},
  [16586] = {.lex_state = 6, .external_lex_state = 3},
  [16587] = {.lex_state = 15, .external_lex_state = 3},
  [16588] = {.lex_state = 382, .external_lex_state = 3},
  [16589] = {.lex_state = 15, .external_lex_state = 3},
  [16590] = {.lex_state = 15, .external_lex_state = 3},
  [16591] = {.lex_state = 25, .external_lex_state = 3},
  [16592] = {.lex_state = 412, .external_lex_state = 3},
  [16593] = {.lex_state = 100, .external_lex_state = 3},
  [16594] = {.lex_state = 205, .external_lex_state = 3},
  [16595] = {.lex_state = 15, .external_lex_state = 3},
  [16596] = {.lex_state = 100, .external_lex_state = 3},
  [16597] = {.lex_state = 100, .external_lex_state = 3},
  [16598] = {.lex_state = 425, .external_lex_state = 3},
  [16599] = {.lex_state = 382, .external_lex_state = 3},
  [16600] = {.lex_state = 382, .external_lex_state = 3},
  [16601] = {.lex_state = 100, .external_lex_state = 3},
  [16602] = {.lex_state = 15, .external_lex_state = 3},
  [16603] = {.lex_state = 100, .external_lex_state = 3},
  [16604] = {.lex_state = 25, .external_lex_state = 3},
  [16605] = {.lex_state = 100, .external_lex_state = 3},
  [16606] = {.lex_state = 100, .external_lex_state = 3},
  [16607] = {.lex_state = 100, .external_lex_state = 3},
  [16608] = {.lex_state = 99, .external_lex_state = 3},
  [16609] = {.lex_state = 100, .external_lex_state = 3},
  [16610] = {.lex_state = 100, .external_lex_state = 3},
  [16611] = {.lex_state = 425, .external_lex_state = 3},
  [16612] = {.lex_state = 15, .external_lex_state = 3},
  [16613] = {.lex_state = 382, .external_lex_state = 3},
  [16614] = {.lex_state = 100, .external_lex_state = 3},
  [16615] = {.lex_state = 382, .external_lex_state = 3},
  [16616] = {.lex_state = 100, .external_lex_state = 3},
  [16617] = {.lex_state = 205, .external_lex_state = 3},
  [16618] = {.lex_state = 15, .external_lex_state = 3},
  [16619] = {.lex_state = 100, .external_lex_state = 3},
  [16620] = {.lex_state = 15, .external_lex_state = 3},
  [16621] = {.lex_state = 382, .external_lex_state = 3},
  [16622] = {.lex_state = 205, .external_lex_state = 3},
  [16623] = {.lex_state = 15, .external_lex_state = 3},
  [16624] = {.lex_state = 15, .external_lex_state = 3},
  [16625] = {.lex_state = 100, .external_lex_state = 3},
  [16626] = {.lex_state = 100, .external_lex_state = 3},
  [16627] = {.lex_state = 100, .external_lex_state = 3},
  [16628] = {.lex_state = 100, .external_lex_state = 3},
  [16629] = {.lex_state = 100, .external_lex_state = 3},
  [16630] = {.lex_state = 100, .external_lex_state = 3},
  [16631] = {.lex_state = 382, .external_lex_state = 3},
  [16632] = {.lex_state = 100, .external_lex_state = 3},
  [16633] = {.lex_state = 99, .external_lex_state = 3},
  [16634] = {.lex_state = 165, .external_lex_state = 3},
  [16635] = {.lex_state = 100, .external_lex_state = 3},
  [16636] = {.lex_state = 100, .external_lex_state = 3},
  [16637] = {.lex_state = 15, .external_lex_state = 3},
  [16638] = {.lex_state = 100, .external_lex_state = 3},
  [16639] = {.lex_state = 100, .external_lex_state = 3},
  [16640] = {.lex_state = 205, .external_lex_state = 3},
  [16641] = {.lex_state = 15, .external_lex_state = 3},
  [16642] = {.lex_state = 100, .external_lex_state = 3},
  [16643] = {.lex_state = 412, .external_lex_state = 3},
  [16644] = {.lex_state = 15, .external_lex_state = 3},
  [16645] = {.lex_state = 100, .external_lex_state = 3},
  [16646] = {.lex_state = 100, .external_lex_state = 3},
  [16647] = {.lex_state = 15, .external_lex_state = 3},
  [16648] = {.lex_state = 100, .external_lex_state = 3},
  [16649] = {.lex_state = 100, .external_lex_state = 3},
  [16650] = {.lex_state = 100, .external_lex_state = 3},
  [16651] = {.lex_state = 99, .external_lex_state = 3},
  [16652] = {.lex_state = 100, .external_lex_state = 3},
  [16653] = {.lex_state = 100, .external_lex_state = 3},
  [16654] = {.lex_state = 100, .external_lex_state = 3},
  [16655] = {.lex_state = 15, .external_lex_state = 3},
  [16656] = {.lex_state = 100, .external_lex_state = 3},
  [16657] = {.lex_state = 100, .external_lex_state = 3},
  [16658] = {.lex_state = 100, .external_lex_state = 3},
  [16659] = {.lex_state = 382, .external_lex_state = 3},
  [16660] = {.lex_state = 165, .external_lex_state = 3},
  [16661] = {.lex_state = 205, .external_lex_state = 3},
  [16662] = {.lex_state = 15, .external_lex_state = 3},
  [16663] = {.lex_state = 100, .external_lex_state = 3},
  [16664] = {.lex_state = 100, .external_lex_state = 3},
  [16665] = {.lex_state = 100, .external_lex_state = 3},
  [16666] = {.lex_state = 205, .external_lex_state = 3},
  [16667] = {.lex_state = 100, .external_lex_state = 3},
  [16668] = {.lex_state = 99, .external_lex_state = 3},
  [16669] = {.lex_state = 100, .external_lex_state = 3},
  [16670] = {.lex_state = 100, .external_lex_state = 3},
  [16671] = {.lex_state = 100, .external_lex_state = 3},
  [16672] = {.lex_state = 100, .external_lex_state = 3},
  [16673] = {.lex_state = 100, .external_lex_state = 3},
  [16674] = {.lex_state = 100, .external_lex_state = 3},
  [16675] = {.lex_state = 99, .external_lex_state = 3},
  [16676] = {.lex_state = 99, .external_lex_state = 3},
  [16677] = {.lex_state = 100, .external_lex_state = 3},
  [16678] = {.lex_state = 100, .external_lex_state = 3},
  [16679] = {.lex_state = 15, .external_lex_state = 3},
  [16680] = {.lex_state = 100, .external_lex_state = 3},
  [16681] = {.lex_state = 15, .external_lex_state = 3},
  [16682] = {.lex_state = 100, .external_lex_state = 3},
  [16683] = {.lex_state = 205, .external_lex_state = 3},
  [16684] = {.lex_state = 15, .external_lex_state = 3},
  [16685] = {.lex_state = 100, .external_lex_state = 3},
  [16686] = {.lex_state = 100, .external_lex_state = 3},
  [16687] = {.lex_state = 100, .external_lex_state = 3},
  [16688] = {.lex_state = 99, .external_lex_state = 3},
  [16689] = {.lex_state = 15, .external_lex_state = 3},
  [16690] = {.lex_state = 205, .external_lex_state = 3},
  [16691] = {.lex_state = 100, .external_lex_state = 3},
  [16692] = {.lex_state = 425, .external_lex_state = 3},
  [16693] = {.lex_state = 382, .external_lex_state = 3},
  [16694] = {.lex_state = 205, .external_lex_state = 3},
  [16695] = {.lex_state = 100, .external_lex_state = 3},
  [16696] = {.lex_state = 25, .external_lex_state = 3},
  [16697] = {.lex_state = 382, .external_lex_state = 3},
  [16698] = {.lex_state = 100, .external_lex_state = 3},
  [16699] = {.lex_state = 205, .external_lex_state = 3},
  [16700] = {.lex_state = 15, .external_lex_state = 3},
  [16701] = {.lex_state = 100, .external_lex_state = 3},
  [16702] = {.lex_state = 425, .external_lex_state = 3},
  [16703] = {.lex_state = 382, .external_lex_state = 3},
  [16704] = {.lex_state = 382, .external_lex_state = 3},
  [16705] = {.lex_state = 100, .external_lex_state = 3},
  [16706] = {.lex_state = 99, .external_lex_state = 3},
  [16707] = {.lex_state = 25, .external_lex_state = 3},
  [16708] = {.lex_state = 382, .external_lex_state = 3},
  [16709] = {.lex_state = 425, .external_lex_state = 3},
  [16710] = {.lex_state = 382, .external_lex_state = 3},
  [16711] = {.lex_state = 15, .external_lex_state = 3},
  [16712] = {.lex_state = 382, .external_lex_state = 3},
  [16713] = {.lex_state = 100, .external_lex_state = 3},
  [16714] = {.lex_state = 15, .external_lex_state = 3},
  [16715] = {.lex_state = 382, .external_lex_state = 3},
  [16716] = {.lex_state = 100, .external_lex_state = 3},
  [16717] = {.lex_state = 382, .external_lex_state = 3},
  [16718] = {.lex_state = 15, .external_lex_state = 3},
  [16719] = {.lex_state = 100, .external_lex_state = 3},
  [16720] = {.lex_state = 205, .external_lex_state = 3},
  [16721] = {.lex_state = 15, .external_lex_state = 3},
  [16722] = {.lex_state = 100, .external_lex_state = 3},
  [16723] = {.lex_state = 382, .external_lex_state = 3},
  [16724] = {.lex_state = 100, .external_lex_state = 3},
  [16725] = {.lex_state = 211, .external_lex_state = 8},
  [16726] = {.lex_state = 15, .external_lex_state = 3},
  [16727] = {.lex_state = 15, .external_lex_state = 3},
  [16728] = {.lex_state = 100, .external_lex_state = 3},
  [16729] = {.lex_state = 382, .external_lex_state = 3},
  [16730] = {.lex_state = 15, .external_lex_state = 3},
  [16731] = {.lex_state = 15, .external_lex_state = 3},
  [16732] = {.lex_state = 100, .external_lex_state = 3},
  [16733] = {.lex_state = 100, .external_lex_state = 3},
  [16734] = {.lex_state = 15, .external_lex_state = 3},
  [16735] = {.lex_state = 15, .external_lex_state = 3},
  [16736] = {.lex_state = 100, .external_lex_state = 3},
  [16737] = {.lex_state = 382, .external_lex_state = 3},
  [16738] = {.lex_state = 382, .external_lex_state = 3},
  [16739] = {.lex_state = 382, .external_lex_state = 3},
  [16740] = {.lex_state = 100, .external_lex_state = 3},
  [16741] = {.lex_state = 382, .external_lex_state = 3},
  [16742] = {.lex_state = 15, .external_lex_state = 3},
  [16743] = {.lex_state = 382, .external_lex_state = 3},
  [16744] = {.lex_state = 99, .external_lex_state = 3},
  [16745] = {.lex_state = 15, .external_lex_state = 3},
  [16746] = {.lex_state = 100, .external_lex_state = 3},
  [16747] = {.lex_state = 382, .external_lex_state = 3},
  [16748] = {.lex_state = 100, .external_lex_state = 3},
  [16749] = {.lex_state = 382, .external_lex_state = 3},
  [16750] = {.lex_state = 382, .external_lex_state = 3},
  [16751] = {.lex_state = 382, .external_lex_state = 3},
  [16752] = {.lex_state = 100, .external_lex_state = 3},
  [16753] = {.lex_state = 99, .external_lex_state = 3},
  [16754] = {.lex_state = 15, .external_lex_state = 3},
  [16755] = {.lex_state = 99, .external_lex_state = 3},
  [16756] = {.lex_state = 412, .external_lex_state = 3},
  [16757] = {.lex_state = 382, .external_lex_state = 3},
  [16758] = {.lex_state = 425, .external_lex_state = 3},
  [16759] = {.lex_state = 382, .external_lex_state = 3},
  [16760] = {.lex_state = 100, .external_lex_state = 3},
  [16761] = {.lex_state = 100, .external_lex_state = 3},
  [16762] = {.lex_state = 382, .external_lex_state = 3},
  [16763] = {.lex_state = 382, .external_lex_state = 3},
  [16764] = {.lex_state = 382, .external_lex_state = 3},
  [16765] = {.lex_state = 100, .external_lex_state = 3},
  [16766] = {.lex_state = 15, .external_lex_state = 3},
  [16767] = {.lex_state = 100, .external_lex_state = 3},
  [16768] = {.lex_state = 15, .external_lex_state = 3},
  [16769] = {.lex_state = 382, .external_lex_state = 3},
  [16770] = {.lex_state = 100, .external_lex_state = 3},
  [16771] = {.lex_state = 25, .external_lex_state = 3},
  [16772] = {.lex_state = 382, .external_lex_state = 3},
  [16773] = {.lex_state = 382, .external_lex_state = 3},
  [16774] = {.lex_state = 15, .external_lex_state = 3},
  [16775] = {.lex_state = 205, .external_lex_state = 3},
  [16776] = {.lex_state = 15, .external_lex_state = 3},
  [16777] = {.lex_state = 100, .external_lex_state = 3},
  [16778] = {.lex_state = 100, .external_lex_state = 3},
  [16779] = {.lex_state = 99, .external_lex_state = 3},
  [16780] = {.lex_state = 425, .external_lex_state = 3},
  [16781] = {.lex_state = 382, .external_lex_state = 3},
  [16782] = {.lex_state = 382, .external_lex_state = 3},
  [16783] = {.lex_state = 382, .external_lex_state = 3},
  [16784] = {.lex_state = 25, .external_lex_state = 3},
  [16785] = {.lex_state = 388, .external_lex_state = 3},
  [16786] = {.lex_state = 425, .external_lex_state = 3},
  [16787] = {.lex_state = 382, .external_lex_state = 3},
  [16788] = {.lex_state = 382, .external_lex_state = 3},
  [16789] = {.lex_state = 382, .external_lex_state = 3},
  [16790] = {.lex_state = 15, .external_lex_state = 3},
  [16791] = {.lex_state = 382, .external_lex_state = 3},
  [16792] = {.lex_state = 382, .external_lex_state = 3},
  [16793] = {.lex_state = 100, .external_lex_state = 3},
  [16794] = {.lex_state = 100, .external_lex_state = 3},
  [16795] = {.lex_state = 100, .external_lex_state = 3},
  [16796] = {.lex_state = 25, .external_lex_state = 3},
  [16797] = {.lex_state = 99, .external_lex_state = 3},
  [16798] = {.lex_state = 100, .external_lex_state = 3},
  [16799] = {.lex_state = 15, .external_lex_state = 3},
  [16800] = {.lex_state = 382, .external_lex_state = 3},
  [16801] = {.lex_state = 15, .external_lex_state = 3},
  [16802] = {.lex_state = 100, .external_lex_state = 3},
  [16803] = {.lex_state = 15, .external_lex_state = 3},
  [16804] = {.lex_state = 100, .external_lex_state = 3},
  [16805] = {.lex_state = 100, .external_lex_state = 3},
  [16806] = {.lex_state = 100, .external_lex_state = 3},
  [16807] = {.lex_state = 15, .external_lex_state = 3},
  [16808] = {.lex_state = 15, .external_lex_state = 3},
  [16809] = {.lex_state = 382, .external_lex_state = 3},
  [16810] = {.lex_state = 382, .external_lex_state = 3},
  [16811] = {.lex_state = 100, .external_lex_state = 3},
  [16812] = {.lex_state = 15, .external_lex_state = 3},
  [16813] = {.lex_state = 25, .external_lex_state = 3},
  [16814] = {.lex_state = 100, .external_lex_state = 3},
  [16815] = {.lex_state = 100, .external_lex_state = 3},
  [16816] = {.lex_state = 100, .external_lex_state = 3},
  [16817] = {.lex_state = 100, .external_lex_state = 3},
  [16818] = {.lex_state = 425, .external_lex_state = 3},
  [16819] = {.lex_state = 205, .external_lex_state = 3},
  [16820] = {.lex_state = 382, .external_lex_state = 3},
  [16821] = {.lex_state = 382, .external_lex_state = 3},
  [16822] = {.lex_state = 15, .external_lex_state = 3},
  [16823] = {.lex_state = 382, .external_lex_state = 3},
  [16824] = {.lex_state = 205, .external_lex_state = 3},
  [16825] = {.lex_state = 100, .external_lex_state = 3},
  [16826] = {.lex_state = 100, .external_lex_state = 3},
  [16827] = {.lex_state = 99, .external_lex_state = 3},
  [16828] = {.lex_state = 100, .external_lex_state = 3},
  [16829] = {.lex_state = 100, .external_lex_state = 3},
  [16830] = {.lex_state = 382, .external_lex_state = 3},
  [16831] = {.lex_state = 15, .external_lex_state = 3},
  [16832] = {.lex_state = 100, .external_lex_state = 3},
  [16833] = {.lex_state = 99, .external_lex_state = 3},
  [16834] = {.lex_state = 25, .external_lex_state = 3},
  [16835] = {.lex_state = 15, .external_lex_state = 3},
  [16836] = {.lex_state = 100, .external_lex_state = 3},
  [16837] = {.lex_state = 100, .external_lex_state = 3},
  [16838] = {.lex_state = 15, .external_lex_state = 3},
  [16839] = {.lex_state = 100, .external_lex_state = 3},
  [16840] = {.lex_state = 205, .external_lex_state = 3},
  [16841] = {.lex_state = 382, .external_lex_state = 3},
  [16842] = {.lex_state = 382, .external_lex_state = 3},
  [16843] = {.lex_state = 25, .external_lex_state = 3},
  [16844] = {.lex_state = 25, .external_lex_state = 3},
  [16845] = {.lex_state = 205, .external_lex_state = 3},
  [16846] = {.lex_state = 15, .external_lex_state = 3},
  [16847] = {.lex_state = 100, .external_lex_state = 3},
  [16848] = {.lex_state = 382, .external_lex_state = 3},
  [16849] = {.lex_state = 425, .external_lex_state = 3},
  [16850] = {.lex_state = 382, .external_lex_state = 3},
  [16851] = {.lex_state = 382, .external_lex_state = 3},
  [16852] = {.lex_state = 15, .external_lex_state = 3},
  [16853] = {.lex_state = 15, .external_lex_state = 3},
  [16854] = {.lex_state = 25, .external_lex_state = 3},
  [16855] = {.lex_state = 15, .external_lex_state = 3},
  [16856] = {.lex_state = 100, .external_lex_state = 3},
  [16857] = {.lex_state = 15, .external_lex_state = 3},
  [16858] = {.lex_state = 425, .external_lex_state = 3},
  [16859] = {.lex_state = 382, .external_lex_state = 3},
  [16860] = {.lex_state = 100, .external_lex_state = 3},
  [16861] = {.lex_state = 382, .external_lex_state = 3},
  [16862] = {.lex_state = 211, .external_lex_state = 8},
  [16863] = {.lex_state = 15, .external_lex_state = 3},
  [16864] = {.lex_state = 382, .external_lex_state = 3},
  [16865] = {.lex_state = 15, .external_lex_state = 3},
  [16866] = {.lex_state = 99, .external_lex_state = 3},
  [16867] = {.lex_state = 382, .external_lex_state = 3},
  [16868] = {.lex_state = 382, .external_lex_state = 3},
  [16869] = {.lex_state = 100, .external_lex_state = 3},
  [16870] = {.lex_state = 15, .external_lex_state = 3},
  [16871] = {.lex_state = 99, .external_lex_state = 3},
  [16872] = {.lex_state = 425, .external_lex_state = 3},
  [16873] = {.lex_state = 15, .external_lex_state = 3},
  [16874] = {.lex_state = 382, .external_lex_state = 3},
  [16875] = {.lex_state = 100, .external_lex_state = 3},
  [16876] = {.lex_state = 382, .external_lex_state = 3},
  [16877] = {.lex_state = 382, .external_lex_state = 3},
  [16878] = {.lex_state = 382, .external_lex_state = 3},
  [16879] = {.lex_state = 100, .external_lex_state = 3},
  [16880] = {.lex_state = 99, .external_lex_state = 3},
  [16881] = {.lex_state = 25, .external_lex_state = 3},
  [16882] = {.lex_state = 100, .external_lex_state = 3},
  [16883] = {.lex_state = 15, .external_lex_state = 3},
  [16884] = {.lex_state = 100, .external_lex_state = 3},
  [16885] = {.lex_state = 382, .external_lex_state = 3},
  [16886] = {.lex_state = 425, .external_lex_state = 3},
  [16887] = {.lex_state = 382, .external_lex_state = 3},
  [16888] = {.lex_state = 382, .external_lex_state = 3},
  [16889] = {.lex_state = 382, .external_lex_state = 3},
  [16890] = {.lex_state = 382, .external_lex_state = 3},
  [16891] = {.lex_state = 382, .external_lex_state = 3},
  [16892] = {.lex_state = 15, .external_lex_state = 3},
  [16893] = {.lex_state = 25, .external_lex_state = 3},
  [16894] = {.lex_state = 382, .external_lex_state = 3},
  [16895] = {.lex_state = 382, .external_lex_state = 3},
  [16896] = {.lex_state = 382, .external_lex_state = 3},
  [16897] = {.lex_state = 382, .external_lex_state = 3},
  [16898] = {.lex_state = 100, .external_lex_state = 3},
  [16899] = {.lex_state = 100, .external_lex_state = 3},
  [16900] = {.lex_state = 412, .external_lex_state = 3},
  [16901] = {.lex_state = 99, .external_lex_state = 3},
  [16902] = {.lex_state = 100, .external_lex_state = 3},
  [16903] = {.lex_state = 425, .external_lex_state = 3},
  [16904] = {.lex_state = 100, .external_lex_state = 3},
  [16905] = {.lex_state = 382, .external_lex_state = 3},
  [16906] = {.lex_state = 382, .external_lex_state = 3},
  [16907] = {.lex_state = 100, .external_lex_state = 3},
  [16908] = {.lex_state = 100, .external_lex_state = 3},
  [16909] = {.lex_state = 100, .external_lex_state = 3},
  [16910] = {.lex_state = 15, .external_lex_state = 3},
  [16911] = {.lex_state = 99, .external_lex_state = 3},
  [16912] = {.lex_state = 100, .external_lex_state = 3},
  [16913] = {.lex_state = 25, .external_lex_state = 3},
  [16914] = {.lex_state = 425, .external_lex_state = 3},
  [16915] = {.lex_state = 382, .external_lex_state = 3},
  [16916] = {.lex_state = 15, .external_lex_state = 3},
  [16917] = {.lex_state = 15, .external_lex_state = 3},
  [16918] = {.lex_state = 15, .external_lex_state = 3},
  [16919] = {.lex_state = 100, .external_lex_state = 3},
  [16920] = {.lex_state = 100, .external_lex_state = 3},
  [16921] = {.lex_state = 100, .external_lex_state = 3},
  [16922] = {.lex_state = 382, .external_lex_state = 3},
  [16923] = {.lex_state = 382, .external_lex_state = 3},
  [16924] = {.lex_state = 382, .external_lex_state = 3},
  [16925] = {.lex_state = 100, .external_lex_state = 3},
  [16926] = {.lex_state = 211, .external_lex_state = 8},
  [16927] = {.lex_state = 15, .external_lex_state = 3},
  [16928] = {.lex_state = 25, .external_lex_state = 3},
  [16929] = {.lex_state = 382, .external_lex_state = 3},
  [16930] = {.lex_state = 205, .external_lex_state = 3},
  [16931] = {.lex_state = 205, .external_lex_state = 3},
  [16932] = {.lex_state = 15, .external_lex_state = 3},
  [16933] = {.lex_state = 15, .external_lex_state = 3},
  [16934] = {.lex_state = 15, .external_lex_state = 3},
  [16935] = {.lex_state = 100, .external_lex_state = 3},
  [16936] = {.lex_state = 15, .external_lex_state = 3},
  [16937] = {.lex_state = 100, .external_lex_state = 3},
  [16938] = {.lex_state = 15, .external_lex_state = 3},
  [16939] = {.lex_state = 100, .external_lex_state = 3},
  [16940] = {.lex_state = 382, .external_lex_state = 3},
  [16941] = {.lex_state = 382, .external_lex_state = 3},
  [16942] = {.lex_state = 425, .external_lex_state = 3},
  [16943] = {.lex_state = 382, .external_lex_state = 3},
  [16944] = {.lex_state = 382, .external_lex_state = 3},
  [16945] = {.lex_state = 25, .external_lex_state = 3},
  [16946] = {.lex_state = 15, .external_lex_state = 3},
  [16947] = {.lex_state = 382, .external_lex_state = 3},
  [16948] = {.lex_state = 382, .external_lex_state = 3},
  [16949] = {.lex_state = 382, .external_lex_state = 3},
  [16950] = {.lex_state = 382, .external_lex_state = 3},
  [16951] = {.lex_state = 15, .external_lex_state = 3},
  [16952] = {.lex_state = 100, .external_lex_state = 3},
  [16953] = {.lex_state = 425, .external_lex_state = 3},
  [16954] = {.lex_state = 382, .external_lex_state = 3},
  [16955] = {.lex_state = 382, .external_lex_state = 3},
  [16956] = {.lex_state = 382, .external_lex_state = 3},
  [16957] = {.lex_state = 382, .external_lex_state = 3},
  [16958] = {.lex_state = 382, .external_lex_state = 3},
  [16959] = {.lex_state = 15, .external_lex_state = 3},
  [16960] = {.lex_state = 382, .external_lex_state = 3},
  [16961] = {.lex_state = 15, .external_lex_state = 3},
  [16962] = {.lex_state = 382, .external_lex_state = 3},
  [16963] = {.lex_state = 211, .external_lex_state = 8},
  [16964] = {.lex_state = 165, .external_lex_state = 3},
  [16965] = {.lex_state = 382, .external_lex_state = 3},
  [16966] = {.lex_state = 100, .external_lex_state = 3},
  [16967] = {.lex_state = 100, .external_lex_state = 3},
  [16968] = {.lex_state = 382, .external_lex_state = 3},
  [16969] = {.lex_state = 15, .external_lex_state = 3},
  [16970] = {.lex_state = 100, .external_lex_state = 3},
  [16971] = {.lex_state = 205, .external_lex_state = 3},
  [16972] = {.lex_state = 7, .external_lex_state = 3},
  [16973] = {.lex_state = 100, .external_lex_state = 3},
  [16974] = {.lex_state = 100, .external_lex_state = 3},
  [16975] = {.lex_state = 100, .external_lex_state = 3},
  [16976] = {.lex_state = 100, .external_lex_state = 3},
  [16977] = {.lex_state = 100, .external_lex_state = 3},
  [16978] = {.lex_state = 100, .external_lex_state = 3},
  [16979] = {.lex_state = 15, .external_lex_state = 3},
  [16980] = {.lex_state = 100, .external_lex_state = 3},
  [16981] = {.lex_state = 99, .external_lex_state = 3},
  [16982] = {.lex_state = 211, .external_lex_state = 8},
  [16983] = {.lex_state = 100, .external_lex_state = 3},
  [16984] = {.lex_state = 100, .external_lex_state = 3},
  [16985] = {.lex_state = 382, .external_lex_state = 2},
  [16986] = {.lex_state = 100, .external_lex_state = 3},
  [16987] = {.lex_state = 15, .external_lex_state = 3},
  [16988] = {.lex_state = 15, .external_lex_state = 3},
  [16989] = {.lex_state = 382, .external_lex_state = 3},
  [16990] = {.lex_state = 100, .external_lex_state = 3},
  [16991] = {.lex_state = 100, .external_lex_state = 3},
  [16992] = {.lex_state = 100, .external_lex_state = 3},
  [16993] = {.lex_state = 99, .external_lex_state = 3},
  [16994] = {.lex_state = 100, .external_lex_state = 3},
  [16995] = {.lex_state = 15, .external_lex_state = 3},
  [16996] = {.lex_state = 99, .external_lex_state = 3},
  [16997] = {.lex_state = 382, .external_lex_state = 3},
  [16998] = {.lex_state = 382, .external_lex_state = 3},
  [16999] = {.lex_state = 382, .external_lex_state = 3},
  [17000] = {.lex_state = 15, .external_lex_state = 3},
  [17001] = {.lex_state = 382, .external_lex_state = 3},
  [17002] = {.lex_state = 382, .external_lex_state = 3},
  [17003] = {.lex_state = 382, .external_lex_state = 3},
  [17004] = {.lex_state = 99, .external_lex_state = 3},
  [17005] = {.lex_state = 382, .external_lex_state = 3},
  [17006] = {.lex_state = 100, .external_lex_state = 3},
  [17007] = {.lex_state = 100, .external_lex_state = 3},
  [17008] = {.lex_state = 15, .external_lex_state = 3},
  [17009] = {.lex_state = 100, .external_lex_state = 3},
  [17010] = {.lex_state = 15, .external_lex_state = 3},
  [17011] = {.lex_state = 100, .external_lex_state = 3},
  [17012] = {.lex_state = 382, .external_lex_state = 3},
  [17013] = {.lex_state = 25, .external_lex_state = 3},
  [17014] = {.lex_state = 100, .external_lex_state = 3},
  [17015] = {.lex_state = 205, .external_lex_state = 3},
  [17016] = {.lex_state = 15, .external_lex_state = 3},
  [17017] = {.lex_state = 100, .external_lex_state = 3},
  [17018] = {.lex_state = 425, .external_lex_state = 3},
  [17019] = {.lex_state = 382, .external_lex_state = 3},
  [17020] = {.lex_state = 382, .external_lex_state = 3},
  [17021] = {.lex_state = 425, .external_lex_state = 3},
  [17022] = {.lex_state = 15, .external_lex_state = 3},
  [17023] = {.lex_state = 25, .external_lex_state = 3},
  [17024] = {.lex_state = 15, .external_lex_state = 3},
  [17025] = {.lex_state = 100, .external_lex_state = 3},
  [17026] = {.lex_state = 425, .external_lex_state = 3},
  [17027] = {.lex_state = 382, .external_lex_state = 3},
  [17028] = {.lex_state = 382, .external_lex_state = 3},
  [17029] = {.lex_state = 211, .external_lex_state = 8},
  [17030] = {.lex_state = 100, .external_lex_state = 3},
  [17031] = {.lex_state = 382, .external_lex_state = 3},
  [17032] = {.lex_state = 15, .external_lex_state = 3},
  [17033] = {.lex_state = 382, .external_lex_state = 3},
  [17034] = {.lex_state = 15, .external_lex_state = 3},
  [17035] = {.lex_state = 100, .external_lex_state = 3},
  [17036] = {.lex_state = 15, .external_lex_state = 3},
  [17037] = {.lex_state = 205, .external_lex_state = 3},
  [17038] = {.lex_state = 15, .external_lex_state = 3},
  [17039] = {.lex_state = 100, .external_lex_state = 3},
  [17040] = {.lex_state = 100, .external_lex_state = 3},
  [17041] = {.lex_state = 15, .external_lex_state = 3},
  [17042] = {.lex_state = 165, .external_lex_state = 3},
  [17043] = {.lex_state = 382, .external_lex_state = 3},
  [17044] = {.lex_state = 382, .external_lex_state = 3},
  [17045] = {.lex_state = 382, .external_lex_state = 3},
  [17046] = {.lex_state = 15, .external_lex_state = 3},
  [17047] = {.lex_state = 382, .external_lex_state = 3},
  [17048] = {.lex_state = 382, .external_lex_state = 3},
  [17049] = {.lex_state = 382, .external_lex_state = 3},
  [17050] = {.lex_state = 100, .external_lex_state = 3},
  [17051] = {.lex_state = 100, .external_lex_state = 3},
  [17052] = {.lex_state = 100, .external_lex_state = 3},
  [17053] = {.lex_state = 99, .external_lex_state = 3},
  [17054] = {.lex_state = 382, .external_lex_state = 3},
  [17055] = {.lex_state = 10, .external_lex_state = 3},
  [17056] = {.lex_state = 382, .external_lex_state = 3},
  [17057] = {.lex_state = 15, .external_lex_state = 3},
  [17058] = {.lex_state = 100, .external_lex_state = 3},
  [17059] = {.lex_state = 15, .external_lex_state = 3},
  [17060] = {.lex_state = 100, .external_lex_state = 3},
  [17061] = {.lex_state = 100, .external_lex_state = 3},
  [17062] = {.lex_state = 100, .external_lex_state = 3},
  [17063] = {.lex_state = 100, .external_lex_state = 3},
  [17064] = {.lex_state = 165, .external_lex_state = 3},
  [17065] = {.lex_state = 382, .external_lex_state = 3},
  [17066] = {.lex_state = 425, .external_lex_state = 3},
  [17067] = {.lex_state = 15, .external_lex_state = 3},
  [17068] = {.lex_state = 382, .external_lex_state = 3},
  [17069] = {.lex_state = 15, .external_lex_state = 3},
  [17070] = {.lex_state = 15, .external_lex_state = 3},
  [17071] = {.lex_state = 100, .external_lex_state = 3},
  [17072] = {.lex_state = 100, .external_lex_state = 3},
  [17073] = {.lex_state = 382, .external_lex_state = 3},
  [17074] = {.lex_state = 211, .external_lex_state = 8},
  [17075] = {.lex_state = 100, .external_lex_state = 3},
  [17076] = {.lex_state = 100, .external_lex_state = 3},
  [17077] = {.lex_state = 100, .external_lex_state = 3},
  [17078] = {.lex_state = 382, .external_lex_state = 3},
  [17079] = {.lex_state = 15, .external_lex_state = 3},
  [17080] = {.lex_state = 99, .external_lex_state = 3},
  [17081] = {.lex_state = 15, .external_lex_state = 3},
  [17082] = {.lex_state = 15, .external_lex_state = 3},
  [17083] = {.lex_state = 99, .external_lex_state = 3},
  [17084] = {.lex_state = 100, .external_lex_state = 3},
  [17085] = {.lex_state = 99, .external_lex_state = 3},
  [17086] = {.lex_state = 100, .external_lex_state = 3},
  [17087] = {.lex_state = 15, .external_lex_state = 3},
  [17088] = {.lex_state = 100, .external_lex_state = 3},
  [17089] = {.lex_state = 382, .external_lex_state = 3},
  [17090] = {.lex_state = 382, .external_lex_state = 3},
  [17091] = {.lex_state = 15, .external_lex_state = 3},
  [17092] = {.lex_state = 382, .external_lex_state = 3},
  [17093] = {.lex_state = 382, .external_lex_state = 3},
  [17094] = {.lex_state = 100, .external_lex_state = 3},
  [17095] = {.lex_state = 100, .external_lex_state = 3},
  [17096] = {.lex_state = 100, .external_lex_state = 3},
  [17097] = {.lex_state = 15, .external_lex_state = 3},
  [17098] = {.lex_state = 100, .external_lex_state = 3},
  [17099] = {.lex_state = 15, .external_lex_state = 3},
  [17100] = {.lex_state = 15, .external_lex_state = 3},
  [17101] = {.lex_state = 382, .external_lex_state = 3},
  [17102] = {.lex_state = 100, .external_lex_state = 3},
  [17103] = {.lex_state = 25, .external_lex_state = 3},
  [17104] = {.lex_state = 211, .external_lex_state = 8},
  [17105] = {.lex_state = 100, .external_lex_state = 3},
  [17106] = {.lex_state = 15, .external_lex_state = 3},
  [17107] = {.lex_state = 15, .external_lex_state = 3},
  [17108] = {.lex_state = 205, .external_lex_state = 3},
  [17109] = {.lex_state = 15, .external_lex_state = 3},
  [17110] = {.lex_state = 100, .external_lex_state = 3},
  [17111] = {.lex_state = 382, .external_lex_state = 3},
  [17112] = {.lex_state = 382, .external_lex_state = 3},
  [17113] = {.lex_state = 15, .external_lex_state = 3},
  [17114] = {.lex_state = 382, .external_lex_state = 3},
  [17115] = {.lex_state = 382, .external_lex_state = 3},
  [17116] = {.lex_state = 205, .external_lex_state = 3},
  [17117] = {.lex_state = 100, .external_lex_state = 3},
  [17118] = {.lex_state = 100, .external_lex_state = 3},
  [17119] = {.lex_state = 100, .external_lex_state = 3},
  [17120] = {.lex_state = 425, .external_lex_state = 3},
  [17121] = {.lex_state = 382, .external_lex_state = 3},
  [17122] = {.lex_state = 382, .external_lex_state = 3},
  [17123] = {.lex_state = 25, .external_lex_state = 3},
  [17124] = {.lex_state = 100, .external_lex_state = 3},
  [17125] = {.lex_state = 99, .external_lex_state = 3},
  [17126] = {.lex_state = 15, .external_lex_state = 3},
  [17127] = {.lex_state = 425, .external_lex_state = 3},
  [17128] = {.lex_state = 382, .external_lex_state = 3},
  [17129] = {.lex_state = 382, .external_lex_state = 3},
  [17130] = {.lex_state = 211, .external_lex_state = 8},
  [17131] = {.lex_state = 15, .external_lex_state = 3},
  [17132] = {.lex_state = 100, .external_lex_state = 3},
  [17133] = {.lex_state = 100, .external_lex_state = 3},
  [17134] = {.lex_state = 382, .external_lex_state = 3},
  [17135] = {.lex_state = 15, .external_lex_state = 3},
  [17136] = {.lex_state = 15, .external_lex_state = 3},
  [17137] = {.lex_state = 15, .external_lex_state = 3},
  [17138] = {.lex_state = 100, .external_lex_state = 3},
  [17139] = {.lex_state = 100, .external_lex_state = 3},
  [17140] = {.lex_state = 382, .external_lex_state = 3},
  [17141] = {.lex_state = 382, .external_lex_state = 3},
  [17142] = {.lex_state = 100, .external_lex_state = 3},
  [17143] = {.lex_state = 382, .external_lex_state = 3},
  [17144] = {.lex_state = 382, .external_lex_state = 3},
  [17145] = {.lex_state = 382, .external_lex_state = 3},
  [17146] = {.lex_state = 15, .external_lex_state = 3},
  [17147] = {.lex_state = 15, .external_lex_state = 3},
  [17148] = {.lex_state = 100, .external_lex_state = 3},
  [17149] = {.lex_state = 25, .external_lex_state = 3},
  [17150] = {.lex_state = 382, .external_lex_state = 3},
  [17151] = {.lex_state = 100, .external_lex_state = 3},
  [17152] = {.lex_state = 15, .external_lex_state = 3},
  [17153] = {.lex_state = 15, .external_lex_state = 3},
  [17154] = {.lex_state = 100, .external_lex_state = 3},
  [17155] = {.lex_state = 205, .external_lex_state = 3},
  [17156] = {.lex_state = 205, .external_lex_state = 3},
  [17157] = {.lex_state = 15, .external_lex_state = 3},
  [17158] = {.lex_state = 382, .external_lex_state = 3},
  [17159] = {.lex_state = 100, .external_lex_state = 3},
  [17160] = {.lex_state = 15, .external_lex_state = 3},
  [17161] = {.lex_state = 211, .external_lex_state = 8},
  [17162] = {.lex_state = 100, .external_lex_state = 3},
  [17163] = {.lex_state = 25, .external_lex_state = 3},
  [17164] = {.lex_state = 99, .external_lex_state = 3},
  [17165] = {.lex_state = 15, .external_lex_state = 3},
  [17166] = {.lex_state = 382, .external_lex_state = 3},
  [17167] = {.lex_state = 382, .external_lex_state = 3},
  [17168] = {.lex_state = 382, .external_lex_state = 3},
  [17169] = {.lex_state = 382, .external_lex_state = 3},
  [17170] = {.lex_state = 382, .external_lex_state = 3},
  [17171] = {.lex_state = 382, .external_lex_state = 3},
  [17172] = {.lex_state = 382, .external_lex_state = 3},
  [17173] = {.lex_state = 100, .external_lex_state = 3},
  [17174] = {.lex_state = 100, .external_lex_state = 3},
  [17175] = {.lex_state = 382, .external_lex_state = 3},
  [17176] = {.lex_state = 15, .external_lex_state = 3},
  [17177] = {.lex_state = 100, .external_lex_state = 3},
  [17178] = {.lex_state = 100, .external_lex_state = 3},
  [17179] = {.lex_state = 100, .external_lex_state = 3},
  [17180] = {.lex_state = 205, .external_lex_state = 3},
  [17181] = {.lex_state = 211, .external_lex_state = 8},
  [17182] = {.lex_state = 99, .external_lex_state = 3},
  [17183] = {.lex_state = 100, .external_lex_state = 3},
  [17184] = {.lex_state = 382, .external_lex_state = 3},
  [17185] = {.lex_state = 15, .external_lex_state = 3},
  [17186] = {.lex_state = 100, .external_lex_state = 3},
  [17187] = {.lex_state = 382, .external_lex_state = 3},
  [17188] = {.lex_state = 382, .external_lex_state = 3},
  [17189] = {.lex_state = 100, .external_lex_state = 3},
  [17190] = {.lex_state = 382, .external_lex_state = 3},
  [17191] = {.lex_state = 382, .external_lex_state = 3},
  [17192] = {.lex_state = 15, .external_lex_state = 3},
  [17193] = {.lex_state = 388, .external_lex_state = 3},
  [17194] = {.lex_state = 100, .external_lex_state = 3},
  [17195] = {.lex_state = 25, .external_lex_state = 3},
  [17196] = {.lex_state = 99, .external_lex_state = 3},
  [17197] = {.lex_state = 100, .external_lex_state = 3},
  [17198] = {.lex_state = 382, .external_lex_state = 3},
  [17199] = {.lex_state = 100, .external_lex_state = 3},
  [17200] = {.lex_state = 382, .external_lex_state = 3},
  [17201] = {.lex_state = 15, .external_lex_state = 3},
  [17202] = {.lex_state = 100, .external_lex_state = 3},
  [17203] = {.lex_state = 25, .external_lex_state = 3},
  [17204] = {.lex_state = 211, .external_lex_state = 8},
  [17205] = {.lex_state = 100, .external_lex_state = 3},
  [17206] = {.lex_state = 15, .external_lex_state = 3},
  [17207] = {.lex_state = 382, .external_lex_state = 3},
  [17208] = {.lex_state = 25, .external_lex_state = 3},
  [17209] = {.lex_state = 100, .external_lex_state = 3},
  [17210] = {.lex_state = 100, .external_lex_state = 3},
  [17211] = {.lex_state = 100, .external_lex_state = 3},
  [17212] = {.lex_state = 100, .external_lex_state = 3},
  [17213] = {.lex_state = 100, .external_lex_state = 3},
  [17214] = {.lex_state = 99, .external_lex_state = 3},
  [17215] = {.lex_state = 382, .external_lex_state = 3},
  [17216] = {.lex_state = 100, .external_lex_state = 3},
  [17217] = {.lex_state = 382, .external_lex_state = 3},
  [17218] = {.lex_state = 382, .external_lex_state = 3},
  [17219] = {.lex_state = 382, .external_lex_state = 3},
  [17220] = {.lex_state = 382, .external_lex_state = 3},
  [17221] = {.lex_state = 382, .external_lex_state = 3},
  [17222] = {.lex_state = 100, .external_lex_state = 3},
  [17223] = {.lex_state = 25, .external_lex_state = 3},
  [17224] = {.lex_state = 425, .external_lex_state = 3},
  [17225] = {.lex_state = 382, .external_lex_state = 3},
  [17226] = {.lex_state = 382, .external_lex_state = 3},
  [17227] = {.lex_state = 205, .external_lex_state = 3},
  [17228] = {.lex_state = 382, .external_lex_state = 3},
  [17229] = {.lex_state = 15, .external_lex_state = 3},
  [17230] = {.lex_state = 205, .external_lex_state = 3},
  [17231] = {.lex_state = 99, .external_lex_state = 3},
  [17232] = {.lex_state = 99, .external_lex_state = 3},
  [17233] = {.lex_state = 211, .external_lex_state = 8},
  [17234] = {.lex_state = 15, .external_lex_state = 3},
  [17235] = {.lex_state = 15, .external_lex_state = 3},
  [17236] = {.lex_state = 100, .external_lex_state = 3},
  [17237] = {.lex_state = 100, .external_lex_state = 3},
  [17238] = {.lex_state = 100, .external_lex_state = 3},
  [17239] = {.lex_state = 100, .external_lex_state = 3},
  [17240] = {.lex_state = 382, .external_lex_state = 3},
  [17241] = {.lex_state = 425, .external_lex_state = 3},
  [17242] = {.lex_state = 382, .external_lex_state = 3},
  [17243] = {.lex_state = 382, .external_lex_state = 3},
  [17244] = {.lex_state = 382, .external_lex_state = 3},
  [17245] = {.lex_state = 382, .external_lex_state = 3},
  [17246] = {.lex_state = 382, .external_lex_state = 3},
  [17247] = {.lex_state = 15, .external_lex_state = 3},
  [17248] = {.lex_state = 382, .external_lex_state = 3},
  [17249] = {.lex_state = 382, .external_lex_state = 3},
  [17250] = {.lex_state = 425, .external_lex_state = 3},
  [17251] = {.lex_state = 100, .external_lex_state = 3},
  [17252] = {.lex_state = 25, .external_lex_state = 3},
  [17253] = {.lex_state = 382, .external_lex_state = 3},
  [17254] = {.lex_state = 425, .external_lex_state = 3},
  [17255] = {.lex_state = 382, .external_lex_state = 3},
  [17256] = {.lex_state = 382, .external_lex_state = 3},
  [17257] = {.lex_state = 100, .external_lex_state = 3},
  [17258] = {.lex_state = 15, .external_lex_state = 3},
  [17259] = {.lex_state = 25, .external_lex_state = 3},
  [17260] = {.lex_state = 382, .external_lex_state = 3},
  [17261] = {.lex_state = 211, .external_lex_state = 8},
  [17262] = {.lex_state = 25, .external_lex_state = 3},
  [17263] = {.lex_state = 425, .external_lex_state = 3},
  [17264] = {.lex_state = 382, .external_lex_state = 3},
  [17265] = {.lex_state = 382, .external_lex_state = 3},
  [17266] = {.lex_state = 205, .external_lex_state = 3},
  [17267] = {.lex_state = 15, .external_lex_state = 3},
  [17268] = {.lex_state = 382, .external_lex_state = 3},
  [17269] = {.lex_state = 382, .external_lex_state = 3},
  [17270] = {.lex_state = 382, .external_lex_state = 3},
  [17271] = {.lex_state = 382, .external_lex_state = 3},
  [17272] = {.lex_state = 15, .external_lex_state = 3},
  [17273] = {.lex_state = 15, .external_lex_state = 3},
  [17274] = {.lex_state = 382, .external_lex_state = 3},
  [17275] = {.lex_state = 100, .external_lex_state = 3},
  [17276] = {.lex_state = 100, .external_lex_state = 3},
  [17277] = {.lex_state = 211, .external_lex_state = 8},
  [17278] = {.lex_state = 100, .external_lex_state = 3},
  [17279] = {.lex_state = 382, .external_lex_state = 3},
  [17280] = {.lex_state = 425, .external_lex_state = 3},
  [17281] = {.lex_state = 15, .external_lex_state = 3},
  [17282] = {.lex_state = 100, .external_lex_state = 3},
  [17283] = {.lex_state = 382, .external_lex_state = 3},
  [17284] = {.lex_state = 425, .external_lex_state = 3},
  [17285] = {.lex_state = 100, .external_lex_state = 3},
  [17286] = {.lex_state = 382, .external_lex_state = 3},
  [17287] = {.lex_state = 382, .external_lex_state = 3},
  [17288] = {.lex_state = 382, .external_lex_state = 3},
  [17289] = {.lex_state = 382, .external_lex_state = 3},
  [17290] = {.lex_state = 382, .external_lex_state = 3},
  [17291] = {.lex_state = 382, .external_lex_state = 3},
  [17292] = {.lex_state = 15, .external_lex_state = 3},
  [17293] = {.lex_state = 15, .external_lex_state = 3},
  [17294] = {.lex_state = 99, .external_lex_state = 3},
  [17295] = {.lex_state = 211, .external_lex_state = 8},
  [17296] = {.lex_state = 100, .external_lex_state = 3},
  [17297] = {.lex_state = 100, .external_lex_state = 3},
  [17298] = {.lex_state = 100, .external_lex_state = 3},
  [17299] = {.lex_state = 382, .external_lex_state = 3},
  [17300] = {.lex_state = 10, .external_lex_state = 3},
  [17301] = {.lex_state = 165, .external_lex_state = 3},
  [17302] = {.lex_state = 425, .external_lex_state = 3},
  [17303] = {.lex_state = 425, .external_lex_state = 3},
  [17304] = {.lex_state = 382, .external_lex_state = 3},
  [17305] = {.lex_state = 382, .external_lex_state = 3},
  [17306] = {.lex_state = 382, .external_lex_state = 3},
  [17307] = {.lex_state = 382, .external_lex_state = 3},
  [17308] = {.lex_state = 382, .external_lex_state = 3},
  [17309] = {.lex_state = 382, .external_lex_state = 3},
  [17310] = {.lex_state = 382, .external_lex_state = 3},
  [17311] = {.lex_state = 382, .external_lex_state = 3},
  [17312] = {.lex_state = 15, .external_lex_state = 3},
  [17313] = {.lex_state = 382, .external_lex_state = 3},
  [17314] = {.lex_state = 211, .external_lex_state = 8},
  [17315] = {.lex_state = 15, .external_lex_state = 3},
  [17316] = {.lex_state = 100, .external_lex_state = 3},
  [17317] = {.lex_state = 100, .external_lex_state = 3},
  [17318] = {.lex_state = 382, .external_lex_state = 3},
  [17319] = {.lex_state = 382, .external_lex_state = 3},
  [17320] = {.lex_state = 382, .external_lex_state = 3},
  [17321] = {.lex_state = 382, .external_lex_state = 3},
  [17322] = {.lex_state = 99, .external_lex_state = 3},
  [17323] = {.lex_state = 15, .external_lex_state = 3},
  [17324] = {.lex_state = 99, .external_lex_state = 3},
  [17325] = {.lex_state = 382, .external_lex_state = 3},
  [17326] = {.lex_state = 211, .external_lex_state = 8},
  [17327] = {.lex_state = 100, .external_lex_state = 3},
  [17328] = {.lex_state = 100, .external_lex_state = 3},
  [17329] = {.lex_state = 100, .external_lex_state = 3},
  [17330] = {.lex_state = 15, .external_lex_state = 3},
  [17331] = {.lex_state = 100, .external_lex_state = 3},
  [17332] = {.lex_state = 382, .external_lex_state = 3},
  [17333] = {.lex_state = 100, .external_lex_state = 3},
  [17334] = {.lex_state = 382, .external_lex_state = 3},
  [17335] = {.lex_state = 382, .external_lex_state = 3},
  [17336] = {.lex_state = 382, .external_lex_state = 3},
  [17337] = {.lex_state = 99, .external_lex_state = 3},
  [17338] = {.lex_state = 15, .external_lex_state = 3},
  [17339] = {.lex_state = 382, .external_lex_state = 3},
  [17340] = {.lex_state = 211, .external_lex_state = 8},
  [17341] = {.lex_state = 100, .external_lex_state = 3},
  [17342] = {.lex_state = 100, .external_lex_state = 3},
  [17343] = {.lex_state = 100, .external_lex_state = 3},
  [17344] = {.lex_state = 100, .external_lex_state = 3},
  [17345] = {.lex_state = 382, .external_lex_state = 3},
  [17346] = {.lex_state = 382, .external_lex_state = 3},
  [17347] = {.lex_state = 382, .external_lex_state = 3},
  [17348] = {.lex_state = 382, .external_lex_state = 3},
  [17349] = {.lex_state = 412, .external_lex_state = 3},
  [17350] = {.lex_state = 100, .external_lex_state = 3},
  [17351] = {.lex_state = 412, .external_lex_state = 3},
  [17352] = {.lex_state = 15, .external_lex_state = 3},
  [17353] = {.lex_state = 99, .external_lex_state = 3},
  [17354] = {.lex_state = 100, .external_lex_state = 3},
  [17355] = {.lex_state = 211, .external_lex_state = 8},
  [17356] = {.lex_state = 100, .external_lex_state = 3},
  [17357] = {.lex_state = 100, .external_lex_state = 3},
  [17358] = {.lex_state = 100, .external_lex_state = 3},
  [17359] = {.lex_state = 100, .external_lex_state = 3},
  [17360] = {.lex_state = 15, .external_lex_state = 3},
  [17361] = {.lex_state = 100, .external_lex_state = 3},
  [17362] = {.lex_state = 382, .external_lex_state = 3},
  [17363] = {.lex_state = 382, .external_lex_state = 3},
  [17364] = {.lex_state = 382, .external_lex_state = 3},
  [17365] = {.lex_state = 382, .external_lex_state = 3},
  [17366] = {.lex_state = 382, .external_lex_state = 3},
  [17367] = {.lex_state = 25, .external_lex_state = 3},
  [17368] = {.lex_state = 15, .external_lex_state = 3},
  [17369] = {.lex_state = 15, .external_lex_state = 3},
  [17370] = {.lex_state = 205, .external_lex_state = 3},
  [17371] = {.lex_state = 100, .external_lex_state = 3},
  [17372] = {.lex_state = 211, .external_lex_state = 8},
  [17373] = {.lex_state = 382, .external_lex_state = 3},
  [17374] = {.lex_state = 205, .external_lex_state = 3},
  [17375] = {.lex_state = 15, .external_lex_state = 3},
  [17376] = {.lex_state = 100, .external_lex_state = 3},
  [17377] = {.lex_state = 425, .external_lex_state = 3},
  [17378] = {.lex_state = 382, .external_lex_state = 3},
  [17379] = {.lex_state = 382, .external_lex_state = 3},
  [17380] = {.lex_state = 382, .external_lex_state = 3},
  [17381] = {.lex_state = 382, .external_lex_state = 3},
  [17382] = {.lex_state = 382, .external_lex_state = 3},
  [17383] = {.lex_state = 382, .external_lex_state = 3},
  [17384] = {.lex_state = 25, .external_lex_state = 3},
  [17385] = {.lex_state = 15, .external_lex_state = 3},
  [17386] = {.lex_state = 211, .external_lex_state = 8},
  [17387] = {.lex_state = 205, .external_lex_state = 3},
  [17388] = {.lex_state = 205, .external_lex_state = 3},
  [17389] = {.lex_state = 425, .external_lex_state = 3},
  [17390] = {.lex_state = 382, .external_lex_state = 3},
  [17391] = {.lex_state = 382, .external_lex_state = 3},
  [17392] = {.lex_state = 15, .external_lex_state = 3},
  [17393] = {.lex_state = 15, .external_lex_state = 3},
  [17394] = {.lex_state = 100, .external_lex_state = 3},
  [17395] = {.lex_state = 15, .external_lex_state = 3},
  [17396] = {.lex_state = 382, .external_lex_state = 3},
  [17397] = {.lex_state = 15, .external_lex_state = 3},
  [17398] = {.lex_state = 382, .external_lex_state = 3},
  [17399] = {.lex_state = 382, .external_lex_state = 3},
  [17400] = {.lex_state = 382, .external_lex_state = 3},
  [17401] = {.lex_state = 382, .external_lex_state = 3},
  [17402] = {.lex_state = 15, .external_lex_state = 3},
  [17403] = {.lex_state = 100, .external_lex_state = 3},
  [17404] = {.lex_state = 382, .external_lex_state = 3},
  [17405] = {.lex_state = 211, .external_lex_state = 8},
  [17406] = {.lex_state = 100, .external_lex_state = 3},
  [17407] = {.lex_state = 382, .external_lex_state = 3},
  [17408] = {.lex_state = 132, .external_lex_state = 3},
  [17409] = {.lex_state = 100, .external_lex_state = 3},
  [17410] = {.lex_state = 25, .external_lex_state = 3},
  [17411] = {.lex_state = 15, .external_lex_state = 3},
  [17412] = {.lex_state = 15, .external_lex_state = 3},
  [17413] = {.lex_state = 211, .external_lex_state = 8},
  [17414] = {.lex_state = 100, .external_lex_state = 3},
  [17415] = {.lex_state = 382, .external_lex_state = 3},
  [17416] = {.lex_state = 100, .external_lex_state = 3},
  [17417] = {.lex_state = 15, .external_lex_state = 3},
  [17418] = {.lex_state = 100, .external_lex_state = 3},
  [17419] = {.lex_state = 205, .external_lex_state = 3},
  [17420] = {.lex_state = 15, .external_lex_state = 3},
  [17421] = {.lex_state = 211, .external_lex_state = 8},
  [17422] = {.lex_state = 15, .external_lex_state = 3},
  [17423] = {.lex_state = 382, .external_lex_state = 3},
  [17424] = {.lex_state = 100, .external_lex_state = 3},
  [17425] = {.lex_state = 25, .external_lex_state = 3},
  [17426] = {.lex_state = 100, .external_lex_state = 3},
  [17427] = {.lex_state = 211, .external_lex_state = 8},
  [17428] = {.lex_state = 100, .external_lex_state = 3},
  [17429] = {.lex_state = 425, .external_lex_state = 3},
  [17430] = {.lex_state = 15, .external_lex_state = 3},
  [17431] = {.lex_state = 382, .external_lex_state = 3},
  [17432] = {.lex_state = 211, .external_lex_state = 8},
  [17433] = {.lex_state = 100, .external_lex_state = 3},
  [17434] = {.lex_state = 100, .external_lex_state = 3},
  [17435] = {.lex_state = 100, .external_lex_state = 3},
  [17436] = {.lex_state = 15, .external_lex_state = 3},
  [17437] = {.lex_state = 99, .external_lex_state = 3},
  [17438] = {.lex_state = 382, .external_lex_state = 2},
  [17439] = {.lex_state = 15, .external_lex_state = 3},
  [17440] = {.lex_state = 100, .external_lex_state = 3},
  [17441] = {.lex_state = 211, .external_lex_state = 8},
  [17442] = {.lex_state = 382, .external_lex_state = 3},
  [17443] = {.lex_state = 15, .external_lex_state = 3},
  [17444] = {.lex_state = 100, .external_lex_state = 3},
  [17445] = {.lex_state = 15, .external_lex_state = 3},
  [17446] = {.lex_state = 382, .external_lex_state = 3},
  [17447] = {.lex_state = 211, .external_lex_state = 8},
  [17448] = {.lex_state = 100, .external_lex_state = 3},
  [17449] = {.lex_state = 205, .external_lex_state = 3},
  [17450] = {.lex_state = 100, .external_lex_state = 3},
  [17451] = {.lex_state = 15, .external_lex_state = 3},
  [17452] = {.lex_state = 100, .external_lex_state = 3},
  [17453] = {.lex_state = 15, .external_lex_state = 3},
  [17454] = {.lex_state = 211, .external_lex_state = 8},
  [17455] = {.lex_state = 205, .external_lex_state = 3},
  [17456] = {.lex_state = 99, .external_lex_state = 3},
  [17457] = {.lex_state = 425, .external_lex_state = 3},
  [17458] = {.lex_state = 100, .external_lex_state = 3},
  [17459] = {.lex_state = 15, .external_lex_state = 3},
  [17460] = {.lex_state = 100, .external_lex_state = 3},
  [17461] = {.lex_state = 25, .external_lex_state = 3},
  [17462] = {.lex_state = 211, .external_lex_state = 8},
  [17463] = {.lex_state = 100, .external_lex_state = 3},
  [17464] = {.lex_state = 100, .external_lex_state = 3},
  [17465] = {.lex_state = 15, .external_lex_state = 3},
  [17466] = {.lex_state = 15, .external_lex_state = 3},
  [17467] = {.lex_state = 15, .external_lex_state = 3},
  [17468] = {.lex_state = 211, .external_lex_state = 8},
  [17469] = {.lex_state = 100, .external_lex_state = 3},
  [17470] = {.lex_state = 382, .external_lex_state = 3},
  [17471] = {.lex_state = 382, .external_lex_state = 3},
  [17472] = {.lex_state = 15, .external_lex_state = 3},
  [17473] = {.lex_state = 15, .external_lex_state = 3},
  [17474] = {.lex_state = 100, .external_lex_state = 3},
  [17475] = {.lex_state = 211, .external_lex_state = 8},
  [17476] = {.lex_state = 100, .external_lex_state = 3},
  [17477] = {.lex_state = 100, .external_lex_state = 3},
  [17478] = {.lex_state = 205, .external_lex_state = 3},
  [17479] = {.lex_state = 100, .external_lex_state = 3},
  [17480] = {.lex_state = 15, .external_lex_state = 3},
  [17481] = {.lex_state = 425, .external_lex_state = 3},
  [17482] = {.lex_state = 15, .external_lex_state = 3},
  [17483] = {.lex_state = 100, .external_lex_state = 3},
  [17484] = {.lex_state = 100, .external_lex_state = 3},
  [17485] = {.lex_state = 211, .external_lex_state = 8},
  [17486] = {.lex_state = 100, .external_lex_state = 3},
  [17487] = {.lex_state = 100, .external_lex_state = 3},
  [17488] = {.lex_state = 15, .external_lex_state = 3},
  [17489] = {.lex_state = 15, .external_lex_state = 3},
  [17490] = {.lex_state = 100, .external_lex_state = 3},
  [17491] = {.lex_state = 100, .external_lex_state = 3},
  [17492] = {.lex_state = 211, .external_lex_state = 8},
  [17493] = {.lex_state = 99, .external_lex_state = 3},
  [17494] = {.lex_state = 15, .external_lex_state = 3},
  [17495] = {.lex_state = 382, .external_lex_state = 3},
  [17496] = {.lex_state = 15, .external_lex_state = 3},
  [17497] = {.lex_state = 15, .external_lex_state = 3},
  [17498] = {.lex_state = 99, .external_lex_state = 3},
  [17499] = {.lex_state = 211, .external_lex_state = 8},
  [17500] = {.lex_state = 425, .external_lex_state = 3},
  [17501] = {.lex_state = 100, .external_lex_state = 3},
  [17502] = {.lex_state = 100, .external_lex_state = 3},
  [17503] = {.lex_state = 382, .external_lex_state = 3},
  [17504] = {.lex_state = 382, .external_lex_state = 3},
  [17505] = {.lex_state = 100, .external_lex_state = 3},
  [17506] = {.lex_state = 15, .external_lex_state = 3},
  [17507] = {.lex_state = 211, .external_lex_state = 8},
  [17508] = {.lex_state = 15, .external_lex_state = 3},
  [17509] = {.lex_state = 15, .external_lex_state = 3},
  [17510] = {.lex_state = 15, .external_lex_state = 3},
  [17511] = {.lex_state = 100, .external_lex_state = 3},
  [17512] = {.lex_state = 211, .external_lex_state = 8},
  [17513] = {.lex_state = 100, .external_lex_state = 3},
  [17514] = {.lex_state = 100, .external_lex_state = 3},
  [17515] = {.lex_state = 99, .external_lex_state = 3},
  [17516] = {.lex_state = 25, .external_lex_state = 3},
  [17517] = {.lex_state = 15, .external_lex_state = 3},
  [17518] = {.lex_state = 100, .external_lex_state = 3},
  [17519] = {.lex_state = 15, .external_lex_state = 3},
  [17520] = {.lex_state = 211, .external_lex_state = 8},
  [17521] = {.lex_state = 205, .external_lex_state = 3},
  [17522] = {.lex_state = 15, .external_lex_state = 3},
  [17523] = {.lex_state = 100, .external_lex_state = 3},
  [17524] = {.lex_state = 100, .external_lex_state = 3},
  [17525] = {.lex_state = 15, .external_lex_state = 3},
  [17526] = {.lex_state = 15, .external_lex_state = 3},
  [17527] = {.lex_state = 211, .external_lex_state = 8},
  [17528] = {.lex_state = 100, .external_lex_state = 3},
  [17529] = {.lex_state = 100, .external_lex_state = 3},
  [17530] = {.lex_state = 15, .external_lex_state = 3},
  [17531] = {.lex_state = 211, .external_lex_state = 8},
  [17532] = {.lex_state = 100, .external_lex_state = 3},
  [17533] = {.lex_state = 100, .external_lex_state = 3},
  [17534] = {.lex_state = 100, .external_lex_state = 3},
  [17535] = {.lex_state = 100, .external_lex_state = 3},
  [17536] = {.lex_state = 100, .external_lex_state = 3},
  [17537] = {.lex_state = 100, .external_lex_state = 3},
  [17538] = {.lex_state = 15, .external_lex_state = 3},
  [17539] = {.lex_state = 382, .external_lex_state = 3},
  [17540] = {.lex_state = 211, .external_lex_state = 8},
  [17541] = {.lex_state = 15, .external_lex_state = 3},
  [17542] = {.lex_state = 425, .external_lex_state = 3},
  [17543] = {.lex_state = 99, .external_lex_state = 3},
  [17544] = {.lex_state = 100, .external_lex_state = 3},
  [17545] = {.lex_state = 382, .external_lex_state = 3},
  [17546] = {.lex_state = 15, .external_lex_state = 3},
  [17547] = {.lex_state = 100, .external_lex_state = 3},
  [17548] = {.lex_state = 100, .external_lex_state = 3},
  [17549] = {.lex_state = 211, .external_lex_state = 8},
  [17550] = {.lex_state = 382, .external_lex_state = 3},
  [17551] = {.lex_state = 15, .external_lex_state = 3},
  [17552] = {.lex_state = 382, .external_lex_state = 3},
  [17553] = {.lex_state = 99, .external_lex_state = 3},
  [17554] = {.lex_state = 100, .external_lex_state = 3},
  [17555] = {.lex_state = 15, .external_lex_state = 3},
  [17556] = {.lex_state = 15, .external_lex_state = 3},
  [17557] = {.lex_state = 15, .external_lex_state = 3},
  [17558] = {.lex_state = 100, .external_lex_state = 3},
  [17559] = {.lex_state = 211, .external_lex_state = 8},
  [17560] = {.lex_state = 100, .external_lex_state = 3},
  [17561] = {.lex_state = 15, .external_lex_state = 3},
  [17562] = {.lex_state = 100, .external_lex_state = 3},
  [17563] = {.lex_state = 25, .external_lex_state = 3},
  [17564] = {.lex_state = 100, .external_lex_state = 3},
  [17565] = {.lex_state = 15, .external_lex_state = 3},
  [17566] = {.lex_state = 100, .external_lex_state = 3},
  [17567] = {.lex_state = 15, .external_lex_state = 3},
  [17568] = {.lex_state = 382, .external_lex_state = 3},
  [17569] = {.lex_state = 211, .external_lex_state = 8},
  [17570] = {.lex_state = 205, .external_lex_state = 3},
  [17571] = {.lex_state = 100, .external_lex_state = 3},
  [17572] = {.lex_state = 100, .external_lex_state = 3},
  [17573] = {.lex_state = 99, .external_lex_state = 3},
  [17574] = {.lex_state = 165, .external_lex_state = 3},
  [17575] = {.lex_state = 15, .external_lex_state = 3},
  [17576] = {.lex_state = 15, .external_lex_state = 3},
  [17577] = {.lex_state = 382, .external_lex_state = 3},
  [17578] = {.lex_state = 211, .external_lex_state = 8},
  [17579] = {.lex_state = 100, .external_lex_state = 3},
  [17580] = {.lex_state = 15, .external_lex_state = 3},
  [17581] = {.lex_state = 15, .external_lex_state = 3},
  [17582] = {.lex_state = 425, .external_lex_state = 3},
  [17583] = {.lex_state = 100, .external_lex_state = 3},
  [17584] = {.lex_state = 15, .external_lex_state = 3},
  [17585] = {.lex_state = 382, .external_lex_state = 3},
  [17586] = {.lex_state = 382, .external_lex_state = 3},
  [17587] = {.lex_state = 100, .external_lex_state = 3},
  [17588] = {.lex_state = 211, .external_lex_state = 8},
  [17589] = {.lex_state = 425, .external_lex_state = 3},
  [17590] = {.lex_state = 382, .external_lex_state = 3},
  [17591] = {.lex_state = 15, .external_lex_state = 3},
  [17592] = {.lex_state = 382, .external_lex_state = 3},
  [17593] = {.lex_state = 25, .external_lex_state = 3},
  [17594] = {.lex_state = 211, .external_lex_state = 8},
  [17595] = {.lex_state = 382, .external_lex_state = 3},
  [17596] = {.lex_state = 100, .external_lex_state = 3},
  [17597] = {.lex_state = 100, .external_lex_state = 3},
  [17598] = {.lex_state = 382, .external_lex_state = 3},
  [17599] = {.lex_state = 100, .external_lex_state = 3},
  [17600] = {.lex_state = 99, .external_lex_state = 3},
  [17601] = {.lex_state = 15, .external_lex_state = 3},
  [17602] = {.lex_state = 205, .external_lex_state = 3},
  [17603] = {.lex_state = 211, .external_lex_state = 8},
  [17604] = {.lex_state = 205, .external_lex_state = 3},
  [17605] = {.lex_state = 15, .external_lex_state = 3},
  [17606] = {.lex_state = 211, .external_lex_state = 8},
  [17607] = {.lex_state = 382, .external_lex_state = 3},
  [17608] = {.lex_state = 382, .external_lex_state = 3},
  [17609] = {.lex_state = 205, .external_lex_state = 3},
  [17610] = {.lex_state = 15, .external_lex_state = 3},
  [17611] = {.lex_state = 15, .external_lex_state = 3},
  [17612] = {.lex_state = 211, .external_lex_state = 8},
  [17613] = {.lex_state = 100, .external_lex_state = 3},
  [17614] = {.lex_state = 15, .external_lex_state = 3},
  [17615] = {.lex_state = 100, .external_lex_state = 3},
  [17616] = {.lex_state = 211, .external_lex_state = 8},
  [17617] = {.lex_state = 15, .external_lex_state = 3},
  [17618] = {.lex_state = 100, .external_lex_state = 3},
  [17619] = {.lex_state = 211, .external_lex_state = 8},
  [17620] = {.lex_state = 15, .external_lex_state = 3},
  [17621] = {.lex_state = 211, .external_lex_state = 8},
  [17622] = {.lex_state = 15, .external_lex_state = 3},
  [17623] = {.lex_state = 211, .external_lex_state = 8},
  [17624] = {.lex_state = 15, .external_lex_state = 3},
  [17625] = {.lex_state = 211, .external_lex_state = 8},
  [17626] = {.lex_state = 15, .external_lex_state = 3},
  [17627] = {.lex_state = 15, .external_lex_state = 3},
  [17628] = {.lex_state = 211, .external_lex_state = 8},
  [17629] = {.lex_state = 15, .external_lex_state = 3},
  [17630] = {.lex_state = 99, .external_lex_state = 3},
  [17631] = {.lex_state = 211, .external_lex_state = 8},
  [17632] = {.lex_state = 15, .external_lex_state = 3},
  [17633] = {.lex_state = 15, .external_lex_state = 3},
  [17634] = {.lex_state = 211, .external_lex_state = 8},
  [17635] = {.lex_state = 15, .external_lex_state = 3},
  [17636] = {.lex_state = 211, .external_lex_state = 8},
  [17637] = {.lex_state = 15, .external_lex_state = 3},
  [17638] = {.lex_state = 15, .external_lex_state = 3},
  [17639] = {.lex_state = 211, .external_lex_state = 8},
  [17640] = {.lex_state = 15, .external_lex_state = 3},
  [17641] = {.lex_state = 100, .external_lex_state = 3},
  [17642] = {.lex_state = 211, .external_lex_state = 8},
  [17643] = {.lex_state = 15, .external_lex_state = 3},
  [17644] = {.lex_state = 211, .external_lex_state = 8},
  [17645] = {.lex_state = 15, .external_lex_state = 3},
  [17646] = {.lex_state = 211, .external_lex_state = 8},
  [17647] = {.lex_state = 15, .external_lex_state = 3},
  [17648] = {.lex_state = 211, .external_lex_state = 8},
  [17649] = {.lex_state = 15, .external_lex_state = 3},
  [17650] = {.lex_state = 211, .external_lex_state = 8},
  [17651] = {.lex_state = 15, .external_lex_state = 3},
  [17652] = {.lex_state = 211, .external_lex_state = 8},
  [17653] = {.lex_state = 15, .external_lex_state = 3},
  [17654] = {.lex_state = 211, .external_lex_state = 8},
  [17655] = {.lex_state = 15, .external_lex_state = 3},
  [17656] = {.lex_state = 211, .external_lex_state = 8},
  [17657] = {.lex_state = 15, .external_lex_state = 3},
  [17658] = {.lex_state = 211, .external_lex_state = 8},
  [17659] = {.lex_state = 15, .external_lex_state = 3},
  [17660] = {.lex_state = 211, .external_lex_state = 8},
  [17661] = {.lex_state = 15, .external_lex_state = 3},
  [17662] = {.lex_state = 211, .external_lex_state = 8},
  [17663] = {.lex_state = 15, .external_lex_state = 3},
  [17664] = {.lex_state = 211, .external_lex_state = 8},
  [17665] = {.lex_state = 15, .external_lex_state = 3},
  [17666] = {.lex_state = 211, .external_lex_state = 8},
  [17667] = {.lex_state = 15, .external_lex_state = 3},
  [17668] = {.lex_state = 211, .external_lex_state = 8},
  [17669] = {.lex_state = 15, .external_lex_state = 3},
  [17670] = {.lex_state = 211, .external_lex_state = 8},
  [17671] = {.lex_state = 15, .external_lex_state = 3},
  [17672] = {.lex_state = 211, .external_lex_state = 8},
  [17673] = {.lex_state = 15, .external_lex_state = 3},
  [17674] = {.lex_state = 211, .external_lex_state = 8},
  [17675] = {.lex_state = 15, .external_lex_state = 3},
  [17676] = {.lex_state = 211, .external_lex_state = 8},
  [17677] = {.lex_state = 15, .external_lex_state = 3},
  [17678] = {.lex_state = 211, .external_lex_state = 8},
  [17679] = {.lex_state = 15, .external_lex_state = 3},
  [17680] = {.lex_state = 211, .external_lex_state = 8},
  [17681] = {.lex_state = 15, .external_lex_state = 3},
  [17682] = {.lex_state = 211, .external_lex_state = 8},
  [17683] = {.lex_state = 15, .external_lex_state = 3},
  [17684] = {.lex_state = 211, .external_lex_state = 8},
  [17685] = {.lex_state = 15, .external_lex_state = 3},
  [17686] = {.lex_state = 211, .external_lex_state = 8},
  [17687] = {.lex_state = 15, .external_lex_state = 3},
  [17688] = {.lex_state = 211, .external_lex_state = 8},
  [17689] = {.lex_state = 15, .external_lex_state = 3},
  [17690] = {.lex_state = 211, .external_lex_state = 8},
  [17691] = {.lex_state = 15, .external_lex_state = 3},
  [17692] = {.lex_state = 211, .external_lex_state = 8},
  [17693] = {.lex_state = 100, .external_lex_state = 3},
  [17694] = {.lex_state = 100, .external_lex_state = 3},
  [17695] = {.lex_state = 382, .external_lex_state = 3},
  [17696] = {.lex_state = 15, .external_lex_state = 3},
  [17697] = {.lex_state = 15, .external_lex_state = 3},
  [17698] = {.lex_state = 100, .external_lex_state = 3},
  [17699] = {.lex_state = 382, .external_lex_state = 3},
  [17700] = {.lex_state = 382, .external_lex_state = 3},
  [17701] = {.lex_state = 100, .external_lex_state = 3},
  [17702] = {.lex_state = 382, .external_lex_state = 3},
  [17703] = {.lex_state = 15, .external_lex_state = 3},
  [17704] = {.lex_state = 100, .external_lex_state = 3},
  [17705] = {.lex_state = 100, .external_lex_state = 3},
  [17706] = {.lex_state = 211, .external_lex_state = 8},
  [17707] = {.lex_state = 425, .external_lex_state = 3},
  [17708] = {.lex_state = 412, .external_lex_state = 3},
  [17709] = {.lex_state = 382, .external_lex_state = 3},
  [17710] = {.lex_state = 425, .external_lex_state = 3},
  [17711] = {.lex_state = 382, .external_lex_state = 3},
  [17712] = {.lex_state = 100, .external_lex_state = 3},
  [17713] = {.lex_state = 100, .external_lex_state = 3},
  [17714] = {.lex_state = 205, .external_lex_state = 3},
  [17715] = {.lex_state = 25, .external_lex_state = 3},
  [17716] = {.lex_state = 412, .external_lex_state = 3},
  [17717] = {.lex_state = 15, .external_lex_state = 3},
  [17718] = {.lex_state = 99, .external_lex_state = 3},
  [17719] = {.lex_state = 100, .external_lex_state = 3},
  [17720] = {.lex_state = 382, .external_lex_state = 3},
  [17721] = {.lex_state = 382, .external_lex_state = 3},
  [17722] = {.lex_state = 99, .external_lex_state = 3},
  [17723] = {.lex_state = 15, .external_lex_state = 3},
  [17724] = {.lex_state = 100, .external_lex_state = 3},
  [17725] = {.lex_state = 25, .external_lex_state = 3},
  [17726] = {.lex_state = 25, .external_lex_state = 3},
  [17727] = {.lex_state = 15, .external_lex_state = 3},
  [17728] = {.lex_state = 15, .external_lex_state = 3},
  [17729] = {.lex_state = 100, .external_lex_state = 3},
  [17730] = {.lex_state = 425, .external_lex_state = 3},
  [17731] = {.lex_state = 382, .external_lex_state = 3},
  [17732] = {.lex_state = 382, .external_lex_state = 3},
  [17733] = {.lex_state = 100, .external_lex_state = 3},
  [17734] = {.lex_state = 15, .external_lex_state = 3},
  [17735] = {.lex_state = 382, .external_lex_state = 3},
  [17736] = {.lex_state = 205, .external_lex_state = 3},
  [17737] = {.lex_state = 382, .external_lex_state = 3},
  [17738] = {.lex_state = 100, .external_lex_state = 3},
  [17739] = {.lex_state = 15, .external_lex_state = 3},
  [17740] = {.lex_state = 15, .external_lex_state = 3},
  [17741] = {.lex_state = 100, .external_lex_state = 3},
  [17742] = {.lex_state = 100, .external_lex_state = 3},
  [17743] = {.lex_state = 425, .external_lex_state = 3},
  [17744] = {.lex_state = 100, .external_lex_state = 3},
  [17745] = {.lex_state = 382, .external_lex_state = 3},
  [17746] = {.lex_state = 412, .external_lex_state = 3},
  [17747] = {.lex_state = 382, .external_lex_state = 3},
  [17748] = {.lex_state = 100, .external_lex_state = 3},
  [17749] = {.lex_state = 412, .external_lex_state = 3},
  [17750] = {.lex_state = 15, .external_lex_state = 3},
  [17751] = {.lex_state = 100, .external_lex_state = 3},
  [17752] = {.lex_state = 100, .external_lex_state = 3},
  [17753] = {.lex_state = 100, .external_lex_state = 3},
  [17754] = {.lex_state = 15, .external_lex_state = 3},
  [17755] = {.lex_state = 99, .external_lex_state = 3},
  [17756] = {.lex_state = 100, .external_lex_state = 3},
  [17757] = {.lex_state = 15, .external_lex_state = 3},
  [17758] = {.lex_state = 15, .external_lex_state = 3},
  [17759] = {.lex_state = 412, .external_lex_state = 3},
  [17760] = {.lex_state = 100, .external_lex_state = 3},
  [17761] = {.lex_state = 382, .external_lex_state = 3},
  [17762] = {.lex_state = 425, .external_lex_state = 3},
  [17763] = {.lex_state = 425, .external_lex_state = 3},
  [17764] = {.lex_state = 412, .external_lex_state = 3},
  [17765] = {.lex_state = 382, .external_lex_state = 3},
  [17766] = {.lex_state = 205, .external_lex_state = 3},
  [17767] = {.lex_state = 15, .external_lex_state = 3},
  [17768] = {.lex_state = 100, .external_lex_state = 3},
  [17769] = {.lex_state = 382, .external_lex_state = 3},
  [17770] = {.lex_state = 25, .external_lex_state = 3},
  [17771] = {.lex_state = 100, .external_lex_state = 3},
  [17772] = {.lex_state = 382, .external_lex_state = 3},
  [17773] = {.lex_state = 382, .external_lex_state = 3},
  [17774] = {.lex_state = 15, .external_lex_state = 3},
  [17775] = {.lex_state = 382, .external_lex_state = 3},
  [17776] = {.lex_state = 15, .external_lex_state = 3},
  [17777] = {.lex_state = 100, .external_lex_state = 3},
  [17778] = {.lex_state = 100, .external_lex_state = 3},
  [17779] = {.lex_state = 412, .external_lex_state = 3},
  [17780] = {.lex_state = 99, .external_lex_state = 3},
  [17781] = {.lex_state = 412, .external_lex_state = 3},
  [17782] = {.lex_state = 15, .external_lex_state = 3},
  [17783] = {.lex_state = 100, .external_lex_state = 3},
  [17784] = {.lex_state = 100, .external_lex_state = 3},
  [17785] = {.lex_state = 25, .external_lex_state = 3},
  [17786] = {.lex_state = 15, .external_lex_state = 3},
  [17787] = {.lex_state = 100, .external_lex_state = 3},
  [17788] = {.lex_state = 24, .external_lex_state = 3},
  [17789] = {.lex_state = 412, .external_lex_state = 3},
  [17790] = {.lex_state = 99, .external_lex_state = 3},
  [17791] = {.lex_state = 412, .external_lex_state = 3},
  [17792] = {.lex_state = 100, .external_lex_state = 3},
  [17793] = {.lex_state = 15, .external_lex_state = 3},
  [17794] = {.lex_state = 412, .external_lex_state = 3},
  [17795] = {.lex_state = 412, .external_lex_state = 3},
  [17796] = {.lex_state = 412, .external_lex_state = 3},
  [17797] = {.lex_state = 412, .external_lex_state = 3},
  [17798] = {.lex_state = 15, .external_lex_state = 3},
  [17799] = {.lex_state = 100, .external_lex_state = 3},
  [17800] = {.lex_state = 100, .external_lex_state = 3},
  [17801] = {.lex_state = 15, .external_lex_state = 3},
  [17802] = {.lex_state = 412, .external_lex_state = 3},
  [17803] = {.lex_state = 211, .external_lex_state = 8},
  [17804] = {.lex_state = 412, .external_lex_state = 3},
  [17805] = {.lex_state = 15, .external_lex_state = 3},
  [17806] = {.lex_state = 211, .external_lex_state = 8},
  [17807] = {.lex_state = 15, .external_lex_state = 3},
  [17808] = {.lex_state = 412, .external_lex_state = 3},
  [17809] = {.lex_state = 412, .external_lex_state = 3},
  [17810] = {.lex_state = 100, .external_lex_state = 3},
  [17811] = {.lex_state = 15, .external_lex_state = 3},
  [17812] = {.lex_state = 15, .external_lex_state = 3},
  [17813] = {.lex_state = 412, .external_lex_state = 3},
  [17814] = {.lex_state = 412, .external_lex_state = 3},
  [17815] = {.lex_state = 165, .external_lex_state = 3},
  [17816] = {.lex_state = 15, .external_lex_state = 3},
  [17817] = {.lex_state = 205, .external_lex_state = 3},
  [17818] = {.lex_state = 412, .external_lex_state = 3},
  [17819] = {.lex_state = 412, .external_lex_state = 3},
  [17820] = {.lex_state = 15, .external_lex_state = 3},
  [17821] = {.lex_state = 100, .external_lex_state = 3},
  [17822] = {.lex_state = 15, .external_lex_state = 3},
  [17823] = {.lex_state = 412, .external_lex_state = 3},
  [17824] = {.lex_state = 100, .external_lex_state = 3},
  [17825] = {.lex_state = 412, .external_lex_state = 3},
  [17826] = {.lex_state = 15, .external_lex_state = 3},
  [17827] = {.lex_state = 100, .external_lex_state = 3},
  [17828] = {.lex_state = 99, .external_lex_state = 3},
  [17829] = {.lex_state = 412, .external_lex_state = 3},
  [17830] = {.lex_state = 99, .external_lex_state = 3},
  [17831] = {.lex_state = 412, .external_lex_state = 3},
  [17832] = {.lex_state = 15, .external_lex_state = 3},
  [17833] = {.lex_state = 100, .external_lex_state = 3},
  [17834] = {.lex_state = 412, .external_lex_state = 3},
  [17835] = {.lex_state = 412, .external_lex_state = 3},
  [17836] = {.lex_state = 15, .external_lex_state = 3},
  [17837] = {.lex_state = 100, .external_lex_state = 3},
  [17838] = {.lex_state = 412, .external_lex_state = 3},
  [17839] = {.lex_state = 412, .external_lex_state = 3},
  [17840] = {.lex_state = 15, .external_lex_state = 3},
  [17841] = {.lex_state = 100, .external_lex_state = 3},
  [17842] = {.lex_state = 412, .external_lex_state = 3},
  [17843] = {.lex_state = 15, .external_lex_state = 3},
  [17844] = {.lex_state = 412, .external_lex_state = 3},
  [17845] = {.lex_state = 15, .external_lex_state = 3},
  [17846] = {.lex_state = 100, .external_lex_state = 3},
  [17847] = {.lex_state = 412, .external_lex_state = 3},
  [17848] = {.lex_state = 412, .external_lex_state = 3},
  [17849] = {.lex_state = 15, .external_lex_state = 3},
  [17850] = {.lex_state = 100, .external_lex_state = 3},
  [17851] = {.lex_state = 412, .external_lex_state = 3},
  [17852] = {.lex_state = 412, .external_lex_state = 3},
  [17853] = {.lex_state = 15, .external_lex_state = 3},
  [17854] = {.lex_state = 15, .external_lex_state = 3},
  [17855] = {.lex_state = 100, .external_lex_state = 3},
  [17856] = {.lex_state = 15, .external_lex_state = 3},
  [17857] = {.lex_state = 412, .external_lex_state = 3},
  [17858] = {.lex_state = 412, .external_lex_state = 3},
  [17859] = {.lex_state = 15, .external_lex_state = 3},
  [17860] = {.lex_state = 412, .external_lex_state = 3},
  [17861] = {.lex_state = 25, .external_lex_state = 3},
  [17862] = {.lex_state = 412, .external_lex_state = 3},
  [17863] = {.lex_state = 15, .external_lex_state = 3},
  [17864] = {.lex_state = 100, .external_lex_state = 3},
  [17865] = {.lex_state = 412, .external_lex_state = 3},
  [17866] = {.lex_state = 412, .external_lex_state = 3},
  [17867] = {.lex_state = 15, .external_lex_state = 3},
  [17868] = {.lex_state = 100, .external_lex_state = 3},
  [17869] = {.lex_state = 412, .external_lex_state = 3},
  [17870] = {.lex_state = 412, .external_lex_state = 3},
  [17871] = {.lex_state = 15, .external_lex_state = 3},
  [17872] = {.lex_state = 100, .external_lex_state = 3},
  [17873] = {.lex_state = 100, .external_lex_state = 3},
  [17874] = {.lex_state = 205, .external_lex_state = 3},
  [17875] = {.lex_state = 412, .external_lex_state = 3},
  [17876] = {.lex_state = 412, .external_lex_state = 3},
  [17877] = {.lex_state = 15, .external_lex_state = 3},
  [17878] = {.lex_state = 15, .external_lex_state = 3},
  [17879] = {.lex_state = 425, .external_lex_state = 3},
  [17880] = {.lex_state = 412, .external_lex_state = 3},
  [17881] = {.lex_state = 100, .external_lex_state = 3},
  [17882] = {.lex_state = 412, .external_lex_state = 3},
  [17883] = {.lex_state = 15, .external_lex_state = 3},
  [17884] = {.lex_state = 100, .external_lex_state = 3},
  [17885] = {.lex_state = 100, .external_lex_state = 3},
  [17886] = {.lex_state = 412, .external_lex_state = 3},
  [17887] = {.lex_state = 100, .external_lex_state = 3},
  [17888] = {.lex_state = 412, .external_lex_state = 3},
  [17889] = {.lex_state = 15, .external_lex_state = 3},
  [17890] = {.lex_state = 412, .external_lex_state = 3},
  [17891] = {.lex_state = 412, .external_lex_state = 3},
  [17892] = {.lex_state = 15, .external_lex_state = 3},
  [17893] = {.lex_state = 382, .external_lex_state = 3},
  [17894] = {.lex_state = 412, .external_lex_state = 3},
  [17895] = {.lex_state = 100, .external_lex_state = 3},
  [17896] = {.lex_state = 412, .external_lex_state = 3},
  [17897] = {.lex_state = 382, .external_lex_state = 3},
  [17898] = {.lex_state = 15, .external_lex_state = 3},
  [17899] = {.lex_state = 100, .external_lex_state = 3},
  [17900] = {.lex_state = 99, .external_lex_state = 3},
  [17901] = {.lex_state = 412, .external_lex_state = 3},
  [17902] = {.lex_state = 412, .external_lex_state = 3},
  [17903] = {.lex_state = 165, .external_lex_state = 3},
  [17904] = {.lex_state = 15, .external_lex_state = 3},
  [17905] = {.lex_state = 100, .external_lex_state = 3},
  [17906] = {.lex_state = 25, .external_lex_state = 3},
  [17907] = {.lex_state = 100, .external_lex_state = 3},
  [17908] = {.lex_state = 412, .external_lex_state = 3},
  [17909] = {.lex_state = 412, .external_lex_state = 3},
  [17910] = {.lex_state = 15, .external_lex_state = 3},
  [17911] = {.lex_state = 99, .external_lex_state = 3},
  [17912] = {.lex_state = 100, .external_lex_state = 3},
  [17913] = {.lex_state = 412, .external_lex_state = 3},
  [17914] = {.lex_state = 412, .external_lex_state = 3},
  [17915] = {.lex_state = 100, .external_lex_state = 3},
  [17916] = {.lex_state = 15, .external_lex_state = 3},
  [17917] = {.lex_state = 15, .external_lex_state = 3},
  [17918] = {.lex_state = 165, .external_lex_state = 3},
  [17919] = {.lex_state = 382, .external_lex_state = 3},
  [17920] = {.lex_state = 15, .external_lex_state = 3},
  [17921] = {.lex_state = 412, .external_lex_state = 3},
  [17922] = {.lex_state = 100, .external_lex_state = 3},
  [17923] = {.lex_state = 412, .external_lex_state = 3},
  [17924] = {.lex_state = 100, .external_lex_state = 3},
  [17925] = {.lex_state = 100, .external_lex_state = 3},
  [17926] = {.lex_state = 15, .external_lex_state = 3},
  [17927] = {.lex_state = 100, .external_lex_state = 3},
  [17928] = {.lex_state = 99, .external_lex_state = 3},
  [17929] = {.lex_state = 412, .external_lex_state = 3},
  [17930] = {.lex_state = 412, .external_lex_state = 3},
  [17931] = {.lex_state = 15, .external_lex_state = 3},
  [17932] = {.lex_state = 100, .external_lex_state = 3},
  [17933] = {.lex_state = 15, .external_lex_state = 3},
  [17934] = {.lex_state = 412, .external_lex_state = 3},
  [17935] = {.lex_state = 412, .external_lex_state = 3},
  [17936] = {.lex_state = 15, .external_lex_state = 3},
  [17937] = {.lex_state = 15, .external_lex_state = 3},
  [17938] = {.lex_state = 100, .external_lex_state = 3},
  [17939] = {.lex_state = 412, .external_lex_state = 3},
  [17940] = {.lex_state = 412, .external_lex_state = 3},
  [17941] = {.lex_state = 15, .external_lex_state = 3},
  [17942] = {.lex_state = 382, .external_lex_state = 3},
  [17943] = {.lex_state = 412, .external_lex_state = 3},
  [17944] = {.lex_state = 15, .external_lex_state = 3},
  [17945] = {.lex_state = 412, .external_lex_state = 3},
  [17946] = {.lex_state = 15, .external_lex_state = 3},
  [17947] = {.lex_state = 382, .external_lex_state = 3},
  [17948] = {.lex_state = 100, .external_lex_state = 3},
  [17949] = {.lex_state = 412, .external_lex_state = 3},
  [17950] = {.lex_state = 25, .external_lex_state = 3},
  [17951] = {.lex_state = 412, .external_lex_state = 3},
  [17952] = {.lex_state = 15, .external_lex_state = 3},
  [17953] = {.lex_state = 382, .external_lex_state = 3},
  [17954] = {.lex_state = 15, .external_lex_state = 3},
  [17955] = {.lex_state = 412, .external_lex_state = 3},
  [17956] = {.lex_state = 412, .external_lex_state = 3},
  [17957] = {.lex_state = 100, .external_lex_state = 3},
  [17958] = {.lex_state = 15, .external_lex_state = 3},
  [17959] = {.lex_state = 100, .external_lex_state = 3},
  [17960] = {.lex_state = 99, .external_lex_state = 3},
  [17961] = {.lex_state = 99, .external_lex_state = 3},
  [17962] = {.lex_state = 412, .external_lex_state = 3},
  [17963] = {.lex_state = 412, .external_lex_state = 3},
  [17964] = {.lex_state = 15, .external_lex_state = 3},
  [17965] = {.lex_state = 100, .external_lex_state = 3},
  [17966] = {.lex_state = 205, .external_lex_state = 3},
  [17967] = {.lex_state = 412, .external_lex_state = 3},
  [17968] = {.lex_state = 412, .external_lex_state = 3},
  [17969] = {.lex_state = 15, .external_lex_state = 3},
  [17970] = {.lex_state = 205, .external_lex_state = 3},
  [17971] = {.lex_state = 412, .external_lex_state = 3},
  [17972] = {.lex_state = 412, .external_lex_state = 3},
  [17973] = {.lex_state = 382, .external_lex_state = 3},
  [17974] = {.lex_state = 15, .external_lex_state = 3},
  [17975] = {.lex_state = 15, .external_lex_state = 3},
  [17976] = {.lex_state = 15, .external_lex_state = 3},
  [17977] = {.lex_state = 412, .external_lex_state = 3},
  [17978] = {.lex_state = 100, .external_lex_state = 3},
  [17979] = {.lex_state = 412, .external_lex_state = 3},
  [17980] = {.lex_state = 15, .external_lex_state = 3},
  [17981] = {.lex_state = 15, .external_lex_state = 3},
  [17982] = {.lex_state = 99, .external_lex_state = 3},
  [17983] = {.lex_state = 412, .external_lex_state = 3},
  [17984] = {.lex_state = 412, .external_lex_state = 3},
  [17985] = {.lex_state = 100, .external_lex_state = 3},
  [17986] = {.lex_state = 15, .external_lex_state = 3},
  [17987] = {.lex_state = 100, .external_lex_state = 3},
  [17988] = {.lex_state = 412, .external_lex_state = 3},
  [17989] = {.lex_state = 412, .external_lex_state = 3},
  [17990] = {.lex_state = 15, .external_lex_state = 3},
  [17991] = {.lex_state = 15, .external_lex_state = 3},
  [17992] = {.lex_state = 425, .external_lex_state = 3},
  [17993] = {.lex_state = 412, .external_lex_state = 3},
  [17994] = {.lex_state = 382, .external_lex_state = 3},
  [17995] = {.lex_state = 412, .external_lex_state = 3},
  [17996] = {.lex_state = 382, .external_lex_state = 3},
  [17997] = {.lex_state = 15, .external_lex_state = 3},
  [17998] = {.lex_state = 25, .external_lex_state = 3},
  [17999] = {.lex_state = 412, .external_lex_state = 3},
  [18000] = {.lex_state = 100, .external_lex_state = 3},
  [18001] = {.lex_state = 412, .external_lex_state = 3},
  [18002] = {.lex_state = 15, .external_lex_state = 3},
  [18003] = {.lex_state = 412, .external_lex_state = 3},
  [18004] = {.lex_state = 412, .external_lex_state = 3},
  [18005] = {.lex_state = 15, .external_lex_state = 3},
  [18006] = {.lex_state = 412, .external_lex_state = 3},
  [18007] = {.lex_state = 412, .external_lex_state = 3},
  [18008] = {.lex_state = 15, .external_lex_state = 3},
  [18009] = {.lex_state = 100, .external_lex_state = 3},
  [18010] = {.lex_state = 412, .external_lex_state = 3},
  [18011] = {.lex_state = 412, .external_lex_state = 3},
  [18012] = {.lex_state = 100, .external_lex_state = 3},
  [18013] = {.lex_state = 15, .external_lex_state = 3},
  [18014] = {.lex_state = 412, .external_lex_state = 3},
  [18015] = {.lex_state = 100, .external_lex_state = 3},
  [18016] = {.lex_state = 412, .external_lex_state = 3},
  [18017] = {.lex_state = 425, .external_lex_state = 3},
  [18018] = {.lex_state = 15, .external_lex_state = 3},
  [18019] = {.lex_state = 382, .external_lex_state = 3},
  [18020] = {.lex_state = 382, .external_lex_state = 3},
  [18021] = {.lex_state = 100, .external_lex_state = 3},
  [18022] = {.lex_state = 412, .external_lex_state = 3},
  [18023] = {.lex_state = 412, .external_lex_state = 3},
  [18024] = {.lex_state = 15, .external_lex_state = 3},
  [18025] = {.lex_state = 412, .external_lex_state = 3},
  [18026] = {.lex_state = 15, .external_lex_state = 3},
  [18027] = {.lex_state = 15, .external_lex_state = 3},
  [18028] = {.lex_state = 412, .external_lex_state = 3},
  [18029] = {.lex_state = 382, .external_lex_state = 3},
  [18030] = {.lex_state = 15, .external_lex_state = 3},
  [18031] = {.lex_state = 412, .external_lex_state = 3},
  [18032] = {.lex_state = 15, .external_lex_state = 3},
  [18033] = {.lex_state = 412, .external_lex_state = 3},
  [18034] = {.lex_state = 15, .external_lex_state = 3},
  [18035] = {.lex_state = 412, .external_lex_state = 3},
  [18036] = {.lex_state = 15, .external_lex_state = 3},
  [18037] = {.lex_state = 412, .external_lex_state = 3},
  [18038] = {.lex_state = 15, .external_lex_state = 3},
  [18039] = {.lex_state = 412, .external_lex_state = 3},
  [18040] = {.lex_state = 15, .external_lex_state = 3},
  [18041] = {.lex_state = 412, .external_lex_state = 3},
  [18042] = {.lex_state = 15, .external_lex_state = 3},
  [18043] = {.lex_state = 412, .external_lex_state = 3},
  [18044] = {.lex_state = 15, .external_lex_state = 3},
  [18045] = {.lex_state = 412, .external_lex_state = 3},
  [18046] = {.lex_state = 15, .external_lex_state = 3},
  [18047] = {.lex_state = 412, .external_lex_state = 3},
  [18048] = {.lex_state = 15, .external_lex_state = 3},
  [18049] = {.lex_state = 412, .external_lex_state = 3},
  [18050] = {.lex_state = 15, .external_lex_state = 3},
  [18051] = {.lex_state = 412, .external_lex_state = 3},
  [18052] = {.lex_state = 15, .external_lex_state = 3},
  [18053] = {.lex_state = 412, .external_lex_state = 3},
  [18054] = {.lex_state = 15, .external_lex_state = 3},
  [18055] = {.lex_state = 15, .external_lex_state = 3},
  [18056] = {.lex_state = 15, .external_lex_state = 3},
  [18057] = {.lex_state = 15, .external_lex_state = 3},
  [18058] = {.lex_state = 15, .external_lex_state = 3},
  [18059] = {.lex_state = 15, .external_lex_state = 3},
  [18060] = {.lex_state = 15, .external_lex_state = 3},
  [18061] = {.lex_state = 15, .external_lex_state = 3},
  [18062] = {.lex_state = 15, .external_lex_state = 3},
  [18063] = {.lex_state = 15, .external_lex_state = 3},
  [18064] = {.lex_state = 15, .external_lex_state = 3},
  [18065] = {.lex_state = 15, .external_lex_state = 3},
  [18066] = {.lex_state = 15, .external_lex_state = 3},
  [18067] = {.lex_state = 15, .external_lex_state = 3},
  [18068] = {.lex_state = 15, .external_lex_state = 3},
  [18069] = {.lex_state = 15, .external_lex_state = 3},
  [18070] = {.lex_state = 15, .external_lex_state = 3},
  [18071] = {.lex_state = 15, .external_lex_state = 3},
  [18072] = {.lex_state = 15, .external_lex_state = 3},
  [18073] = {.lex_state = 15, .external_lex_state = 3},
  [18074] = {.lex_state = 15, .external_lex_state = 3},
  [18075] = {.lex_state = 15, .external_lex_state = 3},
  [18076] = {.lex_state = 15, .external_lex_state = 3},
  [18077] = {.lex_state = 15, .external_lex_state = 3},
  [18078] = {.lex_state = 100, .external_lex_state = 3},
  [18079] = {.lex_state = 100, .external_lex_state = 3},
  [18080] = {.lex_state = 15, .external_lex_state = 3},
  [18081] = {.lex_state = 100, .external_lex_state = 3},
  [18082] = {.lex_state = 100, .external_lex_state = 3},
  [18083] = {.lex_state = 99, .external_lex_state = 3},
  [18084] = {.lex_state = 382, .external_lex_state = 3},
  [18085] = {.lex_state = 99, .external_lex_state = 3},
  [18086] = {.lex_state = 100, .external_lex_state = 3},
  [18087] = {.lex_state = 100, .external_lex_state = 3},
  [18088] = {.lex_state = 100, .external_lex_state = 3},
  [18089] = {.lex_state = 15, .external_lex_state = 3},
  [18090] = {.lex_state = 100, .external_lex_state = 3},
  [18091] = {.lex_state = 382, .external_lex_state = 3},
  [18092] = {.lex_state = 382, .external_lex_state = 3},
  [18093] = {.lex_state = 382, .external_lex_state = 3},
  [18094] = {.lex_state = 382, .external_lex_state = 3},
  [18095] = {.lex_state = 382, .external_lex_state = 3},
  [18096] = {.lex_state = 205, .external_lex_state = 3},
  [18097] = {.lex_state = 100, .external_lex_state = 3},
  [18098] = {.lex_state = 15, .external_lex_state = 3},
  [18099] = {.lex_state = 100, .external_lex_state = 3},
  [18100] = {.lex_state = 100, .external_lex_state = 3},
  [18101] = {.lex_state = 100, .external_lex_state = 3},
  [18102] = {.lex_state = 382, .external_lex_state = 3},
  [18103] = {.lex_state = 99, .external_lex_state = 3},
  [18104] = {.lex_state = 382, .external_lex_state = 3},
  [18105] = {.lex_state = 99, .external_lex_state = 3},
  [18106] = {.lex_state = 412, .external_lex_state = 3},
  [18107] = {.lex_state = 100, .external_lex_state = 3},
  [18108] = {.lex_state = 382, .external_lex_state = 3},
  [18109] = {.lex_state = 15, .external_lex_state = 3},
  [18110] = {.lex_state = 25, .external_lex_state = 3},
  [18111] = {.lex_state = 15, .external_lex_state = 3},
  [18112] = {.lex_state = 100, .external_lex_state = 3},
  [18113] = {.lex_state = 100, .external_lex_state = 3},
  [18114] = {.lex_state = 15, .external_lex_state = 3},
  [18115] = {.lex_state = 15, .external_lex_state = 3},
  [18116] = {.lex_state = 100, .external_lex_state = 3},
  [18117] = {.lex_state = 100, .external_lex_state = 3},
  [18118] = {.lex_state = 15, .external_lex_state = 3},
  [18119] = {.lex_state = 15, .external_lex_state = 3},
  [18120] = {.lex_state = 100, .external_lex_state = 3},
  [18121] = {.lex_state = 15, .external_lex_state = 3},
  [18122] = {.lex_state = 15, .external_lex_state = 3},
  [18123] = {.lex_state = 205, .external_lex_state = 3},
  [18124] = {.lex_state = 100, .external_lex_state = 3},
  [18125] = {.lex_state = 15, .external_lex_state = 3},
  [18126] = {.lex_state = 382, .external_lex_state = 3},
  [18127] = {.lex_state = 15, .external_lex_state = 3},
  [18128] = {.lex_state = 15, .external_lex_state = 3},
  [18129] = {.lex_state = 100, .external_lex_state = 3},
  [18130] = {.lex_state = 15, .external_lex_state = 3},
  [18131] = {.lex_state = 412, .external_lex_state = 3},
  [18132] = {.lex_state = 99, .external_lex_state = 3},
  [18133] = {.lex_state = 382, .external_lex_state = 3},
  [18134] = {.lex_state = 412, .external_lex_state = 3},
  [18135] = {.lex_state = 412, .external_lex_state = 3},
  [18136] = {.lex_state = 15, .external_lex_state = 3},
  [18137] = {.lex_state = 388, .external_lex_state = 3},
  [18138] = {.lex_state = 15, .external_lex_state = 3},
  [18139] = {.lex_state = 15, .external_lex_state = 3},
  [18140] = {.lex_state = 382, .external_lex_state = 3},
  [18141] = {.lex_state = 382, .external_lex_state = 8},
  [18142] = {.lex_state = 412, .external_lex_state = 3},
  [18143] = {.lex_state = 15, .external_lex_state = 3},
  [18144] = {.lex_state = 100, .external_lex_state = 3},
  [18145] = {.lex_state = 100, .external_lex_state = 3},
  [18146] = {.lex_state = 100, .external_lex_state = 3},
  [18147] = {.lex_state = 382, .external_lex_state = 3},
  [18148] = {.lex_state = 388, .external_lex_state = 3},
  [18149] = {.lex_state = 382, .external_lex_state = 3},
  [18150] = {.lex_state = 388, .external_lex_state = 3},
  [18151] = {.lex_state = 382, .external_lex_state = 3},
  [18152] = {.lex_state = 388, .external_lex_state = 3},
  [18153] = {.lex_state = 412, .external_lex_state = 3},
  [18154] = {.lex_state = 15, .external_lex_state = 3},
  [18155] = {.lex_state = 15, .external_lex_state = 3},
  [18156] = {.lex_state = 382, .external_lex_state = 8},
  [18157] = {.lex_state = 382, .external_lex_state = 3},
  [18158] = {.lex_state = 100, .external_lex_state = 3},
  [18159] = {.lex_state = 100, .external_lex_state = 3},
  [18160] = {.lex_state = 100, .external_lex_state = 3},
  [18161] = {.lex_state = 382, .external_lex_state = 3},
  [18162] = {.lex_state = 382, .external_lex_state = 8},
  [18163] = {.lex_state = 382, .external_lex_state = 3},
  [18164] = {.lex_state = 382, .external_lex_state = 3},
  [18165] = {.lex_state = 388, .external_lex_state = 3},
  [18166] = {.lex_state = 382, .external_lex_state = 3},
  [18167] = {.lex_state = 15, .external_lex_state = 3},
  [18168] = {.lex_state = 388, .external_lex_state = 3},
  [18169] = {.lex_state = 15, .external_lex_state = 3},
  [18170] = {.lex_state = 15, .external_lex_state = 3},
  [18171] = {.lex_state = 382, .external_lex_state = 3},
  [18172] = {.lex_state = 382, .external_lex_state = 8},
  [18173] = {.lex_state = 412, .external_lex_state = 3},
  [18174] = {.lex_state = 100, .external_lex_state = 3},
  [18175] = {.lex_state = 100, .external_lex_state = 3},
  [18176] = {.lex_state = 100, .external_lex_state = 3},
  [18177] = {.lex_state = 382, .external_lex_state = 3},
  [18178] = {.lex_state = 100, .external_lex_state = 3},
  [18179] = {.lex_state = 382, .external_lex_state = 3},
  [18180] = {.lex_state = 412, .external_lex_state = 3},
  [18181] = {.lex_state = 15, .external_lex_state = 3},
  [18182] = {.lex_state = 15, .external_lex_state = 3},
  [18183] = {.lex_state = 382, .external_lex_state = 3},
  [18184] = {.lex_state = 388, .external_lex_state = 3},
  [18185] = {.lex_state = 382, .external_lex_state = 8},
  [18186] = {.lex_state = 388, .external_lex_state = 3},
  [18187] = {.lex_state = 388, .external_lex_state = 3},
  [18188] = {.lex_state = 15, .external_lex_state = 3},
  [18189] = {.lex_state = 382, .external_lex_state = 3},
  [18190] = {.lex_state = 15, .external_lex_state = 3},
  [18191] = {.lex_state = 382, .external_lex_state = 3},
  [18192] = {.lex_state = 382, .external_lex_state = 8},
  [18193] = {.lex_state = 15, .external_lex_state = 3},
  [18194] = {.lex_state = 15, .external_lex_state = 3},
  [18195] = {.lex_state = 100, .external_lex_state = 3},
  [18196] = {.lex_state = 100, .external_lex_state = 3},
  [18197] = {.lex_state = 100, .external_lex_state = 3},
  [18198] = {.lex_state = 100, .external_lex_state = 3},
  [18199] = {.lex_state = 412, .external_lex_state = 3},
  [18200] = {.lex_state = 382, .external_lex_state = 3},
  [18201] = {.lex_state = 100, .external_lex_state = 3},
  [18202] = {.lex_state = 100, .external_lex_state = 3},
  [18203] = {.lex_state = 100, .external_lex_state = 3},
  [18204] = {.lex_state = 15, .external_lex_state = 3},
  [18205] = {.lex_state = 388, .external_lex_state = 3},
  [18206] = {.lex_state = 382, .external_lex_state = 8},
  [18207] = {.lex_state = 382, .external_lex_state = 3},
  [18208] = {.lex_state = 382, .external_lex_state = 8},
  [18209] = {.lex_state = 382, .external_lex_state = 3},
  [18210] = {.lex_state = 15, .external_lex_state = 3},
  [18211] = {.lex_state = 388, .external_lex_state = 3},
  [18212] = {.lex_state = 382, .external_lex_state = 8},
  [18213] = {.lex_state = 382, .external_lex_state = 3},
  [18214] = {.lex_state = 388, .external_lex_state = 3},
  [18215] = {.lex_state = 100, .external_lex_state = 3},
  [18216] = {.lex_state = 100, .external_lex_state = 3},
  [18217] = {.lex_state = 100, .external_lex_state = 3},
  [18218] = {.lex_state = 15, .external_lex_state = 3},
  [18219] = {.lex_state = 15, .external_lex_state = 3},
  [18220] = {.lex_state = 382, .external_lex_state = 3},
  [18221] = {.lex_state = 382, .external_lex_state = 3},
  [18222] = {.lex_state = 100, .external_lex_state = 3},
  [18223] = {.lex_state = 382, .external_lex_state = 3},
  [18224] = {.lex_state = 15, .external_lex_state = 3},
  [18225] = {.lex_state = 388, .external_lex_state = 3},
  [18226] = {.lex_state = 15, .external_lex_state = 3},
  [18227] = {.lex_state = 412, .external_lex_state = 3},
  [18228] = {.lex_state = 15, .external_lex_state = 3},
  [18229] = {.lex_state = 382, .external_lex_state = 3},
  [18230] = {.lex_state = 382, .external_lex_state = 8},
  [18231] = {.lex_state = 132, .external_lex_state = 3},
  [18232] = {.lex_state = 100, .external_lex_state = 3},
  [18233] = {.lex_state = 100, .external_lex_state = 3},
  [18234] = {.lex_state = 100, .external_lex_state = 3},
  [18235] = {.lex_state = 15, .external_lex_state = 3},
  [18236] = {.lex_state = 382, .external_lex_state = 3},
  [18237] = {.lex_state = 382, .external_lex_state = 3},
  [18238] = {.lex_state = 382, .external_lex_state = 3},
  [18239] = {.lex_state = 412, .external_lex_state = 3},
  [18240] = {.lex_state = 15, .external_lex_state = 3},
  [18241] = {.lex_state = 15, .external_lex_state = 3},
  [18242] = {.lex_state = 382, .external_lex_state = 8},
  [18243] = {.lex_state = 15, .external_lex_state = 3},
  [18244] = {.lex_state = 15, .external_lex_state = 3},
  [18245] = {.lex_state = 100, .external_lex_state = 3},
  [18246] = {.lex_state = 15, .external_lex_state = 3},
  [18247] = {.lex_state = 382, .external_lex_state = 3},
  [18248] = {.lex_state = 412, .external_lex_state = 3},
  [18249] = {.lex_state = 382, .external_lex_state = 8},
  [18250] = {.lex_state = 100, .external_lex_state = 3},
  [18251] = {.lex_state = 100, .external_lex_state = 3},
  [18252] = {.lex_state = 100, .external_lex_state = 3},
  [18253] = {.lex_state = 382, .external_lex_state = 3},
  [18254] = {.lex_state = 15, .external_lex_state = 3},
  [18255] = {.lex_state = 382, .external_lex_state = 3},
  [18256] = {.lex_state = 15, .external_lex_state = 3},
  [18257] = {.lex_state = 15, .external_lex_state = 3},
  [18258] = {.lex_state = 100, .external_lex_state = 3},
  [18259] = {.lex_state = 15, .external_lex_state = 3},
  [18260] = {.lex_state = 100, .external_lex_state = 3},
  [18261] = {.lex_state = 15, .external_lex_state = 3},
  [18262] = {.lex_state = 388, .external_lex_state = 3},
  [18263] = {.lex_state = 382, .external_lex_state = 3},
  [18264] = {.lex_state = 382, .external_lex_state = 3},
  [18265] = {.lex_state = 382, .external_lex_state = 8},
  [18266] = {.lex_state = 100, .external_lex_state = 3},
  [18267] = {.lex_state = 100, .external_lex_state = 3},
  [18268] = {.lex_state = 100, .external_lex_state = 3},
  [18269] = {.lex_state = 100, .external_lex_state = 3},
  [18270] = {.lex_state = 412, .external_lex_state = 3},
  [18271] = {.lex_state = 382, .external_lex_state = 3},
  [18272] = {.lex_state = 412, .external_lex_state = 3},
  [18273] = {.lex_state = 100, .external_lex_state = 3},
  [18274] = {.lex_state = 382, .external_lex_state = 3},
  [18275] = {.lex_state = 100, .external_lex_state = 3},
  [18276] = {.lex_state = 15, .external_lex_state = 3},
  [18277] = {.lex_state = 15, .external_lex_state = 3},
  [18278] = {.lex_state = 412, .external_lex_state = 3},
  [18279] = {.lex_state = 15, .external_lex_state = 3},
  [18280] = {.lex_state = 388, .external_lex_state = 3},
  [18281] = {.lex_state = 15, .external_lex_state = 3},
  [18282] = {.lex_state = 382, .external_lex_state = 8},
  [18283] = {.lex_state = 412, .external_lex_state = 3},
  [18284] = {.lex_state = 15, .external_lex_state = 3},
  [18285] = {.lex_state = 15, .external_lex_state = 3},
  [18286] = {.lex_state = 100, .external_lex_state = 3},
  [18287] = {.lex_state = 100, .external_lex_state = 3},
  [18288] = {.lex_state = 100, .external_lex_state = 3},
  [18289] = {.lex_state = 382, .external_lex_state = 3},
  [18290] = {.lex_state = 382, .external_lex_state = 3},
  [18291] = {.lex_state = 15, .external_lex_state = 3},
  [18292] = {.lex_state = 15, .external_lex_state = 3},
  [18293] = {.lex_state = 382, .external_lex_state = 3},
  [18294] = {.lex_state = 382, .external_lex_state = 8},
  [18295] = {.lex_state = 132, .external_lex_state = 3},
  [18296] = {.lex_state = 15, .external_lex_state = 3},
  [18297] = {.lex_state = 15, .external_lex_state = 3},
  [18298] = {.lex_state = 382, .external_lex_state = 8},
  [18299] = {.lex_state = 100, .external_lex_state = 3},
  [18300] = {.lex_state = 100, .external_lex_state = 3},
  [18301] = {.lex_state = 100, .external_lex_state = 3},
  [18302] = {.lex_state = 382, .external_lex_state = 3},
  [18303] = {.lex_state = 412, .external_lex_state = 3},
  [18304] = {.lex_state = 382, .external_lex_state = 3},
  [18305] = {.lex_state = 15, .external_lex_state = 3},
  [18306] = {.lex_state = 382, .external_lex_state = 8},
  [18307] = {.lex_state = 412, .external_lex_state = 3},
  [18308] = {.lex_state = 15, .external_lex_state = 3},
  [18309] = {.lex_state = 100, .external_lex_state = 3},
  [18310] = {.lex_state = 382, .external_lex_state = 8},
  [18311] = {.lex_state = 8, .external_lex_state = 3},
  [18312] = {.lex_state = 100, .external_lex_state = 3},
  [18313] = {.lex_state = 100, .external_lex_state = 3},
  [18314] = {.lex_state = 100, .external_lex_state = 3},
  [18315] = {.lex_state = 100, .external_lex_state = 3},
  [18316] = {.lex_state = 15, .external_lex_state = 3},
  [18317] = {.lex_state = 382, .external_lex_state = 3},
  [18318] = {.lex_state = 100, .external_lex_state = 3},
  [18319] = {.lex_state = 8, .external_lex_state = 3},
  [18320] = {.lex_state = 412, .external_lex_state = 3},
  [18321] = {.lex_state = 388, .external_lex_state = 3},
  [18322] = {.lex_state = 382, .external_lex_state = 3},
  [18323] = {.lex_state = 412, .external_lex_state = 3},
  [18324] = {.lex_state = 412, .external_lex_state = 3},
  [18325] = {.lex_state = 15, .external_lex_state = 3},
  [18326] = {.lex_state = 388, .external_lex_state = 3},
  [18327] = {.lex_state = 15, .external_lex_state = 3},
  [18328] = {.lex_state = 382, .external_lex_state = 8},
  [18329] = {.lex_state = 382, .external_lex_state = 3},
  [18330] = {.lex_state = 100, .external_lex_state = 3},
  [18331] = {.lex_state = 100, .external_lex_state = 3},
  [18332] = {.lex_state = 100, .external_lex_state = 3},
  [18333] = {.lex_state = 382, .external_lex_state = 3},
  [18334] = {.lex_state = 382, .external_lex_state = 3},
  [18335] = {.lex_state = 382, .external_lex_state = 3},
  [18336] = {.lex_state = 388, .external_lex_state = 3},
  [18337] = {.lex_state = 388, .external_lex_state = 3},
  [18338] = {.lex_state = 15, .external_lex_state = 3},
  [18339] = {.lex_state = 412, .external_lex_state = 3},
  [18340] = {.lex_state = 15, .external_lex_state = 3},
  [18341] = {.lex_state = 382, .external_lex_state = 8},
  [18342] = {.lex_state = 15, .external_lex_state = 3},
  [18343] = {.lex_state = 100, .external_lex_state = 3},
  [18344] = {.lex_state = 100, .external_lex_state = 3},
  [18345] = {.lex_state = 100, .external_lex_state = 3},
  [18346] = {.lex_state = 382, .external_lex_state = 3},
  [18347] = {.lex_state = 15, .external_lex_state = 3},
  [18348] = {.lex_state = 382, .external_lex_state = 3},
  [18349] = {.lex_state = 15, .external_lex_state = 3},
  [18350] = {.lex_state = 412, .external_lex_state = 3},
  [18351] = {.lex_state = 412, .external_lex_state = 3},
  [18352] = {.lex_state = 382, .external_lex_state = 3},
  [18353] = {.lex_state = 382, .external_lex_state = 3},
  [18354] = {.lex_state = 382, .external_lex_state = 8},
  [18355] = {.lex_state = 15, .external_lex_state = 3},
  [18356] = {.lex_state = 100, .external_lex_state = 3},
  [18357] = {.lex_state = 100, .external_lex_state = 3},
  [18358] = {.lex_state = 100, .external_lex_state = 3},
  [18359] = {.lex_state = 15, .external_lex_state = 3},
  [18360] = {.lex_state = 388, .external_lex_state = 3},
  [18361] = {.lex_state = 15, .external_lex_state = 3},
  [18362] = {.lex_state = 388, .external_lex_state = 3},
  [18363] = {.lex_state = 15, .external_lex_state = 3},
  [18364] = {.lex_state = 388, .external_lex_state = 3},
  [18365] = {.lex_state = 100, .external_lex_state = 3},
  [18366] = {.lex_state = 412, .external_lex_state = 3},
  [18367] = {.lex_state = 382, .external_lex_state = 3},
  [18368] = {.lex_state = 412, .external_lex_state = 3},
  [18369] = {.lex_state = 382, .external_lex_state = 3},
  [18370] = {.lex_state = 382, .external_lex_state = 3},
  [18371] = {.lex_state = 382, .external_lex_state = 3},
  [18372] = {.lex_state = 382, .external_lex_state = 8},
  [18373] = {.lex_state = 382, .external_lex_state = 3},
  [18374] = {.lex_state = 382, .external_lex_state = 3},
  [18375] = {.lex_state = 100, .external_lex_state = 3},
  [18376] = {.lex_state = 100, .external_lex_state = 3},
  [18377] = {.lex_state = 100, .external_lex_state = 3},
  [18378] = {.lex_state = 412, .external_lex_state = 3},
  [18379] = {.lex_state = 382, .external_lex_state = 3},
  [18380] = {.lex_state = 388, .external_lex_state = 3},
  [18381] = {.lex_state = 15, .external_lex_state = 3},
  [18382] = {.lex_state = 15, .external_lex_state = 3},
  [18383] = {.lex_state = 15, .external_lex_state = 3},
  [18384] = {.lex_state = 382, .external_lex_state = 3},
  [18385] = {.lex_state = 15, .external_lex_state = 3},
  [18386] = {.lex_state = 382, .external_lex_state = 3},
  [18387] = {.lex_state = 15, .external_lex_state = 3},
  [18388] = {.lex_state = 382, .external_lex_state = 8},
  [18389] = {.lex_state = 382, .external_lex_state = 3},
  [18390] = {.lex_state = 382, .external_lex_state = 3},
  [18391] = {.lex_state = 100, .external_lex_state = 3},
  [18392] = {.lex_state = 100, .external_lex_state = 3},
  [18393] = {.lex_state = 100, .external_lex_state = 3},
  [18394] = {.lex_state = 412, .external_lex_state = 3},
  [18395] = {.lex_state = 388, .external_lex_state = 3},
  [18396] = {.lex_state = 412, .external_lex_state = 3},
  [18397] = {.lex_state = 15, .external_lex_state = 3},
  [18398] = {.lex_state = 412, .external_lex_state = 3},
  [18399] = {.lex_state = 382, .external_lex_state = 3},
  [18400] = {.lex_state = 15, .external_lex_state = 3},
  [18401] = {.lex_state = 412, .external_lex_state = 3},
  [18402] = {.lex_state = 382, .external_lex_state = 8},
  [18403] = {.lex_state = 415, .external_lex_state = 3},
  [18404] = {.lex_state = 15, .external_lex_state = 3},
  [18405] = {.lex_state = 382, .external_lex_state = 3},
  [18406] = {.lex_state = 15, .external_lex_state = 3},
  [18407] = {.lex_state = 382, .external_lex_state = 8},
  [18408] = {.lex_state = 100, .external_lex_state = 3},
  [18409] = {.lex_state = 15, .external_lex_state = 3},
  [18410] = {.lex_state = 100, .external_lex_state = 3},
  [18411] = {.lex_state = 100, .external_lex_state = 3},
  [18412] = {.lex_state = 100, .external_lex_state = 3},
  [18413] = {.lex_state = 382, .external_lex_state = 3},
  [18414] = {.lex_state = 15, .external_lex_state = 3},
  [18415] = {.lex_state = 15, .external_lex_state = 3},
  [18416] = {.lex_state = 382, .external_lex_state = 3},
  [18417] = {.lex_state = 382, .external_lex_state = 3},
  [18418] = {.lex_state = 382, .external_lex_state = 3},
  [18419] = {.lex_state = 382, .external_lex_state = 8},
  [18420] = {.lex_state = 412, .external_lex_state = 3},
  [18421] = {.lex_state = 15, .external_lex_state = 3},
  [18422] = {.lex_state = 382, .external_lex_state = 8},
  [18423] = {.lex_state = 100, .external_lex_state = 3},
  [18424] = {.lex_state = 100, .external_lex_state = 3},
  [18425] = {.lex_state = 100, .external_lex_state = 3},
  [18426] = {.lex_state = 100, .external_lex_state = 3},
  [18427] = {.lex_state = 100, .external_lex_state = 3},
  [18428] = {.lex_state = 15, .external_lex_state = 3},
  [18429] = {.lex_state = 382, .external_lex_state = 3},
  [18430] = {.lex_state = 100, .external_lex_state = 3},
  [18431] = {.lex_state = 15, .external_lex_state = 3},
  [18432] = {.lex_state = 382, .external_lex_state = 3},
  [18433] = {.lex_state = 382, .external_lex_state = 3},
  [18434] = {.lex_state = 388, .external_lex_state = 3},
  [18435] = {.lex_state = 15, .external_lex_state = 3},
  [18436] = {.lex_state = 382, .external_lex_state = 3},
  [18437] = {.lex_state = 15, .external_lex_state = 3},
  [18438] = {.lex_state = 382, .external_lex_state = 8},
  [18439] = {.lex_state = 15, .external_lex_state = 3},
  [18440] = {.lex_state = 100, .external_lex_state = 3},
  [18441] = {.lex_state = 100, .external_lex_state = 3},
  [18442] = {.lex_state = 100, .external_lex_state = 3},
  [18443] = {.lex_state = 382, .external_lex_state = 3},
  [18444] = {.lex_state = 382, .external_lex_state = 3},
  [18445] = {.lex_state = 15, .external_lex_state = 3},
  [18446] = {.lex_state = 412, .external_lex_state = 3},
  [18447] = {.lex_state = 388, .external_lex_state = 3},
  [18448] = {.lex_state = 388, .external_lex_state = 3},
  [18449] = {.lex_state = 412, .external_lex_state = 3},
  [18450] = {.lex_state = 382, .external_lex_state = 3},
  [18451] = {.lex_state = 382, .external_lex_state = 8},
  [18452] = {.lex_state = 382, .external_lex_state = 3},
  [18453] = {.lex_state = 100, .external_lex_state = 3},
  [18454] = {.lex_state = 100, .external_lex_state = 3},
  [18455] = {.lex_state = 100, .external_lex_state = 3},
  [18456] = {.lex_state = 15, .external_lex_state = 3},
  [18457] = {.lex_state = 382, .external_lex_state = 3},
  [18458] = {.lex_state = 132, .external_lex_state = 3},
  [18459] = {.lex_state = 382, .external_lex_state = 3},
  [18460] = {.lex_state = 412, .external_lex_state = 3},
  [18461] = {.lex_state = 15, .external_lex_state = 3},
  [18462] = {.lex_state = 412, .external_lex_state = 3},
  [18463] = {.lex_state = 173, .external_lex_state = 3},
  [18464] = {.lex_state = 100, .external_lex_state = 3},
  [18465] = {.lex_state = 132, .external_lex_state = 3},
  [18466] = {.lex_state = 15, .external_lex_state = 3},
  [18467] = {.lex_state = 382, .external_lex_state = 8},
  [18468] = {.lex_state = 382, .external_lex_state = 3},
  [18469] = {.lex_state = 100, .external_lex_state = 3},
  [18470] = {.lex_state = 100, .external_lex_state = 3},
  [18471] = {.lex_state = 100, .external_lex_state = 3},
  [18472] = {.lex_state = 15, .external_lex_state = 3},
  [18473] = {.lex_state = 15, .external_lex_state = 3},
  [18474] = {.lex_state = 382, .external_lex_state = 3},
  [18475] = {.lex_state = 15, .external_lex_state = 3},
  [18476] = {.lex_state = 15, .external_lex_state = 3},
  [18477] = {.lex_state = 382, .external_lex_state = 3},
  [18478] = {.lex_state = 15, .external_lex_state = 3},
  [18479] = {.lex_state = 388, .external_lex_state = 3},
  [18480] = {.lex_state = 15, .external_lex_state = 3},
  [18481] = {.lex_state = 382, .external_lex_state = 8},
  [18482] = {.lex_state = 100, .external_lex_state = 3},
  [18483] = {.lex_state = 100, .external_lex_state = 3},
  [18484] = {.lex_state = 100, .external_lex_state = 3},
  [18485] = {.lex_state = 382, .external_lex_state = 8},
  [18486] = {.lex_state = 382, .external_lex_state = 3},
  [18487] = {.lex_state = 382, .external_lex_state = 3},
  [18488] = {.lex_state = 15, .external_lex_state = 3},
  [18489] = {.lex_state = 388, .external_lex_state = 3},
  [18490] = {.lex_state = 382, .external_lex_state = 8},
  [18491] = {.lex_state = 412, .external_lex_state = 3},
  [18492] = {.lex_state = 382, .external_lex_state = 3},
  [18493] = {.lex_state = 100, .external_lex_state = 3},
  [18494] = {.lex_state = 100, .external_lex_state = 3},
  [18495] = {.lex_state = 100, .external_lex_state = 3},
  [18496] = {.lex_state = 100, .external_lex_state = 3},
  [18497] = {.lex_state = 382, .external_lex_state = 3},
  [18498] = {.lex_state = 382, .external_lex_state = 3},
  [18499] = {.lex_state = 388, .external_lex_state = 3},
  [18500] = {.lex_state = 382, .external_lex_state = 3},
  [18501] = {.lex_state = 15, .external_lex_state = 3},
  [18502] = {.lex_state = 382, .external_lex_state = 3},
  [18503] = {.lex_state = 412, .external_lex_state = 3},
  [18504] = {.lex_state = 382, .external_lex_state = 8},
  [18505] = {.lex_state = 100, .external_lex_state = 3},
  [18506] = {.lex_state = 100, .external_lex_state = 3},
  [18507] = {.lex_state = 100, .external_lex_state = 3},
  [18508] = {.lex_state = 382, .external_lex_state = 3},
  [18509] = {.lex_state = 100, .external_lex_state = 3},
  [18510] = {.lex_state = 382, .external_lex_state = 3},
  [18511] = {.lex_state = 15, .external_lex_state = 3},
  [18512] = {.lex_state = 382, .external_lex_state = 8},
  [18513] = {.lex_state = 382, .external_lex_state = 8},
  [18514] = {.lex_state = 100, .external_lex_state = 3},
  [18515] = {.lex_state = 100, .external_lex_state = 3},
  [18516] = {.lex_state = 100, .external_lex_state = 3},
  [18517] = {.lex_state = 15, .external_lex_state = 3},
  [18518] = {.lex_state = 412, .external_lex_state = 3},
  [18519] = {.lex_state = 15, .external_lex_state = 3},
  [18520] = {.lex_state = 382, .external_lex_state = 8},
  [18521] = {.lex_state = 100, .external_lex_state = 3},
  [18522] = {.lex_state = 100, .external_lex_state = 3},
  [18523] = {.lex_state = 100, .external_lex_state = 3},
  [18524] = {.lex_state = 100, .external_lex_state = 3},
  [18525] = {.lex_state = 100, .external_lex_state = 3},
  [18526] = {.lex_state = 382, .external_lex_state = 8},
  [18527] = {.lex_state = 100, .external_lex_state = 3},
  [18528] = {.lex_state = 100, .external_lex_state = 3},
  [18529] = {.lex_state = 100, .external_lex_state = 3},
  [18530] = {.lex_state = 100, .external_lex_state = 3},
  [18531] = {.lex_state = 15, .external_lex_state = 3},
  [18532] = {.lex_state = 382, .external_lex_state = 8},
  [18533] = {.lex_state = 100, .external_lex_state = 3},
  [18534] = {.lex_state = 100, .external_lex_state = 3},
  [18535] = {.lex_state = 100, .external_lex_state = 3},
  [18536] = {.lex_state = 412, .external_lex_state = 3},
  [18537] = {.lex_state = 388, .external_lex_state = 3},
  [18538] = {.lex_state = 382, .external_lex_state = 8},
  [18539] = {.lex_state = 100, .external_lex_state = 3},
  [18540] = {.lex_state = 100, .external_lex_state = 3},
  [18541] = {.lex_state = 100, .external_lex_state = 3},
  [18542] = {.lex_state = 382, .external_lex_state = 3},
  [18543] = {.lex_state = 412, .external_lex_state = 3},
  [18544] = {.lex_state = 15, .external_lex_state = 3},
  [18545] = {.lex_state = 382, .external_lex_state = 8},
  [18546] = {.lex_state = 100, .external_lex_state = 3},
  [18547] = {.lex_state = 100, .external_lex_state = 3},
  [18548] = {.lex_state = 100, .external_lex_state = 3},
  [18549] = {.lex_state = 382, .external_lex_state = 3},
  [18550] = {.lex_state = 412, .external_lex_state = 3},
  [18551] = {.lex_state = 382, .external_lex_state = 3},
  [18552] = {.lex_state = 382, .external_lex_state = 8},
  [18553] = {.lex_state = 100, .external_lex_state = 3},
  [18554] = {.lex_state = 100, .external_lex_state = 3},
  [18555] = {.lex_state = 100, .external_lex_state = 3},
  [18556] = {.lex_state = 412, .external_lex_state = 3},
  [18557] = {.lex_state = 382, .external_lex_state = 3},
  [18558] = {.lex_state = 132, .external_lex_state = 3},
  [18559] = {.lex_state = 382, .external_lex_state = 8},
  [18560] = {.lex_state = 100, .external_lex_state = 3},
  [18561] = {.lex_state = 100, .external_lex_state = 3},
  [18562] = {.lex_state = 100, .external_lex_state = 3},
  [18563] = {.lex_state = 382, .external_lex_state = 3},
  [18564] = {.lex_state = 412, .external_lex_state = 3},
  [18565] = {.lex_state = 15, .external_lex_state = 3},
  [18566] = {.lex_state = 382, .external_lex_state = 8},
  [18567] = {.lex_state = 100, .external_lex_state = 3},
  [18568] = {.lex_state = 100, .external_lex_state = 3},
  [18569] = {.lex_state = 100, .external_lex_state = 3},
  [18570] = {.lex_state = 15, .external_lex_state = 3},
  [18571] = {.lex_state = 15, .external_lex_state = 3},
  [18572] = {.lex_state = 388, .external_lex_state = 3},
  [18573] = {.lex_state = 382, .external_lex_state = 8},
  [18574] = {.lex_state = 100, .external_lex_state = 3},
  [18575] = {.lex_state = 100, .external_lex_state = 3},
  [18576] = {.lex_state = 100, .external_lex_state = 3},
  [18577] = {.lex_state = 15, .external_lex_state = 3},
  [18578] = {.lex_state = 412, .external_lex_state = 3},
  [18579] = {.lex_state = 15, .external_lex_state = 3},
  [18580] = {.lex_state = 382, .external_lex_state = 8},
  [18581] = {.lex_state = 100, .external_lex_state = 3},
  [18582] = {.lex_state = 100, .external_lex_state = 3},
  [18583] = {.lex_state = 100, .external_lex_state = 3},
  [18584] = {.lex_state = 15, .external_lex_state = 3},
  [18585] = {.lex_state = 388, .external_lex_state = 3},
  [18586] = {.lex_state = 382, .external_lex_state = 8},
  [18587] = {.lex_state = 100, .external_lex_state = 3},
  [18588] = {.lex_state = 100, .external_lex_state = 3},
  [18589] = {.lex_state = 100, .external_lex_state = 3},
  [18590] = {.lex_state = 388, .external_lex_state = 3},
  [18591] = {.lex_state = 412, .external_lex_state = 3},
  [18592] = {.lex_state = 382, .external_lex_state = 8},
  [18593] = {.lex_state = 100, .external_lex_state = 3},
  [18594] = {.lex_state = 100, .external_lex_state = 3},
  [18595] = {.lex_state = 100, .external_lex_state = 3},
  [18596] = {.lex_state = 382, .external_lex_state = 3},
  [18597] = {.lex_state = 382, .external_lex_state = 3},
  [18598] = {.lex_state = 382, .external_lex_state = 8},
  [18599] = {.lex_state = 382, .external_lex_state = 3},
  [18600] = {.lex_state = 412, .external_lex_state = 3},
  [18601] = {.lex_state = 382, .external_lex_state = 8},
  [18602] = {.lex_state = 382, .external_lex_state = 3},
  [18603] = {.lex_state = 15, .external_lex_state = 3},
  [18604] = {.lex_state = 382, .external_lex_state = 8},
  [18605] = {.lex_state = 15, .external_lex_state = 3},
  [18606] = {.lex_state = 15, .external_lex_state = 3},
  [18607] = {.lex_state = 382, .external_lex_state = 8},
  [18608] = {.lex_state = 382, .external_lex_state = 8},
  [18609] = {.lex_state = 15, .external_lex_state = 3},
  [18610] = {.lex_state = 382, .external_lex_state = 8},
  [18611] = {.lex_state = 100, .external_lex_state = 3},
  [18612] = {.lex_state = 100, .external_lex_state = 3},
  [18613] = {.lex_state = 382, .external_lex_state = 8},
  [18614] = {.lex_state = 100, .external_lex_state = 3},
  [18615] = {.lex_state = 382, .external_lex_state = 3},
  [18616] = {.lex_state = 382, .external_lex_state = 8},
  [18617] = {.lex_state = 382, .external_lex_state = 3},
  [18618] = {.lex_state = 382, .external_lex_state = 3},
  [18619] = {.lex_state = 382, .external_lex_state = 8},
  [18620] = {.lex_state = 388, .external_lex_state = 3},
  [18621] = {.lex_state = 382, .external_lex_state = 3},
  [18622] = {.lex_state = 382, .external_lex_state = 8},
  [18623] = {.lex_state = 15, .external_lex_state = 3},
  [18624] = {.lex_state = 382, .external_lex_state = 3},
  [18625] = {.lex_state = 382, .external_lex_state = 8},
  [18626] = {.lex_state = 15, .external_lex_state = 3},
  [18627] = {.lex_state = 382, .external_lex_state = 8},
  [18628] = {.lex_state = 382, .external_lex_state = 8},
  [18629] = {.lex_state = 382, .external_lex_state = 3},
  [18630] = {.lex_state = 382, .external_lex_state = 3},
  [18631] = {.lex_state = 382, .external_lex_state = 8},
  [18632] = {.lex_state = 15, .external_lex_state = 3},
  [18633] = {.lex_state = 382, .external_lex_state = 3},
  [18634] = {.lex_state = 382, .external_lex_state = 8},
  [18635] = {.lex_state = 382, .external_lex_state = 3},
  [18636] = {.lex_state = 382, .external_lex_state = 3},
  [18637] = {.lex_state = 382, .external_lex_state = 8},
  [18638] = {.lex_state = 388, .external_lex_state = 3},
  [18639] = {.lex_state = 382, .external_lex_state = 3},
  [18640] = {.lex_state = 382, .external_lex_state = 8},
  [18641] = {.lex_state = 15, .external_lex_state = 3},
  [18642] = {.lex_state = 382, .external_lex_state = 8},
  [18643] = {.lex_state = 382, .external_lex_state = 8},
  [18644] = {.lex_state = 15, .external_lex_state = 3},
  [18645] = {.lex_state = 382, .external_lex_state = 3},
  [18646] = {.lex_state = 382, .external_lex_state = 8},
  [18647] = {.lex_state = 15, .external_lex_state = 3},
  [18648] = {.lex_state = 412, .external_lex_state = 3},
  [18649] = {.lex_state = 382, .external_lex_state = 8},
  [18650] = {.lex_state = 15, .external_lex_state = 3},
  [18651] = {.lex_state = 382, .external_lex_state = 3},
  [18652] = {.lex_state = 382, .external_lex_state = 8},
  [18653] = {.lex_state = 382, .external_lex_state = 3},
  [18654] = {.lex_state = 15, .external_lex_state = 3},
  [18655] = {.lex_state = 382, .external_lex_state = 8},
  [18656] = {.lex_state = 382, .external_lex_state = 3},
  [18657] = {.lex_state = 412, .external_lex_state = 3},
  [18658] = {.lex_state = 382, .external_lex_state = 8},
  [18659] = {.lex_state = 100, .external_lex_state = 3},
  [18660] = {.lex_state = 100, .external_lex_state = 3},
  [18661] = {.lex_state = 382, .external_lex_state = 8},
  [18662] = {.lex_state = 100, .external_lex_state = 3},
  [18663] = {.lex_state = 388, .external_lex_state = 3},
  [18664] = {.lex_state = 382, .external_lex_state = 8},
  [18665] = {.lex_state = 15, .external_lex_state = 3},
  [18666] = {.lex_state = 412, .external_lex_state = 3},
  [18667] = {.lex_state = 388, .external_lex_state = 3},
  [18668] = {.lex_state = 382, .external_lex_state = 3},
  [18669] = {.lex_state = 382, .external_lex_state = 3},
  [18670] = {.lex_state = 382, .external_lex_state = 3},
  [18671] = {.lex_state = 382, .external_lex_state = 3},
  [18672] = {.lex_state = 173, .external_lex_state = 3},
  [18673] = {.lex_state = 15, .external_lex_state = 3},
  [18674] = {.lex_state = 382, .external_lex_state = 3},
  [18675] = {.lex_state = 15, .external_lex_state = 3},
  [18676] = {.lex_state = 382, .external_lex_state = 8},
  [18677] = {.lex_state = 382, .external_lex_state = 3},
  [18678] = {.lex_state = 382, .external_lex_state = 3},
  [18679] = {.lex_state = 15, .external_lex_state = 3},
  [18680] = {.lex_state = 100, .external_lex_state = 3},
  [18681] = {.lex_state = 100, .external_lex_state = 3},
  [18682] = {.lex_state = 100, .external_lex_state = 3},
  [18683] = {.lex_state = 382, .external_lex_state = 3},
  [18684] = {.lex_state = 382, .external_lex_state = 3},
  [18685] = {.lex_state = 382, .external_lex_state = 3},
  [18686] = {.lex_state = 388, .external_lex_state = 3},
  [18687] = {.lex_state = 388, .external_lex_state = 3},
  [18688] = {.lex_state = 382, .external_lex_state = 3},
  [18689] = {.lex_state = 15, .external_lex_state = 3},
  [18690] = {.lex_state = 382, .external_lex_state = 3},
  [18691] = {.lex_state = 15, .external_lex_state = 3},
  [18692] = {.lex_state = 382, .external_lex_state = 3},
  [18693] = {.lex_state = 382, .external_lex_state = 3},
  [18694] = {.lex_state = 382, .external_lex_state = 8},
  [18695] = {.lex_state = 15, .external_lex_state = 3},
  [18696] = {.lex_state = 382, .external_lex_state = 3},
  [18697] = {.lex_state = 382, .external_lex_state = 3},
  [18698] = {.lex_state = 388, .external_lex_state = 3},
  [18699] = {.lex_state = 382, .external_lex_state = 3},
  [18700] = {.lex_state = 412, .external_lex_state = 3},
  [18701] = {.lex_state = 382, .external_lex_state = 3},
  [18702] = {.lex_state = 412, .external_lex_state = 3},
  [18703] = {.lex_state = 100, .external_lex_state = 3},
  [18704] = {.lex_state = 382, .external_lex_state = 3},
  [18705] = {.lex_state = 15, .external_lex_state = 3},
  [18706] = {.lex_state = 415, .external_lex_state = 3},
  [18707] = {.lex_state = 15, .external_lex_state = 3},
  [18708] = {.lex_state = 15, .external_lex_state = 3},
  [18709] = {.lex_state = 15, .external_lex_state = 3},
  [18710] = {.lex_state = 15, .external_lex_state = 3},
  [18711] = {.lex_state = 15, .external_lex_state = 3},
  [18712] = {.lex_state = 15, .external_lex_state = 3},
  [18713] = {.lex_state = 15, .external_lex_state = 3},
  [18714] = {.lex_state = 415, .external_lex_state = 3},
  [18715] = {.lex_state = 382, .external_lex_state = 3},
  [18716] = {.lex_state = 15, .external_lex_state = 3},
  [18717] = {.lex_state = 382, .external_lex_state = 3},
  [18718] = {.lex_state = 388, .external_lex_state = 3},
  [18719] = {.lex_state = 382, .external_lex_state = 3},
  [18720] = {.lex_state = 100, .external_lex_state = 3},
  [18721] = {.lex_state = 173, .external_lex_state = 3},
  [18722] = {.lex_state = 382, .external_lex_state = 3},
  [18723] = {.lex_state = 388, .external_lex_state = 3},
  [18724] = {.lex_state = 100, .external_lex_state = 3},
  [18725] = {.lex_state = 382, .external_lex_state = 3},
  [18726] = {.lex_state = 382, .external_lex_state = 3},
  [18727] = {.lex_state = 15, .external_lex_state = 3},
  [18728] = {.lex_state = 382, .external_lex_state = 3},
  [18729] = {.lex_state = 15, .external_lex_state = 3},
  [18730] = {.lex_state = 382, .external_lex_state = 3},
  [18731] = {.lex_state = 15, .external_lex_state = 3},
  [18732] = {.lex_state = 15, .external_lex_state = 3},
  [18733] = {.lex_state = 100, .external_lex_state = 3},
  [18734] = {.lex_state = 412, .external_lex_state = 3},
  [18735] = {.lex_state = 412, .external_lex_state = 3},
  [18736] = {.lex_state = 412, .external_lex_state = 3},
  [18737] = {.lex_state = 412, .external_lex_state = 3},
  [18738] = {.lex_state = 412, .external_lex_state = 3},
  [18739] = {.lex_state = 382, .external_lex_state = 3},
  [18740] = {.lex_state = 382, .external_lex_state = 3},
  [18741] = {.lex_state = 15, .external_lex_state = 3},
  [18742] = {.lex_state = 15, .external_lex_state = 3},
  [18743] = {.lex_state = 382, .external_lex_state = 3},
  [18744] = {.lex_state = 412, .external_lex_state = 3},
  [18745] = {.lex_state = 412, .external_lex_state = 3},
  [18746] = {.lex_state = 382, .external_lex_state = 3},
  [18747] = {.lex_state = 382, .external_lex_state = 3},
  [18748] = {.lex_state = 382, .external_lex_state = 3},
  [18749] = {.lex_state = 382, .external_lex_state = 3},
  [18750] = {.lex_state = 382, .external_lex_state = 3},
  [18751] = {.lex_state = 15, .external_lex_state = 3},
  [18752] = {.lex_state = 412, .external_lex_state = 3},
  [18753] = {.lex_state = 382, .external_lex_state = 8},
  [18754] = {.lex_state = 382, .external_lex_state = 3},
  [18755] = {.lex_state = 15, .external_lex_state = 3},
  [18756] = {.lex_state = 15, .external_lex_state = 3},
  [18757] = {.lex_state = 15, .external_lex_state = 3},
  [18758] = {.lex_state = 412, .external_lex_state = 3},
  [18759] = {.lex_state = 382, .external_lex_state = 3},
  [18760] = {.lex_state = 15, .external_lex_state = 3},
  [18761] = {.lex_state = 415, .external_lex_state = 3},
  [18762] = {.lex_state = 100, .external_lex_state = 3},
  [18763] = {.lex_state = 100, .external_lex_state = 3},
  [18764] = {.lex_state = 100, .external_lex_state = 3},
  [18765] = {.lex_state = 382, .external_lex_state = 3},
  [18766] = {.lex_state = 100, .external_lex_state = 3},
  [18767] = {.lex_state = 382, .external_lex_state = 3},
  [18768] = {.lex_state = 415, .external_lex_state = 3},
  [18769] = {.lex_state = 382, .external_lex_state = 3},
  [18770] = {.lex_state = 412, .external_lex_state = 3},
  [18771] = {.lex_state = 382, .external_lex_state = 3},
  [18772] = {.lex_state = 15, .external_lex_state = 3},
  [18773] = {.lex_state = 382, .external_lex_state = 3},
  [18774] = {.lex_state = 15, .external_lex_state = 3},
  [18775] = {.lex_state = 388, .external_lex_state = 3},
  [18776] = {.lex_state = 100, .external_lex_state = 3},
  [18777] = {.lex_state = 382, .external_lex_state = 3},
  [18778] = {.lex_state = 382, .external_lex_state = 3},
  [18779] = {.lex_state = 15, .external_lex_state = 3},
  [18780] = {.lex_state = 412, .external_lex_state = 3},
  [18781] = {.lex_state = 382, .external_lex_state = 3},
  [18782] = {.lex_state = 382, .external_lex_state = 3},
  [18783] = {.lex_state = 412, .external_lex_state = 3},
  [18784] = {.lex_state = 382, .external_lex_state = 3},
  [18785] = {.lex_state = 382, .external_lex_state = 3},
  [18786] = {.lex_state = 382, .external_lex_state = 3},
  [18787] = {.lex_state = 15, .external_lex_state = 3},
  [18788] = {.lex_state = 382, .external_lex_state = 3},
  [18789] = {.lex_state = 382, .external_lex_state = 3},
  [18790] = {.lex_state = 382, .external_lex_state = 3},
  [18791] = {.lex_state = 8, .external_lex_state = 3},
  [18792] = {.lex_state = 382, .external_lex_state = 3},
  [18793] = {.lex_state = 412, .external_lex_state = 3},
  [18794] = {.lex_state = 415, .external_lex_state = 3},
  [18795] = {.lex_state = 382, .external_lex_state = 3},
  [18796] = {.lex_state = 382, .external_lex_state = 3},
  [18797] = {.lex_state = 388, .external_lex_state = 3},
  [18798] = {.lex_state = 100, .external_lex_state = 3},
  [18799] = {.lex_state = 415, .external_lex_state = 3},
  [18800] = {.lex_state = 25, .external_lex_state = 3},
  [18801] = {.lex_state = 382, .external_lex_state = 3},
  [18802] = {.lex_state = 382, .external_lex_state = 3},
  [18803] = {.lex_state = 132, .external_lex_state = 3},
  [18804] = {.lex_state = 15, .external_lex_state = 3},
  [18805] = {.lex_state = 382, .external_lex_state = 3},
  [18806] = {.lex_state = 15, .external_lex_state = 3},
  [18807] = {.lex_state = 382, .external_lex_state = 3},
  [18808] = {.lex_state = 15, .external_lex_state = 3},
  [18809] = {.lex_state = 15, .external_lex_state = 3},
  [18810] = {.lex_state = 15, .external_lex_state = 3},
  [18811] = {.lex_state = 382, .external_lex_state = 3},
  [18812] = {.lex_state = 412, .external_lex_state = 3},
  [18813] = {.lex_state = 15, .external_lex_state = 3},
  [18814] = {.lex_state = 415, .external_lex_state = 3},
  [18815] = {.lex_state = 15, .external_lex_state = 3},
  [18816] = {.lex_state = 382, .external_lex_state = 3},
  [18817] = {.lex_state = 15, .external_lex_state = 3},
  [18818] = {.lex_state = 388, .external_lex_state = 3},
  [18819] = {.lex_state = 15, .external_lex_state = 3},
  [18820] = {.lex_state = 412, .external_lex_state = 3},
  [18821] = {.lex_state = 382, .external_lex_state = 3},
  [18822] = {.lex_state = 100, .external_lex_state = 3},
  [18823] = {.lex_state = 382, .external_lex_state = 3},
  [18824] = {.lex_state = 15, .external_lex_state = 3},
  [18825] = {.lex_state = 15, .external_lex_state = 3},
  [18826] = {.lex_state = 388, .external_lex_state = 3},
  [18827] = {.lex_state = 15, .external_lex_state = 3},
  [18828] = {.lex_state = 15, .external_lex_state = 3},
  [18829] = {.lex_state = 382, .external_lex_state = 3},
  [18830] = {.lex_state = 382, .external_lex_state = 3},
  [18831] = {.lex_state = 382, .external_lex_state = 3},
  [18832] = {.lex_state = 412, .external_lex_state = 3},
  [18833] = {.lex_state = 382, .external_lex_state = 3},
  [18834] = {.lex_state = 382, .external_lex_state = 3},
  [18835] = {.lex_state = 412, .external_lex_state = 3},
  [18836] = {.lex_state = 382, .external_lex_state = 3},
  [18837] = {.lex_state = 15, .external_lex_state = 3},
  [18838] = {.lex_state = 382, .external_lex_state = 8},
  [18839] = {.lex_state = 15, .external_lex_state = 3},
  [18840] = {.lex_state = 382, .external_lex_state = 3},
  [18841] = {.lex_state = 382, .external_lex_state = 3},
  [18842] = {.lex_state = 100, .external_lex_state = 3},
  [18843] = {.lex_state = 382, .external_lex_state = 3},
  [18844] = {.lex_state = 100, .external_lex_state = 3},
  [18845] = {.lex_state = 100, .external_lex_state = 3},
  [18846] = {.lex_state = 15, .external_lex_state = 3},
  [18847] = {.lex_state = 100, .external_lex_state = 3},
  [18848] = {.lex_state = 382, .external_lex_state = 3},
  [18849] = {.lex_state = 382, .external_lex_state = 3},
  [18850] = {.lex_state = 388, .external_lex_state = 3},
  [18851] = {.lex_state = 382, .external_lex_state = 3},
  [18852] = {.lex_state = 382, .external_lex_state = 3},
  [18853] = {.lex_state = 15, .external_lex_state = 3},
  [18854] = {.lex_state = 15, .external_lex_state = 3},
  [18855] = {.lex_state = 15, .external_lex_state = 3},
  [18856] = {.lex_state = 15, .external_lex_state = 3},
  [18857] = {.lex_state = 412, .external_lex_state = 3},
  [18858] = {.lex_state = 100, .external_lex_state = 3},
  [18859] = {.lex_state = 100, .external_lex_state = 3},
  [18860] = {.lex_state = 15, .external_lex_state = 3},
  [18861] = {.lex_state = 412, .external_lex_state = 3},
  [18862] = {.lex_state = 382, .external_lex_state = 3},
  [18863] = {.lex_state = 100, .external_lex_state = 3},
  [18864] = {.lex_state = 382, .external_lex_state = 3},
  [18865] = {.lex_state = 15, .external_lex_state = 3},
  [18866] = {.lex_state = 382, .external_lex_state = 3},
  [18867] = {.lex_state = 382, .external_lex_state = 3},
  [18868] = {.lex_state = 382, .external_lex_state = 3},
  [18869] = {.lex_state = 382, .external_lex_state = 3},
  [18870] = {.lex_state = 412, .external_lex_state = 3},
  [18871] = {.lex_state = 388, .external_lex_state = 3},
  [18872] = {.lex_state = 15, .external_lex_state = 3},
  [18873] = {.lex_state = 15, .external_lex_state = 3},
  [18874] = {.lex_state = 412, .external_lex_state = 3},
  [18875] = {.lex_state = 15, .external_lex_state = 3},
  [18876] = {.lex_state = 382, .external_lex_state = 3},
  [18877] = {.lex_state = 382, .external_lex_state = 3},
  [18878] = {.lex_state = 382, .external_lex_state = 3},
  [18879] = {.lex_state = 15, .external_lex_state = 3},
  [18880] = {.lex_state = 382, .external_lex_state = 3},
  [18881] = {.lex_state = 382, .external_lex_state = 3},
  [18882] = {.lex_state = 382, .external_lex_state = 3},
  [18883] = {.lex_state = 15, .external_lex_state = 3},
  [18884] = {.lex_state = 382, .external_lex_state = 3},
  [18885] = {.lex_state = 15, .external_lex_state = 3},
  [18886] = {.lex_state = 388, .external_lex_state = 3},
  [18887] = {.lex_state = 382, .external_lex_state = 8},
  [18888] = {.lex_state = 132, .external_lex_state = 3},
  [18889] = {.lex_state = 100, .external_lex_state = 3},
  [18890] = {.lex_state = 100, .external_lex_state = 3},
  [18891] = {.lex_state = 100, .external_lex_state = 3},
  [18892] = {.lex_state = 100, .external_lex_state = 3},
  [18893] = {.lex_state = 412, .external_lex_state = 3},
  [18894] = {.lex_state = 382, .external_lex_state = 3},
  [18895] = {.lex_state = 412, .external_lex_state = 3},
  [18896] = {.lex_state = 382, .external_lex_state = 3},
  [18897] = {.lex_state = 15, .external_lex_state = 3},
  [18898] = {.lex_state = 15, .external_lex_state = 3},
  [18899] = {.lex_state = 388, .external_lex_state = 3},
  [18900] = {.lex_state = 15, .external_lex_state = 3},
  [18901] = {.lex_state = 382, .external_lex_state = 3},
  [18902] = {.lex_state = 382, .external_lex_state = 3},
  [18903] = {.lex_state = 15, .external_lex_state = 3},
  [18904] = {.lex_state = 382, .external_lex_state = 3},
  [18905] = {.lex_state = 412, .external_lex_state = 3},
  [18906] = {.lex_state = 412, .external_lex_state = 3},
  [18907] = {.lex_state = 8, .external_lex_state = 3},
  [18908] = {.lex_state = 15, .external_lex_state = 3},
  [18909] = {.lex_state = 382, .external_lex_state = 3},
  [18910] = {.lex_state = 382, .external_lex_state = 8},
  [18911] = {.lex_state = 382, .external_lex_state = 3},
  [18912] = {.lex_state = 382, .external_lex_state = 3},
  [18913] = {.lex_state = 15, .external_lex_state = 3},
  [18914] = {.lex_state = 15, .external_lex_state = 3},
  [18915] = {.lex_state = 382, .external_lex_state = 3},
  [18916] = {.lex_state = 412, .external_lex_state = 3},
  [18917] = {.lex_state = 15, .external_lex_state = 3},
  [18918] = {.lex_state = 15, .external_lex_state = 3},
  [18919] = {.lex_state = 388, .external_lex_state = 3},
  [18920] = {.lex_state = 382, .external_lex_state = 8},
  [18921] = {.lex_state = 382, .external_lex_state = 3},
  [18922] = {.lex_state = 412, .external_lex_state = 3},
  [18923] = {.lex_state = 15, .external_lex_state = 3},
  [18924] = {.lex_state = 100, .external_lex_state = 3},
  [18925] = {.lex_state = 412, .external_lex_state = 3},
  [18926] = {.lex_state = 8, .external_lex_state = 3},
  [18927] = {.lex_state = 100, .external_lex_state = 3},
  [18928] = {.lex_state = 382, .external_lex_state = 8},
  [18929] = {.lex_state = 412, .external_lex_state = 3},
  [18930] = {.lex_state = 15, .external_lex_state = 3},
  [18931] = {.lex_state = 382, .external_lex_state = 3},
  [18932] = {.lex_state = 382, .external_lex_state = 3},
  [18933] = {.lex_state = 15, .external_lex_state = 3},
  [18934] = {.lex_state = 15, .external_lex_state = 3},
  [18935] = {.lex_state = 382, .external_lex_state = 8},
  [18936] = {.lex_state = 382, .external_lex_state = 3},
  [18937] = {.lex_state = 412, .external_lex_state = 3},
  [18938] = {.lex_state = 412, .external_lex_state = 3},
  [18939] = {.lex_state = 382, .external_lex_state = 3},
  [18940] = {.lex_state = 15, .external_lex_state = 3},
  [18941] = {.lex_state = 382, .external_lex_state = 3},
  [18942] = {.lex_state = 100, .external_lex_state = 3},
  [18943] = {.lex_state = 412, .external_lex_state = 3},
  [18944] = {.lex_state = 100, .external_lex_state = 3},
  [18945] = {.lex_state = 100, .external_lex_state = 3},
  [18946] = {.lex_state = 382, .external_lex_state = 3},
  [18947] = {.lex_state = 100, .external_lex_state = 3},
  [18948] = {.lex_state = 15, .external_lex_state = 3},
  [18949] = {.lex_state = 100, .external_lex_state = 3},
  [18950] = {.lex_state = 388, .external_lex_state = 3},
  [18951] = {.lex_state = 382, .external_lex_state = 3},
  [18952] = {.lex_state = 15, .external_lex_state = 3},
  [18953] = {.lex_state = 15, .external_lex_state = 3},
  [18954] = {.lex_state = 382, .external_lex_state = 3},
  [18955] = {.lex_state = 100, .external_lex_state = 3},
  [18956] = {.lex_state = 382, .external_lex_state = 3},
  [18957] = {.lex_state = 15, .external_lex_state = 3},
  [18958] = {.lex_state = 15, .external_lex_state = 3},
  [18959] = {.lex_state = 382, .external_lex_state = 3},
  [18960] = {.lex_state = 382, .external_lex_state = 3},
  [18961] = {.lex_state = 388, .external_lex_state = 3},
  [18962] = {.lex_state = 412, .external_lex_state = 3},
  [18963] = {.lex_state = 382, .external_lex_state = 3},
  [18964] = {.lex_state = 382, .external_lex_state = 3},
  [18965] = {.lex_state = 15, .external_lex_state = 3},
  [18966] = {.lex_state = 382, .external_lex_state = 3},
  [18967] = {.lex_state = 388, .external_lex_state = 3},
  [18968] = {.lex_state = 15, .external_lex_state = 3},
  [18969] = {.lex_state = 388, .external_lex_state = 3},
  [18970] = {.lex_state = 15, .external_lex_state = 3},
  [18971] = {.lex_state = 15, .external_lex_state = 3},
  [18972] = {.lex_state = 412, .external_lex_state = 3},
  [18973] = {.lex_state = 382, .external_lex_state = 3},
  [18974] = {.lex_state = 388, .external_lex_state = 3},
  [18975] = {.lex_state = 382, .external_lex_state = 8},
  [18976] = {.lex_state = 15, .external_lex_state = 3},
  [18977] = {.lex_state = 382, .external_lex_state = 3},
  [18978] = {.lex_state = 100, .external_lex_state = 3},
  [18979] = {.lex_state = 388, .external_lex_state = 3},
  [18980] = {.lex_state = 100, .external_lex_state = 3},
  [18981] = {.lex_state = 100, .external_lex_state = 3},
  [18982] = {.lex_state = 15, .external_lex_state = 3},
  [18983] = {.lex_state = 382, .external_lex_state = 3},
  [18984] = {.lex_state = 388, .external_lex_state = 3},
  [18985] = {.lex_state = 382, .external_lex_state = 3},
  [18986] = {.lex_state = 382, .external_lex_state = 3},
  [18987] = {.lex_state = 382, .external_lex_state = 3},
  [18988] = {.lex_state = 382, .external_lex_state = 3},
  [18989] = {.lex_state = 15, .external_lex_state = 3},
  [18990] = {.lex_state = 412, .external_lex_state = 3},
  [18991] = {.lex_state = 382, .external_lex_state = 3},
  [18992] = {.lex_state = 15, .external_lex_state = 3},
  [18993] = {.lex_state = 15, .external_lex_state = 3},
  [18994] = {.lex_state = 100, .external_lex_state = 3},
  [18995] = {.lex_state = 382, .external_lex_state = 3},
  [18996] = {.lex_state = 412, .external_lex_state = 3},
  [18997] = {.lex_state = 412, .external_lex_state = 3},
  [18998] = {.lex_state = 412, .external_lex_state = 3},
  [18999] = {.lex_state = 412, .external_lex_state = 3},
  [19000] = {.lex_state = 412, .external_lex_state = 3},
  [19001] = {.lex_state = 388, .external_lex_state = 3},
  [19002] = {.lex_state = 382, .external_lex_state = 3},
  [19003] = {.lex_state = 412, .external_lex_state = 3},
  [19004] = {.lex_state = 15, .external_lex_state = 3},
  [19005] = {.lex_state = 388, .external_lex_state = 3},
  [19006] = {.lex_state = 412, .external_lex_state = 3},
  [19007] = {.lex_state = 412, .external_lex_state = 3},
  [19008] = {.lex_state = 15, .external_lex_state = 3},
  [19009] = {.lex_state = 15, .external_lex_state = 3},
  [19010] = {.lex_state = 412, .external_lex_state = 3},
  [19011] = {.lex_state = 15, .external_lex_state = 3},
  [19012] = {.lex_state = 412, .external_lex_state = 3},
  [19013] = {.lex_state = 382, .external_lex_state = 8},
  [19014] = {.lex_state = 412, .external_lex_state = 3},
  [19015] = {.lex_state = 100, .external_lex_state = 3},
  [19016] = {.lex_state = 100, .external_lex_state = 3},
  [19017] = {.lex_state = 100, .external_lex_state = 3},
  [19018] = {.lex_state = 382, .external_lex_state = 3},
  [19019] = {.lex_state = 382, .external_lex_state = 3},
  [19020] = {.lex_state = 15, .external_lex_state = 3},
  [19021] = {.lex_state = 388, .external_lex_state = 3},
  [19022] = {.lex_state = 382, .external_lex_state = 3},
  [19023] = {.lex_state = 382, .external_lex_state = 3},
  [19024] = {.lex_state = 412, .external_lex_state = 3},
  [19025] = {.lex_state = 382, .external_lex_state = 3},
  [19026] = {.lex_state = 15, .external_lex_state = 3},
  [19027] = {.lex_state = 100, .external_lex_state = 3},
  [19028] = {.lex_state = 382, .external_lex_state = 3},
  [19029] = {.lex_state = 382, .external_lex_state = 3},
  [19030] = {.lex_state = 15, .external_lex_state = 3},
  [19031] = {.lex_state = 15, .external_lex_state = 3},
  [19032] = {.lex_state = 412, .external_lex_state = 3},
  [19033] = {.lex_state = 382, .external_lex_state = 3},
  [19034] = {.lex_state = 15, .external_lex_state = 3},
  [19035] = {.lex_state = 15, .external_lex_state = 3},
  [19036] = {.lex_state = 388, .external_lex_state = 3},
  [19037] = {.lex_state = 15, .external_lex_state = 3},
  [19038] = {.lex_state = 15, .external_lex_state = 3},
  [19039] = {.lex_state = 382, .external_lex_state = 3},
  [19040] = {.lex_state = 15, .external_lex_state = 3},
  [19041] = {.lex_state = 15, .external_lex_state = 3},
  [19042] = {.lex_state = 382, .external_lex_state = 3},
  [19043] = {.lex_state = 382, .external_lex_state = 3},
  [19044] = {.lex_state = 382, .external_lex_state = 3},
  [19045] = {.lex_state = 382, .external_lex_state = 3},
  [19046] = {.lex_state = 15, .external_lex_state = 3},
  [19047] = {.lex_state = 382, .external_lex_state = 3},
  [19048] = {.lex_state = 15, .external_lex_state = 3},
  [19049] = {.lex_state = 15, .external_lex_state = 3},
  [19050] = {.lex_state = 382, .external_lex_state = 8},
  [19051] = {.lex_state = 388, .external_lex_state = 3},
  [19052] = {.lex_state = 15, .external_lex_state = 3},
  [19053] = {.lex_state = 15, .external_lex_state = 3},
  [19054] = {.lex_state = 100, .external_lex_state = 3},
  [19055] = {.lex_state = 100, .external_lex_state = 3},
  [19056] = {.lex_state = 382, .external_lex_state = 3},
  [19057] = {.lex_state = 173, .external_lex_state = 3},
  [19058] = {.lex_state = 100, .external_lex_state = 3},
  [19059] = {.lex_state = 15, .external_lex_state = 3},
  [19060] = {.lex_state = 382, .external_lex_state = 3},
  [19061] = {.lex_state = 100, .external_lex_state = 3},
  [19062] = {.lex_state = 388, .external_lex_state = 3},
  [19063] = {.lex_state = 15, .external_lex_state = 3},
  [19064] = {.lex_state = 382, .external_lex_state = 3},
  [19065] = {.lex_state = 412, .external_lex_state = 3},
  [19066] = {.lex_state = 388, .external_lex_state = 3},
  [19067] = {.lex_state = 382, .external_lex_state = 3},
  [19068] = {.lex_state = 382, .external_lex_state = 3},
  [19069] = {.lex_state = 382, .external_lex_state = 3},
  [19070] = {.lex_state = 15, .external_lex_state = 3},
  [19071] = {.lex_state = 165, .external_lex_state = 3},
  [19072] = {.lex_state = 382, .external_lex_state = 3},
  [19073] = {.lex_state = 412, .external_lex_state = 3},
  [19074] = {.lex_state = 15, .external_lex_state = 3},
  [19075] = {.lex_state = 382, .external_lex_state = 3},
  [19076] = {.lex_state = 382, .external_lex_state = 3},
  [19077] = {.lex_state = 388, .external_lex_state = 3},
  [19078] = {.lex_state = 412, .external_lex_state = 3},
  [19079] = {.lex_state = 15, .external_lex_state = 3},
  [19080] = {.lex_state = 15, .external_lex_state = 3},
  [19081] = {.lex_state = 15, .external_lex_state = 3},
  [19082] = {.lex_state = 382, .external_lex_state = 3},
  [19083] = {.lex_state = 382, .external_lex_state = 3},
  [19084] = {.lex_state = 100, .external_lex_state = 3},
  [19085] = {.lex_state = 15, .external_lex_state = 3},
  [19086] = {.lex_state = 382, .external_lex_state = 3},
  [19087] = {.lex_state = 15, .external_lex_state = 3},
  [19088] = {.lex_state = 382, .external_lex_state = 8},
  [19089] = {.lex_state = 388, .external_lex_state = 3},
  [19090] = {.lex_state = 100, .external_lex_state = 3},
  [19091] = {.lex_state = 382, .external_lex_state = 3},
  [19092] = {.lex_state = 100, .external_lex_state = 3},
  [19093] = {.lex_state = 100, .external_lex_state = 3},
  [19094] = {.lex_state = 15, .external_lex_state = 3},
  [19095] = {.lex_state = 15, .external_lex_state = 3},
  [19096] = {.lex_state = 15, .external_lex_state = 3},
  [19097] = {.lex_state = 15, .external_lex_state = 3},
  [19098] = {.lex_state = 388, .external_lex_state = 3},
  [19099] = {.lex_state = 382, .external_lex_state = 3},
  [19100] = {.lex_state = 382, .external_lex_state = 3},
  [19101] = {.lex_state = 412, .external_lex_state = 3},
  [19102] = {.lex_state = 382, .external_lex_state = 3},
  [19103] = {.lex_state = 382, .external_lex_state = 3},
  [19104] = {.lex_state = 15, .external_lex_state = 3},
  [19105] = {.lex_state = 412, .external_lex_state = 3},
  [19106] = {.lex_state = 15, .external_lex_state = 3},
  [19107] = {.lex_state = 388, .external_lex_state = 3},
  [19108] = {.lex_state = 25, .external_lex_state = 3},
  [19109] = {.lex_state = 412, .external_lex_state = 3},
  [19110] = {.lex_state = 388, .external_lex_state = 3},
  [19111] = {.lex_state = 412, .external_lex_state = 3},
  [19112] = {.lex_state = 412, .external_lex_state = 3},
  [19113] = {.lex_state = 100, .external_lex_state = 3},
  [19114] = {.lex_state = 382, .external_lex_state = 3},
  [19115] = {.lex_state = 382, .external_lex_state = 3},
  [19116] = {.lex_state = 15, .external_lex_state = 3},
  [19117] = {.lex_state = 15, .external_lex_state = 3},
  [19118] = {.lex_state = 382, .external_lex_state = 8},
  [19119] = {.lex_state = 15, .external_lex_state = 3},
  [19120] = {.lex_state = 382, .external_lex_state = 8},
  [19121] = {.lex_state = 382, .external_lex_state = 3},
  [19122] = {.lex_state = 100, .external_lex_state = 3},
  [19123] = {.lex_state = 15, .external_lex_state = 3},
  [19124] = {.lex_state = 382, .external_lex_state = 3},
  [19125] = {.lex_state = 100, .external_lex_state = 3},
  [19126] = {.lex_state = 100, .external_lex_state = 3},
  [19127] = {.lex_state = 100, .external_lex_state = 3},
  [19128] = {.lex_state = 100, .external_lex_state = 3},
  [19129] = {.lex_state = 382, .external_lex_state = 3},
  [19130] = {.lex_state = 382, .external_lex_state = 3},
  [19131] = {.lex_state = 100, .external_lex_state = 3},
  [19132] = {.lex_state = 382, .external_lex_state = 3},
  [19133] = {.lex_state = 15, .external_lex_state = 3},
  [19134] = {.lex_state = 388, .external_lex_state = 3},
  [19135] = {.lex_state = 382, .external_lex_state = 3},
  [19136] = {.lex_state = 15, .external_lex_state = 3},
  [19137] = {.lex_state = 382, .external_lex_state = 3},
  [19138] = {.lex_state = 382, .external_lex_state = 3},
  [19139] = {.lex_state = 15, .external_lex_state = 3},
  [19140] = {.lex_state = 15, .external_lex_state = 3},
  [19141] = {.lex_state = 382, .external_lex_state = 3},
  [19142] = {.lex_state = 382, .external_lex_state = 3},
  [19143] = {.lex_state = 15, .external_lex_state = 3},
  [19144] = {.lex_state = 15, .external_lex_state = 3},
  [19145] = {.lex_state = 15, .external_lex_state = 3},
  [19146] = {.lex_state = 382, .external_lex_state = 8},
  [19147] = {.lex_state = 382, .external_lex_state = 3},
  [19148] = {.lex_state = 15, .external_lex_state = 3},
  [19149] = {.lex_state = 15, .external_lex_state = 3},
  [19150] = {.lex_state = 382, .external_lex_state = 3},
  [19151] = {.lex_state = 388, .external_lex_state = 3},
  [19152] = {.lex_state = 382, .external_lex_state = 3},
  [19153] = {.lex_state = 100, .external_lex_state = 3},
  [19154] = {.lex_state = 100, .external_lex_state = 3},
  [19155] = {.lex_state = 100, .external_lex_state = 3},
  [19156] = {.lex_state = 382, .external_lex_state = 3},
  [19157] = {.lex_state = 382, .external_lex_state = 8},
  [19158] = {.lex_state = 382, .external_lex_state = 3},
  [19159] = {.lex_state = 15, .external_lex_state = 3},
  [19160] = {.lex_state = 100, .external_lex_state = 3},
  [19161] = {.lex_state = 100, .external_lex_state = 3},
  [19162] = {.lex_state = 100, .external_lex_state = 3},
  [19163] = {.lex_state = 412, .external_lex_state = 3},
  [19164] = {.lex_state = 382, .external_lex_state = 3},
  [19165] = {.lex_state = 388, .external_lex_state = 3},
  [19166] = {.lex_state = 388, .external_lex_state = 3},
  [19167] = {.lex_state = 388, .external_lex_state = 3},
  [19168] = {.lex_state = 382, .external_lex_state = 3},
  [19169] = {.lex_state = 382, .external_lex_state = 3},
  [19170] = {.lex_state = 15, .external_lex_state = 3},
  [19171] = {.lex_state = 382, .external_lex_state = 3},
  [19172] = {.lex_state = 382, .external_lex_state = 3},
  [19173] = {.lex_state = 15, .external_lex_state = 3},
  [19174] = {.lex_state = 382, .external_lex_state = 3},
  [19175] = {.lex_state = 412, .external_lex_state = 3},
  [19176] = {.lex_state = 15, .external_lex_state = 3},
  [19177] = {.lex_state = 388, .external_lex_state = 3},
  [19178] = {.lex_state = 15, .external_lex_state = 3},
  [19179] = {.lex_state = 15, .external_lex_state = 3},
  [19180] = {.lex_state = 412, .external_lex_state = 3},
  [19181] = {.lex_state = 15, .external_lex_state = 3},
  [19182] = {.lex_state = 382, .external_lex_state = 3},
  [19183] = {.lex_state = 382, .external_lex_state = 3},
  [19184] = {.lex_state = 382, .external_lex_state = 8},
  [19185] = {.lex_state = 100, .external_lex_state = 3},
  [19186] = {.lex_state = 15, .external_lex_state = 3},
  [19187] = {.lex_state = 412, .external_lex_state = 3},
  [19188] = {.lex_state = 100, .external_lex_state = 3},
  [19189] = {.lex_state = 100, .external_lex_state = 3},
  [19190] = {.lex_state = 100, .external_lex_state = 3},
  [19191] = {.lex_state = 388, .external_lex_state = 3},
  [19192] = {.lex_state = 382, .external_lex_state = 3},
  [19193] = {.lex_state = 382, .external_lex_state = 3},
  [19194] = {.lex_state = 412, .external_lex_state = 3},
  [19195] = {.lex_state = 382, .external_lex_state = 3},
  [19196] = {.lex_state = 382, .external_lex_state = 3},
  [19197] = {.lex_state = 412, .external_lex_state = 3},
  [19198] = {.lex_state = 382, .external_lex_state = 3},
  [19199] = {.lex_state = 388, .external_lex_state = 3},
  [19200] = {.lex_state = 173, .external_lex_state = 3},
  [19201] = {.lex_state = 15, .external_lex_state = 3},
  [19202] = {.lex_state = 382, .external_lex_state = 3},
  [19203] = {.lex_state = 388, .external_lex_state = 3},
  [19204] = {.lex_state = 15, .external_lex_state = 3},
  [19205] = {.lex_state = 382, .external_lex_state = 8},
  [19206] = {.lex_state = 8, .external_lex_state = 3},
  [19207] = {.lex_state = 100, .external_lex_state = 3},
  [19208] = {.lex_state = 15, .external_lex_state = 3},
  [19209] = {.lex_state = 412, .external_lex_state = 3},
  [19210] = {.lex_state = 15, .external_lex_state = 3},
  [19211] = {.lex_state = 382, .external_lex_state = 3},
  [19212] = {.lex_state = 15, .external_lex_state = 3},
  [19213] = {.lex_state = 388, .external_lex_state = 3},
  [19214] = {.lex_state = 382, .external_lex_state = 3},
  [19215] = {.lex_state = 382, .external_lex_state = 3},
  [19216] = {.lex_state = 15, .external_lex_state = 3},
  [19217] = {.lex_state = 412, .external_lex_state = 3},
  [19218] = {.lex_state = 100, .external_lex_state = 3},
  [19219] = {.lex_state = 100, .external_lex_state = 3},
  [19220] = {.lex_state = 100, .external_lex_state = 3},
  [19221] = {.lex_state = 100, .external_lex_state = 3},
  [19222] = {.lex_state = 100, .external_lex_state = 3},
  [19223] = {.lex_state = 382, .external_lex_state = 3},
  [19224] = {.lex_state = 15, .external_lex_state = 3},
  [19225] = {.lex_state = 412, .external_lex_state = 3},
  [19226] = {.lex_state = 382, .external_lex_state = 3},
  [19227] = {.lex_state = 382, .external_lex_state = 3},
  [19228] = {.lex_state = 15, .external_lex_state = 3},
  [19229] = {.lex_state = 15, .external_lex_state = 3},
  [19230] = {.lex_state = 388, .external_lex_state = 3},
  [19231] = {.lex_state = 15, .external_lex_state = 3},
  [19232] = {.lex_state = 412, .external_lex_state = 3},
  [19233] = {.lex_state = 382, .external_lex_state = 3},
  [19234] = {.lex_state = 382, .external_lex_state = 8},
  [19235] = {.lex_state = 382, .external_lex_state = 3},
  [19236] = {.lex_state = 100, .external_lex_state = 3},
  [19237] = {.lex_state = 100, .external_lex_state = 3},
  [19238] = {.lex_state = 15, .external_lex_state = 3},
  [19239] = {.lex_state = 100, .external_lex_state = 3},
  [19240] = {.lex_state = 100, .external_lex_state = 3},
  [19241] = {.lex_state = 382, .external_lex_state = 3},
  [19242] = {.lex_state = 382, .external_lex_state = 3},
  [19243] = {.lex_state = 15, .external_lex_state = 3},
  [19244] = {.lex_state = 382, .external_lex_state = 3},
  [19245] = {.lex_state = 382, .external_lex_state = 3},
  [19246] = {.lex_state = 382, .external_lex_state = 8},
  [19247] = {.lex_state = 382, .external_lex_state = 3},
  [19248] = {.lex_state = 388, .external_lex_state = 3},
  [19249] = {.lex_state = 382, .external_lex_state = 3},
  [19250] = {.lex_state = 382, .external_lex_state = 3},
  [19251] = {.lex_state = 382, .external_lex_state = 3},
  [19252] = {.lex_state = 15, .external_lex_state = 3},
  [19253] = {.lex_state = 15, .external_lex_state = 3},
  [19254] = {.lex_state = 100, .external_lex_state = 3},
  [19255] = {.lex_state = 15, .external_lex_state = 3},
  [19256] = {.lex_state = 412, .external_lex_state = 3},
  [19257] = {.lex_state = 382, .external_lex_state = 8},
  [19258] = {.lex_state = 100, .external_lex_state = 3},
  [19259] = {.lex_state = 412, .external_lex_state = 3},
  [19260] = {.lex_state = 100, .external_lex_state = 3},
  [19261] = {.lex_state = 100, .external_lex_state = 3},
  [19262] = {.lex_state = 100, .external_lex_state = 3},
  [19263] = {.lex_state = 100, .external_lex_state = 3},
  [19264] = {.lex_state = 100, .external_lex_state = 3},
  [19265] = {.lex_state = 382, .external_lex_state = 3},
  [19266] = {.lex_state = 15, .external_lex_state = 3},
  [19267] = {.lex_state = 15, .external_lex_state = 3},
  [19268] = {.lex_state = 15, .external_lex_state = 3},
  [19269] = {.lex_state = 15, .external_lex_state = 3},
  [19270] = {.lex_state = 15, .external_lex_state = 3},
  [19271] = {.lex_state = 15, .external_lex_state = 3},
  [19272] = {.lex_state = 15, .external_lex_state = 3},
  [19273] = {.lex_state = 15, .external_lex_state = 3},
  [19274] = {.lex_state = 382, .external_lex_state = 3},
  [19275] = {.lex_state = 15, .external_lex_state = 3},
  [19276] = {.lex_state = 388, .external_lex_state = 3},
  [19277] = {.lex_state = 382, .external_lex_state = 3},
  [19278] = {.lex_state = 15, .external_lex_state = 3},
  [19279] = {.lex_state = 382, .external_lex_state = 3},
  [19280] = {.lex_state = 382, .external_lex_state = 3},
  [19281] = {.lex_state = 15, .external_lex_state = 3},
  [19282] = {.lex_state = 412, .external_lex_state = 3},
  [19283] = {.lex_state = 412, .external_lex_state = 3},
  [19284] = {.lex_state = 15, .external_lex_state = 3},
  [19285] = {.lex_state = 382, .external_lex_state = 8},
  [19286] = {.lex_state = 382, .external_lex_state = 3},
  [19287] = {.lex_state = 15, .external_lex_state = 3},
  [19288] = {.lex_state = 382, .external_lex_state = 3},
  [19289] = {.lex_state = 412, .external_lex_state = 3},
  [19290] = {.lex_state = 100, .external_lex_state = 3},
  [19291] = {.lex_state = 100, .external_lex_state = 3},
  [19292] = {.lex_state = 15, .external_lex_state = 3},
  [19293] = {.lex_state = 15, .external_lex_state = 3},
  [19294] = {.lex_state = 100, .external_lex_state = 3},
  [19295] = {.lex_state = 388, .external_lex_state = 3},
  [19296] = {.lex_state = 412, .external_lex_state = 3},
  [19297] = {.lex_state = 15, .external_lex_state = 3},
  [19298] = {.lex_state = 382, .external_lex_state = 3},
  [19299] = {.lex_state = 15, .external_lex_state = 3},
  [19300] = {.lex_state = 15, .external_lex_state = 3},
  [19301] = {.lex_state = 382, .external_lex_state = 3},
  [19302] = {.lex_state = 382, .external_lex_state = 3},
  [19303] = {.lex_state = 382, .external_lex_state = 3},
  [19304] = {.lex_state = 382, .external_lex_state = 3},
  [19305] = {.lex_state = 382, .external_lex_state = 3},
  [19306] = {.lex_state = 382, .external_lex_state = 3},
  [19307] = {.lex_state = 382, .external_lex_state = 3},
  [19308] = {.lex_state = 382, .external_lex_state = 3},
  [19309] = {.lex_state = 132, .external_lex_state = 3},
  [19310] = {.lex_state = 412, .external_lex_state = 3},
  [19311] = {.lex_state = 132, .external_lex_state = 3},
  [19312] = {.lex_state = 412, .external_lex_state = 3},
  [19313] = {.lex_state = 132, .external_lex_state = 3},
  [19314] = {.lex_state = 382, .external_lex_state = 3},
  [19315] = {.lex_state = 382, .external_lex_state = 3},
  [19316] = {.lex_state = 15, .external_lex_state = 3},
  [19317] = {.lex_state = 388, .external_lex_state = 3},
  [19318] = {.lex_state = 382, .external_lex_state = 3},
  [19319] = {.lex_state = 382, .external_lex_state = 3},
  [19320] = {.lex_state = 132, .external_lex_state = 3},
  [19321] = {.lex_state = 382, .external_lex_state = 3},
  [19322] = {.lex_state = 382, .external_lex_state = 3},
  [19323] = {.lex_state = 412, .external_lex_state = 3},
  [19324] = {.lex_state = 15, .external_lex_state = 3},
  [19325] = {.lex_state = 382, .external_lex_state = 3},
  [19326] = {.lex_state = 412, .external_lex_state = 3},
  [19327] = {.lex_state = 382, .external_lex_state = 3},
  [19328] = {.lex_state = 382, .external_lex_state = 3},
  [19329] = {.lex_state = 382, .external_lex_state = 3},
  [19330] = {.lex_state = 388, .external_lex_state = 3},
  [19331] = {.lex_state = 382, .external_lex_state = 3},
  [19332] = {.lex_state = 382, .external_lex_state = 3},
  [19333] = {.lex_state = 388, .external_lex_state = 3},
  [19334] = {.lex_state = 382, .external_lex_state = 3},
  [19335] = {.lex_state = 382, .external_lex_state = 3},
  [19336] = {.lex_state = 382, .external_lex_state = 3},
  [19337] = {.lex_state = 382, .external_lex_state = 3},
  [19338] = {.lex_state = 382, .external_lex_state = 3},
  [19339] = {.lex_state = 382, .external_lex_state = 3},
  [19340] = {.lex_state = 382, .external_lex_state = 3},
  [19341] = {.lex_state = 412, .external_lex_state = 3},
  [19342] = {.lex_state = 382, .external_lex_state = 2},
  [19343] = {.lex_state = 382, .external_lex_state = 3},
  [19344] = {.lex_state = 382, .external_lex_state = 3},
  [19345] = {.lex_state = 382, .external_lex_state = 3},
  [19346] = {.lex_state = 382, .external_lex_state = 3},
  [19347] = {.lex_state = 382, .external_lex_state = 3},
  [19348] = {.lex_state = 132, .external_lex_state = 3},
  [19349] = {.lex_state = 382, .external_lex_state = 3},
  [19350] = {.lex_state = 382, .external_lex_state = 3},
  [19351] = {.lex_state = 382, .external_lex_state = 3},
  [19352] = {.lex_state = 382, .external_lex_state = 3},
  [19353] = {.lex_state = 388, .external_lex_state = 3},
  [19354] = {.lex_state = 382, .external_lex_state = 3},
  [19355] = {.lex_state = 132, .external_lex_state = 3},
  [19356] = {.lex_state = 412, .external_lex_state = 3},
  [19357] = {.lex_state = 382, .external_lex_state = 3},
  [19358] = {.lex_state = 382, .external_lex_state = 3},
  [19359] = {.lex_state = 412, .external_lex_state = 3},
  [19360] = {.lex_state = 382, .external_lex_state = 3},
  [19361] = {.lex_state = 388, .external_lex_state = 3},
  [19362] = {.lex_state = 412, .external_lex_state = 3},
  [19363] = {.lex_state = 388, .external_lex_state = 3},
  [19364] = {.lex_state = 382, .external_lex_state = 3},
  [19365] = {.lex_state = 382, .external_lex_state = 3},
  [19366] = {.lex_state = 132, .external_lex_state = 3},
  [19367] = {.lex_state = 382, .external_lex_state = 3},
  [19368] = {.lex_state = 382, .external_lex_state = 3},
  [19369] = {.lex_state = 382, .external_lex_state = 3},
  [19370] = {.lex_state = 382, .external_lex_state = 3},
  [19371] = {.lex_state = 132, .external_lex_state = 3},
  [19372] = {.lex_state = 132, .external_lex_state = 3},
  [19373] = {.lex_state = 412, .external_lex_state = 3},
  [19374] = {.lex_state = 382, .external_lex_state = 3},
  [19375] = {.lex_state = 412, .external_lex_state = 3},
  [19376] = {.lex_state = 382, .external_lex_state = 3},
  [19377] = {.lex_state = 382, .external_lex_state = 3},
  [19378] = {.lex_state = 382, .external_lex_state = 3},
  [19379] = {.lex_state = 382, .external_lex_state = 3},
  [19380] = {.lex_state = 388, .external_lex_state = 3},
  [19381] = {.lex_state = 382, .external_lex_state = 3},
  [19382] = {.lex_state = 382, .external_lex_state = 3},
  [19383] = {.lex_state = 382, .external_lex_state = 3},
  [19384] = {.lex_state = 382, .external_lex_state = 3},
  [19385] = {.lex_state = 382, .external_lex_state = 3},
  [19386] = {.lex_state = 382, .external_lex_state = 3},
  [19387] = {.lex_state = 132, .external_lex_state = 3},
  [19388] = {.lex_state = 412, .external_lex_state = 3},
  [19389] = {.lex_state = 382, .external_lex_state = 3},
  [19390] = {.lex_state = 132, .external_lex_state = 3},
  [19391] = {.lex_state = 382, .external_lex_state = 2},
  [19392] = {.lex_state = 382, .external_lex_state = 3},
  [19393] = {.lex_state = 388, .external_lex_state = 3},
  [19394] = {.lex_state = 382, .external_lex_state = 3},
  [19395] = {.lex_state = 382, .external_lex_state = 3},
  [19396] = {.lex_state = 412, .external_lex_state = 3},
  [19397] = {.lex_state = 382, .external_lex_state = 3},
  [19398] = {.lex_state = 382, .external_lex_state = 3},
  [19399] = {.lex_state = 382, .external_lex_state = 3},
  [19400] = {.lex_state = 382, .external_lex_state = 3},
  [19401] = {.lex_state = 382, .external_lex_state = 3},
  [19402] = {.lex_state = 382, .external_lex_state = 3},
  [19403] = {.lex_state = 382, .external_lex_state = 3},
  [19404] = {.lex_state = 382, .external_lex_state = 3},
  [19405] = {.lex_state = 382, .external_lex_state = 3},
  [19406] = {.lex_state = 382, .external_lex_state = 3},
  [19407] = {.lex_state = 382, .external_lex_state = 3},
  [19408] = {.lex_state = 382, .external_lex_state = 3},
  [19409] = {.lex_state = 132, .external_lex_state = 3},
  [19410] = {.lex_state = 382, .external_lex_state = 3},
  [19411] = {.lex_state = 382, .external_lex_state = 3},
  [19412] = {.lex_state = 382, .external_lex_state = 3},
  [19413] = {.lex_state = 132, .external_lex_state = 3},
  [19414] = {.lex_state = 382, .external_lex_state = 3},
  [19415] = {.lex_state = 382, .external_lex_state = 9},
  [19416] = {.lex_state = 388, .external_lex_state = 3},
  [19417] = {.lex_state = 132, .external_lex_state = 3},
  [19418] = {.lex_state = 412, .external_lex_state = 3},
  [19419] = {.lex_state = 382, .external_lex_state = 3},
  [19420] = {.lex_state = 382, .external_lex_state = 2},
  [19421] = {.lex_state = 132, .external_lex_state = 3},
  [19422] = {.lex_state = 412, .external_lex_state = 3},
  [19423] = {.lex_state = 132, .external_lex_state = 3},
  [19424] = {.lex_state = 382, .external_lex_state = 3},
  [19425] = {.lex_state = 412, .external_lex_state = 3},
  [19426] = {.lex_state = 388, .external_lex_state = 3},
  [19427] = {.lex_state = 382, .external_lex_state = 3},
  [19428] = {.lex_state = 382, .external_lex_state = 3},
  [19429] = {.lex_state = 382, .external_lex_state = 3},
  [19430] = {.lex_state = 382, .external_lex_state = 3},
  [19431] = {.lex_state = 382, .external_lex_state = 3},
  [19432] = {.lex_state = 132, .external_lex_state = 3},
  [19433] = {.lex_state = 382, .external_lex_state = 3},
  [19434] = {.lex_state = 382, .external_lex_state = 3},
  [19435] = {.lex_state = 132, .external_lex_state = 3},
  [19436] = {.lex_state = 412, .external_lex_state = 3},
  [19437] = {.lex_state = 132, .external_lex_state = 3},
  [19438] = {.lex_state = 412, .external_lex_state = 3},
  [19439] = {.lex_state = 382, .external_lex_state = 3},
  [19440] = {.lex_state = 382, .external_lex_state = 3},
  [19441] = {.lex_state = 382, .external_lex_state = 3},
  [19442] = {.lex_state = 412, .external_lex_state = 3},
  [19443] = {.lex_state = 388, .external_lex_state = 3},
  [19444] = {.lex_state = 382, .external_lex_state = 3},
  [19445] = {.lex_state = 382, .external_lex_state = 3},
  [19446] = {.lex_state = 382, .external_lex_state = 3},
  [19447] = {.lex_state = 382, .external_lex_state = 3},
  [19448] = {.lex_state = 382, .external_lex_state = 3},
  [19449] = {.lex_state = 382, .external_lex_state = 3},
  [19450] = {.lex_state = 382, .external_lex_state = 3},
  [19451] = {.lex_state = 132, .external_lex_state = 3},
  [19452] = {.lex_state = 382, .external_lex_state = 2},
  [19453] = {.lex_state = 382, .external_lex_state = 3},
  [19454] = {.lex_state = 382, .external_lex_state = 3},
  [19455] = {.lex_state = 382, .external_lex_state = 3},
  [19456] = {.lex_state = 15, .external_lex_state = 3},
  [19457] = {.lex_state = 382, .external_lex_state = 3},
  [19458] = {.lex_state = 132, .external_lex_state = 3},
  [19459] = {.lex_state = 382, .external_lex_state = 3},
  [19460] = {.lex_state = 382, .external_lex_state = 3},
  [19461] = {.lex_state = 382, .external_lex_state = 3},
  [19462] = {.lex_state = 132, .external_lex_state = 3},
  [19463] = {.lex_state = 382, .external_lex_state = 3},
  [19464] = {.lex_state = 382, .external_lex_state = 3},
  [19465] = {.lex_state = 382, .external_lex_state = 3},
  [19466] = {.lex_state = 382, .external_lex_state = 3},
  [19467] = {.lex_state = 382, .external_lex_state = 3},
  [19468] = {.lex_state = 132, .external_lex_state = 3},
  [19469] = {.lex_state = 382, .external_lex_state = 3},
  [19470] = {.lex_state = 382, .external_lex_state = 3},
  [19471] = {.lex_state = 382, .external_lex_state = 3},
  [19472] = {.lex_state = 382, .external_lex_state = 3},
  [19473] = {.lex_state = 382, .external_lex_state = 3},
  [19474] = {.lex_state = 382, .external_lex_state = 3},
  [19475] = {.lex_state = 382, .external_lex_state = 3},
  [19476] = {.lex_state = 382, .external_lex_state = 3},
  [19477] = {.lex_state = 382, .external_lex_state = 3},
  [19478] = {.lex_state = 382, .external_lex_state = 3},
  [19479] = {.lex_state = 388, .external_lex_state = 3},
  [19480] = {.lex_state = 382, .external_lex_state = 3},
  [19481] = {.lex_state = 382, .external_lex_state = 3},
  [19482] = {.lex_state = 132, .external_lex_state = 3},
  [19483] = {.lex_state = 382, .external_lex_state = 3},
  [19484] = {.lex_state = 382, .external_lex_state = 3},
  [19485] = {.lex_state = 412, .external_lex_state = 3},
  [19486] = {.lex_state = 132, .external_lex_state = 3},
  [19487] = {.lex_state = 382, .external_lex_state = 3},
  [19488] = {.lex_state = 412, .external_lex_state = 3},
  [19489] = {.lex_state = 388, .external_lex_state = 3},
  [19490] = {.lex_state = 388, .external_lex_state = 3},
  [19491] = {.lex_state = 382, .external_lex_state = 3},
  [19492] = {.lex_state = 382, .external_lex_state = 3},
  [19493] = {.lex_state = 382, .external_lex_state = 3},
  [19494] = {.lex_state = 412, .external_lex_state = 3},
  [19495] = {.lex_state = 382, .external_lex_state = 3},
  [19496] = {.lex_state = 382, .external_lex_state = 3},
  [19497] = {.lex_state = 382, .external_lex_state = 3},
  [19498] = {.lex_state = 382, .external_lex_state = 3},
  [19499] = {.lex_state = 412, .external_lex_state = 3},
  [19500] = {.lex_state = 382, .external_lex_state = 3},
  [19501] = {.lex_state = 412, .external_lex_state = 3},
  [19502] = {.lex_state = 382, .external_lex_state = 3},
  [19503] = {.lex_state = 382, .external_lex_state = 3},
  [19504] = {.lex_state = 382, .external_lex_state = 3},
  [19505] = {.lex_state = 412, .external_lex_state = 3},
  [19506] = {.lex_state = 388, .external_lex_state = 3},
  [19507] = {.lex_state = 382, .external_lex_state = 3},
  [19508] = {.lex_state = 382, .external_lex_state = 3},
  [19509] = {.lex_state = 382, .external_lex_state = 3},
  [19510] = {.lex_state = 382, .external_lex_state = 3},
  [19511] = {.lex_state = 382, .external_lex_state = 3},
  [19512] = {.lex_state = 132, .external_lex_state = 3},
  [19513] = {.lex_state = 132, .external_lex_state = 3},
  [19514] = {.lex_state = 382, .external_lex_state = 3},
  [19515] = {.lex_state = 132, .external_lex_state = 3},
  [19516] = {.lex_state = 382, .external_lex_state = 2},
  [19517] = {.lex_state = 382, .external_lex_state = 3},
  [19518] = {.lex_state = 382, .external_lex_state = 3},
  [19519] = {.lex_state = 382, .external_lex_state = 3},
  [19520] = {.lex_state = 382, .external_lex_state = 3},
  [19521] = {.lex_state = 388, .external_lex_state = 3},
  [19522] = {.lex_state = 382, .external_lex_state = 3},
  [19523] = {.lex_state = 132, .external_lex_state = 3},
  [19524] = {.lex_state = 382, .external_lex_state = 3},
  [19525] = {.lex_state = 412, .external_lex_state = 3},
  [19526] = {.lex_state = 382, .external_lex_state = 3},
  [19527] = {.lex_state = 382, .external_lex_state = 3},
  [19528] = {.lex_state = 382, .external_lex_state = 3},
  [19529] = {.lex_state = 382, .external_lex_state = 3},
  [19530] = {.lex_state = 382, .external_lex_state = 3},
  [19531] = {.lex_state = 412, .external_lex_state = 3},
  [19532] = {.lex_state = 382, .external_lex_state = 2},
  [19533] = {.lex_state = 412, .external_lex_state = 3},
  [19534] = {.lex_state = 382, .external_lex_state = 2},
  [19535] = {.lex_state = 382, .external_lex_state = 3},
  [19536] = {.lex_state = 382, .external_lex_state = 3},
  [19537] = {.lex_state = 15, .external_lex_state = 3},
  [19538] = {.lex_state = 388, .external_lex_state = 3},
  [19539] = {.lex_state = 15, .external_lex_state = 3},
  [19540] = {.lex_state = 382, .external_lex_state = 3},
  [19541] = {.lex_state = 382, .external_lex_state = 3},
  [19542] = {.lex_state = 382, .external_lex_state = 3},
  [19543] = {.lex_state = 412, .external_lex_state = 3},
  [19544] = {.lex_state = 412, .external_lex_state = 3},
  [19545] = {.lex_state = 388, .external_lex_state = 3},
  [19546] = {.lex_state = 382, .external_lex_state = 3},
  [19547] = {.lex_state = 388, .external_lex_state = 3},
  [19548] = {.lex_state = 382, .external_lex_state = 3},
  [19549] = {.lex_state = 382, .external_lex_state = 3},
  [19550] = {.lex_state = 382, .external_lex_state = 3},
  [19551] = {.lex_state = 382, .external_lex_state = 3},
  [19552] = {.lex_state = 382, .external_lex_state = 3},
  [19553] = {.lex_state = 382, .external_lex_state = 3},
  [19554] = {.lex_state = 412, .external_lex_state = 3},
  [19555] = {.lex_state = 412, .external_lex_state = 3},
  [19556] = {.lex_state = 382, .external_lex_state = 3},
  [19557] = {.lex_state = 382, .external_lex_state = 3},
  [19558] = {.lex_state = 388, .external_lex_state = 3},
  [19559] = {.lex_state = 382, .external_lex_state = 3},
  [19560] = {.lex_state = 388, .external_lex_state = 3},
  [19561] = {.lex_state = 412, .external_lex_state = 3},
  [19562] = {.lex_state = 382, .external_lex_state = 3},
  [19563] = {.lex_state = 412, .external_lex_state = 3},
  [19564] = {.lex_state = 382, .external_lex_state = 2},
  [19565] = {.lex_state = 382, .external_lex_state = 3},
  [19566] = {.lex_state = 382, .external_lex_state = 3},
  [19567] = {.lex_state = 382, .external_lex_state = 3},
  [19568] = {.lex_state = 382, .external_lex_state = 3},
  [19569] = {.lex_state = 382, .external_lex_state = 3},
  [19570] = {.lex_state = 382, .external_lex_state = 3},
  [19571] = {.lex_state = 15, .external_lex_state = 3},
  [19572] = {.lex_state = 382, .external_lex_state = 3},
  [19573] = {.lex_state = 412, .external_lex_state = 3},
  [19574] = {.lex_state = 382, .external_lex_state = 3},
  [19575] = {.lex_state = 382, .external_lex_state = 3},
  [19576] = {.lex_state = 382, .external_lex_state = 3},
  [19577] = {.lex_state = 382, .external_lex_state = 3},
  [19578] = {.lex_state = 382, .external_lex_state = 3},
  [19579] = {.lex_state = 382, .external_lex_state = 3},
  [19580] = {.lex_state = 382, .external_lex_state = 3},
  [19581] = {.lex_state = 382, .external_lex_state = 3},
  [19582] = {.lex_state = 382, .external_lex_state = 3},
  [19583] = {.lex_state = 382, .external_lex_state = 3},
  [19584] = {.lex_state = 382, .external_lex_state = 3},
  [19585] = {.lex_state = 382, .external_lex_state = 3},
  [19586] = {.lex_state = 15, .external_lex_state = 3},
  [19587] = {.lex_state = 412, .external_lex_state = 3},
  [19588] = {.lex_state = 412, .external_lex_state = 3},
  [19589] = {.lex_state = 382, .external_lex_state = 2},
  [19590] = {.lex_state = 382, .external_lex_state = 3},
  [19591] = {.lex_state = 382, .external_lex_state = 3},
  [19592] = {.lex_state = 388, .external_lex_state = 3},
  [19593] = {.lex_state = 382, .external_lex_state = 3},
  [19594] = {.lex_state = 382, .external_lex_state = 3},
  [19595] = {.lex_state = 382, .external_lex_state = 3},
  [19596] = {.lex_state = 382, .external_lex_state = 3},
  [19597] = {.lex_state = 412, .external_lex_state = 3},
  [19598] = {.lex_state = 412, .external_lex_state = 3},
  [19599] = {.lex_state = 388, .external_lex_state = 3},
  [19600] = {.lex_state = 382, .external_lex_state = 3},
  [19601] = {.lex_state = 382, .external_lex_state = 3},
  [19602] = {.lex_state = 382, .external_lex_state = 3},
  [19603] = {.lex_state = 412, .external_lex_state = 3},
  [19604] = {.lex_state = 412, .external_lex_state = 3},
  [19605] = {.lex_state = 382, .external_lex_state = 3},
  [19606] = {.lex_state = 382, .external_lex_state = 3},
  [19607] = {.lex_state = 382, .external_lex_state = 3},
  [19608] = {.lex_state = 382, .external_lex_state = 3},
  [19609] = {.lex_state = 412, .external_lex_state = 3},
  [19610] = {.lex_state = 412, .external_lex_state = 3},
  [19611] = {.lex_state = 382, .external_lex_state = 2},
  [19612] = {.lex_state = 382, .external_lex_state = 3},
  [19613] = {.lex_state = 382, .external_lex_state = 3},
  [19614] = {.lex_state = 382, .external_lex_state = 3},
  [19615] = {.lex_state = 388, .external_lex_state = 3},
  [19616] = {.lex_state = 382, .external_lex_state = 3},
  [19617] = {.lex_state = 382, .external_lex_state = 3},
  [19618] = {.lex_state = 382, .external_lex_state = 3},
  [19619] = {.lex_state = 382, .external_lex_state = 3},
  [19620] = {.lex_state = 382, .external_lex_state = 3},
  [19621] = {.lex_state = 382, .external_lex_state = 3},
  [19622] = {.lex_state = 412, .external_lex_state = 3},
  [19623] = {.lex_state = 382, .external_lex_state = 3},
  [19624] = {.lex_state = 412, .external_lex_state = 3},
  [19625] = {.lex_state = 382, .external_lex_state = 3},
  [19626] = {.lex_state = 382, .external_lex_state = 3},
  [19627] = {.lex_state = 382, .external_lex_state = 3},
  [19628] = {.lex_state = 382, .external_lex_state = 3},
  [19629] = {.lex_state = 382, .external_lex_state = 3},
  [19630] = {.lex_state = 382, .external_lex_state = 3},
  [19631] = {.lex_state = 382, .external_lex_state = 3},
  [19632] = {.lex_state = 382, .external_lex_state = 3},
  [19633] = {.lex_state = 382, .external_lex_state = 3},
  [19634] = {.lex_state = 382, .external_lex_state = 3},
  [19635] = {.lex_state = 382, .external_lex_state = 3},
  [19636] = {.lex_state = 382, .external_lex_state = 3},
  [19637] = {.lex_state = 382, .external_lex_state = 3},
  [19638] = {.lex_state = 382, .external_lex_state = 3},
  [19639] = {.lex_state = 132, .external_lex_state = 3},
  [19640] = {.lex_state = 412, .external_lex_state = 3},
  [19641] = {.lex_state = 382, .external_lex_state = 3},
  [19642] = {.lex_state = 382, .external_lex_state = 3},
  [19643] = {.lex_state = 382, .external_lex_state = 3},
  [19644] = {.lex_state = 382, .external_lex_state = 3},
  [19645] = {.lex_state = 382, .external_lex_state = 2},
  [19646] = {.lex_state = 382, .external_lex_state = 3},
  [19647] = {.lex_state = 388, .external_lex_state = 3},
  [19648] = {.lex_state = 382, .external_lex_state = 3},
  [19649] = {.lex_state = 388, .external_lex_state = 3},
  [19650] = {.lex_state = 382, .external_lex_state = 3},
  [19651] = {.lex_state = 382, .external_lex_state = 3},
  [19652] = {.lex_state = 412, .external_lex_state = 3},
  [19653] = {.lex_state = 412, .external_lex_state = 3},
  [19654] = {.lex_state = 388, .external_lex_state = 3},
  [19655] = {.lex_state = 388, .external_lex_state = 3},
  [19656] = {.lex_state = 382, .external_lex_state = 3},
  [19657] = {.lex_state = 382, .external_lex_state = 3},
  [19658] = {.lex_state = 382, .external_lex_state = 3},
  [19659] = {.lex_state = 132, .external_lex_state = 3},
  [19660] = {.lex_state = 382, .external_lex_state = 3},
  [19661] = {.lex_state = 382, .external_lex_state = 3},
  [19662] = {.lex_state = 382, .external_lex_state = 3},
  [19663] = {.lex_state = 382, .external_lex_state = 3},
  [19664] = {.lex_state = 412, .external_lex_state = 3},
  [19665] = {.lex_state = 412, .external_lex_state = 3},
  [19666] = {.lex_state = 388, .external_lex_state = 3},
  [19667] = {.lex_state = 382, .external_lex_state = 3},
  [19668] = {.lex_state = 388, .external_lex_state = 3},
  [19669] = {.lex_state = 382, .external_lex_state = 3},
  [19670] = {.lex_state = 388, .external_lex_state = 3},
  [19671] = {.lex_state = 382, .external_lex_state = 3},
  [19672] = {.lex_state = 382, .external_lex_state = 3},
  [19673] = {.lex_state = 382, .external_lex_state = 3},
  [19674] = {.lex_state = 382, .external_lex_state = 3},
  [19675] = {.lex_state = 382, .external_lex_state = 3},
  [19676] = {.lex_state = 382, .external_lex_state = 3},
  [19677] = {.lex_state = 382, .external_lex_state = 3},
  [19678] = {.lex_state = 382, .external_lex_state = 3},
  [19679] = {.lex_state = 388, .external_lex_state = 3},
  [19680] = {.lex_state = 382, .external_lex_state = 3},
  [19681] = {.lex_state = 412, .external_lex_state = 3},
  [19682] = {.lex_state = 382, .external_lex_state = 3},
  [19683] = {.lex_state = 382, .external_lex_state = 3},
  [19684] = {.lex_state = 412, .external_lex_state = 3},
  [19685] = {.lex_state = 382, .external_lex_state = 3},
  [19686] = {.lex_state = 382, .external_lex_state = 3},
  [19687] = {.lex_state = 382, .external_lex_state = 3},
  [19688] = {.lex_state = 412, .external_lex_state = 3},
  [19689] = {.lex_state = 388, .external_lex_state = 3},
  [19690] = {.lex_state = 382, .external_lex_state = 3},
  [19691] = {.lex_state = 382, .external_lex_state = 3},
  [19692] = {.lex_state = 382, .external_lex_state = 3},
  [19693] = {.lex_state = 382, .external_lex_state = 3},
  [19694] = {.lex_state = 382, .external_lex_state = 3},
  [19695] = {.lex_state = 382, .external_lex_state = 3},
  [19696] = {.lex_state = 382, .external_lex_state = 3},
  [19697] = {.lex_state = 412, .external_lex_state = 3},
  [19698] = {.lex_state = 382, .external_lex_state = 3},
  [19699] = {.lex_state = 382, .external_lex_state = 2},
  [19700] = {.lex_state = 412, .external_lex_state = 3},
  [19701] = {.lex_state = 382, .external_lex_state = 3},
  [19702] = {.lex_state = 388, .external_lex_state = 3},
  [19703] = {.lex_state = 382, .external_lex_state = 3},
  [19704] = {.lex_state = 382, .external_lex_state = 3},
  [19705] = {.lex_state = 382, .external_lex_state = 3},
  [19706] = {.lex_state = 382, .external_lex_state = 3},
  [19707] = {.lex_state = 412, .external_lex_state = 3},
  [19708] = {.lex_state = 412, .external_lex_state = 3},
  [19709] = {.lex_state = 388, .external_lex_state = 3},
  [19710] = {.lex_state = 382, .external_lex_state = 3},
  [19711] = {.lex_state = 382, .external_lex_state = 3},
  [19712] = {.lex_state = 382, .external_lex_state = 3},
  [19713] = {.lex_state = 382, .external_lex_state = 3},
  [19714] = {.lex_state = 382, .external_lex_state = 3},
  [19715] = {.lex_state = 382, .external_lex_state = 3},
  [19716] = {.lex_state = 382, .external_lex_state = 3},
  [19717] = {.lex_state = 382, .external_lex_state = 3},
  [19718] = {.lex_state = 382, .external_lex_state = 3},
  [19719] = {.lex_state = 412, .external_lex_state = 3},
  [19720] = {.lex_state = 412, .external_lex_state = 3},
  [19721] = {.lex_state = 382, .external_lex_state = 3},
  [19722] = {.lex_state = 382, .external_lex_state = 3},
  [19723] = {.lex_state = 382, .external_lex_state = 3},
  [19724] = {.lex_state = 382, .external_lex_state = 3},
  [19725] = {.lex_state = 388, .external_lex_state = 3},
  [19726] = {.lex_state = 382, .external_lex_state = 3},
  [19727] = {.lex_state = 382, .external_lex_state = 3},
  [19728] = {.lex_state = 132, .external_lex_state = 3},
  [19729] = {.lex_state = 382, .external_lex_state = 3},
  [19730] = {.lex_state = 382, .external_lex_state = 3},
  [19731] = {.lex_state = 382, .external_lex_state = 3},
  [19732] = {.lex_state = 382, .external_lex_state = 3},
  [19733] = {.lex_state = 382, .external_lex_state = 3},
  [19734] = {.lex_state = 382, .external_lex_state = 3},
  [19735] = {.lex_state = 382, .external_lex_state = 3},
  [19736] = {.lex_state = 132, .external_lex_state = 3},
  [19737] = {.lex_state = 382, .external_lex_state = 3},
  [19738] = {.lex_state = 382, .external_lex_state = 3},
  [19739] = {.lex_state = 382, .external_lex_state = 3},
  [19740] = {.lex_state = 382, .external_lex_state = 3},
  [19741] = {.lex_state = 412, .external_lex_state = 3},
  [19742] = {.lex_state = 412, .external_lex_state = 3},
  [19743] = {.lex_state = 382, .external_lex_state = 3},
  [19744] = {.lex_state = 412, .external_lex_state = 3},
  [19745] = {.lex_state = 382, .external_lex_state = 3},
  [19746] = {.lex_state = 382, .external_lex_state = 3},
  [19747] = {.lex_state = 382, .external_lex_state = 3},
  [19748] = {.lex_state = 382, .external_lex_state = 3},
  [19749] = {.lex_state = 412, .external_lex_state = 3},
  [19750] = {.lex_state = 382, .external_lex_state = 3},
  [19751] = {.lex_state = 382, .external_lex_state = 3},
  [19752] = {.lex_state = 382, .external_lex_state = 3},
  [19753] = {.lex_state = 382, .external_lex_state = 3},
  [19754] = {.lex_state = 382, .external_lex_state = 3},
  [19755] = {.lex_state = 382, .external_lex_state = 2},
  [19756] = {.lex_state = 382, .external_lex_state = 3},
  [19757] = {.lex_state = 388, .external_lex_state = 3},
  [19758] = {.lex_state = 382, .external_lex_state = 3},
  [19759] = {.lex_state = 388, .external_lex_state = 3},
  [19760] = {.lex_state = 382, .external_lex_state = 3},
  [19761] = {.lex_state = 382, .external_lex_state = 3},
  [19762] = {.lex_state = 412, .external_lex_state = 3},
  [19763] = {.lex_state = 412, .external_lex_state = 3},
  [19764] = {.lex_state = 388, .external_lex_state = 3},
  [19765] = {.lex_state = 382, .external_lex_state = 3},
  [19766] = {.lex_state = 382, .external_lex_state = 3},
  [19767] = {.lex_state = 132, .external_lex_state = 3},
  [19768] = {.lex_state = 412, .external_lex_state = 3},
  [19769] = {.lex_state = 382, .external_lex_state = 3},
  [19770] = {.lex_state = 382, .external_lex_state = 2},
  [19771] = {.lex_state = 412, .external_lex_state = 3},
  [19772] = {.lex_state = 412, .external_lex_state = 3},
  [19773] = {.lex_state = 382, .external_lex_state = 3},
  [19774] = {.lex_state = 382, .external_lex_state = 3},
  [19775] = {.lex_state = 382, .external_lex_state = 3},
  [19776] = {.lex_state = 382, .external_lex_state = 3},
  [19777] = {.lex_state = 388, .external_lex_state = 3},
  [19778] = {.lex_state = 15, .external_lex_state = 3},
  [19779] = {.lex_state = 382, .external_lex_state = 3},
  [19780] = {.lex_state = 382, .external_lex_state = 3},
  [19781] = {.lex_state = 382, .external_lex_state = 3},
  [19782] = {.lex_state = 382, .external_lex_state = 3},
  [19783] = {.lex_state = 382, .external_lex_state = 3},
  [19784] = {.lex_state = 412, .external_lex_state = 3},
  [19785] = {.lex_state = 382, .external_lex_state = 3},
  [19786] = {.lex_state = 382, .external_lex_state = 3},
  [19787] = {.lex_state = 382, .external_lex_state = 3},
  [19788] = {.lex_state = 382, .external_lex_state = 3},
  [19789] = {.lex_state = 382, .external_lex_state = 3},
  [19790] = {.lex_state = 382, .external_lex_state = 3},
  [19791] = {.lex_state = 382, .external_lex_state = 3},
  [19792] = {.lex_state = 382, .external_lex_state = 3},
  [19793] = {.lex_state = 382, .external_lex_state = 3},
  [19794] = {.lex_state = 382, .external_lex_state = 3},
  [19795] = {.lex_state = 382, .external_lex_state = 3},
  [19796] = {.lex_state = 382, .external_lex_state = 3},
  [19797] = {.lex_state = 382, .external_lex_state = 3},
  [19798] = {.lex_state = 382, .external_lex_state = 3},
  [19799] = {.lex_state = 388, .external_lex_state = 3},
  [19800] = {.lex_state = 382, .external_lex_state = 3},
  [19801] = {.lex_state = 382, .external_lex_state = 2},
  [19802] = {.lex_state = 382, .external_lex_state = 3},
  [19803] = {.lex_state = 382, .external_lex_state = 3},
  [19804] = {.lex_state = 412, .external_lex_state = 3},
  [19805] = {.lex_state = 412, .external_lex_state = 3},
  [19806] = {.lex_state = 388, .external_lex_state = 3},
  [19807] = {.lex_state = 382, .external_lex_state = 3},
  [19808] = {.lex_state = 382, .external_lex_state = 3},
  [19809] = {.lex_state = 382, .external_lex_state = 3},
  [19810] = {.lex_state = 388, .external_lex_state = 3},
  [19811] = {.lex_state = 382, .external_lex_state = 2},
  [19812] = {.lex_state = 382, .external_lex_state = 3},
  [19813] = {.lex_state = 412, .external_lex_state = 3},
  [19814] = {.lex_state = 412, .external_lex_state = 3},
  [19815] = {.lex_state = 132, .external_lex_state = 3},
  [19816] = {.lex_state = 382, .external_lex_state = 3},
  [19817] = {.lex_state = 382, .external_lex_state = 3},
  [19818] = {.lex_state = 382, .external_lex_state = 3},
  [19819] = {.lex_state = 388, .external_lex_state = 3},
  [19820] = {.lex_state = 382, .external_lex_state = 3},
  [19821] = {.lex_state = 382, .external_lex_state = 3},
  [19822] = {.lex_state = 412, .external_lex_state = 3},
  [19823] = {.lex_state = 382, .external_lex_state = 3},
  [19824] = {.lex_state = 382, .external_lex_state = 3},
  [19825] = {.lex_state = 132, .external_lex_state = 3},
  [19826] = {.lex_state = 382, .external_lex_state = 3},
  [19827] = {.lex_state = 382, .external_lex_state = 3},
  [19828] = {.lex_state = 382, .external_lex_state = 3},
  [19829] = {.lex_state = 132, .external_lex_state = 3},
  [19830] = {.lex_state = 382, .external_lex_state = 3},
  [19831] = {.lex_state = 382, .external_lex_state = 3},
  [19832] = {.lex_state = 382, .external_lex_state = 3},
  [19833] = {.lex_state = 382, .external_lex_state = 3},
  [19834] = {.lex_state = 382, .external_lex_state = 3},
  [19835] = {.lex_state = 382, .external_lex_state = 3},
  [19836] = {.lex_state = 382, .external_lex_state = 3},
  [19837] = {.lex_state = 132, .external_lex_state = 3},
  [19838] = {.lex_state = 382, .external_lex_state = 3},
  [19839] = {.lex_state = 382, .external_lex_state = 3},
  [19840] = {.lex_state = 388, .external_lex_state = 3},
  [19841] = {.lex_state = 382, .external_lex_state = 3},
  [19842] = {.lex_state = 382, .external_lex_state = 3},
  [19843] = {.lex_state = 382, .external_lex_state = 3},
  [19844] = {.lex_state = 382, .external_lex_state = 3},
  [19845] = {.lex_state = 412, .external_lex_state = 3},
  [19846] = {.lex_state = 412, .external_lex_state = 3},
  [19847] = {.lex_state = 388, .external_lex_state = 3},
  [19848] = {.lex_state = 382, .external_lex_state = 3},
  [19849] = {.lex_state = 382, .external_lex_state = 3},
  [19850] = {.lex_state = 382, .external_lex_state = 3},
  [19851] = {.lex_state = 132, .external_lex_state = 3},
  [19852] = {.lex_state = 382, .external_lex_state = 3},
  [19853] = {.lex_state = 412, .external_lex_state = 3},
  [19854] = {.lex_state = 412, .external_lex_state = 3},
  [19855] = {.lex_state = 412, .external_lex_state = 3},
  [19856] = {.lex_state = 382, .external_lex_state = 3},
  [19857] = {.lex_state = 382, .external_lex_state = 3},
  [19858] = {.lex_state = 132, .external_lex_state = 3},
  [19859] = {.lex_state = 132, .external_lex_state = 3},
  [19860] = {.lex_state = 388, .external_lex_state = 3},
  [19861] = {.lex_state = 382, .external_lex_state = 3},
  [19862] = {.lex_state = 382, .external_lex_state = 3},
  [19863] = {.lex_state = 382, .external_lex_state = 3},
  [19864] = {.lex_state = 382, .external_lex_state = 3},
  [19865] = {.lex_state = 382, .external_lex_state = 3},
  [19866] = {.lex_state = 382, .external_lex_state = 3},
  [19867] = {.lex_state = 382, .external_lex_state = 3},
  [19868] = {.lex_state = 132, .external_lex_state = 3},
  [19869] = {.lex_state = 382, .external_lex_state = 3},
  [19870] = {.lex_state = 382, .external_lex_state = 3},
  [19871] = {.lex_state = 382, .external_lex_state = 3},
  [19872] = {.lex_state = 382, .external_lex_state = 3},
  [19873] = {.lex_state = 382, .external_lex_state = 3},
  [19874] = {.lex_state = 382, .external_lex_state = 3},
  [19875] = {.lex_state = 36, .external_lex_state = 3},
  [19876] = {.lex_state = 132, .external_lex_state = 3},
  [19877] = {.lex_state = 412, .external_lex_state = 3},
  [19878] = {.lex_state = 382, .external_lex_state = 3},
  [19879] = {.lex_state = 382, .external_lex_state = 3},
  [19880] = {.lex_state = 382, .external_lex_state = 3},
  [19881] = {.lex_state = 388, .external_lex_state = 3},
  [19882] = {.lex_state = 382, .external_lex_state = 3},
  [19883] = {.lex_state = 132, .external_lex_state = 3},
  [19884] = {.lex_state = 382, .external_lex_state = 3},
  [19885] = {.lex_state = 382, .external_lex_state = 3},
  [19886] = {.lex_state = 412, .external_lex_state = 3},
  [19887] = {.lex_state = 412, .external_lex_state = 3},
  [19888] = {.lex_state = 388, .external_lex_state = 3},
  [19889] = {.lex_state = 382, .external_lex_state = 3},
  [19890] = {.lex_state = 382, .external_lex_state = 3},
  [19891] = {.lex_state = 36, .external_lex_state = 3},
  [19892] = {.lex_state = 382, .external_lex_state = 3},
  [19893] = {.lex_state = 382, .external_lex_state = 3},
  [19894] = {.lex_state = 382, .external_lex_state = 3},
  [19895] = {.lex_state = 412, .external_lex_state = 3},
  [19896] = {.lex_state = 412, .external_lex_state = 3},
  [19897] = {.lex_state = 382, .external_lex_state = 3},
  [19898] = {.lex_state = 382, .external_lex_state = 3},
  [19899] = {.lex_state = 382, .external_lex_state = 3},
  [19900] = {.lex_state = 36, .external_lex_state = 3},
  [19901] = {.lex_state = 388, .external_lex_state = 3},
  [19902] = {.lex_state = 382, .external_lex_state = 3},
  [19903] = {.lex_state = 382, .external_lex_state = 3},
  [19904] = {.lex_state = 382, .external_lex_state = 3},
  [19905] = {.lex_state = 388, .external_lex_state = 3},
  [19906] = {.lex_state = 382, .external_lex_state = 3},
  [19907] = {.lex_state = 382, .external_lex_state = 2},
  [19908] = {.lex_state = 382, .external_lex_state = 3},
  [19909] = {.lex_state = 382, .external_lex_state = 3},
  [19910] = {.lex_state = 412, .external_lex_state = 3},
  [19911] = {.lex_state = 382, .external_lex_state = 3},
  [19912] = {.lex_state = 382, .external_lex_state = 3},
  [19913] = {.lex_state = 382, .external_lex_state = 3},
  [19914] = {.lex_state = 382, .external_lex_state = 3},
  [19915] = {.lex_state = 382, .external_lex_state = 3},
  [19916] = {.lex_state = 412, .external_lex_state = 3},
  [19917] = {.lex_state = 382, .external_lex_state = 2},
  [19918] = {.lex_state = 382, .external_lex_state = 3},
  [19919] = {.lex_state = 382, .external_lex_state = 3},
  [19920] = {.lex_state = 382, .external_lex_state = 3},
  [19921] = {.lex_state = 15, .external_lex_state = 3},
  [19922] = {.lex_state = 388, .external_lex_state = 3},
  [19923] = {.lex_state = 382, .external_lex_state = 3},
  [19924] = {.lex_state = 382, .external_lex_state = 3},
  [19925] = {.lex_state = 382, .external_lex_state = 3},
  [19926] = {.lex_state = 132, .external_lex_state = 3},
  [19927] = {.lex_state = 412, .external_lex_state = 3},
  [19928] = {.lex_state = 412, .external_lex_state = 3},
  [19929] = {.lex_state = 388, .external_lex_state = 3},
  [19930] = {.lex_state = 382, .external_lex_state = 3},
  [19931] = {.lex_state = 382, .external_lex_state = 3},
  [19932] = {.lex_state = 382, .external_lex_state = 3},
  [19933] = {.lex_state = 382, .external_lex_state = 3},
  [19934] = {.lex_state = 382, .external_lex_state = 3},
  [19935] = {.lex_state = 382, .external_lex_state = 3},
  [19936] = {.lex_state = 412, .external_lex_state = 3},
  [19937] = {.lex_state = 412, .external_lex_state = 3},
  [19938] = {.lex_state = 382, .external_lex_state = 3},
  [19939] = {.lex_state = 388, .external_lex_state = 3},
  [19940] = {.lex_state = 382, .external_lex_state = 3},
  [19941] = {.lex_state = 382, .external_lex_state = 3},
  [19942] = {.lex_state = 388, .external_lex_state = 3},
  [19943] = {.lex_state = 382, .external_lex_state = 3},
  [19944] = {.lex_state = 382, .external_lex_state = 3},
  [19945] = {.lex_state = 382, .external_lex_state = 3},
  [19946] = {.lex_state = 412, .external_lex_state = 3},
  [19947] = {.lex_state = 382, .external_lex_state = 3},
  [19948] = {.lex_state = 382, .external_lex_state = 3},
  [19949] = {.lex_state = 382, .external_lex_state = 3},
  [19950] = {.lex_state = 382, .external_lex_state = 3},
  [19951] = {.lex_state = 15, .external_lex_state = 3},
  [19952] = {.lex_state = 382, .external_lex_state = 3},
  [19953] = {.lex_state = 382, .external_lex_state = 3},
  [19954] = {.lex_state = 382, .external_lex_state = 3},
  [19955] = {.lex_state = 382, .external_lex_state = 3},
  [19956] = {.lex_state = 382, .external_lex_state = 3},
  [19957] = {.lex_state = 412, .external_lex_state = 3},
  [19958] = {.lex_state = 382, .external_lex_state = 3},
  [19959] = {.lex_state = 382, .external_lex_state = 3},
  [19960] = {.lex_state = 382, .external_lex_state = 3},
  [19961] = {.lex_state = 382, .external_lex_state = 3},
  [19962] = {.lex_state = 382, .external_lex_state = 3},
  [19963] = {.lex_state = 388, .external_lex_state = 3},
  [19964] = {.lex_state = 132, .external_lex_state = 3},
  [19965] = {.lex_state = 382, .external_lex_state = 3},
  [19966] = {.lex_state = 382, .external_lex_state = 3},
  [19967] = {.lex_state = 412, .external_lex_state = 3},
  [19968] = {.lex_state = 412, .external_lex_state = 3},
  [19969] = {.lex_state = 412, .external_lex_state = 3},
  [19970] = {.lex_state = 388, .external_lex_state = 3},
  [19971] = {.lex_state = 382, .external_lex_state = 3},
  [19972] = {.lex_state = 382, .external_lex_state = 3},
  [19973] = {.lex_state = 412, .external_lex_state = 3},
  [19974] = {.lex_state = 382, .external_lex_state = 3},
  [19975] = {.lex_state = 382, .external_lex_state = 2},
  [19976] = {.lex_state = 15, .external_lex_state = 3},
  [19977] = {.lex_state = 412, .external_lex_state = 3},
  [19978] = {.lex_state = 412, .external_lex_state = 3},
  [19979] = {.lex_state = 382, .external_lex_state = 3},
  [19980] = {.lex_state = 382, .external_lex_state = 3},
  [19981] = {.lex_state = 382, .external_lex_state = 3},
  [19982] = {.lex_state = 382, .external_lex_state = 3},
  [19983] = {.lex_state = 388, .external_lex_state = 3},
  [19984] = {.lex_state = 382, .external_lex_state = 3},
  [19985] = {.lex_state = 415, .external_lex_state = 3},
  [19986] = {.lex_state = 382, .external_lex_state = 3},
  [19987] = {.lex_state = 382, .external_lex_state = 3},
  [19988] = {.lex_state = 382, .external_lex_state = 3},
  [19989] = {.lex_state = 15, .external_lex_state = 3},
  [19990] = {.lex_state = 382, .external_lex_state = 3},
  [19991] = {.lex_state = 132, .external_lex_state = 3},
  [19992] = {.lex_state = 382, .external_lex_state = 3},
  [19993] = {.lex_state = 382, .external_lex_state = 3},
  [19994] = {.lex_state = 382, .external_lex_state = 3},
  [19995] = {.lex_state = 382, .external_lex_state = 3},
  [19996] = {.lex_state = 382, .external_lex_state = 3},
  [19997] = {.lex_state = 382, .external_lex_state = 3},
  [19998] = {.lex_state = 382, .external_lex_state = 3},
  [19999] = {.lex_state = 382, .external_lex_state = 3},
  [20000] = {.lex_state = 132, .external_lex_state = 3},
  [20001] = {.lex_state = 382, .external_lex_state = 3},
  [20002] = {.lex_state = 382, .external_lex_state = 3},
  [20003] = {.lex_state = 382, .external_lex_state = 3},
  [20004] = {.lex_state = 388, .external_lex_state = 3},
  [20005] = {.lex_state = 382, .external_lex_state = 3},
  [20006] = {.lex_state = 382, .external_lex_state = 3},
  [20007] = {.lex_state = 132, .external_lex_state = 3},
  [20008] = {.lex_state = 382, .external_lex_state = 3},
  [20009] = {.lex_state = 412, .external_lex_state = 3},
  [20010] = {.lex_state = 412, .external_lex_state = 3},
  [20011] = {.lex_state = 388, .external_lex_state = 3},
  [20012] = {.lex_state = 382, .external_lex_state = 3},
  [20013] = {.lex_state = 382, .external_lex_state = 3},
  [20014] = {.lex_state = 382, .external_lex_state = 3},
  [20015] = {.lex_state = 382, .external_lex_state = 3},
  [20016] = {.lex_state = 132, .external_lex_state = 3},
  [20017] = {.lex_state = 382, .external_lex_state = 3},
  [20018] = {.lex_state = 412, .external_lex_state = 3},
  [20019] = {.lex_state = 412, .external_lex_state = 3},
  [20020] = {.lex_state = 132, .external_lex_state = 3},
  [20021] = {.lex_state = 382, .external_lex_state = 3},
  [20022] = {.lex_state = 382, .external_lex_state = 3},
  [20023] = {.lex_state = 382, .external_lex_state = 3},
  [20024] = {.lex_state = 388, .external_lex_state = 3},
  [20025] = {.lex_state = 382, .external_lex_state = 3},
  [20026] = {.lex_state = 382, .external_lex_state = 3},
  [20027] = {.lex_state = 382, .external_lex_state = 3},
  [20028] = {.lex_state = 382, .external_lex_state = 3},
  [20029] = {.lex_state = 382, .external_lex_state = 3},
  [20030] = {.lex_state = 382, .external_lex_state = 3},
  [20031] = {.lex_state = 382, .external_lex_state = 3},
  [20032] = {.lex_state = 382, .external_lex_state = 3},
  [20033] = {.lex_state = 382, .external_lex_state = 3},
  [20034] = {.lex_state = 382, .external_lex_state = 3},
  [20035] = {.lex_state = 382, .external_lex_state = 3},
  [20036] = {.lex_state = 382, .external_lex_state = 3},
  [20037] = {.lex_state = 382, .external_lex_state = 3},
  [20038] = {.lex_state = 382, .external_lex_state = 3},
  [20039] = {.lex_state = 382, .external_lex_state = 3},
  [20040] = {.lex_state = 382, .external_lex_state = 3},
  [20041] = {.lex_state = 382, .external_lex_state = 3},
  [20042] = {.lex_state = 388, .external_lex_state = 3},
  [20043] = {.lex_state = 382, .external_lex_state = 3},
  [20044] = {.lex_state = 382, .external_lex_state = 3},
  [20045] = {.lex_state = 388, .external_lex_state = 3},
  [20046] = {.lex_state = 382, .external_lex_state = 3},
  [20047] = {.lex_state = 382, .external_lex_state = 3},
  [20048] = {.lex_state = 382, .external_lex_state = 3},
  [20049] = {.lex_state = 382, .external_lex_state = 3},
  [20050] = {.lex_state = 412, .external_lex_state = 3},
  [20051] = {.lex_state = 412, .external_lex_state = 3},
  [20052] = {.lex_state = 388, .external_lex_state = 3},
  [20053] = {.lex_state = 382, .external_lex_state = 3},
  [20054] = {.lex_state = 132, .external_lex_state = 3},
  [20055] = {.lex_state = 382, .external_lex_state = 3},
  [20056] = {.lex_state = 382, .external_lex_state = 3},
  [20057] = {.lex_state = 382, .external_lex_state = 3},
  [20058] = {.lex_state = 382, .external_lex_state = 3},
  [20059] = {.lex_state = 412, .external_lex_state = 3},
  [20060] = {.lex_state = 412, .external_lex_state = 3},
  [20061] = {.lex_state = 382, .external_lex_state = 3},
  [20062] = {.lex_state = 132, .external_lex_state = 3},
  [20063] = {.lex_state = 382, .external_lex_state = 3},
  [20064] = {.lex_state = 132, .external_lex_state = 3},
  [20065] = {.lex_state = 388, .external_lex_state = 3},
  [20066] = {.lex_state = 382, .external_lex_state = 3},
  [20067] = {.lex_state = 382, .external_lex_state = 3},
  [20068] = {.lex_state = 382, .external_lex_state = 3},
  [20069] = {.lex_state = 382, .external_lex_state = 3},
  [20070] = {.lex_state = 382, .external_lex_state = 3},
  [20071] = {.lex_state = 412, .external_lex_state = 3},
  [20072] = {.lex_state = 382, .external_lex_state = 3},
  [20073] = {.lex_state = 382, .external_lex_state = 3},
  [20074] = {.lex_state = 382, .external_lex_state = 3},
  [20075] = {.lex_state = 382, .external_lex_state = 3},
  [20076] = {.lex_state = 382, .external_lex_state = 3},
  [20077] = {.lex_state = 382, .external_lex_state = 3},
  [20078] = {.lex_state = 382, .external_lex_state = 3},
  [20079] = {.lex_state = 382, .external_lex_state = 3},
  [20080] = {.lex_state = 382, .external_lex_state = 3},
  [20081] = {.lex_state = 382, .external_lex_state = 3},
  [20082] = {.lex_state = 382, .external_lex_state = 3},
  [20083] = {.lex_state = 382, .external_lex_state = 3},
  [20084] = {.lex_state = 132, .external_lex_state = 3},
  [20085] = {.lex_state = 132, .external_lex_state = 3},
  [20086] = {.lex_state = 388, .external_lex_state = 3},
  [20087] = {.lex_state = 412, .external_lex_state = 3},
  [20088] = {.lex_state = 132, .external_lex_state = 3},
  [20089] = {.lex_state = 382, .external_lex_state = 3},
  [20090] = {.lex_state = 15, .external_lex_state = 3},
  [20091] = {.lex_state = 412, .external_lex_state = 3},
  [20092] = {.lex_state = 412, .external_lex_state = 3},
  [20093] = {.lex_state = 388, .external_lex_state = 3},
  [20094] = {.lex_state = 382, .external_lex_state = 3},
  [20095] = {.lex_state = 382, .external_lex_state = 3},
  [20096] = {.lex_state = 382, .external_lex_state = 3},
  [20097] = {.lex_state = 382, .external_lex_state = 3},
  [20098] = {.lex_state = 382, .external_lex_state = 3},
  [20099] = {.lex_state = 382, .external_lex_state = 3},
  [20100] = {.lex_state = 412, .external_lex_state = 3},
  [20101] = {.lex_state = 412, .external_lex_state = 3},
  [20102] = {.lex_state = 382, .external_lex_state = 3},
  [20103] = {.lex_state = 388, .external_lex_state = 3},
  [20104] = {.lex_state = 132, .external_lex_state = 3},
  [20105] = {.lex_state = 382, .external_lex_state = 3},
  [20106] = {.lex_state = 388, .external_lex_state = 3},
  [20107] = {.lex_state = 382, .external_lex_state = 3},
  [20108] = {.lex_state = 382, .external_lex_state = 3},
  [20109] = {.lex_state = 382, .external_lex_state = 3},
  [20110] = {.lex_state = 388, .external_lex_state = 3},
  [20111] = {.lex_state = 382, .external_lex_state = 3},
  [20112] = {.lex_state = 382, .external_lex_state = 3},
  [20113] = {.lex_state = 412, .external_lex_state = 3},
  [20114] = {.lex_state = 382, .external_lex_state = 3},
  [20115] = {.lex_state = 382, .external_lex_state = 3},
  [20116] = {.lex_state = 388, .external_lex_state = 3},
  [20117] = {.lex_state = 382, .external_lex_state = 3},
  [20118] = {.lex_state = 382, .external_lex_state = 3},
  [20119] = {.lex_state = 382, .external_lex_state = 3},
  [20120] = {.lex_state = 382, .external_lex_state = 3},
  [20121] = {.lex_state = 388, .external_lex_state = 3},
  [20122] = {.lex_state = 412, .external_lex_state = 3},
  [20123] = {.lex_state = 382, .external_lex_state = 3},
  [20124] = {.lex_state = 412, .external_lex_state = 3},
  [20125] = {.lex_state = 382, .external_lex_state = 3},
  [20126] = {.lex_state = 382, .external_lex_state = 2},
  [20127] = {.lex_state = 388, .external_lex_state = 3},
  [20128] = {.lex_state = 382, .external_lex_state = 3},
  [20129] = {.lex_state = 382, .external_lex_state = 3},
  [20130] = {.lex_state = 382, .external_lex_state = 3},
  [20131] = {.lex_state = 15, .external_lex_state = 3},
  [20132] = {.lex_state = 412, .external_lex_state = 3},
  [20133] = {.lex_state = 412, .external_lex_state = 3},
  [20134] = {.lex_state = 388, .external_lex_state = 3},
  [20135] = {.lex_state = 382, .external_lex_state = 3},
  [20136] = {.lex_state = 382, .external_lex_state = 3},
  [20137] = {.lex_state = 388, .external_lex_state = 3},
  [20138] = {.lex_state = 15, .external_lex_state = 3},
  [20139] = {.lex_state = 382, .external_lex_state = 3},
  [20140] = {.lex_state = 382, .external_lex_state = 3},
  [20141] = {.lex_state = 412, .external_lex_state = 3},
  [20142] = {.lex_state = 412, .external_lex_state = 3},
  [20143] = {.lex_state = 412, .external_lex_state = 3},
  [20144] = {.lex_state = 382, .external_lex_state = 3},
  [20145] = {.lex_state = 412, .external_lex_state = 3},
  [20146] = {.lex_state = 382, .external_lex_state = 3},
  [20147] = {.lex_state = 388, .external_lex_state = 3},
  [20148] = {.lex_state = 412, .external_lex_state = 3},
  [20149] = {.lex_state = 388, .external_lex_state = 3},
  [20150] = {.lex_state = 382, .external_lex_state = 3},
  [20151] = {.lex_state = 132, .external_lex_state = 3},
  [20152] = {.lex_state = 382, .external_lex_state = 3},
  [20153] = {.lex_state = 382, .external_lex_state = 3},
  [20154] = {.lex_state = 382, .external_lex_state = 2},
  [20155] = {.lex_state = 382, .external_lex_state = 3},
  [20156] = {.lex_state = 382, .external_lex_state = 3},
  [20157] = {.lex_state = 132, .external_lex_state = 3},
  [20158] = {.lex_state = 382, .external_lex_state = 3},
  [20159] = {.lex_state = 382, .external_lex_state = 3},
  [20160] = {.lex_state = 382, .external_lex_state = 3},
  [20161] = {.lex_state = 382, .external_lex_state = 3},
  [20162] = {.lex_state = 132, .external_lex_state = 3},
  [20163] = {.lex_state = 132, .external_lex_state = 3},
  [20164] = {.lex_state = 382, .external_lex_state = 3},
  [20165] = {.lex_state = 388, .external_lex_state = 3},
  [20166] = {.lex_state = 382, .external_lex_state = 3},
  [20167] = {.lex_state = 382, .external_lex_state = 3},
  [20168] = {.lex_state = 388, .external_lex_state = 3},
  [20169] = {.lex_state = 412, .external_lex_state = 3},
  [20170] = {.lex_state = 132, .external_lex_state = 3},
  [20171] = {.lex_state = 382, .external_lex_state = 3},
  [20172] = {.lex_state = 132, .external_lex_state = 3},
  [20173] = {.lex_state = 412, .external_lex_state = 3},
  [20174] = {.lex_state = 412, .external_lex_state = 3},
  [20175] = {.lex_state = 388, .external_lex_state = 3},
  [20176] = {.lex_state = 382, .external_lex_state = 3},
  [20177] = {.lex_state = 382, .external_lex_state = 3},
  [20178] = {.lex_state = 412, .external_lex_state = 3},
  [20179] = {.lex_state = 382, .external_lex_state = 2},
  [20180] = {.lex_state = 382, .external_lex_state = 3},
  [20181] = {.lex_state = 382, .external_lex_state = 3},
  [20182] = {.lex_state = 412, .external_lex_state = 3},
  [20183] = {.lex_state = 412, .external_lex_state = 3},
  [20184] = {.lex_state = 382, .external_lex_state = 3},
  [20185] = {.lex_state = 382, .external_lex_state = 3},
  [20186] = {.lex_state = 15, .external_lex_state = 3},
  [20187] = {.lex_state = 382, .external_lex_state = 3},
  [20188] = {.lex_state = 388, .external_lex_state = 3},
  [20189] = {.lex_state = 15, .external_lex_state = 3},
  [20190] = {.lex_state = 132, .external_lex_state = 3},
  [20191] = {.lex_state = 382, .external_lex_state = 3},
  [20192] = {.lex_state = 412, .external_lex_state = 3},
  [20193] = {.lex_state = 382, .external_lex_state = 3},
  [20194] = {.lex_state = 382, .external_lex_state = 3},
  [20195] = {.lex_state = 132, .external_lex_state = 3},
  [20196] = {.lex_state = 412, .external_lex_state = 3},
  [20197] = {.lex_state = 382, .external_lex_state = 3},
  [20198] = {.lex_state = 382, .external_lex_state = 3},
  [20199] = {.lex_state = 382, .external_lex_state = 3},
  [20200] = {.lex_state = 382, .external_lex_state = 3},
  [20201] = {.lex_state = 382, .external_lex_state = 3},
  [20202] = {.lex_state = 382, .external_lex_state = 3},
  [20203] = {.lex_state = 382, .external_lex_state = 3},
  [20204] = {.lex_state = 382, .external_lex_state = 3},
  [20205] = {.lex_state = 382, .external_lex_state = 3},
  [20206] = {.lex_state = 388, .external_lex_state = 3},
  [20207] = {.lex_state = 388, .external_lex_state = 3},
  [20208] = {.lex_state = 382, .external_lex_state = 3},
  [20209] = {.lex_state = 388, .external_lex_state = 3},
  [20210] = {.lex_state = 412, .external_lex_state = 3},
  [20211] = {.lex_state = 382, .external_lex_state = 3},
  [20212] = {.lex_state = 412, .external_lex_state = 3},
  [20213] = {.lex_state = 412, .external_lex_state = 3},
  [20214] = {.lex_state = 412, .external_lex_state = 3},
  [20215] = {.lex_state = 388, .external_lex_state = 3},
  [20216] = {.lex_state = 382, .external_lex_state = 2},
  [20217] = {.lex_state = 382, .external_lex_state = 3},
  [20218] = {.lex_state = 382, .external_lex_state = 3},
  [20219] = {.lex_state = 382, .external_lex_state = 3},
  [20220] = {.lex_state = 382, .external_lex_state = 3},
  [20221] = {.lex_state = 382, .external_lex_state = 3},
  [20222] = {.lex_state = 412, .external_lex_state = 3},
  [20223] = {.lex_state = 412, .external_lex_state = 3},
  [20224] = {.lex_state = 382, .external_lex_state = 3},
  [20225] = {.lex_state = 382, .external_lex_state = 3},
  [20226] = {.lex_state = 15, .external_lex_state = 3},
  [20227] = {.lex_state = 388, .external_lex_state = 3},
  [20228] = {.lex_state = 388, .external_lex_state = 3},
  [20229] = {.lex_state = 382, .external_lex_state = 3},
  [20230] = {.lex_state = 382, .external_lex_state = 3},
  [20231] = {.lex_state = 382, .external_lex_state = 3},
  [20232] = {.lex_state = 412, .external_lex_state = 3},
  [20233] = {.lex_state = 382, .external_lex_state = 3},
  [20234] = {.lex_state = 382, .external_lex_state = 3},
  [20235] = {.lex_state = 382, .external_lex_state = 3},
  [20236] = {.lex_state = 382, .external_lex_state = 3},
  [20237] = {.lex_state = 382, .external_lex_state = 3},
  [20238] = {.lex_state = 382, .external_lex_state = 3},
  [20239] = {.lex_state = 382, .external_lex_state = 3},
  [20240] = {.lex_state = 382, .external_lex_state = 3},
  [20241] = {.lex_state = 382, .external_lex_state = 3},
  [20242] = {.lex_state = 382, .external_lex_state = 3},
  [20243] = {.lex_state = 382, .external_lex_state = 3},
  [20244] = {.lex_state = 382, .external_lex_state = 3},
  [20245] = {.lex_state = 382, .external_lex_state = 3},
  [20246] = {.lex_state = 382, .external_lex_state = 3},
  [20247] = {.lex_state = 382, .external_lex_state = 3},
  [20248] = {.lex_state = 388, .external_lex_state = 3},
  [20249] = {.lex_state = 388, .external_lex_state = 3},
  [20250] = {.lex_state = 382, .external_lex_state = 3},
  [20251] = {.lex_state = 382, .external_lex_state = 3},
  [20252] = {.lex_state = 382, .external_lex_state = 3},
  [20253] = {.lex_state = 412, .external_lex_state = 3},
  [20254] = {.lex_state = 412, .external_lex_state = 3},
  [20255] = {.lex_state = 388, .external_lex_state = 3},
  [20256] = {.lex_state = 382, .external_lex_state = 3},
  [20257] = {.lex_state = 132, .external_lex_state = 3},
  [20258] = {.lex_state = 382, .external_lex_state = 3},
  [20259] = {.lex_state = 382, .external_lex_state = 3},
  [20260] = {.lex_state = 412, .external_lex_state = 3},
  [20261] = {.lex_state = 388, .external_lex_state = 3},
  [20262] = {.lex_state = 412, .external_lex_state = 3},
  [20263] = {.lex_state = 412, .external_lex_state = 3},
  [20264] = {.lex_state = 382, .external_lex_state = 3},
  [20265] = {.lex_state = 382, .external_lex_state = 3},
  [20266] = {.lex_state = 382, .external_lex_state = 3},
  [20267] = {.lex_state = 382, .external_lex_state = 3},
  [20268] = {.lex_state = 388, .external_lex_state = 3},
  [20269] = {.lex_state = 412, .external_lex_state = 3},
  [20270] = {.lex_state = 382, .external_lex_state = 3},
  [20271] = {.lex_state = 382, .external_lex_state = 3},
  [20272] = {.lex_state = 382, .external_lex_state = 3},
  [20273] = {.lex_state = 382, .external_lex_state = 3},
  [20274] = {.lex_state = 382, .external_lex_state = 3},
  [20275] = {.lex_state = 388, .external_lex_state = 3},
  [20276] = {.lex_state = 382, .external_lex_state = 3},
  [20277] = {.lex_state = 382, .external_lex_state = 3},
  [20278] = {.lex_state = 382, .external_lex_state = 3},
  [20279] = {.lex_state = 382, .external_lex_state = 3},
  [20280] = {.lex_state = 382, .external_lex_state = 3},
  [20281] = {.lex_state = 382, .external_lex_state = 3},
  [20282] = {.lex_state = 382, .external_lex_state = 3},
  [20283] = {.lex_state = 382, .external_lex_state = 3},
  [20284] = {.lex_state = 412, .external_lex_state = 3},
  [20285] = {.lex_state = 202, .external_lex_state = 3},
  [20286] = {.lex_state = 382, .external_lex_state = 3},
  [20287] = {.lex_state = 382, .external_lex_state = 3},
  [20288] = {.lex_state = 388, .external_lex_state = 3},
  [20289] = {.lex_state = 382, .external_lex_state = 3},
  [20290] = {.lex_state = 382, .external_lex_state = 3},
  [20291] = {.lex_state = 382, .external_lex_state = 3},
  [20292] = {.lex_state = 412, .external_lex_state = 3},
  [20293] = {.lex_state = 412, .external_lex_state = 3},
  [20294] = {.lex_state = 388, .external_lex_state = 3},
  [20295] = {.lex_state = 382, .external_lex_state = 3},
  [20296] = {.lex_state = 382, .external_lex_state = 3},
  [20297] = {.lex_state = 382, .external_lex_state = 3},
  [20298] = {.lex_state = 382, .external_lex_state = 3},
  [20299] = {.lex_state = 388, .external_lex_state = 3},
  [20300] = {.lex_state = 382, .external_lex_state = 3},
  [20301] = {.lex_state = 412, .external_lex_state = 3},
  [20302] = {.lex_state = 412, .external_lex_state = 3},
  [20303] = {.lex_state = 382, .external_lex_state = 3},
  [20304] = {.lex_state = 382, .external_lex_state = 3},
  [20305] = {.lex_state = 382, .external_lex_state = 3},
  [20306] = {.lex_state = 382, .external_lex_state = 3},
  [20307] = {.lex_state = 388, .external_lex_state = 3},
  [20308] = {.lex_state = 382, .external_lex_state = 3},
  [20309] = {.lex_state = 382, .external_lex_state = 3},
  [20310] = {.lex_state = 382, .external_lex_state = 3},
  [20311] = {.lex_state = 412, .external_lex_state = 3},
  [20312] = {.lex_state = 382, .external_lex_state = 3},
  [20313] = {.lex_state = 132, .external_lex_state = 3},
  [20314] = {.lex_state = 382, .external_lex_state = 3},
  [20315] = {.lex_state = 382, .external_lex_state = 3},
  [20316] = {.lex_state = 382, .external_lex_state = 3},
  [20317] = {.lex_state = 382, .external_lex_state = 3},
  [20318] = {.lex_state = 382, .external_lex_state = 3},
  [20319] = {.lex_state = 382, .external_lex_state = 3},
  [20320] = {.lex_state = 382, .external_lex_state = 3},
  [20321] = {.lex_state = 382, .external_lex_state = 3},
  [20322] = {.lex_state = 382, .external_lex_state = 3},
  [20323] = {.lex_state = 388, .external_lex_state = 3},
  [20324] = {.lex_state = 132, .external_lex_state = 3},
  [20325] = {.lex_state = 382, .external_lex_state = 3},
  [20326] = {.lex_state = 382, .external_lex_state = 3},
  [20327] = {.lex_state = 388, .external_lex_state = 3},
  [20328] = {.lex_state = 382, .external_lex_state = 3},
  [20329] = {.lex_state = 132, .external_lex_state = 3},
  [20330] = {.lex_state = 15, .external_lex_state = 3},
  [20331] = {.lex_state = 412, .external_lex_state = 3},
  [20332] = {.lex_state = 412, .external_lex_state = 3},
  [20333] = {.lex_state = 388, .external_lex_state = 3},
  [20334] = {.lex_state = 412, .external_lex_state = 3},
  [20335] = {.lex_state = 382, .external_lex_state = 3},
  [20336] = {.lex_state = 382, .external_lex_state = 3},
  [20337] = {.lex_state = 382, .external_lex_state = 3},
  [20338] = {.lex_state = 132, .external_lex_state = 3},
  [20339] = {.lex_state = 382, .external_lex_state = 3},
  [20340] = {.lex_state = 412, .external_lex_state = 3},
  [20341] = {.lex_state = 412, .external_lex_state = 3},
  [20342] = {.lex_state = 382, .external_lex_state = 3},
  [20343] = {.lex_state = 382, .external_lex_state = 3},
  [20344] = {.lex_state = 132, .external_lex_state = 3},
  [20345] = {.lex_state = 132, .external_lex_state = 3},
  [20346] = {.lex_state = 388, .external_lex_state = 3},
  [20347] = {.lex_state = 382, .external_lex_state = 3},
  [20348] = {.lex_state = 412, .external_lex_state = 3},
  [20349] = {.lex_state = 388, .external_lex_state = 3},
  [20350] = {.lex_state = 132, .external_lex_state = 3},
  [20351] = {.lex_state = 382, .external_lex_state = 3},
  [20352] = {.lex_state = 382, .external_lex_state = 3},
  [20353] = {.lex_state = 382, .external_lex_state = 3},
  [20354] = {.lex_state = 382, .external_lex_state = 3},
  [20355] = {.lex_state = 382, .external_lex_state = 3},
  [20356] = {.lex_state = 382, .external_lex_state = 3},
  [20357] = {.lex_state = 382, .external_lex_state = 3},
  [20358] = {.lex_state = 382, .external_lex_state = 3},
  [20359] = {.lex_state = 382, .external_lex_state = 3},
  [20360] = {.lex_state = 382, .external_lex_state = 3},
  [20361] = {.lex_state = 382, .external_lex_state = 3},
  [20362] = {.lex_state = 388, .external_lex_state = 3},
  [20363] = {.lex_state = 132, .external_lex_state = 3},
  [20364] = {.lex_state = 382, .external_lex_state = 3},
  [20365] = {.lex_state = 412, .external_lex_state = 3},
  [20366] = {.lex_state = 388, .external_lex_state = 3},
  [20367] = {.lex_state = 382, .external_lex_state = 3},
  [20368] = {.lex_state = 382, .external_lex_state = 3},
  [20369] = {.lex_state = 382, .external_lex_state = 3},
  [20370] = {.lex_state = 412, .external_lex_state = 3},
  [20371] = {.lex_state = 412, .external_lex_state = 3},
  [20372] = {.lex_state = 388, .external_lex_state = 3},
  [20373] = {.lex_state = 382, .external_lex_state = 3},
  [20374] = {.lex_state = 412, .external_lex_state = 3},
  [20375] = {.lex_state = 412, .external_lex_state = 3},
  [20376] = {.lex_state = 382, .external_lex_state = 3},
  [20377] = {.lex_state = 382, .external_lex_state = 3},
  [20378] = {.lex_state = 132, .external_lex_state = 3},
  [20379] = {.lex_state = 412, .external_lex_state = 3},
  [20380] = {.lex_state = 412, .external_lex_state = 3},
  [20381] = {.lex_state = 132, .external_lex_state = 3},
  [20382] = {.lex_state = 382, .external_lex_state = 3},
  [20383] = {.lex_state = 412, .external_lex_state = 3},
  [20384] = {.lex_state = 388, .external_lex_state = 3},
  [20385] = {.lex_state = 388, .external_lex_state = 3},
  [20386] = {.lex_state = 382, .external_lex_state = 3},
  [20387] = {.lex_state = 382, .external_lex_state = 3},
  [20388] = {.lex_state = 132, .external_lex_state = 3},
  [20389] = {.lex_state = 382, .external_lex_state = 3},
  [20390] = {.lex_state = 382, .external_lex_state = 3},
  [20391] = {.lex_state = 412, .external_lex_state = 3},
  [20392] = {.lex_state = 382, .external_lex_state = 3},
  [20393] = {.lex_state = 132, .external_lex_state = 3},
  [20394] = {.lex_state = 382, .external_lex_state = 3},
  [20395] = {.lex_state = 382, .external_lex_state = 3},
  [20396] = {.lex_state = 382, .external_lex_state = 3},
  [20397] = {.lex_state = 382, .external_lex_state = 3},
  [20398] = {.lex_state = 382, .external_lex_state = 3},
  [20399] = {.lex_state = 382, .external_lex_state = 3},
  [20400] = {.lex_state = 412, .external_lex_state = 3},
  [20401] = {.lex_state = 382, .external_lex_state = 3},
  [20402] = {.lex_state = 382, .external_lex_state = 3},
  [20403] = {.lex_state = 382, .external_lex_state = 3},
  [20404] = {.lex_state = 382, .external_lex_state = 3},
  [20405] = {.lex_state = 388, .external_lex_state = 3},
  [20406] = {.lex_state = 382, .external_lex_state = 3},
  [20407] = {.lex_state = 382, .external_lex_state = 3},
  [20408] = {.lex_state = 382, .external_lex_state = 3},
  [20409] = {.lex_state = 412, .external_lex_state = 3},
  [20410] = {.lex_state = 412, .external_lex_state = 3},
  [20411] = {.lex_state = 388, .external_lex_state = 3},
  [20412] = {.lex_state = 382, .external_lex_state = 3},
  [20413] = {.lex_state = 382, .external_lex_state = 3},
  [20414] = {.lex_state = 382, .external_lex_state = 3},
  [20415] = {.lex_state = 382, .external_lex_state = 3},
  [20416] = {.lex_state = 382, .external_lex_state = 3},
  [20417] = {.lex_state = 382, .external_lex_state = 3},
  [20418] = {.lex_state = 412, .external_lex_state = 3},
  [20419] = {.lex_state = 412, .external_lex_state = 3},
  [20420] = {.lex_state = 412, .external_lex_state = 3},
  [20421] = {.lex_state = 382, .external_lex_state = 3},
  [20422] = {.lex_state = 382, .external_lex_state = 3},
  [20423] = {.lex_state = 382, .external_lex_state = 3},
  [20424] = {.lex_state = 388, .external_lex_state = 3},
  [20425] = {.lex_state = 382, .external_lex_state = 3},
  [20426] = {.lex_state = 382, .external_lex_state = 3},
  [20427] = {.lex_state = 382, .external_lex_state = 3},
  [20428] = {.lex_state = 382, .external_lex_state = 3},
  [20429] = {.lex_state = 382, .external_lex_state = 3},
  [20430] = {.lex_state = 382, .external_lex_state = 3},
  [20431] = {.lex_state = 382, .external_lex_state = 3},
  [20432] = {.lex_state = 388, .external_lex_state = 3},
  [20433] = {.lex_state = 412, .external_lex_state = 3},
  [20434] = {.lex_state = 382, .external_lex_state = 3},
  [20435] = {.lex_state = 382, .external_lex_state = 3},
  [20436] = {.lex_state = 382, .external_lex_state = 3},
  [20437] = {.lex_state = 382, .external_lex_state = 3},
  [20438] = {.lex_state = 412, .external_lex_state = 3},
  [20439] = {.lex_state = 382, .external_lex_state = 3},
  [20440] = {.lex_state = 412, .external_lex_state = 3},
  [20441] = {.lex_state = 382, .external_lex_state = 3},
  [20442] = {.lex_state = 382, .external_lex_state = 3},
  [20443] = {.lex_state = 388, .external_lex_state = 3},
  [20444] = {.lex_state = 382, .external_lex_state = 3},
  [20445] = {.lex_state = 382, .external_lex_state = 2},
  [20446] = {.lex_state = 382, .external_lex_state = 2},
  [20447] = {.lex_state = 412, .external_lex_state = 3},
  [20448] = {.lex_state = 412, .external_lex_state = 3},
  [20449] = {.lex_state = 388, .external_lex_state = 3},
  [20450] = {.lex_state = 382, .external_lex_state = 3},
  [20451] = {.lex_state = 382, .external_lex_state = 3},
  [20452] = {.lex_state = 382, .external_lex_state = 3},
  [20453] = {.lex_state = 15, .external_lex_state = 3},
  [20454] = {.lex_state = 388, .external_lex_state = 3},
  [20455] = {.lex_state = 382, .external_lex_state = 3},
  [20456] = {.lex_state = 412, .external_lex_state = 3},
  [20457] = {.lex_state = 412, .external_lex_state = 3},
  [20458] = {.lex_state = 382, .external_lex_state = 3},
  [20459] = {.lex_state = 382, .external_lex_state = 3},
  [20460] = {.lex_state = 382, .external_lex_state = 3},
  [20461] = {.lex_state = 382, .external_lex_state = 3},
  [20462] = {.lex_state = 388, .external_lex_state = 3},
  [20463] = {.lex_state = 15, .external_lex_state = 3},
  [20464] = {.lex_state = 382, .external_lex_state = 3},
  [20465] = {.lex_state = 132, .external_lex_state = 3},
  [20466] = {.lex_state = 412, .external_lex_state = 3},
  [20467] = {.lex_state = 382, .external_lex_state = 3},
  [20468] = {.lex_state = 382, .external_lex_state = 3},
  [20469] = {.lex_state = 412, .external_lex_state = 3},
  [20470] = {.lex_state = 382, .external_lex_state = 3},
  [20471] = {.lex_state = 382, .external_lex_state = 2},
  [20472] = {.lex_state = 382, .external_lex_state = 3},
  [20473] = {.lex_state = 382, .external_lex_state = 3},
  [20474] = {.lex_state = 382, .external_lex_state = 3},
  [20475] = {.lex_state = 382, .external_lex_state = 3},
  [20476] = {.lex_state = 382, .external_lex_state = 3},
  [20477] = {.lex_state = 382, .external_lex_state = 3},
  [20478] = {.lex_state = 382, .external_lex_state = 3},
  [20479] = {.lex_state = 382, .external_lex_state = 3},
  [20480] = {.lex_state = 15, .external_lex_state = 3},
  [20481] = {.lex_state = 388, .external_lex_state = 3},
  [20482] = {.lex_state = 382, .external_lex_state = 3},
  [20483] = {.lex_state = 382, .external_lex_state = 3},
  [20484] = {.lex_state = 382, .external_lex_state = 3},
  [20485] = {.lex_state = 412, .external_lex_state = 3},
  [20486] = {.lex_state = 412, .external_lex_state = 3},
  [20487] = {.lex_state = 388, .external_lex_state = 3},
  [20488] = {.lex_state = 382, .external_lex_state = 3},
  [20489] = {.lex_state = 382, .external_lex_state = 3},
  [20490] = {.lex_state = 382, .external_lex_state = 3},
  [20491] = {.lex_state = 382, .external_lex_state = 3},
  [20492] = {.lex_state = 382, .external_lex_state = 3},
  [20493] = {.lex_state = 412, .external_lex_state = 3},
  [20494] = {.lex_state = 412, .external_lex_state = 3},
  [20495] = {.lex_state = 412, .external_lex_state = 3},
  [20496] = {.lex_state = 382, .external_lex_state = 3},
  [20497] = {.lex_state = 382, .external_lex_state = 3},
  [20498] = {.lex_state = 412, .external_lex_state = 3},
  [20499] = {.lex_state = 382, .external_lex_state = 3},
  [20500] = {.lex_state = 388, .external_lex_state = 3},
  [20501] = {.lex_state = 388, .external_lex_state = 3},
  [20502] = {.lex_state = 132, .external_lex_state = 3},
  [20503] = {.lex_state = 388, .external_lex_state = 3},
  [20504] = {.lex_state = 382, .external_lex_state = 3},
  [20505] = {.lex_state = 382, .external_lex_state = 3},
  [20506] = {.lex_state = 382, .external_lex_state = 3},
  [20507] = {.lex_state = 412, .external_lex_state = 3},
  [20508] = {.lex_state = 412, .external_lex_state = 3},
  [20509] = {.lex_state = 382, .external_lex_state = 3},
  [20510] = {.lex_state = 382, .external_lex_state = 3},
  [20511] = {.lex_state = 382, .external_lex_state = 3},
  [20512] = {.lex_state = 382, .external_lex_state = 3},
  [20513] = {.lex_state = 382, .external_lex_state = 3},
  [20514] = {.lex_state = 382, .external_lex_state = 3},
  [20515] = {.lex_state = 132, .external_lex_state = 3},
  [20516] = {.lex_state = 382, .external_lex_state = 3},
  [20517] = {.lex_state = 15, .external_lex_state = 3},
  [20518] = {.lex_state = 382, .external_lex_state = 3},
  [20519] = {.lex_state = 388, .external_lex_state = 3},
  [20520] = {.lex_state = 382, .external_lex_state = 3},
  [20521] = {.lex_state = 388, .external_lex_state = 3},
  [20522] = {.lex_state = 382, .external_lex_state = 3},
  [20523] = {.lex_state = 412, .external_lex_state = 3},
  [20524] = {.lex_state = 412, .external_lex_state = 3},
  [20525] = {.lex_state = 388, .external_lex_state = 3},
  [20526] = {.lex_state = 382, .external_lex_state = 3},
  [20527] = {.lex_state = 382, .external_lex_state = 3},
  [20528] = {.lex_state = 412, .external_lex_state = 3},
  [20529] = {.lex_state = 382, .external_lex_state = 3},
  [20530] = {.lex_state = 382, .external_lex_state = 3},
  [20531] = {.lex_state = 132, .external_lex_state = 3},
  [20532] = {.lex_state = 412, .external_lex_state = 3},
  [20533] = {.lex_state = 412, .external_lex_state = 3},
  [20534] = {.lex_state = 412, .external_lex_state = 3},
  [20535] = {.lex_state = 388, .external_lex_state = 3},
  [20536] = {.lex_state = 382, .external_lex_state = 3},
  [20537] = {.lex_state = 382, .external_lex_state = 3},
  [20538] = {.lex_state = 388, .external_lex_state = 3},
  [20539] = {.lex_state = 132, .external_lex_state = 3},
  [20540] = {.lex_state = 382, .external_lex_state = 3},
  [20541] = {.lex_state = 132, .external_lex_state = 3},
  [20542] = {.lex_state = 132, .external_lex_state = 3},
  [20543] = {.lex_state = 382, .external_lex_state = 3},
  [20544] = {.lex_state = 412, .external_lex_state = 3},
  [20545] = {.lex_state = 132, .external_lex_state = 3},
  [20546] = {.lex_state = 382, .external_lex_state = 3},
  [20547] = {.lex_state = 412, .external_lex_state = 3},
  [20548] = {.lex_state = 382, .external_lex_state = 3},
  [20549] = {.lex_state = 382, .external_lex_state = 3},
  [20550] = {.lex_state = 382, .external_lex_state = 3},
  [20551] = {.lex_state = 382, .external_lex_state = 3},
  [20552] = {.lex_state = 382, .external_lex_state = 3},
  [20553] = {.lex_state = 382, .external_lex_state = 3},
  [20554] = {.lex_state = 382, .external_lex_state = 3},
  [20555] = {.lex_state = 382, .external_lex_state = 3},
  [20556] = {.lex_state = 382, .external_lex_state = 2},
  [20557] = {.lex_state = 388, .external_lex_state = 3},
  [20558] = {.lex_state = 382, .external_lex_state = 3},
  [20559] = {.lex_state = 412, .external_lex_state = 3},
  [20560] = {.lex_state = 382, .external_lex_state = 3},
  [20561] = {.lex_state = 412, .external_lex_state = 3},
  [20562] = {.lex_state = 412, .external_lex_state = 3},
  [20563] = {.lex_state = 388, .external_lex_state = 3},
  [20564] = {.lex_state = 382, .external_lex_state = 3},
  [20565] = {.lex_state = 412, .external_lex_state = 3},
  [20566] = {.lex_state = 382, .external_lex_state = 3},
  [20567] = {.lex_state = 132, .external_lex_state = 3},
  [20568] = {.lex_state = 382, .external_lex_state = 3},
  [20569] = {.lex_state = 382, .external_lex_state = 3},
  [20570] = {.lex_state = 412, .external_lex_state = 3},
  [20571] = {.lex_state = 412, .external_lex_state = 3},
  [20572] = {.lex_state = 412, .external_lex_state = 3},
  [20573] = {.lex_state = 382, .external_lex_state = 3},
  [20574] = {.lex_state = 382, .external_lex_state = 3},
  [20575] = {.lex_state = 132, .external_lex_state = 3},
  [20576] = {.lex_state = 388, .external_lex_state = 3},
  [20577] = {.lex_state = 132, .external_lex_state = 3},
  [20578] = {.lex_state = 412, .external_lex_state = 3},
  [20579] = {.lex_state = 382, .external_lex_state = 3},
  [20580] = {.lex_state = 412, .external_lex_state = 3},
  [20581] = {.lex_state = 382, .external_lex_state = 3},
  [20582] = {.lex_state = 382, .external_lex_state = 3},
  [20583] = {.lex_state = 382, .external_lex_state = 3},
  [20584] = {.lex_state = 382, .external_lex_state = 3},
  [20585] = {.lex_state = 382, .external_lex_state = 3},
  [20586] = {.lex_state = 382, .external_lex_state = 3},
  [20587] = {.lex_state = 382, .external_lex_state = 3},
  [20588] = {.lex_state = 382, .external_lex_state = 3},
  [20589] = {.lex_state = 382, .external_lex_state = 3},
  [20590] = {.lex_state = 382, .external_lex_state = 3},
  [20591] = {.lex_state = 382, .external_lex_state = 3},
  [20592] = {.lex_state = 382, .external_lex_state = 3},
  [20593] = {.lex_state = 388, .external_lex_state = 3},
  [20594] = {.lex_state = 382, .external_lex_state = 3},
  [20595] = {.lex_state = 388, .external_lex_state = 3},
  [20596] = {.lex_state = 382, .external_lex_state = 3},
  [20597] = {.lex_state = 382, .external_lex_state = 3},
  [20598] = {.lex_state = 382, .external_lex_state = 3},
  [20599] = {.lex_state = 412, .external_lex_state = 3},
  [20600] = {.lex_state = 412, .external_lex_state = 3},
  [20601] = {.lex_state = 388, .external_lex_state = 3},
  [20602] = {.lex_state = 382, .external_lex_state = 3},
  [20603] = {.lex_state = 388, .external_lex_state = 3},
  [20604] = {.lex_state = 382, .external_lex_state = 3},
  [20605] = {.lex_state = 382, .external_lex_state = 3},
  [20606] = {.lex_state = 132, .external_lex_state = 3},
  [20607] = {.lex_state = 132, .external_lex_state = 3},
  [20608] = {.lex_state = 412, .external_lex_state = 3},
  [20609] = {.lex_state = 412, .external_lex_state = 3},
  [20610] = {.lex_state = 388, .external_lex_state = 3},
  [20611] = {.lex_state = 382, .external_lex_state = 3},
  [20612] = {.lex_state = 382, .external_lex_state = 3},
  [20613] = {.lex_state = 382, .external_lex_state = 3},
  [20614] = {.lex_state = 388, .external_lex_state = 3},
  [20615] = {.lex_state = 382, .external_lex_state = 3},
  [20616] = {.lex_state = 382, .external_lex_state = 3},
  [20617] = {.lex_state = 382, .external_lex_state = 3},
  [20618] = {.lex_state = 382, .external_lex_state = 3},
  [20619] = {.lex_state = 382, .external_lex_state = 3},
  [20620] = {.lex_state = 382, .external_lex_state = 3},
  [20621] = {.lex_state = 412, .external_lex_state = 3},
  [20622] = {.lex_state = 382, .external_lex_state = 3},
  [20623] = {.lex_state = 382, .external_lex_state = 3},
  [20624] = {.lex_state = 382, .external_lex_state = 3},
  [20625] = {.lex_state = 382, .external_lex_state = 3},
  [20626] = {.lex_state = 382, .external_lex_state = 3},
  [20627] = {.lex_state = 382, .external_lex_state = 3},
  [20628] = {.lex_state = 382, .external_lex_state = 3},
  [20629] = {.lex_state = 388, .external_lex_state = 3},
  [20630] = {.lex_state = 132, .external_lex_state = 3},
  [20631] = {.lex_state = 382, .external_lex_state = 3},
  [20632] = {.lex_state = 382, .external_lex_state = 3},
  [20633] = {.lex_state = 388, .external_lex_state = 3},
  [20634] = {.lex_state = 382, .external_lex_state = 3},
  [20635] = {.lex_state = 382, .external_lex_state = 3},
  [20636] = {.lex_state = 382, .external_lex_state = 3},
  [20637] = {.lex_state = 412, .external_lex_state = 3},
  [20638] = {.lex_state = 412, .external_lex_state = 3},
  [20639] = {.lex_state = 388, .external_lex_state = 3},
  [20640] = {.lex_state = 382, .external_lex_state = 3},
  [20641] = {.lex_state = 382, .external_lex_state = 3},
  [20642] = {.lex_state = 132, .external_lex_state = 3},
  [20643] = {.lex_state = 382, .external_lex_state = 3},
  [20644] = {.lex_state = 382, .external_lex_state = 3},
  [20645] = {.lex_state = 382, .external_lex_state = 3},
  [20646] = {.lex_state = 412, .external_lex_state = 3},
  [20647] = {.lex_state = 412, .external_lex_state = 3},
  [20648] = {.lex_state = 382, .external_lex_state = 3},
  [20649] = {.lex_state = 382, .external_lex_state = 3},
  [20650] = {.lex_state = 382, .external_lex_state = 3},
  [20651] = {.lex_state = 382, .external_lex_state = 3},
  [20652] = {.lex_state = 388, .external_lex_state = 3},
  [20653] = {.lex_state = 382, .external_lex_state = 3},
  [20654] = {.lex_state = 382, .external_lex_state = 3},
  [20655] = {.lex_state = 382, .external_lex_state = 3},
  [20656] = {.lex_state = 382, .external_lex_state = 3},
  [20657] = {.lex_state = 382, .external_lex_state = 3},
  [20658] = {.lex_state = 412, .external_lex_state = 3},
  [20659] = {.lex_state = 382, .external_lex_state = 3},
  [20660] = {.lex_state = 388, .external_lex_state = 3},
  [20661] = {.lex_state = 382, .external_lex_state = 3},
  [20662] = {.lex_state = 382, .external_lex_state = 3},
  [20663] = {.lex_state = 382, .external_lex_state = 3},
  [20664] = {.lex_state = 382, .external_lex_state = 3},
  [20665] = {.lex_state = 382, .external_lex_state = 3},
  [20666] = {.lex_state = 382, .external_lex_state = 3},
  [20667] = {.lex_state = 382, .external_lex_state = 3},
  [20668] = {.lex_state = 382, .external_lex_state = 3},
  [20669] = {.lex_state = 388, .external_lex_state = 3},
  [20670] = {.lex_state = 382, .external_lex_state = 3},
  [20671] = {.lex_state = 388, .external_lex_state = 3},
  [20672] = {.lex_state = 132, .external_lex_state = 3},
  [20673] = {.lex_state = 382, .external_lex_state = 3},
  [20674] = {.lex_state = 382, .external_lex_state = 3},
  [20675] = {.lex_state = 412, .external_lex_state = 3},
  [20676] = {.lex_state = 412, .external_lex_state = 3},
  [20677] = {.lex_state = 388, .external_lex_state = 3},
  [20678] = {.lex_state = 382, .external_lex_state = 3},
  [20679] = {.lex_state = 382, .external_lex_state = 3},
  [20680] = {.lex_state = 132, .external_lex_state = 3},
  [20681] = {.lex_state = 132, .external_lex_state = 3},
  [20682] = {.lex_state = 382, .external_lex_state = 3},
  [20683] = {.lex_state = 382, .external_lex_state = 3},
  [20684] = {.lex_state = 412, .external_lex_state = 3},
  [20685] = {.lex_state = 412, .external_lex_state = 3},
  [20686] = {.lex_state = 382, .external_lex_state = 3},
  [20687] = {.lex_state = 382, .external_lex_state = 3},
  [20688] = {.lex_state = 382, .external_lex_state = 3},
  [20689] = {.lex_state = 412, .external_lex_state = 3},
  [20690] = {.lex_state = 388, .external_lex_state = 3},
  [20691] = {.lex_state = 382, .external_lex_state = 3},
  [20692] = {.lex_state = 382, .external_lex_state = 3},
  [20693] = {.lex_state = 382, .external_lex_state = 3},
  [20694] = {.lex_state = 382, .external_lex_state = 3},
  [20695] = {.lex_state = 382, .external_lex_state = 3},
  [20696] = {.lex_state = 382, .external_lex_state = 3},
  [20697] = {.lex_state = 382, .external_lex_state = 3},
  [20698] = {.lex_state = 382, .external_lex_state = 3},
  [20699] = {.lex_state = 382, .external_lex_state = 3},
  [20700] = {.lex_state = 382, .external_lex_state = 3},
  [20701] = {.lex_state = 382, .external_lex_state = 3},
  [20702] = {.lex_state = 382, .external_lex_state = 3},
  [20703] = {.lex_state = 382, .external_lex_state = 3},
  [20704] = {.lex_state = 382, .external_lex_state = 3},
  [20705] = {.lex_state = 382, .external_lex_state = 3},
  [20706] = {.lex_state = 382, .external_lex_state = 3},
  [20707] = {.lex_state = 382, .external_lex_state = 3},
  [20708] = {.lex_state = 132, .external_lex_state = 3},
  [20709] = {.lex_state = 388, .external_lex_state = 3},
  [20710] = {.lex_state = 382, .external_lex_state = 3},
  [20711] = {.lex_state = 382, .external_lex_state = 3},
  [20712] = {.lex_state = 412, .external_lex_state = 3},
  [20713] = {.lex_state = 412, .external_lex_state = 3},
  [20714] = {.lex_state = 412, .external_lex_state = 3},
  [20715] = {.lex_state = 388, .external_lex_state = 3},
  [20716] = {.lex_state = 15, .external_lex_state = 3},
  [20717] = {.lex_state = 382, .external_lex_state = 3},
  [20718] = {.lex_state = 382, .external_lex_state = 3},
  [20719] = {.lex_state = 382, .external_lex_state = 3},
  [20720] = {.lex_state = 388, .external_lex_state = 3},
  [20721] = {.lex_state = 382, .external_lex_state = 3},
  [20722] = {.lex_state = 412, .external_lex_state = 3},
  [20723] = {.lex_state = 412, .external_lex_state = 3},
  [20724] = {.lex_state = 382, .external_lex_state = 3},
  [20725] = {.lex_state = 382, .external_lex_state = 3},
  [20726] = {.lex_state = 382, .external_lex_state = 3},
  [20727] = {.lex_state = 382, .external_lex_state = 3},
  [20728] = {.lex_state = 388, .external_lex_state = 3},
  [20729] = {.lex_state = 412, .external_lex_state = 3},
  [20730] = {.lex_state = 388, .external_lex_state = 3},
  [20731] = {.lex_state = 412, .external_lex_state = 3},
  [20732] = {.lex_state = 382, .external_lex_state = 3},
  [20733] = {.lex_state = 382, .external_lex_state = 3},
  [20734] = {.lex_state = 382, .external_lex_state = 2},
  [20735] = {.lex_state = 382, .external_lex_state = 3},
  [20736] = {.lex_state = 382, .external_lex_state = 3},
  [20737] = {.lex_state = 382, .external_lex_state = 3},
  [20738] = {.lex_state = 382, .external_lex_state = 3},
  [20739] = {.lex_state = 382, .external_lex_state = 3},
  [20740] = {.lex_state = 382, .external_lex_state = 3},
  [20741] = {.lex_state = 382, .external_lex_state = 3},
  [20742] = {.lex_state = 15, .external_lex_state = 3},
  [20743] = {.lex_state = 382, .external_lex_state = 3},
  [20744] = {.lex_state = 382, .external_lex_state = 3},
  [20745] = {.lex_state = 382, .external_lex_state = 3},
  [20746] = {.lex_state = 15, .external_lex_state = 3},
  [20747] = {.lex_state = 388, .external_lex_state = 3},
  [20748] = {.lex_state = 412, .external_lex_state = 3},
  [20749] = {.lex_state = 382, .external_lex_state = 3},
  [20750] = {.lex_state = 382, .external_lex_state = 3},
  [20751] = {.lex_state = 412, .external_lex_state = 3},
  [20752] = {.lex_state = 412, .external_lex_state = 3},
  [20753] = {.lex_state = 388, .external_lex_state = 3},
  [20754] = {.lex_state = 382, .external_lex_state = 3},
  [20755] = {.lex_state = 412, .external_lex_state = 3},
  [20756] = {.lex_state = 388, .external_lex_state = 3},
  [20757] = {.lex_state = 382, .external_lex_state = 3},
  [20758] = {.lex_state = 382, .external_lex_state = 3},
  [20759] = {.lex_state = 382, .external_lex_state = 3},
  [20760] = {.lex_state = 412, .external_lex_state = 3},
  [20761] = {.lex_state = 412, .external_lex_state = 3},
  [20762] = {.lex_state = 412, .external_lex_state = 3},
  [20763] = {.lex_state = 382, .external_lex_state = 2},
  [20764] = {.lex_state = 382, .external_lex_state = 3},
  [20765] = {.lex_state = 382, .external_lex_state = 3},
  [20766] = {.lex_state = 388, .external_lex_state = 3},
  [20767] = {.lex_state = 412, .external_lex_state = 3},
  [20768] = {.lex_state = 382, .external_lex_state = 2},
  [20769] = {.lex_state = 132, .external_lex_state = 3},
  [20770] = {.lex_state = 412, .external_lex_state = 3},
  [20771] = {.lex_state = 382, .external_lex_state = 3},
  [20772] = {.lex_state = 382, .external_lex_state = 3},
  [20773] = {.lex_state = 382, .external_lex_state = 3},
  [20774] = {.lex_state = 412, .external_lex_state = 3},
  [20775] = {.lex_state = 382, .external_lex_state = 3},
  [20776] = {.lex_state = 382, .external_lex_state = 3},
  [20777] = {.lex_state = 382, .external_lex_state = 3},
  [20778] = {.lex_state = 382, .external_lex_state = 3},
  [20779] = {.lex_state = 382, .external_lex_state = 3},
  [20780] = {.lex_state = 382, .external_lex_state = 3},
  [20781] = {.lex_state = 382, .external_lex_state = 3},
  [20782] = {.lex_state = 382, .external_lex_state = 3},
  [20783] = {.lex_state = 382, .external_lex_state = 3},
  [20784] = {.lex_state = 382, .external_lex_state = 3},
  [20785] = {.lex_state = 388, .external_lex_state = 3},
  [20786] = {.lex_state = 412, .external_lex_state = 3},
  [20787] = {.lex_state = 382, .external_lex_state = 3},
  [20788] = {.lex_state = 412, .external_lex_state = 3},
  [20789] = {.lex_state = 412, .external_lex_state = 3},
  [20790] = {.lex_state = 388, .external_lex_state = 3},
  [20791] = {.lex_state = 382, .external_lex_state = 3},
  [20792] = {.lex_state = 388, .external_lex_state = 3},
  [20793] = {.lex_state = 382, .external_lex_state = 2},
  [20794] = {.lex_state = 382, .external_lex_state = 3},
  [20795] = {.lex_state = 382, .external_lex_state = 3},
  [20796] = {.lex_state = 132, .external_lex_state = 3},
  [20797] = {.lex_state = 412, .external_lex_state = 3},
  [20798] = {.lex_state = 412, .external_lex_state = 3},
  [20799] = {.lex_state = 132, .external_lex_state = 3},
  [20800] = {.lex_state = 415, .external_lex_state = 3},
  [20801] = {.lex_state = 382, .external_lex_state = 3},
  [20802] = {.lex_state = 382, .external_lex_state = 3},
  [20803] = {.lex_state = 388, .external_lex_state = 3},
  [20804] = {.lex_state = 132, .external_lex_state = 3},
  [20805] = {.lex_state = 132, .external_lex_state = 3},
  [20806] = {.lex_state = 382, .external_lex_state = 3},
  [20807] = {.lex_state = 382, .external_lex_state = 3},
  [20808] = {.lex_state = 382, .external_lex_state = 3},
  [20809] = {.lex_state = 132, .external_lex_state = 3},
  [20810] = {.lex_state = 132, .external_lex_state = 3},
  [20811] = {.lex_state = 382, .external_lex_state = 3},
  [20812] = {.lex_state = 382, .external_lex_state = 3},
  [20813] = {.lex_state = 382, .external_lex_state = 3},
  [20814] = {.lex_state = 382, .external_lex_state = 3},
  [20815] = {.lex_state = 382, .external_lex_state = 3},
  [20816] = {.lex_state = 382, .external_lex_state = 3},
  [20817] = {.lex_state = 382, .external_lex_state = 3},
  [20818] = {.lex_state = 382, .external_lex_state = 3},
  [20819] = {.lex_state = 382, .external_lex_state = 3},
  [20820] = {.lex_state = 132, .external_lex_state = 3},
  [20821] = {.lex_state = 15, .external_lex_state = 3},
  [20822] = {.lex_state = 388, .external_lex_state = 3},
  [20823] = {.lex_state = 382, .external_lex_state = 3},
  [20824] = {.lex_state = 382, .external_lex_state = 3},
  [20825] = {.lex_state = 412, .external_lex_state = 3},
  [20826] = {.lex_state = 412, .external_lex_state = 3},
  [20827] = {.lex_state = 388, .external_lex_state = 3},
  [20828] = {.lex_state = 382, .external_lex_state = 3},
  [20829] = {.lex_state = 382, .external_lex_state = 2},
  [20830] = {.lex_state = 132, .external_lex_state = 3},
  [20831] = {.lex_state = 382, .external_lex_state = 3},
  [20832] = {.lex_state = 382, .external_lex_state = 3},
  [20833] = {.lex_state = 382, .external_lex_state = 3},
  [20834] = {.lex_state = 412, .external_lex_state = 3},
  [20835] = {.lex_state = 412, .external_lex_state = 3},
  [20836] = {.lex_state = 382, .external_lex_state = 3},
  [20837] = {.lex_state = 382, .external_lex_state = 3},
  [20838] = {.lex_state = 412, .external_lex_state = 3},
  [20839] = {.lex_state = 382, .external_lex_state = 3},
  [20840] = {.lex_state = 388, .external_lex_state = 3},
  [20841] = {.lex_state = 382, .external_lex_state = 3},
  [20842] = {.lex_state = 412, .external_lex_state = 3},
  [20843] = {.lex_state = 132, .external_lex_state = 3},
  [20844] = {.lex_state = 382, .external_lex_state = 3},
  [20845] = {.lex_state = 382, .external_lex_state = 3},
  [20846] = {.lex_state = 132, .external_lex_state = 3},
  [20847] = {.lex_state = 382, .external_lex_state = 3},
  [20848] = {.lex_state = 388, .external_lex_state = 3},
  [20849] = {.lex_state = 382, .external_lex_state = 3},
  [20850] = {.lex_state = 382, .external_lex_state = 3},
  [20851] = {.lex_state = 382, .external_lex_state = 3},
  [20852] = {.lex_state = 382, .external_lex_state = 3},
  [20853] = {.lex_state = 382, .external_lex_state = 3},
  [20854] = {.lex_state = 382, .external_lex_state = 3},
  [20855] = {.lex_state = 382, .external_lex_state = 3},
  [20856] = {.lex_state = 132, .external_lex_state = 3},
  [20857] = {.lex_state = 132, .external_lex_state = 3},
  [20858] = {.lex_state = 382, .external_lex_state = 2},
  [20859] = {.lex_state = 388, .external_lex_state = 3},
  [20860] = {.lex_state = 382, .external_lex_state = 3},
  [20861] = {.lex_state = 388, .external_lex_state = 3},
  [20862] = {.lex_state = 382, .external_lex_state = 3},
  [20863] = {.lex_state = 132, .external_lex_state = 3},
  [20864] = {.lex_state = 15, .external_lex_state = 3},
  [20865] = {.lex_state = 388, .external_lex_state = 3},
  [20866] = {.lex_state = 388, .external_lex_state = 3},
  [20867] = {.lex_state = 388, .external_lex_state = 3},
  [20868] = {.lex_state = 382, .external_lex_state = 3},
  [20869] = {.lex_state = 382, .external_lex_state = 3},
  [20870] = {.lex_state = 388, .external_lex_state = 3},
  [20871] = {.lex_state = 382, .external_lex_state = 3},
  [20872] = {.lex_state = 382, .external_lex_state = 3},
  [20873] = {.lex_state = 382, .external_lex_state = 3},
  [20874] = {.lex_state = 382, .external_lex_state = 3},
  [20875] = {.lex_state = 382, .external_lex_state = 3},
  [20876] = {.lex_state = 412, .external_lex_state = 3},
  [20877] = {.lex_state = 382, .external_lex_state = 3},
  [20878] = {.lex_state = 15, .external_lex_state = 3},
  [20879] = {.lex_state = 388, .external_lex_state = 3},
  [20880] = {.lex_state = 382, .external_lex_state = 3},
  [20881] = {.lex_state = 382, .external_lex_state = 3},
  [20882] = {.lex_state = 412, .external_lex_state = 3},
  [20883] = {.lex_state = 382, .external_lex_state = 3},
  [20884] = {.lex_state = 382, .external_lex_state = 2},
  [20885] = {.lex_state = 388, .external_lex_state = 3},
  [20886] = {.lex_state = 382, .external_lex_state = 3},
  [20887] = {.lex_state = 382, .external_lex_state = 3},
  [20888] = {.lex_state = 382, .external_lex_state = 3},
  [20889] = {.lex_state = 382, .external_lex_state = 3},
  [20890] = {.lex_state = 382, .external_lex_state = 3},
  [20891] = {.lex_state = 382, .external_lex_state = 3},
  [20892] = {.lex_state = 132, .external_lex_state = 3},
  [20893] = {.lex_state = 132, .external_lex_state = 3},
  [20894] = {.lex_state = 412, .external_lex_state = 3},
  [20895] = {.lex_state = 382, .external_lex_state = 3},
  [20896] = {.lex_state = 15, .external_lex_state = 3},
  [20897] = {.lex_state = 412, .external_lex_state = 3},
  [20898] = {.lex_state = 388, .external_lex_state = 3},
  [20899] = {.lex_state = 382, .external_lex_state = 3},
  [20900] = {.lex_state = 382, .external_lex_state = 3},
  [20901] = {.lex_state = 382, .external_lex_state = 3},
  [20902] = {.lex_state = 382, .external_lex_state = 3},
  [20903] = {.lex_state = 382, .external_lex_state = 3},
  [20904] = {.lex_state = 382, .external_lex_state = 3},
  [20905] = {.lex_state = 382, .external_lex_state = 3},
  [20906] = {.lex_state = 382, .external_lex_state = 3},
  [20907] = {.lex_state = 382, .external_lex_state = 3},
  [20908] = {.lex_state = 382, .external_lex_state = 3},
  [20909] = {.lex_state = 382, .external_lex_state = 3},
  [20910] = {.lex_state = 382, .external_lex_state = 3},
  [20911] = {.lex_state = 382, .external_lex_state = 3},
  [20912] = {.lex_state = 382, .external_lex_state = 3},
  [20913] = {.lex_state = 382, .external_lex_state = 3},
  [20914] = {.lex_state = 382, .external_lex_state = 3},
  [20915] = {.lex_state = 132, .external_lex_state = 3},
  [20916] = {.lex_state = 132, .external_lex_state = 3},
  [20917] = {.lex_state = 132, .external_lex_state = 3},
  [20918] = {.lex_state = 132, .external_lex_state = 3},
  [20919] = {.lex_state = 382, .external_lex_state = 3},
  [20920] = {.lex_state = 382, .external_lex_state = 3},
  [20921] = {.lex_state = 382, .external_lex_state = 3},
  [20922] = {.lex_state = 382, .external_lex_state = 3},
  [20923] = {.lex_state = 382, .external_lex_state = 3},
  [20924] = {.lex_state = 382, .external_lex_state = 3},
  [20925] = {.lex_state = 382, .external_lex_state = 3},
  [20926] = {.lex_state = 132, .external_lex_state = 3},
  [20927] = {.lex_state = 412, .external_lex_state = 3},
  [20928] = {.lex_state = 382, .external_lex_state = 3},
  [20929] = {.lex_state = 382, .external_lex_state = 3},
  [20930] = {.lex_state = 382, .external_lex_state = 3},
  [20931] = {.lex_state = 382, .external_lex_state = 3},
  [20932] = {.lex_state = 412, .external_lex_state = 3},
  [20933] = {.lex_state = 15, .external_lex_state = 3},
  [20934] = {.lex_state = 382, .external_lex_state = 3},
  [20935] = {.lex_state = 132, .external_lex_state = 3},
  [20936] = {.lex_state = 382, .external_lex_state = 3},
  [20937] = {.lex_state = 388, .external_lex_state = 3},
  [20938] = {.lex_state = 382, .external_lex_state = 3},
  [20939] = {.lex_state = 382, .external_lex_state = 3},
  [20940] = {.lex_state = 382, .external_lex_state = 3},
  [20941] = {.lex_state = 382, .external_lex_state = 3},
  [20942] = {.lex_state = 388, .external_lex_state = 3},
  [20943] = {.lex_state = 132, .external_lex_state = 3},
  [20944] = {.lex_state = 382, .external_lex_state = 3},
  [20945] = {.lex_state = 382, .external_lex_state = 3},
  [20946] = {.lex_state = 412, .external_lex_state = 3},
  [20947] = {.lex_state = 382, .external_lex_state = 3},
  [20948] = {.lex_state = 388, .external_lex_state = 3},
  [20949] = {.lex_state = 382, .external_lex_state = 3},
  [20950] = {.lex_state = 382, .external_lex_state = 3},
  [20951] = {.lex_state = 382, .external_lex_state = 3},
  [20952] = {.lex_state = 382, .external_lex_state = 3},
  [20953] = {.lex_state = 412, .external_lex_state = 3},
  [20954] = {.lex_state = 382, .external_lex_state = 3},
  [20955] = {.lex_state = 382, .external_lex_state = 3},
  [20956] = {.lex_state = 382, .external_lex_state = 3},
  [20957] = {.lex_state = 382, .external_lex_state = 3},
  [20958] = {.lex_state = 382, .external_lex_state = 3},
  [20959] = {.lex_state = 382, .external_lex_state = 3},
  [20960] = {.lex_state = 382, .external_lex_state = 3},
  [20961] = {.lex_state = 382, .external_lex_state = 3},
  [20962] = {.lex_state = 382, .external_lex_state = 3},
  [20963] = {.lex_state = 382, .external_lex_state = 2},
  [20964] = {.lex_state = 132, .external_lex_state = 3},
  [20965] = {.lex_state = 132, .external_lex_state = 3},
  [20966] = {.lex_state = 382, .external_lex_state = 3},
  [20967] = {.lex_state = 382, .external_lex_state = 3},
  [20968] = {.lex_state = 382, .external_lex_state = 3},
  [20969] = {.lex_state = 382, .external_lex_state = 3},
  [20970] = {.lex_state = 382, .external_lex_state = 3},
  [20971] = {.lex_state = 382, .external_lex_state = 3},
  [20972] = {.lex_state = 382, .external_lex_state = 3},
  [20973] = {.lex_state = 382, .external_lex_state = 3},
  [20974] = {.lex_state = 382, .external_lex_state = 3},
  [20975] = {.lex_state = 382, .external_lex_state = 3},
  [20976] = {.lex_state = 382, .external_lex_state = 3},
  [20977] = {.lex_state = 382, .external_lex_state = 3},
  [20978] = {.lex_state = 15, .external_lex_state = 3},
  [20979] = {.lex_state = 382, .external_lex_state = 3},
  [20980] = {.lex_state = 382, .external_lex_state = 3},
  [20981] = {.lex_state = 382, .external_lex_state = 3},
  [20982] = {.lex_state = 382, .external_lex_state = 3},
  [20983] = {.lex_state = 412, .external_lex_state = 3},
  [20984] = {.lex_state = 382, .external_lex_state = 3},
  [20985] = {.lex_state = 382, .external_lex_state = 3},
  [20986] = {.lex_state = 382, .external_lex_state = 3},
  [20987] = {.lex_state = 382, .external_lex_state = 3},
  [20988] = {.lex_state = 382, .external_lex_state = 3},
  [20989] = {.lex_state = 382, .external_lex_state = 3},
  [20990] = {.lex_state = 382, .external_lex_state = 3},
  [20991] = {.lex_state = 382, .external_lex_state = 3},
  [20992] = {.lex_state = 382, .external_lex_state = 3},
  [20993] = {.lex_state = 382, .external_lex_state = 3},
  [20994] = {.lex_state = 382, .external_lex_state = 3},
  [20995] = {.lex_state = 382, .external_lex_state = 3},
  [20996] = {.lex_state = 382, .external_lex_state = 3},
  [20997] = {.lex_state = 382, .external_lex_state = 3},
  [20998] = {.lex_state = 382, .external_lex_state = 3},
  [20999] = {.lex_state = 382, .external_lex_state = 3},
  [21000] = {.lex_state = 382, .external_lex_state = 3},
  [21001] = {.lex_state = 382, .external_lex_state = 3},
  [21002] = {.lex_state = 132, .external_lex_state = 3},
  [21003] = {.lex_state = 382, .external_lex_state = 3},
  [21004] = {.lex_state = 382, .external_lex_state = 3},
  [21005] = {.lex_state = 382, .external_lex_state = 3},
  [21006] = {.lex_state = 412, .external_lex_state = 3},
  [21007] = {.lex_state = 382, .external_lex_state = 3},
  [21008] = {.lex_state = 412, .external_lex_state = 3},
  [21009] = {.lex_state = 382, .external_lex_state = 3},
  [21010] = {.lex_state = 382, .external_lex_state = 3},
  [21011] = {.lex_state = 382, .external_lex_state = 3},
  [21012] = {.lex_state = 412, .external_lex_state = 3},
  [21013] = {.lex_state = 382, .external_lex_state = 3},
  [21014] = {.lex_state = 382, .external_lex_state = 2},
  [21015] = {.lex_state = 382, .external_lex_state = 3},
  [21016] = {.lex_state = 382, .external_lex_state = 3},
  [21017] = {.lex_state = 382, .external_lex_state = 3},
  [21018] = {.lex_state = 15, .external_lex_state = 3},
  [21019] = {.lex_state = 382, .external_lex_state = 3},
  [21020] = {.lex_state = 382, .external_lex_state = 3},
  [21021] = {.lex_state = 382, .external_lex_state = 3},
  [21022] = {.lex_state = 15, .external_lex_state = 3},
  [21023] = {.lex_state = 382, .external_lex_state = 3},
  [21024] = {.lex_state = 382, .external_lex_state = 3},
  [21025] = {.lex_state = 382, .external_lex_state = 3},
  [21026] = {.lex_state = 382, .external_lex_state = 3},
  [21027] = {.lex_state = 382, .external_lex_state = 3},
  [21028] = {.lex_state = 412, .external_lex_state = 3},
  [21029] = {.lex_state = 412, .external_lex_state = 3},
  [21030] = {.lex_state = 382, .external_lex_state = 3},
  [21031] = {.lex_state = 382, .external_lex_state = 3},
  [21032] = {.lex_state = 388, .external_lex_state = 3},
  [21033] = {.lex_state = 382, .external_lex_state = 3},
  [21034] = {.lex_state = 132, .external_lex_state = 3},
  [21035] = {.lex_state = 132, .external_lex_state = 3},
  [21036] = {.lex_state = 132, .external_lex_state = 3},
  [21037] = {.lex_state = 382, .external_lex_state = 3},
  [21038] = {.lex_state = 382, .external_lex_state = 3},
  [21039] = {.lex_state = 382, .external_lex_state = 3},
  [21040] = {.lex_state = 382, .external_lex_state = 3},
  [21041] = {.lex_state = 382, .external_lex_state = 3},
  [21042] = {.lex_state = 388, .external_lex_state = 3},
  [21043] = {.lex_state = 382, .external_lex_state = 3},
  [21044] = {.lex_state = 382, .external_lex_state = 3},
  [21045] = {.lex_state = 382, .external_lex_state = 3},
  [21046] = {.lex_state = 412, .external_lex_state = 3},
  [21047] = {.lex_state = 412, .external_lex_state = 3},
  [21048] = {.lex_state = 15, .external_lex_state = 3},
  [21049] = {.lex_state = 382, .external_lex_state = 3},
  [21050] = {.lex_state = 388, .external_lex_state = 3},
  [21051] = {.lex_state = 382, .external_lex_state = 3},
  [21052] = {.lex_state = 382, .external_lex_state = 3},
  [21053] = {.lex_state = 412, .external_lex_state = 3},
  [21054] = {.lex_state = 132, .external_lex_state = 3},
  [21055] = {.lex_state = 412, .external_lex_state = 3},
  [21056] = {.lex_state = 412, .external_lex_state = 3},
  [21057] = {.lex_state = 388, .external_lex_state = 3},
  [21058] = {.lex_state = 132, .external_lex_state = 3},
  [21059] = {.lex_state = 382, .external_lex_state = 3},
  [21060] = {.lex_state = 382, .external_lex_state = 3},
  [21061] = {.lex_state = 382, .external_lex_state = 2},
  [21062] = {.lex_state = 382, .external_lex_state = 3},
  [21063] = {.lex_state = 385, .external_lex_state = 3},
  [21064] = {.lex_state = 382, .external_lex_state = 3},
  [21065] = {.lex_state = 382, .external_lex_state = 3},
  [21066] = {.lex_state = 15, .external_lex_state = 3},
  [21067] = {.lex_state = 412, .external_lex_state = 3},
  [21068] = {.lex_state = 382, .external_lex_state = 3},
  [21069] = {.lex_state = 382, .external_lex_state = 3},
  [21070] = {.lex_state = 382, .external_lex_state = 3},
  [21071] = {.lex_state = 412, .external_lex_state = 3},
  [21072] = {.lex_state = 382, .external_lex_state = 3},
  [21073] = {.lex_state = 412, .external_lex_state = 3},
  [21074] = {.lex_state = 382, .external_lex_state = 3},
  [21075] = {.lex_state = 382, .external_lex_state = 3},
  [21076] = {.lex_state = 382, .external_lex_state = 3},
  [21077] = {.lex_state = 388, .external_lex_state = 3},
  [21078] = {.lex_state = 388, .external_lex_state = 3},
  [21079] = {.lex_state = 382, .external_lex_state = 3},
  [21080] = {.lex_state = 382, .external_lex_state = 3},
  [21081] = {.lex_state = 388, .external_lex_state = 3},
  [21082] = {.lex_state = 388, .external_lex_state = 3},
  [21083] = {.lex_state = 412, .external_lex_state = 3},
  [21084] = {.lex_state = 382, .external_lex_state = 3},
  [21085] = {.lex_state = 382, .external_lex_state = 3},
  [21086] = {.lex_state = 382, .external_lex_state = 3},
  [21087] = {.lex_state = 382, .external_lex_state = 3},
  [21088] = {.lex_state = 382, .external_lex_state = 3},
  [21089] = {.lex_state = 412, .external_lex_state = 3},
  [21090] = {.lex_state = 382, .external_lex_state = 3},
  [21091] = {.lex_state = 382, .external_lex_state = 3},
  [21092] = {.lex_state = 132, .external_lex_state = 3},
  [21093] = {.lex_state = 382, .external_lex_state = 3},
  [21094] = {.lex_state = 382, .external_lex_state = 3},
  [21095] = {.lex_state = 412, .external_lex_state = 3},
  [21096] = {.lex_state = 382, .external_lex_state = 3},
  [21097] = {.lex_state = 382, .external_lex_state = 3},
  [21098] = {.lex_state = 382, .external_lex_state = 3},
  [21099] = {.lex_state = 382, .external_lex_state = 3},
  [21100] = {.lex_state = 412, .external_lex_state = 3},
  [21101] = {.lex_state = 412, .external_lex_state = 3},
  [21102] = {.lex_state = 382, .external_lex_state = 3},
  [21103] = {.lex_state = 15, .external_lex_state = 3},
  [21104] = {.lex_state = 382, .external_lex_state = 2},
  [21105] = {.lex_state = 382, .external_lex_state = 3},
  [21106] = {.lex_state = 382, .external_lex_state = 3},
  [21107] = {.lex_state = 15, .external_lex_state = 3},
  [21108] = {.lex_state = 382, .external_lex_state = 3},
  [21109] = {.lex_state = 382, .external_lex_state = 3},
  [21110] = {.lex_state = 382, .external_lex_state = 3},
  [21111] = {.lex_state = 412, .external_lex_state = 3},
  [21112] = {.lex_state = 382, .external_lex_state = 3},
  [21113] = {.lex_state = 382, .external_lex_state = 3},
  [21114] = {.lex_state = 382, .external_lex_state = 3},
  [21115] = {.lex_state = 382, .external_lex_state = 3},
  [21116] = {.lex_state = 382, .external_lex_state = 3},
  [21117] = {.lex_state = 382, .external_lex_state = 3},
  [21118] = {.lex_state = 382, .external_lex_state = 3},
  [21119] = {.lex_state = 382, .external_lex_state = 3},
  [21120] = {.lex_state = 382, .external_lex_state = 3},
  [21121] = {.lex_state = 382, .external_lex_state = 3},
  [21122] = {.lex_state = 382, .external_lex_state = 3},
  [21123] = {.lex_state = 382, .external_lex_state = 3},
  [21124] = {.lex_state = 382, .external_lex_state = 3},
  [21125] = {.lex_state = 382, .external_lex_state = 3},
  [21126] = {.lex_state = 382, .external_lex_state = 3},
  [21127] = {.lex_state = 382, .external_lex_state = 3},
  [21128] = {.lex_state = 382, .external_lex_state = 3},
  [21129] = {.lex_state = 382, .external_lex_state = 3},
  [21130] = {.lex_state = 382, .external_lex_state = 3},
  [21131] = {.lex_state = 382, .external_lex_state = 3},
  [21132] = {.lex_state = 382, .external_lex_state = 3},
  [21133] = {.lex_state = 382, .external_lex_state = 3},
  [21134] = {.lex_state = 382, .external_lex_state = 3},
  [21135] = {.lex_state = 382, .external_lex_state = 3},
  [21136] = {.lex_state = 382, .external_lex_state = 3},
  [21137] = {.lex_state = 15, .external_lex_state = 3},
  [21138] = {.lex_state = 382, .external_lex_state = 3},
  [21139] = {.lex_state = 382, .external_lex_state = 3},
  [21140] = {.lex_state = 382, .external_lex_state = 3},
  [21141] = {.lex_state = 382, .external_lex_state = 3},
  [21142] = {.lex_state = 382, .external_lex_state = 3},
  [21143] = {.lex_state = 382, .external_lex_state = 3},
  [21144] = {.lex_state = 382, .external_lex_state = 3},
  [21145] = {.lex_state = 382, .external_lex_state = 3},
  [21146] = {.lex_state = 382, .external_lex_state = 3},
  [21147] = {.lex_state = 382, .external_lex_state = 3},
  [21148] = {.lex_state = 382, .external_lex_state = 3},
  [21149] = {.lex_state = 382, .external_lex_state = 3},
  [21150] = {.lex_state = 382, .external_lex_state = 3},
  [21151] = {.lex_state = 382, .external_lex_state = 2},
  [21152] = {.lex_state = 382, .external_lex_state = 3},
  [21153] = {.lex_state = 382, .external_lex_state = 3},
  [21154] = {.lex_state = 382, .external_lex_state = 3},
  [21155] = {.lex_state = 382, .external_lex_state = 3},
  [21156] = {.lex_state = 382, .external_lex_state = 3},
  [21157] = {.lex_state = 382, .external_lex_state = 3},
  [21158] = {.lex_state = 382, .external_lex_state = 3},
  [21159] = {.lex_state = 382, .external_lex_state = 3},
  [21160] = {.lex_state = 382, .external_lex_state = 3},
  [21161] = {.lex_state = 382, .external_lex_state = 3},
  [21162] = {.lex_state = 382, .external_lex_state = 3},
  [21163] = {.lex_state = 382, .external_lex_state = 3},
  [21164] = {.lex_state = 412, .external_lex_state = 3},
  [21165] = {.lex_state = 382, .external_lex_state = 3},
  [21166] = {.lex_state = 382, .external_lex_state = 3},
  [21167] = {.lex_state = 36, .external_lex_state = 3},
  [21168] = {.lex_state = 36, .external_lex_state = 3},
  [21169] = {.lex_state = 36, .external_lex_state = 3},
  [21170] = {.lex_state = 382, .external_lex_state = 3},
  [21171] = {.lex_state = 382, .external_lex_state = 3},
  [21172] = {.lex_state = 382, .external_lex_state = 3},
  [21173] = {.lex_state = 382, .external_lex_state = 3},
  [21174] = {.lex_state = 382, .external_lex_state = 3},
  [21175] = {.lex_state = 382, .external_lex_state = 3},
  [21176] = {.lex_state = 382, .external_lex_state = 3},
  [21177] = {.lex_state = 382, .external_lex_state = 3},
  [21178] = {.lex_state = 382, .external_lex_state = 3},
  [21179] = {.lex_state = 382, .external_lex_state = 3},
  [21180] = {.lex_state = 382, .external_lex_state = 3},
  [21181] = {.lex_state = 412, .external_lex_state = 3},
  [21182] = {.lex_state = 382, .external_lex_state = 3},
  [21183] = {.lex_state = 382, .external_lex_state = 3},
  [21184] = {.lex_state = 382, .external_lex_state = 3},
  [21185] = {.lex_state = 382, .external_lex_state = 3},
  [21186] = {.lex_state = 388, .external_lex_state = 3},
  [21187] = {.lex_state = 382, .external_lex_state = 3},
  [21188] = {.lex_state = 382, .external_lex_state = 3},
  [21189] = {.lex_state = 382, .external_lex_state = 3},
  [21190] = {.lex_state = 388, .external_lex_state = 3},
  [21191] = {.lex_state = 382, .external_lex_state = 3},
  [21192] = {.lex_state = 412, .external_lex_state = 3},
  [21193] = {.lex_state = 382, .external_lex_state = 3},
  [21194] = {.lex_state = 412, .external_lex_state = 3},
  [21195] = {.lex_state = 382, .external_lex_state = 3},
  [21196] = {.lex_state = 382, .external_lex_state = 3},
  [21197] = {.lex_state = 382, .external_lex_state = 3},
  [21198] = {.lex_state = 382, .external_lex_state = 3},
  [21199] = {.lex_state = 382, .external_lex_state = 3},
  [21200] = {.lex_state = 382, .external_lex_state = 2},
  [21201] = {.lex_state = 382, .external_lex_state = 3},
  [21202] = {.lex_state = 382, .external_lex_state = 3},
  [21203] = {.lex_state = 382, .external_lex_state = 3},
  [21204] = {.lex_state = 382, .external_lex_state = 3},
  [21205] = {.lex_state = 382, .external_lex_state = 3},
  [21206] = {.lex_state = 382, .external_lex_state = 3},
  [21207] = {.lex_state = 382, .external_lex_state = 3},
  [21208] = {.lex_state = 382, .external_lex_state = 3},
  [21209] = {.lex_state = 382, .external_lex_state = 3},
  [21210] = {.lex_state = 382, .external_lex_state = 3},
  [21211] = {.lex_state = 382, .external_lex_state = 3},
  [21212] = {.lex_state = 382, .external_lex_state = 3},
  [21213] = {.lex_state = 382, .external_lex_state = 3},
  [21214] = {.lex_state = 382, .external_lex_state = 3},
  [21215] = {.lex_state = 382, .external_lex_state = 3},
  [21216] = {.lex_state = 15, .external_lex_state = 3},
  [21217] = {.lex_state = 382, .external_lex_state = 3},
  [21218] = {.lex_state = 382, .external_lex_state = 3},
  [21219] = {.lex_state = 382, .external_lex_state = 3},
  [21220] = {.lex_state = 382, .external_lex_state = 3},
  [21221] = {.lex_state = 132, .external_lex_state = 3},
  [21222] = {.lex_state = 132, .external_lex_state = 3},
  [21223] = {.lex_state = 132, .external_lex_state = 3},
  [21224] = {.lex_state = 382, .external_lex_state = 3},
  [21225] = {.lex_state = 15, .external_lex_state = 3},
  [21226] = {.lex_state = 382, .external_lex_state = 3},
  [21227] = {.lex_state = 382, .external_lex_state = 3},
  [21228] = {.lex_state = 382, .external_lex_state = 3},
  [21229] = {.lex_state = 382, .external_lex_state = 3},
  [21230] = {.lex_state = 382, .external_lex_state = 3},
  [21231] = {.lex_state = 388, .external_lex_state = 3},
  [21232] = {.lex_state = 382, .external_lex_state = 3},
  [21233] = {.lex_state = 382, .external_lex_state = 3},
  [21234] = {.lex_state = 412, .external_lex_state = 3},
  [21235] = {.lex_state = 382, .external_lex_state = 3},
  [21236] = {.lex_state = 132, .external_lex_state = 3},
  [21237] = {.lex_state = 382, .external_lex_state = 3},
  [21238] = {.lex_state = 382, .external_lex_state = 3},
  [21239] = {.lex_state = 388, .external_lex_state = 3},
  [21240] = {.lex_state = 382, .external_lex_state = 3},
  [21241] = {.lex_state = 382, .external_lex_state = 3},
  [21242] = {.lex_state = 382, .external_lex_state = 3},
  [21243] = {.lex_state = 382, .external_lex_state = 3},
  [21244] = {.lex_state = 15, .external_lex_state = 3},
  [21245] = {.lex_state = 382, .external_lex_state = 3},
  [21246] = {.lex_state = 412, .external_lex_state = 3},
  [21247] = {.lex_state = 382, .external_lex_state = 3},
  [21248] = {.lex_state = 382, .external_lex_state = 3},
  [21249] = {.lex_state = 412, .external_lex_state = 3},
  [21250] = {.lex_state = 412, .external_lex_state = 3},
  [21251] = {.lex_state = 382, .external_lex_state = 3},
  [21252] = {.lex_state = 388, .external_lex_state = 3},
  [21253] = {.lex_state = 382, .external_lex_state = 3},
  [21254] = {.lex_state = 382, .external_lex_state = 3},
  [21255] = {.lex_state = 412, .external_lex_state = 3},
  [21256] = {.lex_state = 382, .external_lex_state = 3},
  [21257] = {.lex_state = 382, .external_lex_state = 3},
  [21258] = {.lex_state = 382, .external_lex_state = 3},
  [21259] = {.lex_state = 382, .external_lex_state = 3},
  [21260] = {.lex_state = 382, .external_lex_state = 3},
  [21261] = {.lex_state = 388, .external_lex_state = 3},
  [21262] = {.lex_state = 382, .external_lex_state = 3},
  [21263] = {.lex_state = 412, .external_lex_state = 3},
  [21264] = {.lex_state = 382, .external_lex_state = 3},
  [21265] = {.lex_state = 382, .external_lex_state = 3},
  [21266] = {.lex_state = 382, .external_lex_state = 3},
  [21267] = {.lex_state = 382, .external_lex_state = 3},
  [21268] = {.lex_state = 382, .external_lex_state = 3},
  [21269] = {.lex_state = 15, .external_lex_state = 3},
  [21270] = {.lex_state = 382, .external_lex_state = 3},
  [21271] = {.lex_state = 382, .external_lex_state = 3},
  [21272] = {.lex_state = 412, .external_lex_state = 3},
  [21273] = {.lex_state = 382, .external_lex_state = 2},
  [21274] = {.lex_state = 412, .external_lex_state = 3},
  [21275] = {.lex_state = 382, .external_lex_state = 3},
  [21276] = {.lex_state = 15, .external_lex_state = 3},
  [21277] = {.lex_state = 382, .external_lex_state = 3},
  [21278] = {.lex_state = 382, .external_lex_state = 3},
  [21279] = {.lex_state = 382, .external_lex_state = 3},
  [21280] = {.lex_state = 412, .external_lex_state = 3},
  [21281] = {.lex_state = 382, .external_lex_state = 3},
  [21282] = {.lex_state = 382, .external_lex_state = 3},
  [21283] = {.lex_state = 412, .external_lex_state = 3},
  [21284] = {.lex_state = 36, .external_lex_state = 3},
  [21285] = {.lex_state = 36, .external_lex_state = 3},
  [21286] = {.lex_state = 36, .external_lex_state = 3},
  [21287] = {.lex_state = 382, .external_lex_state = 3},
  [21288] = {.lex_state = 382, .external_lex_state = 3},
  [21289] = {.lex_state = 382, .external_lex_state = 3},
  [21290] = {.lex_state = 382, .external_lex_state = 3},
  [21291] = {.lex_state = 382, .external_lex_state = 3},
  [21292] = {.lex_state = 382, .external_lex_state = 3},
  [21293] = {.lex_state = 382, .external_lex_state = 3},
  [21294] = {.lex_state = 382, .external_lex_state = 3},
  [21295] = {.lex_state = 388, .external_lex_state = 3},
  [21296] = {.lex_state = 382, .external_lex_state = 3},
  [21297] = {.lex_state = 382, .external_lex_state = 3},
  [21298] = {.lex_state = 382, .external_lex_state = 3},
  [21299] = {.lex_state = 382, .external_lex_state = 3},
  [21300] = {.lex_state = 382, .external_lex_state = 3},
  [21301] = {.lex_state = 382, .external_lex_state = 3},
  [21302] = {.lex_state = 382, .external_lex_state = 3},
  [21303] = {.lex_state = 382, .external_lex_state = 3},
  [21304] = {.lex_state = 382, .external_lex_state = 3},
  [21305] = {.lex_state = 382, .external_lex_state = 3},
  [21306] = {.lex_state = 382, .external_lex_state = 3},
  [21307] = {.lex_state = 412, .external_lex_state = 3},
  [21308] = {.lex_state = 382, .external_lex_state = 3},
  [21309] = {.lex_state = 382, .external_lex_state = 3},
  [21310] = {.lex_state = 382, .external_lex_state = 3},
  [21311] = {.lex_state = 382, .external_lex_state = 3},
  [21312] = {.lex_state = 382, .external_lex_state = 3},
  [21313] = {.lex_state = 382, .external_lex_state = 2},
  [21314] = {.lex_state = 382, .external_lex_state = 3},
  [21315] = {.lex_state = 382, .external_lex_state = 3},
  [21316] = {.lex_state = 382, .external_lex_state = 3},
  [21317] = {.lex_state = 382, .external_lex_state = 3},
  [21318] = {.lex_state = 382, .external_lex_state = 3},
  [21319] = {.lex_state = 382, .external_lex_state = 3},
  [21320] = {.lex_state = 382, .external_lex_state = 3},
  [21321] = {.lex_state = 382, .external_lex_state = 3},
  [21322] = {.lex_state = 382, .external_lex_state = 3},
  [21323] = {.lex_state = 382, .external_lex_state = 3},
  [21324] = {.lex_state = 382, .external_lex_state = 3},
  [21325] = {.lex_state = 382, .external_lex_state = 3},
  [21326] = {.lex_state = 382, .external_lex_state = 3},
  [21327] = {.lex_state = 382, .external_lex_state = 3},
  [21328] = {.lex_state = 382, .external_lex_state = 3},
  [21329] = {.lex_state = 382, .external_lex_state = 3},
  [21330] = {.lex_state = 382, .external_lex_state = 3},
  [21331] = {.lex_state = 382, .external_lex_state = 3},
  [21332] = {.lex_state = 382, .external_lex_state = 3},
  [21333] = {.lex_state = 382, .external_lex_state = 3},
  [21334] = {.lex_state = 382, .external_lex_state = 3},
  [21335] = {.lex_state = 382, .external_lex_state = 3},
  [21336] = {.lex_state = 382, .external_lex_state = 3},
  [21337] = {.lex_state = 132, .external_lex_state = 3},
  [21338] = {.lex_state = 132, .external_lex_state = 3},
  [21339] = {.lex_state = 382, .external_lex_state = 3},
  [21340] = {.lex_state = 382, .external_lex_state = 3},
  [21341] = {.lex_state = 132, .external_lex_state = 3},
  [21342] = {.lex_state = 382, .external_lex_state = 3},
  [21343] = {.lex_state = 15, .external_lex_state = 3},
  [21344] = {.lex_state = 382, .external_lex_state = 3},
  [21345] = {.lex_state = 382, .external_lex_state = 3},
  [21346] = {.lex_state = 382, .external_lex_state = 3},
  [21347] = {.lex_state = 382, .external_lex_state = 3},
  [21348] = {.lex_state = 382, .external_lex_state = 3},
  [21349] = {.lex_state = 382, .external_lex_state = 3},
  [21350] = {.lex_state = 382, .external_lex_state = 3},
  [21351] = {.lex_state = 382, .external_lex_state = 3},
  [21352] = {.lex_state = 382, .external_lex_state = 3},
  [21353] = {.lex_state = 382, .external_lex_state = 3},
  [21354] = {.lex_state = 382, .external_lex_state = 3},
  [21355] = {.lex_state = 382, .external_lex_state = 3},
  [21356] = {.lex_state = 412, .external_lex_state = 3},
  [21357] = {.lex_state = 382, .external_lex_state = 3},
  [21358] = {.lex_state = 36, .external_lex_state = 3},
  [21359] = {.lex_state = 36, .external_lex_state = 3},
  [21360] = {.lex_state = 36, .external_lex_state = 3},
  [21361] = {.lex_state = 382, .external_lex_state = 3},
  [21362] = {.lex_state = 382, .external_lex_state = 3},
  [21363] = {.lex_state = 382, .external_lex_state = 3},
  [21364] = {.lex_state = 382, .external_lex_state = 3},
  [21365] = {.lex_state = 382, .external_lex_state = 3},
  [21366] = {.lex_state = 382, .external_lex_state = 3},
  [21367] = {.lex_state = 382, .external_lex_state = 3},
  [21368] = {.lex_state = 382, .external_lex_state = 3},
  [21369] = {.lex_state = 382, .external_lex_state = 3},
  [21370] = {.lex_state = 382, .external_lex_state = 3},
  [21371] = {.lex_state = 382, .external_lex_state = 3},
  [21372] = {.lex_state = 382, .external_lex_state = 3},
  [21373] = {.lex_state = 382, .external_lex_state = 3},
  [21374] = {.lex_state = 132, .external_lex_state = 3},
  [21375] = {.lex_state = 382, .external_lex_state = 3},
  [21376] = {.lex_state = 382, .external_lex_state = 3},
  [21377] = {.lex_state = 382, .external_lex_state = 3},
  [21378] = {.lex_state = 382, .external_lex_state = 3},
  [21379] = {.lex_state = 15, .external_lex_state = 3},
  [21380] = {.lex_state = 382, .external_lex_state = 3},
  [21381] = {.lex_state = 382, .external_lex_state = 3},
  [21382] = {.lex_state = 412, .external_lex_state = 3},
  [21383] = {.lex_state = 382, .external_lex_state = 3},
  [21384] = {.lex_state = 382, .external_lex_state = 3},
  [21385] = {.lex_state = 382, .external_lex_state = 3},
  [21386] = {.lex_state = 382, .external_lex_state = 3},
  [21387] = {.lex_state = 382, .external_lex_state = 3},
  [21388] = {.lex_state = 382, .external_lex_state = 3},
  [21389] = {.lex_state = 412, .external_lex_state = 3},
  [21390] = {.lex_state = 382, .external_lex_state = 3},
  [21391] = {.lex_state = 382, .external_lex_state = 3},
  [21392] = {.lex_state = 382, .external_lex_state = 3},
  [21393] = {.lex_state = 382, .external_lex_state = 3},
  [21394] = {.lex_state = 382, .external_lex_state = 3},
  [21395] = {.lex_state = 382, .external_lex_state = 3},
  [21396] = {.lex_state = 382, .external_lex_state = 3},
  [21397] = {.lex_state = 382, .external_lex_state = 3},
  [21398] = {.lex_state = 388, .external_lex_state = 3},
  [21399] = {.lex_state = 132, .external_lex_state = 3},
  [21400] = {.lex_state = 132, .external_lex_state = 3},
  [21401] = {.lex_state = 385, .external_lex_state = 3},
  [21402] = {.lex_state = 382, .external_lex_state = 3},
  [21403] = {.lex_state = 412, .external_lex_state = 3},
  [21404] = {.lex_state = 382, .external_lex_state = 3},
  [21405] = {.lex_state = 382, .external_lex_state = 3},
  [21406] = {.lex_state = 15, .external_lex_state = 3},
  [21407] = {.lex_state = 412, .external_lex_state = 3},
  [21408] = {.lex_state = 412, .external_lex_state = 3},
  [21409] = {.lex_state = 382, .external_lex_state = 2},
  [21410] = {.lex_state = 412, .external_lex_state = 3},
  [21411] = {.lex_state = 382, .external_lex_state = 3},
  [21412] = {.lex_state = 382, .external_lex_state = 3},
  [21413] = {.lex_state = 36, .external_lex_state = 3},
  [21414] = {.lex_state = 36, .external_lex_state = 3},
  [21415] = {.lex_state = 36, .external_lex_state = 3},
  [21416] = {.lex_state = 15, .external_lex_state = 3},
  [21417] = {.lex_state = 382, .external_lex_state = 3},
  [21418] = {.lex_state = 382, .external_lex_state = 3},
  [21419] = {.lex_state = 382, .external_lex_state = 3},
  [21420] = {.lex_state = 382, .external_lex_state = 3},
  [21421] = {.lex_state = 412, .external_lex_state = 3},
  [21422] = {.lex_state = 382, .external_lex_state = 3},
  [21423] = {.lex_state = 382, .external_lex_state = 3},
  [21424] = {.lex_state = 382, .external_lex_state = 3},
  [21425] = {.lex_state = 382, .external_lex_state = 3},
  [21426] = {.lex_state = 382, .external_lex_state = 3},
  [21427] = {.lex_state = 412, .external_lex_state = 3},
  [21428] = {.lex_state = 382, .external_lex_state = 3},
  [21429] = {.lex_state = 382, .external_lex_state = 3},
  [21430] = {.lex_state = 382, .external_lex_state = 3},
  [21431] = {.lex_state = 382, .external_lex_state = 3},
  [21432] = {.lex_state = 412, .external_lex_state = 3},
  [21433] = {.lex_state = 382, .external_lex_state = 3},
  [21434] = {.lex_state = 382, .external_lex_state = 3},
  [21435] = {.lex_state = 382, .external_lex_state = 3},
  [21436] = {.lex_state = 382, .external_lex_state = 3},
  [21437] = {.lex_state = 15, .external_lex_state = 3},
  [21438] = {.lex_state = 382, .external_lex_state = 3},
  [21439] = {.lex_state = 412, .external_lex_state = 3},
  [21440] = {.lex_state = 132, .external_lex_state = 3},
  [21441] = {.lex_state = 412, .external_lex_state = 3},
  [21442] = {.lex_state = 132, .external_lex_state = 3},
  [21443] = {.lex_state = 412, .external_lex_state = 3},
  [21444] = {.lex_state = 15, .external_lex_state = 3},
  [21445] = {.lex_state = 388, .external_lex_state = 3},
  [21446] = {.lex_state = 382, .external_lex_state = 3},
  [21447] = {.lex_state = 132, .external_lex_state = 3},
  [21448] = {.lex_state = 412, .external_lex_state = 3},
  [21449] = {.lex_state = 382, .external_lex_state = 3},
  [21450] = {.lex_state = 412, .external_lex_state = 3},
  [21451] = {.lex_state = 36, .external_lex_state = 3},
  [21452] = {.lex_state = 36, .external_lex_state = 3},
  [21453] = {.lex_state = 36, .external_lex_state = 3},
  [21454] = {.lex_state = 382, .external_lex_state = 3},
  [21455] = {.lex_state = 382, .external_lex_state = 3},
  [21456] = {.lex_state = 382, .external_lex_state = 3},
  [21457] = {.lex_state = 382, .external_lex_state = 3},
  [21458] = {.lex_state = 382, .external_lex_state = 3},
  [21459] = {.lex_state = 382, .external_lex_state = 3},
  [21460] = {.lex_state = 132, .external_lex_state = 3},
  [21461] = {.lex_state = 382, .external_lex_state = 3},
  [21462] = {.lex_state = 382, .external_lex_state = 3},
  [21463] = {.lex_state = 382, .external_lex_state = 3},
  [21464] = {.lex_state = 382, .external_lex_state = 3},
  [21465] = {.lex_state = 382, .external_lex_state = 3},
  [21466] = {.lex_state = 382, .external_lex_state = 3},
  [21467] = {.lex_state = 132, .external_lex_state = 3},
  [21468] = {.lex_state = 132, .external_lex_state = 3},
  [21469] = {.lex_state = 132, .external_lex_state = 3},
  [21470] = {.lex_state = 388, .external_lex_state = 3},
  [21471] = {.lex_state = 382, .external_lex_state = 3},
  [21472] = {.lex_state = 382, .external_lex_state = 3},
  [21473] = {.lex_state = 132, .external_lex_state = 3},
  [21474] = {.lex_state = 382, .external_lex_state = 3},
  [21475] = {.lex_state = 15, .external_lex_state = 3},
  [21476] = {.lex_state = 382, .external_lex_state = 2},
  [21477] = {.lex_state = 412, .external_lex_state = 3},
  [21478] = {.lex_state = 382, .external_lex_state = 3},
  [21479] = {.lex_state = 382, .external_lex_state = 3},
  [21480] = {.lex_state = 382, .external_lex_state = 3},
  [21481] = {.lex_state = 382, .external_lex_state = 3},
  [21482] = {.lex_state = 36, .external_lex_state = 3},
  [21483] = {.lex_state = 36, .external_lex_state = 3},
  [21484] = {.lex_state = 36, .external_lex_state = 3},
  [21485] = {.lex_state = 382, .external_lex_state = 3},
  [21486] = {.lex_state = 412, .external_lex_state = 3},
  [21487] = {.lex_state = 132, .external_lex_state = 3},
  [21488] = {.lex_state = 382, .external_lex_state = 3},
  [21489] = {.lex_state = 382, .external_lex_state = 3},
  [21490] = {.lex_state = 388, .external_lex_state = 3},
  [21491] = {.lex_state = 382, .external_lex_state = 3},
  [21492] = {.lex_state = 382, .external_lex_state = 3},
  [21493] = {.lex_state = 382, .external_lex_state = 3},
  [21494] = {.lex_state = 132, .external_lex_state = 3},
  [21495] = {.lex_state = 382, .external_lex_state = 3},
  [21496] = {.lex_state = 382, .external_lex_state = 3},
  [21497] = {.lex_state = 388, .external_lex_state = 3},
  [21498] = {.lex_state = 382, .external_lex_state = 3},
  [21499] = {.lex_state = 382, .external_lex_state = 3},
  [21500] = {.lex_state = 382, .external_lex_state = 3},
  [21501] = {.lex_state = 132, .external_lex_state = 3},
  [21502] = {.lex_state = 132, .external_lex_state = 3},
  [21503] = {.lex_state = 15, .external_lex_state = 3},
  [21504] = {.lex_state = 132, .external_lex_state = 3},
  [21505] = {.lex_state = 412, .external_lex_state = 3},
  [21506] = {.lex_state = 382, .external_lex_state = 3},
  [21507] = {.lex_state = 36, .external_lex_state = 3},
  [21508] = {.lex_state = 36, .external_lex_state = 3},
  [21509] = {.lex_state = 36, .external_lex_state = 3},
  [21510] = {.lex_state = 382, .external_lex_state = 3},
  [21511] = {.lex_state = 132, .external_lex_state = 3},
  [21512] = {.lex_state = 382, .external_lex_state = 3},
  [21513] = {.lex_state = 382, .external_lex_state = 3},
  [21514] = {.lex_state = 132, .external_lex_state = 3},
  [21515] = {.lex_state = 382, .external_lex_state = 3},
  [21516] = {.lex_state = 382, .external_lex_state = 3},
  [21517] = {.lex_state = 382, .external_lex_state = 3},
  [21518] = {.lex_state = 412, .external_lex_state = 3},
  [21519] = {.lex_state = 382, .external_lex_state = 3},
  [21520] = {.lex_state = 412, .external_lex_state = 3},
  [21521] = {.lex_state = 382, .external_lex_state = 3},
  [21522] = {.lex_state = 412, .external_lex_state = 3},
  [21523] = {.lex_state = 412, .external_lex_state = 3},
  [21524] = {.lex_state = 382, .external_lex_state = 3},
  [21525] = {.lex_state = 412, .external_lex_state = 3},
  [21526] = {.lex_state = 132, .external_lex_state = 3},
  [21527] = {.lex_state = 388, .external_lex_state = 3},
  [21528] = {.lex_state = 15, .external_lex_state = 3},
  [21529] = {.lex_state = 412, .external_lex_state = 3},
  [21530] = {.lex_state = 382, .external_lex_state = 3},
  [21531] = {.lex_state = 36, .external_lex_state = 3},
  [21532] = {.lex_state = 36, .external_lex_state = 3},
  [21533] = {.lex_state = 36, .external_lex_state = 3},
  [21534] = {.lex_state = 382, .external_lex_state = 3},
  [21535] = {.lex_state = 382, .external_lex_state = 3},
  [21536] = {.lex_state = 382, .external_lex_state = 2},
  [21537] = {.lex_state = 382, .external_lex_state = 3},
  [21538] = {.lex_state = 412, .external_lex_state = 3},
  [21539] = {.lex_state = 382, .external_lex_state = 3},
  [21540] = {.lex_state = 382, .external_lex_state = 3},
  [21541] = {.lex_state = 382, .external_lex_state = 3},
  [21542] = {.lex_state = 388, .external_lex_state = 3},
  [21543] = {.lex_state = 132, .external_lex_state = 3},
  [21544] = {.lex_state = 412, .external_lex_state = 3},
  [21545] = {.lex_state = 132, .external_lex_state = 3},
  [21546] = {.lex_state = 382, .external_lex_state = 3},
  [21547] = {.lex_state = 382, .external_lex_state = 2},
  [21548] = {.lex_state = 15, .external_lex_state = 3},
  [21549] = {.lex_state = 132, .external_lex_state = 3},
  [21550] = {.lex_state = 382, .external_lex_state = 3},
  [21551] = {.lex_state = 36, .external_lex_state = 3},
  [21552] = {.lex_state = 36, .external_lex_state = 3},
  [21553] = {.lex_state = 36, .external_lex_state = 3},
  [21554] = {.lex_state = 382, .external_lex_state = 3},
  [21555] = {.lex_state = 132, .external_lex_state = 3},
  [21556] = {.lex_state = 132, .external_lex_state = 3},
  [21557] = {.lex_state = 382, .external_lex_state = 3},
  [21558] = {.lex_state = 382, .external_lex_state = 3},
  [21559] = {.lex_state = 382, .external_lex_state = 3},
  [21560] = {.lex_state = 382, .external_lex_state = 3},
  [21561] = {.lex_state = 382, .external_lex_state = 3},
  [21562] = {.lex_state = 382, .external_lex_state = 3},
  [21563] = {.lex_state = 382, .external_lex_state = 3},
  [21564] = {.lex_state = 382, .external_lex_state = 3},
  [21565] = {.lex_state = 382, .external_lex_state = 3},
  [21566] = {.lex_state = 15, .external_lex_state = 3},
  [21567] = {.lex_state = 15, .external_lex_state = 3},
  [21568] = {.lex_state = 382, .external_lex_state = 3},
  [21569] = {.lex_state = 382, .external_lex_state = 3},
  [21570] = {.lex_state = 36, .external_lex_state = 3},
  [21571] = {.lex_state = 36, .external_lex_state = 3},
  [21572] = {.lex_state = 36, .external_lex_state = 3},
  [21573] = {.lex_state = 132, .external_lex_state = 3},
  [21574] = {.lex_state = 382, .external_lex_state = 3},
  [21575] = {.lex_state = 382, .external_lex_state = 3},
  [21576] = {.lex_state = 382, .external_lex_state = 2},
  [21577] = {.lex_state = 132, .external_lex_state = 3},
  [21578] = {.lex_state = 382, .external_lex_state = 3},
  [21579] = {.lex_state = 382, .external_lex_state = 3},
  [21580] = {.lex_state = 382, .external_lex_state = 3},
  [21581] = {.lex_state = 388, .external_lex_state = 3},
  [21582] = {.lex_state = 382, .external_lex_state = 3},
  [21583] = {.lex_state = 382, .external_lex_state = 3},
  [21584] = {.lex_state = 382, .external_lex_state = 3},
  [21585] = {.lex_state = 132, .external_lex_state = 3},
  [21586] = {.lex_state = 15, .external_lex_state = 3},
  [21587] = {.lex_state = 132, .external_lex_state = 3},
  [21588] = {.lex_state = 382, .external_lex_state = 3},
  [21589] = {.lex_state = 36, .external_lex_state = 3},
  [21590] = {.lex_state = 36, .external_lex_state = 3},
  [21591] = {.lex_state = 36, .external_lex_state = 3},
  [21592] = {.lex_state = 382, .external_lex_state = 3},
  [21593] = {.lex_state = 382, .external_lex_state = 3},
  [21594] = {.lex_state = 382, .external_lex_state = 3},
  [21595] = {.lex_state = 382, .external_lex_state = 3},
  [21596] = {.lex_state = 382, .external_lex_state = 3},
  [21597] = {.lex_state = 382, .external_lex_state = 3},
  [21598] = {.lex_state = 132, .external_lex_state = 3},
  [21599] = {.lex_state = 382, .external_lex_state = 3},
  [21600] = {.lex_state = 132, .external_lex_state = 3},
  [21601] = {.lex_state = 382, .external_lex_state = 3},
  [21602] = {.lex_state = 382, .external_lex_state = 3},
  [21603] = {.lex_state = 15, .external_lex_state = 3},
  [21604] = {.lex_state = 382, .external_lex_state = 3},
  [21605] = {.lex_state = 382, .external_lex_state = 3},
  [21606] = {.lex_state = 36, .external_lex_state = 3},
  [21607] = {.lex_state = 36, .external_lex_state = 3},
  [21608] = {.lex_state = 36, .external_lex_state = 3},
  [21609] = {.lex_state = 382, .external_lex_state = 3},
  [21610] = {.lex_state = 382, .external_lex_state = 3},
  [21611] = {.lex_state = 382, .external_lex_state = 3},
  [21612] = {.lex_state = 382, .external_lex_state = 3},
  [21613] = {.lex_state = 382, .external_lex_state = 3},
  [21614] = {.lex_state = 382, .external_lex_state = 3},
  [21615] = {.lex_state = 382, .external_lex_state = 3},
  [21616] = {.lex_state = 382, .external_lex_state = 3},
  [21617] = {.lex_state = 382, .external_lex_state = 3},
  [21618] = {.lex_state = 382, .external_lex_state = 3},
  [21619] = {.lex_state = 382, .external_lex_state = 3},
  [21620] = {.lex_state = 15, .external_lex_state = 3},
  [21621] = {.lex_state = 382, .external_lex_state = 3},
  [21622] = {.lex_state = 382, .external_lex_state = 3},
  [21623] = {.lex_state = 36, .external_lex_state = 3},
  [21624] = {.lex_state = 36, .external_lex_state = 3},
  [21625] = {.lex_state = 36, .external_lex_state = 3},
  [21626] = {.lex_state = 382, .external_lex_state = 3},
  [21627] = {.lex_state = 382, .external_lex_state = 3},
  [21628] = {.lex_state = 132, .external_lex_state = 3},
  [21629] = {.lex_state = 132, .external_lex_state = 3},
  [21630] = {.lex_state = 412, .external_lex_state = 3},
  [21631] = {.lex_state = 382, .external_lex_state = 3},
  [21632] = {.lex_state = 382, .external_lex_state = 3},
  [21633] = {.lex_state = 382, .external_lex_state = 3},
  [21634] = {.lex_state = 15, .external_lex_state = 3},
  [21635] = {.lex_state = 382, .external_lex_state = 3},
  [21636] = {.lex_state = 382, .external_lex_state = 3},
  [21637] = {.lex_state = 15, .external_lex_state = 3},
  [21638] = {.lex_state = 382, .external_lex_state = 3},
  [21639] = {.lex_state = 382, .external_lex_state = 3},
  [21640] = {.lex_state = 36, .external_lex_state = 3},
  [21641] = {.lex_state = 36, .external_lex_state = 3},
  [21642] = {.lex_state = 36, .external_lex_state = 3},
  [21643] = {.lex_state = 382, .external_lex_state = 3},
  [21644] = {.lex_state = 382, .external_lex_state = 3},
  [21645] = {.lex_state = 382, .external_lex_state = 3},
  [21646] = {.lex_state = 382, .external_lex_state = 3},
  [21647] = {.lex_state = 382, .external_lex_state = 3},
  [21648] = {.lex_state = 382, .external_lex_state = 3},
  [21649] = {.lex_state = 412, .external_lex_state = 3},
  [21650] = {.lex_state = 382, .external_lex_state = 3},
  [21651] = {.lex_state = 412, .external_lex_state = 3},
  [21652] = {.lex_state = 382, .external_lex_state = 3},
  [21653] = {.lex_state = 382, .external_lex_state = 3},
  [21654] = {.lex_state = 15, .external_lex_state = 3},
  [21655] = {.lex_state = 132, .external_lex_state = 3},
  [21656] = {.lex_state = 382, .external_lex_state = 3},
  [21657] = {.lex_state = 36, .external_lex_state = 3},
  [21658] = {.lex_state = 36, .external_lex_state = 3},
  [21659] = {.lex_state = 36, .external_lex_state = 3},
  [21660] = {.lex_state = 382, .external_lex_state = 3},
  [21661] = {.lex_state = 132, .external_lex_state = 3},
  [21662] = {.lex_state = 132, .external_lex_state = 3},
  [21663] = {.lex_state = 382, .external_lex_state = 3},
  [21664] = {.lex_state = 132, .external_lex_state = 3},
  [21665] = {.lex_state = 382, .external_lex_state = 3},
  [21666] = {.lex_state = 382, .external_lex_state = 3},
  [21667] = {.lex_state = 382, .external_lex_state = 3},
  [21668] = {.lex_state = 382, .external_lex_state = 3},
  [21669] = {.lex_state = 132, .external_lex_state = 3},
  [21670] = {.lex_state = 388, .external_lex_state = 3},
  [21671] = {.lex_state = 15, .external_lex_state = 3},
  [21672] = {.lex_state = 412, .external_lex_state = 3},
  [21673] = {.lex_state = 382, .external_lex_state = 3},
  [21674] = {.lex_state = 36, .external_lex_state = 3},
  [21675] = {.lex_state = 36, .external_lex_state = 3},
  [21676] = {.lex_state = 36, .external_lex_state = 3},
  [21677] = {.lex_state = 382, .external_lex_state = 3},
  [21678] = {.lex_state = 132, .external_lex_state = 3},
  [21679] = {.lex_state = 382, .external_lex_state = 3},
  [21680] = {.lex_state = 382, .external_lex_state = 3},
  [21681] = {.lex_state = 382, .external_lex_state = 3},
  [21682] = {.lex_state = 382, .external_lex_state = 3},
  [21683] = {.lex_state = 382, .external_lex_state = 3},
  [21684] = {.lex_state = 382, .external_lex_state = 3},
  [21685] = {.lex_state = 382, .external_lex_state = 3},
  [21686] = {.lex_state = 382, .external_lex_state = 3},
  [21687] = {.lex_state = 382, .external_lex_state = 3},
  [21688] = {.lex_state = 15, .external_lex_state = 3},
  [21689] = {.lex_state = 382, .external_lex_state = 3},
  [21690] = {.lex_state = 382, .external_lex_state = 3},
  [21691] = {.lex_state = 36, .external_lex_state = 3},
  [21692] = {.lex_state = 36, .external_lex_state = 3},
  [21693] = {.lex_state = 36, .external_lex_state = 3},
  [21694] = {.lex_state = 382, .external_lex_state = 3},
  [21695] = {.lex_state = 382, .external_lex_state = 3},
  [21696] = {.lex_state = 382, .external_lex_state = 3},
  [21697] = {.lex_state = 382, .external_lex_state = 3},
  [21698] = {.lex_state = 132, .external_lex_state = 3},
  [21699] = {.lex_state = 382, .external_lex_state = 3},
  [21700] = {.lex_state = 388, .external_lex_state = 3},
  [21701] = {.lex_state = 382, .external_lex_state = 3},
  [21702] = {.lex_state = 382, .external_lex_state = 3},
  [21703] = {.lex_state = 132, .external_lex_state = 3},
  [21704] = {.lex_state = 15, .external_lex_state = 3},
  [21705] = {.lex_state = 382, .external_lex_state = 3},
  [21706] = {.lex_state = 382, .external_lex_state = 3},
  [21707] = {.lex_state = 36, .external_lex_state = 3},
  [21708] = {.lex_state = 36, .external_lex_state = 3},
  [21709] = {.lex_state = 36, .external_lex_state = 3},
  [21710] = {.lex_state = 132, .external_lex_state = 3},
  [21711] = {.lex_state = 382, .external_lex_state = 3},
  [21712] = {.lex_state = 382, .external_lex_state = 3},
  [21713] = {.lex_state = 382, .external_lex_state = 3},
  [21714] = {.lex_state = 132, .external_lex_state = 3},
  [21715] = {.lex_state = 388, .external_lex_state = 3},
  [21716] = {.lex_state = 382, .external_lex_state = 3},
  [21717] = {.lex_state = 382, .external_lex_state = 3},
  [21718] = {.lex_state = 382, .external_lex_state = 3},
  [21719] = {.lex_state = 388, .external_lex_state = 3},
  [21720] = {.lex_state = 15, .external_lex_state = 3},
  [21721] = {.lex_state = 412, .external_lex_state = 3},
  [21722] = {.lex_state = 382, .external_lex_state = 3},
  [21723] = {.lex_state = 36, .external_lex_state = 3},
  [21724] = {.lex_state = 36, .external_lex_state = 3},
  [21725] = {.lex_state = 36, .external_lex_state = 3},
  [21726] = {.lex_state = 412, .external_lex_state = 3},
  [21727] = {.lex_state = 382, .external_lex_state = 3},
  [21728] = {.lex_state = 388, .external_lex_state = 3},
  [21729] = {.lex_state = 388, .external_lex_state = 3},
  [21730] = {.lex_state = 388, .external_lex_state = 3},
  [21731] = {.lex_state = 382, .external_lex_state = 3},
  [21732] = {.lex_state = 412, .external_lex_state = 3},
  [21733] = {.lex_state = 382, .external_lex_state = 3},
  [21734] = {.lex_state = 382, .external_lex_state = 3},
  [21735] = {.lex_state = 412, .external_lex_state = 3},
  [21736] = {.lex_state = 15, .external_lex_state = 3},
  [21737] = {.lex_state = 412, .external_lex_state = 3},
  [21738] = {.lex_state = 382, .external_lex_state = 3},
  [21739] = {.lex_state = 36, .external_lex_state = 3},
  [21740] = {.lex_state = 36, .external_lex_state = 3},
  [21741] = {.lex_state = 36, .external_lex_state = 3},
  [21742] = {.lex_state = 382, .external_lex_state = 2},
  [21743] = {.lex_state = 132, .external_lex_state = 3},
  [21744] = {.lex_state = 382, .external_lex_state = 3},
  [21745] = {.lex_state = 382, .external_lex_state = 3},
  [21746] = {.lex_state = 412, .external_lex_state = 3},
  [21747] = {.lex_state = 15, .external_lex_state = 3},
  [21748] = {.lex_state = 382, .external_lex_state = 3},
  [21749] = {.lex_state = 382, .external_lex_state = 3},
  [21750] = {.lex_state = 388, .external_lex_state = 3},
  [21751] = {.lex_state = 382, .external_lex_state = 3},
  [21752] = {.lex_state = 15, .external_lex_state = 3},
  [21753] = {.lex_state = 382, .external_lex_state = 3},
  [21754] = {.lex_state = 382, .external_lex_state = 3},
  [21755] = {.lex_state = 36, .external_lex_state = 3},
  [21756] = {.lex_state = 36, .external_lex_state = 3},
  [21757] = {.lex_state = 36, .external_lex_state = 3},
  [21758] = {.lex_state = 132, .external_lex_state = 3},
  [21759] = {.lex_state = 132, .external_lex_state = 3},
  [21760] = {.lex_state = 132, .external_lex_state = 3},
  [21761] = {.lex_state = 412, .external_lex_state = 3},
  [21762] = {.lex_state = 412, .external_lex_state = 3},
  [21763] = {.lex_state = 412, .external_lex_state = 3},
  [21764] = {.lex_state = 132, .external_lex_state = 3},
  [21765] = {.lex_state = 382, .external_lex_state = 3},
  [21766] = {.lex_state = 382, .external_lex_state = 2},
  [21767] = {.lex_state = 382, .external_lex_state = 3},
  [21768] = {.lex_state = 15, .external_lex_state = 3},
  [21769] = {.lex_state = 388, .external_lex_state = 3},
  [21770] = {.lex_state = 36, .external_lex_state = 3},
  [21771] = {.lex_state = 36, .external_lex_state = 3},
  [21772] = {.lex_state = 36, .external_lex_state = 3},
  [21773] = {.lex_state = 382, .external_lex_state = 3},
  [21774] = {.lex_state = 132, .external_lex_state = 3},
  [21775] = {.lex_state = 382, .external_lex_state = 3},
  [21776] = {.lex_state = 382, .external_lex_state = 3},
  [21777] = {.lex_state = 382, .external_lex_state = 3},
  [21778] = {.lex_state = 412, .external_lex_state = 3},
  [21779] = {.lex_state = 388, .external_lex_state = 3},
  [21780] = {.lex_state = 412, .external_lex_state = 3},
  [21781] = {.lex_state = 15, .external_lex_state = 3},
  [21782] = {.lex_state = 412, .external_lex_state = 3},
  [21783] = {.lex_state = 15, .external_lex_state = 3},
  [21784] = {.lex_state = 382, .external_lex_state = 3},
  [21785] = {.lex_state = 36, .external_lex_state = 3},
  [21786] = {.lex_state = 36, .external_lex_state = 3},
  [21787] = {.lex_state = 36, .external_lex_state = 3},
  [21788] = {.lex_state = 382, .external_lex_state = 3},
  [21789] = {.lex_state = 382, .external_lex_state = 2},
  [21790] = {.lex_state = 382, .external_lex_state = 3},
  [21791] = {.lex_state = 382, .external_lex_state = 3},
  [21792] = {.lex_state = 388, .external_lex_state = 3},
  [21793] = {.lex_state = 132, .external_lex_state = 3},
  [21794] = {.lex_state = 382, .external_lex_state = 3},
  [21795] = {.lex_state = 388, .external_lex_state = 3},
  [21796] = {.lex_state = 382, .external_lex_state = 2},
  [21797] = {.lex_state = 382, .external_lex_state = 3},
  [21798] = {.lex_state = 15, .external_lex_state = 3},
  [21799] = {.lex_state = 382, .external_lex_state = 3},
  [21800] = {.lex_state = 36, .external_lex_state = 3},
  [21801] = {.lex_state = 36, .external_lex_state = 3},
  [21802] = {.lex_state = 36, .external_lex_state = 3},
  [21803] = {.lex_state = 382, .external_lex_state = 3},
  [21804] = {.lex_state = 412, .external_lex_state = 3},
  [21805] = {.lex_state = 382, .external_lex_state = 3},
  [21806] = {.lex_state = 382, .external_lex_state = 3},
  [21807] = {.lex_state = 15, .external_lex_state = 3},
  [21808] = {.lex_state = 382, .external_lex_state = 3},
  [21809] = {.lex_state = 382, .external_lex_state = 3},
  [21810] = {.lex_state = 382, .external_lex_state = 3},
  [21811] = {.lex_state = 382, .external_lex_state = 3},
  [21812] = {.lex_state = 412, .external_lex_state = 3},
  [21813] = {.lex_state = 15, .external_lex_state = 3},
  [21814] = {.lex_state = 132, .external_lex_state = 3},
  [21815] = {.lex_state = 36, .external_lex_state = 3},
  [21816] = {.lex_state = 36, .external_lex_state = 3},
  [21817] = {.lex_state = 36, .external_lex_state = 3},
  [21818] = {.lex_state = 382, .external_lex_state = 3},
  [21819] = {.lex_state = 382, .external_lex_state = 3},
  [21820] = {.lex_state = 132, .external_lex_state = 3},
  [21821] = {.lex_state = 382, .external_lex_state = 3},
  [21822] = {.lex_state = 382, .external_lex_state = 2},
  [21823] = {.lex_state = 382, .external_lex_state = 3},
  [21824] = {.lex_state = 382, .external_lex_state = 3},
  [21825] = {.lex_state = 15, .external_lex_state = 3},
  [21826] = {.lex_state = 382, .external_lex_state = 3},
  [21827] = {.lex_state = 15, .external_lex_state = 3},
  [21828] = {.lex_state = 15, .external_lex_state = 3},
  [21829] = {.lex_state = 382, .external_lex_state = 3},
  [21830] = {.lex_state = 36, .external_lex_state = 3},
  [21831] = {.lex_state = 36, .external_lex_state = 3},
  [21832] = {.lex_state = 36, .external_lex_state = 3},
  [21833] = {.lex_state = 382, .external_lex_state = 3},
  [21834] = {.lex_state = 132, .external_lex_state = 3},
  [21835] = {.lex_state = 382, .external_lex_state = 3},
  [21836] = {.lex_state = 412, .external_lex_state = 3},
  [21837] = {.lex_state = 382, .external_lex_state = 3},
  [21838] = {.lex_state = 382, .external_lex_state = 3},
  [21839] = {.lex_state = 382, .external_lex_state = 2},
  [21840] = {.lex_state = 382, .external_lex_state = 3},
  [21841] = {.lex_state = 382, .external_lex_state = 3},
  [21842] = {.lex_state = 382, .external_lex_state = 3},
  [21843] = {.lex_state = 15, .external_lex_state = 3},
  [21844] = {.lex_state = 382, .external_lex_state = 3},
  [21845] = {.lex_state = 36, .external_lex_state = 3},
  [21846] = {.lex_state = 36, .external_lex_state = 3},
  [21847] = {.lex_state = 36, .external_lex_state = 3},
  [21848] = {.lex_state = 382, .external_lex_state = 3},
  [21849] = {.lex_state = 382, .external_lex_state = 3},
  [21850] = {.lex_state = 412, .external_lex_state = 3},
  [21851] = {.lex_state = 388, .external_lex_state = 3},
  [21852] = {.lex_state = 382, .external_lex_state = 3},
  [21853] = {.lex_state = 382, .external_lex_state = 3},
  [21854] = {.lex_state = 382, .external_lex_state = 3},
  [21855] = {.lex_state = 382, .external_lex_state = 3},
  [21856] = {.lex_state = 382, .external_lex_state = 3},
  [21857] = {.lex_state = 382, .external_lex_state = 3},
  [21858] = {.lex_state = 15, .external_lex_state = 3},
  [21859] = {.lex_state = 382, .external_lex_state = 3},
  [21860] = {.lex_state = 36, .external_lex_state = 3},
  [21861] = {.lex_state = 36, .external_lex_state = 3},
  [21862] = {.lex_state = 36, .external_lex_state = 3},
  [21863] = {.lex_state = 382, .external_lex_state = 3},
  [21864] = {.lex_state = 382, .external_lex_state = 3},
  [21865] = {.lex_state = 382, .external_lex_state = 3},
  [21866] = {.lex_state = 388, .external_lex_state = 3},
  [21867] = {.lex_state = 382, .external_lex_state = 3},
  [21868] = {.lex_state = 382, .external_lex_state = 3},
  [21869] = {.lex_state = 412, .external_lex_state = 3},
  [21870] = {.lex_state = 382, .external_lex_state = 3},
  [21871] = {.lex_state = 382, .external_lex_state = 3},
  [21872] = {.lex_state = 382, .external_lex_state = 3},
  [21873] = {.lex_state = 15, .external_lex_state = 3},
  [21874] = {.lex_state = 382, .external_lex_state = 3},
  [21875] = {.lex_state = 36, .external_lex_state = 3},
  [21876] = {.lex_state = 36, .external_lex_state = 3},
  [21877] = {.lex_state = 36, .external_lex_state = 3},
  [21878] = {.lex_state = 382, .external_lex_state = 3},
  [21879] = {.lex_state = 382, .external_lex_state = 3},
  [21880] = {.lex_state = 382, .external_lex_state = 3},
  [21881] = {.lex_state = 382, .external_lex_state = 3},
  [21882] = {.lex_state = 382, .external_lex_state = 3},
  [21883] = {.lex_state = 382, .external_lex_state = 3},
  [21884] = {.lex_state = 382, .external_lex_state = 3},
  [21885] = {.lex_state = 382, .external_lex_state = 3},
  [21886] = {.lex_state = 382, .external_lex_state = 3},
  [21887] = {.lex_state = 132, .external_lex_state = 3},
  [21888] = {.lex_state = 15, .external_lex_state = 3},
  [21889] = {.lex_state = 382, .external_lex_state = 3},
  [21890] = {.lex_state = 36, .external_lex_state = 3},
  [21891] = {.lex_state = 36, .external_lex_state = 3},
  [21892] = {.lex_state = 36, .external_lex_state = 3},
  [21893] = {.lex_state = 132, .external_lex_state = 3},
  [21894] = {.lex_state = 132, .external_lex_state = 3},
  [21895] = {.lex_state = 15, .external_lex_state = 3},
  [21896] = {.lex_state = 132, .external_lex_state = 3},
  [21897] = {.lex_state = 382, .external_lex_state = 3},
  [21898] = {.lex_state = 15, .external_lex_state = 3},
  [21899] = {.lex_state = 388, .external_lex_state = 3},
  [21900] = {.lex_state = 132, .external_lex_state = 3},
  [21901] = {.lex_state = 382, .external_lex_state = 3},
  [21902] = {.lex_state = 412, .external_lex_state = 3},
  [21903] = {.lex_state = 15, .external_lex_state = 3},
  [21904] = {.lex_state = 382, .external_lex_state = 3},
  [21905] = {.lex_state = 36, .external_lex_state = 3},
  [21906] = {.lex_state = 36, .external_lex_state = 3},
  [21907] = {.lex_state = 36, .external_lex_state = 3},
  [21908] = {.lex_state = 382, .external_lex_state = 3},
  [21909] = {.lex_state = 382, .external_lex_state = 3},
  [21910] = {.lex_state = 382, .external_lex_state = 3},
  [21911] = {.lex_state = 412, .external_lex_state = 3},
  [21912] = {.lex_state = 382, .external_lex_state = 3},
  [21913] = {.lex_state = 382, .external_lex_state = 3},
  [21914] = {.lex_state = 412, .external_lex_state = 3},
  [21915] = {.lex_state = 382, .external_lex_state = 3},
  [21916] = {.lex_state = 382, .external_lex_state = 3},
  [21917] = {.lex_state = 382, .external_lex_state = 3},
  [21918] = {.lex_state = 15, .external_lex_state = 3},
  [21919] = {.lex_state = 412, .external_lex_state = 3},
  [21920] = {.lex_state = 36, .external_lex_state = 3},
  [21921] = {.lex_state = 36, .external_lex_state = 3},
  [21922] = {.lex_state = 36, .external_lex_state = 3},
  [21923] = {.lex_state = 412, .external_lex_state = 3},
  [21924] = {.lex_state = 382, .external_lex_state = 2},
  [21925] = {.lex_state = 382, .external_lex_state = 3},
  [21926] = {.lex_state = 382, .external_lex_state = 3},
  [21927] = {.lex_state = 382, .external_lex_state = 3},
  [21928] = {.lex_state = 15, .external_lex_state = 3},
  [21929] = {.lex_state = 382, .external_lex_state = 3},
  [21930] = {.lex_state = 382, .external_lex_state = 3},
  [21931] = {.lex_state = 382, .external_lex_state = 3},
  [21932] = {.lex_state = 382, .external_lex_state = 3},
  [21933] = {.lex_state = 15, .external_lex_state = 3},
  [21934] = {.lex_state = 388, .external_lex_state = 3},
  [21935] = {.lex_state = 36, .external_lex_state = 3},
  [21936] = {.lex_state = 36, .external_lex_state = 3},
  [21937] = {.lex_state = 36, .external_lex_state = 3},
  [21938] = {.lex_state = 412, .external_lex_state = 3},
  [21939] = {.lex_state = 15, .external_lex_state = 3},
  [21940] = {.lex_state = 382, .external_lex_state = 3},
  [21941] = {.lex_state = 382, .external_lex_state = 3},
  [21942] = {.lex_state = 382, .external_lex_state = 3},
  [21943] = {.lex_state = 382, .external_lex_state = 3},
  [21944] = {.lex_state = 15, .external_lex_state = 3},
  [21945] = {.lex_state = 382, .external_lex_state = 3},
  [21946] = {.lex_state = 382, .external_lex_state = 3},
  [21947] = {.lex_state = 382, .external_lex_state = 3},
  [21948] = {.lex_state = 15, .external_lex_state = 3},
  [21949] = {.lex_state = 15, .external_lex_state = 3},
  [21950] = {.lex_state = 36, .external_lex_state = 3},
  [21951] = {.lex_state = 36, .external_lex_state = 3},
  [21952] = {.lex_state = 36, .external_lex_state = 3},
  [21953] = {.lex_state = 412, .external_lex_state = 3},
  [21954] = {.lex_state = 382, .external_lex_state = 3},
  [21955] = {.lex_state = 382, .external_lex_state = 3},
  [21956] = {.lex_state = 412, .external_lex_state = 3},
  [21957] = {.lex_state = 388, .external_lex_state = 3},
  [21958] = {.lex_state = 382, .external_lex_state = 3},
  [21959] = {.lex_state = 382, .external_lex_state = 3},
  [21960] = {.lex_state = 412, .external_lex_state = 3},
  [21961] = {.lex_state = 382, .external_lex_state = 2},
  [21962] = {.lex_state = 15, .external_lex_state = 3},
  [21963] = {.lex_state = 15, .external_lex_state = 3},
  [21964] = {.lex_state = 382, .external_lex_state = 3},
  [21965] = {.lex_state = 36, .external_lex_state = 3},
  [21966] = {.lex_state = 36, .external_lex_state = 3},
  [21967] = {.lex_state = 36, .external_lex_state = 3},
  [21968] = {.lex_state = 388, .external_lex_state = 3},
  [21969] = {.lex_state = 382, .external_lex_state = 3},
  [21970] = {.lex_state = 382, .external_lex_state = 3},
  [21971] = {.lex_state = 412, .external_lex_state = 3},
  [21972] = {.lex_state = 382, .external_lex_state = 3},
  [21973] = {.lex_state = 382, .external_lex_state = 3},
  [21974] = {.lex_state = 382, .external_lex_state = 3},
  [21975] = {.lex_state = 382, .external_lex_state = 3},
  [21976] = {.lex_state = 412, .external_lex_state = 3},
  [21977] = {.lex_state = 388, .external_lex_state = 3},
  [21978] = {.lex_state = 15, .external_lex_state = 3},
  [21979] = {.lex_state = 412, .external_lex_state = 3},
  [21980] = {.lex_state = 36, .external_lex_state = 3},
  [21981] = {.lex_state = 36, .external_lex_state = 3},
  [21982] = {.lex_state = 36, .external_lex_state = 3},
  [21983] = {.lex_state = 412, .external_lex_state = 3},
  [21984] = {.lex_state = 382, .external_lex_state = 3},
  [21985] = {.lex_state = 412, .external_lex_state = 3},
  [21986] = {.lex_state = 388, .external_lex_state = 3},
  [21987] = {.lex_state = 382, .external_lex_state = 3},
  [21988] = {.lex_state = 382, .external_lex_state = 3},
  [21989] = {.lex_state = 382, .external_lex_state = 3},
  [21990] = {.lex_state = 382, .external_lex_state = 3},
  [21991] = {.lex_state = 382, .external_lex_state = 3},
  [21992] = {.lex_state = 382, .external_lex_state = 2},
  [21993] = {.lex_state = 15, .external_lex_state = 3},
  [21994] = {.lex_state = 388, .external_lex_state = 3},
  [21995] = {.lex_state = 36, .external_lex_state = 3},
  [21996] = {.lex_state = 36, .external_lex_state = 3},
  [21997] = {.lex_state = 36, .external_lex_state = 3},
  [21998] = {.lex_state = 382, .external_lex_state = 3},
  [21999] = {.lex_state = 382, .external_lex_state = 3},
  [22000] = {.lex_state = 412, .external_lex_state = 3},
  [22001] = {.lex_state = 415, .external_lex_state = 3},
  [22002] = {.lex_state = 382, .external_lex_state = 3},
  [22003] = {.lex_state = 382, .external_lex_state = 3},
  [22004] = {.lex_state = 382, .external_lex_state = 3},
  [22005] = {.lex_state = 382, .external_lex_state = 3},
  [22006] = {.lex_state = 132, .external_lex_state = 3},
  [22007] = {.lex_state = 382, .external_lex_state = 3},
  [22008] = {.lex_state = 382, .external_lex_state = 2},
  [22009] = {.lex_state = 36, .external_lex_state = 3},
  [22010] = {.lex_state = 36, .external_lex_state = 3},
  [22011] = {.lex_state = 36, .external_lex_state = 3},
  [22012] = {.lex_state = 382, .external_lex_state = 3},
  [22013] = {.lex_state = 382, .external_lex_state = 3},
  [22014] = {.lex_state = 382, .external_lex_state = 3},
  [22015] = {.lex_state = 382, .external_lex_state = 3},
  [22016] = {.lex_state = 382, .external_lex_state = 3},
  [22017] = {.lex_state = 382, .external_lex_state = 3},
  [22018] = {.lex_state = 382, .external_lex_state = 3},
  [22019] = {.lex_state = 382, .external_lex_state = 3},
  [22020] = {.lex_state = 382, .external_lex_state = 3},
  [22021] = {.lex_state = 382, .external_lex_state = 3},
  [22022] = {.lex_state = 15, .external_lex_state = 3},
  [22023] = {.lex_state = 36, .external_lex_state = 3},
  [22024] = {.lex_state = 36, .external_lex_state = 3},
  [22025] = {.lex_state = 36, .external_lex_state = 3},
  [22026] = {.lex_state = 382, .external_lex_state = 3},
  [22027] = {.lex_state = 412, .external_lex_state = 3},
  [22028] = {.lex_state = 382, .external_lex_state = 3},
  [22029] = {.lex_state = 382, .external_lex_state = 3},
  [22030] = {.lex_state = 382, .external_lex_state = 3},
  [22031] = {.lex_state = 382, .external_lex_state = 3},
  [22032] = {.lex_state = 382, .external_lex_state = 3},
  [22033] = {.lex_state = 382, .external_lex_state = 3},
  [22034] = {.lex_state = 382, .external_lex_state = 3},
  [22035] = {.lex_state = 382, .external_lex_state = 3},
  [22036] = {.lex_state = 382, .external_lex_state = 3},
  [22037] = {.lex_state = 36, .external_lex_state = 3},
  [22038] = {.lex_state = 36, .external_lex_state = 3},
  [22039] = {.lex_state = 36, .external_lex_state = 3},
  [22040] = {.lex_state = 382, .external_lex_state = 3},
  [22041] = {.lex_state = 382, .external_lex_state = 3},
  [22042] = {.lex_state = 382, .external_lex_state = 3},
  [22043] = {.lex_state = 382, .external_lex_state = 3},
  [22044] = {.lex_state = 382, .external_lex_state = 3},
  [22045] = {.lex_state = 382, .external_lex_state = 3},
  [22046] = {.lex_state = 382, .external_lex_state = 3},
  [22047] = {.lex_state = 132, .external_lex_state = 3},
  [22048] = {.lex_state = 382, .external_lex_state = 3},
  [22049] = {.lex_state = 382, .external_lex_state = 3},
  [22050] = {.lex_state = 132, .external_lex_state = 3},
  [22051] = {.lex_state = 36, .external_lex_state = 3},
  [22052] = {.lex_state = 36, .external_lex_state = 3},
  [22053] = {.lex_state = 36, .external_lex_state = 3},
  [22054] = {.lex_state = 382, .external_lex_state = 3},
  [22055] = {.lex_state = 132, .external_lex_state = 3},
  [22056] = {.lex_state = 382, .external_lex_state = 3},
  [22057] = {.lex_state = 132, .external_lex_state = 3},
  [22058] = {.lex_state = 382, .external_lex_state = 3},
  [22059] = {.lex_state = 382, .external_lex_state = 3},
  [22060] = {.lex_state = 382, .external_lex_state = 3},
  [22061] = {.lex_state = 382, .external_lex_state = 3},
  [22062] = {.lex_state = 382, .external_lex_state = 3},
  [22063] = {.lex_state = 15, .external_lex_state = 3},
  [22064] = {.lex_state = 382, .external_lex_state = 3},
  [22065] = {.lex_state = 36, .external_lex_state = 3},
  [22066] = {.lex_state = 36, .external_lex_state = 3},
  [22067] = {.lex_state = 36, .external_lex_state = 3},
  [22068] = {.lex_state = 382, .external_lex_state = 3},
  [22069] = {.lex_state = 382, .external_lex_state = 3},
  [22070] = {.lex_state = 412, .external_lex_state = 3},
  [22071] = {.lex_state = 382, .external_lex_state = 3},
  [22072] = {.lex_state = 382, .external_lex_state = 3},
  [22073] = {.lex_state = 132, .external_lex_state = 3},
  [22074] = {.lex_state = 382, .external_lex_state = 3},
  [22075] = {.lex_state = 382, .external_lex_state = 2},
  [22076] = {.lex_state = 382, .external_lex_state = 3},
  [22077] = {.lex_state = 382, .external_lex_state = 3},
  [22078] = {.lex_state = 382, .external_lex_state = 3},
  [22079] = {.lex_state = 36, .external_lex_state = 3},
  [22080] = {.lex_state = 36, .external_lex_state = 3},
  [22081] = {.lex_state = 36, .external_lex_state = 3},
  [22082] = {.lex_state = 382, .external_lex_state = 3},
  [22083] = {.lex_state = 132, .external_lex_state = 3},
  [22084] = {.lex_state = 412, .external_lex_state = 3},
  [22085] = {.lex_state = 382, .external_lex_state = 3},
  [22086] = {.lex_state = 415, .external_lex_state = 3},
  [22087] = {.lex_state = 382, .external_lex_state = 3},
  [22088] = {.lex_state = 382, .external_lex_state = 3},
  [22089] = {.lex_state = 382, .external_lex_state = 3},
  [22090] = {.lex_state = 382, .external_lex_state = 3},
  [22091] = {.lex_state = 382, .external_lex_state = 3},
  [22092] = {.lex_state = 382, .external_lex_state = 3},
  [22093] = {.lex_state = 36, .external_lex_state = 3},
  [22094] = {.lex_state = 36, .external_lex_state = 3},
  [22095] = {.lex_state = 36, .external_lex_state = 3},
  [22096] = {.lex_state = 382, .external_lex_state = 3},
  [22097] = {.lex_state = 382, .external_lex_state = 3},
  [22098] = {.lex_state = 382, .external_lex_state = 3},
  [22099] = {.lex_state = 382, .external_lex_state = 3},
  [22100] = {.lex_state = 382, .external_lex_state = 3},
  [22101] = {.lex_state = 382, .external_lex_state = 3},
  [22102] = {.lex_state = 382, .external_lex_state = 3},
  [22103] = {.lex_state = 382, .external_lex_state = 3},
  [22104] = {.lex_state = 382, .external_lex_state = 3},
  [22105] = {.lex_state = 382, .external_lex_state = 3},
  [22106] = {.lex_state = 382, .external_lex_state = 3},
  [22107] = {.lex_state = 36, .external_lex_state = 3},
  [22108] = {.lex_state = 36, .external_lex_state = 3},
  [22109] = {.lex_state = 36, .external_lex_state = 3},
  [22110] = {.lex_state = 15, .external_lex_state = 3},
  [22111] = {.lex_state = 382, .external_lex_state = 3},
  [22112] = {.lex_state = 382, .external_lex_state = 3},
  [22113] = {.lex_state = 382, .external_lex_state = 3},
  [22114] = {.lex_state = 382, .external_lex_state = 3},
  [22115] = {.lex_state = 382, .external_lex_state = 3},
  [22116] = {.lex_state = 382, .external_lex_state = 3},
  [22117] = {.lex_state = 382, .external_lex_state = 3},
  [22118] = {.lex_state = 382, .external_lex_state = 3},
  [22119] = {.lex_state = 382, .external_lex_state = 3},
  [22120] = {.lex_state = 382, .external_lex_state = 3},
  [22121] = {.lex_state = 36, .external_lex_state = 3},
  [22122] = {.lex_state = 36, .external_lex_state = 3},
  [22123] = {.lex_state = 36, .external_lex_state = 3},
  [22124] = {.lex_state = 382, .external_lex_state = 3},
  [22125] = {.lex_state = 382, .external_lex_state = 3},
  [22126] = {.lex_state = 382, .external_lex_state = 3},
  [22127] = {.lex_state = 382, .external_lex_state = 3},
  [22128] = {.lex_state = 412, .external_lex_state = 3},
  [22129] = {.lex_state = 382, .external_lex_state = 3},
  [22130] = {.lex_state = 382, .external_lex_state = 3},
  [22131] = {.lex_state = 412, .external_lex_state = 3},
  [22132] = {.lex_state = 382, .external_lex_state = 3},
  [22133] = {.lex_state = 382, .external_lex_state = 3},
  [22134] = {.lex_state = 388, .external_lex_state = 3},
  [22135] = {.lex_state = 36, .external_lex_state = 3},
  [22136] = {.lex_state = 36, .external_lex_state = 3},
  [22137] = {.lex_state = 36, .external_lex_state = 3},
  [22138] = {.lex_state = 382, .external_lex_state = 3},
  [22139] = {.lex_state = 382, .external_lex_state = 3},
  [22140] = {.lex_state = 382, .external_lex_state = 3},
  [22141] = {.lex_state = 382, .external_lex_state = 3},
  [22142] = {.lex_state = 132, .external_lex_state = 3},
  [22143] = {.lex_state = 15, .external_lex_state = 3},
  [22144] = {.lex_state = 388, .external_lex_state = 3},
  [22145] = {.lex_state = 382, .external_lex_state = 3},
  [22146] = {.lex_state = 382, .external_lex_state = 3},
  [22147] = {.lex_state = 412, .external_lex_state = 3},
  [22148] = {.lex_state = 132, .external_lex_state = 3},
  [22149] = {.lex_state = 36, .external_lex_state = 3},
  [22150] = {.lex_state = 36, .external_lex_state = 3},
  [22151] = {.lex_state = 36, .external_lex_state = 3},
  [22152] = {.lex_state = 382, .external_lex_state = 3},
  [22153] = {.lex_state = 132, .external_lex_state = 3},
  [22154] = {.lex_state = 412, .external_lex_state = 3},
  [22155] = {.lex_state = 388, .external_lex_state = 3},
  [22156] = {.lex_state = 132, .external_lex_state = 3},
  [22157] = {.lex_state = 382, .external_lex_state = 3},
  [22158] = {.lex_state = 382, .external_lex_state = 3},
  [22159] = {.lex_state = 382, .external_lex_state = 3},
  [22160] = {.lex_state = 382, .external_lex_state = 3},
  [22161] = {.lex_state = 382, .external_lex_state = 3},
  [22162] = {.lex_state = 382, .external_lex_state = 3},
  [22163] = {.lex_state = 36, .external_lex_state = 3},
  [22164] = {.lex_state = 36, .external_lex_state = 3},
  [22165] = {.lex_state = 36, .external_lex_state = 3},
  [22166] = {.lex_state = 382, .external_lex_state = 3},
  [22167] = {.lex_state = 412, .external_lex_state = 3},
  [22168] = {.lex_state = 382, .external_lex_state = 3},
  [22169] = {.lex_state = 382, .external_lex_state = 2},
  [22170] = {.lex_state = 36, .external_lex_state = 3},
  [22171] = {.lex_state = 36, .external_lex_state = 3},
  [22172] = {.lex_state = 36, .external_lex_state = 3},
  [22173] = {.lex_state = 382, .external_lex_state = 3},
  [22174] = {.lex_state = 382, .external_lex_state = 3},
  [22175] = {.lex_state = 382, .external_lex_state = 3},
  [22176] = {.lex_state = 382, .external_lex_state = 3},
  [22177] = {.lex_state = 36, .external_lex_state = 3},
  [22178] = {.lex_state = 36, .external_lex_state = 3},
  [22179] = {.lex_state = 36, .external_lex_state = 3},
  [22180] = {.lex_state = 382, .external_lex_state = 3},
  [22181] = {.lex_state = 412, .external_lex_state = 3},
  [22182] = {.lex_state = 36, .external_lex_state = 3},
  [22183] = {.lex_state = 36, .external_lex_state = 3},
  [22184] = {.lex_state = 36, .external_lex_state = 3},
  [22185] = {.lex_state = 382, .external_lex_state = 3},
  [22186] = {.lex_state = 412, .external_lex_state = 3},
  [22187] = {.lex_state = 36, .external_lex_state = 3},
  [22188] = {.lex_state = 36, .external_lex_state = 3},
  [22189] = {.lex_state = 36, .external_lex_state = 3},
  [22190] = {.lex_state = 132, .external_lex_state = 3},
  [22191] = {.lex_state = 132, .external_lex_state = 3},
  [22192] = {.lex_state = 36, .external_lex_state = 3},
  [22193] = {.lex_state = 36, .external_lex_state = 3},
  [22194] = {.lex_state = 36, .external_lex_state = 3},
  [22195] = {.lex_state = 382, .external_lex_state = 3},
  [22196] = {.lex_state = 132, .external_lex_state = 3},
  [22197] = {.lex_state = 36, .external_lex_state = 3},
  [22198] = {.lex_state = 36, .external_lex_state = 3},
  [22199] = {.lex_state = 36, .external_lex_state = 3},
  [22200] = {.lex_state = 388, .external_lex_state = 3},
  [22201] = {.lex_state = 132, .external_lex_state = 3},
  [22202] = {.lex_state = 36, .external_lex_state = 3},
  [22203] = {.lex_state = 36, .external_lex_state = 3},
  [22204] = {.lex_state = 36, .external_lex_state = 3},
  [22205] = {.lex_state = 382, .external_lex_state = 3},
  [22206] = {.lex_state = 382, .external_lex_state = 3},
  [22207] = {.lex_state = 36, .external_lex_state = 3},
  [22208] = {.lex_state = 36, .external_lex_state = 3},
  [22209] = {.lex_state = 36, .external_lex_state = 3},
  [22210] = {.lex_state = 382, .external_lex_state = 3},
  [22211] = {.lex_state = 412, .external_lex_state = 3},
  [22212] = {.lex_state = 36, .external_lex_state = 3},
  [22213] = {.lex_state = 36, .external_lex_state = 3},
  [22214] = {.lex_state = 36, .external_lex_state = 3},
  [22215] = {.lex_state = 382, .external_lex_state = 3},
  [22216] = {.lex_state = 412, .external_lex_state = 3},
  [22217] = {.lex_state = 36, .external_lex_state = 3},
  [22218] = {.lex_state = 36, .external_lex_state = 3},
  [22219] = {.lex_state = 36, .external_lex_state = 3},
  [22220] = {.lex_state = 382, .external_lex_state = 3},
  [22221] = {.lex_state = 382, .external_lex_state = 3},
  [22222] = {.lex_state = 36, .external_lex_state = 3},
  [22223] = {.lex_state = 36, .external_lex_state = 3},
  [22224] = {.lex_state = 36, .external_lex_state = 3},
  [22225] = {.lex_state = 382, .external_lex_state = 3},
  [22226] = {.lex_state = 382, .external_lex_state = 3},
  [22227] = {.lex_state = 36, .external_lex_state = 3},
  [22228] = {.lex_state = 36, .external_lex_state = 3},
  [22229] = {.lex_state = 36, .external_lex_state = 3},
  [22230] = {.lex_state = 382, .external_lex_state = 3},
  [22231] = {.lex_state = 382, .external_lex_state = 2},
  [22232] = {.lex_state = 36, .external_lex_state = 3},
  [22233] = {.lex_state = 36, .external_lex_state = 3},
  [22234] = {.lex_state = 36, .external_lex_state = 3},
  [22235] = {.lex_state = 382, .external_lex_state = 3},
  [22236] = {.lex_state = 382, .external_lex_state = 3},
  [22237] = {.lex_state = 36, .external_lex_state = 3},
  [22238] = {.lex_state = 36, .external_lex_state = 3},
  [22239] = {.lex_state = 36, .external_lex_state = 3},
  [22240] = {.lex_state = 382, .external_lex_state = 3},
  [22241] = {.lex_state = 382, .external_lex_state = 3},
  [22242] = {.lex_state = 412, .external_lex_state = 3},
  [22243] = {.lex_state = 382, .external_lex_state = 3},
  [22244] = {.lex_state = 382, .external_lex_state = 3},
  [22245] = {.lex_state = 382, .external_lex_state = 3},
  [22246] = {.lex_state = 382, .external_lex_state = 3},
  [22247] = {.lex_state = 382, .external_lex_state = 3},
  [22248] = {.lex_state = 382, .external_lex_state = 3},
  [22249] = {.lex_state = 382, .external_lex_state = 3},
  [22250] = {.lex_state = 382, .external_lex_state = 3},
  [22251] = {.lex_state = 382, .external_lex_state = 3},
  [22252] = {.lex_state = 382, .external_lex_state = 3},
  [22253] = {.lex_state = 382, .external_lex_state = 3},
  [22254] = {.lex_state = 382, .external_lex_state = 3},
  [22255] = {.lex_state = 382, .external_lex_state = 3},
  [22256] = {.lex_state = 382, .external_lex_state = 3},
  [22257] = {.lex_state = 382, .external_lex_state = 3},
  [22258] = {.lex_state = 382, .external_lex_state = 3},
  [22259] = {.lex_state = 382, .external_lex_state = 3},
  [22260] = {.lex_state = 382, .external_lex_state = 3},
  [22261] = {.lex_state = 382, .external_lex_state = 3},
  [22262] = {.lex_state = 15, .external_lex_state = 3},
  [22263] = {.lex_state = 412, .external_lex_state = 3},
  [22264] = {.lex_state = 412, .external_lex_state = 3},
  [22265] = {.lex_state = 202, .external_lex_state = 3},
  [22266] = {.lex_state = 385, .external_lex_state = 3},
  [22267] = {.lex_state = 382, .external_lex_state = 3},
  [22268] = {.lex_state = 412, .external_lex_state = 3},
  [22269] = {.lex_state = 382, .external_lex_state = 3},
  [22270] = {.lex_state = 382, .external_lex_state = 3},
  [22271] = {.lex_state = 385, .external_lex_state = 3},
  [22272] = {.lex_state = 382, .external_lex_state = 3},
  [22273] = {.lex_state = 382, .external_lex_state = 3},
  [22274] = {.lex_state = 132, .external_lex_state = 3},
  [22275] = {.lex_state = 382, .external_lex_state = 2},
  [22276] = {.lex_state = 412, .external_lex_state = 3},
  [22277] = {.lex_state = 382, .external_lex_state = 3},
  [22278] = {.lex_state = 382, .external_lex_state = 3},
  [22279] = {.lex_state = 15, .external_lex_state = 3},
  [22280] = {.lex_state = 15, .external_lex_state = 3},
  [22281] = {.lex_state = 382, .external_lex_state = 3},
  [22282] = {.lex_state = 15, .external_lex_state = 3},
  [22283] = {.lex_state = 382, .external_lex_state = 3},
  [22284] = {.lex_state = 15, .external_lex_state = 3},
  [22285] = {.lex_state = 412, .external_lex_state = 3},
  [22286] = {.lex_state = 132, .external_lex_state = 3},
  [22287] = {.lex_state = 15, .external_lex_state = 3},
  [22288] = {.lex_state = 382, .external_lex_state = 3},
  [22289] = {.lex_state = 15, .external_lex_state = 3},
  [22290] = {.lex_state = 382, .external_lex_state = 3},
  [22291] = {.lex_state = 15, .external_lex_state = 3},
  [22292] = {.lex_state = 382, .external_lex_state = 3},
  [22293] = {.lex_state = 15, .external_lex_state = 3},
  [22294] = {.lex_state = 382, .external_lex_state = 2},
  [22295] = {.lex_state = 382, .external_lex_state = 3},
  [22296] = {.lex_state = 382, .external_lex_state = 3},
  [22297] = {.lex_state = 382, .external_lex_state = 3},
  [22298] = {.lex_state = 382, .external_lex_state = 3},
  [22299] = {.lex_state = 202, .external_lex_state = 3},
  [22300] = {.lex_state = 385, .external_lex_state = 3},
  [22301] = {.lex_state = 385, .external_lex_state = 3},
  [22302] = {.lex_state = 382, .external_lex_state = 3},
  [22303] = {.lex_state = 382, .external_lex_state = 3},
  [22304] = {.lex_state = 15, .external_lex_state = 3},
  [22305] = {.lex_state = 382, .external_lex_state = 3},
  [22306] = {.lex_state = 382, .external_lex_state = 3},
  [22307] = {.lex_state = 388, .external_lex_state = 3},
  [22308] = {.lex_state = 382, .external_lex_state = 3},
  [22309] = {.lex_state = 382, .external_lex_state = 3},
  [22310] = {.lex_state = 382, .external_lex_state = 3},
  [22311] = {.lex_state = 132, .external_lex_state = 3},
  [22312] = {.lex_state = 412, .external_lex_state = 3},
  [22313] = {.lex_state = 382, .external_lex_state = 3},
  [22314] = {.lex_state = 412, .external_lex_state = 3},
  [22315] = {.lex_state = 382, .external_lex_state = 2},
  [22316] = {.lex_state = 388, .external_lex_state = 3},
  [22317] = {.lex_state = 202, .external_lex_state = 3},
  [22318] = {.lex_state = 385, .external_lex_state = 3},
  [22319] = {.lex_state = 385, .external_lex_state = 3},
  [22320] = {.lex_state = 382, .external_lex_state = 3},
  [22321] = {.lex_state = 382, .external_lex_state = 3},
  [22322] = {.lex_state = 15, .external_lex_state = 3},
  [22323] = {.lex_state = 382, .external_lex_state = 3},
  [22324] = {.lex_state = 382, .external_lex_state = 3},
  [22325] = {.lex_state = 382, .external_lex_state = 3},
  [22326] = {.lex_state = 382, .external_lex_state = 3},
  [22327] = {.lex_state = 382, .external_lex_state = 3},
  [22328] = {.lex_state = 15, .external_lex_state = 3},
  [22329] = {.lex_state = 388, .external_lex_state = 3},
  [22330] = {.lex_state = 412, .external_lex_state = 3},
  [22331] = {.lex_state = 202, .external_lex_state = 3},
  [22332] = {.lex_state = 382, .external_lex_state = 3},
  [22333] = {.lex_state = 15, .external_lex_state = 3},
  [22334] = {.lex_state = 382, .external_lex_state = 3},
  [22335] = {.lex_state = 412, .external_lex_state = 3},
  [22336] = {.lex_state = 382, .external_lex_state = 3},
  [22337] = {.lex_state = 132, .external_lex_state = 3},
  [22338] = {.lex_state = 382, .external_lex_state = 3},
  [22339] = {.lex_state = 382, .external_lex_state = 3},
  [22340] = {.lex_state = 388, .external_lex_state = 3},
  [22341] = {.lex_state = 202, .external_lex_state = 3},
  [22342] = {.lex_state = 412, .external_lex_state = 3},
  [22343] = {.lex_state = 412, .external_lex_state = 3},
  [22344] = {.lex_state = 202, .external_lex_state = 3},
  [22345] = {.lex_state = 388, .external_lex_state = 3},
  [22346] = {.lex_state = 382, .external_lex_state = 3},
  [22347] = {.lex_state = 202, .external_lex_state = 3},
  [22348] = {.lex_state = 382, .external_lex_state = 3},
  [22349] = {.lex_state = 382, .external_lex_state = 3},
  [22350] = {.lex_state = 202, .external_lex_state = 3},
  [22351] = {.lex_state = 202, .external_lex_state = 3},
  [22352] = {.lex_state = 202, .external_lex_state = 3},
  [22353] = {.lex_state = 202, .external_lex_state = 3},
  [22354] = {.lex_state = 202, .external_lex_state = 3},
  [22355] = {.lex_state = 202, .external_lex_state = 3},
  [22356] = {.lex_state = 202, .external_lex_state = 3},
  [22357] = {.lex_state = 202, .external_lex_state = 3},
  [22358] = {.lex_state = 202, .external_lex_state = 3},
  [22359] = {.lex_state = 202, .external_lex_state = 3},
  [22360] = {.lex_state = 202, .external_lex_state = 3},
  [22361] = {.lex_state = 202, .external_lex_state = 3},
  [22362] = {.lex_state = 202, .external_lex_state = 3},
  [22363] = {.lex_state = 202, .external_lex_state = 3},
  [22364] = {.lex_state = 202, .external_lex_state = 3},
  [22365] = {.lex_state = 202, .external_lex_state = 3},
  [22366] = {.lex_state = 202, .external_lex_state = 3},
  [22367] = {.lex_state = 202, .external_lex_state = 3},
  [22368] = {.lex_state = 202, .external_lex_state = 3},
  [22369] = {.lex_state = 202, .external_lex_state = 3},
  [22370] = {.lex_state = 202, .external_lex_state = 3},
  [22371] = {.lex_state = 202, .external_lex_state = 3},
  [22372] = {.lex_state = 202, .external_lex_state = 3},
  [22373] = {.lex_state = 202, .external_lex_state = 3},
  [22374] = {.lex_state = 202, .external_lex_state = 3},
  [22375] = {.lex_state = 202, .external_lex_state = 3},
  [22376] = {.lex_state = 202, .external_lex_state = 3},
  [22377] = {.lex_state = 202, .external_lex_state = 3},
  [22378] = {.lex_state = 202, .external_lex_state = 3},
  [22379] = {.lex_state = 202, .external_lex_state = 3},
  [22380] = {.lex_state = 202, .external_lex_state = 3},
  [22381] = {.lex_state = 202, .external_lex_state = 3},
  [22382] = {.lex_state = 202, .external_lex_state = 3},
  [22383] = {.lex_state = 202, .external_lex_state = 3},
  [22384] = {.lex_state = 202, .external_lex_state = 3},
  [22385] = {.lex_state = 202, .external_lex_state = 3},
  [22386] = {.lex_state = 202, .external_lex_state = 3},
  [22387] = {.lex_state = 202, .external_lex_state = 3},
  [22388] = {.lex_state = 202, .external_lex_state = 3},
  [22389] = {.lex_state = 202, .external_lex_state = 3},
  [22390] = {.lex_state = 202, .external_lex_state = 3},
  [22391] = {.lex_state = 202, .external_lex_state = 3},
  [22392] = {.lex_state = 202, .external_lex_state = 3},
  [22393] = {.lex_state = 202, .external_lex_state = 3},
  [22394] = {.lex_state = 202, .external_lex_state = 3},
  [22395] = {.lex_state = 202, .external_lex_state = 3},
  [22396] = {.lex_state = 202, .external_lex_state = 3},
  [22397] = {.lex_state = 202, .external_lex_state = 3},
  [22398] = {.lex_state = 202, .external_lex_state = 3},
  [22399] = {.lex_state = 202, .external_lex_state = 3},
  [22400] = {.lex_state = 202, .external_lex_state = 3},
  [22401] = {.lex_state = 202, .external_lex_state = 3},
  [22402] = {.lex_state = 202, .external_lex_state = 3},
  [22403] = {.lex_state = 202, .external_lex_state = 3},
  [22404] = {.lex_state = 202, .external_lex_state = 3},
  [22405] = {.lex_state = 202, .external_lex_state = 3},
  [22406] = {.lex_state = 382, .external_lex_state = 3},
  [22407] = {.lex_state = 382, .external_lex_state = 3},
  [22408] = {.lex_state = 382, .external_lex_state = 3},
  [22409] = {.lex_state = 382, .external_lex_state = 3},
  [22410] = {.lex_state = 412, .external_lex_state = 3},
  [22411] = {.lex_state = 388, .external_lex_state = 3},
  [22412] = {.lex_state = 132, .external_lex_state = 3},
  [22413] = {.lex_state = 382, .external_lex_state = 3},
  [22414] = {.lex_state = 15, .external_lex_state = 3},
  [22415] = {.lex_state = 388, .external_lex_state = 3},
  [22416] = {.lex_state = 382, .external_lex_state = 3},
  [22417] = {.lex_state = 382, .external_lex_state = 3},
  [22418] = {.lex_state = 382, .external_lex_state = 3},
  [22419] = {.lex_state = 382, .external_lex_state = 3},
  [22420] = {.lex_state = 382, .external_lex_state = 3},
  [22421] = {.lex_state = 382, .external_lex_state = 3},
  [22422] = {.lex_state = 382, .external_lex_state = 3},
  [22423] = {.lex_state = 382, .external_lex_state = 3},
  [22424] = {.lex_state = 382, .external_lex_state = 3},
  [22425] = {.lex_state = 382, .external_lex_state = 3},
  [22426] = {.lex_state = 382, .external_lex_state = 3},
  [22427] = {.lex_state = 382, .external_lex_state = 3},
  [22428] = {.lex_state = 382, .external_lex_state = 3},
  [22429] = {.lex_state = 382, .external_lex_state = 3},
  [22430] = {.lex_state = 412, .external_lex_state = 3},
  [22431] = {.lex_state = 382, .external_lex_state = 3},
  [22432] = {.lex_state = 412, .external_lex_state = 3},
  [22433] = {.lex_state = 382, .external_lex_state = 3},
  [22434] = {.lex_state = 382, .external_lex_state = 3},
  [22435] = {.lex_state = 382, .external_lex_state = 3},
  [22436] = {.lex_state = 382, .external_lex_state = 3},
  [22437] = {.lex_state = 382, .external_lex_state = 3},
  [22438] = {.lex_state = 382, .external_lex_state = 3},
  [22439] = {.lex_state = 382, .external_lex_state = 3},
  [22440] = {.lex_state = 382, .external_lex_state = 3},
  [22441] = {.lex_state = 412, .external_lex_state = 3},
  [22442] = {.lex_state = 15, .external_lex_state = 3},
  [22443] = {.lex_state = 382, .external_lex_state = 3},
  [22444] = {.lex_state = 132, .external_lex_state = 3},
  [22445] = {.lex_state = 382, .external_lex_state = 3},
  [22446] = {.lex_state = 382, .external_lex_state = 3},
  [22447] = {.lex_state = 382, .external_lex_state = 3},
  [22448] = {.lex_state = 382, .external_lex_state = 3},
  [22449] = {.lex_state = 382, .external_lex_state = 3},
  [22450] = {.lex_state = 388, .external_lex_state = 3},
  [22451] = {.lex_state = 382, .external_lex_state = 3},
  [22452] = {.lex_state = 382, .external_lex_state = 3},
  [22453] = {.lex_state = 388, .external_lex_state = 3},
  [22454] = {.lex_state = 382, .external_lex_state = 3},
  [22455] = {.lex_state = 382, .external_lex_state = 3},
  [22456] = {.lex_state = 382, .external_lex_state = 3},
  [22457] = {.lex_state = 382, .external_lex_state = 3},
  [22458] = {.lex_state = 382, .external_lex_state = 3},
  [22459] = {.lex_state = 412, .external_lex_state = 3},
  [22460] = {.lex_state = 382, .external_lex_state = 3},
  [22461] = {.lex_state = 382, .external_lex_state = 3},
  [22462] = {.lex_state = 382, .external_lex_state = 3},
  [22463] = {.lex_state = 412, .external_lex_state = 3},
  [22464] = {.lex_state = 382, .external_lex_state = 3},
  [22465] = {.lex_state = 382, .external_lex_state = 3},
  [22466] = {.lex_state = 382, .external_lex_state = 3},
  [22467] = {.lex_state = 132, .external_lex_state = 3},
  [22468] = {.lex_state = 382, .external_lex_state = 3},
  [22469] = {.lex_state = 382, .external_lex_state = 3},
  [22470] = {.lex_state = 382, .external_lex_state = 3},
  [22471] = {.lex_state = 382, .external_lex_state = 3},
  [22472] = {.lex_state = 382, .external_lex_state = 3},
  [22473] = {.lex_state = 382, .external_lex_state = 3},
  [22474] = {.lex_state = 412, .external_lex_state = 3},
  [22475] = {.lex_state = 382, .external_lex_state = 3},
  [22476] = {.lex_state = 382, .external_lex_state = 3},
  [22477] = {.lex_state = 382, .external_lex_state = 3},
  [22478] = {.lex_state = 382, .external_lex_state = 3},
  [22479] = {.lex_state = 132, .external_lex_state = 3},
  [22480] = {.lex_state = 132, .external_lex_state = 3},
  [22481] = {.lex_state = 382, .external_lex_state = 3},
  [22482] = {.lex_state = 132, .external_lex_state = 3},
  [22483] = {.lex_state = 388, .external_lex_state = 3},
  [22484] = {.lex_state = 382, .external_lex_state = 3},
  [22485] = {.lex_state = 382, .external_lex_state = 3},
  [22486] = {.lex_state = 132, .external_lex_state = 3},
  [22487] = {.lex_state = 382, .external_lex_state = 3},
  [22488] = {.lex_state = 382, .external_lex_state = 3},
  [22489] = {.lex_state = 382, .external_lex_state = 3},
  [22490] = {.lex_state = 382, .external_lex_state = 3},
  [22491] = {.lex_state = 382, .external_lex_state = 3},
  [22492] = {.lex_state = 132, .external_lex_state = 3},
  [22493] = {.lex_state = 382, .external_lex_state = 3},
  [22494] = {.lex_state = 382, .external_lex_state = 3},
  [22495] = {.lex_state = 382, .external_lex_state = 3},
  [22496] = {.lex_state = 382, .external_lex_state = 3},
  [22497] = {.lex_state = 382, .external_lex_state = 3},
  [22498] = {.lex_state = 382, .external_lex_state = 3},
  [22499] = {.lex_state = 382, .external_lex_state = 3},
  [22500] = {.lex_state = 382, .external_lex_state = 3},
  [22501] = {.lex_state = 382, .external_lex_state = 3},
  [22502] = {.lex_state = 382, .external_lex_state = 3},
  [22503] = {.lex_state = 382, .external_lex_state = 3},
  [22504] = {.lex_state = 382, .external_lex_state = 3},
  [22505] = {.lex_state = 382, .external_lex_state = 3},
  [22506] = {.lex_state = 382, .external_lex_state = 3},
  [22507] = {.lex_state = 382, .external_lex_state = 3},
  [22508] = {.lex_state = 132, .external_lex_state = 3},
  [22509] = {.lex_state = 382, .external_lex_state = 3},
  [22510] = {.lex_state = 382, .external_lex_state = 3},
  [22511] = {.lex_state = 382, .external_lex_state = 3},
  [22512] = {.lex_state = 388, .external_lex_state = 3},
  [22513] = {.lex_state = 412, .external_lex_state = 3},
  [22514] = {.lex_state = 412, .external_lex_state = 3},
  [22515] = {.lex_state = 382, .external_lex_state = 2},
  [22516] = {.lex_state = 382, .external_lex_state = 3},
  [22517] = {.lex_state = 382, .external_lex_state = 3},
  [22518] = {.lex_state = 382, .external_lex_state = 3},
  [22519] = {.lex_state = 388, .external_lex_state = 3},
  [22520] = {.lex_state = 412, .external_lex_state = 3},
  [22521] = {.lex_state = 382, .external_lex_state = 3},
  [22522] = {.lex_state = 132, .external_lex_state = 3},
  [22523] = {.lex_state = 382, .external_lex_state = 3},
  [22524] = {.lex_state = 382, .external_lex_state = 3},
  [22525] = {.lex_state = 382, .external_lex_state = 2},
  [22526] = {.lex_state = 382, .external_lex_state = 3},
  [22527] = {.lex_state = 382, .external_lex_state = 3},
  [22528] = {.lex_state = 412, .external_lex_state = 3},
  [22529] = {.lex_state = 132, .external_lex_state = 3},
  [22530] = {.lex_state = 382, .external_lex_state = 3},
  [22531] = {.lex_state = 382, .external_lex_state = 3},
  [22532] = {.lex_state = 15, .external_lex_state = 3},
  [22533] = {.lex_state = 382, .external_lex_state = 3},
  [22534] = {.lex_state = 412, .external_lex_state = 3},
  [22535] = {.lex_state = 388, .external_lex_state = 3},
  [22536] = {.lex_state = 382, .external_lex_state = 3},
  [22537] = {.lex_state = 382, .external_lex_state = 3},
  [22538] = {(TSStateId)(-1)},
  [22539] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_attribute] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__lowercase_identifier] = ACTIONS(1),
    [sym_shebang] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_COLON_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_nonrec] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constraint] = ACTIONS(1),
    [anon_sym_exception] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_sig] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_functor] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACK_GT] = ACTIONS(1),
    [anon_sym_LBRACK_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACK] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACE_LT] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [sym_ocamlyacc_value] = ACTIONS(1),
    [anon_sym_effect] = ACTIONS(1),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_number_token1] = ACTIONS(1),
    [aux_sym_signed_number_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_content_token2] = ACTIONS(1),
    [aux_sym_string_content_token4] = ACTIONS(1),
    [aux_sym_string_content_token5] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token2] = ACTIONS(1),
    [aux_sym_escape_sequence_token3] = ACTIONS(1),
    [aux_sym_escape_sequence_token4] = ACTIONS(1),
    [sym_pretty_printing_indication] = ACTIONS(1),
    [aux_sym_sign_operator_token1] = ACTIONS(1),
    [sym_hash_operator] = ACTIONS(1),
    [sym_concat_operator] = ACTIONS(1),
    [sym_and_operator] = ACTIONS(1),
    [sym_or_operator] = ACTIONS(1),
    [sym_assign_operator] = ACTIONS(1),
    [sym_let_operator] = ACTIONS(1),
    [sym_let_and_operator] = ACTIONS(1),
    [sym_match_operator] = ACTIONS(1),
    [sym__uppercase_identifier] = ACTIONS(1),
    [aux_sym_directive_token1] = ACTIONS(1),
    [aux_sym_type_variable_token1] = ACTIONS(1),
    [aux_sym_tag_token1] = ACTIONS(1),
    [aux_sym_attribute_id_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__left_quoted_string_delimiter] = ACTIONS(1),
    [sym__right_quoted_string_delimiter] = ACTIONS(1),
    [sym_line_number_directive] = ACTIONS(5),
    [sym__null] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(19473),
    [sym__structure] = STATE(19487),
    [sym_expression_item] = STATE(9560),
    [sym_toplevel_directive] = STATE(9560),
    [sym__structure_item] = STATE(9560),
    [sym_value_definition] = STATE(13699),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10197),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(1),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5443),
    [aux_sym__structure_repeat1] = STATE(121),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym__lowercase_identifier] = ACTIONS(9),
    [sym_shebang] = ACTIONS(11),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21632),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(3),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20592),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [4] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(4),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20802),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [5] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(5),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21461),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [6] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(6),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21680),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [7] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(7),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22118),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [8] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(8),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20622),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [9] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(9),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20824),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [10] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(10),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21870),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(183),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [11] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(11),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22018),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [12] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(12),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20300),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [13] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(13),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20749),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [14] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(14),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20072),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(191),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [15] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(15),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21375),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [16] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(16),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21217),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [17] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(17),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20499),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [18] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(18),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22445),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(199),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [19] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(19),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20612),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [20] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(20),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19629),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(203),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [21] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(21),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19440),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(205),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [22] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(22),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20584),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(207),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [23] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(23),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21282),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [24] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(24),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21033),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(211),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [25] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(25),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22004),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(213),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [26] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(26),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19626),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [27] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(27),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20369),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [28] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(28),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21007),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [29] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(29),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21941),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [30] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(30),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19606),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(223),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [31] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(31),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19974),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [32] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(32),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20326),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [33] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(33),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21090),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [34] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(34),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21308),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [35] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(35),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22332),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(233),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [36] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(36),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21327),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [37] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(37),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22477),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [38] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(38),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20555),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [39] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(39),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20509),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(241),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [40] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(40),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21602),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [41] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(41),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22511),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [42] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(42),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21436),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [43] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(43),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19591),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [44] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(44),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20403),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(251),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [45] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(45),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21278),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [46] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(46),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22221),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [47] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(47),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19625),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(257),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [48] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(48),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20096),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(259),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [49] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(49),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20564),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(261),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [50] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(50),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21165),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(263),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [51] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(51),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21454),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [52] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(52),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21917),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [53] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(53),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22465),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(269),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [54] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(54),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21106),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [55] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(55),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21235),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(273),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [56] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(56),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20271),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [57] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(57),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21069),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [58] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(58),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21534),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [59] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(59),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(21864),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(281),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [60] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(60),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22078),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [61] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(61),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22235),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [62] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(62),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22297),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [63] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(63),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22517),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [64] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(64),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19344),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [65] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(65),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19392),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(293),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [66] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(66),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19453),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(295),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [67] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(67),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19535),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [68] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(68),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19590),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(299),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [69] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(69),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19648),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(301),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [70] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(70),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19704),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [71] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(71),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19774),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [72] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(72),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19808),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [73] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(73),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19836),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(309),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [74] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(74),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19866),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [75] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(75),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19898),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [76] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(76),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19908),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [77] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(77),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19920),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(317),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [78] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(78),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19933),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(319),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [79] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(79),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19944),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [80] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(80),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19965),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [81] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(81),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(19990),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [82] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(82),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20013),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(327),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [83] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(83),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20031),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(329),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [84] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(84),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20047),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [85] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(85),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20066),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [86] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(86),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20094),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [87] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(87),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20107),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(337),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [88] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(88),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20128),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(339),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [89] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(89),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20139),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(341),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [90] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(90),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20153),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [91] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(91),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20171),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(345),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [92] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(92),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20197),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(347),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [93] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(93),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20211),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(349),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [94] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(94),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20221),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(351),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [95] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(95),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(20583),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(353),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [96] = {
    [sym__structure] = STATE(21256),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(96),
    [sym_floating_attribute] = STATE(13357),
    [sym_attribute_payload] = STATE(22272),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(112),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(355),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [97] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9303),
    [sym__sequence_expression] = STATE(8359),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(97),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__attribute] = STATE(894),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [98] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9355),
    [sym__sequence_expression] = STATE(8359),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(98),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__attribute] = STATE(858),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(451),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [99] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(8359),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(99),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__attribute] = STATE(903),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(503),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(505),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [100] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9402),
    [sym__sequence_expression] = STATE(8359),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(100),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__attribute] = STATE(1049),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [101] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9521),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(101),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__attribute] = STATE(892),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(607),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(609),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [102] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9436),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(102),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__attribute] = STATE(908),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(659),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(661),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [103] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9449),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(103),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__attribute] = STATE(913),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(711),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(713),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [104] = {
    [sym__structure] = STATE(21421),
    [sym_expression_item] = STATE(9613),
    [sym_toplevel_directive] = STATE(9613),
    [sym__structure_item] = STATE(9613),
    [sym_value_definition] = STATE(13792),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10162),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(104),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_directive] = STATE(9054),
    [sym_tag] = STATE(5382),
    [aux_sym__structure_repeat1] = STATE(115),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_SEMI_SEMI] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_exception] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(747),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(749),
    [anon_sym_end] = ACTIONS(751),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(787),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [105] = {
    [sym__structure] = STATE(20774),
    [sym_expression_item] = STATE(9613),
    [sym_toplevel_directive] = STATE(9613),
    [sym__structure_item] = STATE(9613),
    [sym_value_definition] = STATE(13792),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10162),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(105),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_directive] = STATE(9054),
    [sym_tag] = STATE(5382),
    [aux_sym__structure_repeat1] = STATE(115),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_SEMI_SEMI] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_exception] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(747),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(749),
    [anon_sym_end] = ACTIONS(797),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(787),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [106] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9509),
    [sym__sequence_expression] = STATE(8359),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(106),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__attribute] = STATE(1036),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(833),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(835),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [107] = {
    [sym__structure] = STATE(19602),
    [sym_expression_item] = STATE(9560),
    [sym_toplevel_directive] = STATE(9560),
    [sym__structure_item] = STATE(9560),
    [sym_value_definition] = STATE(13699),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10197),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(107),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5443),
    [aux_sym__structure_repeat1] = STATE(121),
    [ts_builtin_sym_end] = ACTIONS(851),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [108] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9480),
    [sym__sequence_expression] = STATE(8359),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(108),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__attribute] = STATE(1048),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(889),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [109] = {
    [sym_expression_item] = STATE(13464),
    [sym_toplevel_directive] = STATE(13464),
    [sym__structure_item] = STATE(13464),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(109),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(5944),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(905),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [110] = {
    [sym_expression_item] = STATE(13464),
    [sym_toplevel_directive] = STATE(13464),
    [sym__structure_item] = STATE(13464),
    [sym_value_definition] = STATE(13699),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10197),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(110),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5443),
    [aux_sym__structure_repeat1] = STATE(5944),
    [ts_builtin_sym_end] = ACTIONS(907),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [111] = {
    [sym_expression_item] = STATE(13464),
    [sym_toplevel_directive] = STATE(13464),
    [sym__structure_item] = STATE(13464),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(111),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(5944),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(909),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [112] = {
    [sym_expression_item] = STATE(9577),
    [sym_toplevel_directive] = STATE(9577),
    [sym__structure_item] = STATE(9577),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(112),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(5944),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [113] = {
    [sym_expression_item] = STATE(13464),
    [sym_toplevel_directive] = STATE(13464),
    [sym__structure_item] = STATE(13464),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(113),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(5944),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(907),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [114] = {
    [sym_expression_item] = STATE(13464),
    [sym_toplevel_directive] = STATE(13464),
    [sym__structure_item] = STATE(13464),
    [sym_value_definition] = STATE(13699),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10197),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(114),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5443),
    [aux_sym__structure_repeat1] = STATE(5944),
    [ts_builtin_sym_end] = ACTIONS(909),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [115] = {
    [sym_expression_item] = STATE(9585),
    [sym_toplevel_directive] = STATE(9585),
    [sym__structure_item] = STATE(9585),
    [sym_value_definition] = STATE(13792),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10162),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(115),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_directive] = STATE(9054),
    [sym_tag] = STATE(5382),
    [aux_sym__structure_repeat1] = STATE(6116),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_SEMI_SEMI] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_exception] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(747),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(749),
    [anon_sym_end] = ACTIONS(913),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(787),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [116] = {
    [sym_expression_item] = STATE(13464),
    [sym_toplevel_directive] = STATE(13464),
    [sym__structure_item] = STATE(13464),
    [sym_value_definition] = STATE(13792),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10162),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(116),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_directive] = STATE(9054),
    [sym_tag] = STATE(5382),
    [aux_sym__structure_repeat1] = STATE(6116),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_SEMI_SEMI] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_exception] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(747),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(749),
    [anon_sym_end] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(787),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [117] = {
    [sym_expression_item] = STATE(13464),
    [sym_toplevel_directive] = STATE(13464),
    [sym__structure_item] = STATE(13464),
    [sym_value_definition] = STATE(13792),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10162),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(117),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_directive] = STATE(9054),
    [sym_tag] = STATE(5382),
    [aux_sym__structure_repeat1] = STATE(6116),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_SEMI_SEMI] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_exception] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(747),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(749),
    [anon_sym_end] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(787),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [118] = {
    [sym_expression_item] = STATE(13464),
    [sym_toplevel_directive] = STATE(13464),
    [sym__structure_item] = STATE(13464),
    [sym_value_definition] = STATE(13792),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10162),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(118),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_directive] = STATE(9054),
    [sym_tag] = STATE(5382),
    [aux_sym__structure_repeat1] = STATE(6116),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_SEMI_SEMI] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_exception] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(747),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(749),
    [anon_sym_end] = ACTIONS(919),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(787),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [119] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9579),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(119),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__attribute] = STATE(1047),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [120] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9589),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(120),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__attribute] = STATE(1050),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [121] = {
    [sym_expression_item] = STATE(9581),
    [sym_toplevel_directive] = STATE(9581),
    [sym__structure_item] = STATE(9581),
    [sym_value_definition] = STATE(13699),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10197),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(121),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5443),
    [aux_sym__structure_repeat1] = STATE(5944),
    [ts_builtin_sym_end] = ACTIONS(911),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [122] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9550),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(122),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__attribute] = STATE(1051),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [123] = {
    [sym_expression_item] = STATE(13464),
    [sym_toplevel_directive] = STATE(13464),
    [sym__structure_item] = STATE(13464),
    [sym_value_definition] = STATE(13699),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10197),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(123),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5443),
    [aux_sym__structure_repeat1] = STATE(5944),
    [ts_builtin_sym_end] = ACTIONS(905),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [124] = {
    [sym_expression_item] = STATE(13464),
    [sym_toplevel_directive] = STATE(13464),
    [sym__structure_item] = STATE(13464),
    [sym_value_definition] = STATE(13792),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10162),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(124),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_directive] = STATE(9054),
    [sym_tag] = STATE(5382),
    [aux_sym__structure_repeat1] = STATE(5944),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_exception] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(747),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(749),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(787),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [125] = {
    [sym_expression_item] = STATE(13464),
    [sym_toplevel_directive] = STATE(13464),
    [sym__structure_item] = STATE(13464),
    [sym_value_definition] = STATE(13699),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10197),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(125),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5443),
    [aux_sym__structure_repeat1] = STATE(5944),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [126] = {
    [sym_expression_item] = STATE(13464),
    [sym_toplevel_directive] = STATE(13464),
    [sym__structure_item] = STATE(13464),
    [sym_value_definition] = STATE(13587),
    [sym_external] = STATE(13357),
    [sym_type_definition] = STATE(13357),
    [sym_exception_definition] = STATE(13357),
    [sym_module_definition] = STATE(13357),
    [sym_module_type_definition] = STATE(13357),
    [sym_open_module] = STATE(13357),
    [sym_include_module] = STATE(13357),
    [sym_class_definition] = STATE(13357),
    [sym_class_type_definition] = STATE(13357),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(12346),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(126),
    [sym_floating_attribute] = STATE(13357),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym_item_extension] = STATE(13357),
    [sym_quoted_item_extension] = STATE(13357),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_directive] = STATE(8828),
    [sym_tag] = STATE(5293),
    [aux_sym__structure_repeat1] = STATE(5944),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [127] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9660),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(127),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__attribute] = STATE(649),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1113),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [128] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(128),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__attribute] = STATE(749),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [129] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9640),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(129),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__attribute] = STATE(784),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1215),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1217),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [130] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(9969),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(130),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__attribute] = STATE(1034),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [131] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9963),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(131),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__attribute] = STATE(896),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [132] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10037),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(132),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__attribute] = STATE(1035),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [133] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10720),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(133),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__attribute] = STATE(871),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1281),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [134] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10894),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(134),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__attribute] = STATE(796),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1281),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [135] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11051),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(135),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__attribute] = STATE(1139),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1357),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [136] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11266),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(136),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__attribute] = STATE(960),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1357),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [137] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11560),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(137),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__attribute] = STATE(772),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_GT_RBRACE] = ACTIONS(359),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [138] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11692),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(138),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__attribute] = STATE(641),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_GT_RBRACE] = ACTIONS(359),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [139] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11613),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(139),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__attribute] = STATE(1501),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_GT_RBRACE] = ACTIONS(359),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [140] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11980),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(140),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__attribute] = STATE(909),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_GT_RBRACE] = ACTIONS(359),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [141] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9592),
    [sym__sequence_expression] = STATE(8359),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(141),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__attribute] = STATE(1611),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(889),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [142] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9620),
    [sym__sequence_expression] = STATE(8359),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(142),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__attribute] = STATE(828),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(833),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(835),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [143] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9624),
    [sym__sequence_expression] = STATE(8359),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(143),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__attribute] = STATE(1675),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [144] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12369),
    [sym__sequence_expression] = STATE(11779),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(144),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__attribute] = STATE(899),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [145] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9649),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(145),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__attribute] = STATE(658),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [146] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9760),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(146),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__attribute] = STATE(1553),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [147] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(147),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__attribute] = STATE(887),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [148] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12846),
    [sym__sequence_expression] = STATE(11779),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(148),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__attribute] = STATE(762),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [149] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(149),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__attribute] = STATE(948),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [150] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13199),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(150),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__attribute] = STATE(1046),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [151] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13171),
    [sym__sequence_expression] = STATE(11779),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(151),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__attribute] = STATE(883),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_to] = ACTIONS(363),
    [anon_sym_downto] = ACTIONS(363),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [152] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16296),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(152),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20934),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1785),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1787),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1795),
    [sym_let_and_operator] = ACTIONS(1787),
    [sym_match_operator] = ACTIONS(1797),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [153] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22146),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(153),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21596),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1807),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1809),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1811),
    [sym_let_and_operator] = ACTIONS(1809),
    [sym_match_operator] = ACTIONS(1813),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [154] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(15959),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(154),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19483),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1815),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1819),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1823),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1825),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1827),
    [sym_let_and_operator] = ACTIONS(1825),
    [sym_match_operator] = ACTIONS(1829),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [155] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13512),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(155),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__attribute] = STATE(806),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [156] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19667),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(156),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19483),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1883),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1819),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1823),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1825),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1827),
    [sym_let_and_operator] = ACTIONS(1825),
    [sym_match_operator] = ACTIONS(1829),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [157] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16046),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(157),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20966),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1885),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1887),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1889),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1893),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1895),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1897),
    [sym_let_and_operator] = ACTIONS(1895),
    [sym_match_operator] = ACTIONS(1899),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [158] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13346),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(158),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__attribute] = STATE(819),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [159] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20023),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(159),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20966),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1887),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1889),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1893),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1895),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1897),
    [sym_let_and_operator] = ACTIONS(1895),
    [sym_match_operator] = ACTIONS(1899),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [160] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16098),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(160),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19331),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1959),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1963),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1965),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1967),
    [sym_let_and_operator] = ACTIONS(1965),
    [sym_match_operator] = ACTIONS(1969),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [161] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13245),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(161),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__attribute] = STATE(832),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [162] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20415),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(162),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19331),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2023),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1959),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1963),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1965),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1967),
    [sym_let_and_operator] = ACTIONS(1965),
    [sym_match_operator] = ACTIONS(1969),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [163] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16212),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(163),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20033),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2025),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2027),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2029),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2033),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2035),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2037),
    [sym_let_and_operator] = ACTIONS(2035),
    [sym_match_operator] = ACTIONS(2039),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [164] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13366),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(164),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__attribute] = STATE(844),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [165] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21130),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(165),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20033),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2027),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2029),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2033),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2035),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2037),
    [sym_let_and_operator] = ACTIONS(2035),
    [sym_match_operator] = ACTIONS(2039),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [166] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13325),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(166),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__attribute] = STATE(674),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_PIPE_RBRACK] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [167] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21351),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(167),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20934),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1785),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1787),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1795),
    [sym_let_and_operator] = ACTIONS(1787),
    [sym_match_operator] = ACTIONS(1797),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [168] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16377),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(168),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21874),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2111),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2115),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2117),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2119),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2121),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2123),
    [sym_let_and_operator] = ACTIONS(2121),
    [sym_match_operator] = ACTIONS(2125),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [169] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16138),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(169),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21668),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2135),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2137),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2139),
    [sym_let_and_operator] = ACTIONS(2137),
    [sym_match_operator] = ACTIONS(2141),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [170] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21765),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(170),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21874),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2115),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2117),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2119),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2121),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2123),
    [sym_let_and_operator] = ACTIONS(2121),
    [sym_match_operator] = ACTIONS(2125),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [171] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16497),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(171),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19430),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2151),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2153),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2155),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2157),
    [sym_let_and_operator] = ACTIONS(2155),
    [sym_match_operator] = ACTIONS(2159),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [172] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22423),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(172),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19430),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2161),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2151),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2153),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2155),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2157),
    [sym_let_and_operator] = ACTIONS(2155),
    [sym_match_operator] = ACTIONS(2159),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [173] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16574),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(173),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19852),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2171),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2173),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2175),
    [sym_let_and_operator] = ACTIONS(2173),
    [sym_match_operator] = ACTIONS(2177),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [174] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13556),
    [sym__sequence_expression] = STATE(11779),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(174),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__attribute] = STATE(842),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_to] = ACTIONS(363),
    [anon_sym_downto] = ACTIONS(363),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [175] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20030),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(175),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19852),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2171),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2173),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2175),
    [sym_let_and_operator] = ACTIONS(2173),
    [sym_match_operator] = ACTIONS(2177),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [176] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16045),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(176),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20844),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2233),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2241),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2243),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2245),
    [sym_let_and_operator] = ACTIONS(2243),
    [sym_match_operator] = ACTIONS(2247),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [177] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20828),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(177),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21668),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2135),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2137),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2139),
    [sym_let_and_operator] = ACTIONS(2137),
    [sym_match_operator] = ACTIONS(2141),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [178] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20895),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(178),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20844),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2241),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2243),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2245),
    [sym_let_and_operator] = ACTIONS(2243),
    [sym_match_operator] = ACTIONS(2247),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [179] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16270),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(179),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21363),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2255),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2261),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2263),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2265),
    [sym_let_and_operator] = ACTIONS(2263),
    [sym_match_operator] = ACTIONS(2267),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [180] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16414),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(180),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20839),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2271),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2273),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2279),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2281),
    [sym_let_and_operator] = ACTIONS(2279),
    [sym_match_operator] = ACTIONS(2283),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [181] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21163),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(181),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21363),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2255),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2261),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2263),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2265),
    [sym_let_and_operator] = ACTIONS(2263),
    [sym_match_operator] = ACTIONS(2267),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [182] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16086),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(182),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21727),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2291),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2295),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2297),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2299),
    [sym_let_and_operator] = ACTIONS(2297),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [183] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20849),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(183),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21727),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2303),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2291),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2295),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2297),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2299),
    [sym_let_and_operator] = ACTIONS(2297),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [184] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16037),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(184),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22174),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2305),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2307),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2309),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2311),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2313),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2315),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2317),
    [sym_let_and_operator] = ACTIONS(2315),
    [sym_match_operator] = ACTIONS(2319),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [185] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13256),
    [sym__sequence_expression] = STATE(11779),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(185),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__attribute] = STATE(877),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [186] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20441),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(186),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22174),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2307),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2309),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2311),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2313),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2315),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2317),
    [sym_let_and_operator] = ACTIONS(2315),
    [sym_match_operator] = ACTIONS(2319),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [187] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16023),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(187),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20737),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2375),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2377),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2379),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2381),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2383),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2385),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2387),
    [sym_let_and_operator] = ACTIONS(2385),
    [sym_match_operator] = ACTIONS(2389),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [188] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22019),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(188),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20839),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2271),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2273),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2279),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2281),
    [sym_let_and_operator] = ACTIONS(2279),
    [sym_match_operator] = ACTIONS(2283),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [189] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20276),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(189),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20737),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2377),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2379),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2381),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2383),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2385),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2387),
    [sym_let_and_operator] = ACTIONS(2385),
    [sym_match_operator] = ACTIONS(2389),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [190] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16205),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(190),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20673),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2395),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2403),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2405),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2407),
    [sym_let_and_operator] = ACTIONS(2405),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [191] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16388),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(191),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21458),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2411),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2415),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2419),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2421),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2423),
    [sym_let_and_operator] = ACTIONS(2421),
    [sym_match_operator] = ACTIONS(2425),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [192] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16289),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(192),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20177),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2429),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2431),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2435),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2437),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2439),
    [sym_let_and_operator] = ACTIONS(2437),
    [sym_match_operator] = ACTIONS(2441),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [193] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21844),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(193),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20673),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2403),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2405),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2407),
    [sym_let_and_operator] = ACTIONS(2405),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [194] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16532),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(194),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19412),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2447),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2449),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2455),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2457),
    [sym_let_and_operator] = ACTIONS(2455),
    [sym_match_operator] = ACTIONS(2459),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [195] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19729),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(195),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19412),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2447),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2449),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2455),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2457),
    [sym_let_and_operator] = ACTIONS(2455),
    [sym_match_operator] = ACTIONS(2459),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [196] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(15992),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(196),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20868),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2465),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2467),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2471),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2473),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2475),
    [sym_let_and_operator] = ACTIONS(2473),
    [sym_match_operator] = ACTIONS(2477),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [197] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19841),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(197),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20177),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2429),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2431),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2435),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2437),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2439),
    [sym_let_and_operator] = ACTIONS(2437),
    [sym_match_operator] = ACTIONS(2441),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [198] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20616),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(198),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20868),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2481),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2465),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2467),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2471),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2473),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2475),
    [sym_let_and_operator] = ACTIONS(2473),
    [sym_match_operator] = ACTIONS(2477),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [199] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(15913),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(199),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21799),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2487),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2489),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2491),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2493),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2495),
    [sym_let_and_operator] = ACTIONS(2493),
    [sym_match_operator] = ACTIONS(2497),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [200] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16129),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(200),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19752),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2503),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2507),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2509),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2511),
    [sym_let_and_operator] = ACTIONS(2509),
    [sym_match_operator] = ACTIONS(2513),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [201] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21456),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(201),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21799),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2487),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2489),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2491),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2493),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2495),
    [sym_let_and_operator] = ACTIONS(2493),
    [sym_match_operator] = ACTIONS(2497),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [202] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16054),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(202),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22034),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2517),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2519),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2521),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2525),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2527),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2529),
    [sym_let_and_operator] = ACTIONS(2527),
    [sym_match_operator] = ACTIONS(2531),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [203] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(203),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__attribute] = STATE(1576),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [204] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22460),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(204),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22034),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2519),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2521),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2525),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2527),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2529),
    [sym_let_and_operator] = ACTIONS(2527),
    [sym_match_operator] = ACTIONS(2531),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [205] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16120),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(205),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22166),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2539),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2541),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2545),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2547),
    [sym_let_and_operator] = ACTIONS(2545),
    [sym_match_operator] = ACTIONS(2549),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [206] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19740),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(206),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19752),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2503),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2507),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2509),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2511),
    [sym_let_and_operator] = ACTIONS(2509),
    [sym_match_operator] = ACTIONS(2513),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [207] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19717),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(207),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22166),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2539),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2541),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2545),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2547),
    [sym_let_and_operator] = ACTIONS(2545),
    [sym_match_operator] = ACTIONS(2549),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [208] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16210),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(208),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22273),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2557),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2559),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2563),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2565),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2567),
    [sym_let_and_operator] = ACTIONS(2565),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [209] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(15976),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(209),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20458),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2575),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2579),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2581),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2583),
    [sym_let_and_operator] = ACTIONS(2581),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [210] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20194),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(210),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22273),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2557),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2559),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2563),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2565),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2567),
    [sym_let_and_operator] = ACTIONS(2565),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [211] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16331),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(211),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22498),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2591),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2593),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2597),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2599),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2601),
    [sym_let_and_operator] = ACTIONS(2599),
    [sym_match_operator] = ACTIONS(2603),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [212] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20650),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(212),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22498),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2591),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2593),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2597),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2599),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2601),
    [sym_let_and_operator] = ACTIONS(2599),
    [sym_match_operator] = ACTIONS(2603),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [213] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16454),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(213),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19334),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2617),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2619),
    [sym_let_and_operator] = ACTIONS(2617),
    [sym_match_operator] = ACTIONS(2621),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [214] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19687),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(214),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20458),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2575),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2579),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2581),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2583),
    [sym_let_and_operator] = ACTIONS(2581),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [215] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21237),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(215),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19334),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2617),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2619),
    [sym_let_and_operator] = ACTIONS(2617),
    [sym_match_operator] = ACTIONS(2621),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [216] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16227),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(216),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19378),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2635),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2637),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2639),
    [sym_let_and_operator] = ACTIONS(2637),
    [sym_match_operator] = ACTIONS(2641),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [217] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16050),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(217),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20041),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2653),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2655),
    [sym_let_and_operator] = ACTIONS(2653),
    [sym_match_operator] = ACTIONS(2657),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [218] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16282),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(218),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19419),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2659),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2667),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2669),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2671),
    [sym_let_and_operator] = ACTIONS(2669),
    [sym_match_operator] = ACTIONS(2673),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [219] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22016),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(219),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19419),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2675),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2667),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2669),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2671),
    [sym_let_and_operator] = ACTIONS(2669),
    [sym_match_operator] = ACTIONS(2673),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [220] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(15988),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(220),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19493),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2679),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2681),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2683),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2685),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2687),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2689),
    [sym_let_and_operator] = ACTIONS(2687),
    [sym_match_operator] = ACTIONS(2691),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [221] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22090),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(221),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20041),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2653),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2655),
    [sym_let_and_operator] = ACTIONS(2653),
    [sym_match_operator] = ACTIONS(2657),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [222] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22516),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(222),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19493),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2679),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2681),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2683),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2685),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2687),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2689),
    [sym_let_and_operator] = ACTIONS(2687),
    [sym_match_operator] = ACTIONS(2691),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [223] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16105),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(223),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19578),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2697),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2701),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2705),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2707),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2709),
    [sym_let_and_operator] = ACTIONS(2707),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [224] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(15932),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(224),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22339),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2715),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2717),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2721),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2723),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2725),
    [sym_let_and_operator] = ACTIONS(2723),
    [sym_match_operator] = ACTIONS(2727),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [225] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22451),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(225),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19578),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2729),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2701),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2705),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2707),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2709),
    [sym_let_and_operator] = ACTIONS(2707),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [226] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16266),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(226),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19631),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2731),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2735),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2739),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2741),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2743),
    [sym_let_and_operator] = ACTIONS(2741),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [227] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21775),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(227),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19631),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2735),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2739),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2741),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2743),
    [sym_let_and_operator] = ACTIONS(2741),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [228] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(15920),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(228),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19685),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2753),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2757),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2759),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2761),
    [sym_let_and_operator] = ACTIONS(2759),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [229] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21777),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(229),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22339),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2715),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2717),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2721),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2723),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2725),
    [sym_let_and_operator] = ACTIONS(2723),
    [sym_match_operator] = ACTIONS(2727),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [230] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20496),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(230),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19685),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2767),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2753),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2757),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2759),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2761),
    [sym_let_and_operator] = ACTIONS(2759),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [231] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(15970),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(231),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19765),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2773),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2779),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2781),
    [sym_let_and_operator] = ACTIONS(2779),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [232] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16138),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(232),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19941),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2791),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2793),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2795),
    [sym_let_and_operator] = ACTIONS(2793),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [233] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21227),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(233),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19765),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2799),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2773),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2779),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2781),
    [sym_let_and_operator] = ACTIONS(2779),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [234] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20828),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(234),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19941),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2791),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2793),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2795),
    [sym_let_and_operator] = ACTIONS(2793),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [235] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16077),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(235),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20598),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2809),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2811),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2813),
    [sym_let_and_operator] = ACTIONS(2811),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [236] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20801),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(236),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20598),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2809),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2811),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2813),
    [sym_let_and_operator] = ACTIONS(2811),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [237] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16397),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(237),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19519),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2823),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2827),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2829),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2831),
    [sym_let_and_operator] = ACTIONS(2829),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [238] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16109),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(238),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20356),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2835),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2839),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2843),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2845),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2847),
    [sym_let_and_operator] = ACTIONS(2845),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [239] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20514),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(239),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19519),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2851),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2823),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2827),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2829),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2831),
    [sym_let_and_operator] = ACTIONS(2829),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [240] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16453),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(240),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20819),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2857),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2861),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2863),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2865),
    [sym_let_and_operator] = ACTIONS(2863),
    [sym_match_operator] = ACTIONS(2867),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [241] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10162),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(241),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__attribute] = STATE(1640),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [242] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21926),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(242),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20819),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2857),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2861),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2863),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2865),
    [sym_let_and_operator] = ACTIONS(2863),
    [sym_match_operator] = ACTIONS(2867),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [243] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16017),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(243),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21635),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2875),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2881),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2883),
    [sym_let_and_operator] = ACTIONS(2881),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [244] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20099),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(244),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21635),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2875),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2881),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2883),
    [sym_let_and_operator] = ACTIONS(2881),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [245] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21638),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(245),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21458),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2415),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2419),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2421),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2423),
    [sym_let_and_operator] = ACTIONS(2421),
    [sym_match_operator] = ACTIONS(2425),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [246] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16015),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(246),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19869),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2901),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2903),
    [sym_let_and_operator] = ACTIONS(2901),
    [sym_match_operator] = ACTIONS(2905),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [247] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22120),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(247),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20356),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2839),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2843),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2845),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2847),
    [sym_let_and_operator] = ACTIONS(2845),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [248] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21157),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(248),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19869),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2901),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2903),
    [sym_let_and_operator] = ACTIONS(2901),
    [sym_match_operator] = ACTIONS(2905),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [249] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(15941),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(249),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20694),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2915),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2919),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2921),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2923),
    [sym_let_and_operator] = ACTIONS(2921),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [250] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21889),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(250),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(20694),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2927),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2915),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2919),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2921),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2923),
    [sym_let_and_operator] = ACTIONS(2921),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [251] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16102),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(251),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21228),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2933),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2937),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2939),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2941),
    [sym_let_and_operator] = ACTIONS(2939),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [252] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21142),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(252),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21228),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2933),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2937),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2939),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2941),
    [sym_let_and_operator] = ACTIONS(2939),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [253] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16237),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(253),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21474),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2955),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2957),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2959),
    [sym_let_and_operator] = ACTIONS(2957),
    [sym_match_operator] = ACTIONS(2961),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [254] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22175),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(254),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21474),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2955),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2957),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2959),
    [sym_let_and_operator] = ACTIONS(2957),
    [sym_match_operator] = ACTIONS(2961),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [255] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16432),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(255),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22061),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2973),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2975),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2977),
    [sym_let_and_operator] = ACTIONS(2975),
    [sym_match_operator] = ACTIONS(2979),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [256] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19753),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(256),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22061),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2973),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2975),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2977),
    [sym_let_and_operator] = ACTIONS(2975),
    [sym_match_operator] = ACTIONS(2979),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [257] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16013),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(257),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22488),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2987),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2991),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2993),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2995),
    [sym_let_and_operator] = ACTIONS(2993),
    [sym_match_operator] = ACTIONS(2997),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [258] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20439),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(258),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22488),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2987),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2991),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2993),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2995),
    [sym_let_and_operator] = ACTIONS(2993),
    [sym_match_operator] = ACTIONS(2997),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [259] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16032),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(259),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22413),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(3005),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(3009),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(3011),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(3013),
    [sym_let_and_operator] = ACTIONS(3011),
    [sym_match_operator] = ACTIONS(3015),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [260] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10197),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(260),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__attribute] = STATE(1305),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [261] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21108),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(261),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(22413),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(3005),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(3009),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(3011),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(3013),
    [sym_let_and_operator] = ACTIONS(3011),
    [sym_match_operator] = ACTIONS(3015),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [262] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(16359),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(262),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(21596),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1807),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1809),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1811),
    [sym_let_and_operator] = ACTIONS(1809),
    [sym_match_operator] = ACTIONS(1813),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [263] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21563),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(263),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__infix_operator] = STATE(19378),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2635),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2637),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2639),
    [sym_let_and_operator] = ACTIONS(2637),
    [sym_match_operator] = ACTIONS(2641),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [264] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13575),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(264),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1069),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [265] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13668),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(265),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1112),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [266] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13856),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(266),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__attribute] = STATE(722),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [267] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13589),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(267),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__attribute] = STATE(1086),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [268] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13664),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(268),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__attribute] = STATE(690),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [269] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13797),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(269),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__attribute] = STATE(706),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [270] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13800),
    [sym__sequence_expression] = STATE(9279),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(270),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1130),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [271] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13924),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(271),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__attribute] = STATE(737),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [272] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13615),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(272),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__attribute] = STATE(1052),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [273] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13879),
    [sym__sequence_expression] = STATE(11779),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(273),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__attribute] = STATE(1153),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [274] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14101),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(274),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(918),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [275] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14128),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(275),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__attribute] = STATE(928),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [276] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14113),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(276),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(950),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [277] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14145),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(277),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(939),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [278] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(278),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__attribute] = STATE(1711),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1357),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [279] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(279),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__attribute] = STATE(882),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [280] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13121),
    [sym__sequence_expression] = STATE(9957),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(280),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__attribute] = STATE(1148),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [281] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13674),
    [sym__sequence_expression] = STATE(8359),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(281),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__attribute] = STATE(964),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_to] = ACTIONS(363),
    [anon_sym_downto] = ACTIONS(363),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [282] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21101),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(282),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1359),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [283] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(283),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1522),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [284] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21538),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(284),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1290),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [285] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(22167),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(285),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1298),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [286] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20729),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(286),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1132),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3415),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [287] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(22514),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(287),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1307),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [288] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20375),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(288),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1316),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [289] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21443),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(289),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(671),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [290] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19700),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(290),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1325),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [291] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20438),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(291),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1056),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [292] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19853),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(292),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1333),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [293] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21911),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(293),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1341),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [294] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20122),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(294),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1141),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3431),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [295] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20658),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(295),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1350),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [296] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(296),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(967),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [297] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19396),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(297),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1367),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3435),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [298] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21902),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(298),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1150),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [299] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20438),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(299),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1056),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3439),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [300] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(14122),
    [sym__sequence_expression] = STATE(8359),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(300),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__attribute] = STATE(943),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [301] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20113),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(301),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1375),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [302] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21046),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(302),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1383),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [303] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21407),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(303),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1159),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [304] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21971),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(304),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1391),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3447),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [305] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19494),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(305),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1399),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3449),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [306] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19946),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(306),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1407),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [307] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(22027),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(307),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1168),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3453),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [308] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20466),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(308),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1415),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3455),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [309] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21095),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(309),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1423),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3457),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [310] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21263),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(310),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1282),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3459),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [311] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21403),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(311),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1431),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3461),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [312] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21732),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(312),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1073),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3463),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [313] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21192),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(313),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1013),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3465),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [314] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21804),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(314),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1439),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3467),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [315] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(22312),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(315),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1447),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3469),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [316] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20712),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(316),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1186),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3471),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [317] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(317),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__attribute] = STATE(1002),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [318] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19356),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(318),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1455),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3473),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [319] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20983),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(319),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1463),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3475),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [320] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20838),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(320),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1195),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3477),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [321] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19681),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(321),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1470),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3479),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [322] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20946),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(322),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1477),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3481),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [323] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21721),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(323),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1204),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3483),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [324] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(22242),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(324),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1088),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3485),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [325] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19561),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(325),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1213),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3487),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [326] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14148),
    [sym__sequence_expression] = STATE(22236),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(21344),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(326),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__attribute] = STATE(1486),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DASH_GT] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [327] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20169),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(327),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1222),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3489),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [328] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20876),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(328),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1230),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3491),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [329] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21850),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(329),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1101),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3493),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [330] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21726),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(330),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1238),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3495),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [331] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(6167),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(331),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1245),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [332] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19525),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(332),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1247),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3497),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [333] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19910),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(333),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1256),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3499),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [334] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20689),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(334),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1114),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3501),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [335] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20210),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(335),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1265),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [336] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20770),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(336),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1274),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [337] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20391),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(337),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1123),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3507),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [338] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21762),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(338),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__attribute] = STATE(1177),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_end] = ACTIONS(3509),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [339] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18906),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(339),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1264),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [340] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9521),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(340),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [341] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9521),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(341),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [342] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13589),
    [sym__sequence_expression] = STATE(9271),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9271),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(342),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [343] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13325),
    [sym__sequence_expression] = STATE(13717),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_refutation_case] = STATE(13717),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(343),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [344] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11560),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9341),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(344),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [345] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9509),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(345),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [346] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9509),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(346),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [347] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13245),
    [sym__sequence_expression] = STATE(9271),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9271),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(347),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [348] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12846),
    [sym__sequence_expression] = STATE(11607),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_refutation_case] = STATE(11607),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(348),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [349] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13245),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9341),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(349),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [350] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9303),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(350),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [351] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9589),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(351),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [352] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9303),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(352),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [353] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13615),
    [sym__sequence_expression] = STATE(13717),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_refutation_case] = STATE(13717),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(353),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [354] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11613),
    [sym__sequence_expression] = STATE(9271),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9271),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(354),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [355] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9589),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(355),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [356] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22128),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(356),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1494),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [357] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13512),
    [sym__sequence_expression] = STATE(9271),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9271),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(357),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [358] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13366),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9341),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(358),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [359] = {
    [sym__simple_expression] = STATE(3790),
    [sym_typed_expression] = STATE(3694),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_labeled_argument] = STATE(4706),
    [sym_prefix_expression] = STATE(3694),
    [sym_hash_expression] = STATE(3694),
    [sym_field_get_expression] = STATE(3694),
    [sym_array_get_expression] = STATE(3694),
    [sym_string_get_expression] = STATE(3694),
    [sym_bigarray_get_expression] = STATE(3694),
    [sym_coercion_expression] = STATE(3694),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(359),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [aux_sym_class_application_repeat1] = STATE(1982),
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym__lowercase_identifier] = ACTIONS(3537),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3541),
    [anon_sym_QMARK] = ACTIONS(3541),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(3543),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_in] = ACTIONS(3539),
    [anon_sym_POUND] = ACTIONS(3545),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(451),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(3547),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [360] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(360),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [361] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(361),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [362] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11613),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9341),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(362),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [363] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12846),
    [sym__sequence_expression] = STATE(11778),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_refutation_case] = STATE(11778),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(363),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [364] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13615),
    [sym__sequence_expression] = STATE(13914),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_refutation_case] = STATE(13914),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(364),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [365] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13325),
    [sym__sequence_expression] = STATE(13914),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_refutation_case] = STATE(13914),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(365),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [366] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13668),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9341),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(366),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [367] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13366),
    [sym__sequence_expression] = STATE(9271),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9271),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(367),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [368] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10720),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9341),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(368),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [369] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9436),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(369),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [370] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9436),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(370),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [371] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9355),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(371),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [372] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13668),
    [sym__sequence_expression] = STATE(9271),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9271),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(372),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [373] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9355),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(373),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [374] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9660),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(374),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [375] = {
    [sym__simple_expression] = STATE(3828),
    [sym_typed_expression] = STATE(3697),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_labeled_argument] = STATE(4706),
    [sym_prefix_expression] = STATE(3697),
    [sym_hash_expression] = STATE(3697),
    [sym_field_get_expression] = STATE(3697),
    [sym_array_get_expression] = STATE(3697),
    [sym_string_get_expression] = STATE(3697),
    [sym_bigarray_get_expression] = STATE(3697),
    [sym_coercion_expression] = STATE(3697),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(375),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [aux_sym_class_application_repeat1] = STATE(1824),
    [sym__lowercase_identifier] = ACTIONS(3569),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3571),
    [anon_sym_QMARK] = ACTIONS(3571),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_RBRACK] = ACTIONS(3535),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3573),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(3539),
    [anon_sym_POUND] = ACTIONS(3575),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(3577),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [376] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9660),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(376),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [377] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13256),
    [sym__sequence_expression] = STATE(11778),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_refutation_case] = STATE(11778),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(377),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [378] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9449),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(378),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [379] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13346),
    [sym__sequence_expression] = STATE(9271),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9271),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(379),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [380] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9449),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(380),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [381] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13256),
    [sym__sequence_expression] = STATE(11607),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_refutation_case] = STATE(11607),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(381),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [382] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9402),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(382),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [383] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(9969),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(383),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [384] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9640),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(384),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [385] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13171),
    [sym__sequence_expression] = STATE(11778),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_refutation_case] = STATE(11778),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(385),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [386] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(9969),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(386),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [387] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9640),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(387),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [388] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9402),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(388),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [389] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13800),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9341),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(389),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [390] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12369),
    [sym__sequence_expression] = STATE(11778),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_refutation_case] = STATE(11778),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(390),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [391] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13800),
    [sym__sequence_expression] = STATE(9271),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9271),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(391),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [392] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13512),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9341),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(392),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [393] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9579),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(393),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [394] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9579),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(394),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [395] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13171),
    [sym__sequence_expression] = STATE(11607),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_refutation_case] = STATE(11607),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(395),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [396] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10720),
    [sym__sequence_expression] = STATE(9271),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9271),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(396),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [397] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13575),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9341),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(397),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [398] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9550),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(398),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [399] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13575),
    [sym__sequence_expression] = STATE(9271),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9271),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(399),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [400] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13556),
    [sym__sequence_expression] = STATE(11778),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_refutation_case] = STATE(11778),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(400),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [401] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9550),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(401),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [402] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11051),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9341),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(402),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [403] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11051),
    [sym__sequence_expression] = STATE(9271),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9271),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(403),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [404] = {
    [sym__simple_expression] = STATE(3416),
    [sym_typed_expression] = STATE(3589),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_labeled_argument] = STATE(4913),
    [sym_prefix_expression] = STATE(3589),
    [sym_hash_expression] = STATE(3589),
    [sym_field_get_expression] = STATE(3589),
    [sym_array_get_expression] = STATE(3589),
    [sym_string_get_expression] = STATE(3589),
    [sym_bigarray_get_expression] = STATE(3589),
    [sym_coercion_expression] = STATE(3589),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(404),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [aux_sym_class_application_repeat1] = STATE(1820),
    [sym__lowercase_identifier] = ACTIONS(3607),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3609),
    [anon_sym_QMARK] = ACTIONS(3609),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(3611),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_end] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(3539),
    [anon_sym_POUND] = ACTIONS(3613),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(503),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(505),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(3615),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [405] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9480),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(405),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [406] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9480),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(406),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [407] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12369),
    [sym__sequence_expression] = STATE(11607),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_refutation_case] = STATE(11607),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(407),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [408] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9963),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(408),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [409] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10037),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(409),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [410] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9963),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(410),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [411] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10037),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(411),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [412] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20232),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(412),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1531),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [413] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13556),
    [sym__sequence_expression] = STATE(11607),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_refutation_case] = STATE(11607),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(413),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [414] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13879),
    [sym__sequence_expression] = STATE(11778),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_refutation_case] = STATE(11778),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(414),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [415] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11560),
    [sym__sequence_expression] = STATE(9271),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9271),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(415),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [416] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13589),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9341),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(416),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [417] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(9045),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9045),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(417),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [418] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18366),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(418),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1011),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [419] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18368),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(419),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__attribute] = STATE(1012),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [420] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(9115),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_refutation_case] = STATE(9115),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(420),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [421] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13879),
    [sym__sequence_expression] = STATE(11607),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_refutation_case] = STATE(11607),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(421),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_DOT] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [422] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13346),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_refutation_case] = STATE(9341),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(422),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_DOT] = ACTIONS(3517),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [423] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19105),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(423),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1054),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [424] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18324),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(424),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__attribute] = STATE(1055),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [425] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18323),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(425),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1071),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [426] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18938),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(426),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__attribute] = STATE(1072),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [427] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18937),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(427),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1087),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [428] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18758),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(428),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1100),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [429] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18916),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(429),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1113),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [430] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19296),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(430),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1140),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [431] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19163),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(431),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1167),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [432] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19187),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(432),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1176),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [433] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18199),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(433),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1185),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [434] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18943),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(434),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1194),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [435] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18303),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(435),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1203),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [436] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18657),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(436),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1212),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [437] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18929),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(437),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1221),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [438] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18783),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(438),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1229),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [439] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18350),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(439),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1237),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [440] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19000),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(440),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1246),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [441] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18449),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(441),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1255),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [442] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18420),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(442),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(992),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [443] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18793),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(443),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1273),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [444] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18578),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(444),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1281),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [445] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19024),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(445),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1332),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [446] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19259),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(446),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1340),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [447] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18239),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(447),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1374),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [448] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18460),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(448),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1382),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [449] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18745),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(449),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1390),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [450] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19175),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(450),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1398),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [451] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19180),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(451),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1406),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [452] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18857),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(452),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1414),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [453] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18550),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(453),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1422),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [454] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18870),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(454),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1430),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [455] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19101),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(455),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1438),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [456] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19289),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(456),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1454),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [457] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19282),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(457),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1462),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [458] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19194),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(458),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1122),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [459] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(459),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1488),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [460] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20383),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(460),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1489),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [461] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18180),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(461),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1131),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [462] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22463),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(462),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1498),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [463] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22474),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(463),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1499),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [464] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18600),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(464),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1149),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [465] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19684),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(465),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1504),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [466] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19688),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(466),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1505),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [467] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18339),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(467),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__attribute] = STATE(996),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [468] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20143),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(468),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1510),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [469] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20148),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(469),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1511),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [470] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19109),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(470),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1289),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [471] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20528),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(471),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1516),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [472] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20534),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(472),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1517),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [473] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18153),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(473),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1297),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [474] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20894),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(474),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1520),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [475] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20897),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(475),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1521),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [476] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18283),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(476),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1306),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [477] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21053),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(477),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1525),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [478] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21056),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(478),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1526),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [479] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18401),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(479),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1315),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [480] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21246),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(480),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1529),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [481] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21250),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(481),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1530),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [482] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18491),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(482),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1324),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [483] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21477),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(483),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1534),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [484] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21486),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(484),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1535),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [485] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18591),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(485),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1349),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [486] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21737),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(486),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1539),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [487] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21746),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(487),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1540),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [488] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18666),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(488),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1358),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [489] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21953),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(489),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1545),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [490] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21956),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(490),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1546),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [491] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18738),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(491),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1366),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [492] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22147),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(492),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1551),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [493] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22154),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(493),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1552),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [494] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18820),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(494),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1446),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [495] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22335),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(495),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1557),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [496] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22343),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(496),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1558),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [497] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18874),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(497),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1490),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [498] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22528),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(498),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1563),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [499] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22534),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(499),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1564),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [500] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18922),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(500),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1491),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [501] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19359),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(501),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1569),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [502] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19362),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(502),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1570),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [503] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18972),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(503),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1492),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [504] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19422),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(504),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1573),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [505] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19425),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(505),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1574),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [506] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19006),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(506),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1493),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [507] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19485),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(507),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1579),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [508] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19488),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(508),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1580),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [509] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19543),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(509),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1582),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [510] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19544),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(510),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1583),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [511] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19597),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(511),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1587),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [512] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19598),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(512),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1588),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [513] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19652),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(513),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1590),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [514] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19653),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(514),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1591),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [515] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19707),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(515),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1595),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [516] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19708),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(516),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1596),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [517] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19762),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(517),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1600),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [518] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19763),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(518),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1601),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [519] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19804),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(519),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1604),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [520] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19805),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(520),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1605),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [521] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19845),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(521),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1609),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [522] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19846),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(522),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1610),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [523] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19886),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(523),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1614),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [524] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19887),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(524),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1615),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [525] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19927),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(525),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1619),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [526] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19928),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(526),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1620),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [527] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19968),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(527),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1624),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [528] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19969),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(528),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1625),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [529] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20009),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(529),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1629),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [530] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20010),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(530),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1630),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [531] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20050),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(531),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1633),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [532] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20051),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(532),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1634),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [533] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20091),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(533),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1637),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [534] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20092),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(534),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1638),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [535] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20132),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(535),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1642),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [536] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20133),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(536),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1643),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [537] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20173),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(537),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1646),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [538] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20174),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(538),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1647),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [539] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20213),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(539),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1650),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [540] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20214),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(540),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1651),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [541] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20253),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(541),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1654),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [542] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20254),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(542),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1655),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [543] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20292),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(543),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1658),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [544] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20293),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(544),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1659),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [545] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20331),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(545),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1663),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [546] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20332),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(546),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1664),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [547] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20370),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(547),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1668),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [548] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20371),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(548),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1669),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [549] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20409),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(549),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1673),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [550] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20410),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(550),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1674),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [551] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20447),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(551),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1678),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [552] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20448),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(552),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1679),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [553] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20485),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(553),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1683),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [554] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20486),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(554),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1684),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [555] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20523),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(555),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1688),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [556] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20524),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(556),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1689),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [557] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20561),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(557),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1693),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [558] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20562),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(558),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1694),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [559] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20599),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(559),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1697),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [560] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20600),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(560),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1698),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [561] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20637),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(561),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1701),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [562] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20638),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(562),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1702),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [563] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20675),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(563),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1706),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [564] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20676),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(564),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1707),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [565] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20713),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(565),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1709),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [566] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20714),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(566),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1710),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [567] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20751),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(567),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1713),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [568] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20752),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(568),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1714),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [569] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20788),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(569),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1717),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [570] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20789),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(570),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1718),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [571] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20825),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(571),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1721),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [572] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20826),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(572),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__attribute] = STATE(1722),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [573] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18895),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(573),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__attribute] = STATE(1158),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [574] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(574),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3633),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [575] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(575),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3635),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [576] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(576),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3637),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [577] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(577),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3639),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [578] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(578),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3641),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [579] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(579),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3643),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [580] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(580),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [581] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(581),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3647),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [582] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(582),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3649),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [583] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(583),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3651),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [584] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(584),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3653),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [585] = {
    [sym__simple_expression] = STATE(4235),
    [sym_typed_expression] = STATE(4260),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_labeled_argument] = STATE(4809),
    [sym_prefix_expression] = STATE(4260),
    [sym_hash_expression] = STATE(4260),
    [sym_field_get_expression] = STATE(4260),
    [sym_array_get_expression] = STATE(4260),
    [sym_string_get_expression] = STATE(4260),
    [sym_bigarray_get_expression] = STATE(4260),
    [sym_coercion_expression] = STATE(4260),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(585),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [aux_sym_class_application_repeat1] = STATE(2273),
    [sym__lowercase_identifier] = ACTIONS(3655),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3657),
    [anon_sym_QMARK] = ACTIONS(3657),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(3535),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_in] = ACTIONS(3539),
    [anon_sym_POUND] = ACTIONS(3661),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(889),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(3663),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [586] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(586),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3665),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [587] = {
    [sym__simple_expression] = STATE(4393),
    [sym_typed_expression] = STATE(4375),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_labeled_argument] = STATE(5331),
    [sym_prefix_expression] = STATE(4375),
    [sym_hash_expression] = STATE(4375),
    [sym_field_get_expression] = STATE(4375),
    [sym_array_get_expression] = STATE(4375),
    [sym_string_get_expression] = STATE(4375),
    [sym_bigarray_get_expression] = STATE(4375),
    [sym_coercion_expression] = STATE(4375),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(587),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [aux_sym_class_application_repeat1] = STATE(2662),
    [sym__lowercase_identifier] = ACTIONS(3667),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3669),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3671),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_end] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(3539),
    [anon_sym_POUND] = ACTIONS(3673),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(3675),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [588] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(588),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [589] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(589),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3679),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [590] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(590),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3681),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [591] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(591),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3683),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [592] = {
    [sym__simple_expression] = STATE(3920),
    [sym_typed_expression] = STATE(3912),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_labeled_argument] = STATE(4839),
    [sym_prefix_expression] = STATE(3912),
    [sym_hash_expression] = STATE(3912),
    [sym_field_get_expression] = STATE(3912),
    [sym_array_get_expression] = STATE(3912),
    [sym_string_get_expression] = STATE(3912),
    [sym_bigarray_get_expression] = STATE(3912),
    [sym_coercion_expression] = STATE(3912),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(592),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [aux_sym_class_application_repeat1] = STATE(2702),
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym__lowercase_identifier] = ACTIONS(3685),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3687),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(3689),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_POUND] = ACTIONS(3691),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(607),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(609),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(3693),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [593] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(593),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3695),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [594] = {
    [sym__simple_expression] = STATE(3960),
    [sym_typed_expression] = STATE(3973),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_labeled_argument] = STATE(4839),
    [sym_prefix_expression] = STATE(3973),
    [sym_hash_expression] = STATE(3973),
    [sym_field_get_expression] = STATE(3973),
    [sym_array_get_expression] = STATE(3973),
    [sym_string_get_expression] = STATE(3973),
    [sym_bigarray_get_expression] = STATE(3973),
    [sym_coercion_expression] = STATE(3973),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(594),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [aux_sym_class_application_repeat1] = STATE(2319),
    [sym__lowercase_identifier] = ACTIONS(3697),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_QMARK] = ACTIONS(3699),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(3535),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_DOT] = ACTIONS(3701),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_POUND] = ACTIONS(3703),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(659),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(661),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(3705),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [595] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(595),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [596] = {
    [sym__simple_expression] = STATE(3980),
    [sym_typed_expression] = STATE(4009),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_labeled_argument] = STATE(5361),
    [sym_prefix_expression] = STATE(4009),
    [sym_hash_expression] = STATE(4009),
    [sym_field_get_expression] = STATE(4009),
    [sym_array_get_expression] = STATE(4009),
    [sym_string_get_expression] = STATE(4009),
    [sym_bigarray_get_expression] = STATE(4009),
    [sym_coercion_expression] = STATE(4009),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(596),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [aux_sym_class_application_repeat1] = STATE(2717),
    [sym__lowercase_identifier] = ACTIONS(3709),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3711),
    [anon_sym_QMARK] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_end] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_POUND] = ACTIONS(3715),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(711),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(713),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(3717),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [597] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(597),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3719),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [598] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(598),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3721),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [599] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(599),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3723),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [600] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(600),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [601] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(601),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [602] = {
    [sym__simple_expression] = STATE(4156),
    [sym_typed_expression] = STATE(4158),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_labeled_argument] = STATE(4809),
    [sym_prefix_expression] = STATE(4158),
    [sym_hash_expression] = STATE(4158),
    [sym_field_get_expression] = STATE(4158),
    [sym_array_get_expression] = STATE(4158),
    [sym_string_get_expression] = STATE(4158),
    [sym_bigarray_get_expression] = STATE(4158),
    [sym_coercion_expression] = STATE(4158),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(602),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [aux_sym_class_application_repeat1] = STATE(2391),
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym__lowercase_identifier] = ACTIONS(3729),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3731),
    [anon_sym_QMARK] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(3733),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_in] = ACTIONS(3539),
    [anon_sym_POUND] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(833),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(835),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(3737),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [603] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(603),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3739),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [604] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(604),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [605] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(605),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3743),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [606] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(606),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [607] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(14122),
    [sym__sequence_expression] = STATE(22086),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(607),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(3747),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [608] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(608),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3749),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [609] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(609),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [610] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(610),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [611] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(611),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3755),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [612] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(612),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [613] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(613),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3759),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [614] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(614),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3761),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [615] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(615),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3763),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [616] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(616),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [617] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(617),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3767),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [618] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(14122),
    [sym__sequence_expression] = STATE(19985),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(618),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(3769),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [619] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(619),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3771),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [620] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(620),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3773),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [621] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(621),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3775),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [622] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(622),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3777),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [623] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(623),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3779),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [624] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(624),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [625] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(625),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3783),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [626] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(626),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3785),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [627] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(14122),
    [sym__sequence_expression] = STATE(20800),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(627),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(3787),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [628] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(628),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3789),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [629] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(14122),
    [sym__sequence_expression] = STATE(22001),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(629),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(3791),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [630] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(630),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3793),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [631] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(631),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3795),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [632] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(632),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [633] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(633),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3799),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [634] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(634),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_RPAREN] = ACTIONS(3801),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [635] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22033),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(635),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [636] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13674),
    [sym__sequence_expression] = STATE(18794),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(636),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [637] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13879),
    [sym__sequence_expression] = STATE(11671),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(637),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [638] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13879),
    [sym__sequence_expression] = STATE(11680),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(638),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [639] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13879),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(639),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [640] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13879),
    [sym__sequence_expression] = STATE(11741),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(640),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [641] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11692),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(641),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [642] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9589),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(642),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [643] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9589),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(643),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [644] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9589),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(644),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [645] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9589),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(645),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [646] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9589),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(646),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [647] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9589),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(647),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [648] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9589),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(648),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [649] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9660),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(649),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [650] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13879),
    [sym__sequence_expression] = STATE(11928),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(650),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [651] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9402),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(651),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [652] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13879),
    [sym__sequence_expression] = STATE(11638),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(652),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [653] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13556),
    [sym__sequence_expression] = STATE(11604),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(653),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [654] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13674),
    [sym__sequence_expression] = STATE(18403),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(654),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [655] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13556),
    [sym__sequence_expression] = STATE(11671),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(655),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [656] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13556),
    [sym__sequence_expression] = STATE(11680),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(656),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [657] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13556),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(657),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [658] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9649),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(658),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [659] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9355),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(659),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [660] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9355),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(660),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [661] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9355),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(661),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [662] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9355),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(662),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [663] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9355),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(663),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [664] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9355),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(664),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [665] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9355),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(665),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [666] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13556),
    [sym__sequence_expression] = STATE(11741),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(666),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [667] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13556),
    [sym__sequence_expression] = STATE(11928),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(667),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [668] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9402),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(668),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [669] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13556),
    [sym__sequence_expression] = STATE(11638),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(669),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [670] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13199),
    [sym__sequence_expression] = STATE(11604),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(670),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [671] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20507),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(671),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [672] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13199),
    [sym__sequence_expression] = STATE(11671),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(672),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [673] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13199),
    [sym__sequence_expression] = STATE(11680),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(673),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [674] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13325),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(674),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [675] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9550),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(675),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [676] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9550),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(676),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [677] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9550),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(677),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [678] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9550),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(678),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [679] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9550),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(679),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [680] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9550),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(680),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [681] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9550),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(681),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [682] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13199),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(682),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [683] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13199),
    [sym__sequence_expression] = STATE(11741),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(683),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [684] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9402),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(684),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [685] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13199),
    [sym__sequence_expression] = STATE(11928),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(685),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [686] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13199),
    [sym__sequence_expression] = STATE(11638),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(686),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [687] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11692),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(687),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [688] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11692),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(688),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [689] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11692),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(689),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [690] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13664),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(690),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [691] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13256),
    [sym__sequence_expression] = STATE(11604),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(691),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [692] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13256),
    [sym__sequence_expression] = STATE(11671),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(692),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [693] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13256),
    [sym__sequence_expression] = STATE(11680),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(693),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [694] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13256),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(694),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [695] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13256),
    [sym__sequence_expression] = STATE(11741),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(695),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [696] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13256),
    [sym__sequence_expression] = STATE(11928),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(696),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [697] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13256),
    [sym__sequence_expression] = STATE(11638),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(697),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [698] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11692),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(698),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [699] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11692),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(699),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [700] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9402),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(700),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [701] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11692),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(701),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [702] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11692),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(702),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [703] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11613),
    [sym__sequence_expression] = STATE(9396),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(703),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [704] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22168),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(704),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [705] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11613),
    [sym__sequence_expression] = STATE(9344),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(705),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [706] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13797),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(706),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [707] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13171),
    [sym__sequence_expression] = STATE(11604),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(707),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [708] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13171),
    [sym__sequence_expression] = STATE(11671),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(708),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [709] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13171),
    [sym__sequence_expression] = STATE(11680),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(709),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [710] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13171),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(710),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [711] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13171),
    [sym__sequence_expression] = STATE(11741),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(711),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [712] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13171),
    [sym__sequence_expression] = STATE(11928),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(712),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [713] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13171),
    [sym__sequence_expression] = STATE(11638),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(713),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [714] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11613),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(714),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [715] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11613),
    [sym__sequence_expression] = STATE(9320),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(715),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [716] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14374),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(716),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [717] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11613),
    [sym__sequence_expression] = STATE(9237),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(717),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [718] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11613),
    [sym__sequence_expression] = STATE(9275),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(718),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [719] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11613),
    [sym__sequence_expression] = STATE(9262),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(719),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [720] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13664),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(720),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [721] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22245),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(721),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [722] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13856),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(722),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [723] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(11604),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(723),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [724] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(11671),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(724),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [725] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(11680),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(725),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [726] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(726),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [727] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(11741),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(727),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [728] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(11928),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(728),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [729] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(11638),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(729),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [730] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13664),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(730),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [731] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13664),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(731),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [732] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13664),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(732),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [733] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13664),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(733),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [734] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13664),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(734),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [735] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13664),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(735),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [736] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19575),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(736),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [737] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13924),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(737),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [738] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11560),
    [sym__sequence_expression] = STATE(9396),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(738),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [739] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11560),
    [sym__sequence_expression] = STATE(9344),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(739),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [740] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11560),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(740),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [741] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11560),
    [sym__sequence_expression] = STATE(9320),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(741),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [742] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11560),
    [sym__sequence_expression] = STATE(9237),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(742),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [743] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11560),
    [sym__sequence_expression] = STATE(9275),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(743),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [744] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11560),
    [sym__sequence_expression] = STATE(9262),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(744),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [745] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9620),
    [sym__sequence_expression] = STATE(11554),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(745),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [746] = {
    [sym__simple_expression] = STATE(4493),
    [sym_typed_expression] = STATE(4495),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_labeled_argument] = STATE(5324),
    [sym_prefix_expression] = STATE(4495),
    [sym_hash_expression] = STATE(4495),
    [sym_field_get_expression] = STATE(4495),
    [sym_array_get_expression] = STATE(4495),
    [sym_string_get_expression] = STATE(4495),
    [sym_bigarray_get_expression] = STATE(4495),
    [sym_coercion_expression] = STATE(4495),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(746),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [aux_sym_class_application_repeat1] = STATE(2761),
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym__lowercase_identifier] = ACTIONS(3803),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3805),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(3807),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_POUND] = ACTIONS(3809),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(3811),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [747] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14504),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(747),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [748] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9509),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(748),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [749] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(749),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [750] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13346),
    [sym__sequence_expression] = STATE(9396),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(750),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [751] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13346),
    [sym__sequence_expression] = STATE(9344),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(751),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [752] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13346),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(752),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [753] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13346),
    [sym__sequence_expression] = STATE(9320),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(753),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [754] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13346),
    [sym__sequence_expression] = STATE(9237),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(754),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [755] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13346),
    [sym__sequence_expression] = STATE(9275),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(755),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [756] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13346),
    [sym__sequence_expression] = STATE(9262),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(756),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [757] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14523),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(757),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [758] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9402),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(758),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [759] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14419),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(759),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [760] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9509),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(760),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [761] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14427),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(761),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [762] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12846),
    [sym__sequence_expression] = STATE(11610),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(762),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [763] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13245),
    [sym__sequence_expression] = STATE(9396),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(763),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [764] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13245),
    [sym__sequence_expression] = STATE(9344),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(764),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [765] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13245),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(765),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [766] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13245),
    [sym__sequence_expression] = STATE(9320),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(766),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [767] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13245),
    [sym__sequence_expression] = STATE(9237),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(767),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [768] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13245),
    [sym__sequence_expression] = STATE(9275),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(768),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [769] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13245),
    [sym__sequence_expression] = STATE(9262),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(769),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [770] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19476),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(770),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [771] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9963),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(771),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [772] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11560),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(772),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [773] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13366),
    [sym__sequence_expression] = STATE(9396),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(773),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [774] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13366),
    [sym__sequence_expression] = STATE(9344),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(774),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [775] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13366),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(775),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [776] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13366),
    [sym__sequence_expression] = STATE(9320),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(776),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [777] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13366),
    [sym__sequence_expression] = STATE(9237),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(777),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [778] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13366),
    [sym__sequence_expression] = STATE(9275),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(778),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [779] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13366),
    [sym__sequence_expression] = STATE(9262),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(779),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [780] = {
    [sym__simple_expression] = STATE(4735),
    [sym_typed_expression] = STATE(4467),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_labeled_argument] = STATE(5324),
    [sym_prefix_expression] = STATE(4467),
    [sym_hash_expression] = STATE(4467),
    [sym_field_get_expression] = STATE(4467),
    [sym_array_get_expression] = STATE(4467),
    [sym_string_get_expression] = STATE(4467),
    [sym_bigarray_get_expression] = STATE(4467),
    [sym_coercion_expression] = STATE(4467),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(780),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [aux_sym_class_application_repeat1] = STATE(2762),
    [sym__lowercase_identifier] = ACTIONS(3813),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_QMARK] = ACTIONS(3815),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_RBRACK] = ACTIONS(3535),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(3817),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_POUND] = ACTIONS(3819),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(3821),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [781] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18700),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(781),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [782] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9620),
    [sym__sequence_expression] = STATE(11458),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(782),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [783] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14483),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(783),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [784] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9640),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(784),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [785] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9521),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(785),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [786] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9521),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(786),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [787] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9521),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(787),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [788] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9521),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(788),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [789] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9521),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(789),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [790] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9521),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(790),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [791] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9521),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(791),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [792] = {
    [sym__simple_expression] = STATE(4547),
    [sym_typed_expression] = STATE(4501),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_labeled_argument] = STATE(5527),
    [sym_prefix_expression] = STATE(4501),
    [sym_hash_expression] = STATE(4501),
    [sym_field_get_expression] = STATE(4501),
    [sym_array_get_expression] = STATE(4501),
    [sym_string_get_expression] = STATE(4501),
    [sym_bigarray_get_expression] = STATE(4501),
    [sym_coercion_expression] = STATE(4501),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(792),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [aux_sym_class_application_repeat1] = STATE(2765),
    [sym__lowercase_identifier] = ACTIONS(3823),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3825),
    [anon_sym_QMARK] = ACTIONS(3825),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(3827),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_end] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_POUND] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(3831),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [793] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14315),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(793),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [794] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9509),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(794),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [795] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14329),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(795),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [796] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10894),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(796),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [797] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9303),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(797),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [798] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9303),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(798),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [799] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9303),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(799),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [800] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9303),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(800),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [801] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9303),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(801),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [802] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9303),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(802),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [803] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9303),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(803),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [804] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14349),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(804),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [805] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14385),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(805),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [806] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13512),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(806),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [807] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(807),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [808] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(808),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [809] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(809),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [810] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(810),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [811] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(811),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [812] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(812),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [813] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(813),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [814] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14455),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(814),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [815] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19455),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(815),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [816] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9509),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(816),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [817] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18998),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(817),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [818] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9620),
    [sym__sequence_expression] = STATE(11527),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(818),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [819] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13346),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(819),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [820] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10720),
    [sym__sequence_expression] = STATE(9396),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(820),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [821] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10720),
    [sym__sequence_expression] = STATE(9344),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(821),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [822] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10720),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(822),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [823] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10720),
    [sym__sequence_expression] = STATE(9320),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(823),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [824] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10720),
    [sym__sequence_expression] = STATE(9237),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(824),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [825] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10720),
    [sym__sequence_expression] = STATE(9275),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(825),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [826] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10720),
    [sym__sequence_expression] = STATE(9262),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(826),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [827] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14326),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(827),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [828] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9620),
    [sym__sequence_expression] = STATE(8356),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(828),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [829] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9509),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(829),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [830] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14381),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(830),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [831] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9509),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(831),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [832] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13245),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(832),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [833] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9436),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(833),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [834] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9436),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(834),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [835] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9436),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(835),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [836] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9436),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(836),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [837] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9436),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(837),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [838] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9436),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(838),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [839] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9436),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(839),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [840] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14418),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(840),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [841] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14425),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(841),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [842] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13556),
    [sym__sequence_expression] = STATE(11610),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(842),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [843] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14444),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(843),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [844] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13366),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(844),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [845] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19835),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(845),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [846] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9449),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(846),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [847] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9449),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(847),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [848] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9449),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(848),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [849] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9449),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(849),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [850] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9449),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(850),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [851] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9449),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(851),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [852] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9449),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(852),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [853] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14360),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(853),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [854] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14361),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(854),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [855] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9640),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(855),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [856] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14375),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(856),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [857] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20063),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(857),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [858] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9355),
    [sym__sequence_expression] = STATE(8356),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(858),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [859] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12369),
    [sym__sequence_expression] = STATE(11604),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(859),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [860] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12369),
    [sym__sequence_expression] = STATE(11671),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(860),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [861] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12369),
    [sym__sequence_expression] = STATE(11680),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(861),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [862] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12369),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(862),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [863] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12369),
    [sym__sequence_expression] = STATE(11741),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(863),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [864] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12369),
    [sym__sequence_expression] = STATE(11928),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(864),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [865] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12369),
    [sym__sequence_expression] = STATE(11638),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(865),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [866] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14441),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(866),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [867] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9640),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(867),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [868] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9640),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(868),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [869] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22128),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(869),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [870] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11980),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(870),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [871] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10720),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(871),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [872] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9963),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(872),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [873] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11980),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(873),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [874] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9640),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(874),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [875] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11980),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(875),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [876] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11980),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(876),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [877] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13256),
    [sym__sequence_expression] = STATE(11610),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(877),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [878] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11980),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(878),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [879] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14442),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(879),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [880] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9640),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(880),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [881] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9963),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(881),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [882] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(882),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [883] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13171),
    [sym__sequence_expression] = STATE(11610),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(883),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [884] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11980),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(884),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [885] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9963),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(885),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [886] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9640),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(886),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [887] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(887),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [888] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9963),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(888),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [889] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9640),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(889),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [890] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9620),
    [sym__sequence_expression] = STATE(11417),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(890),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [891] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11980),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(891),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [892] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9521),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(892),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [893] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13121),
    [sym__sequence_expression] = STATE(15472),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(893),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [894] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9303),
    [sym__sequence_expression] = STATE(8356),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(894),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [895] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19033),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(895),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [896] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9963),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(896),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [897] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9660),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(897),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [898] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9963),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(898),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [899] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12369),
    [sym__sequence_expression] = STATE(11610),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(899),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [900] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13121),
    [sym__sequence_expression] = STATE(15316),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(900),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [901] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9402),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(901),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [902] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13121),
    [sym__sequence_expression] = STATE(15557),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(902),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [903] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(8356),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(903),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [904] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13121),
    [sym__sequence_expression] = STATE(15417),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(904),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [905] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13121),
    [sym__sequence_expression] = STATE(15535),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(905),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [906] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9963),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(906),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [907] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14101),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(907),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [908] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9436),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(908),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [909] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11980),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(909),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [910] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14101),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(910),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [911] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14101),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(911),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [912] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13575),
    [sym__sequence_expression] = STATE(9396),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(912),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [913] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9449),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(913),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [914] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13575),
    [sym__sequence_expression] = STATE(9344),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(914),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [915] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13575),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(915),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [916] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13575),
    [sym__sequence_expression] = STATE(9320),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(916),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [917] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13575),
    [sym__sequence_expression] = STATE(9237),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(917),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [918] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14101),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(918),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [919] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13575),
    [sym__sequence_expression] = STATE(9275),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(919),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [920] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9660),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(920),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [921] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13575),
    [sym__sequence_expression] = STATE(9262),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(921),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [922] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13589),
    [sym__sequence_expression] = STATE(9396),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(922),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [923] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13589),
    [sym__sequence_expression] = STATE(9344),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(923),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [924] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13589),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(924),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [925] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13589),
    [sym__sequence_expression] = STATE(9320),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(925),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [926] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13589),
    [sym__sequence_expression] = STATE(9237),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(926),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [927] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14101),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(927),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [928] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14128),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(928),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [929] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13589),
    [sym__sequence_expression] = STATE(9275),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(929),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [930] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14101),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(930),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [931] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13589),
    [sym__sequence_expression] = STATE(9262),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(931),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [932] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13668),
    [sym__sequence_expression] = STATE(9396),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(932),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [933] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9660),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(933),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [934] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13668),
    [sym__sequence_expression] = STATE(9344),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(934),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [935] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13668),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(935),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [936] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13668),
    [sym__sequence_expression] = STATE(9320),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(936),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [937] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13668),
    [sym__sequence_expression] = STATE(9237),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(937),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [938] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9660),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(938),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [939] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14145),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(939),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [940] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13668),
    [sym__sequence_expression] = STATE(9275),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(940),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [941] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9660),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(941),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [942] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13668),
    [sym__sequence_expression] = STATE(9262),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(942),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [943] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(14122),
    [sym__sequence_expression] = STATE(8356),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(943),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [944] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13800),
    [sym__sequence_expression] = STATE(9396),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(944),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [945] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13800),
    [sym__sequence_expression] = STATE(9344),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(945),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [946] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13800),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(946),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [947] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13800),
    [sym__sequence_expression] = STATE(9320),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(947),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [948] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(948),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [949] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13800),
    [sym__sequence_expression] = STATE(9237),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(949),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [950] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14113),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(950),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [951] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13800),
    [sym__sequence_expression] = STATE(9275),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(951),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [952] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13800),
    [sym__sequence_expression] = STATE(9262),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(952),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [953] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10894),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(953),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [954] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11051),
    [sym__sequence_expression] = STATE(9396),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(954),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [955] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11051),
    [sym__sequence_expression] = STATE(9344),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(955),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [956] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11051),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(956),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [957] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11051),
    [sym__sequence_expression] = STATE(9320),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(957),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [958] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10894),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(958),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [959] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11051),
    [sym__sequence_expression] = STATE(9237),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(959),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [960] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11266),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(960),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [961] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11051),
    [sym__sequence_expression] = STATE(9275),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(961),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [962] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11051),
    [sym__sequence_expression] = STATE(9262),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(962),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [963] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10894),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(963),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [964] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13674),
    [sym__sequence_expression] = STATE(8356),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(964),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [965] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13674),
    [sym__sequence_expression] = STATE(18814),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(965),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [966] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12846),
    [sym__sequence_expression] = STATE(11604),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(966),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [967] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(967),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [968] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10894),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(968),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [969] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12846),
    [sym__sequence_expression] = STATE(11671),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(969),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [970] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12846),
    [sym__sequence_expression] = STATE(11680),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(970),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [971] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12846),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(971),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [972] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12846),
    [sym__sequence_expression] = STATE(11741),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(972),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [973] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10894),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(973),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [974] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12846),
    [sym__sequence_expression] = STATE(11928),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(974),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [975] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12846),
    [sym__sequence_expression] = STATE(11638),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(975),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [976] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13797),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(976),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [977] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13797),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(977),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [978] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13674),
    [sym__sequence_expression] = STATE(18799),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(978),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [979] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13797),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(979),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [980] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13797),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(980),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [981] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13797),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(981),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [982] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13797),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(982),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [983] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13797),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(983),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [984] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13512),
    [sym__sequence_expression] = STATE(9396),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(984),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [985] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14101),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(985),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [986] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13512),
    [sym__sequence_expression] = STATE(9344),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(986),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [987] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13512),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(987),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [988] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13512),
    [sym__sequence_expression] = STATE(9320),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(988),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [989] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13512),
    [sym__sequence_expression] = STATE(9237),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(989),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [990] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13512),
    [sym__sequence_expression] = STATE(9275),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(990),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [991] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13512),
    [sym__sequence_expression] = STATE(9262),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(991),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [992] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18990),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(992),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [993] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14148),
    [sym__sequence_expression] = STATE(19033),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(21344),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(993),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [994] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14101),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(994),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [995] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14128),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(995),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [996] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(19012),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(996),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [997] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14128),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(997),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [998] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14128),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(998),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [999] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14128),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(999),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1000] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14128),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1000),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1001] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21335),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1001),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1002] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1002),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1003] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10894),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(1003),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1004] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14128),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1004),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1005] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9760),
    [sym__sequence_expression] = STATE(11417),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1005),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1006] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10894),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(1006),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1007] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21345),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1007),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1008] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14128),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1008),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1009] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9760),
    [sym__sequence_expression] = STATE(11390),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1009),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1010] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9760),
    [sym__sequence_expression] = STATE(11554),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1010),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1011] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18518),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1011),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1012] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18536),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1012),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1013] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21672),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1013),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1014] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9760),
    [sym__sequence_expression] = STATE(11458),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1014),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1015] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22104),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1015),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1016] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22105),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1016),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1017] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22106),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1017),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1018] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22487),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1018),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1019] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22502),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1019),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1020] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22503),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1020),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1021] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19350),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1021),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1022] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18925),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1022),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1023] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19407),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1023),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1024] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18962),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1024),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1025] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19427),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1025),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1026] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19434),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1026),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1027] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13615),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1027),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1028] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13615),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1028),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1029] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13615),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1029),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1030] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13615),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1030),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1031] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13615),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1031),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1032] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13615),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1032),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1033] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13615),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1033),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1034] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(9969),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(1034),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1035] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10037),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(1035),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1036] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9509),
    [sym__sequence_expression] = STATE(8356),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(1036),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1037] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9760),
    [sym__sequence_expression] = STATE(11527),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1037),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1038] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13325),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(1038),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1039] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13325),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(1039),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1040] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13325),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(1040),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1041] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13325),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(1041),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1042] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13325),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(1042),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1043] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13325),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(1043),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1044] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13325),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(1044),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1045] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14145),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1045),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1046] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13199),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(1046),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1047] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9579),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1047),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1048] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9480),
    [sym__sequence_expression] = STATE(8356),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1048),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1049] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9402),
    [sym__sequence_expression] = STATE(8356),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1049),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1050] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9589),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(1050),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1051] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9550),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(1051),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1052] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13615),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1052),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1053] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21352),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1053),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1054] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18396),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1054),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1055] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18398),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1055),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1056] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20621),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1056),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1057] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20812),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1057),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1058] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20817),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1058),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1059] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20818),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1059),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1060] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21209),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1060),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1061] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21210),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1061),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1062] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21215),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1062),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1063] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21318),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1063),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1064] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18780),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1064),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1065] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21390),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1065),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1066] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18812),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1066),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1067] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21404),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1067),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1068] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21412),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1068),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1069] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13575),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1069),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1070] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14145),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1070),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1071] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18996),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1071),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1072] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(18999),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1072),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1073] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21869),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1073),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1074] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22012),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1074),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1075] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22013),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1075),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1076] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22015),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1076),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1077] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22116),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1077),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1078] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22117),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1078),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1079] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22119),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1079),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1080] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22269),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1080),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1081] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(19209),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1081),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1082] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20310),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1082),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1083] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14116),
    [sym__sequence_expression] = STATE(19217),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1083),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1084] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19786),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1084),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1085] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21987),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1085),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1086] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13589),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(1086),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1087] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18142),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1087),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1088] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20269),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1088),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1089] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19818),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1089),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1090] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19827),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1090),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1091] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19834),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1091),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1092] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22321),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1092),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1093] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22326),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1093),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1094] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22336),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1094),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1095] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19788),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1095),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1096] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20667),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1096),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1097] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19959),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1097),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1098] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20783),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1098),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1099] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14145),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1099),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1100] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19010),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1100),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1101] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20748),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1101),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1102] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19628),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1102),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1103] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19650),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1103),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1104] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19678),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1104),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1105] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20265),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1105),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1106] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20336),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1106),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1107] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20367),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1107),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1108] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21188),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1108),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1109] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21259),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1109),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1110] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21303),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1110),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1111] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21315),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1111),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1112] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13668),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1112),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1113] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18543),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1113),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1114] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20071),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1114),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1115] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19495),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1115),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1116] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19550),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1116),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1117] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19643),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1117),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1118] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21311),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1118),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1119] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21322),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1119),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1120] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21324),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1120),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1121] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14145),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1121),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1122] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18752),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1122),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1123] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21356),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1123),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1124] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9509),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(1124),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1125] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22036),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1125),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1126] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22044),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1126),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1127] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19502),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1127),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1128] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19507),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1128),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1129] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19509),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1129),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1130] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13800),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1130),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1131] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18248),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1131),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1132] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21181),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1132),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1133] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21697),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1133),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1134] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21699),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1134),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1135] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21716),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1135),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1136] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19303),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1136),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1137] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19329),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1137),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1138] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19332),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1138),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1139] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11051),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(1139),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1140] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18320),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1140),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1141] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20498),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1141),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1142] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20726),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1142),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1143] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20727),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1143),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1144] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20736),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1144),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1145] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21176),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1145),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1146] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21177),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1146),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1147] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21178),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1147),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1148] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13121),
    [sym__sequence_expression] = STATE(9942),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(1148),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1149] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19232),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1149),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1150] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(22441),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1150),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1151] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21446),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1151),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1152] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19715),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1152),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1153] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13879),
    [sym__sequence_expression] = STATE(11610),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(1153),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1154] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19477),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1154),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1155] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20914),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1155),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1156] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21060),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1156),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1157] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13856),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(1157),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1158] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19065),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1158),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1159] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20508),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1159),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1160] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21597),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1160),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1161] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21689),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1161),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1162] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21731),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1162),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1163] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19457),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1163),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1164] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19467),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1164),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1165] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19480),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1165),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1166] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13856),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(1166),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1167] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19007),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1167),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1168] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19604),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1168),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1169] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19999),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1169),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1170] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20008),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1170),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1171] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20034),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1171),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1172] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20430),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1172),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1173] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20431),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1173),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1174] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20468),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1174),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1175] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13856),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(1175),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1176] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19112),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1176),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1177] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(22263),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1177),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1178] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21127),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1178),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1179] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19321),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1179),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1180] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21075),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1180),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1181] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20791),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1181),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1182] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20880),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1182),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1183] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20925),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1183),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1184] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13856),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(1184),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1185] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18307),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1185),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1186] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21255),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1186),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1187] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21835),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1187),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1188] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21842),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1188),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1189] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21871),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1189),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1190] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19530),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1190),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1191] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19569),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1191),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1192] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19619),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1192),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1193] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13856),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(1193),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1194] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18556),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1194),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1195] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21029),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1195),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1196] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21116),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1196),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1197] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21120),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1197),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1198] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21126),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1198),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1199] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21191),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1199),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1200] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21193),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1200),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1201] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21207),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1201),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1202] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13856),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(1202),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1203] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19111),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1203),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1204] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(22000),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1204),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1205] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22145),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1205),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1206] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22152),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1206),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1207] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22157),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1207),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1208] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22303),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1208),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1209] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22310),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1209),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1210] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22327),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1210),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1211] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13856),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(1211),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1212] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18503),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1212),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1213] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19624),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1213),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1214] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19733),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1214),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1215] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19734),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1215),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1216] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19743),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1216),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1217] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19861),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1217),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1218] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19862),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1218),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1219] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19870),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1219),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1220] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14145),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1220),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1221] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19032),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1221),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1222] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20365),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1222),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1223] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20426),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1223),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1224] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20427),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1224),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1225] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20428),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1225),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1226] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20492),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1226),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1227] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20497),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1227),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1228] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20504),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1228),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1229] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18227),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1229),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1230] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21006),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1230),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1231] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21076),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1231),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1232] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21096),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1232),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1233] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21098),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1233),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1234] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21201),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1234),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1235] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21202),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1235),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1236] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21203),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1236),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1237] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18648),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1237),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1238] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21938),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1238),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1239] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22103),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1239),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1240] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22133),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1240),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1241] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22138),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1241),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1242] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22296),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1242),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1243] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22313),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1243),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1244] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22320),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1244),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1245] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1245),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1246] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19073),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1246),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1247] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19603),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1247),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1248] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19658),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1248),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1249] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19661),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1249),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1250] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19662),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1250),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1251] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19703),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1251),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1252] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19705),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1252),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1253] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19706),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1253),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1254] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9660),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(1254),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1255] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18134),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1255),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1256] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19973),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1256),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1257] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19301),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1257),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1258] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20015),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1258),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1259] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20021),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1259),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1260] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20048),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1260),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1261] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20049),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1261),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1262] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20053),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1262),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1263] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14145),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1263),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1264] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18270),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1264),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1265] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20311),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1265),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1266] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20404),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1266),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1267] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20406),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1267),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1268] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20407),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1268),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1269] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20452),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1269),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1270] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20459),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1270),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1271] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20460),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1271),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1272] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9592),
    [sym__sequence_expression] = STATE(11417),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1272),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1273] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18564),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1273),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1274] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21089),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1274),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1275] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21121),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1275),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1276] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21124),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1276),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1277] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21125),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1277),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1278] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21148),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1278),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1279] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21149),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1279),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1280] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21150),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1280),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1281] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18770),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1281),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1282] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21307),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1282),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1283] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21347),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1283),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1284] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21348),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1284),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1285] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21349),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1285),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1286] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21367),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1286),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1287] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21368),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1287),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1288] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21369),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1288),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1289] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18893),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1289),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1290] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21630),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1290),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1291] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21745),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1291),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1292] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21748),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1292),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1293] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21749),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1293),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1294] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21806),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1294),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1295] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21809),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1295),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1296] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21810),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1296),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1297] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19225),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1297),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1298] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(22330),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1298),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1299] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22417),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1299),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1300] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22418),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1300),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1301] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22420),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1301),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1302] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22436),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1302),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1303] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22437),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1303),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1304] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22438),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1304),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1305] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10197),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(1305),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1306] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18905),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1306),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1307] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21008),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1307),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1308] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21052),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1308),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1309] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21882),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1309),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1310] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19795),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1310),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1311] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19351),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1311),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1312] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19357),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1312),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1313] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19524),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1313),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1314] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14145),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1314),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1315] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18861),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1315),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1316] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(22276),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1316),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1317] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20290),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1317),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1318] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20408),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1318),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1319] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20451),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1319),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1320] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20295),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1320),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1321] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20482),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1321),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1322] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20483),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1322),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1323] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9592),
    [sym__sequence_expression] = STATE(11390),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1323),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1324] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19003),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1324),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1325] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20547),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1325),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1326] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21065),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1326),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1327] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21087),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1327),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1328] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21105),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1328),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1329] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21565),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1329),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1330] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21646),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1330),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1331] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21650),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1331),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1332] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18278),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1332),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1333] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20493),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1333),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1334] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20772),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1334),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1335] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20787),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1335),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1336] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20833),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1336),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1337] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21132),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1337),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1338] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21156),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1338),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1339] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21162),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1339),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1340] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19256),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1340),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1341] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21439),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1341),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1342] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20286),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1342),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1343] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20386),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1343),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1344] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20387),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1344),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1345] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20944),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1345),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1346] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20996),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1346),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1347] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21016),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1347),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1348] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9592),
    [sym__sequence_expression] = STATE(11554),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1348),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1349] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18462),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1349),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1350] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21976),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1350),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1351] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20247),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1351),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1352] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20250),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1352),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1353] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20264),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1353),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1354] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20335),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1354),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1355] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20353),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1355),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1356] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20364),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1356),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1357] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9592),
    [sym__sequence_expression] = STATE(11458),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1357),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1358] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18832),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1358),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1359] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21432),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1359),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1360] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21753),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1360),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1361] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21784),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1361),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1362] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21797),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1362),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1363] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21974),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1363),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1364] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21989),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1364),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1365] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1365),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1366] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18446),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1366),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1367] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19587),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1367),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1368] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19721),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1368),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1369] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19723),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1369),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1370] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19724),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1370),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1371] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19817),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1371),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1372] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19820),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1372),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1373] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19844),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1373),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1374] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18997),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1374),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1375] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20400),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1375),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1376] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20560),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1376),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1377] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20573),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1377),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1378] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20591),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1378),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1379] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20659),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1379),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1380] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20679),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1380),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1381] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20698),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1381),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1382] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18394),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1382),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1383] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21274),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1383),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1384] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21425),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1384),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1385] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21426),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1385),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1386] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21429),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1386),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1387] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21515),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1387),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1388] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21519),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1388),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1389] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21537),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1389),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1390] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18744),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1390),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1391] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(22216),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1391),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1392] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22422),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1392),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1393] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22424),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1393),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1394] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22456),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1394),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1395] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19305),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1395),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1396] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19306),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1396),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1397] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19308),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1397),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1398] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19197),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1398),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1399] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(19622),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1399),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1400] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19698),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1400),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1401] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19712),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1401),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1402] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19714),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1402),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1403] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19737),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1403),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1404] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19738),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1404),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1405] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19751),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1405),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1406] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19078),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1406),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1407] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20087),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1407),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1408] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20180),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1408),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1409] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20181),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1409),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1410] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20185),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1410),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1411] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20225),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1411),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1412] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20234),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1412),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1413] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20238),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1413),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1414] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18173),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1414),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1415] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20559),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1415),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1416] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20634),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1416),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1417] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20635),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1417),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1418] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20644),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1418),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1419] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20696),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1419),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1420] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20697),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1420),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1421] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20699),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1421),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1422] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18378),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1422),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1423] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21164),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1423),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1424] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21212),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1424),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1425] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21213),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1425),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1426] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21230),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1426),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1427] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21264),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1427),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1428] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21265),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1428),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1429] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21266),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1429),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1430] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18702),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1430),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1431] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21450),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1431),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1432] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21539),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1432),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1433] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21546),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1433),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1434] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21558),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1434),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1435] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21614),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1435),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1436] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21615),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1436),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1437] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21616),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1437),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1438] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18835),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1438),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1439] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21914),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1439),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1440] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21999),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1440),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1441] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22002),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1441),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1442] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22003),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1442),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1443] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22058),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1443),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1444] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22069),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1444),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1445] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22072),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1445),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1446] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19283),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1446),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1447] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(22459),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1447),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1448] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22504),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1448),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1449] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22505),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1449),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1450] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22509),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1450),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1451] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22531),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1451),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1452] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22533),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1452),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1453] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20014),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1453),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1454] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(19014),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1454),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1455] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21083),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1455),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1456] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22247),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1456),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1457] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22259),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1457),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1458] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22261),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1458),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1459] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19672),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1459),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1460] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19798),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1460),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1461] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19828),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1461),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1462] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18135),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1462),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1463] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21234),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1463),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1464] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21665),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1464),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1465] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21684),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1465),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1466] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21718),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1466),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1467] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21991),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1467),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1468] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22048),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1468),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1469] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(22127),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1469),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1470] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(20260),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1470),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1471] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20470),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1471),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1472] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20479),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1472),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1473] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20489),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1473),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1474] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20618),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1474),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1475] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20648),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1475),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1476] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(20649),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1476),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1477] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(21067),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1477),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1478] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21171),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1478),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1479] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21172),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1479),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1480] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21184),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1480),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1481] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21258),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1481),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1482] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21262),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1482),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1483] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(21270),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1483),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1484] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9592),
    [sym__sequence_expression] = STATE(11527),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1484),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1485] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14113),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1485),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1486] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14148),
    [sym__sequence_expression] = STATE(21305),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(21344),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1486),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1487] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1487),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1488] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20565),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1488),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1489] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20572),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1489),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1490] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18734),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1490),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1491] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18735),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1491),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1492] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18736),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1492),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1493] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14129),
    [sym__sequence_expression] = STATE(18737),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(1493),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1494] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19744),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1494),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1495] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14113),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1495),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1496] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14113),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1496),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1497] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22463),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1497),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1498] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19323),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1498),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1499] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19326),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1499),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1500] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14113),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1500),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1501] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11613),
    [sym__sequence_expression] = STATE(9269),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(1501),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1502] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13924),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(1502),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1503] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19684),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1503),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1504] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19742),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1504),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1505] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19749),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1505),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1506] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13924),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(1506),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1507] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13924),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(1507),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1508] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13924),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(1508),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1509] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20143),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1509),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1510] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20192),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1510),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1511] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20196),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1511),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1512] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13924),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(1512),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1513] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13924),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(1513),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1514] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13924),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(1514),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1515] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20528),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1515),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1516] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20578),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1516),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1517] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20580),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1517),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1518] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14113),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1518),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1519] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20894),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1519),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1520] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20927),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1520),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1521] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20932),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1521),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1522] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14196),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1522),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1523] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14113),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1523),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1524] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21053),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1524),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1525] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21071),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1525),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1526] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21073),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1526),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1527] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9624),
    [sym__sequence_expression] = STATE(11417),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1527),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1528] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21246),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1528),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1529] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21280),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1529),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1530] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21283),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1530),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1531] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20284),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1531),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1532] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9624),
    [sym__sequence_expression] = STATE(11390),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1532),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1533] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21477),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1533),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1534] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21520),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1534),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1535] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21529),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1535),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1536] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9624),
    [sym__sequence_expression] = STATE(11554),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1536),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1537] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9624),
    [sym__sequence_expression] = STATE(11458),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1537),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1538] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21737),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1538),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1539] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21778),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1539),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1540] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21782),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1540),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1541] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9624),
    [sym__sequence_expression] = STATE(11527),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1541),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1542] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14113),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(10065),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(1542),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1543] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(9969),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(1543),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1544] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21953),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1544),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1545] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21979),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1545),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1546] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(21985),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1546),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1547] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9620),
    [sym__sequence_expression] = STATE(11390),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(1547),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1548] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(9969),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(1548),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1549] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(9969),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(1549),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1550] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22147),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1550),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1551] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22181),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1551),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1552] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22186),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1552),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1553] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9760),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1553),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1554] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9579),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1554),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1555] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9579),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1555),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1556] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22335),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1556),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1557] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22430),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1557),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1558] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22432),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1558),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1559] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9579),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1559),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1560] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9579),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1560),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1561] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9579),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1561),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1562] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(22528),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1562),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1563] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19310),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1563),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1564] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19312),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1564),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1565] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9579),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1565),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1566] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9579),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(1566),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1567] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(9969),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(1567),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1568] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19359),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1568),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1569] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19373),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1569),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1570] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19375),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1570),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1571] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(9969),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(1571),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1572] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19422),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1572),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1573] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19436),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1573),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1574] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19438),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1574),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1575] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9660),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(1575),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1576] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10192),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(1576),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1577] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(11417),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(1577),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1578] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19485),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1578),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1579] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19499),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1579),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1580] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19501),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1580),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1581] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19543),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1581),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1582] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19554),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1582),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1583] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19555),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1583),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1584] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(9969),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(1584),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1585] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(11390),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(1585),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1586] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19597),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1586),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1587] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19609),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1587),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1588] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19610),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1588),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1589] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19652),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1589),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1590] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19664),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1590),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1591] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19665),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1591),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1592] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(11554),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(1592),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1593] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(11458),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(1593),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1594] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19707),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1594),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1595] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19719),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1595),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1596] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19720),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1596),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1597] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(11527),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(1597),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1598] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(9969),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(1598),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1599] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19762),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1599),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1600] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19771),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1600),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1601] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19772),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1601),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1602] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10037),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(1602),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1603] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19804),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1603),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1604] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19813),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1604),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1605] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19814),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1605),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1606] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10037),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(1606),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1607] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10037),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(1607),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1608] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19845),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1608),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1609] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19854),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1609),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1610] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19855),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1610),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1611] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9592),
    [sym__sequence_expression] = STATE(8356),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1611),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1612] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9480),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1612),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1613] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19886),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1613),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1614] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19895),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1614),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1615] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19896),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1615),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1616] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9480),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1616),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1617] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9480),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1617),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1618] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19927),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1618),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1619] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19936),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1619),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1620] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19937),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1620),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1621] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9480),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1621),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1622] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9480),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1622),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1623] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19968),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1623),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1624] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19977),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1624),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1625] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(19978),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1625),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1626] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9480),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1626),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1627] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9480),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1627),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1628] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20009),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1628),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1629] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20018),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1629),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1630] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20019),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1630),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1631] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10037),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(1631),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1632] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20050),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1632),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1633] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20059),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1633),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1634] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20060),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1634),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1635] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10037),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(1635),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1636] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20091),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1636),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1637] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20100),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1637),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1638] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20101),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1638),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1639] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9402),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1639),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1640] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10162),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(1640),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1641] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20132),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1641),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1642] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20141),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1642),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1643] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20142),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1643),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1644] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9649),
    [sym__sequence_expression] = STATE(11417),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(1644),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1645] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20173),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1645),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1646] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20182),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1646),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1647] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20183),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1647),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1648] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10037),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(1648),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1649] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20213),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1649),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1650] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20222),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1650),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1651] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20223),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1651),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1652] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9649),
    [sym__sequence_expression] = STATE(11390),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(1652),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1653] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20253),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1653),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1654] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20262),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1654),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1655] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20263),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1655),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1656] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9649),
    [sym__sequence_expression] = STATE(11554),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(1656),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1657] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20292),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1657),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1658] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20301),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1658),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1659] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20302),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1659),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1660] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9649),
    [sym__sequence_expression] = STATE(11458),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(1660),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1661] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9649),
    [sym__sequence_expression] = STATE(11527),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(1661),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1662] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20331),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1662),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1663] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20340),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1663),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1664] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20341),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1664),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1665] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10037),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(1665),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1666] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11266),
    [sym__sequence_expression] = STATE(9030),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(1666),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1667] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20370),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1667),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1668] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20379),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1668),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1669] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20380),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1669),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1670] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(14392),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(1670),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1671] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11266),
    [sym__sequence_expression] = STATE(9073),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(1671),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1672] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20409),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1672),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1673] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20418),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1673),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1674] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20419),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1674),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1675] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9624),
    [sym__sequence_expression] = STATE(8356),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1675),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1676] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(9087),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(1676),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1677] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20447),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1677),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1678] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20456),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1678),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1679] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20457),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1679),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1680] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8927),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(1680),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1681] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8929),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(1681),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1682] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20485),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1682),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1683] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20494),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1683),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1684] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20495),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1684),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1685] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8989),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(1685),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1686] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8979),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(1686),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1687] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20523),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1687),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1688] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20532),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1688),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1689] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20533),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1689),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1690] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(9099),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(1690),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1691] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(1691),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1692] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20561),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1692),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1693] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20570),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1693),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1694] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20571),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1694),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1695] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11266),
    [sym__sequence_expression] = STATE(9074),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(1695),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1696] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20599),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1696),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1697] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20608),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1697),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1698] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20609),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1698),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1699] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11266),
    [sym__sequence_expression] = STATE(9075),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(1699),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1700] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20637),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1700),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1701] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20646),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1701),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1702] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20647),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1702),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1703] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13879),
    [sym__sequence_expression] = STATE(11604),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(11657),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(1703),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1704] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11266),
    [sym__sequence_expression] = STATE(9098),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(1704),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1705] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20675),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1705),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1706] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20684),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1706),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1707] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20685),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1707),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1708] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20713),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1708),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1709] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20722),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1709),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1710] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20723),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1710),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1711] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11268),
    [sym__sequence_expression] = STATE(6187),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(1711),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1712] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20751),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1712),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1713] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20760),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1713),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1714] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20761),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1714),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1715] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11266),
    [sym__sequence_expression] = STATE(9072),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(1715),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1716] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20788),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1716),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1717] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20797),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1717),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1718] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20798),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1718),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1719] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11266),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(9354),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(1719),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1720] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20825),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1720),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1721] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20834),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1721),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1722] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14124),
    [sym__sequence_expression] = STATE(20835),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(1722),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1723] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13674),
    [sym__sequence_expression] = STATE(18706),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(1723),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1724] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13674),
    [sym__sequence_expression] = STATE(18714),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(1724),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1725] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13674),
    [sym__sequence_expression] = STATE(18761),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(1725),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1726] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13674),
    [sym__sequence_expression] = STATE(18768),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_sequence_expression] = STATE(8452),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(1726),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1727] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12719),
    [sym__sequence_expression] = STATE(19971),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_sequence_expression] = STATE(6209),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1727),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1728] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1728),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3833),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1729] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1729),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3835),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1730] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1730),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1731] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1731),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3839),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1732] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13666),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1732),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3841),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1733] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13673),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1733),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3843),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1734] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1734),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3845),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1735] = {
    [sym__simple_expression] = STATE(3416),
    [sym_typed_expression] = STATE(3589),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_labeled_argument] = STATE(4913),
    [sym_prefix_expression] = STATE(3589),
    [sym_hash_expression] = STATE(3589),
    [sym_field_get_expression] = STATE(3589),
    [sym_array_get_expression] = STATE(3589),
    [sym_string_get_expression] = STATE(3589),
    [sym_bigarray_get_expression] = STATE(3589),
    [sym_coercion_expression] = STATE(3589),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(1735),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [aux_sym_class_application_repeat1] = STATE(1735),
    [sym__lowercase_identifier] = ACTIONS(3847),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(3854),
    [anon_sym_QMARK] = ACTIONS(3854),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(3860),
    [anon_sym_true] = ACTIONS(3863),
    [anon_sym_false] = ACTIONS(3863),
    [anon_sym_LBRACE] = ACTIONS(3866),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(3869),
    [anon_sym_in] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3872),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(3875),
    [anon_sym_LBRACE_LT] = ACTIONS(3878),
    [anon_sym_begin] = ACTIONS(3881),
    [sym_ocamlyacc_value] = ACTIONS(3884),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3890),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(3893),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3896),
    [anon_sym_DQUOTE] = ACTIONS(3899),
    [sym_prefix_operator] = ACTIONS(3902),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(3905),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(3908),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1736] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1736),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3911),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1737] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1737),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3913),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1738] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1738),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3915),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1739] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1739),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3917),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1740] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1740),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3919),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1741] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1741),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3921),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1742] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1742),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3923),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1743] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13696),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1743),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3925),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1744] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13698),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1744),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3927),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1745] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1745),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3929),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1746] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13969),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1746),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3931),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1747] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13796),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1747),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3933),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1748] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1748),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3935),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1749] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1749),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3937),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1750] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1750),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3939),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1751] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1751),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3941),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1752] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1752),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3943),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1753] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1753),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3945),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1754] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13750),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1754),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3947),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1755] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13751),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1755),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3949),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1756] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13823),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1756),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3951),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1757] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1757),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3953),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1758] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1758),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3955),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1759] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1759),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3957),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1760] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1760),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3959),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1761] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13848),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1761),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3961),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1762] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1762),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3963),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1763] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1763),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3965),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1764] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13865),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1764),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3967),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1765] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13568),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1765),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3969),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1766] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13762),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1766),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3971),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1767] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13866),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1767),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3973),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1768] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1768),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3975),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1769] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1769),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3977),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1770] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1770),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3979),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1771] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1771),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3981),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1772] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13822),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1772),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3983),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1773] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1773),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3985),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1774] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1774),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3987),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1775] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1775),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3989),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1776] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13786),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1776),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3991),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1777] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13790),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1777),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3993),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1778] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1778),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3995),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1779] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13829),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1779),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3997),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1780] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1780),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3999),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1781] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1781),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4001),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1782] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1782),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4003),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1783] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1783),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4005),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1784] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13906),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1784),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4007),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1785] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1785),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4009),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1786] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1786),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4011),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1787] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13815),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1787),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4013),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1788] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13804),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1788),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4015),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1789] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13806),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1789),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4017),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1790] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13971),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1790),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4019),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1791] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13976),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1791),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4021),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1792] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1792),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4023),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1793] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13909),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1793),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4025),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1794] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1794),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4027),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1795] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1795),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4029),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1796] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13966),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1796),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4031),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1797] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1797),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4033),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1798] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1798),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4035),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1799] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1799),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4037),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1800] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13661),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1800),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4039),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1801] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13808),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1801),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4041),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1802] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1802),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4043),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1803] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13612),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1803),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1804] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13614),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1804),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4047),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1805] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13912),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1805),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4049),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1806] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13802),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1806),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4051),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1807] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13916),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1807),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4053),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1808] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1808),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4055),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1809] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13968),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1809),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4057),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1810] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1810),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4059),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1811] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1811),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4061),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1812] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1812),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4063),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1813] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1813),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4065),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1814] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1814),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4067),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1815] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1815),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4069),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1816] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1816),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4071),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1817] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1817),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4073),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1818] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1818),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4075),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1819] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1819),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4077),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1820] = {
    [sym__simple_expression] = STATE(3416),
    [sym_typed_expression] = STATE(3589),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_labeled_argument] = STATE(4913),
    [sym_prefix_expression] = STATE(3589),
    [sym_hash_expression] = STATE(3589),
    [sym_field_get_expression] = STATE(3589),
    [sym_array_get_expression] = STATE(3589),
    [sym_string_get_expression] = STATE(3589),
    [sym_bigarray_get_expression] = STATE(3589),
    [sym_coercion_expression] = STATE(3589),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(1820),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [aux_sym_class_application_repeat1] = STATE(1735),
    [sym__lowercase_identifier] = ACTIONS(3607),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(3609),
    [anon_sym_QMARK] = ACTIONS(3609),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_end] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(503),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(505),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1821] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13932),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1821),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4083),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1822] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13934),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1822),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4085),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1823] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1823),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4087),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1824] = {
    [sym__simple_expression] = STATE(3828),
    [sym_typed_expression] = STATE(3697),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_labeled_argument] = STATE(4706),
    [sym_prefix_expression] = STATE(3697),
    [sym_hash_expression] = STATE(3697),
    [sym_field_get_expression] = STATE(3697),
    [sym_array_get_expression] = STATE(3697),
    [sym_string_get_expression] = STATE(3697),
    [sym_bigarray_get_expression] = STATE(3697),
    [sym_coercion_expression] = STATE(3697),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(1824),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [aux_sym_class_application_repeat1] = STATE(1825),
    [sym__lowercase_identifier] = ACTIONS(3569),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(3571),
    [anon_sym_QMARK] = ACTIONS(3571),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_RBRACK] = ACTIONS(4079),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1825] = {
    [sym__simple_expression] = STATE(3828),
    [sym_typed_expression] = STATE(3697),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_labeled_argument] = STATE(4706),
    [sym_prefix_expression] = STATE(3697),
    [sym_hash_expression] = STATE(3697),
    [sym_field_get_expression] = STATE(3697),
    [sym_array_get_expression] = STATE(3697),
    [sym_string_get_expression] = STATE(3697),
    [sym_bigarray_get_expression] = STATE(3697),
    [sym_coercion_expression] = STATE(3697),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(1825),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [aux_sym_class_application_repeat1] = STATE(1825),
    [sym__lowercase_identifier] = ACTIONS(4089),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(4092),
    [anon_sym_QMARK] = ACTIONS(4092),
    [anon_sym_LPAREN] = ACTIONS(4095),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(4098),
    [anon_sym_RBRACK] = ACTIONS(3850),
    [anon_sym_true] = ACTIONS(4101),
    [anon_sym_false] = ACTIONS(4101),
    [anon_sym_LBRACE] = ACTIONS(4104),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(4107),
    [anon_sym_in] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4110),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(4113),
    [anon_sym_LBRACE_LT] = ACTIONS(4116),
    [anon_sym_begin] = ACTIONS(4119),
    [sym_ocamlyacc_value] = ACTIONS(4122),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4125),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4128),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(4131),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(4134),
    [anon_sym_DQUOTE] = ACTIONS(4137),
    [sym_prefix_operator] = ACTIONS(4140),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(4143),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(4146),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1826] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1826),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4149),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1827] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1827),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4151),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1828] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1828),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4153),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1829] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1829),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4155),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1830] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1830),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4157),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1831] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1831),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4159),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1832] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1832),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4161),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1833] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1833),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4163),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1834] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13795),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1834),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4165),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1835] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13798),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1835),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4167),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1836] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1836),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4169),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1837] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1837),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4171),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1838] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13972),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1838),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4173),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1839] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13974),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1839),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4175),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1840] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1840),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4177),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1841] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1841),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4179),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1842] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1842),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4181),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1843] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1843),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4183),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1844] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1844),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4185),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1845] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1845),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4187),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1846] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1846),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4189),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1847] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1847),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4191),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1848] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1848),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4193),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1849] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1849),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4195),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1850] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13616),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1850),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4197),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1851] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1851),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4199),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1852] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1852),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4201),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1853] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13754),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1853),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4203),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1854] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1854),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4205),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1855] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13651),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1855),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4207),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1856] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13956),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1856),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4209),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1857] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13777),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1857),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4211),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1858] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13656),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1858),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4213),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1859] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13818),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1859),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4215),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1860] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13825),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1860),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4217),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1861] = {
    [sym__simple_expression] = STATE(3790),
    [sym_typed_expression] = STATE(3694),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_labeled_argument] = STATE(4706),
    [sym_prefix_expression] = STATE(3694),
    [sym_hash_expression] = STATE(3694),
    [sym_field_get_expression] = STATE(3694),
    [sym_array_get_expression] = STATE(3694),
    [sym_string_get_expression] = STATE(3694),
    [sym_bigarray_get_expression] = STATE(3694),
    [sym_coercion_expression] = STATE(3694),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(1861),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [aux_sym_class_application_repeat1] = STATE(1861),
    [ts_builtin_sym_end] = ACTIONS(3850),
    [sym__lowercase_identifier] = ACTIONS(4219),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(4222),
    [anon_sym_QMARK] = ACTIONS(4222),
    [anon_sym_LPAREN] = ACTIONS(4225),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(4228),
    [anon_sym_true] = ACTIONS(4231),
    [anon_sym_false] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4234),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(4237),
    [anon_sym_in] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4240),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_LBRACE_LT] = ACTIONS(4246),
    [anon_sym_begin] = ACTIONS(4249),
    [sym_ocamlyacc_value] = ACTIONS(4252),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4258),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(4261),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(4264),
    [anon_sym_DQUOTE] = ACTIONS(4267),
    [sym_prefix_operator] = ACTIONS(4270),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(4273),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(4276),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1862] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13592),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1862),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4279),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1863] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1863),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4281),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1864] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1864),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4283),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1865] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13977),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1865),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4285),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1866] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13602),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1866),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4287),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1867] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1867),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4289),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1868] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1868),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1869] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1869),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4293),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1870] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13755),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1870),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1871] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1871),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4297),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1872] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1872),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4299),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1873] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13632),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1873),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4301),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1874] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13676),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1874),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1875] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1875),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4305),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1876] = {
    [sym__simple_expression] = STATE(4861),
    [sym_typed_expression] = STATE(4853),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_labeled_argument] = STATE(5461),
    [sym_prefix_expression] = STATE(4853),
    [sym_hash_expression] = STATE(4853),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_coercion_expression] = STATE(4853),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(1876),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [aux_sym_class_application_repeat1] = STATE(2772),
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym__lowercase_identifier] = ACTIONS(4307),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(4309),
    [anon_sym_QMARK] = ACTIONS(4309),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(4311),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_POUND] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1113),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(4315),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1877] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1877),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4317),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1878] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1878),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4319),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1879] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1879),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4321),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1880] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1880),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4323),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1881] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1881),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4325),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1882] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1882),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4327),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1883] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1883),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4329),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1884] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1884),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4331),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1885] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1885),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4333),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1886] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1886),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4335),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1887] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13864),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1887),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4337),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1888] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13872),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1888),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4339),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1889] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1889),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4341),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1890] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13919),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1890),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4343),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1891] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1891),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4345),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1892] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1892),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4347),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1893] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1893),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4349),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1894] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13957),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1894),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4351),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1895] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1895),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4353),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1896] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13799),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1896),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1897] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1897),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4357),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1898] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13627),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1898),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4359),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1899] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13807),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1899),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4361),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1900] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13608),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1900),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4363),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1901] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13623),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1901),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4365),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1902] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13847),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1902),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4367),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1903] = {
    [sym__simple_expression] = STATE(5010),
    [sym_typed_expression] = STATE(5000),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_labeled_argument] = STATE(5461),
    [sym_prefix_expression] = STATE(5000),
    [sym_hash_expression] = STATE(5000),
    [sym_field_get_expression] = STATE(5000),
    [sym_array_get_expression] = STATE(5000),
    [sym_string_get_expression] = STATE(5000),
    [sym_bigarray_get_expression] = STATE(5000),
    [sym_coercion_expression] = STATE(5000),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(1903),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [aux_sym_class_application_repeat1] = STATE(2767),
    [sym__lowercase_identifier] = ACTIONS(4369),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(4371),
    [anon_sym_QMARK] = ACTIONS(4371),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_RBRACK] = ACTIONS(3535),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(4373),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_POUND] = ACTIONS(4375),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(4377),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1904] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1904),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4379),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1905] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1905),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4381),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1906] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1906),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4383),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1907] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1907),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4385),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1908] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1908),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4387),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1909] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1909),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4389),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1910] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1910),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4391),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1911] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1911),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4393),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1912] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1912),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4395),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1913] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13780),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1913),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4397),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1914] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13781),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1914),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4399),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1915] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1915),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4401),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1916] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1916),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4403),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1917] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1917),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4405),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1918] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1918),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4407),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1919] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1919),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4409),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1920] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1920),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4411),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1921] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1921),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1922] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1922),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4415),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1923] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1923),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4417),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1924] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13730),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1924),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4419),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1925] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13733),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1925),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4421),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1926] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13852),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1926),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4423),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1927] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13857),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1927),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4425),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1928] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13853),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1928),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1929] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1929),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4429),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1930] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1930),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4431),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1931] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13911),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1931),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4433),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1932] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1932),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4435),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1933] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1933),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4437),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1934] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1934),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4439),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1935] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1935),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4441),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1936] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1936),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4443),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1937] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1937),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4445),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1938] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1938),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4447),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1939] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1939),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4449),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1940] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13887),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1940),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4451),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1941] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13925),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1941),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4453),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1942] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1942),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1943] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1943),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4457),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1944] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1944),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4459),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1945] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1945),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4461),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1946] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1946),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4463),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1947] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1947),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4465),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1948] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1948),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4467),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1949] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1949),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4469),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1950] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1950),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4471),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1951] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1951),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4473),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1952] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1952),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1953] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1953),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4477),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1954] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1954),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4479),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1955] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13965),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1955),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4481),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1956] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1956),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4483),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1957] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13975),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1957),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4485),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1958] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13888),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1958),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4487),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1959] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1959),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4489),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1960] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13900),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1960),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4491),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1961] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1961),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4493),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1962] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1962),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4495),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1963] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1963),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4497),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1964] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1964),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4499),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1965] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1965),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4501),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1966] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13923),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1966),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4503),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1967] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13576),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1967),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4505),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1968] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13577),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1968),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4507),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1969] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1969),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4509),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1970] = {
    [sym__simple_expression] = STATE(4825),
    [sym_typed_expression] = STATE(4970),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_labeled_argument] = STATE(5580),
    [sym_prefix_expression] = STATE(4970),
    [sym_hash_expression] = STATE(4970),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_coercion_expression] = STATE(4970),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(1970),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [aux_sym_class_application_repeat1] = STATE(2768),
    [sym__lowercase_identifier] = ACTIONS(4511),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(4513),
    [anon_sym_QMARK] = ACTIONS(4513),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(4515),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_end] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_POUND] = ACTIONS(4517),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1215),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1217),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(4519),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1971] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13849),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1971),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4521),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1972] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1972),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4523),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1973] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1973),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1974] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13785),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1974),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4527),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1975] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1975),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4529),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1976] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1976),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4531),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1977] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13789),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1977),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4533),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1978] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13584),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1978),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4535),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1979] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13585),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1979),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4537),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1980] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13851),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1980),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4539),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1981] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1981),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4541),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1982] = {
    [sym__simple_expression] = STATE(3790),
    [sym_typed_expression] = STATE(3694),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_labeled_argument] = STATE(4706),
    [sym_prefix_expression] = STATE(3694),
    [sym_hash_expression] = STATE(3694),
    [sym_field_get_expression] = STATE(3694),
    [sym_array_get_expression] = STATE(3694),
    [sym_string_get_expression] = STATE(3694),
    [sym_bigarray_get_expression] = STATE(3694),
    [sym_coercion_expression] = STATE(3694),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(1982),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [aux_sym_class_application_repeat1] = STATE(1861),
    [ts_builtin_sym_end] = ACTIONS(4079),
    [sym__lowercase_identifier] = ACTIONS(3537),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(3541),
    [anon_sym_QMARK] = ACTIONS(3541),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_in] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(451),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1983] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1983),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4543),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1984] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1984),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4545),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1985] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1985),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4547),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1986] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1986),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4549),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1987] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1987),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4551),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1988] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1988),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4553),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1989] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13604),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1989),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4555),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1990] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13607),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1990),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4557),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1991] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1991),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4559),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1992] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1992),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1993] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1993),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4563),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1994] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1994),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4565),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1995] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1995),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4567),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1996] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1996),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4569),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1997] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13606),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1997),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4571),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1998] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1998),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4573),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1999] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(1999),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4575),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2000] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2000),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4577),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2001] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13637),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2001),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4579),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2002] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13625),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2002),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4581),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2003] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13629),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2003),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4583),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2004] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2004),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4585),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2005] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2005),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4587),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2006] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2006),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4589),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2007] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2007),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4591),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2008] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2008),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4593),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2009] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2009),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4595),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2010] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2010),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4597),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2011] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2011),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4599),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2012] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2012),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4601),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2013] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2013),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4603),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2014] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2014),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4605),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2015] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13640),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2015),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4607),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2016] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13643),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2016),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4609),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2017] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2017),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4611),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2018] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2018),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4613),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2019] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2019),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4615),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2020] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2020),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4617),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2021] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2021),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4619),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2022] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2022),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4621),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2023] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2023),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4623),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2024] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2024),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4625),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2025] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2025),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4627),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2026] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2026),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4629),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2027] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2027),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4631),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2028] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13824),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2028),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4633),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2029] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13653),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2029),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4635),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2030] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13657),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2030),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4637),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2031] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13828),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2031),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4639),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2032] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2032),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4641),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2033] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13973),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2033),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4643),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2034] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2034),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4645),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2035] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2035),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4647),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2036] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2036),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4649),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2037] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9524),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2037),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2038] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11441),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2038),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2039] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13476),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2039),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2040] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13261),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2040),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2041] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13265),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2041),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2042] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13266),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2042),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2043] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13268),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2043),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2044] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13272),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2044),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2045] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13282),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2045),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2046] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13285),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2046),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2047] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13286),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2047),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2048] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13292),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2048),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2049] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13293),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2049),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2050] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13294),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2050),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2051] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13983),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2051),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2052] = {
    [sym__simple_expression] = STATE(3920),
    [sym_typed_expression] = STATE(3912),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_labeled_argument] = STATE(4839),
    [sym_prefix_expression] = STATE(3912),
    [sym_hash_expression] = STATE(3912),
    [sym_field_get_expression] = STATE(3912),
    [sym_array_get_expression] = STATE(3912),
    [sym_string_get_expression] = STATE(3912),
    [sym_bigarray_get_expression] = STATE(3912),
    [sym_coercion_expression] = STATE(3912),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2052),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [aux_sym_class_application_repeat1] = STATE(2052),
    [ts_builtin_sym_end] = ACTIONS(3850),
    [sym__lowercase_identifier] = ACTIONS(4651),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(4654),
    [anon_sym_QMARK] = ACTIONS(4654),
    [anon_sym_LPAREN] = ACTIONS(4657),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(4660),
    [anon_sym_true] = ACTIONS(4663),
    [anon_sym_false] = ACTIONS(4663),
    [anon_sym_LBRACE] = ACTIONS(4666),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(4669),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4672),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(4675),
    [anon_sym_LBRACE_LT] = ACTIONS(4678),
    [anon_sym_begin] = ACTIONS(4681),
    [sym_ocamlyacc_value] = ACTIONS(4684),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4690),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(4693),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(4696),
    [anon_sym_DQUOTE] = ACTIONS(4699),
    [sym_prefix_operator] = ACTIONS(4702),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(4705),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(4708),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2053] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13296),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2053),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2054] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14173),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2054),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2055] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13508),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2055),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2056] = {
    [sym__simple_expression] = STATE(3980),
    [sym_typed_expression] = STATE(4009),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_labeled_argument] = STATE(5361),
    [sym_prefix_expression] = STATE(4009),
    [sym_hash_expression] = STATE(4009),
    [sym_field_get_expression] = STATE(4009),
    [sym_array_get_expression] = STATE(4009),
    [sym_string_get_expression] = STATE(4009),
    [sym_bigarray_get_expression] = STATE(4009),
    [sym_coercion_expression] = STATE(4009),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2056),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [aux_sym_class_application_repeat1] = STATE(2056),
    [sym__lowercase_identifier] = ACTIONS(4711),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(4714),
    [anon_sym_QMARK] = ACTIONS(4714),
    [anon_sym_LPAREN] = ACTIONS(4717),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(4720),
    [anon_sym_true] = ACTIONS(4723),
    [anon_sym_false] = ACTIONS(4723),
    [anon_sym_LBRACE] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(4729),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4732),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(4735),
    [anon_sym_LBRACE_LT] = ACTIONS(4738),
    [anon_sym_begin] = ACTIONS(4741),
    [sym_ocamlyacc_value] = ACTIONS(4744),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4747),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4750),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(4753),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(4756),
    [anon_sym_DQUOTE] = ACTIONS(4759),
    [sym_prefix_operator] = ACTIONS(4762),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(4765),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(4768),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2057] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13411),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2057),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2058] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13386),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2058),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2059] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13447),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2059),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2060] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13450),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2060),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2061] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13451),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2061),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2062] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13452),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2062),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2063] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13453),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2063),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2064] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13454),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2064),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2065] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13455),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2065),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2066] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13456),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2066),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2067] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13457),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2067),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2068] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13458),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2068),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2069] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13461),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2069),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2070] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13463),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2070),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2071] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9418),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2071),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2072] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13488),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2072),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2073] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13504),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2073),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2074] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13507),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2074),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2075] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13509),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2075),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2076] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13514),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2076),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2077] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13519),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2077),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2078] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13526),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2078),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2079] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13527),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2079),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2080] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13535),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2080),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2081] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13540),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2081),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2082] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13542),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2082),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2083] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13545),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2083),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2084] = {
    [sym_value_definition] = STATE(20863),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13547),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7096),
    [sym_array_get_expression] = STATE(7096),
    [sym_string_get_expression] = STATE(7096),
    [sym_bigarray_get_expression] = STATE(7096),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2084),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2072),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(20322),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2085] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9263),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2085),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2086] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9419),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2086),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2087] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9538),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2087),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2088] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9403),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2088),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2089] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9404),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2089),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2090] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9405),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2090),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2091] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9406),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2091),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2092] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9407),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2092),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2093] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9408),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2093),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2094] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9409),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2094),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2095] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9410),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2095),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2096] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9411),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2096),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2097] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9412),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2097),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2098] = {
    [sym_value_definition] = STATE(21374),
    [sym__simple_expression] = STATE(592),
    [sym__expression] = STATE(9414),
    [sym_typed_expression] = STATE(3912),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3912),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3912),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3689),
    [sym_array_get_expression] = STATE(3689),
    [sym_string_get_expression] = STATE(3689),
    [sym_bigarray_get_expression] = STATE(3689),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3912),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2098),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym_sign_operator] = STATE(2086),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__instance_variable_name] = STATE(20795),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3515),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2099] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9370),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2099),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2100] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9321),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2100),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2101] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9369),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2101),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2102] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9373),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2102),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2103] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13246),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7095),
    [sym_array_get_expression] = STATE(7095),
    [sym_string_get_expression] = STATE(7095),
    [sym_bigarray_get_expression] = STATE(7095),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2103),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2058),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(19823),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1991),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2104] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9375),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2104),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2105] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9377),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2105),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2106] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9379),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2106),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2107] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9380),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2107),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2108] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9381),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2108),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2109] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9383),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2109),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2110] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9384),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2110),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2111] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9385),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2111),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2112] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9389),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2112),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2113] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10723),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2113),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2114] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9388),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2114),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2115] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9314),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2115),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2116] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9317),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2116),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2117] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9318),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2117),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2118] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9330),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2118),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2119] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9331),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2119),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2120] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9346),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2120),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2121] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9225),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2121),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2122] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9227),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2122),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2123] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9230),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2123),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2124] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9239),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2124),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2125] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9244),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2125),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2126] = {
    [sym_value_definition] = STATE(22274),
    [sym__simple_expression] = STATE(404),
    [sym__expression] = STATE(9249),
    [sym_typed_expression] = STATE(3589),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3589),
    [sym_array_expression] = STATE(3589),
    [sym_record_expression] = STATE(3589),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3589),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3589),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3354),
    [sym_array_get_expression] = STATE(3354),
    [sym_string_get_expression] = STATE(3354),
    [sym_bigarray_get_expression] = STATE(3354),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3589),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3589),
    [sym_package_expression] = STATE(3589),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3589),
    [sym_object_copy_expression] = STATE(3589),
    [sym_method_invocation] = STATE(3589),
    [sym_object_expression] = STATE(3589),
    [sym_parenthesized_expression] = STATE(3589),
    [sym_attribute] = STATE(2126),
    [sym_extension] = STATE(3589),
    [sym_quoted_extension] = STATE(3589),
    [sym__constant] = STATE(3589),
    [sym_number] = STATE(3508),
    [sym_character] = STATE(3508),
    [sym_string] = STATE(3508),
    [sym_quoted_string] = STATE(3508),
    [sym_boolean] = STATE(3508),
    [sym_unit] = STATE(3508),
    [sym_sign_operator] = STATE(2114),
    [sym__value_name] = STATE(3475),
    [sym_parenthesized_operator] = STATE(3425),
    [sym_value_path] = STATE(3589),
    [sym_module_path] = STATE(20785),
    [sym_constructor_path] = STATE(3589),
    [sym__instance_variable_name] = STATE(21701),
    [sym__constructor_name] = STATE(3540),
    [sym_tag] = STATE(3589),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2127] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9491),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2127),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2128] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10732),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2128),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2129] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10631),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2129),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2130] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10632),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2130),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2131] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10633),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2131),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2132] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10634),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2132),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2133] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10635),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2133),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2134] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10636),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2134),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2135] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10637),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2135),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2136] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10638),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2136),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2137] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10639),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2137),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2138] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10640),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2138),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2139] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10641),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2139),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2140] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10642),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5686),
    [sym_array_get_expression] = STATE(5686),
    [sym_string_get_expression] = STATE(5686),
    [sym_bigarray_get_expression] = STATE(5686),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2140),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(22141),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2141] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9520),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2141),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2142] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9492),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2142),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2143] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9440),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2143),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2144] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9441),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2144),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2145] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9442),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2145),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2146] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9444),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2146),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2147] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9445),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2147),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2148] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9447),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2148),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2149] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9448),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2149),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2150] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9450),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2150),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2151] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9451),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2151),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2152] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9452),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2152),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2153] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9453),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2153),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2154] = {
    [sym_value_definition] = STATE(20769),
    [sym__simple_expression] = STATE(594),
    [sym__expression] = STATE(9455),
    [sym_typed_expression] = STATE(3973),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3973),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3973),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3800),
    [sym_array_get_expression] = STATE(3800),
    [sym_string_get_expression] = STATE(3800),
    [sym_bigarray_get_expression] = STATE(3800),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3973),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2154),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym_sign_operator] = STATE(2142),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__instance_variable_name] = STATE(20005),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [sym__lowercase_identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2155] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9460),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2155),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2156] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9461),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2156),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2157] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9462),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2157),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2158] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9463),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2158),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2159] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9465),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2159),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2160] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9467),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2160),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2161] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9468),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2161),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2162] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9469),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2162),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2163] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9470),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2163),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2164] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9471),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2164),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2165] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9472),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2165),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2166] = {
    [sym_value_definition] = STATE(19468),
    [sym__simple_expression] = STATE(596),
    [sym__expression] = STATE(9474),
    [sym_typed_expression] = STATE(4009),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4009),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4009),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3819),
    [sym_array_get_expression] = STATE(3819),
    [sym_string_get_expression] = STATE(3819),
    [sym_bigarray_get_expression] = STATE(3819),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4009),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2166),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym_sign_operator] = STATE(2037),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__instance_variable_name] = STATE(20520),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [sym__lowercase_identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_fun] = ACTIONS(691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3581),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(723),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2167] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14176),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2167),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2168] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2168),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2169] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13984),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2169),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2170] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13987),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2170),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2171] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13990),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2171),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2172] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13991),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2172),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2173] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13999),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2173),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2174] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14000),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2174),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2175] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14046),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2175),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2176] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2176),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2177] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14058),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2177),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2178] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14076),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2178),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2179] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11791),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2179),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2180] = {
    [sym_value_definition] = STATE(21678),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(14181),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7826),
    [sym_array_get_expression] = STATE(7826),
    [sym_string_get_expression] = STATE(7826),
    [sym_bigarray_get_expression] = STATE(7826),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2180),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19931),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2181] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9753),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2181),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2182] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14135),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2182),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2183] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13677),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2183),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2184] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13679),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2184),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2185] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13680),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2185),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2186] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13681),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2186),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2187] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13682),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2187),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2188] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13683),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2188),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2189] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13684),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2189),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2190] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13685),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2190),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2191] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13686),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2191),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2192] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13687),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2192),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2193] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13688),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2193),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2194] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13689),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2194),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2195] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14038),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2195),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2196] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14054),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2196),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2197] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14081),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2197),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2198] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14092),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2198),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2199] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14133),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2199),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2200] = {
    [sym_value_definition] = STATE(19523),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13693),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7288),
    [sym_array_get_expression] = STATE(7288),
    [sym_string_get_expression] = STATE(7288),
    [sym_bigarray_get_expression] = STATE(7288),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2200),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2183),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2201] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14136),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2201),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2202] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13880),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2202),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2203] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14146),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2203),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2204] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13701),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2204),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2205] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13702),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2205),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2206] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13703),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2206),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2207] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13704),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2207),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2208] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13705),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2208),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2209] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13706),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2209),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2210] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13707),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2210),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2211] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13708),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2211),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2212] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13709),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2212),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2213] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13710),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2213),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2214] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13711),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2214),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2215] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14155),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2215),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2216] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14157),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2216),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2217] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14162),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2217),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2218] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14166),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2218),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2219] = {
    [sym_value_definition] = STATE(20830),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13712),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7289),
    [sym_array_get_expression] = STATE(7289),
    [sym_string_get_expression] = STATE(7289),
    [sym_bigarray_get_expression] = STATE(7289),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2219),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(20794),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3161),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3187),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2220] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13830),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2220),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2221] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13716),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2221),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2222] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13718),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2222),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2223] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13719),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2223),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2224] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13720),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2224),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2225] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13721),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2225),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2226] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13722),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2226),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2227] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13723),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2227),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2228] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13724),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2228),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2229] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13725),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2229),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2230] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13726),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2230),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2231] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13727),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2231),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2232] = {
    [sym_value_definition] = STATE(20642),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(14111),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7981),
    [sym_array_get_expression] = STATE(7981),
    [sym_string_get_expression] = STATE(7981),
    [sym_bigarray_get_expression] = STATE(7981),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2232),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20252),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2233] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14096),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2233),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2234] = {
    [sym_value_definition] = STATE(19482),
    [sym__simple_expression] = STATE(2837),
    [sym__expression] = STATE(13729),
    [sym_typed_expression] = STATE(7958),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7958),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7958),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7958),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2234),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__instance_variable_name] = STATE(19450),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [sym__lowercase_identifier] = ACTIONS(3075),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_fun] = ACTIONS(3089),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3121),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2235] = {
    [sym__simple_expression] = STATE(5217),
    [sym_typed_expression] = STATE(5293),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_labeled_argument] = STATE(5560),
    [sym_prefix_expression] = STATE(5293),
    [sym_hash_expression] = STATE(5293),
    [sym_field_get_expression] = STATE(5293),
    [sym_array_get_expression] = STATE(5293),
    [sym_string_get_expression] = STATE(5293),
    [sym_bigarray_get_expression] = STATE(5293),
    [sym_coercion_expression] = STATE(5293),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2235),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [aux_sym_class_application_repeat1] = STATE(2775),
    [sym__lowercase_identifier] = ACTIONS(4771),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(4773),
    [anon_sym_QMARK] = ACTIONS(4773),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(3535),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_DOT] = ACTIONS(4775),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_POUND] = ACTIONS(4777),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(4779),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2236] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13588),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2236),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2237] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10115),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2237),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2238] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13735),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2238),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2239] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13736),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2239),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2240] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13737),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2240),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2241] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13738),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2241),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2242] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13739),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2242),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2243] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13740),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2243),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2244] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13741),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2244),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2245] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13742),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2245),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2246] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13743),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2246),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2247] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13744),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2247),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2248] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13746),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2248),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2249] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10089),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2249),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2250] = {
    [sym_value_definition] = STATE(20172),
    [sym__simple_expression] = STATE(2841),
    [sym__expression] = STATE(13748),
    [sym_typed_expression] = STATE(7889),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7889),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7889),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7291),
    [sym_array_get_expression] = STATE(7291),
    [sym_string_get_expression] = STATE(7291),
    [sym_bigarray_get_expression] = STATE(7291),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7889),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2250),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym_sign_operator] = STATE(2236),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2251] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10092),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2251),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2252] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10786),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2252),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2253] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10094),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2253),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2254] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10975),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2254),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2255] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10976),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2255),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2256] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10977),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2256),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2257] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10978),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2257),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2258] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10979),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2258),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2259] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10980),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2259),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2260] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10981),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2260),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2261] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10982),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2261),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2262] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10983),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2262),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2263] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10984),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2263),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2264] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10985),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2264),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2265] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10095),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2265),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2266] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10096),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2266),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2267] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10098),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2267),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2268] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10099),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2268),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2269] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10100),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2269),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2270] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10101),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2270),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2271] = {
    [sym_value_definition] = STATE(22522),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10988),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(5773),
    [sym_array_get_expression] = STATE(5773),
    [sym_string_get_expression] = STATE(5773),
    [sym_bigarray_get_expression] = STATE(5773),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2271),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2272] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10102),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2272),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2273] = {
    [sym__simple_expression] = STATE(4235),
    [sym_typed_expression] = STATE(4260),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_labeled_argument] = STATE(4809),
    [sym_prefix_expression] = STATE(4260),
    [sym_hash_expression] = STATE(4260),
    [sym_field_get_expression] = STATE(4260),
    [sym_array_get_expression] = STATE(4260),
    [sym_string_get_expression] = STATE(4260),
    [sym_bigarray_get_expression] = STATE(4260),
    [sym_coercion_expression] = STATE(4260),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2273),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [aux_sym_class_application_repeat1] = STATE(2274),
    [sym__lowercase_identifier] = ACTIONS(3655),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(3657),
    [anon_sym_QMARK] = ACTIONS(3657),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(4079),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_in] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(889),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2274] = {
    [sym__simple_expression] = STATE(4235),
    [sym_typed_expression] = STATE(4260),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_labeled_argument] = STATE(4809),
    [sym_prefix_expression] = STATE(4260),
    [sym_hash_expression] = STATE(4260),
    [sym_field_get_expression] = STATE(4260),
    [sym_array_get_expression] = STATE(4260),
    [sym_string_get_expression] = STATE(4260),
    [sym_bigarray_get_expression] = STATE(4260),
    [sym_coercion_expression] = STATE(4260),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2274),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [aux_sym_class_application_repeat1] = STATE(2274),
    [sym__lowercase_identifier] = ACTIONS(4781),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(4784),
    [anon_sym_QMARK] = ACTIONS(4784),
    [anon_sym_LPAREN] = ACTIONS(4787),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(4790),
    [anon_sym_RBRACK] = ACTIONS(3850),
    [anon_sym_true] = ACTIONS(4793),
    [anon_sym_false] = ACTIONS(4793),
    [anon_sym_LBRACE] = ACTIONS(4796),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(4799),
    [anon_sym_in] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4802),
    [anon_sym_new] = ACTIONS(4805),
    [anon_sym_LBRACE_LT] = ACTIONS(4808),
    [anon_sym_begin] = ACTIONS(4811),
    [sym_ocamlyacc_value] = ACTIONS(4814),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4817),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4820),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(4823),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(4826),
    [anon_sym_DQUOTE] = ACTIONS(4829),
    [sym_prefix_operator] = ACTIONS(4832),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(4835),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(4838),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2275] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(10103),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2275),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2276] = {
    [sym__simple_expression] = STATE(5244),
    [sym_typed_expression] = STATE(5443),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_labeled_argument] = STATE(5560),
    [sym_prefix_expression] = STATE(5443),
    [sym_hash_expression] = STATE(5443),
    [sym_field_get_expression] = STATE(5443),
    [sym_array_get_expression] = STATE(5443),
    [sym_string_get_expression] = STATE(5443),
    [sym_bigarray_get_expression] = STATE(5443),
    [sym_coercion_expression] = STATE(5443),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2276),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [aux_sym_class_application_repeat1] = STATE(2773),
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym__lowercase_identifier] = ACTIONS(4841),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4843),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(4845),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_POUND] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(4849),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2277] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10008),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2277),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2278] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12163),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2278),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2279] = {
    [sym_value_definition] = STATE(20062),
    [sym__simple_expression] = STATE(2235),
    [sym__expression] = STATE(9984),
    [sym_typed_expression] = STATE(5293),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5293),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5293),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4783),
    [sym_array_get_expression] = STATE(4783),
    [sym_string_get_expression] = STATE(4783),
    [sym_bigarray_get_expression] = STATE(4783),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5293),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2279),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym_sign_operator] = STATE(2237),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__instance_variable_name] = STATE(20017),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3589),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2280] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13678),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2280),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2281] = {
    [sym__simple_expression] = STATE(5265),
    [sym_typed_expression] = STATE(5382),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_labeled_argument] = STATE(5614),
    [sym_prefix_expression] = STATE(5382),
    [sym_hash_expression] = STATE(5382),
    [sym_field_get_expression] = STATE(5382),
    [sym_array_get_expression] = STATE(5382),
    [sym_string_get_expression] = STATE(5382),
    [sym_bigarray_get_expression] = STATE(5382),
    [sym_coercion_expression] = STATE(5382),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2281),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [aux_sym_class_application_repeat1] = STATE(2778),
    [sym__lowercase_identifier] = ACTIONS(4851),
    [anon_sym_SEMI_SEMI] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_external] = ACTIONS(3539),
    [anon_sym_type] = ACTIONS(3539),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym_exception] = ACTIONS(3539),
    [anon_sym_module] = ACTIONS(3539),
    [anon_sym_open] = ACTIONS(3539),
    [anon_sym_include] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_end] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_POUND] = ACTIONS(4857),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(4859),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2282] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13764),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2282),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2283] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13765),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2283),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2284] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13766),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2284),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2285] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13767),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2285),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2286] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13768),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2286),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2287] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13769),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2287),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2288] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13770),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2288),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2289] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13771),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2289),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2290] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13772),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2290),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2291] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13773),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2291),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2292] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13774),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2292),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2293] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(9857),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2293),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2294] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(9888),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2294),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2295] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13776),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2295),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2296] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(9809),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2296),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2297] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13467),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2297),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2298] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(9815),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2298),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2299] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2299),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2300] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(9897),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2300),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2301] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13390),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2301),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2302] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13391),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2302),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2303] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13392),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2303),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2304] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13393),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2304),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2305] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13394),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2305),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2306] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13395),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2306),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2307] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13396),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2307),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2308] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13397),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2308),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2309] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13398),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2309),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2310] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13400),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2310),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2311] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(9900),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2311),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2312] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(9920),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2312),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2313] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(9925),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2313),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2314] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(9931),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2314),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2315] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(9932),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2315),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2316] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13403),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2316),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2317] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(9935),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2317),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2318] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10055),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2318),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2319] = {
    [sym__simple_expression] = STATE(3960),
    [sym_typed_expression] = STATE(3973),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_labeled_argument] = STATE(4839),
    [sym_prefix_expression] = STATE(3973),
    [sym_hash_expression] = STATE(3973),
    [sym_field_get_expression] = STATE(3973),
    [sym_array_get_expression] = STATE(3973),
    [sym_string_get_expression] = STATE(3973),
    [sym_bigarray_get_expression] = STATE(3973),
    [sym_coercion_expression] = STATE(3973),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2319),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [aux_sym_class_application_repeat1] = STATE(2322),
    [sym__lowercase_identifier] = ACTIONS(3697),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_QMARK] = ACTIONS(3699),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(4079),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(659),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(661),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(673),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2320] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11961),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2320),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2321] = {
    [sym_value_definition] = STATE(20064),
    [sym__simple_expression] = STATE(2281),
    [sym__expression] = STATE(10106),
    [sym_typed_expression] = STATE(5382),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5382),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5382),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4789),
    [sym_array_get_expression] = STATE(4789),
    [sym_string_get_expression] = STATE(4789),
    [sym_bigarray_get_expression] = STATE(4789),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5382),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2321),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym_sign_operator] = STATE(2293),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__instance_variable_name] = STATE(21328),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [sym__lowercase_identifier] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_fun] = ACTIONS(755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(763),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3625),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3627),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2322] = {
    [sym__simple_expression] = STATE(3960),
    [sym_typed_expression] = STATE(3973),
    [sym_list_expression] = STATE(3973),
    [sym_array_expression] = STATE(3973),
    [sym_record_expression] = STATE(3973),
    [sym_labeled_argument] = STATE(4839),
    [sym_prefix_expression] = STATE(3973),
    [sym_hash_expression] = STATE(3973),
    [sym_field_get_expression] = STATE(3973),
    [sym_array_get_expression] = STATE(3973),
    [sym_string_get_expression] = STATE(3973),
    [sym_bigarray_get_expression] = STATE(3973),
    [sym_coercion_expression] = STATE(3973),
    [sym_local_open_expression] = STATE(3973),
    [sym_package_expression] = STATE(3973),
    [sym_new_expression] = STATE(3973),
    [sym_object_copy_expression] = STATE(3973),
    [sym_method_invocation] = STATE(3973),
    [sym_object_expression] = STATE(3973),
    [sym_parenthesized_expression] = STATE(3973),
    [sym_attribute] = STATE(2322),
    [sym_extension] = STATE(3973),
    [sym_quoted_extension] = STATE(3973),
    [sym__constant] = STATE(3973),
    [sym_number] = STATE(4105),
    [sym_character] = STATE(4105),
    [sym_string] = STATE(4105),
    [sym_quoted_string] = STATE(4105),
    [sym_boolean] = STATE(4105),
    [sym_unit] = STATE(4105),
    [sym__value_name] = STATE(4010),
    [sym_parenthesized_operator] = STATE(4070),
    [sym_value_path] = STATE(3973),
    [sym_module_path] = STATE(20822),
    [sym_constructor_path] = STATE(3973),
    [sym__constructor_name] = STATE(4119),
    [sym_tag] = STATE(3973),
    [aux_sym_class_application_repeat1] = STATE(2322),
    [sym__lowercase_identifier] = ACTIONS(4861),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4864),
    [anon_sym_LPAREN] = ACTIONS(4867),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [anon_sym_RBRACK] = ACTIONS(3850),
    [anon_sym_true] = ACTIONS(4873),
    [anon_sym_false] = ACTIONS(4873),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(4879),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4882),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(4885),
    [anon_sym_LBRACE_LT] = ACTIONS(4888),
    [anon_sym_begin] = ACTIONS(4891),
    [sym_ocamlyacc_value] = ACTIONS(4894),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4897),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4900),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(4903),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(4906),
    [anon_sym_DQUOTE] = ACTIONS(4909),
    [sym_prefix_operator] = ACTIONS(4912),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(4915),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(4918),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2323] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9816),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2323),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2324] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11280),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2324),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2325] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11967),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2325),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2326] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11126),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2326),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2327] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11981),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2327),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2328] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11130),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2328),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2329] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11131),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2329),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2330] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11150),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2330),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2331] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13313),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2331),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2332] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11153),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2332),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2333] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13439),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2333),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2334] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11157),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2334),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2335] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2335),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2336] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11161),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2336),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2337] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11165),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2337),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2338] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11169),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2338),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2339] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11171),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2339),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2340] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13933),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2340),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2341] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13938),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2341),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2342] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13939),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2342),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2343] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13940),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2343),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2344] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13941),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2344),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2345] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13942),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2345),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2346] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13943),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2346),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2347] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13944),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2347),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2348] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13945),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2348),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2349] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13946),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2349),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2350] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13947),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2350),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2351] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13948),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2351),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2352] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11173),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2352),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2353] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11982),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2353),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2354] = {
    [sym_value_definition] = STATE(21092),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(13953),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7661),
    [sym_array_get_expression] = STATE(7661),
    [sym_string_get_expression] = STATE(7661),
    [sym_bigarray_get_expression] = STATE(7661),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2354),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3299),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2355] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11988),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2355),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2356] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12021),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2356),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2357] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12023),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2357),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2358] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12584),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2358),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2359] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12848),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2359),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2360] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12851),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2360),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2361] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12865),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2361),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2362] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12866),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2362),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2363] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12871),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2363),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2364] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12872),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2364),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2365] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12874),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2365),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2366] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12895),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2366),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2367] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12896),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2367),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2368] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12898),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2368),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2369] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12907),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2369),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2370] = {
    [sym_value_definition] = STATE(20965),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(12928),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6666),
    [sym_array_get_expression] = STATE(6666),
    [sym_string_get_expression] = STATE(6666),
    [sym_bigarray_get_expression] = STATE(6666),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2370),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(22176),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2371] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13259),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2371),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2372] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13305),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2372),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2373] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13327),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2373),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2374] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13383),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2374),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2375] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13420),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2375),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2376] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13431),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2376),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2377] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13436),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2377),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2378] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13440),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2378),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2379] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13441),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2379),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2380] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13444),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2380),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2381] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13445),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2381),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2382] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13446),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2382),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2383] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11958),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2383),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2384] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12040),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2384),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2385] = {
    [sym_value_definition] = STATE(21743),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11283),
    [sym_typed_expression] = STATE(5982),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5982),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5982),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5938),
    [sym_array_get_expression] = STATE(5938),
    [sym_string_get_expression] = STATE(5938),
    [sym_bigarray_get_expression] = STATE(5938),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5982),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2385),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym_sign_operator] = STATE(2324),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__instance_variable_name] = STATE(20337),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [sym__lowercase_identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3605),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2386] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12048),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2386),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2387] = {
    [sym_value_definition] = STATE(22201),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13548),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2387),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2371),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(22185),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2388] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12069),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2388),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2389] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9457),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2389),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2390] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14032),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2390),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2391] = {
    [sym__simple_expression] = STATE(4156),
    [sym_typed_expression] = STATE(4158),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_labeled_argument] = STATE(4809),
    [sym_prefix_expression] = STATE(4158),
    [sym_hash_expression] = STATE(4158),
    [sym_field_get_expression] = STATE(4158),
    [sym_array_get_expression] = STATE(4158),
    [sym_string_get_expression] = STATE(4158),
    [sym_bigarray_get_expression] = STATE(4158),
    [sym_coercion_expression] = STATE(4158),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2391),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [aux_sym_class_application_repeat1] = STATE(2459),
    [ts_builtin_sym_end] = ACTIONS(4079),
    [sym__lowercase_identifier] = ACTIONS(3729),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(3731),
    [anon_sym_QMARK] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_in] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(833),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(835),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2392] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13675),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2392),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2393] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9421),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2393),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2394] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13889),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2394),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2395] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12441),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2395),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2396] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12465),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2396),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2397] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12215),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2397),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2398] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12216),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2398),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2399] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12217),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2399),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2400] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12218),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2400),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2401] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12219),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2401),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2402] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12220),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2402),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2403] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12221),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2403),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2404] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12222),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2404),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2405] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12223),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2405),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2406] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12224),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2406),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2407] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12225),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2407),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2408] = {
    [sym_value_definition] = STATE(20893),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12227),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6505),
    [sym_array_get_expression] = STATE(6505),
    [sym_string_get_expression] = STATE(6505),
    [sym_bigarray_get_expression] = STATE(6505),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2408),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(22290),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2409] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13890),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2409),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2410] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13891),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2410),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2411] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13892),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2411),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2412] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13893),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2412),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2413] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13894),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2413),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2414] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13895),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2414),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2415] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13896),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2415),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2416] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13897),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2416),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2417] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13898),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2417),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2418] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13899),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2418),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2419] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9422),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2419),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2420] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9423),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2420),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2421] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9424),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2421),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2422] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9425),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2422),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2423] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13903),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2423),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2424] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9426),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2424),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2425] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9427),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2425),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2426] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9428),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2426),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2427] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9429),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2427),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2428] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9430),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2428),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2429] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9431),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2429),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2430] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13669),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2430),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2431] = {
    [sym_value_definition] = STATE(20515),
    [sym__simple_expression] = STATE(602),
    [sym__expression] = STATE(9443),
    [sym_typed_expression] = STATE(4158),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4158),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4158),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3550),
    [sym_array_get_expression] = STATE(3550),
    [sym_string_get_expression] = STATE(3550),
    [sym_bigarray_get_expression] = STATE(3550),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4158),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2431),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [sym__lowercase_identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3521),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3523),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__uppercase_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2432] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9985),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2432),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2433] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9675),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2433),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2434] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9695),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2434),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2435] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9701),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2435),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2436] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9715),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2436),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2437] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9716),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2437),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2438] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9741),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2438),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2439] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9746),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2439),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2440] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13868),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2440),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2441] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9755),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2441),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2442] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13617),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2442),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2443] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13626),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2443),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2444] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13636),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2444),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2445] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13692),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2445),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2446] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13787),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2446),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2447] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13788),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2447),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2448] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13811),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2448),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2449] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13813),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2449),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2450] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13814),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2450),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2451] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13821),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2451),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2452] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13874),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2452),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2453] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9757),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2453),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2454] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9761),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2454),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2455] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9709),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2455),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2456] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9712),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2456),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2457] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13928),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2457),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2458] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(12013),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2458),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2459] = {
    [sym__simple_expression] = STATE(4156),
    [sym_typed_expression] = STATE(4158),
    [sym_list_expression] = STATE(4158),
    [sym_array_expression] = STATE(4158),
    [sym_record_expression] = STATE(4158),
    [sym_labeled_argument] = STATE(4809),
    [sym_prefix_expression] = STATE(4158),
    [sym_hash_expression] = STATE(4158),
    [sym_field_get_expression] = STATE(4158),
    [sym_array_get_expression] = STATE(4158),
    [sym_string_get_expression] = STATE(4158),
    [sym_bigarray_get_expression] = STATE(4158),
    [sym_coercion_expression] = STATE(4158),
    [sym_local_open_expression] = STATE(4158),
    [sym_package_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_object_copy_expression] = STATE(4158),
    [sym_method_invocation] = STATE(4158),
    [sym_object_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_attribute] = STATE(2459),
    [sym_extension] = STATE(4158),
    [sym_quoted_extension] = STATE(4158),
    [sym__constant] = STATE(4158),
    [sym_number] = STATE(4216),
    [sym_character] = STATE(4216),
    [sym_string] = STATE(4216),
    [sym_quoted_string] = STATE(4216),
    [sym_boolean] = STATE(4216),
    [sym_unit] = STATE(4216),
    [sym__value_name] = STATE(4192),
    [sym_parenthesized_operator] = STATE(4203),
    [sym_value_path] = STATE(4158),
    [sym_module_path] = STATE(22316),
    [sym_constructor_path] = STATE(4158),
    [sym__constructor_name] = STATE(4223),
    [sym_tag] = STATE(4158),
    [aux_sym_class_application_repeat1] = STATE(2459),
    [ts_builtin_sym_end] = ACTIONS(3850),
    [sym__lowercase_identifier] = ACTIONS(4921),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(4924),
    [anon_sym_QMARK] = ACTIONS(4924),
    [anon_sym_LPAREN] = ACTIONS(4927),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_true] = ACTIONS(4933),
    [anon_sym_false] = ACTIONS(4933),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(4939),
    [anon_sym_in] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4942),
    [anon_sym_new] = ACTIONS(4945),
    [anon_sym_LBRACE_LT] = ACTIONS(4948),
    [anon_sym_begin] = ACTIONS(4951),
    [sym_ocamlyacc_value] = ACTIONS(4954),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4960),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(4963),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(4966),
    [anon_sym_DQUOTE] = ACTIONS(4969),
    [sym_prefix_operator] = ACTIONS(4972),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(4975),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(4978),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2460] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9979),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2460),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2461] = {
    [sym_value_definition] = STATE(21600),
    [sym__simple_expression] = STATE(1876),
    [sym__expression] = STATE(9683),
    [sym_typed_expression] = STATE(4853),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4853),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4853),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4676),
    [sym_array_get_expression] = STATE(4676),
    [sym_string_get_expression] = STATE(4676),
    [sym_bigarray_get_expression] = STATE(4676),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4853),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2461),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym_sign_operator] = STATE(2433),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__instance_variable_name] = STATE(21489),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2462] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13662),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2462),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2463] = {
    [sym_value_definition] = STATE(20104),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13876),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7273),
    [sym_array_get_expression] = STATE(7273),
    [sym_string_get_expression] = STATE(7273),
    [sym_bigarray_get_expression] = STATE(7273),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2463),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(20082),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(3209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3219),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2464] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13630),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2464),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2465] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10048),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2465),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2466] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13635),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2466),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2467] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13639),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2467),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2468] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13641),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2468),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2469] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13646),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2469),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2470] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13647),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2470),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2471] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13648),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2471),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2472] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13649),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2472),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2473] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13654),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2473),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2474] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13655),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2474),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2475] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9559),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2475),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2476] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13658),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2476),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2477] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9594),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2477),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2478] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9599),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2478),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2479] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9601),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2479),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2480] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9602),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2480),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2481] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9603),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2481),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2482] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9604),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2482),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2483] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9605),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2483),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2484] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9606),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2484),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2485] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9607),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2485),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2486] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9608),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2486),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2487] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9610),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2487),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2488] = {
    [sym_value_definition] = STATE(20708),
    [sym__simple_expression] = STATE(746),
    [sym__expression] = STATE(9548),
    [sym_typed_expression] = STATE(4495),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4495),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4495),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4228),
    [sym_array_get_expression] = STATE(4228),
    [sym_string_get_expression] = STATE(4228),
    [sym_bigarray_get_expression] = STATE(4228),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4495),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2488),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2475),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__instance_variable_name] = STATE(20670),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3597),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2489] = {
    [sym_value_definition] = STATE(22467),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13763),
    [sym_typed_expression] = STATE(8196),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(8196),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(8196),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(8196),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2489),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym_sign_operator] = STATE(2462),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__instance_variable_name] = STATE(21417),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [sym__lowercase_identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2490] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14132),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2490),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2491] = {
    [sym_value_definition] = STATE(21655),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13569),
    [sym_typed_expression] = STATE(7512),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7512),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7512),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7300),
    [sym_array_get_expression] = STATE(7300),
    [sym_string_get_expression] = STATE(7300),
    [sym_bigarray_get_expression] = STATE(7300),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7512),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2491),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__instance_variable_name] = STATE(21575),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [sym__lowercase_identifier] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_fun] = ACTIONS(3129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3133),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3139),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2492] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13349),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2492),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2493] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9868),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2493),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2494] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13513),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2494),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2495] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13515),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2495),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2496] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13516),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2496),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2497] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13517),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2497),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2498] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13521),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2498),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2499] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13522),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2499),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2500] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13524),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2500),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2501] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9527),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2501),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2502] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13525),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2502),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2503] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9494),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2503),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2504] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9495),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2504),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2505] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9496),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2505),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2506] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9497),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2506),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2507] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9498),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2507),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2508] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9499),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2508),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2509] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9500),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2509),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2510] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9501),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2510),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2511] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9502),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2511),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2512] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9503),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2512),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2513] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9504),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2513),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2514] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13530),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2514),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2515] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13531),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2515),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2516] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13532),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2516),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2517] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10043),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2517),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2518] = {
    [sym_value_definition] = STATE(21236),
    [sym__simple_expression] = STATE(585),
    [sym__expression] = STATE(9505),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3548),
    [sym_array_get_expression] = STATE(3548),
    [sym_string_get_expression] = STATE(3548),
    [sym_bigarray_get_expression] = STATE(3548),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2518),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(3886),
    [sym_character] = STATE(3886),
    [sym_string] = STATE(3886),
    [sym_quoted_string] = STATE(3886),
    [sym_boolean] = STATE(3886),
    [sym_unit] = STATE(3886),
    [sym_sign_operator] = STATE(2501),
    [sym__value_name] = STATE(4332),
    [sym_parenthesized_operator] = STATE(3849),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20045),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21220),
    [sym__constructor_name] = STATE(3902),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3619),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2519] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(13995),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2519),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2520] = {
    [sym_value_definition] = STATE(21669),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(13257),
    [sym_typed_expression] = STATE(7655),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7655),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7655),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6992),
    [sym_array_get_expression] = STATE(6992),
    [sym_string_get_expression] = STATE(6992),
    [sym_bigarray_get_expression] = STATE(6992),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7655),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2520),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__instance_variable_name] = STATE(21320),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [sym__lowercase_identifier] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_fun] = ACTIONS(2193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2521] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9894),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2521),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2522] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13079),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2522),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2523] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14002),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2523),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2524] = {
    [sym_value_definition] = STATE(19876),
    [sym__simple_expression] = STATE(2824),
    [sym__expression] = STATE(13572),
    [sym_typed_expression] = STATE(7572),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7572),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7572),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7326),
    [sym_array_get_expression] = STATE(7326),
    [sym_string_get_expression] = STATE(7326),
    [sym_bigarray_get_expression] = STATE(7326),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7572),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2524),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym_sign_operator] = STATE(2440),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__instance_variable_name] = STATE(19850),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [sym__lowercase_identifier] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2525] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13129),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2525),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2526] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14005),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2526),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2527] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13130),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2527),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2528] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13131),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2528),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2529] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13132),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2529),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2530] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13134),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2530),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2531] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13135),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2531),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2532] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13136),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2532),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2533] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13137),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2533),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2534] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13138),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2534),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2535] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13139),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2535),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2536] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13140),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2536),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2537] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9764),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2537),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2538] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9731),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2538),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2539] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9732),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2539),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2540] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9733),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2540),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2541] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9734),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2541),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2542] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9736),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2542),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2543] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9737),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2543),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2544] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9740),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2544),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2545] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9742),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2545),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2546] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9743),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2546),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2547] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9744),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2547),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2548] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9745),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2548),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2549] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14007),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2549),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2550] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14010),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2550),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2551] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14018),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2551),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2552] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14020),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2552),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2553] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9749),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2553),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2554] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14024),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2554),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2555] = {
    [sym_value_definition] = STATE(21514),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13151),
    [sym_typed_expression] = STATE(6770),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6770),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6770),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6785),
    [sym_array_get_expression] = STATE(6785),
    [sym_string_get_expression] = STATE(6785),
    [sym_bigarray_get_expression] = STATE(6785),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6770),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2555),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym_sign_operator] = STATE(2522),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__instance_variable_name] = STATE(21435),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2556] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14025),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2556),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2557] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11840),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2557),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2558] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14026),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2558),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2559] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11822),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2559),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2560] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1903),
    [sym__expression] = STATE(9656),
    [sym_typed_expression] = STATE(5000),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5000),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5000),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4489),
    [sym_array_get_expression] = STATE(4489),
    [sym_string_get_expression] = STATE(4489),
    [sym_bigarray_get_expression] = STATE(4489),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5000),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2560),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym_sign_operator] = STATE(2537),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__instance_variable_name] = STATE(21459),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2561] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14027),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2561),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2562] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11637),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2562),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2563] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11650),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2563),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2564] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11701),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2564),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2565] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11711),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2565),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2566] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11716),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2566),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2567] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11745),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2567),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2568] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11749),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2568),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2569] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9417),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2569),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2570] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11752),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2570),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2571] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9458),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2571),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2572] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9478),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2572),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2573] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9479),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2573),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2574] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9481),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2574),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2575] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9482),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2575),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2576] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9483),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2576),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2577] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9486),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2577),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2578] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9488),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2578),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2579] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9489),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2579),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2580] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9490),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2580),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2581] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9535),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2581),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2582] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11754),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2582),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2583] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11777),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2583),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2584] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9896),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2584),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2585] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9951),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2585),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2586] = {
    [sym_value_definition] = STATE(22073),
    [sym__simple_expression] = STATE(587),
    [sym__expression] = STATE(9415),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3573),
    [sym_array_get_expression] = STATE(3573),
    [sym_string_get_expression] = STATE(3573),
    [sym_bigarray_get_expression] = STATE(3573),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2586),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym_sign_operator] = STATE(2569),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(22046),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3585),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2587] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11647),
    [sym_typed_expression] = STATE(6006),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6006),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6006),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6199),
    [sym_array_get_expression] = STATE(6199),
    [sym_string_get_expression] = STATE(6199),
    [sym_bigarray_get_expression] = STATE(6199),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6006),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2587),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym_sign_operator] = STATE(2557),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__instance_variable_name] = STATE(19621),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2588] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11646),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2588),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2589] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9952),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2589),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2590] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9698),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2590),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2591] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11857),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2591),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2592] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11862),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2592),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2593] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11880),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2593),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2594] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11881),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2594),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2595] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11883),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2595),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2596] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11887),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2596),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2597] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11889),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2597),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2598] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9718),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2598),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2599] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11896),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2599),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2600] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9671),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2600),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2601] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9679),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2601),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2602] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9684),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2602),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2603] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9689),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2603),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2604] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9690),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2604),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2605] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9697),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2605),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2606] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9699),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2606),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2607] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9700),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2607),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2608] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9702),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2608),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2609] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9769),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2609),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2610] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9735),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2610),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2611] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11897),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2611),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2612] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11901),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2612),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2613] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11905),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2613),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2614] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(9988),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2614),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2615] = {
    [sym_value_definition] = STATE(20892),
    [sym__simple_expression] = STATE(2276),
    [sym__expression] = STATE(10045),
    [sym_typed_expression] = STATE(5443),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(5443),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(5443),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4755),
    [sym_array_get_expression] = STATE(4755),
    [sym_string_get_expression] = STATE(4755),
    [sym_bigarray_get_expression] = STATE(4755),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(5443),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2615),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__instance_variable_name] = STATE(21455),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3623),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2616] = {
    [sym_value_definition] = STATE(22492),
    [sym__simple_expression] = STATE(1970),
    [sym__expression] = STATE(9739),
    [sym_typed_expression] = STATE(4970),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4970),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4970),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4492),
    [sym_array_get_expression] = STATE(4492),
    [sym_string_get_expression] = STATE(4492),
    [sym_bigarray_get_expression] = STATE(4492),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4970),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2616),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__instance_variable_name] = STATE(22475),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3593),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2617] = {
    [sym_value_definition] = STATE(20607),
    [sym__simple_expression] = STATE(2788),
    [sym__expression] = STATE(11950),
    [sym_typed_expression] = STATE(6392),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6392),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6392),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6392),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2617),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__instance_variable_name] = STATE(20529),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2618] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13854),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2618),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2619] = {
    [sym_value_definition] = STATE(21543),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6171),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(6171),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(6171),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(6171),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2619),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__instance_variable_name] = STATE(21021),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2620] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10778),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2620),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2621] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13578),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2621),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2622] = {
    [sym_value_definition] = STATE(21054),
    [sym__simple_expression] = STATE(2836),
    [sym__expression] = STATE(14127),
    [sym_typed_expression] = STATE(8269),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(8269),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(8269),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7809),
    [sym_array_get_expression] = STATE(7809),
    [sym_string_get_expression] = STATE(7809),
    [sym_bigarray_get_expression] = STATE(7809),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(8269),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2622),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym_sign_operator] = STATE(2490),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__instance_variable_name] = STATE(20316),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2623] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13579),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2623),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2624] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13590),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2624),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2625] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13591),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2625),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2626] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13593),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2626),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2627] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13594),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2627),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2628] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(11064),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2628),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2629] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13595),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2629),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2630] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(11021),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2630),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2631] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(11023),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2631),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2632] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(11039),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2632),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2633] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(11054),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2633),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2634] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(11059),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2634),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2635] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10741),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2635),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2636] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10744),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2636),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2637] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10746),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2637),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2638] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10749),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2638),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2639] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10761),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2639),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2640] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10762),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2640),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2641] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13596),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2641),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2642] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13598),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2642),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2643] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13599),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2643),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2644] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13601),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2644),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2645] = {
    [sym_value_definition] = STATE(19348),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10765),
    [sym_typed_expression] = STATE(5846),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(5846),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(5846),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(5868),
    [sym_array_get_expression] = STATE(5868),
    [sym_string_get_expression] = STATE(5868),
    [sym_bigarray_get_expression] = STATE(5868),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(5846),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2645),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym_sign_operator] = STATE(2628),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__instance_variable_name] = STATE(21687),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2646] = {
    [sym_value_definition] = STATE(21585),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13812),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(7660),
    [sym_array_get_expression] = STATE(7660),
    [sym_string_get_expression] = STATE(7660),
    [sym_bigarray_get_expression] = STATE(7660),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2646),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21540),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(3195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3205),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2647] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9378),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2647),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2648] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9574),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2648),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2649] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9611),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2649),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2650] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9619),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2650),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2651] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9623),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2651),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2652] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9586),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2652),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2653] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9540),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2653),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2654] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9541),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2654),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2655] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9543),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2655),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2656] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9544),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2656),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2657] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9551),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2657),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2658] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9557),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2658),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2659] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9558),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2659),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2660] = {
    [sym_value_definition] = STATE(19659),
    [sym__simple_expression] = STATE(780),
    [sym__expression] = STATE(9561),
    [sym_typed_expression] = STATE(4467),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4467),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4467),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4265),
    [sym_array_get_expression] = STATE(4265),
    [sym_string_get_expression] = STATE(4265),
    [sym_bigarray_get_expression] = STATE(4265),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4467),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2660),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym_sign_operator] = STATE(2648),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__instance_variable_name] = STATE(19384),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2661] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14118),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2661),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2662] = {
    [sym__simple_expression] = STATE(4393),
    [sym_typed_expression] = STATE(4375),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_labeled_argument] = STATE(5331),
    [sym_prefix_expression] = STATE(4375),
    [sym_hash_expression] = STATE(4375),
    [sym_field_get_expression] = STATE(4375),
    [sym_array_get_expression] = STATE(4375),
    [sym_string_get_expression] = STATE(4375),
    [sym_bigarray_get_expression] = STATE(4375),
    [sym_coercion_expression] = STATE(4375),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2662),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [aux_sym_class_application_repeat1] = STATE(2680),
    [sym__lowercase_identifier] = ACTIONS(3667),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(3669),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_end] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2663] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13469),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2663),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2664] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14040),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2664),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2665] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9310),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2665),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2666] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9267),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2666),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2667] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9273),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2667),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2668] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9297),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2668),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2669] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9298),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2669),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2670] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9299),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2670),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2671] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9300),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2671),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2672] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9304),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2672),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2673] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9305),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2673),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2674] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9322),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2674),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2675] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9323),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2675),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2676] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9324),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2676),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2677] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14048),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2677),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2678] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14050),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2678),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2679] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(9328),
    [sym_typed_expression] = STATE(3694),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3694),
    [sym_array_expression] = STATE(3694),
    [sym_record_expression] = STATE(3694),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3694),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3694),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3327),
    [sym_array_get_expression] = STATE(3327),
    [sym_string_get_expression] = STATE(3327),
    [sym_bigarray_get_expression] = STATE(3327),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3694),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3694),
    [sym_package_expression] = STATE(3694),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3694),
    [sym_object_copy_expression] = STATE(3694),
    [sym_method_invocation] = STATE(3694),
    [sym_object_expression] = STATE(3694),
    [sym_parenthesized_expression] = STATE(3694),
    [sym_attribute] = STATE(2679),
    [sym_extension] = STATE(3694),
    [sym_quoted_extension] = STATE(3694),
    [sym__constant] = STATE(3694),
    [sym_number] = STATE(3463),
    [sym_character] = STATE(3463),
    [sym_string] = STATE(3463),
    [sym_quoted_string] = STATE(3463),
    [sym_boolean] = STATE(3463),
    [sym_unit] = STATE(3463),
    [sym_sign_operator] = STATE(2665),
    [sym__value_name] = STATE(3785),
    [sym_parenthesized_operator] = STATE(3443),
    [sym_value_path] = STATE(3694),
    [sym_module_path] = STATE(20366),
    [sym_constructor_path] = STATE(3694),
    [sym__instance_variable_name] = STATE(21430),
    [sym__constructor_name] = STATE(3408),
    [sym_tag] = STATE(3694),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2680] = {
    [sym__simple_expression] = STATE(4393),
    [sym_typed_expression] = STATE(4375),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_labeled_argument] = STATE(5331),
    [sym_prefix_expression] = STATE(4375),
    [sym_hash_expression] = STATE(4375),
    [sym_field_get_expression] = STATE(4375),
    [sym_array_get_expression] = STATE(4375),
    [sym_string_get_expression] = STATE(4375),
    [sym_bigarray_get_expression] = STATE(4375),
    [sym_coercion_expression] = STATE(4375),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2680),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(3908),
    [sym_character] = STATE(3908),
    [sym_string] = STATE(3908),
    [sym_quoted_string] = STATE(3908),
    [sym_boolean] = STATE(3908),
    [sym_unit] = STATE(3908),
    [sym__value_name] = STATE(3840),
    [sym_parenthesized_operator] = STATE(3853),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(20168),
    [sym_constructor_path] = STATE(4375),
    [sym__constructor_name] = STATE(3953),
    [sym_tag] = STATE(4375),
    [aux_sym_class_application_repeat1] = STATE(2680),
    [sym__lowercase_identifier] = ACTIONS(4981),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(4984),
    [anon_sym_QMARK] = ACTIONS(4984),
    [anon_sym_LPAREN] = ACTIONS(4987),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [anon_sym_true] = ACTIONS(4993),
    [anon_sym_false] = ACTIONS(4993),
    [anon_sym_LBRACE] = ACTIONS(4996),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(4999),
    [anon_sym_in] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5002),
    [anon_sym_new] = ACTIONS(5005),
    [anon_sym_LBRACE_LT] = ACTIONS(5008),
    [anon_sym_begin] = ACTIONS(5011),
    [sym_ocamlyacc_value] = ACTIONS(5014),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5017),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5020),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(5023),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5026),
    [anon_sym_DQUOTE] = ACTIONS(5029),
    [sym_prefix_operator] = ACTIONS(5032),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5035),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2681] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13233),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2681),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2682] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14055),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2682),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2683] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14056),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2683),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2684] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14057),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2684),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2685] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9618),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2685),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2686] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14059),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2686),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2687] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9562),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2687),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2688] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9565),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2688),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2689] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9566),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2689),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2690] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9568),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2690),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2691] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9569),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2691),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2692] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9571),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2692),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2693] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9572),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2693),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2694] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9573),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2694),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2695] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9575),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2695),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2696] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9576),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2696),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2697] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9580),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2697),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2698] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(792),
    [sym__expression] = STATE(9582),
    [sym_typed_expression] = STATE(4501),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(4501),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(4501),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(4379),
    [sym_array_get_expression] = STATE(4379),
    [sym_string_get_expression] = STATE(4379),
    [sym_bigarray_get_expression] = STATE(4379),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(4501),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2698),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__instance_variable_name] = STATE(22524),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3601),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2699] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14060),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2699),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2700] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14063),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2700),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2701] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12716),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2701),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2702] = {
    [sym__simple_expression] = STATE(3920),
    [sym_typed_expression] = STATE(3912),
    [sym_list_expression] = STATE(3912),
    [sym_array_expression] = STATE(3912),
    [sym_record_expression] = STATE(3912),
    [sym_labeled_argument] = STATE(4839),
    [sym_prefix_expression] = STATE(3912),
    [sym_hash_expression] = STATE(3912),
    [sym_field_get_expression] = STATE(3912),
    [sym_array_get_expression] = STATE(3912),
    [sym_string_get_expression] = STATE(3912),
    [sym_bigarray_get_expression] = STATE(3912),
    [sym_coercion_expression] = STATE(3912),
    [sym_local_open_expression] = STATE(3912),
    [sym_package_expression] = STATE(3912),
    [sym_new_expression] = STATE(3912),
    [sym_object_copy_expression] = STATE(3912),
    [sym_method_invocation] = STATE(3912),
    [sym_object_expression] = STATE(3912),
    [sym_parenthesized_expression] = STATE(3912),
    [sym_attribute] = STATE(2702),
    [sym_extension] = STATE(3912),
    [sym_quoted_extension] = STATE(3912),
    [sym__constant] = STATE(3912),
    [sym_number] = STATE(4081),
    [sym_character] = STATE(4081),
    [sym_string] = STATE(4081),
    [sym_quoted_string] = STATE(4081),
    [sym_boolean] = STATE(4081),
    [sym_unit] = STATE(4081),
    [sym__value_name] = STATE(3952),
    [sym_parenthesized_operator] = STATE(3974),
    [sym_value_path] = STATE(3912),
    [sym_module_path] = STATE(20671),
    [sym_constructor_path] = STATE(3912),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(3912),
    [aux_sym_class_application_repeat1] = STATE(2052),
    [ts_builtin_sym_end] = ACTIONS(4079),
    [sym__lowercase_identifier] = ACTIONS(3685),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(3687),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(607),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(609),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(621),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2703] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14064),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2703),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2704] = {
    [sym_value_definition] = STATE(20363),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14065),
    [sym_typed_expression] = STATE(7824),
    [sym_product_expression] = STATE(9014),
    [sym_cons_expression] = STATE(9014),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_application_expression] = STATE(9014),
    [sym_prefix_expression] = STATE(7824),
    [sym_sign_expression] = STATE(9014),
    [sym_hash_expression] = STATE(7824),
    [sym_infix_expression] = STATE(9014),
    [sym_field_get_expression] = STATE(8280),
    [sym_array_get_expression] = STATE(8280),
    [sym_string_get_expression] = STATE(8280),
    [sym_bigarray_get_expression] = STATE(8280),
    [sym_set_expression] = STATE(9014),
    [sym_if_expression] = STATE(9014),
    [sym_while_expression] = STATE(9014),
    [sym_for_expression] = STATE(9014),
    [sym_match_expression] = STATE(9014),
    [sym_function_expression] = STATE(9014),
    [sym_fun_expression] = STATE(9014),
    [sym_try_expression] = STATE(9014),
    [sym_let_expression] = STATE(9014),
    [sym_coercion_expression] = STATE(7824),
    [sym_assert_expression] = STATE(9014),
    [sym_lazy_expression] = STATE(9014),
    [sym_let_module_expression] = STATE(9014),
    [sym_let_open_expression] = STATE(9014),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_let_exception_expression] = STATE(9014),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2704),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym_sign_operator] = STATE(2661),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__instance_variable_name] = STATE(21636),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2705] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13491),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2705),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2706] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13330),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2706),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2707] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13331),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2707),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2708] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13332),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2708),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2709] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13333),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2709),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2710] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13334),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2710),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2711] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13335),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2711),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2712] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13337),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2712),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2713] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13338),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2713),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2714] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13340),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2714),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2715] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13341),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2715),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2716] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13342),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2716),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2717] = {
    [sym__simple_expression] = STATE(3980),
    [sym_typed_expression] = STATE(4009),
    [sym_list_expression] = STATE(4009),
    [sym_array_expression] = STATE(4009),
    [sym_record_expression] = STATE(4009),
    [sym_labeled_argument] = STATE(5361),
    [sym_prefix_expression] = STATE(4009),
    [sym_hash_expression] = STATE(4009),
    [sym_field_get_expression] = STATE(4009),
    [sym_array_get_expression] = STATE(4009),
    [sym_string_get_expression] = STATE(4009),
    [sym_bigarray_get_expression] = STATE(4009),
    [sym_coercion_expression] = STATE(4009),
    [sym_local_open_expression] = STATE(4009),
    [sym_package_expression] = STATE(4009),
    [sym_new_expression] = STATE(4009),
    [sym_object_copy_expression] = STATE(4009),
    [sym_method_invocation] = STATE(4009),
    [sym_object_expression] = STATE(4009),
    [sym_parenthesized_expression] = STATE(4009),
    [sym_attribute] = STATE(2717),
    [sym_extension] = STATE(4009),
    [sym_quoted_extension] = STATE(4009),
    [sym__constant] = STATE(4009),
    [sym_number] = STATE(4111),
    [sym_character] = STATE(4111),
    [sym_string] = STATE(4111),
    [sym_quoted_string] = STATE(4111),
    [sym_boolean] = STATE(4111),
    [sym_unit] = STATE(4111),
    [sym__value_name] = STATE(4046),
    [sym_parenthesized_operator] = STATE(4072),
    [sym_value_path] = STATE(4009),
    [sym_module_path] = STATE(20859),
    [sym_constructor_path] = STATE(4009),
    [sym__constructor_name] = STATE(4127),
    [sym_tag] = STATE(4009),
    [aux_sym_class_application_repeat1] = STATE(2056),
    [sym__lowercase_identifier] = ACTIONS(3709),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(3711),
    [anon_sym_QMARK] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_end] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(689),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(693),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_LBRACE_LT] = ACTIONS(705),
    [anon_sym_begin] = ACTIONS(707),
    [sym_ocamlyacc_value] = ACTIONS(709),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(711),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(713),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(715),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(719),
    [sym_prefix_operator] = ACTIONS(721),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(725),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2718] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13370),
    [sym_typed_expression] = STATE(7705),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(7705),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(7705),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(7150),
    [sym_array_get_expression] = STATE(7150),
    [sym_string_get_expression] = STATE(7150),
    [sym_bigarray_get_expression] = STATE(7150),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(7705),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2718),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym_sign_operator] = STATE(2705),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__instance_variable_name] = STATE(20912),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [sym__lowercase_identifier] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2367),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2719] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11568),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2719),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2720] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13077),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2720),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2721] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13064),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2721),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2722] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13065),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2722),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2723] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13066),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2723),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2724] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13067),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2724),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2725] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13068),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2725),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2726] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13069),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2726),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2727] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13070),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2727),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2728] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13071),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2728),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2729] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13072),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2729),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2730] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13073),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2730),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2731] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13074),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2731),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2732] = {
    [sym_value_definition] = STATE(19355),
    [sym__simple_expression] = STATE(2814),
    [sym__expression] = STATE(13076),
    [sym_typed_expression] = STATE(6875),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6875),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6875),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6792),
    [sym_array_get_expression] = STATE(6792),
    [sym_string_get_expression] = STATE(6792),
    [sym_bigarray_get_expression] = STATE(6792),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6875),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2732),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym_sign_operator] = STATE(2720),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__instance_variable_name] = STATE(22530),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [sym__lowercase_identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2733] = {
    [sym_value_definition] = STATE(19435),
    [sym__simple_expression] = STATE(2822),
    [sym__expression] = STATE(13343),
    [sym_typed_expression] = STATE(7391),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7391),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7391),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7093),
    [sym_array_get_expression] = STATE(7093),
    [sym_string_get_expression] = STATE(7093),
    [sym_bigarray_get_expression] = STATE(7093),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7391),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2733),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__instance_variable_name] = STATE(21791),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [sym__lowercase_identifier] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1851),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2734] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12521),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2734),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2735] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12971),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2735),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2736] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12972),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2736),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2737] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12985),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2737),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2738] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(13010),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2738),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2739] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(13011),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2739),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2740] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(13012),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2740),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2741] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(13018),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2741),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2742] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(13019),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2742),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2743] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(13021),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2743),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2744] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(13023),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2744),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2745] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(13024),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2745),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2746] = {
    [sym_value_definition] = STATE(20054),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(13026),
    [sym_typed_expression] = STATE(6761),
    [sym_product_expression] = STATE(11831),
    [sym_cons_expression] = STATE(11831),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_application_expression] = STATE(11831),
    [sym_prefix_expression] = STATE(6761),
    [sym_sign_expression] = STATE(11831),
    [sym_hash_expression] = STATE(6761),
    [sym_infix_expression] = STATE(11831),
    [sym_field_get_expression] = STATE(6722),
    [sym_array_get_expression] = STATE(6722),
    [sym_string_get_expression] = STATE(6722),
    [sym_bigarray_get_expression] = STATE(6722),
    [sym_set_expression] = STATE(11831),
    [sym_if_expression] = STATE(11831),
    [sym_while_expression] = STATE(11831),
    [sym_for_expression] = STATE(11831),
    [sym_match_expression] = STATE(11831),
    [sym_function_expression] = STATE(11831),
    [sym_fun_expression] = STATE(11831),
    [sym_try_expression] = STATE(11831),
    [sym_let_expression] = STATE(11831),
    [sym_coercion_expression] = STATE(6761),
    [sym_assert_expression] = STATE(11831),
    [sym_lazy_expression] = STATE(11831),
    [sym_let_module_expression] = STATE(11831),
    [sym_let_open_expression] = STATE(11831),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_let_exception_expression] = STATE(11831),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2746),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym_sign_operator] = STATE(2734),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__instance_variable_name] = STATE(20006),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2747] = {
    [sym_value_definition] = STATE(19868),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13536),
    [sym_typed_expression] = STATE(7446),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(7446),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(7446),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(7094),
    [sym_array_get_expression] = STATE(7094),
    [sym_string_get_expression] = STATE(7094),
    [sym_bigarray_get_expression] = STATE(7094),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(7446),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2747),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym_sign_operator] = STATE(2039),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__instance_variable_name] = STATE(19397),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [sym__lowercase_identifier] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_fun] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1947),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2748] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11424),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2748),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2749] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11430),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2749),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2750] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11431),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2750),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2751] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11432),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2751),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2752] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11433),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2752),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2753] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11434),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2753),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2754] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11435),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2754),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2755] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11436),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2755),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2756] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11437),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2756),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2757] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11438),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2757),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2758] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11439),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2758),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2759] = {
    [sym_value_definition] = STATE(21887),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11440),
    [sym_typed_expression] = STATE(6271),
    [sym_product_expression] = STATE(9301),
    [sym_cons_expression] = STATE(9301),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_application_expression] = STATE(9301),
    [sym_prefix_expression] = STATE(6271),
    [sym_sign_expression] = STATE(9301),
    [sym_hash_expression] = STATE(6271),
    [sym_infix_expression] = STATE(9301),
    [sym_field_get_expression] = STATE(6142),
    [sym_array_get_expression] = STATE(6142),
    [sym_string_get_expression] = STATE(6142),
    [sym_bigarray_get_expression] = STATE(6142),
    [sym_set_expression] = STATE(9301),
    [sym_if_expression] = STATE(9301),
    [sym_while_expression] = STATE(9301),
    [sym_for_expression] = STATE(9301),
    [sym_match_expression] = STATE(9301),
    [sym_function_expression] = STATE(9301),
    [sym_fun_expression] = STATE(9301),
    [sym_try_expression] = STATE(9301),
    [sym_let_expression] = STATE(9301),
    [sym_coercion_expression] = STATE(6271),
    [sym_assert_expression] = STATE(9301),
    [sym_lazy_expression] = STATE(9301),
    [sym_let_module_expression] = STATE(9301),
    [sym_let_open_expression] = STATE(9301),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_let_exception_expression] = STATE(9301),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2759),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2748),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__instance_variable_name] = STATE(20906),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2760] = {
    [sym_value_definition] = STATE(21758),
    [sym__simple_expression] = STATE(375),
    [sym__expression] = STATE(9374),
    [sym_typed_expression] = STATE(3697),
    [sym_product_expression] = STATE(8948),
    [sym_cons_expression] = STATE(8948),
    [sym_list_expression] = STATE(3697),
    [sym_array_expression] = STATE(3697),
    [sym_record_expression] = STATE(3697),
    [sym_application_expression] = STATE(8948),
    [sym_prefix_expression] = STATE(3697),
    [sym_sign_expression] = STATE(8948),
    [sym_hash_expression] = STATE(3697),
    [sym_infix_expression] = STATE(8948),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(8948),
    [sym_if_expression] = STATE(8948),
    [sym_while_expression] = STATE(8948),
    [sym_for_expression] = STATE(8948),
    [sym_match_expression] = STATE(8948),
    [sym_function_expression] = STATE(8948),
    [sym_fun_expression] = STATE(8948),
    [sym_try_expression] = STATE(8948),
    [sym_let_expression] = STATE(8948),
    [sym_coercion_expression] = STATE(3697),
    [sym_assert_expression] = STATE(8948),
    [sym_lazy_expression] = STATE(8948),
    [sym_let_module_expression] = STATE(8948),
    [sym_let_open_expression] = STATE(8948),
    [sym_local_open_expression] = STATE(3697),
    [sym_package_expression] = STATE(3697),
    [sym_let_exception_expression] = STATE(8948),
    [sym_new_expression] = STATE(3697),
    [sym_object_copy_expression] = STATE(3697),
    [sym_method_invocation] = STATE(3697),
    [sym_object_expression] = STATE(3697),
    [sym_parenthesized_expression] = STATE(3697),
    [sym_attribute] = STATE(2760),
    [sym_extension] = STATE(3697),
    [sym_quoted_extension] = STATE(3697),
    [sym__constant] = STATE(3697),
    [sym_number] = STATE(3471),
    [sym_character] = STATE(3471),
    [sym_string] = STATE(3471),
    [sym_quoted_string] = STATE(3471),
    [sym_boolean] = STATE(3471),
    [sym_unit] = STATE(3471),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3391),
    [sym_parenthesized_operator] = STATE(3702),
    [sym_value_path] = STATE(3697),
    [sym_module_path] = STATE(20709),
    [sym_constructor_path] = STATE(3697),
    [sym__instance_variable_name] = STATE(21334),
    [sym__constructor_name] = STATE(3510),
    [sym_tag] = STATE(3697),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2761] = {
    [sym__simple_expression] = STATE(4493),
    [sym_typed_expression] = STATE(4495),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_labeled_argument] = STATE(5324),
    [sym_prefix_expression] = STATE(4495),
    [sym_hash_expression] = STATE(4495),
    [sym_field_get_expression] = STATE(4495),
    [sym_array_get_expression] = STATE(4495),
    [sym_string_get_expression] = STATE(4495),
    [sym_bigarray_get_expression] = STATE(4495),
    [sym_coercion_expression] = STATE(4495),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2761),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [aux_sym_class_application_repeat1] = STATE(2764),
    [ts_builtin_sym_end] = ACTIONS(4079),
    [sym__lowercase_identifier] = ACTIONS(3803),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(3805),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2762] = {
    [sym__simple_expression] = STATE(4735),
    [sym_typed_expression] = STATE(4467),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_labeled_argument] = STATE(5324),
    [sym_prefix_expression] = STATE(4467),
    [sym_hash_expression] = STATE(4467),
    [sym_field_get_expression] = STATE(4467),
    [sym_array_get_expression] = STATE(4467),
    [sym_string_get_expression] = STATE(4467),
    [sym_bigarray_get_expression] = STATE(4467),
    [sym_coercion_expression] = STATE(4467),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2762),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [aux_sym_class_application_repeat1] = STATE(2763),
    [sym__lowercase_identifier] = ACTIONS(3813),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_QMARK] = ACTIONS(3815),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_RBRACK] = ACTIONS(4079),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2763] = {
    [sym__simple_expression] = STATE(4735),
    [sym_typed_expression] = STATE(4467),
    [sym_list_expression] = STATE(4467),
    [sym_array_expression] = STATE(4467),
    [sym_record_expression] = STATE(4467),
    [sym_labeled_argument] = STATE(5324),
    [sym_prefix_expression] = STATE(4467),
    [sym_hash_expression] = STATE(4467),
    [sym_field_get_expression] = STATE(4467),
    [sym_array_get_expression] = STATE(4467),
    [sym_string_get_expression] = STATE(4467),
    [sym_bigarray_get_expression] = STATE(4467),
    [sym_coercion_expression] = STATE(4467),
    [sym_local_open_expression] = STATE(4467),
    [sym_package_expression] = STATE(4467),
    [sym_new_expression] = STATE(4467),
    [sym_object_copy_expression] = STATE(4467),
    [sym_method_invocation] = STATE(4467),
    [sym_object_expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4467),
    [sym_attribute] = STATE(2763),
    [sym_extension] = STATE(4467),
    [sym_quoted_extension] = STATE(4467),
    [sym__constant] = STATE(4467),
    [sym_number] = STATE(4574),
    [sym_character] = STATE(4574),
    [sym_string] = STATE(4574),
    [sym_quoted_string] = STATE(4574),
    [sym_boolean] = STATE(4574),
    [sym_unit] = STATE(4574),
    [sym__value_name] = STATE(4731),
    [sym_parenthesized_operator] = STATE(4637),
    [sym_value_path] = STATE(4467),
    [sym_module_path] = STATE(20327),
    [sym_constructor_path] = STATE(4467),
    [sym__constructor_name] = STATE(4693),
    [sym_tag] = STATE(4467),
    [aux_sym_class_application_repeat1] = STATE(2763),
    [sym__lowercase_identifier] = ACTIONS(5041),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(5044),
    [anon_sym_QMARK] = ACTIONS(5044),
    [anon_sym_LPAREN] = ACTIONS(5047),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5050),
    [anon_sym_RBRACK] = ACTIONS(3850),
    [anon_sym_true] = ACTIONS(5053),
    [anon_sym_false] = ACTIONS(5053),
    [anon_sym_LBRACE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(5059),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5062),
    [anon_sym_new] = ACTIONS(5065),
    [anon_sym_LBRACE_LT] = ACTIONS(5068),
    [anon_sym_begin] = ACTIONS(5071),
    [sym_ocamlyacc_value] = ACTIONS(5074),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5080),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(5083),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5086),
    [anon_sym_DQUOTE] = ACTIONS(5089),
    [sym_prefix_operator] = ACTIONS(5092),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5095),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2764] = {
    [sym__simple_expression] = STATE(4493),
    [sym_typed_expression] = STATE(4495),
    [sym_list_expression] = STATE(4495),
    [sym_array_expression] = STATE(4495),
    [sym_record_expression] = STATE(4495),
    [sym_labeled_argument] = STATE(5324),
    [sym_prefix_expression] = STATE(4495),
    [sym_hash_expression] = STATE(4495),
    [sym_field_get_expression] = STATE(4495),
    [sym_array_get_expression] = STATE(4495),
    [sym_string_get_expression] = STATE(4495),
    [sym_bigarray_get_expression] = STATE(4495),
    [sym_coercion_expression] = STATE(4495),
    [sym_local_open_expression] = STATE(4495),
    [sym_package_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_object_copy_expression] = STATE(4495),
    [sym_method_invocation] = STATE(4495),
    [sym_object_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4495),
    [sym_attribute] = STATE(2764),
    [sym_extension] = STATE(4495),
    [sym_quoted_extension] = STATE(4495),
    [sym__constant] = STATE(4495),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym__value_name] = STATE(4562),
    [sym_parenthesized_operator] = STATE(4704),
    [sym_value_path] = STATE(4495),
    [sym_module_path] = STATE(20004),
    [sym_constructor_path] = STATE(4495),
    [sym__constructor_name] = STATE(4686),
    [sym_tag] = STATE(4495),
    [aux_sym_class_application_repeat1] = STATE(2764),
    [ts_builtin_sym_end] = ACTIONS(3850),
    [sym__lowercase_identifier] = ACTIONS(5101),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(5104),
    [anon_sym_QMARK] = ACTIONS(5104),
    [anon_sym_LPAREN] = ACTIONS(5107),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [anon_sym_true] = ACTIONS(5113),
    [anon_sym_false] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(5119),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5122),
    [anon_sym_new] = ACTIONS(5125),
    [anon_sym_LBRACE_LT] = ACTIONS(5128),
    [anon_sym_begin] = ACTIONS(5131),
    [sym_ocamlyacc_value] = ACTIONS(5134),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5137),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5140),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(5143),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5146),
    [anon_sym_DQUOTE] = ACTIONS(5149),
    [sym_prefix_operator] = ACTIONS(5152),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5155),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(5158),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2765] = {
    [sym__simple_expression] = STATE(4547),
    [sym_typed_expression] = STATE(4501),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_labeled_argument] = STATE(5527),
    [sym_prefix_expression] = STATE(4501),
    [sym_hash_expression] = STATE(4501),
    [sym_field_get_expression] = STATE(4501),
    [sym_array_get_expression] = STATE(4501),
    [sym_string_get_expression] = STATE(4501),
    [sym_bigarray_get_expression] = STATE(4501),
    [sym_coercion_expression] = STATE(4501),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2765),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [aux_sym_class_application_repeat1] = STATE(2766),
    [sym__lowercase_identifier] = ACTIONS(3823),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(3825),
    [anon_sym_QMARK] = ACTIONS(3825),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_end] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2766] = {
    [sym__simple_expression] = STATE(4547),
    [sym_typed_expression] = STATE(4501),
    [sym_list_expression] = STATE(4501),
    [sym_array_expression] = STATE(4501),
    [sym_record_expression] = STATE(4501),
    [sym_labeled_argument] = STATE(5527),
    [sym_prefix_expression] = STATE(4501),
    [sym_hash_expression] = STATE(4501),
    [sym_field_get_expression] = STATE(4501),
    [sym_array_get_expression] = STATE(4501),
    [sym_string_get_expression] = STATE(4501),
    [sym_bigarray_get_expression] = STATE(4501),
    [sym_coercion_expression] = STATE(4501),
    [sym_local_open_expression] = STATE(4501),
    [sym_package_expression] = STATE(4501),
    [sym_new_expression] = STATE(4501),
    [sym_object_copy_expression] = STATE(4501),
    [sym_method_invocation] = STATE(4501),
    [sym_object_expression] = STATE(4501),
    [sym_parenthesized_expression] = STATE(4501),
    [sym_attribute] = STATE(2766),
    [sym_extension] = STATE(4501),
    [sym_quoted_extension] = STATE(4501),
    [sym__constant] = STATE(4501),
    [sym_number] = STATE(4479),
    [sym_character] = STATE(4479),
    [sym_string] = STATE(4479),
    [sym_quoted_string] = STATE(4479),
    [sym_boolean] = STATE(4479),
    [sym_unit] = STATE(4479),
    [sym__value_name] = STATE(4636),
    [sym_parenthesized_operator] = STATE(4729),
    [sym_value_path] = STATE(4501),
    [sym_module_path] = STATE(20443),
    [sym_constructor_path] = STATE(4501),
    [sym__constructor_name] = STATE(4528),
    [sym_tag] = STATE(4501),
    [aux_sym_class_application_repeat1] = STATE(2766),
    [sym__lowercase_identifier] = ACTIONS(5161),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(5164),
    [anon_sym_QMARK] = ACTIONS(5164),
    [anon_sym_LPAREN] = ACTIONS(5167),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5170),
    [anon_sym_true] = ACTIONS(5173),
    [anon_sym_false] = ACTIONS(5173),
    [anon_sym_LBRACE] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(5179),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5182),
    [anon_sym_new] = ACTIONS(5185),
    [anon_sym_LBRACE_LT] = ACTIONS(5188),
    [anon_sym_begin] = ACTIONS(5191),
    [sym_ocamlyacc_value] = ACTIONS(5194),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5200),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(5203),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5206),
    [anon_sym_DQUOTE] = ACTIONS(5209),
    [sym_prefix_operator] = ACTIONS(5212),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5215),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(5218),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2767] = {
    [sym__simple_expression] = STATE(5010),
    [sym_typed_expression] = STATE(5000),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_labeled_argument] = STATE(5461),
    [sym_prefix_expression] = STATE(5000),
    [sym_hash_expression] = STATE(5000),
    [sym_field_get_expression] = STATE(5000),
    [sym_array_get_expression] = STATE(5000),
    [sym_string_get_expression] = STATE(5000),
    [sym_bigarray_get_expression] = STATE(5000),
    [sym_coercion_expression] = STATE(5000),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2767),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [aux_sym_class_application_repeat1] = STATE(2769),
    [sym__lowercase_identifier] = ACTIONS(4369),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(4371),
    [anon_sym_QMARK] = ACTIONS(4371),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_RBRACK] = ACTIONS(4079),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2768] = {
    [sym__simple_expression] = STATE(4825),
    [sym_typed_expression] = STATE(4970),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_labeled_argument] = STATE(5580),
    [sym_prefix_expression] = STATE(4970),
    [sym_hash_expression] = STATE(4970),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_coercion_expression] = STATE(4970),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2768),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [aux_sym_class_application_repeat1] = STATE(2770),
    [sym__lowercase_identifier] = ACTIONS(4511),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(4513),
    [anon_sym_QMARK] = ACTIONS(4513),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_end] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1215),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1217),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2769] = {
    [sym__simple_expression] = STATE(5010),
    [sym_typed_expression] = STATE(5000),
    [sym_list_expression] = STATE(5000),
    [sym_array_expression] = STATE(5000),
    [sym_record_expression] = STATE(5000),
    [sym_labeled_argument] = STATE(5461),
    [sym_prefix_expression] = STATE(5000),
    [sym_hash_expression] = STATE(5000),
    [sym_field_get_expression] = STATE(5000),
    [sym_array_get_expression] = STATE(5000),
    [sym_string_get_expression] = STATE(5000),
    [sym_bigarray_get_expression] = STATE(5000),
    [sym_coercion_expression] = STATE(5000),
    [sym_local_open_expression] = STATE(5000),
    [sym_package_expression] = STATE(5000),
    [sym_new_expression] = STATE(5000),
    [sym_object_copy_expression] = STATE(5000),
    [sym_method_invocation] = STATE(5000),
    [sym_object_expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(5000),
    [sym_attribute] = STATE(2769),
    [sym_extension] = STATE(5000),
    [sym_quoted_extension] = STATE(5000),
    [sym__constant] = STATE(5000),
    [sym_number] = STATE(5003),
    [sym_character] = STATE(5003),
    [sym_string] = STATE(5003),
    [sym_quoted_string] = STATE(5003),
    [sym_boolean] = STATE(5003),
    [sym_unit] = STATE(5003),
    [sym__value_name] = STATE(5049),
    [sym_parenthesized_operator] = STATE(4939),
    [sym_value_path] = STATE(5000),
    [sym_module_path] = STATE(20086),
    [sym_constructor_path] = STATE(5000),
    [sym__constructor_name] = STATE(4765),
    [sym_tag] = STATE(5000),
    [aux_sym_class_application_repeat1] = STATE(2769),
    [sym__lowercase_identifier] = ACTIONS(5221),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(5224),
    [anon_sym_QMARK] = ACTIONS(5224),
    [anon_sym_LPAREN] = ACTIONS(5227),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_RBRACK] = ACTIONS(3850),
    [anon_sym_true] = ACTIONS(5233),
    [anon_sym_false] = ACTIONS(5233),
    [anon_sym_LBRACE] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(5239),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5242),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(5245),
    [anon_sym_LBRACE_LT] = ACTIONS(5248),
    [anon_sym_begin] = ACTIONS(5251),
    [sym_ocamlyacc_value] = ACTIONS(5254),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5260),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(5263),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5266),
    [anon_sym_DQUOTE] = ACTIONS(5269),
    [sym_prefix_operator] = ACTIONS(5272),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5275),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(5278),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2770] = {
    [sym__simple_expression] = STATE(4825),
    [sym_typed_expression] = STATE(4970),
    [sym_list_expression] = STATE(4970),
    [sym_array_expression] = STATE(4970),
    [sym_record_expression] = STATE(4970),
    [sym_labeled_argument] = STATE(5580),
    [sym_prefix_expression] = STATE(4970),
    [sym_hash_expression] = STATE(4970),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_coercion_expression] = STATE(4970),
    [sym_local_open_expression] = STATE(4970),
    [sym_package_expression] = STATE(4970),
    [sym_new_expression] = STATE(4970),
    [sym_object_copy_expression] = STATE(4970),
    [sym_method_invocation] = STATE(4970),
    [sym_object_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4970),
    [sym_attribute] = STATE(2770),
    [sym_extension] = STATE(4970),
    [sym_quoted_extension] = STATE(4970),
    [sym__constant] = STATE(4970),
    [sym_number] = STATE(4764),
    [sym_character] = STATE(4764),
    [sym_string] = STATE(4764),
    [sym_quoted_string] = STATE(4764),
    [sym_boolean] = STATE(4764),
    [sym_unit] = STATE(4764),
    [sym__value_name] = STATE(4773),
    [sym_parenthesized_operator] = STATE(4769),
    [sym_value_path] = STATE(4970),
    [sym_module_path] = STATE(20209),
    [sym_constructor_path] = STATE(4970),
    [sym__constructor_name] = STATE(4844),
    [sym_tag] = STATE(4970),
    [aux_sym_class_application_repeat1] = STATE(2770),
    [sym__lowercase_identifier] = ACTIONS(5281),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(5284),
    [anon_sym_QMARK] = ACTIONS(5284),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [anon_sym_true] = ACTIONS(5293),
    [anon_sym_false] = ACTIONS(5293),
    [anon_sym_LBRACE] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(5299),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5302),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(5305),
    [anon_sym_LBRACE_LT] = ACTIONS(5308),
    [anon_sym_begin] = ACTIONS(5311),
    [sym_ocamlyacc_value] = ACTIONS(5314),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5320),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(5323),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5326),
    [anon_sym_DQUOTE] = ACTIONS(5329),
    [sym_prefix_operator] = ACTIONS(5332),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5335),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(5338),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2771] = {
    [sym__simple_expression] = STATE(4861),
    [sym_typed_expression] = STATE(4853),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_labeled_argument] = STATE(5461),
    [sym_prefix_expression] = STATE(4853),
    [sym_hash_expression] = STATE(4853),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_coercion_expression] = STATE(4853),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2771),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [aux_sym_class_application_repeat1] = STATE(2771),
    [ts_builtin_sym_end] = ACTIONS(3850),
    [sym__lowercase_identifier] = ACTIONS(5341),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(5344),
    [anon_sym_QMARK] = ACTIONS(5344),
    [anon_sym_LPAREN] = ACTIONS(5347),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_true] = ACTIONS(5353),
    [anon_sym_false] = ACTIONS(5353),
    [anon_sym_LBRACE] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5362),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(5365),
    [anon_sym_LBRACE_LT] = ACTIONS(5368),
    [anon_sym_begin] = ACTIONS(5371),
    [sym_ocamlyacc_value] = ACTIONS(5374),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5380),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(5383),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5386),
    [anon_sym_DQUOTE] = ACTIONS(5389),
    [sym_prefix_operator] = ACTIONS(5392),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5395),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(5398),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2772] = {
    [sym__simple_expression] = STATE(4861),
    [sym_typed_expression] = STATE(4853),
    [sym_list_expression] = STATE(4853),
    [sym_array_expression] = STATE(4853),
    [sym_record_expression] = STATE(4853),
    [sym_labeled_argument] = STATE(5461),
    [sym_prefix_expression] = STATE(4853),
    [sym_hash_expression] = STATE(4853),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_coercion_expression] = STATE(4853),
    [sym_local_open_expression] = STATE(4853),
    [sym_package_expression] = STATE(4853),
    [sym_new_expression] = STATE(4853),
    [sym_object_copy_expression] = STATE(4853),
    [sym_method_invocation] = STATE(4853),
    [sym_object_expression] = STATE(4853),
    [sym_parenthesized_expression] = STATE(4853),
    [sym_attribute] = STATE(2772),
    [sym_extension] = STATE(4853),
    [sym_quoted_extension] = STATE(4853),
    [sym__constant] = STATE(4853),
    [sym_number] = STATE(4942),
    [sym_character] = STATE(4942),
    [sym_string] = STATE(4942),
    [sym_quoted_string] = STATE(4942),
    [sym_boolean] = STATE(4942),
    [sym_unit] = STATE(4942),
    [sym__value_name] = STATE(4898),
    [sym_parenthesized_operator] = STATE(4926),
    [sym_value_path] = STATE(4853),
    [sym_module_path] = STATE(19353),
    [sym_constructor_path] = STATE(4853),
    [sym__constructor_name] = STATE(4952),
    [sym_tag] = STATE(4853),
    [aux_sym_class_application_repeat1] = STATE(2771),
    [ts_builtin_sym_end] = ACTIONS(4079),
    [sym__lowercase_identifier] = ACTIONS(4307),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(4309),
    [anon_sym_QMARK] = ACTIONS(4309),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1113),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2773] = {
    [sym__simple_expression] = STATE(5244),
    [sym_typed_expression] = STATE(5443),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_labeled_argument] = STATE(5560),
    [sym_prefix_expression] = STATE(5443),
    [sym_hash_expression] = STATE(5443),
    [sym_field_get_expression] = STATE(5443),
    [sym_array_get_expression] = STATE(5443),
    [sym_string_get_expression] = STATE(5443),
    [sym_bigarray_get_expression] = STATE(5443),
    [sym_coercion_expression] = STATE(5443),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2773),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [aux_sym_class_application_repeat1] = STATE(2776),
    [ts_builtin_sym_end] = ACTIONS(4079),
    [sym__lowercase_identifier] = ACTIONS(4841),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4843),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2774] = {
    [sym__simple_expression] = STATE(5265),
    [sym_typed_expression] = STATE(5382),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_labeled_argument] = STATE(5614),
    [sym_prefix_expression] = STATE(5382),
    [sym_hash_expression] = STATE(5382),
    [sym_field_get_expression] = STATE(5382),
    [sym_array_get_expression] = STATE(5382),
    [sym_string_get_expression] = STATE(5382),
    [sym_bigarray_get_expression] = STATE(5382),
    [sym_coercion_expression] = STATE(5382),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2774),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [aux_sym_class_application_repeat1] = STATE(2774),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(5404),
    [anon_sym_QMARK] = ACTIONS(5404),
    [anon_sym_LPAREN] = ACTIONS(5407),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [anon_sym_true] = ACTIONS(5413),
    [anon_sym_false] = ACTIONS(5413),
    [anon_sym_LBRACE] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(5419),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5422),
    [anon_sym_new] = ACTIONS(5425),
    [anon_sym_LBRACE_LT] = ACTIONS(5428),
    [anon_sym_begin] = ACTIONS(5431),
    [sym_ocamlyacc_value] = ACTIONS(5434),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5440),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(5443),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5446),
    [anon_sym_DQUOTE] = ACTIONS(5449),
    [sym_prefix_operator] = ACTIONS(5452),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5455),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(5458),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2775] = {
    [sym__simple_expression] = STATE(5217),
    [sym_typed_expression] = STATE(5293),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_labeled_argument] = STATE(5560),
    [sym_prefix_expression] = STATE(5293),
    [sym_hash_expression] = STATE(5293),
    [sym_field_get_expression] = STATE(5293),
    [sym_array_get_expression] = STATE(5293),
    [sym_string_get_expression] = STATE(5293),
    [sym_bigarray_get_expression] = STATE(5293),
    [sym_coercion_expression] = STATE(5293),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2775),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [aux_sym_class_application_repeat1] = STATE(2777),
    [sym__lowercase_identifier] = ACTIONS(4771),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(4773),
    [anon_sym_QMARK] = ACTIONS(4773),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(4079),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2776] = {
    [sym__simple_expression] = STATE(5244),
    [sym_typed_expression] = STATE(5443),
    [sym_list_expression] = STATE(5443),
    [sym_array_expression] = STATE(5443),
    [sym_record_expression] = STATE(5443),
    [sym_labeled_argument] = STATE(5560),
    [sym_prefix_expression] = STATE(5443),
    [sym_hash_expression] = STATE(5443),
    [sym_field_get_expression] = STATE(5443),
    [sym_array_get_expression] = STATE(5443),
    [sym_string_get_expression] = STATE(5443),
    [sym_bigarray_get_expression] = STATE(5443),
    [sym_coercion_expression] = STATE(5443),
    [sym_local_open_expression] = STATE(5443),
    [sym_package_expression] = STATE(5443),
    [sym_new_expression] = STATE(5443),
    [sym_object_copy_expression] = STATE(5443),
    [sym_method_invocation] = STATE(5443),
    [sym_object_expression] = STATE(5443),
    [sym_parenthesized_expression] = STATE(5443),
    [sym_attribute] = STATE(2776),
    [sym_extension] = STATE(5443),
    [sym_quoted_extension] = STATE(5443),
    [sym__constant] = STATE(5443),
    [sym_number] = STATE(5368),
    [sym_character] = STATE(5368),
    [sym_string] = STATE(5368),
    [sym_quoted_string] = STATE(5368),
    [sym_boolean] = STATE(5368),
    [sym_unit] = STATE(5368),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5308),
    [sym_value_path] = STATE(5443),
    [sym_module_path] = STATE(21779),
    [sym_constructor_path] = STATE(5443),
    [sym__constructor_name] = STATE(5250),
    [sym_tag] = STATE(5443),
    [aux_sym_class_application_repeat1] = STATE(2776),
    [ts_builtin_sym_end] = ACTIONS(3850),
    [sym__lowercase_identifier] = ACTIONS(5461),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5464),
    [anon_sym_LPAREN] = ACTIONS(5467),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_true] = ACTIONS(5473),
    [anon_sym_false] = ACTIONS(5473),
    [anon_sym_LBRACE] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(5479),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5482),
    [anon_sym_new] = ACTIONS(5485),
    [anon_sym_LBRACE_LT] = ACTIONS(5488),
    [anon_sym_begin] = ACTIONS(5491),
    [sym_ocamlyacc_value] = ACTIONS(5494),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5497),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5500),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(5503),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5506),
    [anon_sym_DQUOTE] = ACTIONS(5509),
    [sym_prefix_operator] = ACTIONS(5512),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5515),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(5518),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2777] = {
    [sym__simple_expression] = STATE(5217),
    [sym_typed_expression] = STATE(5293),
    [sym_list_expression] = STATE(5293),
    [sym_array_expression] = STATE(5293),
    [sym_record_expression] = STATE(5293),
    [sym_labeled_argument] = STATE(5560),
    [sym_prefix_expression] = STATE(5293),
    [sym_hash_expression] = STATE(5293),
    [sym_field_get_expression] = STATE(5293),
    [sym_array_get_expression] = STATE(5293),
    [sym_string_get_expression] = STATE(5293),
    [sym_bigarray_get_expression] = STATE(5293),
    [sym_coercion_expression] = STATE(5293),
    [sym_local_open_expression] = STATE(5293),
    [sym_package_expression] = STATE(5293),
    [sym_new_expression] = STATE(5293),
    [sym_object_copy_expression] = STATE(5293),
    [sym_method_invocation] = STATE(5293),
    [sym_object_expression] = STATE(5293),
    [sym_parenthesized_expression] = STATE(5293),
    [sym_attribute] = STATE(2777),
    [sym_extension] = STATE(5293),
    [sym_quoted_extension] = STATE(5293),
    [sym__constant] = STATE(5293),
    [sym_number] = STATE(5116),
    [sym_character] = STATE(5116),
    [sym_string] = STATE(5116),
    [sym_quoted_string] = STATE(5116),
    [sym_boolean] = STATE(5116),
    [sym_unit] = STATE(5116),
    [sym__value_name] = STATE(5387),
    [sym_parenthesized_operator] = STATE(5297),
    [sym_value_path] = STATE(5293),
    [sym_module_path] = STATE(21042),
    [sym_constructor_path] = STATE(5293),
    [sym__constructor_name] = STATE(5117),
    [sym_tag] = STATE(5293),
    [aux_sym_class_application_repeat1] = STATE(2777),
    [sym__lowercase_identifier] = ACTIONS(5521),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(5524),
    [anon_sym_QMARK] = ACTIONS(5524),
    [anon_sym_LPAREN] = ACTIONS(5527),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [anon_sym_RBRACK] = ACTIONS(3850),
    [anon_sym_true] = ACTIONS(5533),
    [anon_sym_false] = ACTIONS(5533),
    [anon_sym_LBRACE] = ACTIONS(5536),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(5539),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5542),
    [anon_sym_new] = ACTIONS(5545),
    [anon_sym_LBRACE_LT] = ACTIONS(5548),
    [anon_sym_begin] = ACTIONS(5551),
    [sym_ocamlyacc_value] = ACTIONS(5554),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5560),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(5563),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5566),
    [anon_sym_DQUOTE] = ACTIONS(5569),
    [sym_prefix_operator] = ACTIONS(5572),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5575),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2778] = {
    [sym__simple_expression] = STATE(5265),
    [sym_typed_expression] = STATE(5382),
    [sym_list_expression] = STATE(5382),
    [sym_array_expression] = STATE(5382),
    [sym_record_expression] = STATE(5382),
    [sym_labeled_argument] = STATE(5614),
    [sym_prefix_expression] = STATE(5382),
    [sym_hash_expression] = STATE(5382),
    [sym_field_get_expression] = STATE(5382),
    [sym_array_get_expression] = STATE(5382),
    [sym_string_get_expression] = STATE(5382),
    [sym_bigarray_get_expression] = STATE(5382),
    [sym_coercion_expression] = STATE(5382),
    [sym_local_open_expression] = STATE(5382),
    [sym_package_expression] = STATE(5382),
    [sym_new_expression] = STATE(5382),
    [sym_object_copy_expression] = STATE(5382),
    [sym_method_invocation] = STATE(5382),
    [sym_object_expression] = STATE(5382),
    [sym_parenthesized_expression] = STATE(5382),
    [sym_attribute] = STATE(2778),
    [sym_extension] = STATE(5382),
    [sym_quoted_extension] = STATE(5382),
    [sym__constant] = STATE(5382),
    [sym_number] = STATE(5195),
    [sym_character] = STATE(5195),
    [sym_string] = STATE(5195),
    [sym_quoted_string] = STATE(5195),
    [sym_boolean] = STATE(5195),
    [sym_unit] = STATE(5195),
    [sym__value_name] = STATE(5084),
    [sym_parenthesized_operator] = STATE(5085),
    [sym_value_path] = STATE(5382),
    [sym_module_path] = STATE(21715),
    [sym_constructor_path] = STATE(5382),
    [sym__constructor_name] = STATE(5196),
    [sym_tag] = STATE(5382),
    [aux_sym_class_application_repeat1] = STATE(2774),
    [sym__lowercase_identifier] = ACTIONS(4851),
    [anon_sym_SEMI_SEMI] = ACTIONS(4079),
    [anon_sym_let] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_external] = ACTIONS(4081),
    [anon_sym_type] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_exception] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4081),
    [anon_sym_open] = ACTIONS(4081),
    [anon_sym_include] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_end] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(753),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(757),
    [anon_sym_new] = ACTIONS(767),
    [anon_sym_LBRACE_LT] = ACTIONS(769),
    [anon_sym_begin] = ACTIONS(771),
    [sym_ocamlyacc_value] = ACTIONS(773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(779),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [sym_prefix_operator] = ACTIONS(785),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(4079),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2779] = {
    [sym__simple_expression] = STATE(5855),
    [sym_typed_expression] = STATE(5846),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_labeled_argument] = STATE(6233),
    [sym_prefix_expression] = STATE(5846),
    [sym_hash_expression] = STATE(5846),
    [sym_field_get_expression] = STATE(5846),
    [sym_array_get_expression] = STATE(5846),
    [sym_string_get_expression] = STATE(5846),
    [sym_bigarray_get_expression] = STATE(5846),
    [sym_coercion_expression] = STATE(5846),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2779),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [aux_sym_class_application_repeat1] = STATE(2783),
    [sym__lowercase_identifier] = ACTIONS(5581),
    [anon_sym_TILDE] = ACTIONS(5583),
    [anon_sym_QMARK] = ACTIONS(5583),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_DOT] = ACTIONS(5585),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_constraint] = ACTIONS(3539),
    [anon_sym_val] = ACTIONS(3539),
    [anon_sym_end] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_inherit] = ACTIONS(3539),
    [anon_sym_method] = ACTIONS(3539),
    [anon_sym_initializer] = ACTIONS(3539),
    [anon_sym_POUND] = ACTIONS(5587),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1281),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(5589),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2780] = {
    [sym__simple_expression] = STATE(5927),
    [sym_typed_expression] = STATE(5982),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_labeled_argument] = STATE(6385),
    [sym_prefix_expression] = STATE(5982),
    [sym_hash_expression] = STATE(5982),
    [sym_field_get_expression] = STATE(5982),
    [sym_array_get_expression] = STATE(5982),
    [sym_string_get_expression] = STATE(5982),
    [sym_bigarray_get_expression] = STATE(5982),
    [sym_coercion_expression] = STATE(5982),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2780),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [aux_sym_class_application_repeat1] = STATE(2786),
    [sym__lowercase_identifier] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_DOT] = ACTIONS(5595),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_constraint] = ACTIONS(3539),
    [anon_sym_val] = ACTIONS(3539),
    [anon_sym_end] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_inherit] = ACTIONS(3539),
    [anon_sym_method] = ACTIONS(3539),
    [anon_sym_initializer] = ACTIONS(3539),
    [anon_sym_POUND] = ACTIONS(5597),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3539),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1357),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(5599),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2781] = {
    [sym__simple_expression] = STATE(6012),
    [sym_typed_expression] = STATE(6006),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_labeled_argument] = STATE(6507),
    [sym_prefix_expression] = STATE(6006),
    [sym_hash_expression] = STATE(6006),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_coercion_expression] = STATE(6006),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2781),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [aux_sym_class_application_repeat1] = STATE(2789),
    [sym__lowercase_identifier] = ACTIONS(5601),
    [anon_sym_COLON_GT] = ACTIONS(3535),
    [anon_sym_TILDE] = ACTIONS(5603),
    [anon_sym_QMARK] = ACTIONS(5603),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_RPAREN] = ACTIONS(3535),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_RBRACK] = ACTIONS(3535),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_COLON2] = ACTIONS(3539),
    [anon_sym_DOT] = ACTIONS(5605),
    [anon_sym_DASH_GT] = ACTIONS(3539),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_RBRACE] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_POUND] = ACTIONS(5607),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3535),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_GT_RBRACE] = ACTIONS(3535),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(5609),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2782] = {
    [sym__simple_expression] = STATE(6202),
    [sym_typed_expression] = STATE(6271),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_labeled_argument] = STATE(6660),
    [sym_prefix_expression] = STATE(6271),
    [sym_hash_expression] = STATE(6271),
    [sym_field_get_expression] = STATE(6271),
    [sym_array_get_expression] = STATE(6271),
    [sym_string_get_expression] = STATE(6271),
    [sym_bigarray_get_expression] = STATE(6271),
    [sym_coercion_expression] = STATE(6271),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2782),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [aux_sym_class_application_repeat1] = STATE(2794),
    [sym__lowercase_identifier] = ACTIONS(5611),
    [anon_sym_COLON_GT] = ACTIONS(3535),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_QMARK] = ACTIONS(5613),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(3535),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_RBRACK] = ACTIONS(3535),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_COLON2] = ACTIONS(3539),
    [anon_sym_DOT] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(3539),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_RBRACE] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_POUND] = ACTIONS(5617),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_GT_RBRACE] = ACTIONS(3535),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(5619),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2783] = {
    [sym__simple_expression] = STATE(5855),
    [sym_typed_expression] = STATE(5846),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_labeled_argument] = STATE(6233),
    [sym_prefix_expression] = STATE(5846),
    [sym_hash_expression] = STATE(5846),
    [sym_field_get_expression] = STATE(5846),
    [sym_array_get_expression] = STATE(5846),
    [sym_string_get_expression] = STATE(5846),
    [sym_bigarray_get_expression] = STATE(5846),
    [sym_coercion_expression] = STATE(5846),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2783),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [aux_sym_class_application_repeat1] = STATE(2785),
    [sym__lowercase_identifier] = ACTIONS(5581),
    [anon_sym_TILDE] = ACTIONS(5583),
    [anon_sym_QMARK] = ACTIONS(5583),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_constraint] = ACTIONS(4081),
    [anon_sym_val] = ACTIONS(4081),
    [anon_sym_end] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_inherit] = ACTIONS(4081),
    [anon_sym_method] = ACTIONS(4081),
    [anon_sym_initializer] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1281),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2784] = {
    [sym__simple_expression] = STATE(6261),
    [sym_typed_expression] = STATE(6171),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_labeled_argument] = STATE(6732),
    [sym_prefix_expression] = STATE(6171),
    [sym_hash_expression] = STATE(6171),
    [sym_field_get_expression] = STATE(6171),
    [sym_array_get_expression] = STATE(6171),
    [sym_string_get_expression] = STATE(6171),
    [sym_bigarray_get_expression] = STATE(6171),
    [sym_coercion_expression] = STATE(6171),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2784),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [aux_sym_class_application_repeat1] = STATE(2796),
    [sym__lowercase_identifier] = ACTIONS(5621),
    [anon_sym_COLON_GT] = ACTIONS(3535),
    [anon_sym_TILDE] = ACTIONS(5623),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3535),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3535),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_COLON2] = ACTIONS(3539),
    [anon_sym_DOT] = ACTIONS(5625),
    [anon_sym_DASH_GT] = ACTIONS(3539),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_RBRACE] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_POUND] = ACTIONS(5627),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_GT_RBRACE] = ACTIONS(3535),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(5629),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2785] = {
    [sym__simple_expression] = STATE(5855),
    [sym_typed_expression] = STATE(5846),
    [sym_list_expression] = STATE(5846),
    [sym_array_expression] = STATE(5846),
    [sym_record_expression] = STATE(5846),
    [sym_labeled_argument] = STATE(6233),
    [sym_prefix_expression] = STATE(5846),
    [sym_hash_expression] = STATE(5846),
    [sym_field_get_expression] = STATE(5846),
    [sym_array_get_expression] = STATE(5846),
    [sym_string_get_expression] = STATE(5846),
    [sym_bigarray_get_expression] = STATE(5846),
    [sym_coercion_expression] = STATE(5846),
    [sym_local_open_expression] = STATE(5846),
    [sym_package_expression] = STATE(5846),
    [sym_new_expression] = STATE(5846),
    [sym_object_copy_expression] = STATE(5846),
    [sym_method_invocation] = STATE(5846),
    [sym_object_expression] = STATE(5846),
    [sym_parenthesized_expression] = STATE(5846),
    [sym_attribute] = STATE(2785),
    [sym_extension] = STATE(5846),
    [sym_quoted_extension] = STATE(5846),
    [sym__constant] = STATE(5846),
    [sym_number] = STATE(5897),
    [sym_character] = STATE(5897),
    [sym_string] = STATE(5897),
    [sym_quoted_string] = STATE(5897),
    [sym_boolean] = STATE(5897),
    [sym_unit] = STATE(5897),
    [sym__value_name] = STATE(5822),
    [sym_parenthesized_operator] = STATE(5794),
    [sym_value_path] = STATE(5846),
    [sym_module_path] = STATE(20249),
    [sym_constructor_path] = STATE(5846),
    [sym__constructor_name] = STATE(5798),
    [sym_tag] = STATE(5846),
    [aux_sym_class_application_repeat1] = STATE(2785),
    [sym__lowercase_identifier] = ACTIONS(5631),
    [anon_sym_TILDE] = ACTIONS(5634),
    [anon_sym_QMARK] = ACTIONS(5634),
    [anon_sym_LPAREN] = ACTIONS(5637),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [anon_sym_true] = ACTIONS(5643),
    [anon_sym_false] = ACTIONS(5643),
    [anon_sym_LBRACE] = ACTIONS(5646),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_constraint] = ACTIONS(3852),
    [anon_sym_val] = ACTIONS(3852),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(5649),
    [anon_sym_inherit] = ACTIONS(3852),
    [anon_sym_method] = ACTIONS(3852),
    [anon_sym_initializer] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5652),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(5655),
    [anon_sym_LBRACE_LT] = ACTIONS(5658),
    [anon_sym_begin] = ACTIONS(5661),
    [sym_ocamlyacc_value] = ACTIONS(5664),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5667),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5670),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(5673),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5676),
    [anon_sym_DQUOTE] = ACTIONS(5679),
    [sym_prefix_operator] = ACTIONS(5682),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5685),
    [aux_sym_tag_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2786] = {
    [sym__simple_expression] = STATE(5927),
    [sym_typed_expression] = STATE(5982),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_labeled_argument] = STATE(6385),
    [sym_prefix_expression] = STATE(5982),
    [sym_hash_expression] = STATE(5982),
    [sym_field_get_expression] = STATE(5982),
    [sym_array_get_expression] = STATE(5982),
    [sym_string_get_expression] = STATE(5982),
    [sym_bigarray_get_expression] = STATE(5982),
    [sym_coercion_expression] = STATE(5982),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2786),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [aux_sym_class_application_repeat1] = STATE(2787),
    [sym__lowercase_identifier] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_constraint] = ACTIONS(4081),
    [anon_sym_val] = ACTIONS(4081),
    [anon_sym_end] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_inherit] = ACTIONS(4081),
    [anon_sym_method] = ACTIONS(4081),
    [anon_sym_initializer] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4081),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1357),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4079),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4079),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2787] = {
    [sym__simple_expression] = STATE(5927),
    [sym_typed_expression] = STATE(5982),
    [sym_list_expression] = STATE(5982),
    [sym_array_expression] = STATE(5982),
    [sym_record_expression] = STATE(5982),
    [sym_labeled_argument] = STATE(6385),
    [sym_prefix_expression] = STATE(5982),
    [sym_hash_expression] = STATE(5982),
    [sym_field_get_expression] = STATE(5982),
    [sym_array_get_expression] = STATE(5982),
    [sym_string_get_expression] = STATE(5982),
    [sym_bigarray_get_expression] = STATE(5982),
    [sym_coercion_expression] = STATE(5982),
    [sym_local_open_expression] = STATE(5982),
    [sym_package_expression] = STATE(5982),
    [sym_new_expression] = STATE(5982),
    [sym_object_copy_expression] = STATE(5982),
    [sym_method_invocation] = STATE(5982),
    [sym_object_expression] = STATE(5982),
    [sym_parenthesized_expression] = STATE(5982),
    [sym_attribute] = STATE(2787),
    [sym_extension] = STATE(5982),
    [sym_quoted_extension] = STATE(5982),
    [sym__constant] = STATE(5982),
    [sym_number] = STATE(5998),
    [sym_character] = STATE(5998),
    [sym_string] = STATE(5998),
    [sym_quoted_string] = STATE(5998),
    [sym_boolean] = STATE(5998),
    [sym_unit] = STATE(5998),
    [sym__value_name] = STATE(5953),
    [sym_parenthesized_operator] = STATE(5954),
    [sym_value_path] = STATE(5982),
    [sym_module_path] = STATE(21934),
    [sym_constructor_path] = STATE(5982),
    [sym__constructor_name] = STATE(5957),
    [sym_tag] = STATE(5982),
    [aux_sym_class_application_repeat1] = STATE(2787),
    [sym__lowercase_identifier] = ACTIONS(5691),
    [anon_sym_TILDE] = ACTIONS(5694),
    [anon_sym_QMARK] = ACTIONS(5694),
    [anon_sym_LPAREN] = ACTIONS(5697),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5700),
    [anon_sym_true] = ACTIONS(5703),
    [anon_sym_false] = ACTIONS(5703),
    [anon_sym_LBRACE] = ACTIONS(5706),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_constraint] = ACTIONS(3852),
    [anon_sym_val] = ACTIONS(3852),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(5709),
    [anon_sym_inherit] = ACTIONS(3852),
    [anon_sym_method] = ACTIONS(3852),
    [anon_sym_initializer] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5712),
    [anon_sym_new] = ACTIONS(5715),
    [anon_sym_LBRACE_LT] = ACTIONS(5718),
    [anon_sym_begin] = ACTIONS(5721),
    [sym_ocamlyacc_value] = ACTIONS(5724),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5730),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(5733),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5736),
    [anon_sym_DQUOTE] = ACTIONS(5739),
    [sym_prefix_operator] = ACTIONS(5742),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5745),
    [aux_sym_tag_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2788] = {
    [sym__simple_expression] = STATE(6455),
    [sym_typed_expression] = STATE(6392),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_labeled_argument] = STATE(6818),
    [sym_prefix_expression] = STATE(6392),
    [sym_hash_expression] = STATE(6392),
    [sym_field_get_expression] = STATE(6392),
    [sym_array_get_expression] = STATE(6392),
    [sym_string_get_expression] = STATE(6392),
    [sym_bigarray_get_expression] = STATE(6392),
    [sym_coercion_expression] = STATE(6392),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2788),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [aux_sym_class_application_repeat1] = STATE(2801),
    [sym__lowercase_identifier] = ACTIONS(5751),
    [anon_sym_COLON_GT] = ACTIONS(3535),
    [anon_sym_TILDE] = ACTIONS(5753),
    [anon_sym_QMARK] = ACTIONS(5753),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(3535),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_RBRACK] = ACTIONS(3535),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_COLON2] = ACTIONS(3539),
    [anon_sym_DOT] = ACTIONS(5755),
    [anon_sym_DASH_GT] = ACTIONS(3539),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_RBRACE] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_POUND] = ACTIONS(5757),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_GT_RBRACE] = ACTIONS(3535),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(5759),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2789] = {
    [sym__simple_expression] = STATE(6012),
    [sym_typed_expression] = STATE(6006),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_labeled_argument] = STATE(6507),
    [sym_prefix_expression] = STATE(6006),
    [sym_hash_expression] = STATE(6006),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_coercion_expression] = STATE(6006),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2789),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [aux_sym_class_application_repeat1] = STATE(2790),
    [sym__lowercase_identifier] = ACTIONS(5601),
    [anon_sym_COLON_GT] = ACTIONS(4079),
    [anon_sym_TILDE] = ACTIONS(5603),
    [anon_sym_QMARK] = ACTIONS(5603),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_RPAREN] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_RBRACK] = ACTIONS(4079),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_COLON2] = ACTIONS(4081),
    [anon_sym_DASH_GT] = ACTIONS(4081),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_RBRACE] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4079),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_GT_RBRACE] = ACTIONS(4079),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2790] = {
    [sym__simple_expression] = STATE(6012),
    [sym_typed_expression] = STATE(6006),
    [sym_list_expression] = STATE(6006),
    [sym_array_expression] = STATE(6006),
    [sym_record_expression] = STATE(6006),
    [sym_labeled_argument] = STATE(6507),
    [sym_prefix_expression] = STATE(6006),
    [sym_hash_expression] = STATE(6006),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_coercion_expression] = STATE(6006),
    [sym_local_open_expression] = STATE(6006),
    [sym_package_expression] = STATE(6006),
    [sym_new_expression] = STATE(6006),
    [sym_object_copy_expression] = STATE(6006),
    [sym_method_invocation] = STATE(6006),
    [sym_object_expression] = STATE(6006),
    [sym_parenthesized_expression] = STATE(6006),
    [sym_attribute] = STATE(2790),
    [sym_extension] = STATE(6006),
    [sym_quoted_extension] = STATE(6006),
    [sym__constant] = STATE(6006),
    [sym_number] = STATE(6127),
    [sym_character] = STATE(6127),
    [sym_string] = STATE(6127),
    [sym_quoted_string] = STATE(6127),
    [sym_boolean] = STATE(6127),
    [sym_unit] = STATE(6127),
    [sym__value_name] = STATE(6048),
    [sym_parenthesized_operator] = STATE(6070),
    [sym_value_path] = STATE(6006),
    [sym_module_path] = STATE(19592),
    [sym_constructor_path] = STATE(6006),
    [sym__constructor_name] = STATE(6147),
    [sym_tag] = STATE(6006),
    [aux_sym_class_application_repeat1] = STATE(2790),
    [sym__lowercase_identifier] = ACTIONS(5761),
    [anon_sym_COLON_GT] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(5764),
    [anon_sym_QMARK] = ACTIONS(5764),
    [anon_sym_LPAREN] = ACTIONS(5767),
    [anon_sym_RPAREN] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_RBRACK] = ACTIONS(3850),
    [anon_sym_true] = ACTIONS(5773),
    [anon_sym_false] = ACTIONS(5773),
    [anon_sym_COLON2] = ACTIONS(3852),
    [anon_sym_DASH_GT] = ACTIONS(3852),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_RBRACE] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5779),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5782),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3850),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(5785),
    [anon_sym_LBRACE_LT] = ACTIONS(5788),
    [anon_sym_GT_RBRACE] = ACTIONS(3850),
    [anon_sym_begin] = ACTIONS(5791),
    [sym_ocamlyacc_value] = ACTIONS(5794),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5800),
    [aux_sym_number_token1] = ACTIONS(5803),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5806),
    [anon_sym_DQUOTE] = ACTIONS(5809),
    [sym_prefix_operator] = ACTIONS(5812),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5815),
    [aux_sym_tag_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2791] = {
    [sym__simple_expression] = STATE(6202),
    [sym_typed_expression] = STATE(6271),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_labeled_argument] = STATE(6660),
    [sym_prefix_expression] = STATE(6271),
    [sym_hash_expression] = STATE(6271),
    [sym_field_get_expression] = STATE(6271),
    [sym_array_get_expression] = STATE(6271),
    [sym_string_get_expression] = STATE(6271),
    [sym_bigarray_get_expression] = STATE(6271),
    [sym_coercion_expression] = STATE(6271),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2791),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [aux_sym_class_application_repeat1] = STATE(2791),
    [sym__lowercase_identifier] = ACTIONS(5821),
    [anon_sym_COLON_GT] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(5824),
    [anon_sym_QMARK] = ACTIONS(5824),
    [anon_sym_LPAREN] = ACTIONS(5827),
    [anon_sym_RPAREN] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [anon_sym_RBRACK] = ACTIONS(3850),
    [anon_sym_true] = ACTIONS(5833),
    [anon_sym_false] = ACTIONS(5833),
    [anon_sym_COLON2] = ACTIONS(3852),
    [anon_sym_DASH_GT] = ACTIONS(3852),
    [anon_sym_LBRACE] = ACTIONS(5836),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_RBRACE] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5839),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5842),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(5845),
    [anon_sym_LBRACE_LT] = ACTIONS(5848),
    [anon_sym_GT_RBRACE] = ACTIONS(3850),
    [anon_sym_begin] = ACTIONS(5851),
    [sym_ocamlyacc_value] = ACTIONS(5854),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5857),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5860),
    [aux_sym_number_token1] = ACTIONS(5863),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5866),
    [anon_sym_DQUOTE] = ACTIONS(5869),
    [sym_prefix_operator] = ACTIONS(5872),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5875),
    [aux_sym_tag_token1] = ACTIONS(5878),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2792] = {
    [sym__binding_pattern] = STATE(6477),
    [sym_alias_binding_pattern] = STATE(6351),
    [sym_typed_binding_pattern] = STATE(6351),
    [sym_or_binding_pattern] = STATE(6351),
    [sym_constructor_binding_pattern] = STATE(6351),
    [sym_tag_binding_pattern] = STATE(6351),
    [sym_polymorphic_variant_pattern] = STATE(6351),
    [sym_tuple_binding_pattern] = STATE(6351),
    [sym_record_binding_pattern] = STATE(6352),
    [sym_list_binding_pattern] = STATE(6355),
    [sym_cons_binding_pattern] = STATE(6351),
    [sym_array_binding_pattern] = STATE(6366),
    [sym_range_pattern] = STATE(6351),
    [sym_lazy_binding_pattern] = STATE(6351),
    [sym_local_open_binding_pattern] = STATE(6351),
    [sym_package_pattern] = STATE(6351),
    [sym_parenthesized_binding_pattern] = STATE(6351),
    [sym_attribute] = STATE(2792),
    [sym_extension] = STATE(6351),
    [sym_quoted_extension] = STATE(6351),
    [sym__constant] = STATE(6206),
    [sym__signed_constant] = STATE(6230),
    [sym_number] = STATE(6172),
    [sym_signed_number] = STATE(6206),
    [sym_character] = STATE(6172),
    [sym_string] = STATE(6172),
    [sym_quoted_string] = STATE(6172),
    [sym_boolean] = STATE(6172),
    [sym_unit] = STATE(6172),
    [sym__value_name] = STATE(6351),
    [sym_parenthesized_operator] = STATE(6379),
    [sym_module_path] = STATE(20227),
    [sym_constructor_path] = STATE(2792),
    [sym__constructor_name] = STATE(6210),
    [sym_tag] = STATE(2797),
    [ts_builtin_sym_end] = ACTIONS(5881),
    [sym__lowercase_identifier] = ACTIONS(5883),
    [anon_sym_SEMI_SEMI] = ACTIONS(5881),
    [anon_sym_let] = ACTIONS(5885),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_COLON_GT] = ACTIONS(5881),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_TILDE] = ACTIONS(5881),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_LPAREN] = ACTIONS(5887),
    [anon_sym_external] = ACTIONS(5885),
    [anon_sym_type] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_RBRACK] = ACTIONS(5881),
    [anon_sym_true] = ACTIONS(5891),
    [anon_sym_false] = ACTIONS(5891),
    [anon_sym_COLON2] = ACTIONS(5885),
    [anon_sym_LBRACE] = ACTIONS(5893),
    [anon_sym_exception] = ACTIONS(5885),
    [anon_sym_module] = ACTIONS(5885),
    [anon_sym_open] = ACTIONS(5885),
    [anon_sym_include] = ACTIONS(5885),
    [anon_sym_class] = ACTIONS(5885),
    [anon_sym_in] = ACTIONS(5885),
    [anon_sym_as] = ACTIONS(5885),
    [anon_sym_POUND] = ACTIONS(5895),
    [anon_sym_COLON_COLON] = ACTIONS(5881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5897),
    [anon_sym_lazy] = ACTIONS(5899),
    [anon_sym_begin] = ACTIONS(5901),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5885),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5903),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5905),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5881),
    [aux_sym_number_token1] = ACTIONS(5907),
    [aux_sym_signed_number_token1] = ACTIONS(5909),
    [anon_sym_SQUOTE] = ACTIONS(5911),
    [anon_sym_DQUOTE] = ACTIONS(5913),
    [sym_let_operator] = ACTIONS(5881),
    [sym_let_and_operator] = ACTIONS(5881),
    [sym__uppercase_identifier] = ACTIONS(5915),
    [aux_sym_directive_token1] = ACTIONS(5885),
    [aux_sym_tag_token1] = ACTIONS(5917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2793] = {
    [sym__simple_expression] = STATE(6261),
    [sym_typed_expression] = STATE(6171),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_labeled_argument] = STATE(6732),
    [sym_prefix_expression] = STATE(6171),
    [sym_hash_expression] = STATE(6171),
    [sym_field_get_expression] = STATE(6171),
    [sym_array_get_expression] = STATE(6171),
    [sym_string_get_expression] = STATE(6171),
    [sym_bigarray_get_expression] = STATE(6171),
    [sym_coercion_expression] = STATE(6171),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2793),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [aux_sym_class_application_repeat1] = STATE(2793),
    [sym__lowercase_identifier] = ACTIONS(5919),
    [anon_sym_COLON_GT] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(5922),
    [anon_sym_QMARK] = ACTIONS(5922),
    [anon_sym_LPAREN] = ACTIONS(5925),
    [anon_sym_RPAREN] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(5928),
    [anon_sym_RBRACK] = ACTIONS(3850),
    [anon_sym_true] = ACTIONS(5931),
    [anon_sym_false] = ACTIONS(5931),
    [anon_sym_COLON2] = ACTIONS(3852),
    [anon_sym_DASH_GT] = ACTIONS(3852),
    [anon_sym_LBRACE] = ACTIONS(5934),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_RBRACE] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5937),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5940),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(5943),
    [anon_sym_LBRACE_LT] = ACTIONS(5946),
    [anon_sym_GT_RBRACE] = ACTIONS(3850),
    [anon_sym_begin] = ACTIONS(5949),
    [sym_ocamlyacc_value] = ACTIONS(5952),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5958),
    [aux_sym_number_token1] = ACTIONS(5961),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(5964),
    [anon_sym_DQUOTE] = ACTIONS(5967),
    [sym_prefix_operator] = ACTIONS(5970),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(5973),
    [aux_sym_tag_token1] = ACTIONS(5976),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2794] = {
    [sym__simple_expression] = STATE(6202),
    [sym_typed_expression] = STATE(6271),
    [sym_list_expression] = STATE(6271),
    [sym_array_expression] = STATE(6271),
    [sym_record_expression] = STATE(6271),
    [sym_labeled_argument] = STATE(6660),
    [sym_prefix_expression] = STATE(6271),
    [sym_hash_expression] = STATE(6271),
    [sym_field_get_expression] = STATE(6271),
    [sym_array_get_expression] = STATE(6271),
    [sym_string_get_expression] = STATE(6271),
    [sym_bigarray_get_expression] = STATE(6271),
    [sym_coercion_expression] = STATE(6271),
    [sym_local_open_expression] = STATE(6271),
    [sym_package_expression] = STATE(6271),
    [sym_new_expression] = STATE(6271),
    [sym_object_copy_expression] = STATE(6271),
    [sym_method_invocation] = STATE(6271),
    [sym_object_expression] = STATE(6271),
    [sym_parenthesized_expression] = STATE(6271),
    [sym_attribute] = STATE(2794),
    [sym_extension] = STATE(6271),
    [sym_quoted_extension] = STATE(6271),
    [sym__constant] = STATE(6271),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym__value_name] = STATE(6319),
    [sym_parenthesized_operator] = STATE(6207),
    [sym_value_path] = STATE(6271),
    [sym_module_path] = STATE(20633),
    [sym_constructor_path] = STATE(6271),
    [sym__constructor_name] = STATE(6195),
    [sym_tag] = STATE(6271),
    [aux_sym_class_application_repeat1] = STATE(2791),
    [sym__lowercase_identifier] = ACTIONS(5611),
    [anon_sym_COLON_GT] = ACTIONS(4079),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_QMARK] = ACTIONS(5613),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_RBRACK] = ACTIONS(4079),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_COLON2] = ACTIONS(4081),
    [anon_sym_DASH_GT] = ACTIONS(4081),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_RBRACE] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_GT_RBRACE] = ACTIONS(4079),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2795] = {
    [sym__simple_expression] = STATE(6658),
    [sym_typed_expression] = STATE(6761),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_labeled_argument] = STATE(7339),
    [sym_prefix_expression] = STATE(6761),
    [sym_hash_expression] = STATE(6761),
    [sym_field_get_expression] = STATE(6761),
    [sym_array_get_expression] = STATE(6761),
    [sym_string_get_expression] = STATE(6761),
    [sym_bigarray_get_expression] = STATE(6761),
    [sym_coercion_expression] = STATE(6761),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2795),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [aux_sym_class_application_repeat1] = STATE(2823),
    [sym__lowercase_identifier] = ACTIONS(5979),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(5981),
    [anon_sym_QMARK] = ACTIONS(5981),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(5983),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(3539),
    [anon_sym_POUND] = ACTIONS(5985),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(5987),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2796] = {
    [sym__simple_expression] = STATE(6261),
    [sym_typed_expression] = STATE(6171),
    [sym_list_expression] = STATE(6171),
    [sym_array_expression] = STATE(6171),
    [sym_record_expression] = STATE(6171),
    [sym_labeled_argument] = STATE(6732),
    [sym_prefix_expression] = STATE(6171),
    [sym_hash_expression] = STATE(6171),
    [sym_field_get_expression] = STATE(6171),
    [sym_array_get_expression] = STATE(6171),
    [sym_string_get_expression] = STATE(6171),
    [sym_bigarray_get_expression] = STATE(6171),
    [sym_coercion_expression] = STATE(6171),
    [sym_local_open_expression] = STATE(6171),
    [sym_package_expression] = STATE(6171),
    [sym_new_expression] = STATE(6171),
    [sym_object_copy_expression] = STATE(6171),
    [sym_method_invocation] = STATE(6171),
    [sym_object_expression] = STATE(6171),
    [sym_parenthesized_expression] = STATE(6171),
    [sym_attribute] = STATE(2796),
    [sym_extension] = STATE(6171),
    [sym_quoted_extension] = STATE(6171),
    [sym__constant] = STATE(6171),
    [sym_number] = STATE(6236),
    [sym_character] = STATE(6236),
    [sym_string] = STATE(6236),
    [sym_quoted_string] = STATE(6236),
    [sym_boolean] = STATE(6236),
    [sym_unit] = STATE(6236),
    [sym__value_name] = STATE(6194),
    [sym_parenthesized_operator] = STATE(6225),
    [sym_value_path] = STATE(6171),
    [sym_module_path] = STATE(20261),
    [sym_constructor_path] = STATE(6171),
    [sym__constructor_name] = STATE(6193),
    [sym_tag] = STATE(6171),
    [aux_sym_class_application_repeat1] = STATE(2793),
    [sym__lowercase_identifier] = ACTIONS(5621),
    [anon_sym_COLON_GT] = ACTIONS(4079),
    [anon_sym_TILDE] = ACTIONS(5623),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4079),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_COLON2] = ACTIONS(4081),
    [anon_sym_DASH_GT] = ACTIONS(4081),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_RBRACE] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4079),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_GT_RBRACE] = ACTIONS(4079),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2797] = {
    [sym__binding_pattern] = STATE(6353),
    [sym_alias_binding_pattern] = STATE(6351),
    [sym_typed_binding_pattern] = STATE(6351),
    [sym_or_binding_pattern] = STATE(6351),
    [sym_constructor_binding_pattern] = STATE(6351),
    [sym_tag_binding_pattern] = STATE(6351),
    [sym_polymorphic_variant_pattern] = STATE(6351),
    [sym_tuple_binding_pattern] = STATE(6351),
    [sym_record_binding_pattern] = STATE(6352),
    [sym_list_binding_pattern] = STATE(6355),
    [sym_cons_binding_pattern] = STATE(6351),
    [sym_array_binding_pattern] = STATE(6366),
    [sym_range_pattern] = STATE(6351),
    [sym_lazy_binding_pattern] = STATE(6351),
    [sym_local_open_binding_pattern] = STATE(6351),
    [sym_package_pattern] = STATE(6351),
    [sym_parenthesized_binding_pattern] = STATE(6351),
    [sym_attribute] = STATE(2797),
    [sym_extension] = STATE(6351),
    [sym_quoted_extension] = STATE(6351),
    [sym__constant] = STATE(6206),
    [sym__signed_constant] = STATE(6230),
    [sym_number] = STATE(6172),
    [sym_signed_number] = STATE(6206),
    [sym_character] = STATE(6172),
    [sym_string] = STATE(6172),
    [sym_quoted_string] = STATE(6172),
    [sym_boolean] = STATE(6172),
    [sym_unit] = STATE(6172),
    [sym__value_name] = STATE(6351),
    [sym_parenthesized_operator] = STATE(6379),
    [sym_module_path] = STATE(20227),
    [sym_constructor_path] = STATE(2792),
    [sym__constructor_name] = STATE(6210),
    [sym_tag] = STATE(2797),
    [ts_builtin_sym_end] = ACTIONS(5881),
    [sym__lowercase_identifier] = ACTIONS(5883),
    [anon_sym_SEMI_SEMI] = ACTIONS(5881),
    [anon_sym_let] = ACTIONS(5885),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_COLON_GT] = ACTIONS(5881),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_TILDE] = ACTIONS(5881),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_LPAREN] = ACTIONS(5887),
    [anon_sym_external] = ACTIONS(5885),
    [anon_sym_type] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_RBRACK] = ACTIONS(5881),
    [anon_sym_true] = ACTIONS(5891),
    [anon_sym_false] = ACTIONS(5891),
    [anon_sym_COLON2] = ACTIONS(5885),
    [anon_sym_LBRACE] = ACTIONS(5893),
    [anon_sym_exception] = ACTIONS(5885),
    [anon_sym_module] = ACTIONS(5885),
    [anon_sym_open] = ACTIONS(5885),
    [anon_sym_include] = ACTIONS(5885),
    [anon_sym_class] = ACTIONS(5885),
    [anon_sym_in] = ACTIONS(5885),
    [anon_sym_as] = ACTIONS(5885),
    [anon_sym_POUND] = ACTIONS(5895),
    [anon_sym_COLON_COLON] = ACTIONS(5881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5897),
    [anon_sym_lazy] = ACTIONS(5899),
    [anon_sym_begin] = ACTIONS(5901),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5885),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5903),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5905),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5881),
    [aux_sym_number_token1] = ACTIONS(5907),
    [aux_sym_signed_number_token1] = ACTIONS(5909),
    [anon_sym_SQUOTE] = ACTIONS(5911),
    [anon_sym_DQUOTE] = ACTIONS(5913),
    [sym_let_operator] = ACTIONS(5881),
    [sym_let_and_operator] = ACTIONS(5881),
    [sym__uppercase_identifier] = ACTIONS(5915),
    [aux_sym_directive_token1] = ACTIONS(5885),
    [aux_sym_tag_token1] = ACTIONS(5917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2798] = {
    [sym__abstract_type] = STATE(21331),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14958),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2798),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21405),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(5993),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6001),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6007),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6033),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6033),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6033),
    [sym_let_and_operator] = ACTIONS(6033),
    [sym_match_operator] = ACTIONS(6033),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2799] = {
    [sym__abstract_type] = STATE(20553),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15045),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2799),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21668),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6039),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(2137),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(2137),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2137),
    [sym_let_and_operator] = ACTIONS(2137),
    [sym_match_operator] = ACTIONS(2137),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2800] = {
    [sym__binding_pattern] = STATE(6538),
    [sym_alias_binding_pattern] = STATE(6523),
    [sym_typed_binding_pattern] = STATE(6523),
    [sym_or_binding_pattern] = STATE(6523),
    [sym_constructor_binding_pattern] = STATE(6523),
    [sym_tag_binding_pattern] = STATE(6523),
    [sym_polymorphic_variant_pattern] = STATE(6523),
    [sym_tuple_binding_pattern] = STATE(6523),
    [sym_record_binding_pattern] = STATE(6539),
    [sym_list_binding_pattern] = STATE(6627),
    [sym_cons_binding_pattern] = STATE(6523),
    [sym_array_binding_pattern] = STATE(6565),
    [sym_range_pattern] = STATE(6523),
    [sym_lazy_binding_pattern] = STATE(6523),
    [sym_local_open_binding_pattern] = STATE(6523),
    [sym_package_pattern] = STATE(6523),
    [sym_parenthesized_binding_pattern] = STATE(6523),
    [sym_attribute] = STATE(2800),
    [sym_extension] = STATE(6523),
    [sym_quoted_extension] = STATE(6523),
    [sym__constant] = STATE(6460),
    [sym__signed_constant] = STATE(6365),
    [sym_number] = STATE(6442),
    [sym_signed_number] = STATE(6460),
    [sym_character] = STATE(6442),
    [sym_string] = STATE(6442),
    [sym_quoted_string] = STATE(6442),
    [sym_boolean] = STATE(6442),
    [sym_unit] = STATE(6442),
    [sym__value_name] = STATE(6523),
    [sym_parenthesized_operator] = STATE(6611),
    [sym_module_path] = STATE(20503),
    [sym_constructor_path] = STATE(2811),
    [sym__constructor_name] = STATE(6344),
    [sym_tag] = STATE(2800),
    [sym__lowercase_identifier] = ACTIONS(6043),
    [anon_sym_SEMI_SEMI] = ACTIONS(5881),
    [anon_sym_let] = ACTIONS(5885),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_COLON_GT] = ACTIONS(5881),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_TILDE] = ACTIONS(5881),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_LPAREN] = ACTIONS(6045),
    [anon_sym_external] = ACTIONS(5885),
    [anon_sym_type] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(6047),
    [anon_sym_true] = ACTIONS(6049),
    [anon_sym_false] = ACTIONS(6049),
    [anon_sym_COLON2] = ACTIONS(5885),
    [anon_sym_LBRACE] = ACTIONS(6051),
    [anon_sym_exception] = ACTIONS(5885),
    [anon_sym_module] = ACTIONS(5885),
    [anon_sym_open] = ACTIONS(5885),
    [anon_sym_include] = ACTIONS(5885),
    [anon_sym_class] = ACTIONS(5885),
    [anon_sym_end] = ACTIONS(5885),
    [anon_sym_in] = ACTIONS(5885),
    [anon_sym_as] = ACTIONS(5885),
    [anon_sym_POUND] = ACTIONS(6053),
    [anon_sym_COLON_COLON] = ACTIONS(5881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6055),
    [anon_sym_lazy] = ACTIONS(6057),
    [anon_sym_begin] = ACTIONS(6059),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5885),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6063),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5881),
    [aux_sym_number_token1] = ACTIONS(6065),
    [aux_sym_signed_number_token1] = ACTIONS(6067),
    [anon_sym_SQUOTE] = ACTIONS(6069),
    [anon_sym_DQUOTE] = ACTIONS(6071),
    [sym_let_operator] = ACTIONS(5881),
    [sym_let_and_operator] = ACTIONS(5881),
    [sym__uppercase_identifier] = ACTIONS(6073),
    [aux_sym_directive_token1] = ACTIONS(5885),
    [aux_sym_tag_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2801] = {
    [sym__simple_expression] = STATE(6455),
    [sym_typed_expression] = STATE(6392),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_labeled_argument] = STATE(6818),
    [sym_prefix_expression] = STATE(6392),
    [sym_hash_expression] = STATE(6392),
    [sym_field_get_expression] = STATE(6392),
    [sym_array_get_expression] = STATE(6392),
    [sym_string_get_expression] = STATE(6392),
    [sym_bigarray_get_expression] = STATE(6392),
    [sym_coercion_expression] = STATE(6392),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2801),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [aux_sym_class_application_repeat1] = STATE(2805),
    [sym__lowercase_identifier] = ACTIONS(5751),
    [anon_sym_COLON_GT] = ACTIONS(4079),
    [anon_sym_TILDE] = ACTIONS(5753),
    [anon_sym_QMARK] = ACTIONS(5753),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_RBRACK] = ACTIONS(4079),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_COLON2] = ACTIONS(4081),
    [anon_sym_DASH_GT] = ACTIONS(4081),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_RBRACE] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_GT_RBRACE] = ACTIONS(4079),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2802] = {
    [sym__abstract_type] = STATE(20553),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15227),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2802),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21601),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6077),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6079),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6081),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6085),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6085),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6085),
    [sym_let_and_operator] = ACTIONS(6085),
    [sym_match_operator] = ACTIONS(6085),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2803] = {
    [sym__binding_pattern] = STATE(6525),
    [sym_alias_binding_pattern] = STATE(6528),
    [sym_typed_binding_pattern] = STATE(6528),
    [sym_or_binding_pattern] = STATE(6528),
    [sym_constructor_binding_pattern] = STATE(6528),
    [sym_tag_binding_pattern] = STATE(6528),
    [sym_polymorphic_variant_pattern] = STATE(6528),
    [sym_tuple_binding_pattern] = STATE(6528),
    [sym_record_binding_pattern] = STATE(6530),
    [sym_list_binding_pattern] = STATE(6535),
    [sym_cons_binding_pattern] = STATE(6528),
    [sym_array_binding_pattern] = STATE(6536),
    [sym_range_pattern] = STATE(6528),
    [sym_lazy_binding_pattern] = STATE(6528),
    [sym_local_open_binding_pattern] = STATE(6528),
    [sym_package_pattern] = STATE(6528),
    [sym_parenthesized_binding_pattern] = STATE(6528),
    [sym_attribute] = STATE(2803),
    [sym_extension] = STATE(6528),
    [sym_quoted_extension] = STATE(6528),
    [sym__constant] = STATE(6378),
    [sym__signed_constant] = STATE(6457),
    [sym_number] = STATE(6403),
    [sym_signed_number] = STATE(6378),
    [sym_character] = STATE(6403),
    [sym_string] = STATE(6403),
    [sym_quoted_string] = STATE(6403),
    [sym_boolean] = STATE(6403),
    [sym_unit] = STATE(6403),
    [sym__value_name] = STATE(6528),
    [sym_parenthesized_operator] = STATE(6590),
    [sym_module_path] = STATE(20121),
    [sym_constructor_path] = STATE(2803),
    [sym__constructor_name] = STATE(6363),
    [sym_tag] = STATE(2807),
    [ts_builtin_sym_end] = ACTIONS(5881),
    [sym__lowercase_identifier] = ACTIONS(6087),
    [anon_sym_SEMI_SEMI] = ACTIONS(5881),
    [anon_sym_let] = ACTIONS(5885),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_COLON_GT] = ACTIONS(5881),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_TILDE] = ACTIONS(5881),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_LPAREN] = ACTIONS(6089),
    [anon_sym_external] = ACTIONS(5885),
    [anon_sym_type] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(6091),
    [anon_sym_RBRACK] = ACTIONS(5881),
    [anon_sym_true] = ACTIONS(6093),
    [anon_sym_false] = ACTIONS(6093),
    [anon_sym_COLON2] = ACTIONS(5885),
    [anon_sym_LBRACE] = ACTIONS(6095),
    [anon_sym_exception] = ACTIONS(5885),
    [anon_sym_module] = ACTIONS(5885),
    [anon_sym_open] = ACTIONS(5885),
    [anon_sym_include] = ACTIONS(5885),
    [anon_sym_class] = ACTIONS(5885),
    [anon_sym_as] = ACTIONS(5885),
    [anon_sym_POUND] = ACTIONS(6097),
    [anon_sym_COLON_COLON] = ACTIONS(5881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6099),
    [anon_sym_lazy] = ACTIONS(6101),
    [anon_sym_begin] = ACTIONS(6103),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5885),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6107),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5881),
    [aux_sym_number_token1] = ACTIONS(6109),
    [aux_sym_signed_number_token1] = ACTIONS(6111),
    [anon_sym_SQUOTE] = ACTIONS(6113),
    [anon_sym_DQUOTE] = ACTIONS(6115),
    [sym_let_operator] = ACTIONS(5881),
    [sym_let_and_operator] = ACTIONS(5881),
    [sym__uppercase_identifier] = ACTIONS(6117),
    [aux_sym_directive_token1] = ACTIONS(5885),
    [aux_sym_tag_token1] = ACTIONS(6119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2804] = {
    [sym__abstract_type] = STATE(21464),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2804),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21579),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6121),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6123),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6125),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6127),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6129),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6129),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6129),
    [sym_let_and_operator] = ACTIONS(6129),
    [sym_match_operator] = ACTIONS(6129),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2805] = {
    [sym__simple_expression] = STATE(6455),
    [sym_typed_expression] = STATE(6392),
    [sym_list_expression] = STATE(6392),
    [sym_array_expression] = STATE(6392),
    [sym_record_expression] = STATE(6392),
    [sym_labeled_argument] = STATE(6818),
    [sym_prefix_expression] = STATE(6392),
    [sym_hash_expression] = STATE(6392),
    [sym_field_get_expression] = STATE(6392),
    [sym_array_get_expression] = STATE(6392),
    [sym_string_get_expression] = STATE(6392),
    [sym_bigarray_get_expression] = STATE(6392),
    [sym_coercion_expression] = STATE(6392),
    [sym_local_open_expression] = STATE(6392),
    [sym_package_expression] = STATE(6392),
    [sym_new_expression] = STATE(6392),
    [sym_object_copy_expression] = STATE(6392),
    [sym_method_invocation] = STATE(6392),
    [sym_object_expression] = STATE(6392),
    [sym_parenthesized_expression] = STATE(6392),
    [sym_attribute] = STATE(2805),
    [sym_extension] = STATE(6392),
    [sym_quoted_extension] = STATE(6392),
    [sym__constant] = STATE(6392),
    [sym_number] = STATE(6367),
    [sym_character] = STATE(6367),
    [sym_string] = STATE(6367),
    [sym_quoted_string] = STATE(6367),
    [sym_boolean] = STATE(6367),
    [sym_unit] = STATE(6367),
    [sym__value_name] = STATE(6438),
    [sym_parenthesized_operator] = STATE(6487),
    [sym_value_path] = STATE(6392),
    [sym_module_path] = STATE(19647),
    [sym_constructor_path] = STATE(6392),
    [sym__constructor_name] = STATE(6469),
    [sym_tag] = STATE(6392),
    [aux_sym_class_application_repeat1] = STATE(2805),
    [sym__lowercase_identifier] = ACTIONS(6131),
    [anon_sym_COLON_GT] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(6134),
    [anon_sym_QMARK] = ACTIONS(6134),
    [anon_sym_LPAREN] = ACTIONS(6137),
    [anon_sym_RPAREN] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(6140),
    [anon_sym_RBRACK] = ACTIONS(3850),
    [anon_sym_true] = ACTIONS(6143),
    [anon_sym_false] = ACTIONS(6143),
    [anon_sym_COLON2] = ACTIONS(3852),
    [anon_sym_DASH_GT] = ACTIONS(3852),
    [anon_sym_LBRACE] = ACTIONS(6146),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_RBRACE] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(6149),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6152),
    [anon_sym_new] = ACTIONS(6155),
    [anon_sym_LBRACE_LT] = ACTIONS(6158),
    [anon_sym_GT_RBRACE] = ACTIONS(3850),
    [anon_sym_begin] = ACTIONS(6161),
    [sym_ocamlyacc_value] = ACTIONS(6164),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6167),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6170),
    [aux_sym_number_token1] = ACTIONS(6173),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(6176),
    [anon_sym_DQUOTE] = ACTIONS(6179),
    [sym_prefix_operator] = ACTIONS(6182),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(6185),
    [aux_sym_tag_token1] = ACTIONS(6188),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2806] = {
    [sym__abstract_type] = STATE(20061),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14911),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2806),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(20368),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6191),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6193),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6195),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6199),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6199),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6199),
    [sym_let_and_operator] = ACTIONS(6199),
    [sym_match_operator] = ACTIONS(6199),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2807] = {
    [sym__binding_pattern] = STATE(6522),
    [sym_alias_binding_pattern] = STATE(6528),
    [sym_typed_binding_pattern] = STATE(6528),
    [sym_or_binding_pattern] = STATE(6528),
    [sym_constructor_binding_pattern] = STATE(6528),
    [sym_tag_binding_pattern] = STATE(6528),
    [sym_polymorphic_variant_pattern] = STATE(6528),
    [sym_tuple_binding_pattern] = STATE(6528),
    [sym_record_binding_pattern] = STATE(6530),
    [sym_list_binding_pattern] = STATE(6535),
    [sym_cons_binding_pattern] = STATE(6528),
    [sym_array_binding_pattern] = STATE(6536),
    [sym_range_pattern] = STATE(6528),
    [sym_lazy_binding_pattern] = STATE(6528),
    [sym_local_open_binding_pattern] = STATE(6528),
    [sym_package_pattern] = STATE(6528),
    [sym_parenthesized_binding_pattern] = STATE(6528),
    [sym_attribute] = STATE(2807),
    [sym_extension] = STATE(6528),
    [sym_quoted_extension] = STATE(6528),
    [sym__constant] = STATE(6378),
    [sym__signed_constant] = STATE(6457),
    [sym_number] = STATE(6403),
    [sym_signed_number] = STATE(6378),
    [sym_character] = STATE(6403),
    [sym_string] = STATE(6403),
    [sym_quoted_string] = STATE(6403),
    [sym_boolean] = STATE(6403),
    [sym_unit] = STATE(6403),
    [sym__value_name] = STATE(6528),
    [sym_parenthesized_operator] = STATE(6590),
    [sym_module_path] = STATE(20121),
    [sym_constructor_path] = STATE(2803),
    [sym__constructor_name] = STATE(6363),
    [sym_tag] = STATE(2807),
    [ts_builtin_sym_end] = ACTIONS(5881),
    [sym__lowercase_identifier] = ACTIONS(6087),
    [anon_sym_SEMI_SEMI] = ACTIONS(5881),
    [anon_sym_let] = ACTIONS(5885),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_COLON_GT] = ACTIONS(5881),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_TILDE] = ACTIONS(5881),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_LPAREN] = ACTIONS(6089),
    [anon_sym_external] = ACTIONS(5885),
    [anon_sym_type] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(6091),
    [anon_sym_RBRACK] = ACTIONS(5881),
    [anon_sym_true] = ACTIONS(6093),
    [anon_sym_false] = ACTIONS(6093),
    [anon_sym_COLON2] = ACTIONS(5885),
    [anon_sym_LBRACE] = ACTIONS(6095),
    [anon_sym_exception] = ACTIONS(5885),
    [anon_sym_module] = ACTIONS(5885),
    [anon_sym_open] = ACTIONS(5885),
    [anon_sym_include] = ACTIONS(5885),
    [anon_sym_class] = ACTIONS(5885),
    [anon_sym_as] = ACTIONS(5885),
    [anon_sym_POUND] = ACTIONS(6097),
    [anon_sym_COLON_COLON] = ACTIONS(5881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6099),
    [anon_sym_lazy] = ACTIONS(6101),
    [anon_sym_begin] = ACTIONS(6103),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5885),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6107),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5881),
    [aux_sym_number_token1] = ACTIONS(6109),
    [aux_sym_signed_number_token1] = ACTIONS(6111),
    [anon_sym_SQUOTE] = ACTIONS(6113),
    [anon_sym_DQUOTE] = ACTIONS(6115),
    [sym_let_operator] = ACTIONS(5881),
    [sym_let_and_operator] = ACTIONS(5881),
    [sym__uppercase_identifier] = ACTIONS(6117),
    [aux_sym_directive_token1] = ACTIONS(5885),
    [aux_sym_tag_token1] = ACTIONS(6119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2808] = {
    [sym__abstract_type] = STATE(19616),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15005),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2808),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(22472),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6201),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6203),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6205),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6207),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6209),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6209),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6209),
    [sym_let_and_operator] = ACTIONS(6209),
    [sym_match_operator] = ACTIONS(6209),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2809] = {
    [sym__abstract_type] = STATE(21823),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14944),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2809),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(20167),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6211),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6213),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6215),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6217),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6219),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6219),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6219),
    [sym_let_and_operator] = ACTIONS(6219),
    [sym_match_operator] = ACTIONS(6219),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2810] = {
    [sym__abstract_type] = STATE(19966),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14999),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2810),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(19567),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6221),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6223),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6225),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6227),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6229),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6229),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6229),
    [sym_let_and_operator] = ACTIONS(6229),
    [sym_match_operator] = ACTIONS(6229),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2811] = {
    [sym__binding_pattern] = STATE(6516),
    [sym_alias_binding_pattern] = STATE(6523),
    [sym_typed_binding_pattern] = STATE(6523),
    [sym_or_binding_pattern] = STATE(6523),
    [sym_constructor_binding_pattern] = STATE(6523),
    [sym_tag_binding_pattern] = STATE(6523),
    [sym_polymorphic_variant_pattern] = STATE(6523),
    [sym_tuple_binding_pattern] = STATE(6523),
    [sym_record_binding_pattern] = STATE(6539),
    [sym_list_binding_pattern] = STATE(6627),
    [sym_cons_binding_pattern] = STATE(6523),
    [sym_array_binding_pattern] = STATE(6565),
    [sym_range_pattern] = STATE(6523),
    [sym_lazy_binding_pattern] = STATE(6523),
    [sym_local_open_binding_pattern] = STATE(6523),
    [sym_package_pattern] = STATE(6523),
    [sym_parenthesized_binding_pattern] = STATE(6523),
    [sym_attribute] = STATE(2811),
    [sym_extension] = STATE(6523),
    [sym_quoted_extension] = STATE(6523),
    [sym__constant] = STATE(6460),
    [sym__signed_constant] = STATE(6365),
    [sym_number] = STATE(6442),
    [sym_signed_number] = STATE(6460),
    [sym_character] = STATE(6442),
    [sym_string] = STATE(6442),
    [sym_quoted_string] = STATE(6442),
    [sym_boolean] = STATE(6442),
    [sym_unit] = STATE(6442),
    [sym__value_name] = STATE(6523),
    [sym_parenthesized_operator] = STATE(6611),
    [sym_module_path] = STATE(20503),
    [sym_constructor_path] = STATE(2811),
    [sym__constructor_name] = STATE(6344),
    [sym_tag] = STATE(2800),
    [sym__lowercase_identifier] = ACTIONS(6043),
    [anon_sym_SEMI_SEMI] = ACTIONS(5881),
    [anon_sym_let] = ACTIONS(5885),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_COLON_GT] = ACTIONS(5881),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_TILDE] = ACTIONS(5881),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_LPAREN] = ACTIONS(6045),
    [anon_sym_external] = ACTIONS(5885),
    [anon_sym_type] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(6047),
    [anon_sym_true] = ACTIONS(6049),
    [anon_sym_false] = ACTIONS(6049),
    [anon_sym_COLON2] = ACTIONS(5885),
    [anon_sym_LBRACE] = ACTIONS(6051),
    [anon_sym_exception] = ACTIONS(5885),
    [anon_sym_module] = ACTIONS(5885),
    [anon_sym_open] = ACTIONS(5885),
    [anon_sym_include] = ACTIONS(5885),
    [anon_sym_class] = ACTIONS(5885),
    [anon_sym_end] = ACTIONS(5885),
    [anon_sym_in] = ACTIONS(5885),
    [anon_sym_as] = ACTIONS(5885),
    [anon_sym_POUND] = ACTIONS(6053),
    [anon_sym_COLON_COLON] = ACTIONS(5881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6055),
    [anon_sym_lazy] = ACTIONS(6057),
    [anon_sym_begin] = ACTIONS(6059),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5885),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6063),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5881),
    [aux_sym_number_token1] = ACTIONS(6065),
    [aux_sym_signed_number_token1] = ACTIONS(6067),
    [anon_sym_SQUOTE] = ACTIONS(6069),
    [anon_sym_DQUOTE] = ACTIONS(6071),
    [sym_let_operator] = ACTIONS(5881),
    [sym_let_and_operator] = ACTIONS(5881),
    [sym__uppercase_identifier] = ACTIONS(6073),
    [aux_sym_directive_token1] = ACTIONS(5885),
    [aux_sym_tag_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2812] = {
    [sym__simple_expression] = STATE(6797),
    [sym_typed_expression] = STATE(6770),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_labeled_argument] = STATE(7771),
    [sym_prefix_expression] = STATE(6770),
    [sym_hash_expression] = STATE(6770),
    [sym_field_get_expression] = STATE(6770),
    [sym_array_get_expression] = STATE(6770),
    [sym_string_get_expression] = STATE(6770),
    [sym_bigarray_get_expression] = STATE(6770),
    [sym_coercion_expression] = STATE(6770),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2812),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [aux_sym_class_application_repeat1] = STATE(2839),
    [sym__lowercase_identifier] = ACTIONS(6231),
    [anon_sym_and] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(6233),
    [anon_sym_QMARK] = ACTIONS(6233),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(6235),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(3539),
    [anon_sym_POUND] = ACTIONS(6237),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3535),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6239),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym_let_and_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2813] = {
    [sym__binding_pattern] = STATE(6645),
    [sym_alias_binding_pattern] = STATE(6662),
    [sym_typed_binding_pattern] = STATE(6662),
    [sym_or_binding_pattern] = STATE(6662),
    [sym_constructor_binding_pattern] = STATE(6662),
    [sym_tag_binding_pattern] = STATE(6662),
    [sym_polymorphic_variant_pattern] = STATE(6662),
    [sym_tuple_binding_pattern] = STATE(6662),
    [sym_record_binding_pattern] = STATE(6675),
    [sym_list_binding_pattern] = STATE(6700),
    [sym_cons_binding_pattern] = STATE(6662),
    [sym_array_binding_pattern] = STATE(6709),
    [sym_range_pattern] = STATE(6662),
    [sym_lazy_binding_pattern] = STATE(6662),
    [sym_local_open_binding_pattern] = STATE(6662),
    [sym_package_pattern] = STATE(6662),
    [sym_parenthesized_binding_pattern] = STATE(6662),
    [sym_attribute] = STATE(2813),
    [sym_extension] = STATE(6662),
    [sym_quoted_extension] = STATE(6662),
    [sym__constant] = STATE(6606),
    [sym__signed_constant] = STATE(6551),
    [sym_number] = STATE(6591),
    [sym_signed_number] = STATE(6606),
    [sym_character] = STATE(6591),
    [sym_string] = STATE(6591),
    [sym_quoted_string] = STATE(6591),
    [sym_boolean] = STATE(6591),
    [sym_unit] = STATE(6591),
    [sym__value_name] = STATE(6662),
    [sym_parenthesized_operator] = STATE(6633),
    [sym_module_path] = STATE(20870),
    [sym_constructor_path] = STATE(2815),
    [sym__constructor_name] = STATE(6514),
    [sym_tag] = STATE(2813),
    [sym__lowercase_identifier] = ACTIONS(6241),
    [anon_sym_SEMI_SEMI] = ACTIONS(5881),
    [anon_sym_let] = ACTIONS(5885),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_COLON_GT] = ACTIONS(5881),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_TILDE] = ACTIONS(5881),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_LPAREN] = ACTIONS(6243),
    [anon_sym_external] = ACTIONS(5885),
    [anon_sym_type] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(6245),
    [anon_sym_true] = ACTIONS(6247),
    [anon_sym_false] = ACTIONS(6247),
    [anon_sym_COLON2] = ACTIONS(5885),
    [anon_sym_LBRACE] = ACTIONS(6249),
    [anon_sym_exception] = ACTIONS(5885),
    [anon_sym_module] = ACTIONS(5885),
    [anon_sym_open] = ACTIONS(5885),
    [anon_sym_include] = ACTIONS(5885),
    [anon_sym_class] = ACTIONS(5885),
    [anon_sym_end] = ACTIONS(5885),
    [anon_sym_as] = ACTIONS(5885),
    [anon_sym_POUND] = ACTIONS(6251),
    [anon_sym_COLON_COLON] = ACTIONS(5881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6253),
    [anon_sym_lazy] = ACTIONS(6255),
    [anon_sym_begin] = ACTIONS(6257),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5885),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6261),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5881),
    [aux_sym_number_token1] = ACTIONS(6263),
    [aux_sym_signed_number_token1] = ACTIONS(6265),
    [anon_sym_SQUOTE] = ACTIONS(6267),
    [anon_sym_DQUOTE] = ACTIONS(6269),
    [sym_let_operator] = ACTIONS(5881),
    [sym_let_and_operator] = ACTIONS(5881),
    [sym__uppercase_identifier] = ACTIONS(6271),
    [aux_sym_directive_token1] = ACTIONS(5885),
    [aux_sym_tag_token1] = ACTIONS(6273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2814] = {
    [sym__simple_expression] = STATE(6887),
    [sym_typed_expression] = STATE(6875),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_labeled_argument] = STATE(8444),
    [sym_prefix_expression] = STATE(6875),
    [sym_hash_expression] = STATE(6875),
    [sym_field_get_expression] = STATE(6875),
    [sym_array_get_expression] = STATE(6875),
    [sym_string_get_expression] = STATE(6875),
    [sym_bigarray_get_expression] = STATE(6875),
    [sym_coercion_expression] = STATE(6875),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2814),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [aux_sym_class_application_repeat1] = STATE(2857),
    [sym__lowercase_identifier] = ACTIONS(6275),
    [anon_sym_TILDE] = ACTIONS(6277),
    [anon_sym_QMARK] = ACTIONS(6277),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_DOT] = ACTIONS(6279),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_POUND] = ACTIONS(6281),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_to] = ACTIONS(3539),
    [anon_sym_downto] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6283),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2815] = {
    [sym__binding_pattern] = STATE(6642),
    [sym_alias_binding_pattern] = STATE(6662),
    [sym_typed_binding_pattern] = STATE(6662),
    [sym_or_binding_pattern] = STATE(6662),
    [sym_constructor_binding_pattern] = STATE(6662),
    [sym_tag_binding_pattern] = STATE(6662),
    [sym_polymorphic_variant_pattern] = STATE(6662),
    [sym_tuple_binding_pattern] = STATE(6662),
    [sym_record_binding_pattern] = STATE(6675),
    [sym_list_binding_pattern] = STATE(6700),
    [sym_cons_binding_pattern] = STATE(6662),
    [sym_array_binding_pattern] = STATE(6709),
    [sym_range_pattern] = STATE(6662),
    [sym_lazy_binding_pattern] = STATE(6662),
    [sym_local_open_binding_pattern] = STATE(6662),
    [sym_package_pattern] = STATE(6662),
    [sym_parenthesized_binding_pattern] = STATE(6662),
    [sym_attribute] = STATE(2815),
    [sym_extension] = STATE(6662),
    [sym_quoted_extension] = STATE(6662),
    [sym__constant] = STATE(6606),
    [sym__signed_constant] = STATE(6551),
    [sym_number] = STATE(6591),
    [sym_signed_number] = STATE(6606),
    [sym_character] = STATE(6591),
    [sym_string] = STATE(6591),
    [sym_quoted_string] = STATE(6591),
    [sym_boolean] = STATE(6591),
    [sym_unit] = STATE(6591),
    [sym__value_name] = STATE(6662),
    [sym_parenthesized_operator] = STATE(6633),
    [sym_module_path] = STATE(20870),
    [sym_constructor_path] = STATE(2815),
    [sym__constructor_name] = STATE(6514),
    [sym_tag] = STATE(2813),
    [sym__lowercase_identifier] = ACTIONS(6241),
    [anon_sym_SEMI_SEMI] = ACTIONS(5881),
    [anon_sym_let] = ACTIONS(5885),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_COLON_GT] = ACTIONS(5881),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_TILDE] = ACTIONS(5881),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_LPAREN] = ACTIONS(6243),
    [anon_sym_external] = ACTIONS(5885),
    [anon_sym_type] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(6245),
    [anon_sym_true] = ACTIONS(6247),
    [anon_sym_false] = ACTIONS(6247),
    [anon_sym_COLON2] = ACTIONS(5885),
    [anon_sym_LBRACE] = ACTIONS(6249),
    [anon_sym_exception] = ACTIONS(5885),
    [anon_sym_module] = ACTIONS(5885),
    [anon_sym_open] = ACTIONS(5885),
    [anon_sym_include] = ACTIONS(5885),
    [anon_sym_class] = ACTIONS(5885),
    [anon_sym_end] = ACTIONS(5885),
    [anon_sym_as] = ACTIONS(5885),
    [anon_sym_POUND] = ACTIONS(6251),
    [anon_sym_COLON_COLON] = ACTIONS(5881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6253),
    [anon_sym_lazy] = ACTIONS(6255),
    [anon_sym_begin] = ACTIONS(6257),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5885),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6261),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5881),
    [aux_sym_number_token1] = ACTIONS(6263),
    [aux_sym_signed_number_token1] = ACTIONS(6265),
    [anon_sym_SQUOTE] = ACTIONS(6267),
    [anon_sym_DQUOTE] = ACTIONS(6269),
    [sym_let_operator] = ACTIONS(5881),
    [sym_let_and_operator] = ACTIONS(5881),
    [sym__uppercase_identifier] = ACTIONS(6271),
    [aux_sym_directive_token1] = ACTIONS(5885),
    [aux_sym_tag_token1] = ACTIONS(6273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2816] = {
    [sym__simple_expression] = STATE(7400),
    [sym_typed_expression] = STATE(7446),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_labeled_argument] = STATE(8533),
    [sym_prefix_expression] = STATE(7446),
    [sym_hash_expression] = STATE(7446),
    [sym_field_get_expression] = STATE(7446),
    [sym_array_get_expression] = STATE(7446),
    [sym_string_get_expression] = STATE(7446),
    [sym_bigarray_get_expression] = STATE(7446),
    [sym_coercion_expression] = STATE(7446),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2816),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [aux_sym_class_application_repeat1] = STATE(2859),
    [sym__lowercase_identifier] = ACTIONS(6285),
    [anon_sym_TILDE] = ACTIONS(6287),
    [anon_sym_QMARK] = ACTIONS(6287),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_DOT] = ACTIONS(6289),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_POUND] = ACTIONS(6291),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_do] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6293),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2817] = {
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15227),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2817),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21601),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6077),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6079),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6081),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6085),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6085),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6085),
    [sym_let_and_operator] = ACTIONS(6085),
    [sym_match_operator] = ACTIONS(6085),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2818] = {
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15227),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2818),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21601),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6077),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6079),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6081),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6085),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6085),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6085),
    [sym_let_and_operator] = ACTIONS(6085),
    [sym_match_operator] = ACTIONS(6085),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2819] = {
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14856),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2819),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(20368),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6191),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6193),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6195),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6199),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6199),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6199),
    [sym_let_and_operator] = ACTIONS(6199),
    [sym_match_operator] = ACTIONS(6199),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2820] = {
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15045),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2820),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21668),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6039),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(2137),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(2137),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2137),
    [sym_let_and_operator] = ACTIONS(2137),
    [sym_match_operator] = ACTIONS(2137),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2821] = {
    [sym__simple_expression] = STATE(7458),
    [sym_typed_expression] = STATE(7512),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_labeled_argument] = STATE(8705),
    [sym_prefix_expression] = STATE(7512),
    [sym_hash_expression] = STATE(7512),
    [sym_field_get_expression] = STATE(7512),
    [sym_array_get_expression] = STATE(7512),
    [sym_string_get_expression] = STATE(7512),
    [sym_bigarray_get_expression] = STATE(7512),
    [sym_coercion_expression] = STATE(7512),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2821),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [aux_sym_class_application_repeat1] = STATE(2858),
    [sym__lowercase_identifier] = ACTIONS(6297),
    [anon_sym_TILDE] = ACTIONS(6299),
    [anon_sym_QMARK] = ACTIONS(6299),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_DOT] = ACTIONS(6301),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_with] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_POUND] = ACTIONS(6303),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6305),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2822] = {
    [sym__simple_expression] = STATE(7382),
    [sym_typed_expression] = STATE(7391),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_labeled_argument] = STATE(8499),
    [sym_prefix_expression] = STATE(7391),
    [sym_hash_expression] = STATE(7391),
    [sym_field_get_expression] = STATE(7391),
    [sym_array_get_expression] = STATE(7391),
    [sym_string_get_expression] = STATE(7391),
    [sym_bigarray_get_expression] = STATE(7391),
    [sym_coercion_expression] = STATE(7391),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2822),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [aux_sym_class_application_repeat1] = STATE(2865),
    [sym__lowercase_identifier] = ACTIONS(6307),
    [anon_sym_TILDE] = ACTIONS(6309),
    [anon_sym_QMARK] = ACTIONS(6309),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_DOT] = ACTIONS(6311),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_POUND] = ACTIONS(6313),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_then] = ACTIONS(3539),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6315),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2823] = {
    [sym__simple_expression] = STATE(6658),
    [sym_typed_expression] = STATE(6761),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_labeled_argument] = STATE(7339),
    [sym_prefix_expression] = STATE(6761),
    [sym_hash_expression] = STATE(6761),
    [sym_field_get_expression] = STATE(6761),
    [sym_array_get_expression] = STATE(6761),
    [sym_string_get_expression] = STATE(6761),
    [sym_bigarray_get_expression] = STATE(6761),
    [sym_coercion_expression] = STATE(6761),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2823),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [aux_sym_class_application_repeat1] = STATE(2832),
    [sym__lowercase_identifier] = ACTIONS(5979),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(5981),
    [anon_sym_QMARK] = ACTIONS(5981),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2824] = {
    [sym__simple_expression] = STATE(7523),
    [sym_typed_expression] = STATE(7572),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_labeled_argument] = STATE(8562),
    [sym_prefix_expression] = STATE(7572),
    [sym_hash_expression] = STATE(7572),
    [sym_field_get_expression] = STATE(7572),
    [sym_array_get_expression] = STATE(7572),
    [sym_string_get_expression] = STATE(7572),
    [sym_bigarray_get_expression] = STATE(7572),
    [sym_coercion_expression] = STATE(7572),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2824),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [aux_sym_class_application_repeat1] = STATE(2861),
    [sym__lowercase_identifier] = ACTIONS(6317),
    [anon_sym_TILDE] = ACTIONS(6319),
    [anon_sym_QMARK] = ACTIONS(6319),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_DOT] = ACTIONS(6321),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_end] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_POUND] = ACTIONS(6323),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6325),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2825] = {
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14893),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2825),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(22472),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6201),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6203),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6205),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6207),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6209),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6209),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6209),
    [sym_let_and_operator] = ACTIONS(6209),
    [sym_match_operator] = ACTIONS(6209),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2826] = {
    [sym__simple_expression] = STATE(7729),
    [sym_typed_expression] = STATE(7705),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_labeled_argument] = STATE(8637),
    [sym_prefix_expression] = STATE(7705),
    [sym_hash_expression] = STATE(7705),
    [sym_field_get_expression] = STATE(7705),
    [sym_array_get_expression] = STATE(7705),
    [sym_string_get_expression] = STATE(7705),
    [sym_bigarray_get_expression] = STATE(7705),
    [sym_coercion_expression] = STATE(7705),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2826),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [aux_sym_class_application_repeat1] = STATE(2862),
    [sym__lowercase_identifier] = ACTIONS(6327),
    [anon_sym_TILDE] = ACTIONS(6329),
    [anon_sym_QMARK] = ACTIONS(6329),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_DOT] = ACTIONS(6331),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_POUND] = ACTIONS(6333),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_else] = ACTIONS(3539),
    [anon_sym_done] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6335),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2827] = {
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14857),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2827),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(19567),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6221),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6223),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6225),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6227),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6229),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6229),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6229),
    [sym_let_and_operator] = ACTIONS(6229),
    [sym_match_operator] = ACTIONS(6229),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2828] = {
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14879),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2828),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(20167),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6211),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6213),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6215),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6217),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6219),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6219),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6219),
    [sym_let_and_operator] = ACTIONS(6219),
    [sym_match_operator] = ACTIONS(6219),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2829] = {
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14841),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2829),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21405),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(5993),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6001),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6007),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6033),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6033),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6033),
    [sym_let_and_operator] = ACTIONS(6033),
    [sym_match_operator] = ACTIONS(6033),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2830] = {
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14830),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2830),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21579),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6121),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6123),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6125),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6127),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6129),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6129),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6129),
    [sym_let_and_operator] = ACTIONS(6129),
    [sym_match_operator] = ACTIONS(6129),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2831] = {
    [sym__simple_expression] = STATE(7699),
    [sym_typed_expression] = STATE(7655),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_labeled_argument] = STATE(8593),
    [sym_prefix_expression] = STATE(7655),
    [sym_hash_expression] = STATE(7655),
    [sym_field_get_expression] = STATE(7655),
    [sym_array_get_expression] = STATE(7655),
    [sym_string_get_expression] = STATE(7655),
    [sym_bigarray_get_expression] = STATE(7655),
    [sym_coercion_expression] = STATE(7655),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2831),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [aux_sym_class_application_repeat1] = STATE(2869),
    [sym__lowercase_identifier] = ACTIONS(6337),
    [anon_sym_TILDE] = ACTIONS(6339),
    [anon_sym_QMARK] = ACTIONS(6339),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_DOT] = ACTIONS(6341),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_POUND] = ACTIONS(6343),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_to] = ACTIONS(3539),
    [anon_sym_downto] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6345),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2832] = {
    [sym__simple_expression] = STATE(6658),
    [sym_typed_expression] = STATE(6761),
    [sym_list_expression] = STATE(6761),
    [sym_array_expression] = STATE(6761),
    [sym_record_expression] = STATE(6761),
    [sym_labeled_argument] = STATE(7339),
    [sym_prefix_expression] = STATE(6761),
    [sym_hash_expression] = STATE(6761),
    [sym_field_get_expression] = STATE(6761),
    [sym_array_get_expression] = STATE(6761),
    [sym_string_get_expression] = STATE(6761),
    [sym_bigarray_get_expression] = STATE(6761),
    [sym_coercion_expression] = STATE(6761),
    [sym_local_open_expression] = STATE(6761),
    [sym_package_expression] = STATE(6761),
    [sym_new_expression] = STATE(6761),
    [sym_object_copy_expression] = STATE(6761),
    [sym_method_invocation] = STATE(6761),
    [sym_object_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6761),
    [sym_attribute] = STATE(2832),
    [sym_extension] = STATE(6761),
    [sym_quoted_extension] = STATE(6761),
    [sym__constant] = STATE(6761),
    [sym_number] = STATE(6738),
    [sym_character] = STATE(6738),
    [sym_string] = STATE(6738),
    [sym_quoted_string] = STATE(6738),
    [sym_boolean] = STATE(6738),
    [sym_unit] = STATE(6738),
    [sym__value_name] = STATE(6647),
    [sym_parenthesized_operator] = STATE(6718),
    [sym_value_path] = STATE(6761),
    [sym_module_path] = STATE(20595),
    [sym_constructor_path] = STATE(6761),
    [sym__constructor_name] = STATE(6699),
    [sym_tag] = STATE(6761),
    [aux_sym_class_application_repeat1] = STATE(2832),
    [sym__lowercase_identifier] = ACTIONS(6347),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(6350),
    [anon_sym_QMARK] = ACTIONS(6350),
    [anon_sym_LPAREN] = ACTIONS(6353),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(6356),
    [anon_sym_true] = ACTIONS(6359),
    [anon_sym_false] = ACTIONS(6359),
    [anon_sym_LBRACE] = ACTIONS(6362),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(6365),
    [anon_sym_in] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6368),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(6371),
    [anon_sym_LBRACE_LT] = ACTIONS(6374),
    [anon_sym_begin] = ACTIONS(6377),
    [sym_ocamlyacc_value] = ACTIONS(6380),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6383),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6386),
    [aux_sym_number_token1] = ACTIONS(6389),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(6392),
    [anon_sym_DQUOTE] = ACTIONS(6395),
    [sym_prefix_operator] = ACTIONS(6398),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(6401),
    [aux_sym_tag_token1] = ACTIONS(6404),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2833] = {
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15045),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2833),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21668),
    [sym_add_operator] = STATE(21462),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6039),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(2133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(2137),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(2137),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2137),
    [sym_let_and_operator] = ACTIONS(2137),
    [sym_match_operator] = ACTIONS(2137),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2834] = {
    [sym_parameter] = STATE(11556),
    [sym__polymorphic_typed] = STATE(18630),
    [sym__parenthesized_abstract_type] = STATE(11556),
    [sym__simple_pattern] = STATE(11558),
    [sym_typed_pattern] = STATE(11405),
    [sym_polymorphic_variant_pattern] = STATE(11405),
    [sym_record_pattern] = STATE(11405),
    [sym_list_pattern] = STATE(11405),
    [sym_array_pattern] = STATE(11405),
    [sym_local_open_pattern] = STATE(11405),
    [sym_package_pattern] = STATE(11405),
    [sym_parenthesized_pattern] = STATE(11405),
    [sym_attribute] = STATE(2834),
    [sym_item_attribute] = STATE(11715),
    [sym_extension] = STATE(11405),
    [sym_quoted_extension] = STATE(11405),
    [sym__constant] = STATE(11553),
    [sym__signed_constant] = STATE(11405),
    [sym_number] = STATE(11493),
    [sym_signed_number] = STATE(11553),
    [sym_character] = STATE(11493),
    [sym_string] = STATE(11493),
    [sym_quoted_string] = STATE(11493),
    [sym_boolean] = STATE(11493),
    [sym_unit] = STATE(11493),
    [sym__simple_value_pattern] = STATE(11405),
    [sym_parenthesized_operator] = STATE(11405),
    [sym_module_path] = STATE(21986),
    [sym_constructor_path] = STATE(11405),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(11405),
    [aux_sym_expression_item_repeat1] = STATE(11564),
    [aux_sym_let_binding_repeat1] = STATE(5651),
    [sym__lowercase_identifier] = ACTIONS(6407),
    [anon_sym_SEMI_SEMI] = ACTIONS(6409),
    [anon_sym_let] = ACTIONS(6411),
    [anon_sym_and] = ACTIONS(6411),
    [anon_sym_COLON_GT] = ACTIONS(6413),
    [anon_sym_EQ] = ACTIONS(6415),
    [anon_sym_TILDE] = ACTIONS(6417),
    [anon_sym_QMARK] = ACTIONS(6417),
    [anon_sym_LPAREN] = ACTIONS(6419),
    [anon_sym_external] = ACTIONS(6411),
    [anon_sym_type] = ACTIONS(6411),
    [anon_sym_COMMA] = ACTIONS(6421),
    [anon_sym_PIPE] = ACTIONS(6423),
    [anon_sym_LBRACK] = ACTIONS(6425),
    [anon_sym_RBRACK] = ACTIONS(6409),
    [anon_sym_true] = ACTIONS(6427),
    [anon_sym_false] = ACTIONS(6427),
    [anon_sym_COLON2] = ACTIONS(6429),
    [anon_sym_LBRACE] = ACTIONS(6431),
    [anon_sym_exception] = ACTIONS(6411),
    [anon_sym_module] = ACTIONS(6411),
    [anon_sym_open] = ACTIONS(6411),
    [anon_sym_include] = ACTIONS(6411),
    [anon_sym_class] = ACTIONS(6411),
    [anon_sym_in] = ACTIONS(6411),
    [anon_sym_as] = ACTIONS(6433),
    [anon_sym_POUND] = ACTIONS(6435),
    [anon_sym_COLON_COLON] = ACTIONS(6437),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6439),
    [anon_sym_begin] = ACTIONS(6441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6443),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6409),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6445),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6447),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6409),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6409),
    [aux_sym_number_token1] = ACTIONS(6449),
    [aux_sym_signed_number_token1] = ACTIONS(6451),
    [anon_sym_SQUOTE] = ACTIONS(6453),
    [anon_sym_DQUOTE] = ACTIONS(6455),
    [sym_let_operator] = ACTIONS(6409),
    [sym_let_and_operator] = ACTIONS(6409),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_directive_token1] = ACTIONS(6411),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2835] = {
    [sym__simple_expression] = STATE(6797),
    [sym_typed_expression] = STATE(6770),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_labeled_argument] = STATE(7771),
    [sym_prefix_expression] = STATE(6770),
    [sym_hash_expression] = STATE(6770),
    [sym_field_get_expression] = STATE(6770),
    [sym_array_get_expression] = STATE(6770),
    [sym_string_get_expression] = STATE(6770),
    [sym_bigarray_get_expression] = STATE(6770),
    [sym_coercion_expression] = STATE(6770),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2835),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [aux_sym_class_application_repeat1] = STATE(2835),
    [sym__lowercase_identifier] = ACTIONS(6461),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(6464),
    [anon_sym_QMARK] = ACTIONS(6464),
    [anon_sym_LPAREN] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(6470),
    [anon_sym_true] = ACTIONS(6473),
    [anon_sym_false] = ACTIONS(6473),
    [anon_sym_LBRACE] = ACTIONS(6476),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(6479),
    [anon_sym_in] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6482),
    [anon_sym_new] = ACTIONS(6485),
    [anon_sym_LBRACE_LT] = ACTIONS(6488),
    [anon_sym_begin] = ACTIONS(6491),
    [sym_ocamlyacc_value] = ACTIONS(6494),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6497),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6500),
    [aux_sym_number_token1] = ACTIONS(6503),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(6506),
    [anon_sym_DQUOTE] = ACTIONS(6509),
    [sym_prefix_operator] = ACTIONS(6512),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym_let_and_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(6515),
    [aux_sym_tag_token1] = ACTIONS(6518),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2836] = {
    [sym__simple_expression] = STATE(7977),
    [sym_typed_expression] = STATE(8269),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_labeled_argument] = STATE(8789),
    [sym_prefix_expression] = STATE(8269),
    [sym_hash_expression] = STATE(8269),
    [sym_field_get_expression] = STATE(8269),
    [sym_array_get_expression] = STATE(8269),
    [sym_string_get_expression] = STATE(8269),
    [sym_bigarray_get_expression] = STATE(8269),
    [sym_coercion_expression] = STATE(8269),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2836),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [aux_sym_class_application_repeat1] = STATE(2878),
    [sym__lowercase_identifier] = ACTIONS(6521),
    [anon_sym_TILDE] = ACTIONS(6523),
    [anon_sym_QMARK] = ACTIONS(6523),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_DOT] = ACTIONS(6525),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_POUND] = ACTIONS(6527),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_then] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6529),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2837] = {
    [sym__simple_expression] = STATE(7847),
    [sym_typed_expression] = STATE(7958),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_labeled_argument] = STATE(8825),
    [sym_prefix_expression] = STATE(7958),
    [sym_hash_expression] = STATE(7958),
    [sym_field_get_expression] = STATE(7958),
    [sym_array_get_expression] = STATE(7958),
    [sym_string_get_expression] = STATE(7958),
    [sym_bigarray_get_expression] = STATE(7958),
    [sym_coercion_expression] = STATE(7958),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2837),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [aux_sym_class_application_repeat1] = STATE(2880),
    [sym__lowercase_identifier] = ACTIONS(6531),
    [anon_sym_TILDE] = ACTIONS(6533),
    [anon_sym_QMARK] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(6535),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_with] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_POUND] = ACTIONS(6537),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6539),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2838] = {
    [sym__simple_expression] = STATE(8011),
    [sym_typed_expression] = STATE(7824),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_labeled_argument] = STATE(8776),
    [sym_prefix_expression] = STATE(7824),
    [sym_hash_expression] = STATE(7824),
    [sym_field_get_expression] = STATE(7824),
    [sym_array_get_expression] = STATE(7824),
    [sym_string_get_expression] = STATE(7824),
    [sym_bigarray_get_expression] = STATE(7824),
    [sym_coercion_expression] = STATE(7824),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2838),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [aux_sym_class_application_repeat1] = STATE(2877),
    [sym__lowercase_identifier] = ACTIONS(6541),
    [anon_sym_TILDE] = ACTIONS(6543),
    [anon_sym_QMARK] = ACTIONS(6543),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_DOT] = ACTIONS(6545),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_POUND] = ACTIONS(6547),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_do] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6549),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2839] = {
    [sym__simple_expression] = STATE(6797),
    [sym_typed_expression] = STATE(6770),
    [sym_list_expression] = STATE(6770),
    [sym_array_expression] = STATE(6770),
    [sym_record_expression] = STATE(6770),
    [sym_labeled_argument] = STATE(7771),
    [sym_prefix_expression] = STATE(6770),
    [sym_hash_expression] = STATE(6770),
    [sym_field_get_expression] = STATE(6770),
    [sym_array_get_expression] = STATE(6770),
    [sym_string_get_expression] = STATE(6770),
    [sym_bigarray_get_expression] = STATE(6770),
    [sym_coercion_expression] = STATE(6770),
    [sym_local_open_expression] = STATE(6770),
    [sym_package_expression] = STATE(6770),
    [sym_new_expression] = STATE(6770),
    [sym_object_copy_expression] = STATE(6770),
    [sym_method_invocation] = STATE(6770),
    [sym_object_expression] = STATE(6770),
    [sym_parenthesized_expression] = STATE(6770),
    [sym_attribute] = STATE(2839),
    [sym_extension] = STATE(6770),
    [sym_quoted_extension] = STATE(6770),
    [sym__constant] = STATE(6770),
    [sym_number] = STATE(6787),
    [sym_character] = STATE(6787),
    [sym_string] = STATE(6787),
    [sym_quoted_string] = STATE(6787),
    [sym_boolean] = STATE(6787),
    [sym_unit] = STATE(6787),
    [sym__value_name] = STATE(6851),
    [sym_parenthesized_operator] = STATE(6788),
    [sym_value_path] = STATE(6770),
    [sym_module_path] = STATE(19538),
    [sym_constructor_path] = STATE(6770),
    [sym__constructor_name] = STATE(6794),
    [sym_tag] = STATE(6770),
    [aux_sym_class_application_repeat1] = STATE(2835),
    [sym__lowercase_identifier] = ACTIONS(6231),
    [anon_sym_and] = ACTIONS(4081),
    [anon_sym_TILDE] = ACTIONS(6233),
    [anon_sym_QMARK] = ACTIONS(6233),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4079),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym_let_and_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2840] = {
    [sym_parameter] = STATE(11556),
    [sym__polymorphic_typed] = STATE(18866),
    [sym__parenthesized_abstract_type] = STATE(11556),
    [sym__simple_pattern] = STATE(11558),
    [sym_typed_pattern] = STATE(11405),
    [sym_polymorphic_variant_pattern] = STATE(11405),
    [sym_record_pattern] = STATE(11405),
    [sym_list_pattern] = STATE(11405),
    [sym_array_pattern] = STATE(11405),
    [sym_local_open_pattern] = STATE(11405),
    [sym_package_pattern] = STATE(11405),
    [sym_parenthesized_pattern] = STATE(11405),
    [sym_attribute] = STATE(2840),
    [sym_item_attribute] = STATE(11715),
    [sym_extension] = STATE(11405),
    [sym_quoted_extension] = STATE(11405),
    [sym__constant] = STATE(11553),
    [sym__signed_constant] = STATE(11405),
    [sym_number] = STATE(11493),
    [sym_signed_number] = STATE(11553),
    [sym_character] = STATE(11493),
    [sym_string] = STATE(11493),
    [sym_quoted_string] = STATE(11493),
    [sym_boolean] = STATE(11493),
    [sym_unit] = STATE(11493),
    [sym__simple_value_pattern] = STATE(11405),
    [sym_parenthesized_operator] = STATE(11405),
    [sym_module_path] = STATE(21986),
    [sym_constructor_path] = STATE(11405),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(11405),
    [aux_sym_expression_item_repeat1] = STATE(11564),
    [aux_sym_let_binding_repeat1] = STATE(5627),
    [ts_builtin_sym_end] = ACTIONS(6409),
    [sym__lowercase_identifier] = ACTIONS(6407),
    [anon_sym_SEMI_SEMI] = ACTIONS(6409),
    [anon_sym_let] = ACTIONS(6411),
    [anon_sym_and] = ACTIONS(6411),
    [anon_sym_COLON_GT] = ACTIONS(6551),
    [anon_sym_EQ] = ACTIONS(6553),
    [anon_sym_TILDE] = ACTIONS(6417),
    [anon_sym_QMARK] = ACTIONS(6417),
    [anon_sym_LPAREN] = ACTIONS(6419),
    [anon_sym_external] = ACTIONS(6411),
    [anon_sym_type] = ACTIONS(6411),
    [anon_sym_COMMA] = ACTIONS(6421),
    [anon_sym_PIPE] = ACTIONS(6423),
    [anon_sym_LBRACK] = ACTIONS(6425),
    [anon_sym_true] = ACTIONS(6427),
    [anon_sym_false] = ACTIONS(6427),
    [anon_sym_COLON2] = ACTIONS(6429),
    [anon_sym_LBRACE] = ACTIONS(6431),
    [anon_sym_exception] = ACTIONS(6411),
    [anon_sym_module] = ACTIONS(6411),
    [anon_sym_open] = ACTIONS(6411),
    [anon_sym_include] = ACTIONS(6411),
    [anon_sym_class] = ACTIONS(6411),
    [anon_sym_in] = ACTIONS(6411),
    [anon_sym_as] = ACTIONS(6433),
    [anon_sym_POUND] = ACTIONS(6435),
    [anon_sym_COLON_COLON] = ACTIONS(6437),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6439),
    [anon_sym_begin] = ACTIONS(6441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6443),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6409),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6445),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6447),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6409),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6409),
    [aux_sym_number_token1] = ACTIONS(6449),
    [aux_sym_signed_number_token1] = ACTIONS(6451),
    [anon_sym_SQUOTE] = ACTIONS(6453),
    [anon_sym_DQUOTE] = ACTIONS(6455),
    [sym_let_operator] = ACTIONS(6409),
    [sym_let_and_operator] = ACTIONS(6409),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_directive_token1] = ACTIONS(6411),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2841] = {
    [sym__simple_expression] = STATE(8115),
    [sym_typed_expression] = STATE(7889),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_labeled_argument] = STATE(8800),
    [sym_prefix_expression] = STATE(7889),
    [sym_hash_expression] = STATE(7889),
    [sym_field_get_expression] = STATE(7889),
    [sym_array_get_expression] = STATE(7889),
    [sym_string_get_expression] = STATE(7889),
    [sym_bigarray_get_expression] = STATE(7889),
    [sym_coercion_expression] = STATE(7889),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2841),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [aux_sym_class_application_repeat1] = STATE(2882),
    [sym__lowercase_identifier] = ACTIONS(6555),
    [anon_sym_TILDE] = ACTIONS(6557),
    [anon_sym_QMARK] = ACTIONS(6557),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_DOT] = ACTIONS(6559),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_end] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_POUND] = ACTIONS(6561),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6563),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2842] = {
    [sym_parameter] = STATE(11556),
    [sym__polymorphic_typed] = STATE(18912),
    [sym__parenthesized_abstract_type] = STATE(11556),
    [sym__simple_pattern] = STATE(11558),
    [sym_typed_pattern] = STATE(11405),
    [sym_polymorphic_variant_pattern] = STATE(11405),
    [sym_record_pattern] = STATE(11405),
    [sym_list_pattern] = STATE(11405),
    [sym_array_pattern] = STATE(11405),
    [sym_local_open_pattern] = STATE(11405),
    [sym_package_pattern] = STATE(11405),
    [sym_parenthesized_pattern] = STATE(11405),
    [sym_attribute] = STATE(2842),
    [sym_item_attribute] = STATE(11715),
    [sym_extension] = STATE(11405),
    [sym_quoted_extension] = STATE(11405),
    [sym__constant] = STATE(11553),
    [sym__signed_constant] = STATE(11405),
    [sym_number] = STATE(11493),
    [sym_signed_number] = STATE(11553),
    [sym_character] = STATE(11493),
    [sym_string] = STATE(11493),
    [sym_quoted_string] = STATE(11493),
    [sym_boolean] = STATE(11493),
    [sym_unit] = STATE(11493),
    [sym__simple_value_pattern] = STATE(11405),
    [sym_parenthesized_operator] = STATE(11405),
    [sym_module_path] = STATE(21986),
    [sym_constructor_path] = STATE(11405),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(11405),
    [aux_sym_expression_item_repeat1] = STATE(11564),
    [aux_sym_let_binding_repeat1] = STATE(5652),
    [sym__lowercase_identifier] = ACTIONS(6407),
    [anon_sym_SEMI_SEMI] = ACTIONS(6409),
    [anon_sym_let] = ACTIONS(6411),
    [anon_sym_and] = ACTIONS(6411),
    [anon_sym_COLON_GT] = ACTIONS(6565),
    [anon_sym_EQ] = ACTIONS(6567),
    [anon_sym_TILDE] = ACTIONS(6417),
    [anon_sym_QMARK] = ACTIONS(6417),
    [anon_sym_LPAREN] = ACTIONS(6419),
    [anon_sym_external] = ACTIONS(6411),
    [anon_sym_type] = ACTIONS(6411),
    [anon_sym_COMMA] = ACTIONS(6569),
    [anon_sym_PIPE] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6425),
    [anon_sym_true] = ACTIONS(6427),
    [anon_sym_false] = ACTIONS(6427),
    [anon_sym_COLON2] = ACTIONS(6429),
    [anon_sym_LBRACE] = ACTIONS(6431),
    [anon_sym_exception] = ACTIONS(6411),
    [anon_sym_module] = ACTIONS(6411),
    [anon_sym_open] = ACTIONS(6411),
    [anon_sym_include] = ACTIONS(6411),
    [anon_sym_class] = ACTIONS(6411),
    [anon_sym_end] = ACTIONS(6411),
    [anon_sym_in] = ACTIONS(6411),
    [anon_sym_as] = ACTIONS(6573),
    [anon_sym_POUND] = ACTIONS(6435),
    [anon_sym_COLON_COLON] = ACTIONS(6575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6439),
    [anon_sym_begin] = ACTIONS(6441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6443),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6409),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6445),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6447),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6409),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6409),
    [aux_sym_number_token1] = ACTIONS(6449),
    [aux_sym_signed_number_token1] = ACTIONS(6451),
    [anon_sym_SQUOTE] = ACTIONS(6453),
    [anon_sym_DQUOTE] = ACTIONS(6455),
    [sym_let_operator] = ACTIONS(6409),
    [sym_let_and_operator] = ACTIONS(6409),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_directive_token1] = ACTIONS(6411),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2843] = {
    [sym__simple_expression] = STATE(8230),
    [sym_typed_expression] = STATE(8196),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_labeled_argument] = STATE(8748),
    [sym_prefix_expression] = STATE(8196),
    [sym_hash_expression] = STATE(8196),
    [sym_field_get_expression] = STATE(8196),
    [sym_array_get_expression] = STATE(8196),
    [sym_string_get_expression] = STATE(8196),
    [sym_bigarray_get_expression] = STATE(8196),
    [sym_coercion_expression] = STATE(8196),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2843),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [aux_sym_class_application_repeat1] = STATE(2874),
    [sym__lowercase_identifier] = ACTIONS(6577),
    [anon_sym_TILDE] = ACTIONS(6579),
    [anon_sym_QMARK] = ACTIONS(6579),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_COMMA] = ACTIONS(3535),
    [anon_sym_PIPE] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_DOT] = ACTIONS(6581),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_POUND] = ACTIONS(6583),
    [anon_sym_COLON_COLON] = ACTIONS(3535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_done] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(3539),
    [sym_hash_operator] = ACTIONS(6585),
    [sym_pow_operator] = ACTIONS(3539),
    [sym_mult_operator] = ACTIONS(3539),
    [aux_sym_add_operator_token1] = ACTIONS(3539),
    [sym_concat_operator] = ACTIONS(3535),
    [sym_rel_operator] = ACTIONS(3539),
    [sym_and_operator] = ACTIONS(3539),
    [sym_or_operator] = ACTIONS(3539),
    [sym_assign_operator] = ACTIONS(3535),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2844] = {
    [sym__simple_expression] = STATE(7215),
    [sym_typed_expression] = STATE(7218),
    [sym_list_expression] = STATE(7218),
    [sym_array_expression] = STATE(7218),
    [sym_record_expression] = STATE(7218),
    [sym_labeled_argument] = STATE(7788),
    [sym_prefix_expression] = STATE(7218),
    [sym_hash_expression] = STATE(7218),
    [sym_field_get_expression] = STATE(7218),
    [sym_array_get_expression] = STATE(7218),
    [sym_string_get_expression] = STATE(7218),
    [sym_bigarray_get_expression] = STATE(7218),
    [sym_coercion_expression] = STATE(7218),
    [sym_local_open_expression] = STATE(7218),
    [sym_package_expression] = STATE(7218),
    [sym_new_expression] = STATE(7218),
    [sym_object_copy_expression] = STATE(7218),
    [sym_method_invocation] = STATE(7218),
    [sym_object_expression] = STATE(7218),
    [sym_parenthesized_expression] = STATE(7218),
    [sym_attribute] = STATE(2844),
    [sym_extension] = STATE(7218),
    [sym_quoted_extension] = STATE(7218),
    [sym__constant] = STATE(7218),
    [sym_number] = STATE(7151),
    [sym_character] = STATE(7151),
    [sym_string] = STATE(7151),
    [sym_quoted_string] = STATE(7151),
    [sym_boolean] = STATE(7151),
    [sym_unit] = STATE(7151),
    [sym__value_name] = STATE(7092),
    [sym_parenthesized_operator] = STATE(7083),
    [sym_value_path] = STATE(7218),
    [sym_module_path] = STATE(20288),
    [sym_constructor_path] = STATE(7218),
    [sym__constructor_name] = STATE(7224),
    [sym_tag] = STATE(7218),
    [aux_sym_class_application_repeat1] = STATE(2849),
    [sym__lowercase_identifier] = ACTIONS(6587),
    [anon_sym_SEMI_SEMI] = ACTIONS(6589),
    [anon_sym_let] = ACTIONS(6591),
    [anon_sym_and] = ACTIONS(6591),
    [anon_sym_TILDE] = ACTIONS(6593),
    [anon_sym_QMARK] = ACTIONS(6593),
    [anon_sym_LPAREN] = ACTIONS(6595),
    [anon_sym_external] = ACTIONS(6591),
    [anon_sym_type] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym_RBRACK] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(6599),
    [anon_sym_false] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(6601),
    [anon_sym_exception] = ACTIONS(6591),
    [anon_sym_module] = ACTIONS(6591),
    [anon_sym_open] = ACTIONS(6591),
    [anon_sym_include] = ACTIONS(6591),
    [anon_sym_class] = ACTIONS(6591),
    [anon_sym_object] = ACTIONS(6603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6605),
    [anon_sym_new] = ACTIONS(6607),
    [anon_sym_LBRACE_LT] = ACTIONS(6609),
    [anon_sym_begin] = ACTIONS(6611),
    [sym_ocamlyacc_value] = ACTIONS(6613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6589),
    [aux_sym_number_token1] = ACTIONS(6619),
    [anon_sym_SQUOTE] = ACTIONS(6621),
    [anon_sym_DQUOTE] = ACTIONS(6623),
    [sym_prefix_operator] = ACTIONS(6625),
    [sym_let_operator] = ACTIONS(6589),
    [sym__uppercase_identifier] = ACTIONS(6627),
    [aux_sym_directive_token1] = ACTIONS(6589),
    [aux_sym_tag_token1] = ACTIONS(6629),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2845] = {
    [sym_parameter] = STATE(11556),
    [sym__polymorphic_typed] = STATE(18209),
    [sym__parenthesized_abstract_type] = STATE(11556),
    [sym__simple_pattern] = STATE(11558),
    [sym_typed_pattern] = STATE(11405),
    [sym_polymorphic_variant_pattern] = STATE(11405),
    [sym_record_pattern] = STATE(11405),
    [sym_list_pattern] = STATE(11405),
    [sym_array_pattern] = STATE(11405),
    [sym_local_open_pattern] = STATE(11405),
    [sym_package_pattern] = STATE(11405),
    [sym_parenthesized_pattern] = STATE(11405),
    [sym_attribute] = STATE(2845),
    [sym_item_attribute] = STATE(11715),
    [sym_extension] = STATE(11405),
    [sym_quoted_extension] = STATE(11405),
    [sym__constant] = STATE(11553),
    [sym__signed_constant] = STATE(11405),
    [sym_number] = STATE(11493),
    [sym_signed_number] = STATE(11553),
    [sym_character] = STATE(11493),
    [sym_string] = STATE(11493),
    [sym_quoted_string] = STATE(11493),
    [sym_boolean] = STATE(11493),
    [sym_unit] = STATE(11493),
    [sym__simple_value_pattern] = STATE(11405),
    [sym_parenthesized_operator] = STATE(11405),
    [sym_module_path] = STATE(21986),
    [sym_constructor_path] = STATE(11405),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(11405),
    [aux_sym_expression_item_repeat1] = STATE(11564),
    [aux_sym_let_binding_repeat1] = STATE(5650),
    [ts_builtin_sym_end] = ACTIONS(6409),
    [sym__lowercase_identifier] = ACTIONS(6407),
    [anon_sym_SEMI_SEMI] = ACTIONS(6409),
    [anon_sym_let] = ACTIONS(6411),
    [anon_sym_and] = ACTIONS(6411),
    [anon_sym_COLON_GT] = ACTIONS(6631),
    [anon_sym_EQ] = ACTIONS(6633),
    [anon_sym_TILDE] = ACTIONS(6417),
    [anon_sym_QMARK] = ACTIONS(6417),
    [anon_sym_LPAREN] = ACTIONS(6419),
    [anon_sym_external] = ACTIONS(6411),
    [anon_sym_type] = ACTIONS(6411),
    [anon_sym_COMMA] = ACTIONS(6635),
    [anon_sym_PIPE] = ACTIONS(6637),
    [anon_sym_LBRACK] = ACTIONS(6425),
    [anon_sym_true] = ACTIONS(6427),
    [anon_sym_false] = ACTIONS(6427),
    [anon_sym_COLON2] = ACTIONS(6429),
    [anon_sym_LBRACE] = ACTIONS(6431),
    [anon_sym_exception] = ACTIONS(6411),
    [anon_sym_module] = ACTIONS(6411),
    [anon_sym_open] = ACTIONS(6411),
    [anon_sym_include] = ACTIONS(6411),
    [anon_sym_class] = ACTIONS(6411),
    [anon_sym_as] = ACTIONS(6639),
    [anon_sym_POUND] = ACTIONS(6435),
    [anon_sym_COLON_COLON] = ACTIONS(6641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6439),
    [anon_sym_begin] = ACTIONS(6441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6443),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6409),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6445),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6447),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6409),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6409),
    [aux_sym_number_token1] = ACTIONS(6449),
    [aux_sym_signed_number_token1] = ACTIONS(6451),
    [anon_sym_SQUOTE] = ACTIONS(6453),
    [anon_sym_DQUOTE] = ACTIONS(6455),
    [sym_let_operator] = ACTIONS(6409),
    [sym_let_and_operator] = ACTIONS(6409),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_directive_token1] = ACTIONS(6411),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2846] = {
    [sym__simple_expression] = STATE(7215),
    [sym_typed_expression] = STATE(7218),
    [sym_list_expression] = STATE(7218),
    [sym_array_expression] = STATE(7218),
    [sym_record_expression] = STATE(7218),
    [sym_labeled_argument] = STATE(7788),
    [sym_prefix_expression] = STATE(7218),
    [sym_hash_expression] = STATE(7218),
    [sym_field_get_expression] = STATE(7218),
    [sym_array_get_expression] = STATE(7218),
    [sym_string_get_expression] = STATE(7218),
    [sym_bigarray_get_expression] = STATE(7218),
    [sym_coercion_expression] = STATE(7218),
    [sym_local_open_expression] = STATE(7218),
    [sym_package_expression] = STATE(7218),
    [sym_new_expression] = STATE(7218),
    [sym_object_copy_expression] = STATE(7218),
    [sym_method_invocation] = STATE(7218),
    [sym_object_expression] = STATE(7218),
    [sym_parenthesized_expression] = STATE(7218),
    [sym_attribute] = STATE(2846),
    [sym_extension] = STATE(7218),
    [sym_quoted_extension] = STATE(7218),
    [sym__constant] = STATE(7218),
    [sym_number] = STATE(7151),
    [sym_character] = STATE(7151),
    [sym_string] = STATE(7151),
    [sym_quoted_string] = STATE(7151),
    [sym_boolean] = STATE(7151),
    [sym_unit] = STATE(7151),
    [sym__value_name] = STATE(7092),
    [sym_parenthesized_operator] = STATE(7083),
    [sym_value_path] = STATE(7218),
    [sym_module_path] = STATE(20288),
    [sym_constructor_path] = STATE(7218),
    [sym__constructor_name] = STATE(7224),
    [sym_tag] = STATE(7218),
    [aux_sym_class_application_repeat1] = STATE(2844),
    [sym__lowercase_identifier] = ACTIONS(6587),
    [anon_sym_SEMI_SEMI] = ACTIONS(6643),
    [anon_sym_let] = ACTIONS(6645),
    [anon_sym_and] = ACTIONS(6645),
    [anon_sym_TILDE] = ACTIONS(6593),
    [anon_sym_QMARK] = ACTIONS(6593),
    [anon_sym_LPAREN] = ACTIONS(6595),
    [anon_sym_external] = ACTIONS(6645),
    [anon_sym_type] = ACTIONS(6645),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym_RBRACK] = ACTIONS(6643),
    [anon_sym_true] = ACTIONS(6599),
    [anon_sym_false] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(6601),
    [anon_sym_exception] = ACTIONS(6645),
    [anon_sym_module] = ACTIONS(6645),
    [anon_sym_open] = ACTIONS(6645),
    [anon_sym_include] = ACTIONS(6645),
    [anon_sym_class] = ACTIONS(6645),
    [anon_sym_object] = ACTIONS(6603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6605),
    [anon_sym_new] = ACTIONS(6607),
    [anon_sym_LBRACE_LT] = ACTIONS(6609),
    [anon_sym_begin] = ACTIONS(6611),
    [sym_ocamlyacc_value] = ACTIONS(6613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6645),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6643),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6643),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6643),
    [aux_sym_number_token1] = ACTIONS(6619),
    [anon_sym_SQUOTE] = ACTIONS(6621),
    [anon_sym_DQUOTE] = ACTIONS(6623),
    [sym_prefix_operator] = ACTIONS(6625),
    [sym_let_operator] = ACTIONS(6643),
    [sym__uppercase_identifier] = ACTIONS(6627),
    [aux_sym_directive_token1] = ACTIONS(6643),
    [aux_sym_tag_token1] = ACTIONS(6629),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2847] = {
    [sym__simple_expression] = STATE(6967),
    [sym_typed_expression] = STATE(7104),
    [sym_list_expression] = STATE(7104),
    [sym_array_expression] = STATE(7104),
    [sym_record_expression] = STATE(7104),
    [sym_labeled_argument] = STATE(7788),
    [sym_prefix_expression] = STATE(7104),
    [sym_hash_expression] = STATE(7104),
    [sym_field_get_expression] = STATE(7104),
    [sym_array_get_expression] = STATE(7104),
    [sym_string_get_expression] = STATE(7104),
    [sym_bigarray_get_expression] = STATE(7104),
    [sym_coercion_expression] = STATE(7104),
    [sym_local_open_expression] = STATE(7104),
    [sym_package_expression] = STATE(7104),
    [sym_new_expression] = STATE(7104),
    [sym_object_copy_expression] = STATE(7104),
    [sym_method_invocation] = STATE(7104),
    [sym_object_expression] = STATE(7104),
    [sym_parenthesized_expression] = STATE(7104),
    [sym_attribute] = STATE(2847),
    [sym_extension] = STATE(7104),
    [sym_quoted_extension] = STATE(7104),
    [sym__constant] = STATE(7104),
    [sym_number] = STATE(7204),
    [sym_character] = STATE(7204),
    [sym_string] = STATE(7204),
    [sym_quoted_string] = STATE(7204),
    [sym_boolean] = STATE(7204),
    [sym_unit] = STATE(7204),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(7184),
    [sym_value_path] = STATE(7104),
    [sym_module_path] = STATE(19702),
    [sym_constructor_path] = STATE(7104),
    [sym__constructor_name] = STATE(7226),
    [sym_tag] = STATE(7104),
    [aux_sym_class_application_repeat1] = STATE(2847),
    [ts_builtin_sym_end] = ACTIONS(3850),
    [sym__lowercase_identifier] = ACTIONS(6647),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(6650),
    [anon_sym_QMARK] = ACTIONS(6650),
    [anon_sym_LPAREN] = ACTIONS(6653),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(6656),
    [anon_sym_true] = ACTIONS(6659),
    [anon_sym_false] = ACTIONS(6659),
    [anon_sym_LBRACE] = ACTIONS(6662),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(6665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6668),
    [anon_sym_new] = ACTIONS(6671),
    [anon_sym_LBRACE_LT] = ACTIONS(6674),
    [anon_sym_begin] = ACTIONS(6677),
    [sym_ocamlyacc_value] = ACTIONS(6680),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6683),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6686),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(6689),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym_DQUOTE] = ACTIONS(6695),
    [sym_prefix_operator] = ACTIONS(6698),
    [sym_let_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(6701),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(6704),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2848] = {
    [sym__simple_expression] = STATE(6979),
    [sym_typed_expression] = STATE(6990),
    [sym_list_expression] = STATE(6990),
    [sym_array_expression] = STATE(6990),
    [sym_record_expression] = STATE(6990),
    [sym_labeled_argument] = STATE(8341),
    [sym_prefix_expression] = STATE(6990),
    [sym_hash_expression] = STATE(6990),
    [sym_field_get_expression] = STATE(6990),
    [sym_array_get_expression] = STATE(6990),
    [sym_string_get_expression] = STATE(6990),
    [sym_bigarray_get_expression] = STATE(6990),
    [sym_coercion_expression] = STATE(6990),
    [sym_local_open_expression] = STATE(6990),
    [sym_package_expression] = STATE(6990),
    [sym_new_expression] = STATE(6990),
    [sym_object_copy_expression] = STATE(6990),
    [sym_method_invocation] = STATE(6990),
    [sym_object_expression] = STATE(6990),
    [sym_parenthesized_expression] = STATE(6990),
    [sym_attribute] = STATE(2848),
    [sym_extension] = STATE(6990),
    [sym_quoted_extension] = STATE(6990),
    [sym__constant] = STATE(6990),
    [sym_number] = STATE(6881),
    [sym_character] = STATE(6881),
    [sym_string] = STATE(6881),
    [sym_quoted_string] = STATE(6881),
    [sym_boolean] = STATE(6881),
    [sym_unit] = STATE(6881),
    [sym__value_name] = STATE(7082),
    [sym_parenthesized_operator] = STATE(6946),
    [sym_value_path] = STATE(6990),
    [sym_module_path] = STATE(20405),
    [sym_constructor_path] = STATE(6990),
    [sym__constructor_name] = STATE(6944),
    [sym_tag] = STATE(6990),
    [aux_sym_class_application_repeat1] = STATE(2851),
    [sym__lowercase_identifier] = ACTIONS(6707),
    [anon_sym_SEMI_SEMI] = ACTIONS(6589),
    [anon_sym_let] = ACTIONS(6591),
    [anon_sym_and] = ACTIONS(6591),
    [anon_sym_TILDE] = ACTIONS(6709),
    [anon_sym_QMARK] = ACTIONS(6709),
    [anon_sym_LPAREN] = ACTIONS(6711),
    [anon_sym_external] = ACTIONS(6591),
    [anon_sym_type] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6713),
    [anon_sym_true] = ACTIONS(6715),
    [anon_sym_false] = ACTIONS(6715),
    [anon_sym_LBRACE] = ACTIONS(6717),
    [anon_sym_exception] = ACTIONS(6591),
    [anon_sym_module] = ACTIONS(6591),
    [anon_sym_open] = ACTIONS(6591),
    [anon_sym_include] = ACTIONS(6591),
    [anon_sym_class] = ACTIONS(6591),
    [anon_sym_end] = ACTIONS(6591),
    [anon_sym_object] = ACTIONS(6719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6721),
    [anon_sym_new] = ACTIONS(6723),
    [anon_sym_LBRACE_LT] = ACTIONS(6725),
    [anon_sym_begin] = ACTIONS(6727),
    [sym_ocamlyacc_value] = ACTIONS(6729),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6731),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6733),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6589),
    [aux_sym_number_token1] = ACTIONS(6735),
    [anon_sym_SQUOTE] = ACTIONS(6737),
    [anon_sym_DQUOTE] = ACTIONS(6739),
    [sym_prefix_operator] = ACTIONS(6741),
    [sym_let_operator] = ACTIONS(6589),
    [sym__uppercase_identifier] = ACTIONS(6743),
    [aux_sym_directive_token1] = ACTIONS(6589),
    [aux_sym_tag_token1] = ACTIONS(6745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2849] = {
    [sym__simple_expression] = STATE(7215),
    [sym_typed_expression] = STATE(7218),
    [sym_list_expression] = STATE(7218),
    [sym_array_expression] = STATE(7218),
    [sym_record_expression] = STATE(7218),
    [sym_labeled_argument] = STATE(7788),
    [sym_prefix_expression] = STATE(7218),
    [sym_hash_expression] = STATE(7218),
    [sym_field_get_expression] = STATE(7218),
    [sym_array_get_expression] = STATE(7218),
    [sym_string_get_expression] = STATE(7218),
    [sym_bigarray_get_expression] = STATE(7218),
    [sym_coercion_expression] = STATE(7218),
    [sym_local_open_expression] = STATE(7218),
    [sym_package_expression] = STATE(7218),
    [sym_new_expression] = STATE(7218),
    [sym_object_copy_expression] = STATE(7218),
    [sym_method_invocation] = STATE(7218),
    [sym_object_expression] = STATE(7218),
    [sym_parenthesized_expression] = STATE(7218),
    [sym_attribute] = STATE(2849),
    [sym_extension] = STATE(7218),
    [sym_quoted_extension] = STATE(7218),
    [sym__constant] = STATE(7218),
    [sym_number] = STATE(7151),
    [sym_character] = STATE(7151),
    [sym_string] = STATE(7151),
    [sym_quoted_string] = STATE(7151),
    [sym_boolean] = STATE(7151),
    [sym_unit] = STATE(7151),
    [sym__value_name] = STATE(7092),
    [sym_parenthesized_operator] = STATE(7083),
    [sym_value_path] = STATE(7218),
    [sym_module_path] = STATE(20288),
    [sym_constructor_path] = STATE(7218),
    [sym__constructor_name] = STATE(7224),
    [sym_tag] = STATE(7218),
    [aux_sym_class_application_repeat1] = STATE(2849),
    [sym__lowercase_identifier] = ACTIONS(6747),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(6750),
    [anon_sym_QMARK] = ACTIONS(6750),
    [anon_sym_LPAREN] = ACTIONS(6753),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(6756),
    [anon_sym_RBRACK] = ACTIONS(3850),
    [anon_sym_true] = ACTIONS(6759),
    [anon_sym_false] = ACTIONS(6759),
    [anon_sym_LBRACE] = ACTIONS(6762),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(6765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6768),
    [anon_sym_new] = ACTIONS(6771),
    [anon_sym_LBRACE_LT] = ACTIONS(6774),
    [anon_sym_begin] = ACTIONS(6777),
    [sym_ocamlyacc_value] = ACTIONS(6780),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6783),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6786),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(6789),
    [anon_sym_SQUOTE] = ACTIONS(6792),
    [anon_sym_DQUOTE] = ACTIONS(6795),
    [sym_prefix_operator] = ACTIONS(6798),
    [sym_let_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(6801),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(6804),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2850] = {
    [sym_parameter] = STATE(11556),
    [sym__polymorphic_typed] = STATE(18164),
    [sym__parenthesized_abstract_type] = STATE(11556),
    [sym__simple_pattern] = STATE(11558),
    [sym_typed_pattern] = STATE(11405),
    [sym_polymorphic_variant_pattern] = STATE(11405),
    [sym_record_pattern] = STATE(11405),
    [sym_list_pattern] = STATE(11405),
    [sym_array_pattern] = STATE(11405),
    [sym_local_open_pattern] = STATE(11405),
    [sym_package_pattern] = STATE(11405),
    [sym_parenthesized_pattern] = STATE(11405),
    [sym_attribute] = STATE(2850),
    [sym_item_attribute] = STATE(11715),
    [sym_extension] = STATE(11405),
    [sym_quoted_extension] = STATE(11405),
    [sym__constant] = STATE(11553),
    [sym__signed_constant] = STATE(11405),
    [sym_number] = STATE(11493),
    [sym_signed_number] = STATE(11553),
    [sym_character] = STATE(11493),
    [sym_string] = STATE(11493),
    [sym_quoted_string] = STATE(11493),
    [sym_boolean] = STATE(11493),
    [sym_unit] = STATE(11493),
    [sym__simple_value_pattern] = STATE(11405),
    [sym_parenthesized_operator] = STATE(11405),
    [sym_module_path] = STATE(21986),
    [sym_constructor_path] = STATE(11405),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(11405),
    [aux_sym_expression_item_repeat1] = STATE(11564),
    [aux_sym_let_binding_repeat1] = STATE(5628),
    [sym__lowercase_identifier] = ACTIONS(6407),
    [anon_sym_SEMI_SEMI] = ACTIONS(6409),
    [anon_sym_let] = ACTIONS(6411),
    [anon_sym_and] = ACTIONS(6411),
    [anon_sym_COLON_GT] = ACTIONS(6807),
    [anon_sym_EQ] = ACTIONS(6809),
    [anon_sym_TILDE] = ACTIONS(6417),
    [anon_sym_QMARK] = ACTIONS(6417),
    [anon_sym_LPAREN] = ACTIONS(6419),
    [anon_sym_external] = ACTIONS(6411),
    [anon_sym_type] = ACTIONS(6411),
    [anon_sym_COMMA] = ACTIONS(6811),
    [anon_sym_PIPE] = ACTIONS(6813),
    [anon_sym_LBRACK] = ACTIONS(6425),
    [anon_sym_true] = ACTIONS(6427),
    [anon_sym_false] = ACTIONS(6427),
    [anon_sym_COLON2] = ACTIONS(6429),
    [anon_sym_LBRACE] = ACTIONS(6431),
    [anon_sym_exception] = ACTIONS(6411),
    [anon_sym_module] = ACTIONS(6411),
    [anon_sym_open] = ACTIONS(6411),
    [anon_sym_include] = ACTIONS(6411),
    [anon_sym_class] = ACTIONS(6411),
    [anon_sym_end] = ACTIONS(6411),
    [anon_sym_as] = ACTIONS(6815),
    [anon_sym_POUND] = ACTIONS(6435),
    [anon_sym_COLON_COLON] = ACTIONS(6817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6439),
    [anon_sym_begin] = ACTIONS(6441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6443),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6409),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6445),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6447),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6409),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6409),
    [aux_sym_number_token1] = ACTIONS(6449),
    [aux_sym_signed_number_token1] = ACTIONS(6451),
    [anon_sym_SQUOTE] = ACTIONS(6453),
    [anon_sym_DQUOTE] = ACTIONS(6455),
    [sym_let_operator] = ACTIONS(6409),
    [sym_let_and_operator] = ACTIONS(6409),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_directive_token1] = ACTIONS(6411),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2851] = {
    [sym__simple_expression] = STATE(6979),
    [sym_typed_expression] = STATE(6990),
    [sym_list_expression] = STATE(6990),
    [sym_array_expression] = STATE(6990),
    [sym_record_expression] = STATE(6990),
    [sym_labeled_argument] = STATE(8341),
    [sym_prefix_expression] = STATE(6990),
    [sym_hash_expression] = STATE(6990),
    [sym_field_get_expression] = STATE(6990),
    [sym_array_get_expression] = STATE(6990),
    [sym_string_get_expression] = STATE(6990),
    [sym_bigarray_get_expression] = STATE(6990),
    [sym_coercion_expression] = STATE(6990),
    [sym_local_open_expression] = STATE(6990),
    [sym_package_expression] = STATE(6990),
    [sym_new_expression] = STATE(6990),
    [sym_object_copy_expression] = STATE(6990),
    [sym_method_invocation] = STATE(6990),
    [sym_object_expression] = STATE(6990),
    [sym_parenthesized_expression] = STATE(6990),
    [sym_attribute] = STATE(2851),
    [sym_extension] = STATE(6990),
    [sym_quoted_extension] = STATE(6990),
    [sym__constant] = STATE(6990),
    [sym_number] = STATE(6881),
    [sym_character] = STATE(6881),
    [sym_string] = STATE(6881),
    [sym_quoted_string] = STATE(6881),
    [sym_boolean] = STATE(6881),
    [sym_unit] = STATE(6881),
    [sym__value_name] = STATE(7082),
    [sym_parenthesized_operator] = STATE(6946),
    [sym_value_path] = STATE(6990),
    [sym_module_path] = STATE(20405),
    [sym_constructor_path] = STATE(6990),
    [sym__constructor_name] = STATE(6944),
    [sym_tag] = STATE(6990),
    [aux_sym_class_application_repeat1] = STATE(2851),
    [sym__lowercase_identifier] = ACTIONS(6819),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_let] = ACTIONS(3852),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(6822),
    [anon_sym_QMARK] = ACTIONS(6822),
    [anon_sym_LPAREN] = ACTIONS(6825),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(6828),
    [anon_sym_true] = ACTIONS(6831),
    [anon_sym_false] = ACTIONS(6831),
    [anon_sym_LBRACE] = ACTIONS(6834),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(6837),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6840),
    [anon_sym_new] = ACTIONS(6843),
    [anon_sym_LBRACE_LT] = ACTIONS(6846),
    [anon_sym_begin] = ACTIONS(6849),
    [sym_ocamlyacc_value] = ACTIONS(6852),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6855),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6858),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(6861),
    [anon_sym_SQUOTE] = ACTIONS(6864),
    [anon_sym_DQUOTE] = ACTIONS(6867),
    [sym_prefix_operator] = ACTIONS(6870),
    [sym_let_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(6873),
    [aux_sym_directive_token1] = ACTIONS(3850),
    [aux_sym_tag_token1] = ACTIONS(6876),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2852] = {
    [sym__simple_expression] = STATE(6967),
    [sym_typed_expression] = STATE(7104),
    [sym_list_expression] = STATE(7104),
    [sym_array_expression] = STATE(7104),
    [sym_record_expression] = STATE(7104),
    [sym_labeled_argument] = STATE(7788),
    [sym_prefix_expression] = STATE(7104),
    [sym_hash_expression] = STATE(7104),
    [sym_field_get_expression] = STATE(7104),
    [sym_array_get_expression] = STATE(7104),
    [sym_string_get_expression] = STATE(7104),
    [sym_bigarray_get_expression] = STATE(7104),
    [sym_coercion_expression] = STATE(7104),
    [sym_local_open_expression] = STATE(7104),
    [sym_package_expression] = STATE(7104),
    [sym_new_expression] = STATE(7104),
    [sym_object_copy_expression] = STATE(7104),
    [sym_method_invocation] = STATE(7104),
    [sym_object_expression] = STATE(7104),
    [sym_parenthesized_expression] = STATE(7104),
    [sym_attribute] = STATE(2852),
    [sym_extension] = STATE(7104),
    [sym_quoted_extension] = STATE(7104),
    [sym__constant] = STATE(7104),
    [sym_number] = STATE(7204),
    [sym_character] = STATE(7204),
    [sym_string] = STATE(7204),
    [sym_quoted_string] = STATE(7204),
    [sym_boolean] = STATE(7204),
    [sym_unit] = STATE(7204),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(7184),
    [sym_value_path] = STATE(7104),
    [sym_module_path] = STATE(19702),
    [sym_constructor_path] = STATE(7104),
    [sym__constructor_name] = STATE(7226),
    [sym_tag] = STATE(7104),
    [aux_sym_class_application_repeat1] = STATE(2855),
    [ts_builtin_sym_end] = ACTIONS(6643),
    [sym__lowercase_identifier] = ACTIONS(6879),
    [anon_sym_SEMI_SEMI] = ACTIONS(6643),
    [anon_sym_let] = ACTIONS(6645),
    [anon_sym_and] = ACTIONS(6645),
    [anon_sym_TILDE] = ACTIONS(6881),
    [anon_sym_QMARK] = ACTIONS(6881),
    [anon_sym_LPAREN] = ACTIONS(6883),
    [anon_sym_external] = ACTIONS(6645),
    [anon_sym_type] = ACTIONS(6645),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [anon_sym_true] = ACTIONS(6887),
    [anon_sym_false] = ACTIONS(6887),
    [anon_sym_LBRACE] = ACTIONS(6889),
    [anon_sym_exception] = ACTIONS(6645),
    [anon_sym_module] = ACTIONS(6645),
    [anon_sym_open] = ACTIONS(6645),
    [anon_sym_include] = ACTIONS(6645),
    [anon_sym_class] = ACTIONS(6645),
    [anon_sym_object] = ACTIONS(6891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6893),
    [anon_sym_new] = ACTIONS(6895),
    [anon_sym_LBRACE_LT] = ACTIONS(6897),
    [anon_sym_begin] = ACTIONS(6899),
    [sym_ocamlyacc_value] = ACTIONS(6901),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6645),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6643),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6903),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6905),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6643),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6643),
    [aux_sym_number_token1] = ACTIONS(6907),
    [anon_sym_SQUOTE] = ACTIONS(6909),
    [anon_sym_DQUOTE] = ACTIONS(6911),
    [sym_prefix_operator] = ACTIONS(6913),
    [sym_let_operator] = ACTIONS(6643),
    [sym__uppercase_identifier] = ACTIONS(6915),
    [aux_sym_directive_token1] = ACTIONS(6643),
    [aux_sym_tag_token1] = ACTIONS(6917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2853] = {
    [sym__simple_expression] = STATE(6979),
    [sym_typed_expression] = STATE(6990),
    [sym_list_expression] = STATE(6990),
    [sym_array_expression] = STATE(6990),
    [sym_record_expression] = STATE(6990),
    [sym_labeled_argument] = STATE(8341),
    [sym_prefix_expression] = STATE(6990),
    [sym_hash_expression] = STATE(6990),
    [sym_field_get_expression] = STATE(6990),
    [sym_array_get_expression] = STATE(6990),
    [sym_string_get_expression] = STATE(6990),
    [sym_bigarray_get_expression] = STATE(6990),
    [sym_coercion_expression] = STATE(6990),
    [sym_local_open_expression] = STATE(6990),
    [sym_package_expression] = STATE(6990),
    [sym_new_expression] = STATE(6990),
    [sym_object_copy_expression] = STATE(6990),
    [sym_method_invocation] = STATE(6990),
    [sym_object_expression] = STATE(6990),
    [sym_parenthesized_expression] = STATE(6990),
    [sym_attribute] = STATE(2853),
    [sym_extension] = STATE(6990),
    [sym_quoted_extension] = STATE(6990),
    [sym__constant] = STATE(6990),
    [sym_number] = STATE(6881),
    [sym_character] = STATE(6881),
    [sym_string] = STATE(6881),
    [sym_quoted_string] = STATE(6881),
    [sym_boolean] = STATE(6881),
    [sym_unit] = STATE(6881),
    [sym__value_name] = STATE(7082),
    [sym_parenthesized_operator] = STATE(6946),
    [sym_value_path] = STATE(6990),
    [sym_module_path] = STATE(20405),
    [sym_constructor_path] = STATE(6990),
    [sym__constructor_name] = STATE(6944),
    [sym_tag] = STATE(6990),
    [aux_sym_class_application_repeat1] = STATE(2848),
    [sym__lowercase_identifier] = ACTIONS(6707),
    [anon_sym_SEMI_SEMI] = ACTIONS(6643),
    [anon_sym_let] = ACTIONS(6645),
    [anon_sym_and] = ACTIONS(6645),
    [anon_sym_TILDE] = ACTIONS(6709),
    [anon_sym_QMARK] = ACTIONS(6709),
    [anon_sym_LPAREN] = ACTIONS(6711),
    [anon_sym_external] = ACTIONS(6645),
    [anon_sym_type] = ACTIONS(6645),
    [anon_sym_LBRACK] = ACTIONS(6713),
    [anon_sym_true] = ACTIONS(6715),
    [anon_sym_false] = ACTIONS(6715),
    [anon_sym_LBRACE] = ACTIONS(6717),
    [anon_sym_exception] = ACTIONS(6645),
    [anon_sym_module] = ACTIONS(6645),
    [anon_sym_open] = ACTIONS(6645),
    [anon_sym_include] = ACTIONS(6645),
    [anon_sym_class] = ACTIONS(6645),
    [anon_sym_end] = ACTIONS(6645),
    [anon_sym_object] = ACTIONS(6719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6721),
    [anon_sym_new] = ACTIONS(6723),
    [anon_sym_LBRACE_LT] = ACTIONS(6725),
    [anon_sym_begin] = ACTIONS(6727),
    [sym_ocamlyacc_value] = ACTIONS(6729),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6645),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6643),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6731),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6733),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6643),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6643),
    [aux_sym_number_token1] = ACTIONS(6735),
    [anon_sym_SQUOTE] = ACTIONS(6737),
    [anon_sym_DQUOTE] = ACTIONS(6739),
    [sym_prefix_operator] = ACTIONS(6741),
    [sym_let_operator] = ACTIONS(6643),
    [sym__uppercase_identifier] = ACTIONS(6743),
    [aux_sym_directive_token1] = ACTIONS(6643),
    [aux_sym_tag_token1] = ACTIONS(6745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2854] = {
    [sym__simple_expression] = STATE(6887),
    [sym_typed_expression] = STATE(6875),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_labeled_argument] = STATE(8444),
    [sym_prefix_expression] = STATE(6875),
    [sym_hash_expression] = STATE(6875),
    [sym_field_get_expression] = STATE(6875),
    [sym_array_get_expression] = STATE(6875),
    [sym_string_get_expression] = STATE(6875),
    [sym_bigarray_get_expression] = STATE(6875),
    [sym_coercion_expression] = STATE(6875),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2854),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [aux_sym_class_application_repeat1] = STATE(2854),
    [sym__lowercase_identifier] = ACTIONS(6919),
    [anon_sym_TILDE] = ACTIONS(6922),
    [anon_sym_QMARK] = ACTIONS(6922),
    [anon_sym_LPAREN] = ACTIONS(6925),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(6928),
    [anon_sym_true] = ACTIONS(6931),
    [anon_sym_false] = ACTIONS(6931),
    [anon_sym_LBRACE] = ACTIONS(6934),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(6937),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6940),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_to] = ACTIONS(3852),
    [anon_sym_downto] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(6943),
    [anon_sym_LBRACE_LT] = ACTIONS(6946),
    [anon_sym_begin] = ACTIONS(6949),
    [sym_ocamlyacc_value] = ACTIONS(6952),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6958),
    [aux_sym_number_token1] = ACTIONS(6961),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(6964),
    [anon_sym_DQUOTE] = ACTIONS(6967),
    [sym_prefix_operator] = ACTIONS(6970),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(6973),
    [aux_sym_tag_token1] = ACTIONS(6976),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2855] = {
    [sym__simple_expression] = STATE(6967),
    [sym_typed_expression] = STATE(7104),
    [sym_list_expression] = STATE(7104),
    [sym_array_expression] = STATE(7104),
    [sym_record_expression] = STATE(7104),
    [sym_labeled_argument] = STATE(7788),
    [sym_prefix_expression] = STATE(7104),
    [sym_hash_expression] = STATE(7104),
    [sym_field_get_expression] = STATE(7104),
    [sym_array_get_expression] = STATE(7104),
    [sym_string_get_expression] = STATE(7104),
    [sym_bigarray_get_expression] = STATE(7104),
    [sym_coercion_expression] = STATE(7104),
    [sym_local_open_expression] = STATE(7104),
    [sym_package_expression] = STATE(7104),
    [sym_new_expression] = STATE(7104),
    [sym_object_copy_expression] = STATE(7104),
    [sym_method_invocation] = STATE(7104),
    [sym_object_expression] = STATE(7104),
    [sym_parenthesized_expression] = STATE(7104),
    [sym_attribute] = STATE(2855),
    [sym_extension] = STATE(7104),
    [sym_quoted_extension] = STATE(7104),
    [sym__constant] = STATE(7104),
    [sym_number] = STATE(7204),
    [sym_character] = STATE(7204),
    [sym_string] = STATE(7204),
    [sym_quoted_string] = STATE(7204),
    [sym_boolean] = STATE(7204),
    [sym_unit] = STATE(7204),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(7184),
    [sym_value_path] = STATE(7104),
    [sym_module_path] = STATE(19702),
    [sym_constructor_path] = STATE(7104),
    [sym__constructor_name] = STATE(7226),
    [sym_tag] = STATE(7104),
    [aux_sym_class_application_repeat1] = STATE(2847),
    [ts_builtin_sym_end] = ACTIONS(6589),
    [sym__lowercase_identifier] = ACTIONS(6879),
    [anon_sym_SEMI_SEMI] = ACTIONS(6589),
    [anon_sym_let] = ACTIONS(6591),
    [anon_sym_and] = ACTIONS(6591),
    [anon_sym_TILDE] = ACTIONS(6881),
    [anon_sym_QMARK] = ACTIONS(6881),
    [anon_sym_LPAREN] = ACTIONS(6883),
    [anon_sym_external] = ACTIONS(6591),
    [anon_sym_type] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [anon_sym_true] = ACTIONS(6887),
    [anon_sym_false] = ACTIONS(6887),
    [anon_sym_LBRACE] = ACTIONS(6889),
    [anon_sym_exception] = ACTIONS(6591),
    [anon_sym_module] = ACTIONS(6591),
    [anon_sym_open] = ACTIONS(6591),
    [anon_sym_include] = ACTIONS(6591),
    [anon_sym_class] = ACTIONS(6591),
    [anon_sym_object] = ACTIONS(6891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6893),
    [anon_sym_new] = ACTIONS(6895),
    [anon_sym_LBRACE_LT] = ACTIONS(6897),
    [anon_sym_begin] = ACTIONS(6899),
    [sym_ocamlyacc_value] = ACTIONS(6901),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6903),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6905),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6589),
    [aux_sym_number_token1] = ACTIONS(6907),
    [anon_sym_SQUOTE] = ACTIONS(6909),
    [anon_sym_DQUOTE] = ACTIONS(6911),
    [sym_prefix_operator] = ACTIONS(6913),
    [sym_let_operator] = ACTIONS(6589),
    [sym__uppercase_identifier] = ACTIONS(6915),
    [aux_sym_directive_token1] = ACTIONS(6589),
    [aux_sym_tag_token1] = ACTIONS(6917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2856] = {
    [sym_parameter] = STATE(11556),
    [sym__polymorphic_typed] = STATE(19129),
    [sym__parenthesized_abstract_type] = STATE(11556),
    [sym__simple_pattern] = STATE(11558),
    [sym_typed_pattern] = STATE(11405),
    [sym_polymorphic_variant_pattern] = STATE(11405),
    [sym_record_pattern] = STATE(11405),
    [sym_list_pattern] = STATE(11405),
    [sym_array_pattern] = STATE(11405),
    [sym_local_open_pattern] = STATE(11405),
    [sym_package_pattern] = STATE(11405),
    [sym_parenthesized_pattern] = STATE(11405),
    [sym_attribute] = STATE(2856),
    [sym_item_attribute] = STATE(11715),
    [sym_extension] = STATE(11405),
    [sym_quoted_extension] = STATE(11405),
    [sym__constant] = STATE(11553),
    [sym__signed_constant] = STATE(11405),
    [sym_number] = STATE(11493),
    [sym_signed_number] = STATE(11553),
    [sym_character] = STATE(11493),
    [sym_string] = STATE(11493),
    [sym_quoted_string] = STATE(11493),
    [sym_boolean] = STATE(11493),
    [sym_unit] = STATE(11493),
    [sym__simple_value_pattern] = STATE(11405),
    [sym_parenthesized_operator] = STATE(11405),
    [sym_module_path] = STATE(21986),
    [sym_constructor_path] = STATE(11405),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(11405),
    [aux_sym_expression_item_repeat1] = STATE(11564),
    [aux_sym_let_binding_repeat1] = STATE(5653),
    [sym__lowercase_identifier] = ACTIONS(6407),
    [anon_sym_SEMI_SEMI] = ACTIONS(6409),
    [anon_sym_let] = ACTIONS(6411),
    [anon_sym_and] = ACTIONS(6411),
    [anon_sym_COLON_GT] = ACTIONS(6979),
    [anon_sym_EQ] = ACTIONS(6981),
    [anon_sym_TILDE] = ACTIONS(6417),
    [anon_sym_QMARK] = ACTIONS(6417),
    [anon_sym_LPAREN] = ACTIONS(6419),
    [anon_sym_external] = ACTIONS(6411),
    [anon_sym_type] = ACTIONS(6411),
    [anon_sym_COMMA] = ACTIONS(6635),
    [anon_sym_PIPE] = ACTIONS(6637),
    [anon_sym_LBRACK] = ACTIONS(6425),
    [anon_sym_RBRACK] = ACTIONS(6409),
    [anon_sym_true] = ACTIONS(6427),
    [anon_sym_false] = ACTIONS(6427),
    [anon_sym_COLON2] = ACTIONS(6429),
    [anon_sym_LBRACE] = ACTIONS(6431),
    [anon_sym_exception] = ACTIONS(6411),
    [anon_sym_module] = ACTIONS(6411),
    [anon_sym_open] = ACTIONS(6411),
    [anon_sym_include] = ACTIONS(6411),
    [anon_sym_class] = ACTIONS(6411),
    [anon_sym_as] = ACTIONS(6639),
    [anon_sym_POUND] = ACTIONS(6435),
    [anon_sym_COLON_COLON] = ACTIONS(6641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6439),
    [anon_sym_begin] = ACTIONS(6441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6443),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6409),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6445),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6447),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6409),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6409),
    [aux_sym_number_token1] = ACTIONS(6449),
    [aux_sym_signed_number_token1] = ACTIONS(6451),
    [anon_sym_SQUOTE] = ACTIONS(6453),
    [anon_sym_DQUOTE] = ACTIONS(6455),
    [sym_let_operator] = ACTIONS(6409),
    [sym_let_and_operator] = ACTIONS(6409),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_directive_token1] = ACTIONS(6411),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2857] = {
    [sym__simple_expression] = STATE(6887),
    [sym_typed_expression] = STATE(6875),
    [sym_list_expression] = STATE(6875),
    [sym_array_expression] = STATE(6875),
    [sym_record_expression] = STATE(6875),
    [sym_labeled_argument] = STATE(8444),
    [sym_prefix_expression] = STATE(6875),
    [sym_hash_expression] = STATE(6875),
    [sym_field_get_expression] = STATE(6875),
    [sym_array_get_expression] = STATE(6875),
    [sym_string_get_expression] = STATE(6875),
    [sym_bigarray_get_expression] = STATE(6875),
    [sym_coercion_expression] = STATE(6875),
    [sym_local_open_expression] = STATE(6875),
    [sym_package_expression] = STATE(6875),
    [sym_new_expression] = STATE(6875),
    [sym_object_copy_expression] = STATE(6875),
    [sym_method_invocation] = STATE(6875),
    [sym_object_expression] = STATE(6875),
    [sym_parenthesized_expression] = STATE(6875),
    [sym_attribute] = STATE(2857),
    [sym_extension] = STATE(6875),
    [sym_quoted_extension] = STATE(6875),
    [sym__constant] = STATE(6875),
    [sym_number] = STATE(6954),
    [sym_character] = STATE(6954),
    [sym_string] = STATE(6954),
    [sym_quoted_string] = STATE(6954),
    [sym_boolean] = STATE(6954),
    [sym_unit] = STATE(6954),
    [sym__value_name] = STATE(6945),
    [sym_parenthesized_operator] = STATE(7080),
    [sym_value_path] = STATE(6875),
    [sym_module_path] = STATE(20519),
    [sym_constructor_path] = STATE(6875),
    [sym__constructor_name] = STATE(6972),
    [sym_tag] = STATE(6875),
    [aux_sym_class_application_repeat1] = STATE(2854),
    [sym__lowercase_identifier] = ACTIONS(6275),
    [anon_sym_TILDE] = ACTIONS(6277),
    [anon_sym_QMARK] = ACTIONS(6277),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_to] = ACTIONS(4081),
    [anon_sym_downto] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2858] = {
    [sym__simple_expression] = STATE(7458),
    [sym_typed_expression] = STATE(7512),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_labeled_argument] = STATE(8705),
    [sym_prefix_expression] = STATE(7512),
    [sym_hash_expression] = STATE(7512),
    [sym_field_get_expression] = STATE(7512),
    [sym_array_get_expression] = STATE(7512),
    [sym_string_get_expression] = STATE(7512),
    [sym_bigarray_get_expression] = STATE(7512),
    [sym_coercion_expression] = STATE(7512),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2858),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [aux_sym_class_application_repeat1] = STATE(2864),
    [sym__lowercase_identifier] = ACTIONS(6297),
    [anon_sym_TILDE] = ACTIONS(6299),
    [anon_sym_QMARK] = ACTIONS(6299),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1979),
    [anon_sym_false] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_with] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(1983),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_LBRACE_LT] = ACTIONS(1999),
    [anon_sym_begin] = ACTIONS(2001),
    [sym_ocamlyacc_value] = ACTIONS(2003),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2005),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2007),
    [aux_sym_number_token1] = ACTIONS(2009),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [sym_prefix_operator] = ACTIONS(2015),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(2019),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2859] = {
    [sym__simple_expression] = STATE(7400),
    [sym_typed_expression] = STATE(7446),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_labeled_argument] = STATE(8533),
    [sym_prefix_expression] = STATE(7446),
    [sym_hash_expression] = STATE(7446),
    [sym_field_get_expression] = STATE(7446),
    [sym_array_get_expression] = STATE(7446),
    [sym_string_get_expression] = STATE(7446),
    [sym_bigarray_get_expression] = STATE(7446),
    [sym_coercion_expression] = STATE(7446),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2859),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [aux_sym_class_application_repeat1] = STATE(2863),
    [sym__lowercase_identifier] = ACTIONS(6285),
    [anon_sym_TILDE] = ACTIONS(6287),
    [anon_sym_QMARK] = ACTIONS(6287),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(1909),
    [anon_sym_false] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1917),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_do] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_LBRACE_LT] = ACTIONS(1929),
    [anon_sym_begin] = ACTIONS(1931),
    [sym_ocamlyacc_value] = ACTIONS(1933),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1935),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1937),
    [aux_sym_number_token1] = ACTIONS(1939),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1949),
    [aux_sym_tag_token1] = ACTIONS(1951),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2860] = {
    [sym__simple_expression] = STATE(7382),
    [sym_typed_expression] = STATE(7391),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_labeled_argument] = STATE(8499),
    [sym_prefix_expression] = STATE(7391),
    [sym_hash_expression] = STATE(7391),
    [sym_field_get_expression] = STATE(7391),
    [sym_array_get_expression] = STATE(7391),
    [sym_string_get_expression] = STATE(7391),
    [sym_bigarray_get_expression] = STATE(7391),
    [sym_coercion_expression] = STATE(7391),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2860),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [aux_sym_class_application_repeat1] = STATE(2860),
    [sym__lowercase_identifier] = ACTIONS(6983),
    [anon_sym_TILDE] = ACTIONS(6986),
    [anon_sym_QMARK] = ACTIONS(6986),
    [anon_sym_LPAREN] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(6992),
    [anon_sym_true] = ACTIONS(6995),
    [anon_sym_false] = ACTIONS(6995),
    [anon_sym_LBRACE] = ACTIONS(6998),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7001),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7004),
    [anon_sym_then] = ACTIONS(3852),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(7007),
    [anon_sym_LBRACE_LT] = ACTIONS(7010),
    [anon_sym_begin] = ACTIONS(7013),
    [sym_ocamlyacc_value] = ACTIONS(7016),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7019),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7022),
    [aux_sym_number_token1] = ACTIONS(7025),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(7028),
    [anon_sym_DQUOTE] = ACTIONS(7031),
    [sym_prefix_operator] = ACTIONS(7034),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(7037),
    [aux_sym_tag_token1] = ACTIONS(7040),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2861] = {
    [sym__simple_expression] = STATE(7523),
    [sym_typed_expression] = STATE(7572),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_labeled_argument] = STATE(8562),
    [sym_prefix_expression] = STATE(7572),
    [sym_hash_expression] = STATE(7572),
    [sym_field_get_expression] = STATE(7572),
    [sym_array_get_expression] = STATE(7572),
    [sym_string_get_expression] = STATE(7572),
    [sym_bigarray_get_expression] = STATE(7572),
    [sym_coercion_expression] = STATE(7572),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2861),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [aux_sym_class_application_repeat1] = STATE(2867),
    [sym__lowercase_identifier] = ACTIONS(6317),
    [anon_sym_TILDE] = ACTIONS(6319),
    [anon_sym_QMARK] = ACTIONS(6319),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_end] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(2053),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2057),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_LBRACE_LT] = ACTIONS(2069),
    [anon_sym_begin] = ACTIONS(2071),
    [sym_ocamlyacc_value] = ACTIONS(2073),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2077),
    [aux_sym_number_token1] = ACTIONS(2079),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [sym_prefix_operator] = ACTIONS(2085),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(2089),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2862] = {
    [sym__simple_expression] = STATE(7729),
    [sym_typed_expression] = STATE(7705),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_labeled_argument] = STATE(8637),
    [sym_prefix_expression] = STATE(7705),
    [sym_hash_expression] = STATE(7705),
    [sym_field_get_expression] = STATE(7705),
    [sym_array_get_expression] = STATE(7705),
    [sym_string_get_expression] = STATE(7705),
    [sym_bigarray_get_expression] = STATE(7705),
    [sym_coercion_expression] = STATE(7705),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2862),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [aux_sym_class_application_repeat1] = STATE(2866),
    [sym__lowercase_identifier] = ACTIONS(6327),
    [anon_sym_TILDE] = ACTIONS(6329),
    [anon_sym_QMARK] = ACTIONS(6329),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(2329),
    [anon_sym_false] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(2333),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2337),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_done] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_LBRACE_LT] = ACTIONS(2349),
    [anon_sym_begin] = ACTIONS(2351),
    [sym_ocamlyacc_value] = ACTIONS(2353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2357),
    [aux_sym_number_token1] = ACTIONS(2359),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_prefix_operator] = ACTIONS(2365),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(2369),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2863] = {
    [sym__simple_expression] = STATE(7400),
    [sym_typed_expression] = STATE(7446),
    [sym_list_expression] = STATE(7446),
    [sym_array_expression] = STATE(7446),
    [sym_record_expression] = STATE(7446),
    [sym_labeled_argument] = STATE(8533),
    [sym_prefix_expression] = STATE(7446),
    [sym_hash_expression] = STATE(7446),
    [sym_field_get_expression] = STATE(7446),
    [sym_array_get_expression] = STATE(7446),
    [sym_string_get_expression] = STATE(7446),
    [sym_bigarray_get_expression] = STATE(7446),
    [sym_coercion_expression] = STATE(7446),
    [sym_local_open_expression] = STATE(7446),
    [sym_package_expression] = STATE(7446),
    [sym_new_expression] = STATE(7446),
    [sym_object_copy_expression] = STATE(7446),
    [sym_method_invocation] = STATE(7446),
    [sym_object_expression] = STATE(7446),
    [sym_parenthesized_expression] = STATE(7446),
    [sym_attribute] = STATE(2863),
    [sym_extension] = STATE(7446),
    [sym_quoted_extension] = STATE(7446),
    [sym__constant] = STATE(7446),
    [sym_number] = STATE(7276),
    [sym_character] = STATE(7276),
    [sym_string] = STATE(7276),
    [sym_quoted_string] = STATE(7276),
    [sym_boolean] = STATE(7276),
    [sym_unit] = STATE(7276),
    [sym__value_name] = STATE(7514),
    [sym_parenthesized_operator] = STATE(7671),
    [sym_value_path] = STATE(7446),
    [sym_module_path] = STATE(19840),
    [sym_constructor_path] = STATE(7446),
    [sym__constructor_name] = STATE(7268),
    [sym_tag] = STATE(7446),
    [aux_sym_class_application_repeat1] = STATE(2863),
    [sym__lowercase_identifier] = ACTIONS(7043),
    [anon_sym_TILDE] = ACTIONS(7046),
    [anon_sym_QMARK] = ACTIONS(7046),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(7052),
    [anon_sym_true] = ACTIONS(7055),
    [anon_sym_false] = ACTIONS(7055),
    [anon_sym_LBRACE] = ACTIONS(7058),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7061),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7064),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_do] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(7067),
    [anon_sym_LBRACE_LT] = ACTIONS(7070),
    [anon_sym_begin] = ACTIONS(7073),
    [sym_ocamlyacc_value] = ACTIONS(7076),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7082),
    [aux_sym_number_token1] = ACTIONS(7085),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(7088),
    [anon_sym_DQUOTE] = ACTIONS(7091),
    [sym_prefix_operator] = ACTIONS(7094),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(7097),
    [aux_sym_tag_token1] = ACTIONS(7100),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2864] = {
    [sym__simple_expression] = STATE(7458),
    [sym_typed_expression] = STATE(7512),
    [sym_list_expression] = STATE(7512),
    [sym_array_expression] = STATE(7512),
    [sym_record_expression] = STATE(7512),
    [sym_labeled_argument] = STATE(8705),
    [sym_prefix_expression] = STATE(7512),
    [sym_hash_expression] = STATE(7512),
    [sym_field_get_expression] = STATE(7512),
    [sym_array_get_expression] = STATE(7512),
    [sym_string_get_expression] = STATE(7512),
    [sym_bigarray_get_expression] = STATE(7512),
    [sym_coercion_expression] = STATE(7512),
    [sym_local_open_expression] = STATE(7512),
    [sym_package_expression] = STATE(7512),
    [sym_new_expression] = STATE(7512),
    [sym_object_copy_expression] = STATE(7512),
    [sym_method_invocation] = STATE(7512),
    [sym_object_expression] = STATE(7512),
    [sym_parenthesized_expression] = STATE(7512),
    [sym_attribute] = STATE(2864),
    [sym_extension] = STATE(7512),
    [sym_quoted_extension] = STATE(7512),
    [sym__constant] = STATE(7512),
    [sym_number] = STATE(7586),
    [sym_character] = STATE(7586),
    [sym_string] = STATE(7586),
    [sym_quoted_string] = STATE(7586),
    [sym_boolean] = STATE(7586),
    [sym_unit] = STATE(7586),
    [sym__value_name] = STATE(7576),
    [sym_parenthesized_operator] = STATE(7696),
    [sym_value_path] = STATE(7512),
    [sym_module_path] = STATE(19922),
    [sym_constructor_path] = STATE(7512),
    [sym__constructor_name] = STATE(7256),
    [sym_tag] = STATE(7512),
    [aux_sym_class_application_repeat1] = STATE(2864),
    [sym__lowercase_identifier] = ACTIONS(7103),
    [anon_sym_TILDE] = ACTIONS(7106),
    [anon_sym_QMARK] = ACTIONS(7106),
    [anon_sym_LPAREN] = ACTIONS(7109),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(7112),
    [anon_sym_true] = ACTIONS(7115),
    [anon_sym_false] = ACTIONS(7115),
    [anon_sym_LBRACE] = ACTIONS(7118),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_with] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(7121),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7124),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(7127),
    [anon_sym_LBRACE_LT] = ACTIONS(7130),
    [anon_sym_begin] = ACTIONS(7133),
    [sym_ocamlyacc_value] = ACTIONS(7136),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7142),
    [aux_sym_number_token1] = ACTIONS(7145),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(7148),
    [anon_sym_DQUOTE] = ACTIONS(7151),
    [sym_prefix_operator] = ACTIONS(7154),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(7157),
    [aux_sym_tag_token1] = ACTIONS(7160),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2865] = {
    [sym__simple_expression] = STATE(7382),
    [sym_typed_expression] = STATE(7391),
    [sym_list_expression] = STATE(7391),
    [sym_array_expression] = STATE(7391),
    [sym_record_expression] = STATE(7391),
    [sym_labeled_argument] = STATE(8499),
    [sym_prefix_expression] = STATE(7391),
    [sym_hash_expression] = STATE(7391),
    [sym_field_get_expression] = STATE(7391),
    [sym_array_get_expression] = STATE(7391),
    [sym_string_get_expression] = STATE(7391),
    [sym_bigarray_get_expression] = STATE(7391),
    [sym_coercion_expression] = STATE(7391),
    [sym_local_open_expression] = STATE(7391),
    [sym_package_expression] = STATE(7391),
    [sym_new_expression] = STATE(7391),
    [sym_object_copy_expression] = STATE(7391),
    [sym_method_invocation] = STATE(7391),
    [sym_object_expression] = STATE(7391),
    [sym_parenthesized_expression] = STATE(7391),
    [sym_attribute] = STATE(2865),
    [sym_extension] = STATE(7391),
    [sym_quoted_extension] = STATE(7391),
    [sym__constant] = STATE(7391),
    [sym_number] = STATE(7702),
    [sym_character] = STATE(7702),
    [sym_string] = STATE(7702),
    [sym_quoted_string] = STATE(7702),
    [sym_boolean] = STATE(7702),
    [sym_unit] = STATE(7702),
    [sym__value_name] = STATE(7448),
    [sym_parenthesized_operator] = STATE(7636),
    [sym_value_path] = STATE(7391),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(7391),
    [sym__constructor_name] = STATE(7656),
    [sym_tag] = STATE(7391),
    [aux_sym_class_application_repeat1] = STATE(2860),
    [sym__lowercase_identifier] = ACTIONS(6307),
    [anon_sym_TILDE] = ACTIONS(6309),
    [anon_sym_QMARK] = ACTIONS(6309),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1839),
    [anon_sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1847),
    [anon_sym_then] = ACTIONS(4081),
    [anon_sym_else] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LBRACE_LT] = ACTIONS(1859),
    [anon_sym_begin] = ACTIONS(1861),
    [sym_ocamlyacc_value] = ACTIONS(1863),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1867),
    [aux_sym_number_token1] = ACTIONS(1869),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [sym_prefix_operator] = ACTIONS(1875),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(1879),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2866] = {
    [sym__simple_expression] = STATE(7729),
    [sym_typed_expression] = STATE(7705),
    [sym_list_expression] = STATE(7705),
    [sym_array_expression] = STATE(7705),
    [sym_record_expression] = STATE(7705),
    [sym_labeled_argument] = STATE(8637),
    [sym_prefix_expression] = STATE(7705),
    [sym_hash_expression] = STATE(7705),
    [sym_field_get_expression] = STATE(7705),
    [sym_array_get_expression] = STATE(7705),
    [sym_string_get_expression] = STATE(7705),
    [sym_bigarray_get_expression] = STATE(7705),
    [sym_coercion_expression] = STATE(7705),
    [sym_local_open_expression] = STATE(7705),
    [sym_package_expression] = STATE(7705),
    [sym_new_expression] = STATE(7705),
    [sym_object_copy_expression] = STATE(7705),
    [sym_method_invocation] = STATE(7705),
    [sym_object_expression] = STATE(7705),
    [sym_parenthesized_expression] = STATE(7705),
    [sym_attribute] = STATE(2866),
    [sym_extension] = STATE(7705),
    [sym_quoted_extension] = STATE(7705),
    [sym__constant] = STATE(7705),
    [sym_number] = STATE(7312),
    [sym_character] = STATE(7312),
    [sym_string] = STATE(7312),
    [sym_quoted_string] = STATE(7312),
    [sym_boolean] = STATE(7312),
    [sym_unit] = STATE(7312),
    [sym__value_name] = STATE(7422),
    [sym_parenthesized_operator] = STATE(7358),
    [sym_value_path] = STATE(7705),
    [sym_module_path] = STATE(20481),
    [sym_constructor_path] = STATE(7705),
    [sym__constructor_name] = STATE(7395),
    [sym_tag] = STATE(7705),
    [aux_sym_class_application_repeat1] = STATE(2866),
    [sym__lowercase_identifier] = ACTIONS(7163),
    [anon_sym_TILDE] = ACTIONS(7166),
    [anon_sym_QMARK] = ACTIONS(7166),
    [anon_sym_LPAREN] = ACTIONS(7169),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(7172),
    [anon_sym_true] = ACTIONS(7175),
    [anon_sym_false] = ACTIONS(7175),
    [anon_sym_LBRACE] = ACTIONS(7178),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7181),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7184),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_done] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(7187),
    [anon_sym_LBRACE_LT] = ACTIONS(7190),
    [anon_sym_begin] = ACTIONS(7193),
    [sym_ocamlyacc_value] = ACTIONS(7196),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7199),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7202),
    [aux_sym_number_token1] = ACTIONS(7205),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(7208),
    [anon_sym_DQUOTE] = ACTIONS(7211),
    [sym_prefix_operator] = ACTIONS(7214),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(7217),
    [aux_sym_tag_token1] = ACTIONS(7220),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2867] = {
    [sym__simple_expression] = STATE(7523),
    [sym_typed_expression] = STATE(7572),
    [sym_list_expression] = STATE(7572),
    [sym_array_expression] = STATE(7572),
    [sym_record_expression] = STATE(7572),
    [sym_labeled_argument] = STATE(8562),
    [sym_prefix_expression] = STATE(7572),
    [sym_hash_expression] = STATE(7572),
    [sym_field_get_expression] = STATE(7572),
    [sym_array_get_expression] = STATE(7572),
    [sym_string_get_expression] = STATE(7572),
    [sym_bigarray_get_expression] = STATE(7572),
    [sym_coercion_expression] = STATE(7572),
    [sym_local_open_expression] = STATE(7572),
    [sym_package_expression] = STATE(7572),
    [sym_new_expression] = STATE(7572),
    [sym_object_copy_expression] = STATE(7572),
    [sym_method_invocation] = STATE(7572),
    [sym_object_expression] = STATE(7572),
    [sym_parenthesized_expression] = STATE(7572),
    [sym_attribute] = STATE(2867),
    [sym_extension] = STATE(7572),
    [sym_quoted_extension] = STATE(7572),
    [sym__constant] = STATE(7572),
    [sym_number] = STATE(7261),
    [sym_character] = STATE(7261),
    [sym_string] = STATE(7261),
    [sym_quoted_string] = STATE(7261),
    [sym_boolean] = STATE(7261),
    [sym_unit] = STATE(7261),
    [sym__value_name] = STATE(7635),
    [sym_parenthesized_operator] = STATE(7730),
    [sym_value_path] = STATE(7572),
    [sym_module_path] = STATE(19963),
    [sym_constructor_path] = STATE(7572),
    [sym__constructor_name] = STATE(7714),
    [sym_tag] = STATE(7572),
    [aux_sym_class_application_repeat1] = STATE(2867),
    [sym__lowercase_identifier] = ACTIONS(7223),
    [anon_sym_TILDE] = ACTIONS(7226),
    [anon_sym_QMARK] = ACTIONS(7226),
    [anon_sym_LPAREN] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(7232),
    [anon_sym_true] = ACTIONS(7235),
    [anon_sym_false] = ACTIONS(7235),
    [anon_sym_LBRACE] = ACTIONS(7238),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(7241),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7244),
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(7247),
    [anon_sym_LBRACE_LT] = ACTIONS(7250),
    [anon_sym_begin] = ACTIONS(7253),
    [sym_ocamlyacc_value] = ACTIONS(7256),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7262),
    [aux_sym_number_token1] = ACTIONS(7265),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(7268),
    [anon_sym_DQUOTE] = ACTIONS(7271),
    [sym_prefix_operator] = ACTIONS(7274),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(7277),
    [aux_sym_tag_token1] = ACTIONS(7280),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2868] = {
    [sym__simple_expression] = STATE(7699),
    [sym_typed_expression] = STATE(7655),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_labeled_argument] = STATE(8593),
    [sym_prefix_expression] = STATE(7655),
    [sym_hash_expression] = STATE(7655),
    [sym_field_get_expression] = STATE(7655),
    [sym_array_get_expression] = STATE(7655),
    [sym_string_get_expression] = STATE(7655),
    [sym_bigarray_get_expression] = STATE(7655),
    [sym_coercion_expression] = STATE(7655),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2868),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [aux_sym_class_application_repeat1] = STATE(2868),
    [sym__lowercase_identifier] = ACTIONS(7283),
    [anon_sym_TILDE] = ACTIONS(7286),
    [anon_sym_QMARK] = ACTIONS(7286),
    [anon_sym_LPAREN] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(7292),
    [anon_sym_true] = ACTIONS(7295),
    [anon_sym_false] = ACTIONS(7295),
    [anon_sym_LBRACE] = ACTIONS(7298),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7301),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7304),
    [anon_sym_to] = ACTIONS(3852),
    [anon_sym_downto] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(7307),
    [anon_sym_LBRACE_LT] = ACTIONS(7310),
    [anon_sym_begin] = ACTIONS(7313),
    [sym_ocamlyacc_value] = ACTIONS(7316),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7322),
    [aux_sym_number_token1] = ACTIONS(7325),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(7328),
    [anon_sym_DQUOTE] = ACTIONS(7331),
    [sym_prefix_operator] = ACTIONS(7334),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(7337),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2869] = {
    [sym__simple_expression] = STATE(7699),
    [sym_typed_expression] = STATE(7655),
    [sym_list_expression] = STATE(7655),
    [sym_array_expression] = STATE(7655),
    [sym_record_expression] = STATE(7655),
    [sym_labeled_argument] = STATE(8593),
    [sym_prefix_expression] = STATE(7655),
    [sym_hash_expression] = STATE(7655),
    [sym_field_get_expression] = STATE(7655),
    [sym_array_get_expression] = STATE(7655),
    [sym_string_get_expression] = STATE(7655),
    [sym_bigarray_get_expression] = STATE(7655),
    [sym_coercion_expression] = STATE(7655),
    [sym_local_open_expression] = STATE(7655),
    [sym_package_expression] = STATE(7655),
    [sym_new_expression] = STATE(7655),
    [sym_object_copy_expression] = STATE(7655),
    [sym_method_invocation] = STATE(7655),
    [sym_object_expression] = STATE(7655),
    [sym_parenthesized_expression] = STATE(7655),
    [sym_attribute] = STATE(2869),
    [sym_extension] = STATE(7655),
    [sym_quoted_extension] = STATE(7655),
    [sym__constant] = STATE(7655),
    [sym_number] = STATE(7575),
    [sym_character] = STATE(7575),
    [sym_string] = STATE(7575),
    [sym_quoted_string] = STATE(7575),
    [sym_boolean] = STATE(7575),
    [sym_unit] = STATE(7575),
    [sym__value_name] = STATE(7274),
    [sym_parenthesized_operator] = STATE(7329),
    [sym_value_path] = STATE(7655),
    [sym_module_path] = STATE(19479),
    [sym_constructor_path] = STATE(7655),
    [sym__constructor_name] = STATE(7672),
    [sym_tag] = STATE(7655),
    [aux_sym_class_application_repeat1] = STATE(2868),
    [sym__lowercase_identifier] = ACTIONS(6337),
    [anon_sym_TILDE] = ACTIONS(6339),
    [anon_sym_QMARK] = ACTIONS(6339),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(2191),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2195),
    [anon_sym_to] = ACTIONS(4081),
    [anon_sym_downto] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_LBRACE_LT] = ACTIONS(2207),
    [anon_sym_begin] = ACTIONS(2209),
    [sym_ocamlyacc_value] = ACTIONS(2211),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2213),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2215),
    [aux_sym_number_token1] = ACTIONS(2217),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [sym_prefix_operator] = ACTIONS(2223),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(2227),
    [aux_sym_tag_token1] = ACTIONS(2229),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2870] = {
    [sym__simple_expression] = STATE(7747),
    [sym_typed_expression] = STATE(8124),
    [sym_list_expression] = STATE(8124),
    [sym_array_expression] = STATE(8124),
    [sym_record_expression] = STATE(8124),
    [sym_labeled_argument] = STATE(8833),
    [sym_prefix_expression] = STATE(8124),
    [sym_hash_expression] = STATE(8124),
    [sym_field_get_expression] = STATE(8124),
    [sym_array_get_expression] = STATE(8124),
    [sym_string_get_expression] = STATE(8124),
    [sym_bigarray_get_expression] = STATE(8124),
    [sym_coercion_expression] = STATE(8124),
    [sym_local_open_expression] = STATE(8124),
    [sym_package_expression] = STATE(8124),
    [sym_new_expression] = STATE(8124),
    [sym_object_copy_expression] = STATE(8124),
    [sym_method_invocation] = STATE(8124),
    [sym_object_expression] = STATE(8124),
    [sym_parenthesized_expression] = STATE(8124),
    [sym_attribute] = STATE(2870),
    [sym_extension] = STATE(8124),
    [sym_quoted_extension] = STATE(8124),
    [sym__constant] = STATE(8124),
    [sym_number] = STATE(7917),
    [sym_character] = STATE(7917),
    [sym_string] = STATE(7917),
    [sym_quoted_string] = STATE(7917),
    [sym_boolean] = STATE(7917),
    [sym_unit] = STATE(7917),
    [sym__value_name] = STATE(7967),
    [sym_parenthesized_operator] = STATE(7949),
    [sym_value_path] = STATE(8124),
    [sym_module_path] = STATE(20557),
    [sym_constructor_path] = STATE(8124),
    [sym__constructor_name] = STATE(7987),
    [sym_tag] = STATE(8124),
    [aux_sym_class_application_repeat1] = STATE(2870),
    [sym__lowercase_identifier] = ACTIONS(7343),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(7346),
    [anon_sym_QMARK] = ACTIONS(7346),
    [anon_sym_LPAREN] = ACTIONS(7349),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(7352),
    [anon_sym_RBRACK] = ACTIONS(3850),
    [anon_sym_true] = ACTIONS(7355),
    [anon_sym_false] = ACTIONS(7355),
    [anon_sym_LBRACE] = ACTIONS(7358),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_val] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(7361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7364),
    [anon_sym_new] = ACTIONS(7367),
    [anon_sym_LBRACE_LT] = ACTIONS(7370),
    [anon_sym_begin] = ACTIONS(7373),
    [sym_ocamlyacc_value] = ACTIONS(7376),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7382),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(7385),
    [anon_sym_SQUOTE] = ACTIONS(7388),
    [anon_sym_DQUOTE] = ACTIONS(7391),
    [sym_prefix_operator] = ACTIONS(7394),
    [sym__uppercase_identifier] = ACTIONS(7397),
    [aux_sym_tag_token1] = ACTIONS(7400),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2871] = {
    [sym__simple_expression] = STATE(7984),
    [sym_typed_expression] = STATE(7927),
    [sym_list_expression] = STATE(7927),
    [sym_array_expression] = STATE(7927),
    [sym_record_expression] = STATE(7927),
    [sym_labeled_argument] = STATE(8763),
    [sym_prefix_expression] = STATE(7927),
    [sym_hash_expression] = STATE(7927),
    [sym_field_get_expression] = STATE(7927),
    [sym_array_get_expression] = STATE(7927),
    [sym_string_get_expression] = STATE(7927),
    [sym_bigarray_get_expression] = STATE(7927),
    [sym_coercion_expression] = STATE(7927),
    [sym_local_open_expression] = STATE(7927),
    [sym_package_expression] = STATE(7927),
    [sym_new_expression] = STATE(7927),
    [sym_object_copy_expression] = STATE(7927),
    [sym_method_invocation] = STATE(7927),
    [sym_object_expression] = STATE(7927),
    [sym_parenthesized_expression] = STATE(7927),
    [sym_attribute] = STATE(2871),
    [sym_extension] = STATE(7927),
    [sym_quoted_extension] = STATE(7927),
    [sym__constant] = STATE(7927),
    [sym_number] = STATE(8030),
    [sym_character] = STATE(8030),
    [sym_string] = STATE(8030),
    [sym_quoted_string] = STATE(8030),
    [sym_boolean] = STATE(8030),
    [sym_unit] = STATE(8030),
    [sym__value_name] = STATE(8197),
    [sym_parenthesized_operator] = STATE(7793),
    [sym_value_path] = STATE(7927),
    [sym_module_path] = STATE(20747),
    [sym_constructor_path] = STATE(7927),
    [sym__constructor_name] = STATE(8073),
    [sym_tag] = STATE(7927),
    [aux_sym_class_application_repeat1] = STATE(2872),
    [sym__lowercase_identifier] = ACTIONS(7403),
    [anon_sym_SEMI_SEMI] = ACTIONS(6589),
    [anon_sym_and] = ACTIONS(6591),
    [anon_sym_TILDE] = ACTIONS(7405),
    [anon_sym_QMARK] = ACTIONS(7405),
    [anon_sym_LPAREN] = ACTIONS(7407),
    [anon_sym_external] = ACTIONS(6591),
    [anon_sym_type] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(7409),
    [anon_sym_true] = ACTIONS(7411),
    [anon_sym_false] = ACTIONS(7411),
    [anon_sym_LBRACE] = ACTIONS(7413),
    [anon_sym_exception] = ACTIONS(6591),
    [anon_sym_module] = ACTIONS(6591),
    [anon_sym_open] = ACTIONS(6591),
    [anon_sym_include] = ACTIONS(6591),
    [anon_sym_class] = ACTIONS(6591),
    [anon_sym_val] = ACTIONS(6591),
    [anon_sym_end] = ACTIONS(6591),
    [anon_sym_object] = ACTIONS(7415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7417),
    [anon_sym_new] = ACTIONS(7419),
    [anon_sym_LBRACE_LT] = ACTIONS(7421),
    [anon_sym_begin] = ACTIONS(7423),
    [sym_ocamlyacc_value] = ACTIONS(7425),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7427),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7429),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6589),
    [aux_sym_number_token1] = ACTIONS(7431),
    [anon_sym_SQUOTE] = ACTIONS(7433),
    [anon_sym_DQUOTE] = ACTIONS(7435),
    [sym_prefix_operator] = ACTIONS(7437),
    [sym__uppercase_identifier] = ACTIONS(7439),
    [aux_sym_tag_token1] = ACTIONS(7441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2872] = {
    [sym__simple_expression] = STATE(7984),
    [sym_typed_expression] = STATE(7927),
    [sym_list_expression] = STATE(7927),
    [sym_array_expression] = STATE(7927),
    [sym_record_expression] = STATE(7927),
    [sym_labeled_argument] = STATE(8763),
    [sym_prefix_expression] = STATE(7927),
    [sym_hash_expression] = STATE(7927),
    [sym_field_get_expression] = STATE(7927),
    [sym_array_get_expression] = STATE(7927),
    [sym_string_get_expression] = STATE(7927),
    [sym_bigarray_get_expression] = STATE(7927),
    [sym_coercion_expression] = STATE(7927),
    [sym_local_open_expression] = STATE(7927),
    [sym_package_expression] = STATE(7927),
    [sym_new_expression] = STATE(7927),
    [sym_object_copy_expression] = STATE(7927),
    [sym_method_invocation] = STATE(7927),
    [sym_object_expression] = STATE(7927),
    [sym_parenthesized_expression] = STATE(7927),
    [sym_attribute] = STATE(2872),
    [sym_extension] = STATE(7927),
    [sym_quoted_extension] = STATE(7927),
    [sym__constant] = STATE(7927),
    [sym_number] = STATE(8030),
    [sym_character] = STATE(8030),
    [sym_string] = STATE(8030),
    [sym_quoted_string] = STATE(8030),
    [sym_boolean] = STATE(8030),
    [sym_unit] = STATE(8030),
    [sym__value_name] = STATE(8197),
    [sym_parenthesized_operator] = STATE(7793),
    [sym_value_path] = STATE(7927),
    [sym_module_path] = STATE(20747),
    [sym_constructor_path] = STATE(7927),
    [sym__constructor_name] = STATE(8073),
    [sym_tag] = STATE(7927),
    [aux_sym_class_application_repeat1] = STATE(2872),
    [sym__lowercase_identifier] = ACTIONS(7443),
    [anon_sym_SEMI_SEMI] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(7446),
    [anon_sym_QMARK] = ACTIONS(7446),
    [anon_sym_LPAREN] = ACTIONS(7449),
    [anon_sym_external] = ACTIONS(3852),
    [anon_sym_type] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(7452),
    [anon_sym_true] = ACTIONS(7455),
    [anon_sym_false] = ACTIONS(7455),
    [anon_sym_LBRACE] = ACTIONS(7458),
    [anon_sym_exception] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3852),
    [anon_sym_open] = ACTIONS(3852),
    [anon_sym_include] = ACTIONS(3852),
    [anon_sym_class] = ACTIONS(3852),
    [anon_sym_val] = ACTIONS(3852),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(7461),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7464),
    [anon_sym_new] = ACTIONS(7467),
    [anon_sym_LBRACE_LT] = ACTIONS(7470),
    [anon_sym_begin] = ACTIONS(7473),
    [sym_ocamlyacc_value] = ACTIONS(7476),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7479),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7482),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(7485),
    [anon_sym_SQUOTE] = ACTIONS(7488),
    [anon_sym_DQUOTE] = ACTIONS(7491),
    [sym_prefix_operator] = ACTIONS(7494),
    [sym__uppercase_identifier] = ACTIONS(7497),
    [aux_sym_tag_token1] = ACTIONS(7500),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2873] = {
    [sym__simple_expression] = STATE(7747),
    [sym_typed_expression] = STATE(8124),
    [sym_list_expression] = STATE(8124),
    [sym_array_expression] = STATE(8124),
    [sym_record_expression] = STATE(8124),
    [sym_labeled_argument] = STATE(8833),
    [sym_prefix_expression] = STATE(8124),
    [sym_hash_expression] = STATE(8124),
    [sym_field_get_expression] = STATE(8124),
    [sym_array_get_expression] = STATE(8124),
    [sym_string_get_expression] = STATE(8124),
    [sym_bigarray_get_expression] = STATE(8124),
    [sym_coercion_expression] = STATE(8124),
    [sym_local_open_expression] = STATE(8124),
    [sym_package_expression] = STATE(8124),
    [sym_new_expression] = STATE(8124),
    [sym_object_copy_expression] = STATE(8124),
    [sym_method_invocation] = STATE(8124),
    [sym_object_expression] = STATE(8124),
    [sym_parenthesized_expression] = STATE(8124),
    [sym_attribute] = STATE(2873),
    [sym_extension] = STATE(8124),
    [sym_quoted_extension] = STATE(8124),
    [sym__constant] = STATE(8124),
    [sym_number] = STATE(7917),
    [sym_character] = STATE(7917),
    [sym_string] = STATE(7917),
    [sym_quoted_string] = STATE(7917),
    [sym_boolean] = STATE(7917),
    [sym_unit] = STATE(7917),
    [sym__value_name] = STATE(7967),
    [sym_parenthesized_operator] = STATE(7949),
    [sym_value_path] = STATE(8124),
    [sym_module_path] = STATE(20557),
    [sym_constructor_path] = STATE(8124),
    [sym__constructor_name] = STATE(7987),
    [sym_tag] = STATE(8124),
    [aux_sym_class_application_repeat1] = STATE(2879),
    [sym__lowercase_identifier] = ACTIONS(7503),
    [anon_sym_SEMI_SEMI] = ACTIONS(6643),
    [anon_sym_and] = ACTIONS(6645),
    [anon_sym_TILDE] = ACTIONS(7505),
    [anon_sym_QMARK] = ACTIONS(7505),
    [anon_sym_LPAREN] = ACTIONS(7507),
    [anon_sym_external] = ACTIONS(6645),
    [anon_sym_type] = ACTIONS(6645),
    [anon_sym_LBRACK] = ACTIONS(7509),
    [anon_sym_RBRACK] = ACTIONS(6643),
    [anon_sym_true] = ACTIONS(7511),
    [anon_sym_false] = ACTIONS(7511),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_exception] = ACTIONS(6645),
    [anon_sym_module] = ACTIONS(6645),
    [anon_sym_open] = ACTIONS(6645),
    [anon_sym_include] = ACTIONS(6645),
    [anon_sym_class] = ACTIONS(6645),
    [anon_sym_val] = ACTIONS(6645),
    [anon_sym_object] = ACTIONS(7515),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7517),
    [anon_sym_new] = ACTIONS(7519),
    [anon_sym_LBRACE_LT] = ACTIONS(7521),
    [anon_sym_begin] = ACTIONS(7523),
    [sym_ocamlyacc_value] = ACTIONS(7525),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6645),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6643),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7529),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6643),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6643),
    [aux_sym_number_token1] = ACTIONS(7531),
    [anon_sym_SQUOTE] = ACTIONS(7533),
    [anon_sym_DQUOTE] = ACTIONS(7535),
    [sym_prefix_operator] = ACTIONS(7537),
    [sym__uppercase_identifier] = ACTIONS(7539),
    [aux_sym_tag_token1] = ACTIONS(7541),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2874] = {
    [sym__simple_expression] = STATE(8230),
    [sym_typed_expression] = STATE(8196),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_labeled_argument] = STATE(8748),
    [sym_prefix_expression] = STATE(8196),
    [sym_hash_expression] = STATE(8196),
    [sym_field_get_expression] = STATE(8196),
    [sym_array_get_expression] = STATE(8196),
    [sym_string_get_expression] = STATE(8196),
    [sym_bigarray_get_expression] = STATE(8196),
    [sym_coercion_expression] = STATE(8196),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2874),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [aux_sym_class_application_repeat1] = STATE(2883),
    [sym__lowercase_identifier] = ACTIONS(6577),
    [anon_sym_TILDE] = ACTIONS(6579),
    [anon_sym_QMARK] = ACTIONS(6579),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_done] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2875] = {
    [sym__simple_expression] = STATE(7984),
    [sym_typed_expression] = STATE(7927),
    [sym_list_expression] = STATE(7927),
    [sym_array_expression] = STATE(7927),
    [sym_record_expression] = STATE(7927),
    [sym_labeled_argument] = STATE(8763),
    [sym_prefix_expression] = STATE(7927),
    [sym_hash_expression] = STATE(7927),
    [sym_field_get_expression] = STATE(7927),
    [sym_array_get_expression] = STATE(7927),
    [sym_string_get_expression] = STATE(7927),
    [sym_bigarray_get_expression] = STATE(7927),
    [sym_coercion_expression] = STATE(7927),
    [sym_local_open_expression] = STATE(7927),
    [sym_package_expression] = STATE(7927),
    [sym_new_expression] = STATE(7927),
    [sym_object_copy_expression] = STATE(7927),
    [sym_method_invocation] = STATE(7927),
    [sym_object_expression] = STATE(7927),
    [sym_parenthesized_expression] = STATE(7927),
    [sym_attribute] = STATE(2875),
    [sym_extension] = STATE(7927),
    [sym_quoted_extension] = STATE(7927),
    [sym__constant] = STATE(7927),
    [sym_number] = STATE(8030),
    [sym_character] = STATE(8030),
    [sym_string] = STATE(8030),
    [sym_quoted_string] = STATE(8030),
    [sym_boolean] = STATE(8030),
    [sym_unit] = STATE(8030),
    [sym__value_name] = STATE(8197),
    [sym_parenthesized_operator] = STATE(7793),
    [sym_value_path] = STATE(7927),
    [sym_module_path] = STATE(20747),
    [sym_constructor_path] = STATE(7927),
    [sym__constructor_name] = STATE(8073),
    [sym_tag] = STATE(7927),
    [aux_sym_class_application_repeat1] = STATE(2871),
    [sym__lowercase_identifier] = ACTIONS(7403),
    [anon_sym_SEMI_SEMI] = ACTIONS(6643),
    [anon_sym_and] = ACTIONS(6645),
    [anon_sym_TILDE] = ACTIONS(7405),
    [anon_sym_QMARK] = ACTIONS(7405),
    [anon_sym_LPAREN] = ACTIONS(7407),
    [anon_sym_external] = ACTIONS(6645),
    [anon_sym_type] = ACTIONS(6645),
    [anon_sym_LBRACK] = ACTIONS(7409),
    [anon_sym_true] = ACTIONS(7411),
    [anon_sym_false] = ACTIONS(7411),
    [anon_sym_LBRACE] = ACTIONS(7413),
    [anon_sym_exception] = ACTIONS(6645),
    [anon_sym_module] = ACTIONS(6645),
    [anon_sym_open] = ACTIONS(6645),
    [anon_sym_include] = ACTIONS(6645),
    [anon_sym_class] = ACTIONS(6645),
    [anon_sym_val] = ACTIONS(6645),
    [anon_sym_end] = ACTIONS(6645),
    [anon_sym_object] = ACTIONS(7415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7417),
    [anon_sym_new] = ACTIONS(7419),
    [anon_sym_LBRACE_LT] = ACTIONS(7421),
    [anon_sym_begin] = ACTIONS(7423),
    [sym_ocamlyacc_value] = ACTIONS(7425),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6645),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6643),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7427),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7429),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6643),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6643),
    [aux_sym_number_token1] = ACTIONS(7431),
    [anon_sym_SQUOTE] = ACTIONS(7433),
    [anon_sym_DQUOTE] = ACTIONS(7435),
    [sym_prefix_operator] = ACTIONS(7437),
    [sym__uppercase_identifier] = ACTIONS(7439),
    [aux_sym_tag_token1] = ACTIONS(7441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2876] = {
    [sym__simple_expression] = STATE(7847),
    [sym_typed_expression] = STATE(7958),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_labeled_argument] = STATE(8825),
    [sym_prefix_expression] = STATE(7958),
    [sym_hash_expression] = STATE(7958),
    [sym_field_get_expression] = STATE(7958),
    [sym_array_get_expression] = STATE(7958),
    [sym_string_get_expression] = STATE(7958),
    [sym_bigarray_get_expression] = STATE(7958),
    [sym_coercion_expression] = STATE(7958),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2876),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [aux_sym_class_application_repeat1] = STATE(2876),
    [sym__lowercase_identifier] = ACTIONS(7543),
    [anon_sym_TILDE] = ACTIONS(7546),
    [anon_sym_QMARK] = ACTIONS(7546),
    [anon_sym_LPAREN] = ACTIONS(7549),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(7552),
    [anon_sym_true] = ACTIONS(7555),
    [anon_sym_false] = ACTIONS(7555),
    [anon_sym_LBRACE] = ACTIONS(7558),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_with] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(7561),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7564),
    [anon_sym_new] = ACTIONS(7567),
    [anon_sym_LBRACE_LT] = ACTIONS(7570),
    [anon_sym_begin] = ACTIONS(7573),
    [sym_ocamlyacc_value] = ACTIONS(7576),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7582),
    [aux_sym_number_token1] = ACTIONS(7585),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(7588),
    [anon_sym_DQUOTE] = ACTIONS(7591),
    [sym_prefix_operator] = ACTIONS(7594),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(7597),
    [aux_sym_tag_token1] = ACTIONS(7600),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2877] = {
    [sym__simple_expression] = STATE(8011),
    [sym_typed_expression] = STATE(7824),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_labeled_argument] = STATE(8776),
    [sym_prefix_expression] = STATE(7824),
    [sym_hash_expression] = STATE(7824),
    [sym_field_get_expression] = STATE(7824),
    [sym_array_get_expression] = STATE(7824),
    [sym_string_get_expression] = STATE(7824),
    [sym_bigarray_get_expression] = STATE(7824),
    [sym_coercion_expression] = STATE(7824),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2877),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [aux_sym_class_application_repeat1] = STATE(2885),
    [sym__lowercase_identifier] = ACTIONS(6541),
    [anon_sym_TILDE] = ACTIONS(6543),
    [anon_sym_QMARK] = ACTIONS(6543),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(3153),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3157),
    [anon_sym_do] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_LBRACE_LT] = ACTIONS(3169),
    [anon_sym_begin] = ACTIONS(3171),
    [sym_ocamlyacc_value] = ACTIONS(3173),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3177),
    [aux_sym_number_token1] = ACTIONS(3179),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_prefix_operator] = ACTIONS(3185),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(3189),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2878] = {
    [sym__simple_expression] = STATE(7977),
    [sym_typed_expression] = STATE(8269),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_labeled_argument] = STATE(8789),
    [sym_prefix_expression] = STATE(8269),
    [sym_hash_expression] = STATE(8269),
    [sym_field_get_expression] = STATE(8269),
    [sym_array_get_expression] = STATE(8269),
    [sym_string_get_expression] = STATE(8269),
    [sym_bigarray_get_expression] = STATE(8269),
    [sym_coercion_expression] = STATE(8269),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2878),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [aux_sym_class_application_repeat1] = STATE(2881),
    [sym__lowercase_identifier] = ACTIONS(6521),
    [anon_sym_TILDE] = ACTIONS(6523),
    [anon_sym_QMARK] = ACTIONS(6523),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_then] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2879] = {
    [sym__simple_expression] = STATE(7747),
    [sym_typed_expression] = STATE(8124),
    [sym_list_expression] = STATE(8124),
    [sym_array_expression] = STATE(8124),
    [sym_record_expression] = STATE(8124),
    [sym_labeled_argument] = STATE(8833),
    [sym_prefix_expression] = STATE(8124),
    [sym_hash_expression] = STATE(8124),
    [sym_field_get_expression] = STATE(8124),
    [sym_array_get_expression] = STATE(8124),
    [sym_string_get_expression] = STATE(8124),
    [sym_bigarray_get_expression] = STATE(8124),
    [sym_coercion_expression] = STATE(8124),
    [sym_local_open_expression] = STATE(8124),
    [sym_package_expression] = STATE(8124),
    [sym_new_expression] = STATE(8124),
    [sym_object_copy_expression] = STATE(8124),
    [sym_method_invocation] = STATE(8124),
    [sym_object_expression] = STATE(8124),
    [sym_parenthesized_expression] = STATE(8124),
    [sym_attribute] = STATE(2879),
    [sym_extension] = STATE(8124),
    [sym_quoted_extension] = STATE(8124),
    [sym__constant] = STATE(8124),
    [sym_number] = STATE(7917),
    [sym_character] = STATE(7917),
    [sym_string] = STATE(7917),
    [sym_quoted_string] = STATE(7917),
    [sym_boolean] = STATE(7917),
    [sym_unit] = STATE(7917),
    [sym__value_name] = STATE(7967),
    [sym_parenthesized_operator] = STATE(7949),
    [sym_value_path] = STATE(8124),
    [sym_module_path] = STATE(20557),
    [sym_constructor_path] = STATE(8124),
    [sym__constructor_name] = STATE(7987),
    [sym_tag] = STATE(8124),
    [aux_sym_class_application_repeat1] = STATE(2870),
    [sym__lowercase_identifier] = ACTIONS(7503),
    [anon_sym_SEMI_SEMI] = ACTIONS(6589),
    [anon_sym_and] = ACTIONS(6591),
    [anon_sym_TILDE] = ACTIONS(7505),
    [anon_sym_QMARK] = ACTIONS(7505),
    [anon_sym_LPAREN] = ACTIONS(7507),
    [anon_sym_external] = ACTIONS(6591),
    [anon_sym_type] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(7509),
    [anon_sym_RBRACK] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(7511),
    [anon_sym_false] = ACTIONS(7511),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_exception] = ACTIONS(6591),
    [anon_sym_module] = ACTIONS(6591),
    [anon_sym_open] = ACTIONS(6591),
    [anon_sym_include] = ACTIONS(6591),
    [anon_sym_class] = ACTIONS(6591),
    [anon_sym_val] = ACTIONS(6591),
    [anon_sym_object] = ACTIONS(7515),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7517),
    [anon_sym_new] = ACTIONS(7519),
    [anon_sym_LBRACE_LT] = ACTIONS(7521),
    [anon_sym_begin] = ACTIONS(7523),
    [sym_ocamlyacc_value] = ACTIONS(7525),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7529),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6589),
    [aux_sym_number_token1] = ACTIONS(7531),
    [anon_sym_SQUOTE] = ACTIONS(7533),
    [anon_sym_DQUOTE] = ACTIONS(7535),
    [sym_prefix_operator] = ACTIONS(7537),
    [sym__uppercase_identifier] = ACTIONS(7539),
    [aux_sym_tag_token1] = ACTIONS(7541),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2880] = {
    [sym__simple_expression] = STATE(7847),
    [sym_typed_expression] = STATE(7958),
    [sym_list_expression] = STATE(7958),
    [sym_array_expression] = STATE(7958),
    [sym_record_expression] = STATE(7958),
    [sym_labeled_argument] = STATE(8825),
    [sym_prefix_expression] = STATE(7958),
    [sym_hash_expression] = STATE(7958),
    [sym_field_get_expression] = STATE(7958),
    [sym_array_get_expression] = STATE(7958),
    [sym_string_get_expression] = STATE(7958),
    [sym_bigarray_get_expression] = STATE(7958),
    [sym_coercion_expression] = STATE(7958),
    [sym_local_open_expression] = STATE(7958),
    [sym_package_expression] = STATE(7958),
    [sym_new_expression] = STATE(7958),
    [sym_object_copy_expression] = STATE(7958),
    [sym_method_invocation] = STATE(7958),
    [sym_object_expression] = STATE(7958),
    [sym_parenthesized_expression] = STATE(7958),
    [sym_attribute] = STATE(2880),
    [sym_extension] = STATE(7958),
    [sym_quoted_extension] = STATE(7958),
    [sym__constant] = STATE(7958),
    [sym_number] = STATE(7966),
    [sym_character] = STATE(7966),
    [sym_string] = STATE(7966),
    [sym_quoted_string] = STATE(7966),
    [sym_boolean] = STATE(7966),
    [sym_unit] = STATE(7966),
    [sym__value_name] = STATE(7989),
    [sym_parenthesized_operator] = STATE(8263),
    [sym_value_path] = STATE(7958),
    [sym_module_path] = STATE(20110),
    [sym_constructor_path] = STATE(7958),
    [sym__constructor_name] = STATE(8046),
    [sym_tag] = STATE(7958),
    [aux_sym_class_application_repeat1] = STATE(2876),
    [sym__lowercase_identifier] = ACTIONS(6531),
    [anon_sym_TILDE] = ACTIONS(6533),
    [anon_sym_QMARK] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(3083),
    [anon_sym_false] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(3085),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_with] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3091),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_LBRACE_LT] = ACTIONS(3103),
    [anon_sym_begin] = ACTIONS(3105),
    [sym_ocamlyacc_value] = ACTIONS(3107),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(3113),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_prefix_operator] = ACTIONS(3119),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2881] = {
    [sym__simple_expression] = STATE(7977),
    [sym_typed_expression] = STATE(8269),
    [sym_list_expression] = STATE(8269),
    [sym_array_expression] = STATE(8269),
    [sym_record_expression] = STATE(8269),
    [sym_labeled_argument] = STATE(8789),
    [sym_prefix_expression] = STATE(8269),
    [sym_hash_expression] = STATE(8269),
    [sym_field_get_expression] = STATE(8269),
    [sym_array_get_expression] = STATE(8269),
    [sym_string_get_expression] = STATE(8269),
    [sym_bigarray_get_expression] = STATE(8269),
    [sym_coercion_expression] = STATE(8269),
    [sym_local_open_expression] = STATE(8269),
    [sym_package_expression] = STATE(8269),
    [sym_new_expression] = STATE(8269),
    [sym_object_copy_expression] = STATE(8269),
    [sym_method_invocation] = STATE(8269),
    [sym_object_expression] = STATE(8269),
    [sym_parenthesized_expression] = STATE(8269),
    [sym_attribute] = STATE(2881),
    [sym_extension] = STATE(8269),
    [sym_quoted_extension] = STATE(8269),
    [sym__constant] = STATE(8269),
    [sym_number] = STATE(7985),
    [sym_character] = STATE(7985),
    [sym_string] = STATE(7985),
    [sym_quoted_string] = STATE(7985),
    [sym_boolean] = STATE(7985),
    [sym_unit] = STATE(7985),
    [sym__value_name] = STATE(8283),
    [sym_parenthesized_operator] = STATE(7831),
    [sym_value_path] = STATE(8269),
    [sym_module_path] = STATE(22329),
    [sym_constructor_path] = STATE(8269),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(8269),
    [aux_sym_class_application_repeat1] = STATE(2881),
    [sym__lowercase_identifier] = ACTIONS(7603),
    [anon_sym_TILDE] = ACTIONS(7606),
    [anon_sym_QMARK] = ACTIONS(7606),
    [anon_sym_LPAREN] = ACTIONS(7609),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(7612),
    [anon_sym_true] = ACTIONS(7615),
    [anon_sym_false] = ACTIONS(7615),
    [anon_sym_LBRACE] = ACTIONS(7618),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7621),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7624),
    [anon_sym_then] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(7627),
    [anon_sym_LBRACE_LT] = ACTIONS(7630),
    [anon_sym_begin] = ACTIONS(7633),
    [sym_ocamlyacc_value] = ACTIONS(7636),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7642),
    [aux_sym_number_token1] = ACTIONS(7645),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(7648),
    [anon_sym_DQUOTE] = ACTIONS(7651),
    [sym_prefix_operator] = ACTIONS(7654),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(7657),
    [aux_sym_tag_token1] = ACTIONS(7660),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2882] = {
    [sym__simple_expression] = STATE(8115),
    [sym_typed_expression] = STATE(7889),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_labeled_argument] = STATE(8800),
    [sym_prefix_expression] = STATE(7889),
    [sym_hash_expression] = STATE(7889),
    [sym_field_get_expression] = STATE(7889),
    [sym_array_get_expression] = STATE(7889),
    [sym_string_get_expression] = STATE(7889),
    [sym_bigarray_get_expression] = STATE(7889),
    [sym_coercion_expression] = STATE(7889),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2882),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [aux_sym_class_application_repeat1] = STATE(2884),
    [sym__lowercase_identifier] = ACTIONS(6555),
    [anon_sym_TILDE] = ACTIONS(6557),
    [anon_sym_QMARK] = ACTIONS(6557),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_PIPE] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_end] = ACTIONS(4081),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(4081),
    [sym_pow_operator] = ACTIONS(4081),
    [sym_mult_operator] = ACTIONS(4081),
    [aux_sym_add_operator_token1] = ACTIONS(4081),
    [sym_concat_operator] = ACTIONS(4079),
    [sym_rel_operator] = ACTIONS(4081),
    [sym_and_operator] = ACTIONS(4081),
    [sym_or_operator] = ACTIONS(4081),
    [sym_assign_operator] = ACTIONS(4079),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2883] = {
    [sym__simple_expression] = STATE(8230),
    [sym_typed_expression] = STATE(8196),
    [sym_list_expression] = STATE(8196),
    [sym_array_expression] = STATE(8196),
    [sym_record_expression] = STATE(8196),
    [sym_labeled_argument] = STATE(8748),
    [sym_prefix_expression] = STATE(8196),
    [sym_hash_expression] = STATE(8196),
    [sym_field_get_expression] = STATE(8196),
    [sym_array_get_expression] = STATE(8196),
    [sym_string_get_expression] = STATE(8196),
    [sym_bigarray_get_expression] = STATE(8196),
    [sym_coercion_expression] = STATE(8196),
    [sym_local_open_expression] = STATE(8196),
    [sym_package_expression] = STATE(8196),
    [sym_new_expression] = STATE(8196),
    [sym_object_copy_expression] = STATE(8196),
    [sym_method_invocation] = STATE(8196),
    [sym_object_expression] = STATE(8196),
    [sym_parenthesized_expression] = STATE(8196),
    [sym_attribute] = STATE(2883),
    [sym_extension] = STATE(8196),
    [sym_quoted_extension] = STATE(8196),
    [sym__constant] = STATE(8196),
    [sym_number] = STATE(8086),
    [sym_character] = STATE(8086),
    [sym_string] = STATE(8086),
    [sym_quoted_string] = STATE(8086),
    [sym_boolean] = STATE(8086),
    [sym_unit] = STATE(8086),
    [sym__value_name] = STATE(7765),
    [sym_parenthesized_operator] = STATE(7854),
    [sym_value_path] = STATE(8196),
    [sym_module_path] = STATE(19416),
    [sym_constructor_path] = STATE(8196),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(8196),
    [aux_sym_class_application_repeat1] = STATE(2883),
    [sym__lowercase_identifier] = ACTIONS(7663),
    [anon_sym_TILDE] = ACTIONS(7666),
    [anon_sym_QMARK] = ACTIONS(7666),
    [anon_sym_LPAREN] = ACTIONS(7669),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(7672),
    [anon_sym_true] = ACTIONS(7675),
    [anon_sym_false] = ACTIONS(7675),
    [anon_sym_LBRACE] = ACTIONS(7678),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7681),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7684),
    [anon_sym_done] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(7687),
    [anon_sym_LBRACE_LT] = ACTIONS(7690),
    [anon_sym_begin] = ACTIONS(7693),
    [sym_ocamlyacc_value] = ACTIONS(7696),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7702),
    [aux_sym_number_token1] = ACTIONS(7705),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(7708),
    [anon_sym_DQUOTE] = ACTIONS(7711),
    [sym_prefix_operator] = ACTIONS(7714),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(7717),
    [aux_sym_tag_token1] = ACTIONS(7720),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2884] = {
    [sym__simple_expression] = STATE(8115),
    [sym_typed_expression] = STATE(7889),
    [sym_list_expression] = STATE(7889),
    [sym_array_expression] = STATE(7889),
    [sym_record_expression] = STATE(7889),
    [sym_labeled_argument] = STATE(8800),
    [sym_prefix_expression] = STATE(7889),
    [sym_hash_expression] = STATE(7889),
    [sym_field_get_expression] = STATE(7889),
    [sym_array_get_expression] = STATE(7889),
    [sym_string_get_expression] = STATE(7889),
    [sym_bigarray_get_expression] = STATE(7889),
    [sym_coercion_expression] = STATE(7889),
    [sym_local_open_expression] = STATE(7889),
    [sym_package_expression] = STATE(7889),
    [sym_new_expression] = STATE(7889),
    [sym_object_copy_expression] = STATE(7889),
    [sym_method_invocation] = STATE(7889),
    [sym_object_expression] = STATE(7889),
    [sym_parenthesized_expression] = STATE(7889),
    [sym_attribute] = STATE(2884),
    [sym_extension] = STATE(7889),
    [sym_quoted_extension] = STATE(7889),
    [sym__constant] = STATE(7889),
    [sym_number] = STATE(8102),
    [sym_character] = STATE(8102),
    [sym_string] = STATE(8102),
    [sym_quoted_string] = STATE(8102),
    [sym_boolean] = STATE(8102),
    [sym_unit] = STATE(8102),
    [sym__value_name] = STATE(8005),
    [sym_parenthesized_operator] = STATE(8008),
    [sym_value_path] = STATE(7889),
    [sym_module_path] = STATE(20867),
    [sym_constructor_path] = STATE(7889),
    [sym__constructor_name] = STATE(7782),
    [sym_tag] = STATE(7889),
    [aux_sym_class_application_repeat1] = STATE(2884),
    [sym__lowercase_identifier] = ACTIONS(7723),
    [anon_sym_TILDE] = ACTIONS(7726),
    [anon_sym_QMARK] = ACTIONS(7726),
    [anon_sym_LPAREN] = ACTIONS(7729),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(7732),
    [anon_sym_true] = ACTIONS(7735),
    [anon_sym_false] = ACTIONS(7735),
    [anon_sym_LBRACE] = ACTIONS(7738),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(7741),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7744),
    [anon_sym_new] = ACTIONS(7747),
    [anon_sym_LBRACE_LT] = ACTIONS(7750),
    [anon_sym_begin] = ACTIONS(7753),
    [sym_ocamlyacc_value] = ACTIONS(7756),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7759),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7762),
    [aux_sym_number_token1] = ACTIONS(7765),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(7768),
    [anon_sym_DQUOTE] = ACTIONS(7771),
    [sym_prefix_operator] = ACTIONS(7774),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(7777),
    [aux_sym_tag_token1] = ACTIONS(7780),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2885] = {
    [sym__simple_expression] = STATE(8011),
    [sym_typed_expression] = STATE(7824),
    [sym_list_expression] = STATE(7824),
    [sym_array_expression] = STATE(7824),
    [sym_record_expression] = STATE(7824),
    [sym_labeled_argument] = STATE(8776),
    [sym_prefix_expression] = STATE(7824),
    [sym_hash_expression] = STATE(7824),
    [sym_field_get_expression] = STATE(7824),
    [sym_array_get_expression] = STATE(7824),
    [sym_string_get_expression] = STATE(7824),
    [sym_bigarray_get_expression] = STATE(7824),
    [sym_coercion_expression] = STATE(7824),
    [sym_local_open_expression] = STATE(7824),
    [sym_package_expression] = STATE(7824),
    [sym_new_expression] = STATE(7824),
    [sym_object_copy_expression] = STATE(7824),
    [sym_method_invocation] = STATE(7824),
    [sym_object_expression] = STATE(7824),
    [sym_parenthesized_expression] = STATE(7824),
    [sym_attribute] = STATE(2885),
    [sym_extension] = STATE(7824),
    [sym_quoted_extension] = STATE(7824),
    [sym__constant] = STATE(7824),
    [sym_number] = STATE(8262),
    [sym_character] = STATE(8262),
    [sym_string] = STATE(8262),
    [sym_quoted_string] = STATE(8262),
    [sym_boolean] = STATE(8262),
    [sym_unit] = STATE(8262),
    [sym__value_name] = STATE(7829),
    [sym_parenthesized_operator] = STATE(8000),
    [sym_value_path] = STATE(7824),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(7824),
    [sym__constructor_name] = STATE(8264),
    [sym_tag] = STATE(7824),
    [aux_sym_class_application_repeat1] = STATE(2885),
    [sym__lowercase_identifier] = ACTIONS(7783),
    [anon_sym_TILDE] = ACTIONS(7786),
    [anon_sym_QMARK] = ACTIONS(7786),
    [anon_sym_LPAREN] = ACTIONS(7789),
    [anon_sym_COMMA] = ACTIONS(3850),
    [anon_sym_PIPE] = ACTIONS(3852),
    [anon_sym_LBRACK] = ACTIONS(7792),
    [anon_sym_true] = ACTIONS(7795),
    [anon_sym_false] = ACTIONS(7795),
    [anon_sym_LBRACE] = ACTIONS(7798),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7801),
    [anon_sym_COLON_COLON] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7804),
    [anon_sym_do] = ACTIONS(3852),
    [anon_sym_new] = ACTIONS(7807),
    [anon_sym_LBRACE_LT] = ACTIONS(7810),
    [anon_sym_begin] = ACTIONS(7813),
    [sym_ocamlyacc_value] = ACTIONS(7816),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7822),
    [aux_sym_number_token1] = ACTIONS(7825),
    [aux_sym_signed_number_token1] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(7828),
    [anon_sym_DQUOTE] = ACTIONS(7831),
    [sym_prefix_operator] = ACTIONS(7834),
    [aux_sym_sign_operator_token1] = ACTIONS(3852),
    [sym_pow_operator] = ACTIONS(3852),
    [sym_mult_operator] = ACTIONS(3852),
    [aux_sym_add_operator_token1] = ACTIONS(3852),
    [sym_concat_operator] = ACTIONS(3850),
    [sym_rel_operator] = ACTIONS(3852),
    [sym_and_operator] = ACTIONS(3852),
    [sym_or_operator] = ACTIONS(3852),
    [sym_assign_operator] = ACTIONS(3850),
    [sym__uppercase_identifier] = ACTIONS(7837),
    [aux_sym_tag_token1] = ACTIONS(7840),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2886] = {
    [sym__binding_pattern] = STATE(14963),
    [sym_alias_binding_pattern] = STATE(14775),
    [sym_typed_binding_pattern] = STATE(14775),
    [sym_or_binding_pattern] = STATE(14775),
    [sym_constructor_binding_pattern] = STATE(14775),
    [sym_tag_binding_pattern] = STATE(14775),
    [sym_polymorphic_variant_pattern] = STATE(14775),
    [sym_tuple_binding_pattern] = STATE(14775),
    [sym_record_binding_pattern] = STATE(14778),
    [sym_list_binding_pattern] = STATE(14779),
    [sym_cons_binding_pattern] = STATE(14775),
    [sym_array_binding_pattern] = STATE(14818),
    [sym_range_pattern] = STATE(14775),
    [sym_lazy_binding_pattern] = STATE(14775),
    [sym_local_open_binding_pattern] = STATE(14775),
    [sym_package_pattern] = STATE(14775),
    [sym_parenthesized_binding_pattern] = STATE(14775),
    [sym_attribute] = STATE(2886),
    [sym_extension] = STATE(14775),
    [sym_quoted_extension] = STATE(14775),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14601),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21039),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(14775),
    [sym_parenthesized_operator] = STATE(14261),
    [sym_module_path] = STATE(20275),
    [sym_constructor_path] = STATE(4194),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(4195),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(7847),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(7851),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(7855),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(7857),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(7863),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7863),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7863),
    [sym_let_and_operator] = ACTIONS(7863),
    [sym_match_operator] = ACTIONS(7863),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2887] = {
    [sym__binding_pattern] = STATE(15221),
    [sym_alias_binding_pattern] = STATE(14775),
    [sym_typed_binding_pattern] = STATE(14775),
    [sym_or_binding_pattern] = STATE(14775),
    [sym_constructor_binding_pattern] = STATE(14775),
    [sym_tag_binding_pattern] = STATE(14775),
    [sym_polymorphic_variant_pattern] = STATE(14775),
    [sym_tuple_binding_pattern] = STATE(14775),
    [sym_record_binding_pattern] = STATE(14778),
    [sym_list_binding_pattern] = STATE(14779),
    [sym_cons_binding_pattern] = STATE(14775),
    [sym_array_binding_pattern] = STATE(14818),
    [sym_range_pattern] = STATE(14775),
    [sym_lazy_binding_pattern] = STATE(14775),
    [sym_local_open_binding_pattern] = STATE(14775),
    [sym_package_pattern] = STATE(14775),
    [sym_parenthesized_binding_pattern] = STATE(14775),
    [sym_attribute] = STATE(2887),
    [sym_extension] = STATE(14775),
    [sym_quoted_extension] = STATE(14775),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14601),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21498),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(14775),
    [sym_parenthesized_operator] = STATE(14261),
    [sym_module_path] = STATE(20275),
    [sym_constructor_path] = STATE(4194),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(4195),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(7865),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(7867),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(7869),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(7871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(7873),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7873),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7873),
    [sym_let_and_operator] = ACTIONS(7873),
    [sym_match_operator] = ACTIONS(7873),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2888] = {
    [sym__binding_pattern] = STATE(15040),
    [sym_alias_binding_pattern] = STATE(14775),
    [sym_typed_binding_pattern] = STATE(14775),
    [sym_or_binding_pattern] = STATE(14775),
    [sym_constructor_binding_pattern] = STATE(14775),
    [sym_tag_binding_pattern] = STATE(14775),
    [sym_polymorphic_variant_pattern] = STATE(14775),
    [sym_tuple_binding_pattern] = STATE(14775),
    [sym_record_binding_pattern] = STATE(14778),
    [sym_list_binding_pattern] = STATE(14779),
    [sym_cons_binding_pattern] = STATE(14775),
    [sym_array_binding_pattern] = STATE(14818),
    [sym_range_pattern] = STATE(14775),
    [sym_lazy_binding_pattern] = STATE(14775),
    [sym_local_open_binding_pattern] = STATE(14775),
    [sym_package_pattern] = STATE(14775),
    [sym_parenthesized_binding_pattern] = STATE(14775),
    [sym_attribute] = STATE(2888),
    [sym_extension] = STATE(14775),
    [sym_quoted_extension] = STATE(14775),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14601),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21668),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(14775),
    [sym_parenthesized_operator] = STATE(14261),
    [sym_module_path] = STATE(20275),
    [sym_constructor_path] = STATE(4194),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(4195),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(6039),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6227),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(2137),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(2137),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2137),
    [sym_let_and_operator] = ACTIONS(2137),
    [sym_match_operator] = ACTIONS(2137),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2889] = {
    [sym__binding_pattern] = STATE(15147),
    [sym_alias_binding_pattern] = STATE(14775),
    [sym_typed_binding_pattern] = STATE(14775),
    [sym_or_binding_pattern] = STATE(14775),
    [sym_constructor_binding_pattern] = STATE(14775),
    [sym_tag_binding_pattern] = STATE(14775),
    [sym_polymorphic_variant_pattern] = STATE(14775),
    [sym_tuple_binding_pattern] = STATE(14775),
    [sym_record_binding_pattern] = STATE(14778),
    [sym_list_binding_pattern] = STATE(14779),
    [sym_cons_binding_pattern] = STATE(14775),
    [sym_array_binding_pattern] = STATE(14818),
    [sym_range_pattern] = STATE(14775),
    [sym_lazy_binding_pattern] = STATE(14775),
    [sym_local_open_binding_pattern] = STATE(14775),
    [sym_package_pattern] = STATE(14775),
    [sym_parenthesized_binding_pattern] = STATE(14775),
    [sym_attribute] = STATE(2889),
    [sym_extension] = STATE(14775),
    [sym_quoted_extension] = STATE(14775),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14601),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(21601),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(14775),
    [sym_parenthesized_operator] = STATE(14261),
    [sym_module_path] = STATE(20275),
    [sym_constructor_path] = STATE(4194),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(4195),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(6077),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6079),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(6081),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(1821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6085),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6085),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6085),
    [sym_let_and_operator] = ACTIONS(6085),
    [sym_match_operator] = ACTIONS(6085),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2890] = {
    [sym__binding_pattern] = STATE(14982),
    [sym_alias_binding_pattern] = STATE(14775),
    [sym_typed_binding_pattern] = STATE(14775),
    [sym_or_binding_pattern] = STATE(14775),
    [sym_constructor_binding_pattern] = STATE(14775),
    [sym_tag_binding_pattern] = STATE(14775),
    [sym_polymorphic_variant_pattern] = STATE(14775),
    [sym_tuple_binding_pattern] = STATE(14775),
    [sym_record_binding_pattern] = STATE(14778),
    [sym_list_binding_pattern] = STATE(14779),
    [sym_cons_binding_pattern] = STATE(14775),
    [sym_array_binding_pattern] = STATE(14818),
    [sym_range_pattern] = STATE(14775),
    [sym_lazy_binding_pattern] = STATE(14775),
    [sym_local_open_binding_pattern] = STATE(14775),
    [sym_package_pattern] = STATE(14775),
    [sym_parenthesized_binding_pattern] = STATE(14775),
    [sym_attribute] = STATE(2890),
    [sym_extension] = STATE(14775),
    [sym_quoted_extension] = STATE(14775),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14601),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(19474),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(14775),
    [sym_parenthesized_operator] = STATE(14261),
    [sym_module_path] = STATE(20275),
    [sym_constructor_path] = STATE(4194),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(4195),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(7875),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(7877),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(7879),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(7881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(7883),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7883),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7883),
    [sym_let_and_operator] = ACTIONS(7883),
    [sym_match_operator] = ACTIONS(7883),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2891] = {
    [sym__binding_pattern] = STATE(15243),
    [sym_alias_binding_pattern] = STATE(14775),
    [sym_typed_binding_pattern] = STATE(14775),
    [sym_or_binding_pattern] = STATE(14775),
    [sym_constructor_binding_pattern] = STATE(14775),
    [sym_tag_binding_pattern] = STATE(14775),
    [sym_polymorphic_variant_pattern] = STATE(14775),
    [sym_tuple_binding_pattern] = STATE(14775),
    [sym_record_binding_pattern] = STATE(14778),
    [sym_list_binding_pattern] = STATE(14779),
    [sym_cons_binding_pattern] = STATE(14775),
    [sym_array_binding_pattern] = STATE(14818),
    [sym_range_pattern] = STATE(14775),
    [sym_lazy_binding_pattern] = STATE(14775),
    [sym_local_open_binding_pattern] = STATE(14775),
    [sym_package_pattern] = STATE(14775),
    [sym_parenthesized_binding_pattern] = STATE(14775),
    [sym_attribute] = STATE(2891),
    [sym_extension] = STATE(14775),
    [sym_quoted_extension] = STATE(14775),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14601),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(19570),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(14775),
    [sym_parenthesized_operator] = STATE(14261),
    [sym_module_path] = STATE(20275),
    [sym_constructor_path] = STATE(4194),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(4195),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(7885),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(7887),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(7889),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(7891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(7893),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7893),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7893),
    [sym_let_and_operator] = ACTIONS(7893),
    [sym_match_operator] = ACTIONS(7893),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2892] = {
    [sym__binding_pattern] = STATE(14930),
    [sym_alias_binding_pattern] = STATE(14775),
    [sym_typed_binding_pattern] = STATE(14775),
    [sym_or_binding_pattern] = STATE(14775),
    [sym_constructor_binding_pattern] = STATE(14775),
    [sym_tag_binding_pattern] = STATE(14775),
    [sym_polymorphic_variant_pattern] = STATE(14775),
    [sym_tuple_binding_pattern] = STATE(14775),
    [sym_record_binding_pattern] = STATE(14778),
    [sym_list_binding_pattern] = STATE(14779),
    [sym_cons_binding_pattern] = STATE(14775),
    [sym_array_binding_pattern] = STATE(14818),
    [sym_range_pattern] = STATE(14775),
    [sym_lazy_binding_pattern] = STATE(14775),
    [sym_local_open_binding_pattern] = STATE(14775),
    [sym_package_pattern] = STATE(14775),
    [sym_parenthesized_binding_pattern] = STATE(14775),
    [sym_attribute] = STATE(2892),
    [sym_extension] = STATE(14775),
    [sym_quoted_extension] = STATE(14775),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14601),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__infix_operator] = STATE(20095),
    [sym_add_operator] = STATE(21462),
    [sym__value_name] = STATE(14775),
    [sym_parenthesized_operator] = STATE(14261),
    [sym_module_path] = STATE(20275),
    [sym_constructor_path] = STATE(4194),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(4195),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(7895),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(7897),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(7899),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(7901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(7903),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7903),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7903),
    [sym_let_and_operator] = ACTIONS(7903),
    [sym_match_operator] = ACTIONS(7903),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2893] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12382),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2893),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11764),
    [aux_sym_let_binding_repeat1] = STATE(2905),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(7907),
    [anon_sym_let] = ACTIONS(7909),
    [anon_sym_and] = ACTIONS(7909),
    [anon_sym_EQ] = ACTIONS(7911),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7909),
    [anon_sym_type] = ACTIONS(7909),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(7907),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7909),
    [anon_sym_module] = ACTIONS(7909),
    [anon_sym_open] = ACTIONS(7909),
    [anon_sym_include] = ACTIONS(7909),
    [anon_sym_class] = ACTIONS(7909),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7907),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7907),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7907),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7907),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7909),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2894] = {
    [sym_parameter] = STATE(8684),
    [sym__class_typed] = STATE(12387),
    [sym__parenthesized_abstract_type] = STATE(8684),
    [sym__simple_pattern] = STATE(8561),
    [sym_typed_pattern] = STATE(8688),
    [sym_polymorphic_variant_pattern] = STATE(8688),
    [sym_record_pattern] = STATE(8688),
    [sym_list_pattern] = STATE(8688),
    [sym_array_pattern] = STATE(8688),
    [sym_local_open_pattern] = STATE(8688),
    [sym_package_pattern] = STATE(8688),
    [sym_parenthesized_pattern] = STATE(8688),
    [sym_attribute] = STATE(2894),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8688),
    [sym_quoted_extension] = STATE(8688),
    [sym__constant] = STATE(8529),
    [sym__signed_constant] = STATE(8688),
    [sym_number] = STATE(8638),
    [sym_signed_number] = STATE(8529),
    [sym_character] = STATE(8638),
    [sym_string] = STATE(8638),
    [sym_quoted_string] = STATE(8638),
    [sym_boolean] = STATE(8638),
    [sym_unit] = STATE(8638),
    [sym__simple_value_pattern] = STATE(8688),
    [sym_parenthesized_operator] = STATE(8688),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(8688),
    [sym__constructor_name] = STATE(8569),
    [sym_tag] = STATE(8688),
    [aux_sym_expression_item_repeat1] = STATE(11762),
    [aux_sym_let_binding_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(7949),
    [anon_sym_SEMI_SEMI] = ACTIONS(7951),
    [anon_sym_let] = ACTIONS(7953),
    [anon_sym_and] = ACTIONS(7953),
    [anon_sym_EQ] = ACTIONS(7955),
    [anon_sym_TILDE] = ACTIONS(7957),
    [anon_sym_QMARK] = ACTIONS(7957),
    [anon_sym_LPAREN] = ACTIONS(7959),
    [anon_sym_external] = ACTIONS(7953),
    [anon_sym_type] = ACTIONS(7953),
    [anon_sym_LBRACK] = ACTIONS(7961),
    [anon_sym_true] = ACTIONS(7963),
    [anon_sym_false] = ACTIONS(7963),
    [anon_sym_COLON2] = ACTIONS(7965),
    [anon_sym_LBRACE] = ACTIONS(7967),
    [anon_sym_exception] = ACTIONS(7953),
    [anon_sym_module] = ACTIONS(7953),
    [anon_sym_open] = ACTIONS(7953),
    [anon_sym_include] = ACTIONS(7953),
    [anon_sym_class] = ACTIONS(7953),
    [anon_sym_end] = ACTIONS(7953),
    [anon_sym_POUND] = ACTIONS(7969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7971),
    [anon_sym_begin] = ACTIONS(7973),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7975),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7977),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7951),
    [aux_sym_number_token1] = ACTIONS(7979),
    [aux_sym_signed_number_token1] = ACTIONS(7981),
    [anon_sym_SQUOTE] = ACTIONS(7983),
    [anon_sym_DQUOTE] = ACTIONS(7985),
    [sym_let_operator] = ACTIONS(7951),
    [sym__uppercase_identifier] = ACTIONS(7987),
    [aux_sym_directive_token1] = ACTIONS(7953),
    [aux_sym_tag_token1] = ACTIONS(7989),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2895] = {
    [sym_parameter] = STATE(8684),
    [sym__class_typed] = STATE(12437),
    [sym__parenthesized_abstract_type] = STATE(8684),
    [sym__simple_pattern] = STATE(8561),
    [sym_typed_pattern] = STATE(8688),
    [sym_polymorphic_variant_pattern] = STATE(8688),
    [sym_record_pattern] = STATE(8688),
    [sym_list_pattern] = STATE(8688),
    [sym_array_pattern] = STATE(8688),
    [sym_local_open_pattern] = STATE(8688),
    [sym_package_pattern] = STATE(8688),
    [sym_parenthesized_pattern] = STATE(8688),
    [sym_attribute] = STATE(2895),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8688),
    [sym_quoted_extension] = STATE(8688),
    [sym__constant] = STATE(8529),
    [sym__signed_constant] = STATE(8688),
    [sym_number] = STATE(8638),
    [sym_signed_number] = STATE(8529),
    [sym_character] = STATE(8638),
    [sym_string] = STATE(8638),
    [sym_quoted_string] = STATE(8638),
    [sym_boolean] = STATE(8638),
    [sym_unit] = STATE(8638),
    [sym__simple_value_pattern] = STATE(8688),
    [sym_parenthesized_operator] = STATE(8688),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(8688),
    [sym__constructor_name] = STATE(8569),
    [sym_tag] = STATE(8688),
    [aux_sym_expression_item_repeat1] = STATE(11764),
    [aux_sym_let_binding_repeat1] = STATE(2896),
    [sym__lowercase_identifier] = ACTIONS(7949),
    [anon_sym_SEMI_SEMI] = ACTIONS(7907),
    [anon_sym_let] = ACTIONS(7909),
    [anon_sym_and] = ACTIONS(7909),
    [anon_sym_EQ] = ACTIONS(7991),
    [anon_sym_TILDE] = ACTIONS(7957),
    [anon_sym_QMARK] = ACTIONS(7957),
    [anon_sym_LPAREN] = ACTIONS(7959),
    [anon_sym_external] = ACTIONS(7909),
    [anon_sym_type] = ACTIONS(7909),
    [anon_sym_LBRACK] = ACTIONS(7961),
    [anon_sym_true] = ACTIONS(7963),
    [anon_sym_false] = ACTIONS(7963),
    [anon_sym_COLON2] = ACTIONS(7965),
    [anon_sym_LBRACE] = ACTIONS(7967),
    [anon_sym_exception] = ACTIONS(7909),
    [anon_sym_module] = ACTIONS(7909),
    [anon_sym_open] = ACTIONS(7909),
    [anon_sym_include] = ACTIONS(7909),
    [anon_sym_class] = ACTIONS(7909),
    [anon_sym_end] = ACTIONS(7909),
    [anon_sym_POUND] = ACTIONS(7969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7971),
    [anon_sym_begin] = ACTIONS(7973),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7907),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7975),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7977),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7907),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7907),
    [aux_sym_number_token1] = ACTIONS(7979),
    [aux_sym_signed_number_token1] = ACTIONS(7981),
    [anon_sym_SQUOTE] = ACTIONS(7983),
    [anon_sym_DQUOTE] = ACTIONS(7985),
    [sym_let_operator] = ACTIONS(7907),
    [sym__uppercase_identifier] = ACTIONS(7987),
    [aux_sym_directive_token1] = ACTIONS(7909),
    [aux_sym_tag_token1] = ACTIONS(7989),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2896] = {
    [sym_parameter] = STATE(8684),
    [sym__class_typed] = STATE(12446),
    [sym__parenthesized_abstract_type] = STATE(8684),
    [sym__simple_pattern] = STATE(8561),
    [sym_typed_pattern] = STATE(8688),
    [sym_polymorphic_variant_pattern] = STATE(8688),
    [sym_record_pattern] = STATE(8688),
    [sym_list_pattern] = STATE(8688),
    [sym_array_pattern] = STATE(8688),
    [sym_local_open_pattern] = STATE(8688),
    [sym_package_pattern] = STATE(8688),
    [sym_parenthesized_pattern] = STATE(8688),
    [sym_attribute] = STATE(2896),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8688),
    [sym_quoted_extension] = STATE(8688),
    [sym__constant] = STATE(8529),
    [sym__signed_constant] = STATE(8688),
    [sym_number] = STATE(8638),
    [sym_signed_number] = STATE(8529),
    [sym_character] = STATE(8638),
    [sym_string] = STATE(8638),
    [sym_quoted_string] = STATE(8638),
    [sym_boolean] = STATE(8638),
    [sym_unit] = STATE(8638),
    [sym__simple_value_pattern] = STATE(8688),
    [sym_parenthesized_operator] = STATE(8688),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(8688),
    [sym__constructor_name] = STATE(8569),
    [sym_tag] = STATE(8688),
    [aux_sym_expression_item_repeat1] = STATE(11803),
    [aux_sym_let_binding_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(7949),
    [anon_sym_SEMI_SEMI] = ACTIONS(7993),
    [anon_sym_let] = ACTIONS(7995),
    [anon_sym_and] = ACTIONS(7995),
    [anon_sym_EQ] = ACTIONS(7997),
    [anon_sym_TILDE] = ACTIONS(7957),
    [anon_sym_QMARK] = ACTIONS(7957),
    [anon_sym_LPAREN] = ACTIONS(7959),
    [anon_sym_external] = ACTIONS(7995),
    [anon_sym_type] = ACTIONS(7995),
    [anon_sym_LBRACK] = ACTIONS(7961),
    [anon_sym_true] = ACTIONS(7963),
    [anon_sym_false] = ACTIONS(7963),
    [anon_sym_COLON2] = ACTIONS(7965),
    [anon_sym_LBRACE] = ACTIONS(7967),
    [anon_sym_exception] = ACTIONS(7995),
    [anon_sym_module] = ACTIONS(7995),
    [anon_sym_open] = ACTIONS(7995),
    [anon_sym_include] = ACTIONS(7995),
    [anon_sym_class] = ACTIONS(7995),
    [anon_sym_end] = ACTIONS(7995),
    [anon_sym_POUND] = ACTIONS(7969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7971),
    [anon_sym_begin] = ACTIONS(7973),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7993),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7975),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7977),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7993),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7993),
    [aux_sym_number_token1] = ACTIONS(7979),
    [aux_sym_signed_number_token1] = ACTIONS(7981),
    [anon_sym_SQUOTE] = ACTIONS(7983),
    [anon_sym_DQUOTE] = ACTIONS(7985),
    [sym_let_operator] = ACTIONS(7993),
    [sym__uppercase_identifier] = ACTIONS(7987),
    [aux_sym_directive_token1] = ACTIONS(7995),
    [aux_sym_tag_token1] = ACTIONS(7989),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2897] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12363),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2897),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11733),
    [aux_sym_let_binding_repeat1] = STATE(2899),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(7999),
    [anon_sym_let] = ACTIONS(8001),
    [anon_sym_and] = ACTIONS(8001),
    [anon_sym_EQ] = ACTIONS(8003),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8001),
    [anon_sym_type] = ACTIONS(8001),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(7999),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8001),
    [anon_sym_module] = ACTIONS(8001),
    [anon_sym_open] = ACTIONS(8001),
    [anon_sym_include] = ACTIONS(8001),
    [anon_sym_class] = ACTIONS(8001),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7999),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7999),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7999),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7999),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8001),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2898] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12366),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2898),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11629),
    [aux_sym_let_binding_repeat1] = STATE(2900),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(8005),
    [anon_sym_let] = ACTIONS(8007),
    [anon_sym_and] = ACTIONS(8007),
    [anon_sym_EQ] = ACTIONS(8009),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8007),
    [anon_sym_type] = ACTIONS(8007),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(8005),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8007),
    [anon_sym_module] = ACTIONS(8007),
    [anon_sym_open] = ACTIONS(8007),
    [anon_sym_include] = ACTIONS(8007),
    [anon_sym_class] = ACTIONS(8007),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8005),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8005),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8007),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2899] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12367),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2899),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11636),
    [aux_sym_let_binding_repeat1] = STATE(2943),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_let] = ACTIONS(8013),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8015),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(8011),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8011),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8013),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2900] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12370),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2900),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11915),
    [aux_sym_let_binding_repeat1] = STATE(2943),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(8017),
    [anon_sym_let] = ACTIONS(8019),
    [anon_sym_and] = ACTIONS(8019),
    [anon_sym_EQ] = ACTIONS(8021),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8019),
    [anon_sym_type] = ACTIONS(8019),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(8017),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8019),
    [anon_sym_module] = ACTIONS(8019),
    [anon_sym_open] = ACTIONS(8019),
    [anon_sym_include] = ACTIONS(8019),
    [anon_sym_class] = ACTIONS(8019),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8017),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8017),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8017),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8017),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8019),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2901] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12375),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2901),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11702),
    [aux_sym_let_binding_repeat1] = STATE(2902),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(8023),
    [anon_sym_let] = ACTIONS(8025),
    [anon_sym_and] = ACTIONS(8025),
    [anon_sym_EQ] = ACTIONS(8027),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8025),
    [anon_sym_type] = ACTIONS(8025),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(8023),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8025),
    [anon_sym_module] = ACTIONS(8025),
    [anon_sym_open] = ACTIONS(8025),
    [anon_sym_include] = ACTIONS(8025),
    [anon_sym_class] = ACTIONS(8025),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8023),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8023),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8023),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8023),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8025),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2902] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12377),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2902),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11668),
    [aux_sym_let_binding_repeat1] = STATE(2943),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(8029),
    [anon_sym_let] = ACTIONS(8031),
    [anon_sym_and] = ACTIONS(8031),
    [anon_sym_EQ] = ACTIONS(8033),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8031),
    [anon_sym_type] = ACTIONS(8031),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(8029),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8031),
    [anon_sym_module] = ACTIONS(8031),
    [anon_sym_open] = ACTIONS(8031),
    [anon_sym_include] = ACTIONS(8031),
    [anon_sym_class] = ACTIONS(8031),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8029),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8029),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8031),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2903] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12378),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2903),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11669),
    [aux_sym_let_binding_repeat1] = STATE(2904),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(8035),
    [anon_sym_let] = ACTIONS(8037),
    [anon_sym_and] = ACTIONS(8037),
    [anon_sym_EQ] = ACTIONS(8039),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8037),
    [anon_sym_type] = ACTIONS(8037),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(8035),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8037),
    [anon_sym_module] = ACTIONS(8037),
    [anon_sym_open] = ACTIONS(8037),
    [anon_sym_include] = ACTIONS(8037),
    [anon_sym_class] = ACTIONS(8037),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8035),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8035),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8035),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8035),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8037),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2904] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12381),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2904),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11762),
    [aux_sym_let_binding_repeat1] = STATE(2943),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(7951),
    [anon_sym_let] = ACTIONS(7953),
    [anon_sym_and] = ACTIONS(7953),
    [anon_sym_EQ] = ACTIONS(8041),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7953),
    [anon_sym_type] = ACTIONS(7953),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(7951),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7953),
    [anon_sym_module] = ACTIONS(7953),
    [anon_sym_open] = ACTIONS(7953),
    [anon_sym_include] = ACTIONS(7953),
    [anon_sym_class] = ACTIONS(7953),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7951),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7951),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7953),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2905] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12383),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2905),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11803),
    [aux_sym_let_binding_repeat1] = STATE(2943),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(7993),
    [anon_sym_let] = ACTIONS(7995),
    [anon_sym_and] = ACTIONS(7995),
    [anon_sym_EQ] = ACTIONS(8043),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7995),
    [anon_sym_type] = ACTIONS(7995),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(7993),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7995),
    [anon_sym_module] = ACTIONS(7995),
    [anon_sym_open] = ACTIONS(7995),
    [anon_sym_include] = ACTIONS(7995),
    [anon_sym_class] = ACTIONS(7995),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7993),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7993),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7993),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7993),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7995),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2906] = {
    [sym_parameter] = STATE(8684),
    [sym__class_typed] = STATE(12299),
    [sym__parenthesized_abstract_type] = STATE(8684),
    [sym__simple_pattern] = STATE(8561),
    [sym_typed_pattern] = STATE(8688),
    [sym_polymorphic_variant_pattern] = STATE(8688),
    [sym_record_pattern] = STATE(8688),
    [sym_list_pattern] = STATE(8688),
    [sym_array_pattern] = STATE(8688),
    [sym_local_open_pattern] = STATE(8688),
    [sym_package_pattern] = STATE(8688),
    [sym_parenthesized_pattern] = STATE(8688),
    [sym_attribute] = STATE(2906),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8688),
    [sym_quoted_extension] = STATE(8688),
    [sym__constant] = STATE(8529),
    [sym__signed_constant] = STATE(8688),
    [sym_number] = STATE(8638),
    [sym_signed_number] = STATE(8529),
    [sym_character] = STATE(8638),
    [sym_string] = STATE(8638),
    [sym_quoted_string] = STATE(8638),
    [sym_boolean] = STATE(8638),
    [sym_unit] = STATE(8638),
    [sym__simple_value_pattern] = STATE(8688),
    [sym_parenthesized_operator] = STATE(8688),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(8688),
    [sym__constructor_name] = STATE(8569),
    [sym_tag] = STATE(8688),
    [aux_sym_expression_item_repeat1] = STATE(11702),
    [aux_sym_let_binding_repeat1] = STATE(2922),
    [sym__lowercase_identifier] = ACTIONS(7949),
    [anon_sym_SEMI_SEMI] = ACTIONS(8023),
    [anon_sym_let] = ACTIONS(8025),
    [anon_sym_and] = ACTIONS(8025),
    [anon_sym_EQ] = ACTIONS(8045),
    [anon_sym_TILDE] = ACTIONS(7957),
    [anon_sym_QMARK] = ACTIONS(7957),
    [anon_sym_LPAREN] = ACTIONS(7959),
    [anon_sym_external] = ACTIONS(8025),
    [anon_sym_type] = ACTIONS(8025),
    [anon_sym_LBRACK] = ACTIONS(7961),
    [anon_sym_true] = ACTIONS(7963),
    [anon_sym_false] = ACTIONS(7963),
    [anon_sym_COLON2] = ACTIONS(7965),
    [anon_sym_LBRACE] = ACTIONS(7967),
    [anon_sym_exception] = ACTIONS(8025),
    [anon_sym_module] = ACTIONS(8025),
    [anon_sym_open] = ACTIONS(8025),
    [anon_sym_include] = ACTIONS(8025),
    [anon_sym_class] = ACTIONS(8025),
    [anon_sym_end] = ACTIONS(8025),
    [anon_sym_POUND] = ACTIONS(7969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7971),
    [anon_sym_begin] = ACTIONS(7973),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8023),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7975),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7977),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8023),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8023),
    [aux_sym_number_token1] = ACTIONS(7979),
    [aux_sym_signed_number_token1] = ACTIONS(7981),
    [anon_sym_SQUOTE] = ACTIONS(7983),
    [anon_sym_DQUOTE] = ACTIONS(7985),
    [sym_let_operator] = ACTIONS(8023),
    [sym__uppercase_identifier] = ACTIONS(7987),
    [aux_sym_directive_token1] = ACTIONS(8025),
    [aux_sym_tag_token1] = ACTIONS(7989),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2907] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12336),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2907),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11803),
    [aux_sym_let_binding_repeat1] = STATE(2943),
    [ts_builtin_sym_end] = ACTIONS(7993),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(7993),
    [anon_sym_let] = ACTIONS(7995),
    [anon_sym_and] = ACTIONS(7995),
    [anon_sym_EQ] = ACTIONS(8047),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7995),
    [anon_sym_type] = ACTIONS(7995),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7995),
    [anon_sym_module] = ACTIONS(7995),
    [anon_sym_open] = ACTIONS(7995),
    [anon_sym_include] = ACTIONS(7995),
    [anon_sym_class] = ACTIONS(7995),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7993),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7993),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7993),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7993),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7995),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2908] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12318),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2908),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11762),
    [aux_sym_let_binding_repeat1] = STATE(2943),
    [ts_builtin_sym_end] = ACTIONS(7951),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(7951),
    [anon_sym_let] = ACTIONS(7953),
    [anon_sym_and] = ACTIONS(7953),
    [anon_sym_EQ] = ACTIONS(8049),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7953),
    [anon_sym_type] = ACTIONS(7953),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7953),
    [anon_sym_module] = ACTIONS(7953),
    [anon_sym_open] = ACTIONS(7953),
    [anon_sym_include] = ACTIONS(7953),
    [anon_sym_class] = ACTIONS(7953),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7951),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7951),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7953),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2909] = {
    [sym__simple_expression] = STATE(9055),
    [sym_typed_expression] = STATE(9034),
    [sym_list_expression] = STATE(9034),
    [sym_array_expression] = STATE(9034),
    [sym_record_expression] = STATE(9034),
    [sym_labeled_argument] = STATE(9612),
    [sym_prefix_expression] = STATE(9034),
    [sym_hash_expression] = STATE(9034),
    [sym_field_get_expression] = STATE(9034),
    [sym_array_get_expression] = STATE(9034),
    [sym_string_get_expression] = STATE(9034),
    [sym_bigarray_get_expression] = STATE(9034),
    [sym_coercion_expression] = STATE(9034),
    [sym_local_open_expression] = STATE(9034),
    [sym_package_expression] = STATE(9034),
    [sym_new_expression] = STATE(9034),
    [sym_object_copy_expression] = STATE(9034),
    [sym_method_invocation] = STATE(9034),
    [sym_object_expression] = STATE(9034),
    [sym_parenthesized_expression] = STATE(9034),
    [sym_attribute] = STATE(2909),
    [sym_extension] = STATE(9034),
    [sym_quoted_extension] = STATE(9034),
    [sym__constant] = STATE(9034),
    [sym_number] = STATE(8875),
    [sym_character] = STATE(8875),
    [sym_string] = STATE(8875),
    [sym_quoted_string] = STATE(8875),
    [sym_boolean] = STATE(8875),
    [sym_unit] = STATE(8875),
    [sym__value_name] = STATE(9218),
    [sym_parenthesized_operator] = STATE(9009),
    [sym_value_path] = STATE(9034),
    [sym_module_path] = STATE(22519),
    [sym_constructor_path] = STATE(9034),
    [sym__constructor_name] = STATE(8965),
    [sym_tag] = STATE(9034),
    [aux_sym_class_application_repeat1] = STATE(2909),
    [sym__lowercase_identifier] = ACTIONS(8051),
    [anon_sym_TILDE] = ACTIONS(8054),
    [anon_sym_QMARK] = ACTIONS(8054),
    [anon_sym_LPAREN] = ACTIONS(8057),
    [anon_sym_LBRACK] = ACTIONS(8060),
    [anon_sym_true] = ACTIONS(8063),
    [anon_sym_false] = ACTIONS(8063),
    [anon_sym_LBRACE] = ACTIONS(8066),
    [anon_sym_constraint] = ACTIONS(3852),
    [anon_sym_val] = ACTIONS(3852),
    [anon_sym_end] = ACTIONS(3852),
    [anon_sym_object] = ACTIONS(8069),
    [anon_sym_inherit] = ACTIONS(3852),
    [anon_sym_method] = ACTIONS(3852),
    [anon_sym_as] = ACTIONS(3852),
    [anon_sym_initializer] = ACTIONS(3852),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8072),
    [anon_sym_new] = ACTIONS(8075),
    [anon_sym_LBRACE_LT] = ACTIONS(8078),
    [anon_sym_begin] = ACTIONS(8081),
    [sym_ocamlyacc_value] = ACTIONS(8084),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3852),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8090),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3850),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3850),
    [aux_sym_number_token1] = ACTIONS(8093),
    [anon_sym_SQUOTE] = ACTIONS(8096),
    [anon_sym_DQUOTE] = ACTIONS(8099),
    [sym_prefix_operator] = ACTIONS(8102),
    [sym__uppercase_identifier] = ACTIONS(8105),
    [aux_sym_tag_token1] = ACTIONS(8108),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2910] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12321),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2910),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11764),
    [aux_sym_let_binding_repeat1] = STATE(2907),
    [ts_builtin_sym_end] = ACTIONS(7907),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(7907),
    [anon_sym_let] = ACTIONS(7909),
    [anon_sym_and] = ACTIONS(7909),
    [anon_sym_EQ] = ACTIONS(8111),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7909),
    [anon_sym_type] = ACTIONS(7909),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7909),
    [anon_sym_module] = ACTIONS(7909),
    [anon_sym_open] = ACTIONS(7909),
    [anon_sym_include] = ACTIONS(7909),
    [anon_sym_class] = ACTIONS(7909),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7907),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7907),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7907),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7907),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7909),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2911] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12267),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2911),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11733),
    [aux_sym_let_binding_repeat1] = STATE(2914),
    [ts_builtin_sym_end] = ACTIONS(7999),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(7999),
    [anon_sym_let] = ACTIONS(8001),
    [anon_sym_and] = ACTIONS(8001),
    [anon_sym_EQ] = ACTIONS(8113),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8001),
    [anon_sym_type] = ACTIONS(8001),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8001),
    [anon_sym_module] = ACTIONS(8001),
    [anon_sym_open] = ACTIONS(8001),
    [anon_sym_include] = ACTIONS(8001),
    [anon_sym_class] = ACTIONS(8001),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7999),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7999),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7999),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7999),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8001),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2912] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12281),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2912),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11669),
    [aux_sym_let_binding_repeat1] = STATE(2908),
    [ts_builtin_sym_end] = ACTIONS(8035),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(8035),
    [anon_sym_let] = ACTIONS(8037),
    [anon_sym_and] = ACTIONS(8037),
    [anon_sym_EQ] = ACTIONS(8115),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8037),
    [anon_sym_type] = ACTIONS(8037),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8037),
    [anon_sym_module] = ACTIONS(8037),
    [anon_sym_open] = ACTIONS(8037),
    [anon_sym_include] = ACTIONS(8037),
    [anon_sym_class] = ACTIONS(8037),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8035),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8035),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8035),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8035),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8037),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2913] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12297),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2913),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11915),
    [aux_sym_let_binding_repeat1] = STATE(2943),
    [ts_builtin_sym_end] = ACTIONS(8017),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(8017),
    [anon_sym_let] = ACTIONS(8019),
    [anon_sym_and] = ACTIONS(8019),
    [anon_sym_EQ] = ACTIONS(8117),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8019),
    [anon_sym_type] = ACTIONS(8019),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8019),
    [anon_sym_module] = ACTIONS(8019),
    [anon_sym_open] = ACTIONS(8019),
    [anon_sym_include] = ACTIONS(8019),
    [anon_sym_class] = ACTIONS(8019),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8017),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8017),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8017),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8017),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8019),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2914] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12265),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2914),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11636),
    [aux_sym_let_binding_repeat1] = STATE(2943),
    [ts_builtin_sym_end] = ACTIONS(8011),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_let] = ACTIONS(8013),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8119),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8011),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8013),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2915] = {
    [sym__simple_expression] = STATE(9055),
    [sym_typed_expression] = STATE(9034),
    [sym_list_expression] = STATE(9034),
    [sym_array_expression] = STATE(9034),
    [sym_record_expression] = STATE(9034),
    [sym_labeled_argument] = STATE(9612),
    [sym_prefix_expression] = STATE(9034),
    [sym_hash_expression] = STATE(9034),
    [sym_field_get_expression] = STATE(9034),
    [sym_array_get_expression] = STATE(9034),
    [sym_string_get_expression] = STATE(9034),
    [sym_bigarray_get_expression] = STATE(9034),
    [sym_coercion_expression] = STATE(9034),
    [sym_local_open_expression] = STATE(9034),
    [sym_package_expression] = STATE(9034),
    [sym_new_expression] = STATE(9034),
    [sym_object_copy_expression] = STATE(9034),
    [sym_method_invocation] = STATE(9034),
    [sym_object_expression] = STATE(9034),
    [sym_parenthesized_expression] = STATE(9034),
    [sym_attribute] = STATE(2915),
    [sym_extension] = STATE(9034),
    [sym_quoted_extension] = STATE(9034),
    [sym__constant] = STATE(9034),
    [sym_number] = STATE(8875),
    [sym_character] = STATE(8875),
    [sym_string] = STATE(8875),
    [sym_quoted_string] = STATE(8875),
    [sym_boolean] = STATE(8875),
    [sym_unit] = STATE(8875),
    [sym__value_name] = STATE(9218),
    [sym_parenthesized_operator] = STATE(9009),
    [sym_value_path] = STATE(9034),
    [sym_module_path] = STATE(22519),
    [sym_constructor_path] = STATE(9034),
    [sym__constructor_name] = STATE(8965),
    [sym_tag] = STATE(9034),
    [aux_sym_class_application_repeat1] = STATE(2921),
    [sym__lowercase_identifier] = ACTIONS(8121),
    [anon_sym_TILDE] = ACTIONS(8123),
    [anon_sym_QMARK] = ACTIONS(8123),
    [anon_sym_LPAREN] = ACTIONS(8125),
    [anon_sym_LBRACK] = ACTIONS(8127),
    [anon_sym_true] = ACTIONS(8129),
    [anon_sym_false] = ACTIONS(8129),
    [anon_sym_LBRACE] = ACTIONS(8131),
    [anon_sym_constraint] = ACTIONS(6645),
    [anon_sym_val] = ACTIONS(6645),
    [anon_sym_end] = ACTIONS(6645),
    [anon_sym_object] = ACTIONS(8133),
    [anon_sym_inherit] = ACTIONS(6645),
    [anon_sym_method] = ACTIONS(6645),
    [anon_sym_as] = ACTIONS(6645),
    [anon_sym_initializer] = ACTIONS(6645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8135),
    [anon_sym_new] = ACTIONS(8137),
    [anon_sym_LBRACE_LT] = ACTIONS(8139),
    [anon_sym_begin] = ACTIONS(8141),
    [sym_ocamlyacc_value] = ACTIONS(8143),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6645),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6643),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8145),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8147),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6643),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6643),
    [aux_sym_number_token1] = ACTIONS(8149),
    [anon_sym_SQUOTE] = ACTIONS(8151),
    [anon_sym_DQUOTE] = ACTIONS(8153),
    [sym_prefix_operator] = ACTIONS(8155),
    [sym__uppercase_identifier] = ACTIONS(8157),
    [aux_sym_tag_token1] = ACTIONS(8159),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2916] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12259),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2916),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11629),
    [aux_sym_let_binding_repeat1] = STATE(2913),
    [ts_builtin_sym_end] = ACTIONS(8005),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(8005),
    [anon_sym_let] = ACTIONS(8007),
    [anon_sym_and] = ACTIONS(8007),
    [anon_sym_EQ] = ACTIONS(8161),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8007),
    [anon_sym_type] = ACTIONS(8007),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8007),
    [anon_sym_module] = ACTIONS(8007),
    [anon_sym_open] = ACTIONS(8007),
    [anon_sym_include] = ACTIONS(8007),
    [anon_sym_class] = ACTIONS(8007),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8005),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8005),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8007),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2917] = {
    [sym_parameter] = STATE(8684),
    [sym__class_typed] = STATE(12229),
    [sym__parenthesized_abstract_type] = STATE(8684),
    [sym__simple_pattern] = STATE(8561),
    [sym_typed_pattern] = STATE(8688),
    [sym_polymorphic_variant_pattern] = STATE(8688),
    [sym_record_pattern] = STATE(8688),
    [sym_list_pattern] = STATE(8688),
    [sym_array_pattern] = STATE(8688),
    [sym_local_open_pattern] = STATE(8688),
    [sym_package_pattern] = STATE(8688),
    [sym_parenthesized_pattern] = STATE(8688),
    [sym_attribute] = STATE(2917),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8688),
    [sym_quoted_extension] = STATE(8688),
    [sym__constant] = STATE(8529),
    [sym__signed_constant] = STATE(8688),
    [sym_number] = STATE(8638),
    [sym_signed_number] = STATE(8529),
    [sym_character] = STATE(8638),
    [sym_string] = STATE(8638),
    [sym_quoted_string] = STATE(8638),
    [sym_boolean] = STATE(8638),
    [sym_unit] = STATE(8638),
    [sym__simple_value_pattern] = STATE(8688),
    [sym_parenthesized_operator] = STATE(8688),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(8688),
    [sym__constructor_name] = STATE(8569),
    [sym_tag] = STATE(8688),
    [aux_sym_expression_item_repeat1] = STATE(11629),
    [aux_sym_let_binding_repeat1] = STATE(2924),
    [sym__lowercase_identifier] = ACTIONS(7949),
    [anon_sym_SEMI_SEMI] = ACTIONS(8005),
    [anon_sym_let] = ACTIONS(8007),
    [anon_sym_and] = ACTIONS(8007),
    [anon_sym_EQ] = ACTIONS(8163),
    [anon_sym_TILDE] = ACTIONS(7957),
    [anon_sym_QMARK] = ACTIONS(7957),
    [anon_sym_LPAREN] = ACTIONS(7959),
    [anon_sym_external] = ACTIONS(8007),
    [anon_sym_type] = ACTIONS(8007),
    [anon_sym_LBRACK] = ACTIONS(7961),
    [anon_sym_true] = ACTIONS(7963),
    [anon_sym_false] = ACTIONS(7963),
    [anon_sym_COLON2] = ACTIONS(7965),
    [anon_sym_LBRACE] = ACTIONS(7967),
    [anon_sym_exception] = ACTIONS(8007),
    [anon_sym_module] = ACTIONS(8007),
    [anon_sym_open] = ACTIONS(8007),
    [anon_sym_include] = ACTIONS(8007),
    [anon_sym_class] = ACTIONS(8007),
    [anon_sym_end] = ACTIONS(8007),
    [anon_sym_POUND] = ACTIONS(7969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7971),
    [anon_sym_begin] = ACTIONS(7973),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7975),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7977),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8005),
    [aux_sym_number_token1] = ACTIONS(7979),
    [aux_sym_signed_number_token1] = ACTIONS(7981),
    [anon_sym_SQUOTE] = ACTIONS(7983),
    [anon_sym_DQUOTE] = ACTIONS(7985),
    [sym_let_operator] = ACTIONS(8005),
    [sym__uppercase_identifier] = ACTIONS(7987),
    [aux_sym_directive_token1] = ACTIONS(8007),
    [aux_sym_tag_token1] = ACTIONS(7989),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2918] = {
    [sym_parameter] = STATE(8684),
    [sym__class_typed] = STATE(12232),
    [sym__parenthesized_abstract_type] = STATE(8684),
    [sym__simple_pattern] = STATE(8561),
    [sym_typed_pattern] = STATE(8688),
    [sym_polymorphic_variant_pattern] = STATE(8688),
    [sym_record_pattern] = STATE(8688),
    [sym_list_pattern] = STATE(8688),
    [sym_array_pattern] = STATE(8688),
    [sym_local_open_pattern] = STATE(8688),
    [sym_package_pattern] = STATE(8688),
    [sym_parenthesized_pattern] = STATE(8688),
    [sym_attribute] = STATE(2918),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8688),
    [sym_quoted_extension] = STATE(8688),
    [sym__constant] = STATE(8529),
    [sym__signed_constant] = STATE(8688),
    [sym_number] = STATE(8638),
    [sym_signed_number] = STATE(8529),
    [sym_character] = STATE(8638),
    [sym_string] = STATE(8638),
    [sym_quoted_string] = STATE(8638),
    [sym_boolean] = STATE(8638),
    [sym_unit] = STATE(8638),
    [sym__simple_value_pattern] = STATE(8688),
    [sym_parenthesized_operator] = STATE(8688),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(8688),
    [sym__constructor_name] = STATE(8569),
    [sym_tag] = STATE(8688),
    [aux_sym_expression_item_repeat1] = STATE(11636),
    [aux_sym_let_binding_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(7949),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_let] = ACTIONS(8013),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8165),
    [anon_sym_TILDE] = ACTIONS(7957),
    [anon_sym_QMARK] = ACTIONS(7957),
    [anon_sym_LPAREN] = ACTIONS(7959),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(7961),
    [anon_sym_true] = ACTIONS(7963),
    [anon_sym_false] = ACTIONS(7963),
    [anon_sym_COLON2] = ACTIONS(7965),
    [anon_sym_LBRACE] = ACTIONS(7967),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_end] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(7969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7971),
    [anon_sym_begin] = ACTIONS(7973),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7975),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7977),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(7979),
    [aux_sym_signed_number_token1] = ACTIONS(7981),
    [anon_sym_SQUOTE] = ACTIONS(7983),
    [anon_sym_DQUOTE] = ACTIONS(7985),
    [sym_let_operator] = ACTIONS(8011),
    [sym__uppercase_identifier] = ACTIONS(7987),
    [aux_sym_directive_token1] = ACTIONS(8013),
    [aux_sym_tag_token1] = ACTIONS(7989),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2919] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12458),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2919),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11702),
    [aux_sym_let_binding_repeat1] = STATE(2925),
    [ts_builtin_sym_end] = ACTIONS(8023),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(8023),
    [anon_sym_let] = ACTIONS(8025),
    [anon_sym_and] = ACTIONS(8025),
    [anon_sym_EQ] = ACTIONS(8167),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8025),
    [anon_sym_type] = ACTIONS(8025),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8025),
    [anon_sym_module] = ACTIONS(8025),
    [anon_sym_open] = ACTIONS(8025),
    [anon_sym_include] = ACTIONS(8025),
    [anon_sym_class] = ACTIONS(8025),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8023),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8023),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8023),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8023),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8025),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2920] = {
    [sym_parameter] = STATE(8684),
    [sym__class_typed] = STATE(12467),
    [sym__parenthesized_abstract_type] = STATE(8684),
    [sym__simple_pattern] = STATE(8561),
    [sym_typed_pattern] = STATE(8688),
    [sym_polymorphic_variant_pattern] = STATE(8688),
    [sym_record_pattern] = STATE(8688),
    [sym_list_pattern] = STATE(8688),
    [sym_array_pattern] = STATE(8688),
    [sym_local_open_pattern] = STATE(8688),
    [sym_package_pattern] = STATE(8688),
    [sym_parenthesized_pattern] = STATE(8688),
    [sym_attribute] = STATE(2920),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8688),
    [sym_quoted_extension] = STATE(8688),
    [sym__constant] = STATE(8529),
    [sym__signed_constant] = STATE(8688),
    [sym_number] = STATE(8638),
    [sym_signed_number] = STATE(8529),
    [sym_character] = STATE(8638),
    [sym_string] = STATE(8638),
    [sym_quoted_string] = STATE(8638),
    [sym_boolean] = STATE(8638),
    [sym_unit] = STATE(8638),
    [sym__simple_value_pattern] = STATE(8688),
    [sym_parenthesized_operator] = STATE(8688),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(8688),
    [sym__constructor_name] = STATE(8569),
    [sym_tag] = STATE(8688),
    [aux_sym_expression_item_repeat1] = STATE(11733),
    [aux_sym_let_binding_repeat1] = STATE(2918),
    [sym__lowercase_identifier] = ACTIONS(7949),
    [anon_sym_SEMI_SEMI] = ACTIONS(7999),
    [anon_sym_let] = ACTIONS(8001),
    [anon_sym_and] = ACTIONS(8001),
    [anon_sym_EQ] = ACTIONS(8169),
    [anon_sym_TILDE] = ACTIONS(7957),
    [anon_sym_QMARK] = ACTIONS(7957),
    [anon_sym_LPAREN] = ACTIONS(7959),
    [anon_sym_external] = ACTIONS(8001),
    [anon_sym_type] = ACTIONS(8001),
    [anon_sym_LBRACK] = ACTIONS(7961),
    [anon_sym_true] = ACTIONS(7963),
    [anon_sym_false] = ACTIONS(7963),
    [anon_sym_COLON2] = ACTIONS(7965),
    [anon_sym_LBRACE] = ACTIONS(7967),
    [anon_sym_exception] = ACTIONS(8001),
    [anon_sym_module] = ACTIONS(8001),
    [anon_sym_open] = ACTIONS(8001),
    [anon_sym_include] = ACTIONS(8001),
    [anon_sym_class] = ACTIONS(8001),
    [anon_sym_end] = ACTIONS(8001),
    [anon_sym_POUND] = ACTIONS(7969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7971),
    [anon_sym_begin] = ACTIONS(7973),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7999),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7975),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7977),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7999),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7999),
    [aux_sym_number_token1] = ACTIONS(7979),
    [aux_sym_signed_number_token1] = ACTIONS(7981),
    [anon_sym_SQUOTE] = ACTIONS(7983),
    [anon_sym_DQUOTE] = ACTIONS(7985),
    [sym_let_operator] = ACTIONS(7999),
    [sym__uppercase_identifier] = ACTIONS(7987),
    [aux_sym_directive_token1] = ACTIONS(8001),
    [aux_sym_tag_token1] = ACTIONS(7989),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2921] = {
    [sym__simple_expression] = STATE(9055),
    [sym_typed_expression] = STATE(9034),
    [sym_list_expression] = STATE(9034),
    [sym_array_expression] = STATE(9034),
    [sym_record_expression] = STATE(9034),
    [sym_labeled_argument] = STATE(9612),
    [sym_prefix_expression] = STATE(9034),
    [sym_hash_expression] = STATE(9034),
    [sym_field_get_expression] = STATE(9034),
    [sym_array_get_expression] = STATE(9034),
    [sym_string_get_expression] = STATE(9034),
    [sym_bigarray_get_expression] = STATE(9034),
    [sym_coercion_expression] = STATE(9034),
    [sym_local_open_expression] = STATE(9034),
    [sym_package_expression] = STATE(9034),
    [sym_new_expression] = STATE(9034),
    [sym_object_copy_expression] = STATE(9034),
    [sym_method_invocation] = STATE(9034),
    [sym_object_expression] = STATE(9034),
    [sym_parenthesized_expression] = STATE(9034),
    [sym_attribute] = STATE(2921),
    [sym_extension] = STATE(9034),
    [sym_quoted_extension] = STATE(9034),
    [sym__constant] = STATE(9034),
    [sym_number] = STATE(8875),
    [sym_character] = STATE(8875),
    [sym_string] = STATE(8875),
    [sym_quoted_string] = STATE(8875),
    [sym_boolean] = STATE(8875),
    [sym_unit] = STATE(8875),
    [sym__value_name] = STATE(9218),
    [sym_parenthesized_operator] = STATE(9009),
    [sym_value_path] = STATE(9034),
    [sym_module_path] = STATE(22519),
    [sym_constructor_path] = STATE(9034),
    [sym__constructor_name] = STATE(8965),
    [sym_tag] = STATE(9034),
    [aux_sym_class_application_repeat1] = STATE(2909),
    [sym__lowercase_identifier] = ACTIONS(8121),
    [anon_sym_TILDE] = ACTIONS(8123),
    [anon_sym_QMARK] = ACTIONS(8123),
    [anon_sym_LPAREN] = ACTIONS(8125),
    [anon_sym_LBRACK] = ACTIONS(8127),
    [anon_sym_true] = ACTIONS(8129),
    [anon_sym_false] = ACTIONS(8129),
    [anon_sym_LBRACE] = ACTIONS(8131),
    [anon_sym_constraint] = ACTIONS(6591),
    [anon_sym_val] = ACTIONS(6591),
    [anon_sym_end] = ACTIONS(6591),
    [anon_sym_object] = ACTIONS(8133),
    [anon_sym_inherit] = ACTIONS(6591),
    [anon_sym_method] = ACTIONS(6591),
    [anon_sym_as] = ACTIONS(6591),
    [anon_sym_initializer] = ACTIONS(6591),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8135),
    [anon_sym_new] = ACTIONS(8137),
    [anon_sym_LBRACE_LT] = ACTIONS(8139),
    [anon_sym_begin] = ACTIONS(8141),
    [sym_ocamlyacc_value] = ACTIONS(8143),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8145),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8147),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6589),
    [aux_sym_number_token1] = ACTIONS(8149),
    [anon_sym_SQUOTE] = ACTIONS(8151),
    [anon_sym_DQUOTE] = ACTIONS(8153),
    [sym_prefix_operator] = ACTIONS(8155),
    [sym__uppercase_identifier] = ACTIONS(8157),
    [aux_sym_tag_token1] = ACTIONS(8159),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2922] = {
    [sym_parameter] = STATE(8684),
    [sym__class_typed] = STATE(12324),
    [sym__parenthesized_abstract_type] = STATE(8684),
    [sym__simple_pattern] = STATE(8561),
    [sym_typed_pattern] = STATE(8688),
    [sym_polymorphic_variant_pattern] = STATE(8688),
    [sym_record_pattern] = STATE(8688),
    [sym_list_pattern] = STATE(8688),
    [sym_array_pattern] = STATE(8688),
    [sym_local_open_pattern] = STATE(8688),
    [sym_package_pattern] = STATE(8688),
    [sym_parenthesized_pattern] = STATE(8688),
    [sym_attribute] = STATE(2922),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8688),
    [sym_quoted_extension] = STATE(8688),
    [sym__constant] = STATE(8529),
    [sym__signed_constant] = STATE(8688),
    [sym_number] = STATE(8638),
    [sym_signed_number] = STATE(8529),
    [sym_character] = STATE(8638),
    [sym_string] = STATE(8638),
    [sym_quoted_string] = STATE(8638),
    [sym_boolean] = STATE(8638),
    [sym_unit] = STATE(8638),
    [sym__simple_value_pattern] = STATE(8688),
    [sym_parenthesized_operator] = STATE(8688),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(8688),
    [sym__constructor_name] = STATE(8569),
    [sym_tag] = STATE(8688),
    [aux_sym_expression_item_repeat1] = STATE(11668),
    [aux_sym_let_binding_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(7949),
    [anon_sym_SEMI_SEMI] = ACTIONS(8029),
    [anon_sym_let] = ACTIONS(8031),
    [anon_sym_and] = ACTIONS(8031),
    [anon_sym_EQ] = ACTIONS(8171),
    [anon_sym_TILDE] = ACTIONS(7957),
    [anon_sym_QMARK] = ACTIONS(7957),
    [anon_sym_LPAREN] = ACTIONS(7959),
    [anon_sym_external] = ACTIONS(8031),
    [anon_sym_type] = ACTIONS(8031),
    [anon_sym_LBRACK] = ACTIONS(7961),
    [anon_sym_true] = ACTIONS(7963),
    [anon_sym_false] = ACTIONS(7963),
    [anon_sym_COLON2] = ACTIONS(7965),
    [anon_sym_LBRACE] = ACTIONS(7967),
    [anon_sym_exception] = ACTIONS(8031),
    [anon_sym_module] = ACTIONS(8031),
    [anon_sym_open] = ACTIONS(8031),
    [anon_sym_include] = ACTIONS(8031),
    [anon_sym_class] = ACTIONS(8031),
    [anon_sym_end] = ACTIONS(8031),
    [anon_sym_POUND] = ACTIONS(7969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7971),
    [anon_sym_begin] = ACTIONS(7973),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7975),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7977),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8029),
    [aux_sym_number_token1] = ACTIONS(7979),
    [aux_sym_signed_number_token1] = ACTIONS(7981),
    [anon_sym_SQUOTE] = ACTIONS(7983),
    [anon_sym_DQUOTE] = ACTIONS(7985),
    [sym_let_operator] = ACTIONS(8029),
    [sym__uppercase_identifier] = ACTIONS(7987),
    [aux_sym_directive_token1] = ACTIONS(8031),
    [aux_sym_tag_token1] = ACTIONS(7989),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2923] = {
    [sym_parameter] = STATE(8684),
    [sym__class_typed] = STATE(12329),
    [sym__parenthesized_abstract_type] = STATE(8684),
    [sym__simple_pattern] = STATE(8561),
    [sym_typed_pattern] = STATE(8688),
    [sym_polymorphic_variant_pattern] = STATE(8688),
    [sym_record_pattern] = STATE(8688),
    [sym_list_pattern] = STATE(8688),
    [sym_array_pattern] = STATE(8688),
    [sym_local_open_pattern] = STATE(8688),
    [sym_package_pattern] = STATE(8688),
    [sym_parenthesized_pattern] = STATE(8688),
    [sym_attribute] = STATE(2923),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8688),
    [sym_quoted_extension] = STATE(8688),
    [sym__constant] = STATE(8529),
    [sym__signed_constant] = STATE(8688),
    [sym_number] = STATE(8638),
    [sym_signed_number] = STATE(8529),
    [sym_character] = STATE(8638),
    [sym_string] = STATE(8638),
    [sym_quoted_string] = STATE(8638),
    [sym_boolean] = STATE(8638),
    [sym_unit] = STATE(8638),
    [sym__simple_value_pattern] = STATE(8688),
    [sym_parenthesized_operator] = STATE(8688),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(8688),
    [sym__constructor_name] = STATE(8569),
    [sym_tag] = STATE(8688),
    [aux_sym_expression_item_repeat1] = STATE(11669),
    [aux_sym_let_binding_repeat1] = STATE(2894),
    [sym__lowercase_identifier] = ACTIONS(7949),
    [anon_sym_SEMI_SEMI] = ACTIONS(8035),
    [anon_sym_let] = ACTIONS(8037),
    [anon_sym_and] = ACTIONS(8037),
    [anon_sym_EQ] = ACTIONS(8173),
    [anon_sym_TILDE] = ACTIONS(7957),
    [anon_sym_QMARK] = ACTIONS(7957),
    [anon_sym_LPAREN] = ACTIONS(7959),
    [anon_sym_external] = ACTIONS(8037),
    [anon_sym_type] = ACTIONS(8037),
    [anon_sym_LBRACK] = ACTIONS(7961),
    [anon_sym_true] = ACTIONS(7963),
    [anon_sym_false] = ACTIONS(7963),
    [anon_sym_COLON2] = ACTIONS(7965),
    [anon_sym_LBRACE] = ACTIONS(7967),
    [anon_sym_exception] = ACTIONS(8037),
    [anon_sym_module] = ACTIONS(8037),
    [anon_sym_open] = ACTIONS(8037),
    [anon_sym_include] = ACTIONS(8037),
    [anon_sym_class] = ACTIONS(8037),
    [anon_sym_end] = ACTIONS(8037),
    [anon_sym_POUND] = ACTIONS(7969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7971),
    [anon_sym_begin] = ACTIONS(7973),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8035),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7975),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7977),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8035),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8035),
    [aux_sym_number_token1] = ACTIONS(7979),
    [aux_sym_signed_number_token1] = ACTIONS(7981),
    [anon_sym_SQUOTE] = ACTIONS(7983),
    [anon_sym_DQUOTE] = ACTIONS(7985),
    [sym_let_operator] = ACTIONS(8035),
    [sym__uppercase_identifier] = ACTIONS(7987),
    [aux_sym_directive_token1] = ACTIONS(8037),
    [aux_sym_tag_token1] = ACTIONS(7989),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2924] = {
    [sym_parameter] = STATE(8684),
    [sym__class_typed] = STATE(12290),
    [sym__parenthesized_abstract_type] = STATE(8684),
    [sym__simple_pattern] = STATE(8561),
    [sym_typed_pattern] = STATE(8688),
    [sym_polymorphic_variant_pattern] = STATE(8688),
    [sym_record_pattern] = STATE(8688),
    [sym_list_pattern] = STATE(8688),
    [sym_array_pattern] = STATE(8688),
    [sym_local_open_pattern] = STATE(8688),
    [sym_package_pattern] = STATE(8688),
    [sym_parenthesized_pattern] = STATE(8688),
    [sym_attribute] = STATE(2924),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8688),
    [sym_quoted_extension] = STATE(8688),
    [sym__constant] = STATE(8529),
    [sym__signed_constant] = STATE(8688),
    [sym_number] = STATE(8638),
    [sym_signed_number] = STATE(8529),
    [sym_character] = STATE(8638),
    [sym_string] = STATE(8638),
    [sym_quoted_string] = STATE(8638),
    [sym_boolean] = STATE(8638),
    [sym_unit] = STATE(8638),
    [sym__simple_value_pattern] = STATE(8688),
    [sym_parenthesized_operator] = STATE(8688),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(8688),
    [sym__constructor_name] = STATE(8569),
    [sym_tag] = STATE(8688),
    [aux_sym_expression_item_repeat1] = STATE(11915),
    [aux_sym_let_binding_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(7949),
    [anon_sym_SEMI_SEMI] = ACTIONS(8017),
    [anon_sym_let] = ACTIONS(8019),
    [anon_sym_and] = ACTIONS(8019),
    [anon_sym_EQ] = ACTIONS(8175),
    [anon_sym_TILDE] = ACTIONS(7957),
    [anon_sym_QMARK] = ACTIONS(7957),
    [anon_sym_LPAREN] = ACTIONS(7959),
    [anon_sym_external] = ACTIONS(8019),
    [anon_sym_type] = ACTIONS(8019),
    [anon_sym_LBRACK] = ACTIONS(7961),
    [anon_sym_true] = ACTIONS(7963),
    [anon_sym_false] = ACTIONS(7963),
    [anon_sym_COLON2] = ACTIONS(7965),
    [anon_sym_LBRACE] = ACTIONS(7967),
    [anon_sym_exception] = ACTIONS(8019),
    [anon_sym_module] = ACTIONS(8019),
    [anon_sym_open] = ACTIONS(8019),
    [anon_sym_include] = ACTIONS(8019),
    [anon_sym_class] = ACTIONS(8019),
    [anon_sym_end] = ACTIONS(8019),
    [anon_sym_POUND] = ACTIONS(7969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7971),
    [anon_sym_begin] = ACTIONS(7973),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8017),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7975),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7977),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8017),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8017),
    [aux_sym_number_token1] = ACTIONS(7979),
    [aux_sym_signed_number_token1] = ACTIONS(7981),
    [anon_sym_SQUOTE] = ACTIONS(7983),
    [anon_sym_DQUOTE] = ACTIONS(7985),
    [sym_let_operator] = ACTIONS(8017),
    [sym__uppercase_identifier] = ACTIONS(7987),
    [aux_sym_directive_token1] = ACTIONS(8019),
    [aux_sym_tag_token1] = ACTIONS(7989),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2925] = {
    [sym_parameter] = STATE(8428),
    [sym__class_typed] = STATE(12278),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2925),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_expression_item_repeat1] = STATE(11668),
    [aux_sym_let_binding_repeat1] = STATE(2943),
    [ts_builtin_sym_end] = ACTIONS(8029),
    [sym__lowercase_identifier] = ACTIONS(7905),
    [anon_sym_SEMI_SEMI] = ACTIONS(8029),
    [anon_sym_let] = ACTIONS(8031),
    [anon_sym_and] = ACTIONS(8031),
    [anon_sym_EQ] = ACTIONS(8177),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8031),
    [anon_sym_type] = ACTIONS(8031),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8031),
    [anon_sym_module] = ACTIONS(8031),
    [anon_sym_open] = ACTIONS(8031),
    [anon_sym_include] = ACTIONS(8031),
    [anon_sym_class] = ACTIONS(8031),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8029),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8029),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8031),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2926] = {
    [sym__parenthesized_abstract_type] = STATE(3869),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14484),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2926),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_EQ] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_RPAREN] = ACTIONS(8179),
    [anon_sym_COMMA] = ACTIONS(8179),
    [anon_sym_PIPE] = ACTIONS(8179),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_RBRACK] = ACTIONS(8179),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_COLON2] = ACTIONS(8183),
    [anon_sym_DASH_GT] = ACTIONS(8179),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_as] = ACTIONS(8183),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_COLON_COLON] = ACTIONS(8179),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_when] = ACTIONS(8183),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8187),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2927] = {
    [sym_parameter] = STATE(9001),
    [sym__class_typed] = STATE(13107),
    [sym__parenthesized_abstract_type] = STATE(9001),
    [sym__simple_pattern] = STATE(9002),
    [sym_typed_pattern] = STATE(8963),
    [sym_polymorphic_variant_pattern] = STATE(8963),
    [sym_record_pattern] = STATE(8963),
    [sym_list_pattern] = STATE(8963),
    [sym_array_pattern] = STATE(8963),
    [sym_local_open_pattern] = STATE(8963),
    [sym_package_pattern] = STATE(8963),
    [sym_parenthesized_pattern] = STATE(8963),
    [sym_attribute] = STATE(2927),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8963),
    [sym_quoted_extension] = STATE(8963),
    [sym__constant] = STATE(9044),
    [sym__signed_constant] = STATE(8963),
    [sym_number] = STATE(8881),
    [sym_signed_number] = STATE(9044),
    [sym_character] = STATE(8881),
    [sym_string] = STATE(8881),
    [sym_quoted_string] = STATE(8881),
    [sym_boolean] = STATE(8881),
    [sym_unit] = STATE(8881),
    [sym__simple_value_pattern] = STATE(8963),
    [sym_parenthesized_operator] = STATE(8963),
    [sym_module_path] = STATE(21728),
    [sym_constructor_path] = STATE(8963),
    [sym__constructor_name] = STATE(8906),
    [sym_tag] = STATE(8963),
    [aux_sym_expression_item_repeat1] = STATE(11636),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8191),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_val] = ACTIONS(8013),
    [anon_sym_end] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2928] = {
    [sym_parameter] = STATE(9001),
    [sym__class_typed] = STATE(13105),
    [sym__parenthesized_abstract_type] = STATE(9001),
    [sym__simple_pattern] = STATE(9002),
    [sym_typed_pattern] = STATE(8963),
    [sym_polymorphic_variant_pattern] = STATE(8963),
    [sym_record_pattern] = STATE(8963),
    [sym_list_pattern] = STATE(8963),
    [sym_array_pattern] = STATE(8963),
    [sym_local_open_pattern] = STATE(8963),
    [sym_package_pattern] = STATE(8963),
    [sym_parenthesized_pattern] = STATE(8963),
    [sym_attribute] = STATE(2928),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8963),
    [sym_quoted_extension] = STATE(8963),
    [sym__constant] = STATE(9044),
    [sym__signed_constant] = STATE(8963),
    [sym_number] = STATE(8881),
    [sym_signed_number] = STATE(9044),
    [sym_character] = STATE(8881),
    [sym_string] = STATE(8881),
    [sym_quoted_string] = STATE(8881),
    [sym_boolean] = STATE(8881),
    [sym_unit] = STATE(8881),
    [sym__simple_value_pattern] = STATE(8963),
    [sym_parenthesized_operator] = STATE(8963),
    [sym_module_path] = STATE(21728),
    [sym_constructor_path] = STATE(8963),
    [sym__constructor_name] = STATE(8906),
    [sym_tag] = STATE(8963),
    [aux_sym_expression_item_repeat1] = STATE(11733),
    [aux_sym_let_binding_repeat1] = STATE(2927),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(7999),
    [anon_sym_and] = ACTIONS(8001),
    [anon_sym_EQ] = ACTIONS(8227),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8001),
    [anon_sym_type] = ACTIONS(8001),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8001),
    [anon_sym_module] = ACTIONS(8001),
    [anon_sym_open] = ACTIONS(8001),
    [anon_sym_include] = ACTIONS(8001),
    [anon_sym_class] = ACTIONS(8001),
    [anon_sym_val] = ACTIONS(8001),
    [anon_sym_end] = ACTIONS(8001),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7999),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7999),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7999),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2929] = {
    [sym_parameter] = STATE(9001),
    [sym__class_typed] = STATE(13109),
    [sym__parenthesized_abstract_type] = STATE(9001),
    [sym__simple_pattern] = STATE(9002),
    [sym_typed_pattern] = STATE(8963),
    [sym_polymorphic_variant_pattern] = STATE(8963),
    [sym_record_pattern] = STATE(8963),
    [sym_list_pattern] = STATE(8963),
    [sym_array_pattern] = STATE(8963),
    [sym_local_open_pattern] = STATE(8963),
    [sym_package_pattern] = STATE(8963),
    [sym_parenthesized_pattern] = STATE(8963),
    [sym_attribute] = STATE(2929),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8963),
    [sym_quoted_extension] = STATE(8963),
    [sym__constant] = STATE(9044),
    [sym__signed_constant] = STATE(8963),
    [sym_number] = STATE(8881),
    [sym_signed_number] = STATE(9044),
    [sym_character] = STATE(8881),
    [sym_string] = STATE(8881),
    [sym_quoted_string] = STATE(8881),
    [sym_boolean] = STATE(8881),
    [sym_unit] = STATE(8881),
    [sym__simple_value_pattern] = STATE(8963),
    [sym_parenthesized_operator] = STATE(8963),
    [sym_module_path] = STATE(21728),
    [sym_constructor_path] = STATE(8963),
    [sym__constructor_name] = STATE(8906),
    [sym_tag] = STATE(8963),
    [aux_sym_expression_item_repeat1] = STATE(11702),
    [aux_sym_let_binding_repeat1] = STATE(2933),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(8023),
    [anon_sym_and] = ACTIONS(8025),
    [anon_sym_EQ] = ACTIONS(8229),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8025),
    [anon_sym_type] = ACTIONS(8025),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8025),
    [anon_sym_module] = ACTIONS(8025),
    [anon_sym_open] = ACTIONS(8025),
    [anon_sym_include] = ACTIONS(8025),
    [anon_sym_class] = ACTIONS(8025),
    [anon_sym_val] = ACTIONS(8025),
    [anon_sym_end] = ACTIONS(8025),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8023),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8023),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8023),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2930] = {
    [sym_parameter] = STATE(9001),
    [sym__class_typed] = STATE(13114),
    [sym__parenthesized_abstract_type] = STATE(9001),
    [sym__simple_pattern] = STATE(9002),
    [sym_typed_pattern] = STATE(8963),
    [sym_polymorphic_variant_pattern] = STATE(8963),
    [sym_record_pattern] = STATE(8963),
    [sym_list_pattern] = STATE(8963),
    [sym_array_pattern] = STATE(8963),
    [sym_local_open_pattern] = STATE(8963),
    [sym_package_pattern] = STATE(8963),
    [sym_parenthesized_pattern] = STATE(8963),
    [sym_attribute] = STATE(2930),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8963),
    [sym_quoted_extension] = STATE(8963),
    [sym__constant] = STATE(9044),
    [sym__signed_constant] = STATE(8963),
    [sym_number] = STATE(8881),
    [sym_signed_number] = STATE(9044),
    [sym_character] = STATE(8881),
    [sym_string] = STATE(8881),
    [sym_quoted_string] = STATE(8881),
    [sym_boolean] = STATE(8881),
    [sym_unit] = STATE(8881),
    [sym__simple_value_pattern] = STATE(8963),
    [sym_parenthesized_operator] = STATE(8963),
    [sym_module_path] = STATE(21728),
    [sym_constructor_path] = STATE(8963),
    [sym__constructor_name] = STATE(8906),
    [sym_tag] = STATE(8963),
    [aux_sym_expression_item_repeat1] = STATE(11803),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(7993),
    [anon_sym_and] = ACTIONS(7995),
    [anon_sym_EQ] = ACTIONS(8231),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(7995),
    [anon_sym_type] = ACTIONS(7995),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(7995),
    [anon_sym_module] = ACTIONS(7995),
    [anon_sym_open] = ACTIONS(7995),
    [anon_sym_include] = ACTIONS(7995),
    [anon_sym_class] = ACTIONS(7995),
    [anon_sym_val] = ACTIONS(7995),
    [anon_sym_end] = ACTIONS(7995),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7993),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7993),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7993),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2931] = {
    [sym_parameter] = STATE(9128),
    [sym__class_typed] = STATE(13086),
    [sym__parenthesized_abstract_type] = STATE(9128),
    [sym__simple_pattern] = STATE(9129),
    [sym_typed_pattern] = STATE(9191),
    [sym_polymorphic_variant_pattern] = STATE(9191),
    [sym_record_pattern] = STATE(9191),
    [sym_list_pattern] = STATE(9191),
    [sym_array_pattern] = STATE(9191),
    [sym_local_open_pattern] = STATE(9191),
    [sym_package_pattern] = STATE(9191),
    [sym_parenthesized_pattern] = STATE(9191),
    [sym_attribute] = STATE(2931),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9191),
    [sym_quoted_extension] = STATE(9191),
    [sym__constant] = STATE(8944),
    [sym__signed_constant] = STATE(9191),
    [sym_number] = STATE(9006),
    [sym_signed_number] = STATE(8944),
    [sym_character] = STATE(9006),
    [sym_string] = STATE(9006),
    [sym_quoted_string] = STATE(9006),
    [sym_boolean] = STATE(9006),
    [sym_unit] = STATE(9006),
    [sym__simple_value_pattern] = STATE(9191),
    [sym_parenthesized_operator] = STATE(9191),
    [sym_module_path] = STATE(21050),
    [sym_constructor_path] = STATE(9191),
    [sym__constructor_name] = STATE(8994),
    [sym_tag] = STATE(9191),
    [aux_sym_expression_item_repeat1] = STATE(11636),
    [aux_sym_let_binding_repeat1] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8233),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8235),
    [anon_sym_TILDE] = ACTIONS(8237),
    [anon_sym_QMARK] = ACTIONS(8237),
    [anon_sym_LPAREN] = ACTIONS(8239),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(8241),
    [anon_sym_RBRACK] = ACTIONS(8011),
    [anon_sym_true] = ACTIONS(8243),
    [anon_sym_false] = ACTIONS(8243),
    [anon_sym_COLON2] = ACTIONS(8245),
    [anon_sym_LBRACE] = ACTIONS(8247),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_val] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(8249),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8251),
    [anon_sym_begin] = ACTIONS(8253),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8257),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(8259),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(8263),
    [anon_sym_DQUOTE] = ACTIONS(8265),
    [sym__uppercase_identifier] = ACTIONS(8267),
    [aux_sym_tag_token1] = ACTIONS(8269),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2932] = {
    [sym_parameter] = STATE(9128),
    [sym__class_typed] = STATE(13084),
    [sym__parenthesized_abstract_type] = STATE(9128),
    [sym__simple_pattern] = STATE(9129),
    [sym_typed_pattern] = STATE(9191),
    [sym_polymorphic_variant_pattern] = STATE(9191),
    [sym_record_pattern] = STATE(9191),
    [sym_list_pattern] = STATE(9191),
    [sym_array_pattern] = STATE(9191),
    [sym_local_open_pattern] = STATE(9191),
    [sym_package_pattern] = STATE(9191),
    [sym_parenthesized_pattern] = STATE(9191),
    [sym_attribute] = STATE(2932),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9191),
    [sym_quoted_extension] = STATE(9191),
    [sym__constant] = STATE(8944),
    [sym__signed_constant] = STATE(9191),
    [sym_number] = STATE(9006),
    [sym_signed_number] = STATE(8944),
    [sym_character] = STATE(9006),
    [sym_string] = STATE(9006),
    [sym_quoted_string] = STATE(9006),
    [sym_boolean] = STATE(9006),
    [sym_unit] = STATE(9006),
    [sym__simple_value_pattern] = STATE(9191),
    [sym_parenthesized_operator] = STATE(9191),
    [sym_module_path] = STATE(21050),
    [sym_constructor_path] = STATE(9191),
    [sym__constructor_name] = STATE(8994),
    [sym_tag] = STATE(9191),
    [aux_sym_expression_item_repeat1] = STATE(11733),
    [aux_sym_let_binding_repeat1] = STATE(2931),
    [sym__lowercase_identifier] = ACTIONS(8233),
    [anon_sym_SEMI_SEMI] = ACTIONS(7999),
    [anon_sym_and] = ACTIONS(8001),
    [anon_sym_EQ] = ACTIONS(8271),
    [anon_sym_TILDE] = ACTIONS(8237),
    [anon_sym_QMARK] = ACTIONS(8237),
    [anon_sym_LPAREN] = ACTIONS(8239),
    [anon_sym_external] = ACTIONS(8001),
    [anon_sym_type] = ACTIONS(8001),
    [anon_sym_LBRACK] = ACTIONS(8241),
    [anon_sym_RBRACK] = ACTIONS(7999),
    [anon_sym_true] = ACTIONS(8243),
    [anon_sym_false] = ACTIONS(8243),
    [anon_sym_COLON2] = ACTIONS(8245),
    [anon_sym_LBRACE] = ACTIONS(8247),
    [anon_sym_exception] = ACTIONS(8001),
    [anon_sym_module] = ACTIONS(8001),
    [anon_sym_open] = ACTIONS(8001),
    [anon_sym_include] = ACTIONS(8001),
    [anon_sym_class] = ACTIONS(8001),
    [anon_sym_val] = ACTIONS(8001),
    [anon_sym_POUND] = ACTIONS(8249),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8251),
    [anon_sym_begin] = ACTIONS(8253),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7999),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8257),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7999),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7999),
    [aux_sym_number_token1] = ACTIONS(8259),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(8263),
    [anon_sym_DQUOTE] = ACTIONS(8265),
    [sym__uppercase_identifier] = ACTIONS(8267),
    [aux_sym_tag_token1] = ACTIONS(8269),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2933] = {
    [sym_parameter] = STATE(9001),
    [sym__class_typed] = STATE(13110),
    [sym__parenthesized_abstract_type] = STATE(9001),
    [sym__simple_pattern] = STATE(9002),
    [sym_typed_pattern] = STATE(8963),
    [sym_polymorphic_variant_pattern] = STATE(8963),
    [sym_record_pattern] = STATE(8963),
    [sym_list_pattern] = STATE(8963),
    [sym_array_pattern] = STATE(8963),
    [sym_local_open_pattern] = STATE(8963),
    [sym_package_pattern] = STATE(8963),
    [sym_parenthesized_pattern] = STATE(8963),
    [sym_attribute] = STATE(2933),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8963),
    [sym_quoted_extension] = STATE(8963),
    [sym__constant] = STATE(9044),
    [sym__signed_constant] = STATE(8963),
    [sym_number] = STATE(8881),
    [sym_signed_number] = STATE(9044),
    [sym_character] = STATE(8881),
    [sym_string] = STATE(8881),
    [sym_quoted_string] = STATE(8881),
    [sym_boolean] = STATE(8881),
    [sym_unit] = STATE(8881),
    [sym__simple_value_pattern] = STATE(8963),
    [sym_parenthesized_operator] = STATE(8963),
    [sym_module_path] = STATE(21728),
    [sym_constructor_path] = STATE(8963),
    [sym__constructor_name] = STATE(8906),
    [sym_tag] = STATE(8963),
    [aux_sym_expression_item_repeat1] = STATE(11668),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(8029),
    [anon_sym_and] = ACTIONS(8031),
    [anon_sym_EQ] = ACTIONS(8273),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8031),
    [anon_sym_type] = ACTIONS(8031),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8031),
    [anon_sym_module] = ACTIONS(8031),
    [anon_sym_open] = ACTIONS(8031),
    [anon_sym_include] = ACTIONS(8031),
    [anon_sym_class] = ACTIONS(8031),
    [anon_sym_val] = ACTIONS(8031),
    [anon_sym_end] = ACTIONS(8031),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8029),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2934] = {
    [sym_parameter] = STATE(9128),
    [sym__class_typed] = STATE(13093),
    [sym__parenthesized_abstract_type] = STATE(9128),
    [sym__simple_pattern] = STATE(9129),
    [sym_typed_pattern] = STATE(9191),
    [sym_polymorphic_variant_pattern] = STATE(9191),
    [sym_record_pattern] = STATE(9191),
    [sym_list_pattern] = STATE(9191),
    [sym_array_pattern] = STATE(9191),
    [sym_local_open_pattern] = STATE(9191),
    [sym_package_pattern] = STATE(9191),
    [sym_parenthesized_pattern] = STATE(9191),
    [sym_attribute] = STATE(2934),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9191),
    [sym_quoted_extension] = STATE(9191),
    [sym__constant] = STATE(8944),
    [sym__signed_constant] = STATE(9191),
    [sym_number] = STATE(9006),
    [sym_signed_number] = STATE(8944),
    [sym_character] = STATE(9006),
    [sym_string] = STATE(9006),
    [sym_quoted_string] = STATE(9006),
    [sym_boolean] = STATE(9006),
    [sym_unit] = STATE(9006),
    [sym__simple_value_pattern] = STATE(9191),
    [sym_parenthesized_operator] = STATE(9191),
    [sym_module_path] = STATE(21050),
    [sym_constructor_path] = STATE(9191),
    [sym__constructor_name] = STATE(8994),
    [sym_tag] = STATE(9191),
    [aux_sym_expression_item_repeat1] = STATE(11803),
    [aux_sym_let_binding_repeat1] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8233),
    [anon_sym_SEMI_SEMI] = ACTIONS(7993),
    [anon_sym_and] = ACTIONS(7995),
    [anon_sym_EQ] = ACTIONS(8275),
    [anon_sym_TILDE] = ACTIONS(8237),
    [anon_sym_QMARK] = ACTIONS(8237),
    [anon_sym_LPAREN] = ACTIONS(8239),
    [anon_sym_external] = ACTIONS(7995),
    [anon_sym_type] = ACTIONS(7995),
    [anon_sym_LBRACK] = ACTIONS(8241),
    [anon_sym_RBRACK] = ACTIONS(7993),
    [anon_sym_true] = ACTIONS(8243),
    [anon_sym_false] = ACTIONS(8243),
    [anon_sym_COLON2] = ACTIONS(8245),
    [anon_sym_LBRACE] = ACTIONS(8247),
    [anon_sym_exception] = ACTIONS(7995),
    [anon_sym_module] = ACTIONS(7995),
    [anon_sym_open] = ACTIONS(7995),
    [anon_sym_include] = ACTIONS(7995),
    [anon_sym_class] = ACTIONS(7995),
    [anon_sym_val] = ACTIONS(7995),
    [anon_sym_POUND] = ACTIONS(8249),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8251),
    [anon_sym_begin] = ACTIONS(8253),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7993),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8257),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7993),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7993),
    [aux_sym_number_token1] = ACTIONS(8259),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(8263),
    [anon_sym_DQUOTE] = ACTIONS(8265),
    [sym__uppercase_identifier] = ACTIONS(8267),
    [aux_sym_tag_token1] = ACTIONS(8269),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2935] = {
    [sym_parameter] = STATE(9001),
    [sym__class_typed] = STATE(13112),
    [sym__parenthesized_abstract_type] = STATE(9001),
    [sym__simple_pattern] = STATE(9002),
    [sym_typed_pattern] = STATE(8963),
    [sym_polymorphic_variant_pattern] = STATE(8963),
    [sym_record_pattern] = STATE(8963),
    [sym_list_pattern] = STATE(8963),
    [sym_array_pattern] = STATE(8963),
    [sym_local_open_pattern] = STATE(8963),
    [sym_package_pattern] = STATE(8963),
    [sym_parenthesized_pattern] = STATE(8963),
    [sym_attribute] = STATE(2935),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8963),
    [sym_quoted_extension] = STATE(8963),
    [sym__constant] = STATE(9044),
    [sym__signed_constant] = STATE(8963),
    [sym_number] = STATE(8881),
    [sym_signed_number] = STATE(9044),
    [sym_character] = STATE(8881),
    [sym_string] = STATE(8881),
    [sym_quoted_string] = STATE(8881),
    [sym_boolean] = STATE(8881),
    [sym_unit] = STATE(8881),
    [sym__simple_value_pattern] = STATE(8963),
    [sym_parenthesized_operator] = STATE(8963),
    [sym_module_path] = STATE(21728),
    [sym_constructor_path] = STATE(8963),
    [sym__constructor_name] = STATE(8906),
    [sym_tag] = STATE(8963),
    [aux_sym_expression_item_repeat1] = STATE(11762),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(7951),
    [anon_sym_and] = ACTIONS(7953),
    [anon_sym_EQ] = ACTIONS(8277),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(7953),
    [anon_sym_type] = ACTIONS(7953),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(7953),
    [anon_sym_module] = ACTIONS(7953),
    [anon_sym_open] = ACTIONS(7953),
    [anon_sym_include] = ACTIONS(7953),
    [anon_sym_class] = ACTIONS(7953),
    [anon_sym_val] = ACTIONS(7953),
    [anon_sym_end] = ACTIONS(7953),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7951),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2936] = {
    [sym_parameter] = STATE(9001),
    [sym__class_typed] = STATE(13113),
    [sym__parenthesized_abstract_type] = STATE(9001),
    [sym__simple_pattern] = STATE(9002),
    [sym_typed_pattern] = STATE(8963),
    [sym_polymorphic_variant_pattern] = STATE(8963),
    [sym_record_pattern] = STATE(8963),
    [sym_list_pattern] = STATE(8963),
    [sym_array_pattern] = STATE(8963),
    [sym_local_open_pattern] = STATE(8963),
    [sym_package_pattern] = STATE(8963),
    [sym_parenthesized_pattern] = STATE(8963),
    [sym_attribute] = STATE(2936),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8963),
    [sym_quoted_extension] = STATE(8963),
    [sym__constant] = STATE(9044),
    [sym__signed_constant] = STATE(8963),
    [sym_number] = STATE(8881),
    [sym_signed_number] = STATE(9044),
    [sym_character] = STATE(8881),
    [sym_string] = STATE(8881),
    [sym_quoted_string] = STATE(8881),
    [sym_boolean] = STATE(8881),
    [sym_unit] = STATE(8881),
    [sym__simple_value_pattern] = STATE(8963),
    [sym_parenthesized_operator] = STATE(8963),
    [sym_module_path] = STATE(21728),
    [sym_constructor_path] = STATE(8963),
    [sym__constructor_name] = STATE(8906),
    [sym_tag] = STATE(8963),
    [aux_sym_expression_item_repeat1] = STATE(11764),
    [aux_sym_let_binding_repeat1] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(7907),
    [anon_sym_and] = ACTIONS(7909),
    [anon_sym_EQ] = ACTIONS(8279),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(7909),
    [anon_sym_type] = ACTIONS(7909),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(7909),
    [anon_sym_module] = ACTIONS(7909),
    [anon_sym_open] = ACTIONS(7909),
    [anon_sym_include] = ACTIONS(7909),
    [anon_sym_class] = ACTIONS(7909),
    [anon_sym_val] = ACTIONS(7909),
    [anon_sym_end] = ACTIONS(7909),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7907),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7907),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7907),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2937] = {
    [sym_parameter] = STATE(9001),
    [sym__class_typed] = STATE(13106),
    [sym__parenthesized_abstract_type] = STATE(9001),
    [sym__simple_pattern] = STATE(9002),
    [sym_typed_pattern] = STATE(8963),
    [sym_polymorphic_variant_pattern] = STATE(8963),
    [sym_record_pattern] = STATE(8963),
    [sym_list_pattern] = STATE(8963),
    [sym_array_pattern] = STATE(8963),
    [sym_local_open_pattern] = STATE(8963),
    [sym_package_pattern] = STATE(8963),
    [sym_parenthesized_pattern] = STATE(8963),
    [sym_attribute] = STATE(2937),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8963),
    [sym_quoted_extension] = STATE(8963),
    [sym__constant] = STATE(9044),
    [sym__signed_constant] = STATE(8963),
    [sym_number] = STATE(8881),
    [sym_signed_number] = STATE(9044),
    [sym_character] = STATE(8881),
    [sym_string] = STATE(8881),
    [sym_quoted_string] = STATE(8881),
    [sym_boolean] = STATE(8881),
    [sym_unit] = STATE(8881),
    [sym__simple_value_pattern] = STATE(8963),
    [sym_parenthesized_operator] = STATE(8963),
    [sym_module_path] = STATE(21728),
    [sym_constructor_path] = STATE(8963),
    [sym__constructor_name] = STATE(8906),
    [sym_tag] = STATE(8963),
    [aux_sym_expression_item_repeat1] = STATE(11629),
    [aux_sym_let_binding_repeat1] = STATE(2938),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(8005),
    [anon_sym_and] = ACTIONS(8007),
    [anon_sym_EQ] = ACTIONS(8281),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8007),
    [anon_sym_type] = ACTIONS(8007),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8007),
    [anon_sym_module] = ACTIONS(8007),
    [anon_sym_open] = ACTIONS(8007),
    [anon_sym_include] = ACTIONS(8007),
    [anon_sym_class] = ACTIONS(8007),
    [anon_sym_val] = ACTIONS(8007),
    [anon_sym_end] = ACTIONS(8007),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8005),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2938] = {
    [sym_parameter] = STATE(9001),
    [sym__class_typed] = STATE(13108),
    [sym__parenthesized_abstract_type] = STATE(9001),
    [sym__simple_pattern] = STATE(9002),
    [sym_typed_pattern] = STATE(8963),
    [sym_polymorphic_variant_pattern] = STATE(8963),
    [sym_record_pattern] = STATE(8963),
    [sym_list_pattern] = STATE(8963),
    [sym_array_pattern] = STATE(8963),
    [sym_local_open_pattern] = STATE(8963),
    [sym_package_pattern] = STATE(8963),
    [sym_parenthesized_pattern] = STATE(8963),
    [sym_attribute] = STATE(2938),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8963),
    [sym_quoted_extension] = STATE(8963),
    [sym__constant] = STATE(9044),
    [sym__signed_constant] = STATE(8963),
    [sym_number] = STATE(8881),
    [sym_signed_number] = STATE(9044),
    [sym_character] = STATE(8881),
    [sym_string] = STATE(8881),
    [sym_quoted_string] = STATE(8881),
    [sym_boolean] = STATE(8881),
    [sym_unit] = STATE(8881),
    [sym__simple_value_pattern] = STATE(8963),
    [sym_parenthesized_operator] = STATE(8963),
    [sym_module_path] = STATE(21728),
    [sym_constructor_path] = STATE(8963),
    [sym__constructor_name] = STATE(8906),
    [sym_tag] = STATE(8963),
    [aux_sym_expression_item_repeat1] = STATE(11915),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(8017),
    [anon_sym_and] = ACTIONS(8019),
    [anon_sym_EQ] = ACTIONS(8283),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8019),
    [anon_sym_type] = ACTIONS(8019),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8019),
    [anon_sym_module] = ACTIONS(8019),
    [anon_sym_open] = ACTIONS(8019),
    [anon_sym_include] = ACTIONS(8019),
    [anon_sym_class] = ACTIONS(8019),
    [anon_sym_val] = ACTIONS(8019),
    [anon_sym_end] = ACTIONS(8019),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8017),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8017),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8017),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2939] = {
    [sym_parameter] = STATE(9001),
    [sym__class_typed] = STATE(13111),
    [sym__parenthesized_abstract_type] = STATE(9001),
    [sym__simple_pattern] = STATE(9002),
    [sym_typed_pattern] = STATE(8963),
    [sym_polymorphic_variant_pattern] = STATE(8963),
    [sym_record_pattern] = STATE(8963),
    [sym_list_pattern] = STATE(8963),
    [sym_array_pattern] = STATE(8963),
    [sym_local_open_pattern] = STATE(8963),
    [sym_package_pattern] = STATE(8963),
    [sym_parenthesized_pattern] = STATE(8963),
    [sym_attribute] = STATE(2939),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(8963),
    [sym_quoted_extension] = STATE(8963),
    [sym__constant] = STATE(9044),
    [sym__signed_constant] = STATE(8963),
    [sym_number] = STATE(8881),
    [sym_signed_number] = STATE(9044),
    [sym_character] = STATE(8881),
    [sym_string] = STATE(8881),
    [sym_quoted_string] = STATE(8881),
    [sym_boolean] = STATE(8881),
    [sym_unit] = STATE(8881),
    [sym__simple_value_pattern] = STATE(8963),
    [sym_parenthesized_operator] = STATE(8963),
    [sym_module_path] = STATE(21728),
    [sym_constructor_path] = STATE(8963),
    [sym__constructor_name] = STATE(8906),
    [sym_tag] = STATE(8963),
    [aux_sym_expression_item_repeat1] = STATE(11669),
    [aux_sym_let_binding_repeat1] = STATE(2935),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(8035),
    [anon_sym_and] = ACTIONS(8037),
    [anon_sym_EQ] = ACTIONS(8285),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8037),
    [anon_sym_type] = ACTIONS(8037),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8037),
    [anon_sym_module] = ACTIONS(8037),
    [anon_sym_open] = ACTIONS(8037),
    [anon_sym_include] = ACTIONS(8037),
    [anon_sym_class] = ACTIONS(8037),
    [anon_sym_val] = ACTIONS(8037),
    [anon_sym_end] = ACTIONS(8037),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8035),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8035),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8035),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2940] = {
    [sym_parameter] = STATE(9128),
    [sym__class_typed] = STATE(13087),
    [sym__parenthesized_abstract_type] = STATE(9128),
    [sym__simple_pattern] = STATE(9129),
    [sym_typed_pattern] = STATE(9191),
    [sym_polymorphic_variant_pattern] = STATE(9191),
    [sym_record_pattern] = STATE(9191),
    [sym_list_pattern] = STATE(9191),
    [sym_array_pattern] = STATE(9191),
    [sym_local_open_pattern] = STATE(9191),
    [sym_package_pattern] = STATE(9191),
    [sym_parenthesized_pattern] = STATE(9191),
    [sym_attribute] = STATE(2940),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9191),
    [sym_quoted_extension] = STATE(9191),
    [sym__constant] = STATE(8944),
    [sym__signed_constant] = STATE(9191),
    [sym_number] = STATE(9006),
    [sym_signed_number] = STATE(8944),
    [sym_character] = STATE(9006),
    [sym_string] = STATE(9006),
    [sym_quoted_string] = STATE(9006),
    [sym_boolean] = STATE(9006),
    [sym_unit] = STATE(9006),
    [sym__simple_value_pattern] = STATE(9191),
    [sym_parenthesized_operator] = STATE(9191),
    [sym_module_path] = STATE(21050),
    [sym_constructor_path] = STATE(9191),
    [sym__constructor_name] = STATE(8994),
    [sym_tag] = STATE(9191),
    [aux_sym_expression_item_repeat1] = STATE(11915),
    [aux_sym_let_binding_repeat1] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8233),
    [anon_sym_SEMI_SEMI] = ACTIONS(8017),
    [anon_sym_and] = ACTIONS(8019),
    [anon_sym_EQ] = ACTIONS(8287),
    [anon_sym_TILDE] = ACTIONS(8237),
    [anon_sym_QMARK] = ACTIONS(8237),
    [anon_sym_LPAREN] = ACTIONS(8239),
    [anon_sym_external] = ACTIONS(8019),
    [anon_sym_type] = ACTIONS(8019),
    [anon_sym_LBRACK] = ACTIONS(8241),
    [anon_sym_RBRACK] = ACTIONS(8017),
    [anon_sym_true] = ACTIONS(8243),
    [anon_sym_false] = ACTIONS(8243),
    [anon_sym_COLON2] = ACTIONS(8245),
    [anon_sym_LBRACE] = ACTIONS(8247),
    [anon_sym_exception] = ACTIONS(8019),
    [anon_sym_module] = ACTIONS(8019),
    [anon_sym_open] = ACTIONS(8019),
    [anon_sym_include] = ACTIONS(8019),
    [anon_sym_class] = ACTIONS(8019),
    [anon_sym_val] = ACTIONS(8019),
    [anon_sym_POUND] = ACTIONS(8249),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8251),
    [anon_sym_begin] = ACTIONS(8253),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8017),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8257),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8017),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8017),
    [aux_sym_number_token1] = ACTIONS(8259),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(8263),
    [anon_sym_DQUOTE] = ACTIONS(8265),
    [sym__uppercase_identifier] = ACTIONS(8267),
    [aux_sym_tag_token1] = ACTIONS(8269),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2941] = {
    [sym_parameter] = STATE(9128),
    [sym__class_typed] = STATE(13090),
    [sym__parenthesized_abstract_type] = STATE(9128),
    [sym__simple_pattern] = STATE(9129),
    [sym_typed_pattern] = STATE(9191),
    [sym_polymorphic_variant_pattern] = STATE(9191),
    [sym_record_pattern] = STATE(9191),
    [sym_list_pattern] = STATE(9191),
    [sym_array_pattern] = STATE(9191),
    [sym_local_open_pattern] = STATE(9191),
    [sym_package_pattern] = STATE(9191),
    [sym_parenthesized_pattern] = STATE(9191),
    [sym_attribute] = STATE(2941),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9191),
    [sym_quoted_extension] = STATE(9191),
    [sym__constant] = STATE(8944),
    [sym__signed_constant] = STATE(9191),
    [sym_number] = STATE(9006),
    [sym_signed_number] = STATE(8944),
    [sym_character] = STATE(9006),
    [sym_string] = STATE(9006),
    [sym_quoted_string] = STATE(9006),
    [sym_boolean] = STATE(9006),
    [sym_unit] = STATE(9006),
    [sym__simple_value_pattern] = STATE(9191),
    [sym_parenthesized_operator] = STATE(9191),
    [sym_module_path] = STATE(21050),
    [sym_constructor_path] = STATE(9191),
    [sym__constructor_name] = STATE(8994),
    [sym_tag] = STATE(9191),
    [aux_sym_expression_item_repeat1] = STATE(11669),
    [aux_sym_let_binding_repeat1] = STATE(2945),
    [sym__lowercase_identifier] = ACTIONS(8233),
    [anon_sym_SEMI_SEMI] = ACTIONS(8035),
    [anon_sym_and] = ACTIONS(8037),
    [anon_sym_EQ] = ACTIONS(8289),
    [anon_sym_TILDE] = ACTIONS(8237),
    [anon_sym_QMARK] = ACTIONS(8237),
    [anon_sym_LPAREN] = ACTIONS(8239),
    [anon_sym_external] = ACTIONS(8037),
    [anon_sym_type] = ACTIONS(8037),
    [anon_sym_LBRACK] = ACTIONS(8241),
    [anon_sym_RBRACK] = ACTIONS(8035),
    [anon_sym_true] = ACTIONS(8243),
    [anon_sym_false] = ACTIONS(8243),
    [anon_sym_COLON2] = ACTIONS(8245),
    [anon_sym_LBRACE] = ACTIONS(8247),
    [anon_sym_exception] = ACTIONS(8037),
    [anon_sym_module] = ACTIONS(8037),
    [anon_sym_open] = ACTIONS(8037),
    [anon_sym_include] = ACTIONS(8037),
    [anon_sym_class] = ACTIONS(8037),
    [anon_sym_val] = ACTIONS(8037),
    [anon_sym_POUND] = ACTIONS(8249),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8251),
    [anon_sym_begin] = ACTIONS(8253),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8035),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8257),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8035),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8035),
    [aux_sym_number_token1] = ACTIONS(8259),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(8263),
    [anon_sym_DQUOTE] = ACTIONS(8265),
    [sym__uppercase_identifier] = ACTIONS(8267),
    [aux_sym_tag_token1] = ACTIONS(8269),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2942] = {
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14490),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2942),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_EQ] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(8179),
    [anon_sym_COMMA] = ACTIONS(8179),
    [anon_sym_PIPE] = ACTIONS(8179),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_RBRACK] = ACTIONS(8179),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_COLON2] = ACTIONS(8183),
    [anon_sym_DASH_GT] = ACTIONS(8179),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_as] = ACTIONS(8183),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_COLON_COLON] = ACTIONS(8179),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_when] = ACTIONS(8183),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8187),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2943] = {
    [sym_parameter] = STATE(8428),
    [sym__parenthesized_abstract_type] = STATE(8428),
    [sym__simple_pattern] = STATE(8432),
    [sym_typed_pattern] = STATE(8416),
    [sym_polymorphic_variant_pattern] = STATE(8416),
    [sym_record_pattern] = STATE(8416),
    [sym_list_pattern] = STATE(8416),
    [sym_array_pattern] = STATE(8416),
    [sym_local_open_pattern] = STATE(8416),
    [sym_package_pattern] = STATE(8416),
    [sym_parenthesized_pattern] = STATE(8416),
    [sym_attribute] = STATE(2943),
    [sym_extension] = STATE(8416),
    [sym_quoted_extension] = STATE(8416),
    [sym__constant] = STATE(8402),
    [sym__signed_constant] = STATE(8416),
    [sym_number] = STATE(8390),
    [sym_signed_number] = STATE(8402),
    [sym_character] = STATE(8390),
    [sym_string] = STATE(8390),
    [sym_quoted_string] = STATE(8390),
    [sym_boolean] = STATE(8390),
    [sym_unit] = STATE(8390),
    [sym__simple_value_pattern] = STATE(8416),
    [sym_parenthesized_operator] = STATE(8416),
    [sym_module_path] = STATE(22453),
    [sym_constructor_path] = STATE(8416),
    [sym__constructor_name] = STATE(8393),
    [sym_tag] = STATE(8416),
    [aux_sym_let_binding_repeat1] = STATE(2943),
    [ts_builtin_sym_end] = ACTIONS(8291),
    [sym__lowercase_identifier] = ACTIONS(8293),
    [anon_sym_SEMI_SEMI] = ACTIONS(8291),
    [anon_sym_let] = ACTIONS(8296),
    [anon_sym_and] = ACTIONS(8296),
    [anon_sym_EQ] = ACTIONS(8291),
    [anon_sym_TILDE] = ACTIONS(8298),
    [anon_sym_QMARK] = ACTIONS(8298),
    [anon_sym_LPAREN] = ACTIONS(8301),
    [anon_sym_external] = ACTIONS(8296),
    [anon_sym_type] = ACTIONS(8296),
    [anon_sym_LBRACK] = ACTIONS(8304),
    [anon_sym_RBRACK] = ACTIONS(8291),
    [anon_sym_true] = ACTIONS(8307),
    [anon_sym_false] = ACTIONS(8307),
    [anon_sym_COLON2] = ACTIONS(8291),
    [anon_sym_LBRACE] = ACTIONS(8310),
    [anon_sym_exception] = ACTIONS(8296),
    [anon_sym_module] = ACTIONS(8296),
    [anon_sym_open] = ACTIONS(8296),
    [anon_sym_include] = ACTIONS(8296),
    [anon_sym_class] = ACTIONS(8296),
    [anon_sym_POUND] = ACTIONS(8313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8316),
    [anon_sym_begin] = ACTIONS(8319),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8296),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8291),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8322),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8325),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8291),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8291),
    [aux_sym_number_token1] = ACTIONS(8328),
    [aux_sym_signed_number_token1] = ACTIONS(8331),
    [anon_sym_SQUOTE] = ACTIONS(8334),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym_let_operator] = ACTIONS(8291),
    [sym__uppercase_identifier] = ACTIONS(8340),
    [aux_sym_directive_token1] = ACTIONS(8296),
    [aux_sym_tag_token1] = ACTIONS(8343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2944] = {
    [sym_parameter] = STATE(9128),
    [sym__class_typed] = STATE(13088),
    [sym__parenthesized_abstract_type] = STATE(9128),
    [sym__simple_pattern] = STATE(9129),
    [sym_typed_pattern] = STATE(9191),
    [sym_polymorphic_variant_pattern] = STATE(9191),
    [sym_record_pattern] = STATE(9191),
    [sym_list_pattern] = STATE(9191),
    [sym_array_pattern] = STATE(9191),
    [sym_local_open_pattern] = STATE(9191),
    [sym_package_pattern] = STATE(9191),
    [sym_parenthesized_pattern] = STATE(9191),
    [sym_attribute] = STATE(2944),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9191),
    [sym_quoted_extension] = STATE(9191),
    [sym__constant] = STATE(8944),
    [sym__signed_constant] = STATE(9191),
    [sym_number] = STATE(9006),
    [sym_signed_number] = STATE(8944),
    [sym_character] = STATE(9006),
    [sym_string] = STATE(9006),
    [sym_quoted_string] = STATE(9006),
    [sym_boolean] = STATE(9006),
    [sym_unit] = STATE(9006),
    [sym__simple_value_pattern] = STATE(9191),
    [sym_parenthesized_operator] = STATE(9191),
    [sym_module_path] = STATE(21050),
    [sym_constructor_path] = STATE(9191),
    [sym__constructor_name] = STATE(8994),
    [sym_tag] = STATE(9191),
    [aux_sym_expression_item_repeat1] = STATE(11702),
    [aux_sym_let_binding_repeat1] = STATE(2946),
    [sym__lowercase_identifier] = ACTIONS(8233),
    [anon_sym_SEMI_SEMI] = ACTIONS(8023),
    [anon_sym_and] = ACTIONS(8025),
    [anon_sym_EQ] = ACTIONS(8346),
    [anon_sym_TILDE] = ACTIONS(8237),
    [anon_sym_QMARK] = ACTIONS(8237),
    [anon_sym_LPAREN] = ACTIONS(8239),
    [anon_sym_external] = ACTIONS(8025),
    [anon_sym_type] = ACTIONS(8025),
    [anon_sym_LBRACK] = ACTIONS(8241),
    [anon_sym_RBRACK] = ACTIONS(8023),
    [anon_sym_true] = ACTIONS(8243),
    [anon_sym_false] = ACTIONS(8243),
    [anon_sym_COLON2] = ACTIONS(8245),
    [anon_sym_LBRACE] = ACTIONS(8247),
    [anon_sym_exception] = ACTIONS(8025),
    [anon_sym_module] = ACTIONS(8025),
    [anon_sym_open] = ACTIONS(8025),
    [anon_sym_include] = ACTIONS(8025),
    [anon_sym_class] = ACTIONS(8025),
    [anon_sym_val] = ACTIONS(8025),
    [anon_sym_POUND] = ACTIONS(8249),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8251),
    [anon_sym_begin] = ACTIONS(8253),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8023),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8257),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8023),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8023),
    [aux_sym_number_token1] = ACTIONS(8259),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(8263),
    [anon_sym_DQUOTE] = ACTIONS(8265),
    [sym__uppercase_identifier] = ACTIONS(8267),
    [aux_sym_tag_token1] = ACTIONS(8269),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2945] = {
    [sym_parameter] = STATE(9128),
    [sym__class_typed] = STATE(13091),
    [sym__parenthesized_abstract_type] = STATE(9128),
    [sym__simple_pattern] = STATE(9129),
    [sym_typed_pattern] = STATE(9191),
    [sym_polymorphic_variant_pattern] = STATE(9191),
    [sym_record_pattern] = STATE(9191),
    [sym_list_pattern] = STATE(9191),
    [sym_array_pattern] = STATE(9191),
    [sym_local_open_pattern] = STATE(9191),
    [sym_package_pattern] = STATE(9191),
    [sym_parenthesized_pattern] = STATE(9191),
    [sym_attribute] = STATE(2945),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9191),
    [sym_quoted_extension] = STATE(9191),
    [sym__constant] = STATE(8944),
    [sym__signed_constant] = STATE(9191),
    [sym_number] = STATE(9006),
    [sym_signed_number] = STATE(8944),
    [sym_character] = STATE(9006),
    [sym_string] = STATE(9006),
    [sym_quoted_string] = STATE(9006),
    [sym_boolean] = STATE(9006),
    [sym_unit] = STATE(9006),
    [sym__simple_value_pattern] = STATE(9191),
    [sym_parenthesized_operator] = STATE(9191),
    [sym_module_path] = STATE(21050),
    [sym_constructor_path] = STATE(9191),
    [sym__constructor_name] = STATE(8994),
    [sym_tag] = STATE(9191),
    [aux_sym_expression_item_repeat1] = STATE(11762),
    [aux_sym_let_binding_repeat1] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8233),
    [anon_sym_SEMI_SEMI] = ACTIONS(7951),
    [anon_sym_and] = ACTIONS(7953),
    [anon_sym_EQ] = ACTIONS(8348),
    [anon_sym_TILDE] = ACTIONS(8237),
    [anon_sym_QMARK] = ACTIONS(8237),
    [anon_sym_LPAREN] = ACTIONS(8239),
    [anon_sym_external] = ACTIONS(7953),
    [anon_sym_type] = ACTIONS(7953),
    [anon_sym_LBRACK] = ACTIONS(8241),
    [anon_sym_RBRACK] = ACTIONS(7951),
    [anon_sym_true] = ACTIONS(8243),
    [anon_sym_false] = ACTIONS(8243),
    [anon_sym_COLON2] = ACTIONS(8245),
    [anon_sym_LBRACE] = ACTIONS(8247),
    [anon_sym_exception] = ACTIONS(7953),
    [anon_sym_module] = ACTIONS(7953),
    [anon_sym_open] = ACTIONS(7953),
    [anon_sym_include] = ACTIONS(7953),
    [anon_sym_class] = ACTIONS(7953),
    [anon_sym_val] = ACTIONS(7953),
    [anon_sym_POUND] = ACTIONS(8249),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8251),
    [anon_sym_begin] = ACTIONS(8253),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8257),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7951),
    [aux_sym_number_token1] = ACTIONS(8259),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(8263),
    [anon_sym_DQUOTE] = ACTIONS(8265),
    [sym__uppercase_identifier] = ACTIONS(8267),
    [aux_sym_tag_token1] = ACTIONS(8269),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2946] = {
    [sym_parameter] = STATE(9128),
    [sym__class_typed] = STATE(13089),
    [sym__parenthesized_abstract_type] = STATE(9128),
    [sym__simple_pattern] = STATE(9129),
    [sym_typed_pattern] = STATE(9191),
    [sym_polymorphic_variant_pattern] = STATE(9191),
    [sym_record_pattern] = STATE(9191),
    [sym_list_pattern] = STATE(9191),
    [sym_array_pattern] = STATE(9191),
    [sym_local_open_pattern] = STATE(9191),
    [sym_package_pattern] = STATE(9191),
    [sym_parenthesized_pattern] = STATE(9191),
    [sym_attribute] = STATE(2946),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9191),
    [sym_quoted_extension] = STATE(9191),
    [sym__constant] = STATE(8944),
    [sym__signed_constant] = STATE(9191),
    [sym_number] = STATE(9006),
    [sym_signed_number] = STATE(8944),
    [sym_character] = STATE(9006),
    [sym_string] = STATE(9006),
    [sym_quoted_string] = STATE(9006),
    [sym_boolean] = STATE(9006),
    [sym_unit] = STATE(9006),
    [sym__simple_value_pattern] = STATE(9191),
    [sym_parenthesized_operator] = STATE(9191),
    [sym_module_path] = STATE(21050),
    [sym_constructor_path] = STATE(9191),
    [sym__constructor_name] = STATE(8994),
    [sym_tag] = STATE(9191),
    [aux_sym_expression_item_repeat1] = STATE(11668),
    [aux_sym_let_binding_repeat1] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8233),
    [anon_sym_SEMI_SEMI] = ACTIONS(8029),
    [anon_sym_and] = ACTIONS(8031),
    [anon_sym_EQ] = ACTIONS(8350),
    [anon_sym_TILDE] = ACTIONS(8237),
    [anon_sym_QMARK] = ACTIONS(8237),
    [anon_sym_LPAREN] = ACTIONS(8239),
    [anon_sym_external] = ACTIONS(8031),
    [anon_sym_type] = ACTIONS(8031),
    [anon_sym_LBRACK] = ACTIONS(8241),
    [anon_sym_RBRACK] = ACTIONS(8029),
    [anon_sym_true] = ACTIONS(8243),
    [anon_sym_false] = ACTIONS(8243),
    [anon_sym_COLON2] = ACTIONS(8245),
    [anon_sym_LBRACE] = ACTIONS(8247),
    [anon_sym_exception] = ACTIONS(8031),
    [anon_sym_module] = ACTIONS(8031),
    [anon_sym_open] = ACTIONS(8031),
    [anon_sym_include] = ACTIONS(8031),
    [anon_sym_class] = ACTIONS(8031),
    [anon_sym_val] = ACTIONS(8031),
    [anon_sym_POUND] = ACTIONS(8249),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8251),
    [anon_sym_begin] = ACTIONS(8253),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8257),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8029),
    [aux_sym_number_token1] = ACTIONS(8259),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(8263),
    [anon_sym_DQUOTE] = ACTIONS(8265),
    [sym__uppercase_identifier] = ACTIONS(8267),
    [aux_sym_tag_token1] = ACTIONS(8269),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2947] = {
    [sym_parameter] = STATE(9128),
    [sym__class_typed] = STATE(13085),
    [sym__parenthesized_abstract_type] = STATE(9128),
    [sym__simple_pattern] = STATE(9129),
    [sym_typed_pattern] = STATE(9191),
    [sym_polymorphic_variant_pattern] = STATE(9191),
    [sym_record_pattern] = STATE(9191),
    [sym_list_pattern] = STATE(9191),
    [sym_array_pattern] = STATE(9191),
    [sym_local_open_pattern] = STATE(9191),
    [sym_package_pattern] = STATE(9191),
    [sym_parenthesized_pattern] = STATE(9191),
    [sym_attribute] = STATE(2947),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9191),
    [sym_quoted_extension] = STATE(9191),
    [sym__constant] = STATE(8944),
    [sym__signed_constant] = STATE(9191),
    [sym_number] = STATE(9006),
    [sym_signed_number] = STATE(8944),
    [sym_character] = STATE(9006),
    [sym_string] = STATE(9006),
    [sym_quoted_string] = STATE(9006),
    [sym_boolean] = STATE(9006),
    [sym_unit] = STATE(9006),
    [sym__simple_value_pattern] = STATE(9191),
    [sym_parenthesized_operator] = STATE(9191),
    [sym_module_path] = STATE(21050),
    [sym_constructor_path] = STATE(9191),
    [sym__constructor_name] = STATE(8994),
    [sym_tag] = STATE(9191),
    [aux_sym_expression_item_repeat1] = STATE(11629),
    [aux_sym_let_binding_repeat1] = STATE(2940),
    [sym__lowercase_identifier] = ACTIONS(8233),
    [anon_sym_SEMI_SEMI] = ACTIONS(8005),
    [anon_sym_and] = ACTIONS(8007),
    [anon_sym_EQ] = ACTIONS(8352),
    [anon_sym_TILDE] = ACTIONS(8237),
    [anon_sym_QMARK] = ACTIONS(8237),
    [anon_sym_LPAREN] = ACTIONS(8239),
    [anon_sym_external] = ACTIONS(8007),
    [anon_sym_type] = ACTIONS(8007),
    [anon_sym_LBRACK] = ACTIONS(8241),
    [anon_sym_RBRACK] = ACTIONS(8005),
    [anon_sym_true] = ACTIONS(8243),
    [anon_sym_false] = ACTIONS(8243),
    [anon_sym_COLON2] = ACTIONS(8245),
    [anon_sym_LBRACE] = ACTIONS(8247),
    [anon_sym_exception] = ACTIONS(8007),
    [anon_sym_module] = ACTIONS(8007),
    [anon_sym_open] = ACTIONS(8007),
    [anon_sym_include] = ACTIONS(8007),
    [anon_sym_class] = ACTIONS(8007),
    [anon_sym_val] = ACTIONS(8007),
    [anon_sym_POUND] = ACTIONS(8249),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8251),
    [anon_sym_begin] = ACTIONS(8253),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8257),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8005),
    [aux_sym_number_token1] = ACTIONS(8259),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(8263),
    [anon_sym_DQUOTE] = ACTIONS(8265),
    [sym__uppercase_identifier] = ACTIONS(8267),
    [aux_sym_tag_token1] = ACTIONS(8269),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2948] = {
    [sym_parameter] = STATE(9128),
    [sym__class_typed] = STATE(13092),
    [sym__parenthesized_abstract_type] = STATE(9128),
    [sym__simple_pattern] = STATE(9129),
    [sym_typed_pattern] = STATE(9191),
    [sym_polymorphic_variant_pattern] = STATE(9191),
    [sym_record_pattern] = STATE(9191),
    [sym_list_pattern] = STATE(9191),
    [sym_array_pattern] = STATE(9191),
    [sym_local_open_pattern] = STATE(9191),
    [sym_package_pattern] = STATE(9191),
    [sym_parenthesized_pattern] = STATE(9191),
    [sym_attribute] = STATE(2948),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9191),
    [sym_quoted_extension] = STATE(9191),
    [sym__constant] = STATE(8944),
    [sym__signed_constant] = STATE(9191),
    [sym_number] = STATE(9006),
    [sym_signed_number] = STATE(8944),
    [sym_character] = STATE(9006),
    [sym_string] = STATE(9006),
    [sym_quoted_string] = STATE(9006),
    [sym_boolean] = STATE(9006),
    [sym_unit] = STATE(9006),
    [sym__simple_value_pattern] = STATE(9191),
    [sym_parenthesized_operator] = STATE(9191),
    [sym_module_path] = STATE(21050),
    [sym_constructor_path] = STATE(9191),
    [sym__constructor_name] = STATE(8994),
    [sym_tag] = STATE(9191),
    [aux_sym_expression_item_repeat1] = STATE(11764),
    [aux_sym_let_binding_repeat1] = STATE(2934),
    [sym__lowercase_identifier] = ACTIONS(8233),
    [anon_sym_SEMI_SEMI] = ACTIONS(7907),
    [anon_sym_and] = ACTIONS(7909),
    [anon_sym_EQ] = ACTIONS(8354),
    [anon_sym_TILDE] = ACTIONS(8237),
    [anon_sym_QMARK] = ACTIONS(8237),
    [anon_sym_LPAREN] = ACTIONS(8239),
    [anon_sym_external] = ACTIONS(7909),
    [anon_sym_type] = ACTIONS(7909),
    [anon_sym_LBRACK] = ACTIONS(8241),
    [anon_sym_RBRACK] = ACTIONS(7907),
    [anon_sym_true] = ACTIONS(8243),
    [anon_sym_false] = ACTIONS(8243),
    [anon_sym_COLON2] = ACTIONS(8245),
    [anon_sym_LBRACE] = ACTIONS(8247),
    [anon_sym_exception] = ACTIONS(7909),
    [anon_sym_module] = ACTIONS(7909),
    [anon_sym_open] = ACTIONS(7909),
    [anon_sym_include] = ACTIONS(7909),
    [anon_sym_class] = ACTIONS(7909),
    [anon_sym_val] = ACTIONS(7909),
    [anon_sym_POUND] = ACTIONS(8249),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8251),
    [anon_sym_begin] = ACTIONS(8253),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7907),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8257),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7907),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7907),
    [aux_sym_number_token1] = ACTIONS(8259),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(8263),
    [anon_sym_DQUOTE] = ACTIONS(8265),
    [sym__uppercase_identifier] = ACTIONS(8267),
    [aux_sym_tag_token1] = ACTIONS(8269),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2949] = {
    [sym_parameter] = STATE(8684),
    [sym__parenthesized_abstract_type] = STATE(8684),
    [sym__simple_pattern] = STATE(8561),
    [sym_typed_pattern] = STATE(8688),
    [sym_polymorphic_variant_pattern] = STATE(8688),
    [sym_record_pattern] = STATE(8688),
    [sym_list_pattern] = STATE(8688),
    [sym_array_pattern] = STATE(8688),
    [sym_local_open_pattern] = STATE(8688),
    [sym_package_pattern] = STATE(8688),
    [sym_parenthesized_pattern] = STATE(8688),
    [sym_attribute] = STATE(2949),
    [sym_extension] = STATE(8688),
    [sym_quoted_extension] = STATE(8688),
    [sym__constant] = STATE(8529),
    [sym__signed_constant] = STATE(8688),
    [sym_number] = STATE(8638),
    [sym_signed_number] = STATE(8529),
    [sym_character] = STATE(8638),
    [sym_string] = STATE(8638),
    [sym_quoted_string] = STATE(8638),
    [sym_boolean] = STATE(8638),
    [sym_unit] = STATE(8638),
    [sym__simple_value_pattern] = STATE(8688),
    [sym_parenthesized_operator] = STATE(8688),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(8688),
    [sym__constructor_name] = STATE(8569),
    [sym_tag] = STATE(8688),
    [aux_sym_let_binding_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(8356),
    [anon_sym_SEMI_SEMI] = ACTIONS(8291),
    [anon_sym_let] = ACTIONS(8296),
    [anon_sym_and] = ACTIONS(8296),
    [anon_sym_EQ] = ACTIONS(8291),
    [anon_sym_TILDE] = ACTIONS(8359),
    [anon_sym_QMARK] = ACTIONS(8359),
    [anon_sym_LPAREN] = ACTIONS(8362),
    [anon_sym_external] = ACTIONS(8296),
    [anon_sym_type] = ACTIONS(8296),
    [anon_sym_LBRACK] = ACTIONS(8365),
    [anon_sym_true] = ACTIONS(8368),
    [anon_sym_false] = ACTIONS(8368),
    [anon_sym_COLON2] = ACTIONS(8291),
    [anon_sym_LBRACE] = ACTIONS(8371),
    [anon_sym_exception] = ACTIONS(8296),
    [anon_sym_module] = ACTIONS(8296),
    [anon_sym_open] = ACTIONS(8296),
    [anon_sym_include] = ACTIONS(8296),
    [anon_sym_class] = ACTIONS(8296),
    [anon_sym_end] = ACTIONS(8296),
    [anon_sym_POUND] = ACTIONS(8374),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8377),
    [anon_sym_begin] = ACTIONS(8380),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8296),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8291),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8383),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8386),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8291),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8291),
    [aux_sym_number_token1] = ACTIONS(8389),
    [aux_sym_signed_number_token1] = ACTIONS(8392),
    [anon_sym_SQUOTE] = ACTIONS(8395),
    [anon_sym_DQUOTE] = ACTIONS(8398),
    [sym_let_operator] = ACTIONS(8291),
    [sym__uppercase_identifier] = ACTIONS(8401),
    [aux_sym_directive_token1] = ACTIONS(8296),
    [aux_sym_tag_token1] = ACTIONS(8404),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2950] = {
    [sym__parenthesized_abstract_type] = STATE(4245),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14484),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2950),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2950),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2955),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_COMMA] = ACTIONS(8179),
    [anon_sym_PIPE] = ACTIONS(8179),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_RBRACK] = ACTIONS(8179),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_SEMI] = ACTIONS(8179),
    [anon_sym_RBRACE] = ACTIONS(8179),
    [anon_sym_exception] = ACTIONS(8407),
    [anon_sym_as] = ACTIONS(8183),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_COLON_COLON] = ACTIONS(8179),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(8409),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(8411),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2951] = {
    [sym_parameter] = STATE(9001),
    [sym__parenthesized_abstract_type] = STATE(9001),
    [sym__simple_pattern] = STATE(9002),
    [sym_typed_pattern] = STATE(8963),
    [sym_polymorphic_variant_pattern] = STATE(8963),
    [sym_record_pattern] = STATE(8963),
    [sym_list_pattern] = STATE(8963),
    [sym_array_pattern] = STATE(8963),
    [sym_local_open_pattern] = STATE(8963),
    [sym_package_pattern] = STATE(8963),
    [sym_parenthesized_pattern] = STATE(8963),
    [sym_attribute] = STATE(2951),
    [sym_extension] = STATE(8963),
    [sym_quoted_extension] = STATE(8963),
    [sym__constant] = STATE(9044),
    [sym__signed_constant] = STATE(8963),
    [sym_number] = STATE(8881),
    [sym_signed_number] = STATE(9044),
    [sym_character] = STATE(8881),
    [sym_string] = STATE(8881),
    [sym_quoted_string] = STATE(8881),
    [sym_boolean] = STATE(8881),
    [sym_unit] = STATE(8881),
    [sym__simple_value_pattern] = STATE(8963),
    [sym_parenthesized_operator] = STATE(8963),
    [sym_module_path] = STATE(21728),
    [sym_constructor_path] = STATE(8963),
    [sym__constructor_name] = STATE(8906),
    [sym_tag] = STATE(8963),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(8415),
    [anon_sym_SEMI_SEMI] = ACTIONS(8291),
    [anon_sym_and] = ACTIONS(8296),
    [anon_sym_EQ] = ACTIONS(8291),
    [anon_sym_TILDE] = ACTIONS(8418),
    [anon_sym_QMARK] = ACTIONS(8418),
    [anon_sym_LPAREN] = ACTIONS(8421),
    [anon_sym_external] = ACTIONS(8296),
    [anon_sym_type] = ACTIONS(8296),
    [anon_sym_LBRACK] = ACTIONS(8424),
    [anon_sym_true] = ACTIONS(8427),
    [anon_sym_false] = ACTIONS(8427),
    [anon_sym_COLON2] = ACTIONS(8291),
    [anon_sym_LBRACE] = ACTIONS(8430),
    [anon_sym_exception] = ACTIONS(8296),
    [anon_sym_module] = ACTIONS(8296),
    [anon_sym_open] = ACTIONS(8296),
    [anon_sym_include] = ACTIONS(8296),
    [anon_sym_class] = ACTIONS(8296),
    [anon_sym_val] = ACTIONS(8296),
    [anon_sym_end] = ACTIONS(8296),
    [anon_sym_POUND] = ACTIONS(8433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8436),
    [anon_sym_begin] = ACTIONS(8439),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8296),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8291),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8442),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8445),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8291),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8291),
    [aux_sym_number_token1] = ACTIONS(8448),
    [aux_sym_signed_number_token1] = ACTIONS(8451),
    [anon_sym_SQUOTE] = ACTIONS(8454),
    [anon_sym_DQUOTE] = ACTIONS(8457),
    [sym__uppercase_identifier] = ACTIONS(8460),
    [aux_sym_tag_token1] = ACTIONS(8463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2952] = {
    [sym__binding_pattern] = STATE(10159),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(2952),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_COLON_GT] = ACTIONS(5881),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_TILDE] = ACTIONS(5881),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_COLON2] = ACTIONS(5885),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_in] = ACTIONS(5885),
    [anon_sym_as] = ACTIONS(5885),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_COLON_COLON] = ACTIONS(5881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym_let_and_operator] = ACTIONS(5881),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2953] = {
    [sym__parenthesized_abstract_type] = STATE(4148),
    [sym__simple_pattern] = STATE(15491),
    [sym__effect_pattern] = STATE(15501),
    [sym__pattern] = STATE(15403),
    [sym_alias_pattern] = STATE(15501),
    [sym_typed_pattern] = STATE(15376),
    [sym_or_pattern] = STATE(15501),
    [sym_constructor_pattern] = STATE(15491),
    [sym_tag_pattern] = STATE(15491),
    [sym_polymorphic_variant_pattern] = STATE(15376),
    [sym_tuple_pattern] = STATE(15501),
    [sym_record_pattern] = STATE(15376),
    [sym_list_pattern] = STATE(15376),
    [sym_cons_pattern] = STATE(15501),
    [sym_array_pattern] = STATE(15376),
    [sym_range_pattern] = STATE(15501),
    [sym_lazy_pattern] = STATE(15491),
    [sym_local_open_pattern] = STATE(15376),
    [sym_package_pattern] = STATE(15376),
    [sym_parenthesized_pattern] = STATE(15376),
    [sym_exception_pattern] = STATE(15501),
    [sym_effect_pattern] = STATE(15501),
    [sym_attribute] = STATE(2953),
    [sym_extension] = STATE(15376),
    [sym_quoted_extension] = STATE(15376),
    [sym__constant] = STATE(15087),
    [sym__signed_constant] = STATE(15185),
    [sym_number] = STATE(14977),
    [sym_signed_number] = STATE(15087),
    [sym_character] = STATE(14977),
    [sym_string] = STATE(14977),
    [sym_quoted_string] = STATE(14977),
    [sym_boolean] = STATE(14977),
    [sym_unit] = STATE(14977),
    [sym__simple_value_pattern] = STATE(15376),
    [sym_parenthesized_operator] = STATE(15376),
    [sym_module_path] = STATE(19679),
    [sym_constructor_path] = STATE(2953),
    [sym__constructor_name] = STATE(10625),
    [sym_tag] = STATE(2957),
    [sym__lowercase_identifier] = ACTIONS(8500),
    [anon_sym_LPAREN] = ACTIONS(8502),
    [anon_sym_COMMA] = ACTIONS(8179),
    [anon_sym_PIPE] = ACTIONS(8183),
    [anon_sym_LBRACK] = ACTIONS(8504),
    [anon_sym_true] = ACTIONS(8506),
    [anon_sym_false] = ACTIONS(8506),
    [anon_sym_LBRACE] = ACTIONS(8508),
    [anon_sym_SEMI] = ACTIONS(8179),
    [anon_sym_exception] = ACTIONS(8510),
    [anon_sym_as] = ACTIONS(8183),
    [anon_sym_POUND] = ACTIONS(8512),
    [anon_sym_COLON_COLON] = ACTIONS(8179),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8514),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8179),
    [anon_sym_lazy] = ACTIONS(8516),
    [anon_sym_begin] = ACTIONS(8518),
    [anon_sym_effect] = ACTIONS(8520),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8522),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8524),
    [aux_sym_number_token1] = ACTIONS(8526),
    [aux_sym_signed_number_token1] = ACTIONS(8528),
    [anon_sym_SQUOTE] = ACTIONS(8530),
    [anon_sym_DQUOTE] = ACTIONS(8532),
    [sym__uppercase_identifier] = ACTIONS(8534),
    [aux_sym_tag_token1] = ACTIONS(8536),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2954] = {
    [sym_parameter] = STATE(9128),
    [sym__parenthesized_abstract_type] = STATE(9128),
    [sym__simple_pattern] = STATE(9129),
    [sym_typed_pattern] = STATE(9191),
    [sym_polymorphic_variant_pattern] = STATE(9191),
    [sym_record_pattern] = STATE(9191),
    [sym_list_pattern] = STATE(9191),
    [sym_array_pattern] = STATE(9191),
    [sym_local_open_pattern] = STATE(9191),
    [sym_package_pattern] = STATE(9191),
    [sym_parenthesized_pattern] = STATE(9191),
    [sym_attribute] = STATE(2954),
    [sym_extension] = STATE(9191),
    [sym_quoted_extension] = STATE(9191),
    [sym__constant] = STATE(8944),
    [sym__signed_constant] = STATE(9191),
    [sym_number] = STATE(9006),
    [sym_signed_number] = STATE(8944),
    [sym_character] = STATE(9006),
    [sym_string] = STATE(9006),
    [sym_quoted_string] = STATE(9006),
    [sym_boolean] = STATE(9006),
    [sym_unit] = STATE(9006),
    [sym__simple_value_pattern] = STATE(9191),
    [sym_parenthesized_operator] = STATE(9191),
    [sym_module_path] = STATE(21050),
    [sym_constructor_path] = STATE(9191),
    [sym__constructor_name] = STATE(8994),
    [sym_tag] = STATE(9191),
    [aux_sym_let_binding_repeat1] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8538),
    [anon_sym_SEMI_SEMI] = ACTIONS(8291),
    [anon_sym_and] = ACTIONS(8296),
    [anon_sym_EQ] = ACTIONS(8291),
    [anon_sym_TILDE] = ACTIONS(8541),
    [anon_sym_QMARK] = ACTIONS(8541),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_external] = ACTIONS(8296),
    [anon_sym_type] = ACTIONS(8296),
    [anon_sym_LBRACK] = ACTIONS(8547),
    [anon_sym_RBRACK] = ACTIONS(8291),
    [anon_sym_true] = ACTIONS(8550),
    [anon_sym_false] = ACTIONS(8550),
    [anon_sym_COLON2] = ACTIONS(8291),
    [anon_sym_LBRACE] = ACTIONS(8553),
    [anon_sym_exception] = ACTIONS(8296),
    [anon_sym_module] = ACTIONS(8296),
    [anon_sym_open] = ACTIONS(8296),
    [anon_sym_include] = ACTIONS(8296),
    [anon_sym_class] = ACTIONS(8296),
    [anon_sym_val] = ACTIONS(8296),
    [anon_sym_POUND] = ACTIONS(8556),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8559),
    [anon_sym_begin] = ACTIONS(8562),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8296),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8291),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8568),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8291),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8291),
    [aux_sym_number_token1] = ACTIONS(8571),
    [aux_sym_signed_number_token1] = ACTIONS(8574),
    [anon_sym_SQUOTE] = ACTIONS(8577),
    [anon_sym_DQUOTE] = ACTIONS(8580),
    [sym__uppercase_identifier] = ACTIONS(8583),
    [aux_sym_tag_token1] = ACTIONS(8586),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2955] = {
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14490),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2955),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2950),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2955),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_COMMA] = ACTIONS(8179),
    [anon_sym_PIPE] = ACTIONS(8179),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_RBRACK] = ACTIONS(8179),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_SEMI] = ACTIONS(8179),
    [anon_sym_RBRACE] = ACTIONS(8179),
    [anon_sym_exception] = ACTIONS(8407),
    [anon_sym_as] = ACTIONS(8183),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_COLON_COLON] = ACTIONS(8179),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(8409),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(8411),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2956] = {
    [sym__binding_pattern] = STATE(10176),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(2956),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_COLON_GT] = ACTIONS(5881),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_TILDE] = ACTIONS(5881),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_COLON2] = ACTIONS(5885),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_in] = ACTIONS(5885),
    [anon_sym_as] = ACTIONS(5885),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_COLON_COLON] = ACTIONS(5881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym_let_and_operator] = ACTIONS(5881),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2957] = {
    [sym__simple_pattern] = STATE(15491),
    [sym__effect_pattern] = STATE(15501),
    [sym__pattern] = STATE(15418),
    [sym_alias_pattern] = STATE(15501),
    [sym_typed_pattern] = STATE(15376),
    [sym_or_pattern] = STATE(15501),
    [sym_constructor_pattern] = STATE(15491),
    [sym_tag_pattern] = STATE(15491),
    [sym_polymorphic_variant_pattern] = STATE(15376),
    [sym_tuple_pattern] = STATE(15501),
    [sym_record_pattern] = STATE(15376),
    [sym_list_pattern] = STATE(15376),
    [sym_cons_pattern] = STATE(15501),
    [sym_array_pattern] = STATE(15376),
    [sym_range_pattern] = STATE(15501),
    [sym_lazy_pattern] = STATE(15491),
    [sym_local_open_pattern] = STATE(15376),
    [sym_package_pattern] = STATE(15376),
    [sym_parenthesized_pattern] = STATE(15376),
    [sym_exception_pattern] = STATE(15501),
    [sym_effect_pattern] = STATE(15501),
    [sym_attribute] = STATE(2957),
    [sym_extension] = STATE(15376),
    [sym_quoted_extension] = STATE(15376),
    [sym__constant] = STATE(15087),
    [sym__signed_constant] = STATE(15185),
    [sym_number] = STATE(14977),
    [sym_signed_number] = STATE(15087),
    [sym_character] = STATE(14977),
    [sym_string] = STATE(14977),
    [sym_quoted_string] = STATE(14977),
    [sym_boolean] = STATE(14977),
    [sym_unit] = STATE(14977),
    [sym__simple_value_pattern] = STATE(15376),
    [sym_parenthesized_operator] = STATE(15376),
    [sym_module_path] = STATE(19679),
    [sym_constructor_path] = STATE(2953),
    [sym__constructor_name] = STATE(10625),
    [sym_tag] = STATE(2957),
    [sym__lowercase_identifier] = ACTIONS(8500),
    [anon_sym_LPAREN] = ACTIONS(8589),
    [anon_sym_COMMA] = ACTIONS(8179),
    [anon_sym_PIPE] = ACTIONS(8183),
    [anon_sym_LBRACK] = ACTIONS(8504),
    [anon_sym_true] = ACTIONS(8506),
    [anon_sym_false] = ACTIONS(8506),
    [anon_sym_LBRACE] = ACTIONS(8508),
    [anon_sym_SEMI] = ACTIONS(8179),
    [anon_sym_exception] = ACTIONS(8510),
    [anon_sym_as] = ACTIONS(8183),
    [anon_sym_POUND] = ACTIONS(8512),
    [anon_sym_COLON_COLON] = ACTIONS(8179),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8514),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8179),
    [anon_sym_lazy] = ACTIONS(8516),
    [anon_sym_begin] = ACTIONS(8518),
    [anon_sym_effect] = ACTIONS(8520),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8522),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8524),
    [aux_sym_number_token1] = ACTIONS(8526),
    [aux_sym_signed_number_token1] = ACTIONS(8528),
    [anon_sym_SQUOTE] = ACTIONS(8530),
    [anon_sym_DQUOTE] = ACTIONS(8532),
    [sym__uppercase_identifier] = ACTIONS(8534),
    [aux_sym_tag_token1] = ACTIONS(8536),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2958] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(11847),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14904),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2958),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3306),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2959] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(10868),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15121),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2959),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3250),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8595),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2960] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(10025),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15025),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2960),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3190),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8597),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2961] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(10662),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2961),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3238),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8599),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2962] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15011),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2962),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3123),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2963] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13926),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15219),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2963),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3266),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2964] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9549),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14940),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2964),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3294),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8605),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2965] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(10662),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2965),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3161),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8599),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2966] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9872),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15114),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2966),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3310),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2967] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9722),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15194),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2967),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3233),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8609),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2968] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(13581),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15143),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2968),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3202),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8611),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2969] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13307),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2969),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3124),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8613),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2970] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14916),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2970),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3169),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8615),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2971] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(13917),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14939),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2971),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3078),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8617),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2972] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(13926),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15219),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2972),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3271),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2973] = {
    [sym__match_cases] = STATE(11956),
    [sym_match_case] = STATE(12922),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14947),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2973),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3287),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8619),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2974] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(13276),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14989),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2974),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3135),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8621),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2975] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(13523),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14967),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2975),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8623),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2976] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13858),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15063),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2976),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3164),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8625),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2977] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13276),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14989),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2977),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3096),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8621),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2978] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13917),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14939),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2978),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3222),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8617),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2979] = {
    [sym_parameter] = STATE(9903),
    [sym__polymorphic_typed] = STATE(14244),
    [sym__parenthesized_abstract_type] = STATE(9903),
    [sym__simple_pattern] = STATE(10083),
    [sym_typed_pattern] = STATE(9926),
    [sym_polymorphic_variant_pattern] = STATE(9926),
    [sym_record_pattern] = STATE(9926),
    [sym_list_pattern] = STATE(9926),
    [sym_array_pattern] = STATE(9926),
    [sym_local_open_pattern] = STATE(9926),
    [sym_package_pattern] = STATE(9926),
    [sym_parenthesized_pattern] = STATE(9926),
    [sym_attribute] = STATE(2979),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9926),
    [sym_quoted_extension] = STATE(9926),
    [sym__constant] = STATE(9869),
    [sym__signed_constant] = STATE(9926),
    [sym_number] = STATE(9902),
    [sym_signed_number] = STATE(9869),
    [sym_character] = STATE(9902),
    [sym_string] = STATE(9902),
    [sym_quoted_string] = STATE(9902),
    [sym_boolean] = STATE(9902),
    [sym_unit] = STATE(9902),
    [sym__simple_value_pattern] = STATE(9926),
    [sym_parenthesized_operator] = STATE(9926),
    [sym_module_path] = STATE(20137),
    [sym_constructor_path] = STATE(9926),
    [sym__constructor_name] = STATE(9947),
    [sym_tag] = STATE(9926),
    [aux_sym_expression_item_repeat1] = STATE(14533),
    [aux_sym_let_binding_repeat1] = STATE(3011),
    [sym__lowercase_identifier] = ACTIONS(8627),
    [anon_sym_EQ] = ACTIONS(8629),
    [anon_sym_TILDE] = ACTIONS(8631),
    [anon_sym_QMARK] = ACTIONS(8631),
    [anon_sym_LPAREN] = ACTIONS(8633),
    [anon_sym_LBRACK] = ACTIONS(8635),
    [anon_sym_true] = ACTIONS(8637),
    [anon_sym_false] = ACTIONS(8637),
    [anon_sym_COLON2] = ACTIONS(8639),
    [anon_sym_LBRACE] = ACTIONS(8641),
    [anon_sym_constraint] = ACTIONS(8643),
    [anon_sym_val] = ACTIONS(8643),
    [anon_sym_end] = ACTIONS(8643),
    [anon_sym_inherit] = ACTIONS(8643),
    [anon_sym_method] = ACTIONS(8643),
    [anon_sym_initializer] = ACTIONS(8643),
    [anon_sym_POUND] = ACTIONS(8645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8647),
    [anon_sym_begin] = ACTIONS(8649),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8651),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8653),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8655),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8651),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8651),
    [aux_sym_number_token1] = ACTIONS(8657),
    [aux_sym_signed_number_token1] = ACTIONS(8659),
    [anon_sym_SQUOTE] = ACTIONS(8661),
    [anon_sym_DQUOTE] = ACTIONS(8663),
    [sym__uppercase_identifier] = ACTIONS(8665),
    [aux_sym_tag_token1] = ACTIONS(8667),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2980] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9484),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14908),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2980),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3130),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8669),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2981] = {
    [sym__match_cases] = STATE(11956),
    [sym_match_case] = STATE(13543),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14938),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2981),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3270),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8671),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2982] = {
    [sym__match_cases] = STATE(11956),
    [sym_match_case] = STATE(12252),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15220),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2982),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3079),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8673),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2983] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(13298),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15029),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2983),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3317),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8675),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2984] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9439),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15106),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2984),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3200),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8677),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2985] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(11847),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14904),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2985),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3257),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2986] = {
    [sym__match_cases] = STATE(11956),
    [sym_match_case] = STATE(13642),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14926),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2986),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3259),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8679),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2987] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(11485),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14956),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2987),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3091),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2988] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(10868),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15121),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2988),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3205),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8595),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2989] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9254),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14914),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2989),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3156),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8683),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2990] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9686),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15128),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2990),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3215),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8685),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2991] = {
    [sym_parameter] = STATE(9903),
    [sym__polymorphic_typed] = STATE(14251),
    [sym__parenthesized_abstract_type] = STATE(9903),
    [sym__simple_pattern] = STATE(10083),
    [sym_typed_pattern] = STATE(9926),
    [sym_polymorphic_variant_pattern] = STATE(9926),
    [sym_record_pattern] = STATE(9926),
    [sym_list_pattern] = STATE(9926),
    [sym_array_pattern] = STATE(9926),
    [sym_local_open_pattern] = STATE(9926),
    [sym_package_pattern] = STATE(9926),
    [sym_parenthesized_pattern] = STATE(9926),
    [sym_attribute] = STATE(2991),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9926),
    [sym_quoted_extension] = STATE(9926),
    [sym__constant] = STATE(9869),
    [sym__signed_constant] = STATE(9926),
    [sym_number] = STATE(9902),
    [sym_signed_number] = STATE(9869),
    [sym_character] = STATE(9902),
    [sym_string] = STATE(9902),
    [sym_quoted_string] = STATE(9902),
    [sym_boolean] = STATE(9902),
    [sym_unit] = STATE(9902),
    [sym__simple_value_pattern] = STATE(9926),
    [sym_parenthesized_operator] = STATE(9926),
    [sym_module_path] = STATE(20137),
    [sym_constructor_path] = STATE(9926),
    [sym__constructor_name] = STATE(9947),
    [sym_tag] = STATE(9926),
    [aux_sym_expression_item_repeat1] = STATE(14409),
    [aux_sym_let_binding_repeat1] = STATE(3009),
    [sym__lowercase_identifier] = ACTIONS(8627),
    [anon_sym_EQ] = ACTIONS(8687),
    [anon_sym_TILDE] = ACTIONS(8631),
    [anon_sym_QMARK] = ACTIONS(8631),
    [anon_sym_LPAREN] = ACTIONS(8633),
    [anon_sym_LBRACK] = ACTIONS(8635),
    [anon_sym_true] = ACTIONS(8637),
    [anon_sym_false] = ACTIONS(8637),
    [anon_sym_COLON2] = ACTIONS(8639),
    [anon_sym_LBRACE] = ACTIONS(8641),
    [anon_sym_constraint] = ACTIONS(8689),
    [anon_sym_val] = ACTIONS(8689),
    [anon_sym_end] = ACTIONS(8689),
    [anon_sym_inherit] = ACTIONS(8689),
    [anon_sym_method] = ACTIONS(8689),
    [anon_sym_initializer] = ACTIONS(8689),
    [anon_sym_POUND] = ACTIONS(8645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8647),
    [anon_sym_begin] = ACTIONS(8649),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8691),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8653),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8655),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8691),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8691),
    [aux_sym_number_token1] = ACTIONS(8657),
    [aux_sym_signed_number_token1] = ACTIONS(8659),
    [anon_sym_SQUOTE] = ACTIONS(8661),
    [anon_sym_DQUOTE] = ACTIONS(8663),
    [sym__uppercase_identifier] = ACTIONS(8665),
    [aux_sym_tag_token1] = ACTIONS(8667),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2992] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9626),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15239),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2992),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3258),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8693),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2993] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9319),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14909),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2993),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3142),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2994] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(13728),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14966),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2994),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3112),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2995] = {
    [sym__match_cases] = STATE(11956),
    [sym_match_case] = STATE(13248),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14996),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2995),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3307),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2996] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15011),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2996),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3104),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2997] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9629),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14905),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2997),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3241),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2998] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9517),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14922),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(2998),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3182),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2999] = {
    [sym_parameter] = STATE(9903),
    [sym__polymorphic_typed] = STATE(14301),
    [sym__parenthesized_abstract_type] = STATE(9903),
    [sym__simple_pattern] = STATE(10083),
    [sym_typed_pattern] = STATE(9926),
    [sym_polymorphic_variant_pattern] = STATE(9926),
    [sym_record_pattern] = STATE(9926),
    [sym_list_pattern] = STATE(9926),
    [sym_array_pattern] = STATE(9926),
    [sym_local_open_pattern] = STATE(9926),
    [sym_package_pattern] = STATE(9926),
    [sym_parenthesized_pattern] = STATE(9926),
    [sym_attribute] = STATE(2999),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9926),
    [sym_quoted_extension] = STATE(9926),
    [sym__constant] = STATE(9869),
    [sym__signed_constant] = STATE(9926),
    [sym_number] = STATE(9902),
    [sym_signed_number] = STATE(9869),
    [sym_character] = STATE(9902),
    [sym_string] = STATE(9902),
    [sym_quoted_string] = STATE(9902),
    [sym_boolean] = STATE(9902),
    [sym_unit] = STATE(9902),
    [sym__simple_value_pattern] = STATE(9926),
    [sym_parenthesized_operator] = STATE(9926),
    [sym_module_path] = STATE(20137),
    [sym_constructor_path] = STATE(9926),
    [sym__constructor_name] = STATE(9947),
    [sym_tag] = STATE(9926),
    [aux_sym_expression_item_repeat1] = STATE(14461),
    [aux_sym_let_binding_repeat1] = STATE(3372),
    [sym__lowercase_identifier] = ACTIONS(8627),
    [anon_sym_EQ] = ACTIONS(8705),
    [anon_sym_TILDE] = ACTIONS(8631),
    [anon_sym_QMARK] = ACTIONS(8631),
    [anon_sym_LPAREN] = ACTIONS(8633),
    [anon_sym_LBRACK] = ACTIONS(8635),
    [anon_sym_true] = ACTIONS(8637),
    [anon_sym_false] = ACTIONS(8637),
    [anon_sym_COLON2] = ACTIONS(8639),
    [anon_sym_LBRACE] = ACTIONS(8641),
    [anon_sym_constraint] = ACTIONS(8707),
    [anon_sym_val] = ACTIONS(8707),
    [anon_sym_end] = ACTIONS(8707),
    [anon_sym_inherit] = ACTIONS(8707),
    [anon_sym_method] = ACTIONS(8707),
    [anon_sym_initializer] = ACTIONS(8707),
    [anon_sym_POUND] = ACTIONS(8645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8647),
    [anon_sym_begin] = ACTIONS(8649),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8709),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8653),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8655),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8709),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8709),
    [aux_sym_number_token1] = ACTIONS(8657),
    [aux_sym_signed_number_token1] = ACTIONS(8659),
    [anon_sym_SQUOTE] = ACTIONS(8661),
    [anon_sym_DQUOTE] = ACTIONS(8663),
    [sym__uppercase_identifier] = ACTIONS(8665),
    [aux_sym_tag_token1] = ACTIONS(8667),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3000] = {
    [sym_parameter] = STATE(9903),
    [sym__polymorphic_typed] = STATE(14231),
    [sym__parenthesized_abstract_type] = STATE(9903),
    [sym__simple_pattern] = STATE(10083),
    [sym_typed_pattern] = STATE(9926),
    [sym_polymorphic_variant_pattern] = STATE(9926),
    [sym_record_pattern] = STATE(9926),
    [sym_list_pattern] = STATE(9926),
    [sym_array_pattern] = STATE(9926),
    [sym_local_open_pattern] = STATE(9926),
    [sym_package_pattern] = STATE(9926),
    [sym_parenthesized_pattern] = STATE(9926),
    [sym_attribute] = STATE(3000),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9926),
    [sym_quoted_extension] = STATE(9926),
    [sym__constant] = STATE(9869),
    [sym__signed_constant] = STATE(9926),
    [sym_number] = STATE(9902),
    [sym_signed_number] = STATE(9869),
    [sym_character] = STATE(9902),
    [sym_string] = STATE(9902),
    [sym_quoted_string] = STATE(9902),
    [sym_boolean] = STATE(9902),
    [sym_unit] = STATE(9902),
    [sym__simple_value_pattern] = STATE(9926),
    [sym_parenthesized_operator] = STATE(9926),
    [sym_module_path] = STATE(20137),
    [sym_constructor_path] = STATE(9926),
    [sym__constructor_name] = STATE(9947),
    [sym_tag] = STATE(9926),
    [aux_sym_expression_item_repeat1] = STATE(14358),
    [aux_sym_let_binding_repeat1] = STATE(2999),
    [sym__lowercase_identifier] = ACTIONS(8627),
    [anon_sym_EQ] = ACTIONS(8711),
    [anon_sym_TILDE] = ACTIONS(8631),
    [anon_sym_QMARK] = ACTIONS(8631),
    [anon_sym_LPAREN] = ACTIONS(8633),
    [anon_sym_LBRACK] = ACTIONS(8635),
    [anon_sym_true] = ACTIONS(8637),
    [anon_sym_false] = ACTIONS(8637),
    [anon_sym_COLON2] = ACTIONS(8639),
    [anon_sym_LBRACE] = ACTIONS(8641),
    [anon_sym_constraint] = ACTIONS(8713),
    [anon_sym_val] = ACTIONS(8713),
    [anon_sym_end] = ACTIONS(8713),
    [anon_sym_inherit] = ACTIONS(8713),
    [anon_sym_method] = ACTIONS(8713),
    [anon_sym_initializer] = ACTIONS(8713),
    [anon_sym_POUND] = ACTIONS(8645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8647),
    [anon_sym_begin] = ACTIONS(8649),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8715),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8653),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8655),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8715),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8715),
    [aux_sym_number_token1] = ACTIONS(8657),
    [aux_sym_signed_number_token1] = ACTIONS(8659),
    [anon_sym_SQUOTE] = ACTIONS(8661),
    [anon_sym_DQUOTE] = ACTIONS(8663),
    [sym__uppercase_identifier] = ACTIONS(8665),
    [aux_sym_tag_token1] = ACTIONS(8667),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3001] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(13858),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15063),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3001),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3140),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8625),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3002] = {
    [sym__match_cases] = STATE(11956),
    [sym_match_case] = STATE(13115),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15058),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3002),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3320),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3003] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13298),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15029),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3003),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3115),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8675),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3004] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9539),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15083),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3004),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3191),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3005] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9528),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15170),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3005),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3224),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3006] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(13307),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3006),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3129),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8613),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3007] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9401),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15250),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3007),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3273),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8723),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3008] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9819),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14951),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3008),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3167),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8725),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3009] = {
    [sym_parameter] = STATE(9903),
    [sym__polymorphic_typed] = STATE(14277),
    [sym__parenthesized_abstract_type] = STATE(9903),
    [sym__simple_pattern] = STATE(10083),
    [sym_typed_pattern] = STATE(9926),
    [sym_polymorphic_variant_pattern] = STATE(9926),
    [sym_record_pattern] = STATE(9926),
    [sym_list_pattern] = STATE(9926),
    [sym_array_pattern] = STATE(9926),
    [sym_local_open_pattern] = STATE(9926),
    [sym_package_pattern] = STATE(9926),
    [sym_parenthesized_pattern] = STATE(9926),
    [sym_attribute] = STATE(3009),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9926),
    [sym_quoted_extension] = STATE(9926),
    [sym__constant] = STATE(9869),
    [sym__signed_constant] = STATE(9926),
    [sym_number] = STATE(9902),
    [sym_signed_number] = STATE(9869),
    [sym_character] = STATE(9902),
    [sym_string] = STATE(9902),
    [sym_quoted_string] = STATE(9902),
    [sym_boolean] = STATE(9902),
    [sym_unit] = STATE(9902),
    [sym__simple_value_pattern] = STATE(9926),
    [sym_parenthesized_operator] = STATE(9926),
    [sym_module_path] = STATE(20137),
    [sym_constructor_path] = STATE(9926),
    [sym__constructor_name] = STATE(9947),
    [sym_tag] = STATE(9926),
    [aux_sym_expression_item_repeat1] = STATE(14396),
    [aux_sym_let_binding_repeat1] = STATE(3372),
    [sym__lowercase_identifier] = ACTIONS(8627),
    [anon_sym_EQ] = ACTIONS(8727),
    [anon_sym_TILDE] = ACTIONS(8631),
    [anon_sym_QMARK] = ACTIONS(8631),
    [anon_sym_LPAREN] = ACTIONS(8633),
    [anon_sym_LBRACK] = ACTIONS(8635),
    [anon_sym_true] = ACTIONS(8637),
    [anon_sym_false] = ACTIONS(8637),
    [anon_sym_COLON2] = ACTIONS(8639),
    [anon_sym_LBRACE] = ACTIONS(8641),
    [anon_sym_constraint] = ACTIONS(8729),
    [anon_sym_val] = ACTIONS(8729),
    [anon_sym_end] = ACTIONS(8729),
    [anon_sym_inherit] = ACTIONS(8729),
    [anon_sym_method] = ACTIONS(8729),
    [anon_sym_initializer] = ACTIONS(8729),
    [anon_sym_POUND] = ACTIONS(8645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8647),
    [anon_sym_begin] = ACTIONS(8649),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8731),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8653),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8655),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8731),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8731),
    [aux_sym_number_token1] = ACTIONS(8657),
    [aux_sym_signed_number_token1] = ACTIONS(8659),
    [anon_sym_SQUOTE] = ACTIONS(8661),
    [anon_sym_DQUOTE] = ACTIONS(8663),
    [sym__uppercase_identifier] = ACTIONS(8665),
    [aux_sym_tag_token1] = ACTIONS(8667),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3010] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13728),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14966),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3010),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3099),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3011] = {
    [sym_parameter] = STATE(9903),
    [sym__polymorphic_typed] = STATE(14300),
    [sym__parenthesized_abstract_type] = STATE(9903),
    [sym__simple_pattern] = STATE(10083),
    [sym_typed_pattern] = STATE(9926),
    [sym_polymorphic_variant_pattern] = STATE(9926),
    [sym_record_pattern] = STATE(9926),
    [sym_list_pattern] = STATE(9926),
    [sym_array_pattern] = STATE(9926),
    [sym_local_open_pattern] = STATE(9926),
    [sym_package_pattern] = STATE(9926),
    [sym_parenthesized_pattern] = STATE(9926),
    [sym_attribute] = STATE(3011),
    [sym_item_attribute] = STATE(11285),
    [sym_extension] = STATE(9926),
    [sym_quoted_extension] = STATE(9926),
    [sym__constant] = STATE(9869),
    [sym__signed_constant] = STATE(9926),
    [sym_number] = STATE(9902),
    [sym_signed_number] = STATE(9869),
    [sym_character] = STATE(9902),
    [sym_string] = STATE(9902),
    [sym_quoted_string] = STATE(9902),
    [sym_boolean] = STATE(9902),
    [sym_unit] = STATE(9902),
    [sym__simple_value_pattern] = STATE(9926),
    [sym_parenthesized_operator] = STATE(9926),
    [sym_module_path] = STATE(20137),
    [sym_constructor_path] = STATE(9926),
    [sym__constructor_name] = STATE(9947),
    [sym_tag] = STATE(9926),
    [aux_sym_expression_item_repeat1] = STATE(14394),
    [aux_sym_let_binding_repeat1] = STATE(3372),
    [sym__lowercase_identifier] = ACTIONS(8627),
    [anon_sym_EQ] = ACTIONS(8733),
    [anon_sym_TILDE] = ACTIONS(8631),
    [anon_sym_QMARK] = ACTIONS(8631),
    [anon_sym_LPAREN] = ACTIONS(8633),
    [anon_sym_LBRACK] = ACTIONS(8635),
    [anon_sym_true] = ACTIONS(8637),
    [anon_sym_false] = ACTIONS(8637),
    [anon_sym_COLON2] = ACTIONS(8639),
    [anon_sym_LBRACE] = ACTIONS(8641),
    [anon_sym_constraint] = ACTIONS(8735),
    [anon_sym_val] = ACTIONS(8735),
    [anon_sym_end] = ACTIONS(8735),
    [anon_sym_inherit] = ACTIONS(8735),
    [anon_sym_method] = ACTIONS(8735),
    [anon_sym_initializer] = ACTIONS(8735),
    [anon_sym_POUND] = ACTIONS(8645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8647),
    [anon_sym_begin] = ACTIONS(8649),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8737),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8653),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8655),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8737),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8737),
    [aux_sym_number_token1] = ACTIONS(8657),
    [aux_sym_signed_number_token1] = ACTIONS(8659),
    [anon_sym_SQUOTE] = ACTIONS(8661),
    [anon_sym_DQUOTE] = ACTIONS(8663),
    [sym__uppercase_identifier] = ACTIONS(8665),
    [aux_sym_tag_token1] = ACTIONS(8667),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3012] = {
    [sym__match_cases] = STATE(9070),
    [sym_match_case] = STATE(11485),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14956),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3012),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3298),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3013] = {
    [sym__match_cases] = STATE(9042),
    [sym_match_case] = STATE(9537),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15226),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3013),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__attribute] = STATE(3223),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8739),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3014] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(19390),
    [sym_module_definition] = STATE(19432),
    [sym_open_module] = STATE(19437),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3014),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3015] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21587),
    [sym_module_definition] = STATE(22444),
    [sym_open_module] = STATE(22508),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3015),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3016] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(19366),
    [sym_module_definition] = STATE(19371),
    [sym_open_module] = STATE(19372),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3016),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3017] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21337),
    [sym_module_definition] = STATE(21338),
    [sym_open_module] = STATE(21341),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3017),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3018] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(19639),
    [sym_module_definition] = STATE(19728),
    [sym_open_module] = STATE(19767),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3018),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3019] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20915),
    [sym_module_definition] = STATE(20916),
    [sym_open_module] = STATE(20917),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3019),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3020] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20007),
    [sym_module_definition] = STATE(20016),
    [sym_open_module] = STATE(20020),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3020),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3021] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(19451),
    [sym_module_definition] = STATE(19458),
    [sym_open_module] = STATE(19462),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3021),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3022] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20672),
    [sym_module_definition] = STATE(20680),
    [sym_open_module] = STATE(20681),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3022),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3023] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21447),
    [sym_module_definition] = STATE(21494),
    [sym_open_module] = STATE(21502),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3023),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3024] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(22190),
    [sym_module_definition] = STATE(22191),
    [sym_open_module] = STATE(22196),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3024),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3025] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21442),
    [sym_module_definition] = STATE(21469),
    [sym_open_module] = STATE(21473),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3025),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3026] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20843),
    [sym_module_definition] = STATE(21399),
    [sym_open_module] = STATE(21440),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3026),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3027] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21764),
    [sym_module_definition] = STATE(21774),
    [sym_open_module] = STATE(22148),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3027),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3028] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(22529),
    [sym_module_definition] = STATE(19409),
    [sym_open_module] = STATE(19413),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3028),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3029] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20539),
    [sym_module_definition] = STATE(20545),
    [sym_open_module] = STATE(20577),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3029),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3030] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21221),
    [sym_module_definition] = STATE(21222),
    [sym_open_module] = STATE(21223),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3030),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3031] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21760),
    [sym_module_definition] = STATE(21894),
    [sym_open_module] = STATE(22050),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3031),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3032] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(19825),
    [sym_module_definition] = STATE(19829),
    [sym_open_module] = STATE(19837),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3032),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3033] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21545),
    [sym_module_definition] = STATE(21549),
    [sym_open_module] = STATE(21555),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3033),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3034] = {
    [sym_let_binding] = STATE(12538),
    [sym_exception_definition] = STATE(21764),
    [sym_module_definition] = STATE(21774),
    [sym_open_module] = STATE(22148),
    [sym__binding_pattern] = STATE(2842),
    [sym_alias_binding_pattern] = STATE(6523),
    [sym_typed_binding_pattern] = STATE(6523),
    [sym_or_binding_pattern] = STATE(6523),
    [sym_constructor_binding_pattern] = STATE(6523),
    [sym_tag_binding_pattern] = STATE(6523),
    [sym_polymorphic_variant_pattern] = STATE(6523),
    [sym_tuple_binding_pattern] = STATE(6523),
    [sym_record_binding_pattern] = STATE(6539),
    [sym_list_binding_pattern] = STATE(6627),
    [sym_cons_binding_pattern] = STATE(6523),
    [sym_array_binding_pattern] = STATE(6565),
    [sym_range_pattern] = STATE(6523),
    [sym_lazy_binding_pattern] = STATE(6523),
    [sym_local_open_binding_pattern] = STATE(6523),
    [sym_package_pattern] = STATE(6523),
    [sym_parenthesized_binding_pattern] = STATE(6523),
    [sym_attribute] = STATE(3034),
    [sym_extension] = STATE(6523),
    [sym_quoted_extension] = STATE(6523),
    [sym__attribute] = STATE(5475),
    [sym__constant] = STATE(6460),
    [sym__signed_constant] = STATE(6365),
    [sym_number] = STATE(6442),
    [sym_signed_number] = STATE(6460),
    [sym_character] = STATE(6442),
    [sym_string] = STATE(6442),
    [sym_quoted_string] = STATE(6442),
    [sym_boolean] = STATE(6442),
    [sym_unit] = STATE(6442),
    [sym__value_name] = STATE(6523),
    [sym_parenthesized_operator] = STATE(6611),
    [sym_module_path] = STATE(20503),
    [sym_constructor_path] = STATE(2811),
    [sym__constructor_name] = STATE(6344),
    [sym_tag] = STATE(2800),
    [sym__lowercase_identifier] = ACTIONS(6043),
    [anon_sym_rec] = ACTIONS(8751),
    [anon_sym_LPAREN] = ACTIONS(6045),
    [anon_sym_LBRACK] = ACTIONS(6047),
    [anon_sym_true] = ACTIONS(6049),
    [anon_sym_false] = ACTIONS(6049),
    [anon_sym_LBRACE] = ACTIONS(6051),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(6053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6055),
    [anon_sym_lazy] = ACTIONS(6057),
    [anon_sym_begin] = ACTIONS(6059),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8755),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(6065),
    [aux_sym_signed_number_token1] = ACTIONS(6067),
    [anon_sym_SQUOTE] = ACTIONS(6069),
    [anon_sym_DQUOTE] = ACTIONS(6071),
    [sym__uppercase_identifier] = ACTIONS(6073),
    [aux_sym_tag_token1] = ACTIONS(6075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3035] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21577),
    [sym_module_definition] = STATE(21598),
    [sym_open_module] = STATE(21629),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3035),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3036] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20531),
    [sym_module_definition] = STATE(20541),
    [sym_open_module] = STATE(20567),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3036),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3037] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21698),
    [sym_module_definition] = STATE(21793),
    [sym_open_module] = STATE(22083),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3037),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3038] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21526),
    [sym_module_definition] = STATE(21556),
    [sym_open_module] = STATE(21573),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3038),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3039] = {
    [sym_let_binding] = STATE(12792),
    [sym_exception_definition] = STATE(22486),
    [sym_module_definition] = STATE(19486),
    [sym_open_module] = STATE(19926),
    [sym__binding_pattern] = STATE(2834),
    [sym_alias_binding_pattern] = STATE(6351),
    [sym_typed_binding_pattern] = STATE(6351),
    [sym_or_binding_pattern] = STATE(6351),
    [sym_constructor_binding_pattern] = STATE(6351),
    [sym_tag_binding_pattern] = STATE(6351),
    [sym_polymorphic_variant_pattern] = STATE(6351),
    [sym_tuple_binding_pattern] = STATE(6351),
    [sym_record_binding_pattern] = STATE(6352),
    [sym_list_binding_pattern] = STATE(6355),
    [sym_cons_binding_pattern] = STATE(6351),
    [sym_array_binding_pattern] = STATE(6366),
    [sym_range_pattern] = STATE(6351),
    [sym_lazy_binding_pattern] = STATE(6351),
    [sym_local_open_binding_pattern] = STATE(6351),
    [sym_package_pattern] = STATE(6351),
    [sym_parenthesized_binding_pattern] = STATE(6351),
    [sym_attribute] = STATE(3039),
    [sym_extension] = STATE(6351),
    [sym_quoted_extension] = STATE(6351),
    [sym__attribute] = STATE(5512),
    [sym__constant] = STATE(6206),
    [sym__signed_constant] = STATE(6230),
    [sym_number] = STATE(6172),
    [sym_signed_number] = STATE(6206),
    [sym_character] = STATE(6172),
    [sym_string] = STATE(6172),
    [sym_quoted_string] = STATE(6172),
    [sym_boolean] = STATE(6172),
    [sym_unit] = STATE(6172),
    [sym__value_name] = STATE(6351),
    [sym_parenthesized_operator] = STATE(6379),
    [sym_module_path] = STATE(20227),
    [sym_constructor_path] = STATE(2792),
    [sym__constructor_name] = STATE(6210),
    [sym_tag] = STATE(2797),
    [sym__lowercase_identifier] = ACTIONS(5883),
    [anon_sym_rec] = ACTIONS(8757),
    [anon_sym_LPAREN] = ACTIONS(5887),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_true] = ACTIONS(5891),
    [anon_sym_false] = ACTIONS(5891),
    [anon_sym_LBRACE] = ACTIONS(5893),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(5895),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5897),
    [anon_sym_lazy] = ACTIONS(5899),
    [anon_sym_begin] = ACTIONS(5901),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8759),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8761),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(5907),
    [aux_sym_signed_number_token1] = ACTIONS(5909),
    [anon_sym_SQUOTE] = ACTIONS(5911),
    [anon_sym_DQUOTE] = ACTIONS(5913),
    [sym__uppercase_identifier] = ACTIONS(5915),
    [aux_sym_tag_token1] = ACTIONS(5917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3040] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21460),
    [sym_module_definition] = STATE(21467),
    [sym_open_module] = STATE(21468),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3040),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3041] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20465),
    [sym_module_definition] = STATE(20502),
    [sym_open_module] = STATE(20606),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3041),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3042] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20324),
    [sym_module_definition] = STATE(20329),
    [sym_open_module] = STATE(20338),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3042),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3043] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(19851),
    [sym_module_definition] = STATE(19858),
    [sym_open_module] = STATE(19859),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3043),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3044] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20820),
    [sym_module_definition] = STATE(20846),
    [sym_open_module] = STATE(20857),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3044),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3045] = {
    [sym_let_binding] = STATE(12965),
    [sym_exception_definition] = STATE(21587),
    [sym_module_definition] = STATE(22444),
    [sym_open_module] = STATE(22508),
    [sym__binding_pattern] = STATE(2840),
    [sym_alias_binding_pattern] = STATE(6351),
    [sym_typed_binding_pattern] = STATE(6351),
    [sym_or_binding_pattern] = STATE(6351),
    [sym_constructor_binding_pattern] = STATE(6351),
    [sym_tag_binding_pattern] = STATE(6351),
    [sym_polymorphic_variant_pattern] = STATE(6351),
    [sym_tuple_binding_pattern] = STATE(6351),
    [sym_record_binding_pattern] = STATE(6352),
    [sym_list_binding_pattern] = STATE(6355),
    [sym_cons_binding_pattern] = STATE(6351),
    [sym_array_binding_pattern] = STATE(6366),
    [sym_range_pattern] = STATE(6351),
    [sym_lazy_binding_pattern] = STATE(6351),
    [sym_local_open_binding_pattern] = STATE(6351),
    [sym_package_pattern] = STATE(6351),
    [sym_parenthesized_binding_pattern] = STATE(6351),
    [sym_attribute] = STATE(3045),
    [sym_extension] = STATE(6351),
    [sym_quoted_extension] = STATE(6351),
    [sym__attribute] = STATE(5503),
    [sym__constant] = STATE(6206),
    [sym__signed_constant] = STATE(6230),
    [sym_number] = STATE(6172),
    [sym_signed_number] = STATE(6206),
    [sym_character] = STATE(6172),
    [sym_string] = STATE(6172),
    [sym_quoted_string] = STATE(6172),
    [sym_boolean] = STATE(6172),
    [sym_unit] = STATE(6172),
    [sym__value_name] = STATE(6351),
    [sym_parenthesized_operator] = STATE(6379),
    [sym_module_path] = STATE(20227),
    [sym_constructor_path] = STATE(2792),
    [sym__constructor_name] = STATE(6210),
    [sym_tag] = STATE(2797),
    [sym__lowercase_identifier] = ACTIONS(5883),
    [anon_sym_rec] = ACTIONS(8763),
    [anon_sym_LPAREN] = ACTIONS(5887),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_true] = ACTIONS(5891),
    [anon_sym_false] = ACTIONS(5891),
    [anon_sym_LBRACE] = ACTIONS(5893),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(5895),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5897),
    [anon_sym_lazy] = ACTIONS(5899),
    [anon_sym_begin] = ACTIONS(5901),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8759),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8761),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(5907),
    [aux_sym_signed_number_token1] = ACTIONS(5909),
    [anon_sym_SQUOTE] = ACTIONS(5911),
    [anon_sym_DQUOTE] = ACTIONS(5913),
    [sym__uppercase_identifier] = ACTIONS(5915),
    [aux_sym_tag_token1] = ACTIONS(5917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3046] = {
    [sym_parameter] = STATE(11556),
    [sym__polymorphic_typed] = STATE(19250),
    [sym__parenthesized_abstract_type] = STATE(11556),
    [sym__simple_pattern] = STATE(11558),
    [sym_typed_pattern] = STATE(11405),
    [sym_polymorphic_variant_pattern] = STATE(11405),
    [sym_record_pattern] = STATE(11405),
    [sym_list_pattern] = STATE(11405),
    [sym_array_pattern] = STATE(11405),
    [sym_local_open_pattern] = STATE(11405),
    [sym_package_pattern] = STATE(11405),
    [sym_parenthesized_pattern] = STATE(11405),
    [sym_attribute] = STATE(3046),
    [sym_item_attribute] = STATE(16065),
    [sym_extension] = STATE(11405),
    [sym_quoted_extension] = STATE(11405),
    [sym__constant] = STATE(11553),
    [sym__signed_constant] = STATE(11405),
    [sym_number] = STATE(11493),
    [sym_signed_number] = STATE(11553),
    [sym_character] = STATE(11493),
    [sym_string] = STATE(11493),
    [sym_quoted_string] = STATE(11493),
    [sym_boolean] = STATE(11493),
    [sym_unit] = STATE(11493),
    [sym__simple_value_pattern] = STATE(11405),
    [sym_parenthesized_operator] = STATE(11405),
    [sym_module_path] = STATE(21986),
    [sym_constructor_path] = STATE(11405),
    [sym__constructor_name] = STATE(9627),
    [sym_tag] = STATE(11405),
    [aux_sym_expression_item_repeat1] = STATE(15565),
    [aux_sym_let_binding_repeat1] = STATE(5640),
    [sym__lowercase_identifier] = ACTIONS(6407),
    [anon_sym_and] = ACTIONS(6411),
    [anon_sym_COLON_GT] = ACTIONS(8765),
    [anon_sym_EQ] = ACTIONS(8767),
    [anon_sym_TILDE] = ACTIONS(6417),
    [anon_sym_QMARK] = ACTIONS(6417),
    [anon_sym_LPAREN] = ACTIONS(6419),
    [anon_sym_COMMA] = ACTIONS(8769),
    [anon_sym_PIPE] = ACTIONS(8771),
    [anon_sym_LBRACK] = ACTIONS(6425),
    [anon_sym_true] = ACTIONS(6427),
    [anon_sym_false] = ACTIONS(6427),
    [anon_sym_COLON2] = ACTIONS(6429),
    [anon_sym_LBRACE] = ACTIONS(6431),
    [anon_sym_in] = ACTIONS(6411),
    [anon_sym_as] = ACTIONS(8773),
    [anon_sym_POUND] = ACTIONS(6435),
    [anon_sym_COLON_COLON] = ACTIONS(8775),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6439),
    [anon_sym_begin] = ACTIONS(6441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8777),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8779),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8781),
    [aux_sym_number_token1] = ACTIONS(6449),
    [aux_sym_signed_number_token1] = ACTIONS(6451),
    [anon_sym_SQUOTE] = ACTIONS(6453),
    [anon_sym_DQUOTE] = ACTIONS(6455),
    [sym_let_and_operator] = ACTIONS(6409),
    [sym__uppercase_identifier] = ACTIONS(6457),
    [aux_sym_tag_token1] = ACTIONS(6459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3047] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21703),
    [sym_module_definition] = STATE(21710),
    [sym_open_module] = STATE(21714),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3047),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3048] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21893),
    [sym_module_definition] = STATE(21896),
    [sym_open_module] = STATE(21900),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3048),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3049] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(19512),
    [sym_module_definition] = STATE(19513),
    [sym_open_module] = STATE(19515),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3049),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3050] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21661),
    [sym_module_definition] = STATE(21662),
    [sym_open_module] = STATE(21664),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3050),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3051] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20799),
    [sym_module_definition] = STATE(20804),
    [sym_open_module] = STATE(20805),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3051),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3052] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20344),
    [sym_module_definition] = STATE(20345),
    [sym_open_module] = STATE(20350),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3052),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3053] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20918),
    [sym_module_definition] = STATE(20935),
    [sym_open_module] = STATE(20943),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3053),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3054] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(22047),
    [sym_module_definition] = STATE(22055),
    [sym_open_module] = STATE(22057),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3054),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3055] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(22311),
    [sym_module_definition] = STATE(22337),
    [sym_open_module] = STATE(22412),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3055),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3056] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(22142),
    [sym_module_definition] = STATE(22153),
    [sym_open_module] = STATE(22156),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3056),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3057] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21034),
    [sym_module_definition] = STATE(21035),
    [sym_open_module] = STATE(21036),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3057),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3058] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21814),
    [sym_module_definition] = STATE(21820),
    [sym_open_module] = STATE(21834),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3058),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3059] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(19417),
    [sym_module_definition] = STATE(19421),
    [sym_open_module] = STATE(19423),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3059),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3060] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20157),
    [sym_module_definition] = STATE(20162),
    [sym_open_module] = STATE(20163),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3060),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3061] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20084),
    [sym_module_definition] = STATE(20085),
    [sym_open_module] = STATE(20088),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3061),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3062] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(22486),
    [sym_module_definition] = STATE(19486),
    [sym_open_module] = STATE(19926),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3062),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3063] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(22479),
    [sym_module_definition] = STATE(22480),
    [sym_open_module] = STATE(22482),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3063),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3064] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20170),
    [sym_module_definition] = STATE(20195),
    [sym_open_module] = STATE(20313),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3064),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3065] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(19964),
    [sym_module_definition] = STATE(19991),
    [sym_open_module] = STATE(20000),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3065),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3066] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(21400),
    [sym_module_definition] = STATE(21504),
    [sym_open_module] = STATE(21511),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3066),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3067] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(19309),
    [sym_module_definition] = STATE(19311),
    [sym_open_module] = STATE(19313),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3067),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3068] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20381),
    [sym_module_definition] = STATE(20388),
    [sym_open_module] = STATE(20393),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3068),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3069] = {
    [sym_let_binding] = STATE(16134),
    [sym_exception_definition] = STATE(20796),
    [sym_module_definition] = STATE(20809),
    [sym_open_module] = STATE(20810),
    [sym__binding_pattern] = STATE(3046),
    [sym_alias_binding_pattern] = STATE(10182),
    [sym_typed_binding_pattern] = STATE(10182),
    [sym_or_binding_pattern] = STATE(10182),
    [sym_constructor_binding_pattern] = STATE(10182),
    [sym_tag_binding_pattern] = STATE(10182),
    [sym_polymorphic_variant_pattern] = STATE(10182),
    [sym_tuple_binding_pattern] = STATE(10182),
    [sym_record_binding_pattern] = STATE(10188),
    [sym_list_binding_pattern] = STATE(10189),
    [sym_cons_binding_pattern] = STATE(10182),
    [sym_array_binding_pattern] = STATE(10190),
    [sym_range_pattern] = STATE(10182),
    [sym_lazy_binding_pattern] = STATE(10182),
    [sym_local_open_binding_pattern] = STATE(10182),
    [sym_package_pattern] = STATE(10182),
    [sym_parenthesized_binding_pattern] = STATE(10182),
    [sym_attribute] = STATE(3069),
    [sym_extension] = STATE(10182),
    [sym_quoted_extension] = STATE(10182),
    [sym__attribute] = STATE(5466),
    [sym__constant] = STATE(9907),
    [sym__signed_constant] = STATE(10114),
    [sym_number] = STATE(9825),
    [sym_signed_number] = STATE(9907),
    [sym_character] = STATE(9825),
    [sym_string] = STATE(9825),
    [sym_quoted_string] = STATE(9825),
    [sym_boolean] = STATE(9825),
    [sym_unit] = STATE(9825),
    [sym__value_name] = STATE(10182),
    [sym_parenthesized_operator] = STATE(10133),
    [sym_module_path] = STATE(19655),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(9882),
    [sym_tag] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3070] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(13298),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15029),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3070),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8675),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3071] = {
    [sym__match_cases] = STATE(11768),
    [sym_match_case] = STATE(13115),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15058),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3071),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3072] = {
    [sym__match_cases] = STATE(11805),
    [sym_match_case] = STATE(13115),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15058),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3072),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3073] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9872),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15114),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3073),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3074] = {
    [sym__match_cases] = STATE(11606),
    [sym_match_case] = STATE(13115),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15058),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3074),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3075] = {
    [sym__match_cases] = STATE(11608),
    [sym_match_case] = STATE(13115),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15058),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3075),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3076] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(13298),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15029),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3076),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8675),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3077] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(13298),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15029),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3077),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8675),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3078] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(13917),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14939),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3078),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8617),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3079] = {
    [sym__match_cases] = STATE(11841),
    [sym_match_case] = STATE(12252),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15220),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3079),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8673),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3080] = {
    [sym__match_cases] = STATE(11768),
    [sym_match_case] = STATE(12252),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15220),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3080),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8673),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3081] = {
    [sym__match_cases] = STATE(11805),
    [sym_match_case] = STATE(12252),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15220),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3081),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8673),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3082] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(13276),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14989),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3082),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8621),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3083] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(13917),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14939),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3083),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8617),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3084] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(13917),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14939),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3084),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8617),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3085] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(13298),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15029),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3085),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8675),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3086] = {
    [sym__match_cases] = STATE(11606),
    [sym_match_case] = STATE(12252),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15220),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3086),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8673),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3087] = {
    [sym__match_cases] = STATE(11608),
    [sym_match_case] = STATE(12252),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15220),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3087),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8673),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3088] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(13917),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14939),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3088),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8617),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3089] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(13917),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14939),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3089),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8617),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3090] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(13523),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14967),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3090),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8623),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3091] = {
    [sym__match_cases] = STATE(9292),
    [sym_match_case] = STATE(11485),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14956),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3091),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3092] = {
    [sym__match_cases] = STATE(9302),
    [sym_match_case] = STATE(11485),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14956),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3092),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3093] = {
    [sym__match_cases] = STATE(9224),
    [sym_match_case] = STATE(11485),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14956),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3093),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3094] = {
    [sym__match_cases] = STATE(9352),
    [sym_match_case] = STATE(11485),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14956),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3094),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3095] = {
    [sym__match_cases] = STATE(9371),
    [sym_match_case] = STATE(11485),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14956),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3095),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3096] = {
    [sym__match_cases] = STATE(9292),
    [sym_match_case] = STATE(13276),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14989),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3096),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8621),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3097] = {
    [sym__match_cases] = STATE(9302),
    [sym_match_case] = STATE(13276),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14989),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3097),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8621),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3098] = {
    [sym__match_cases] = STATE(9224),
    [sym_match_case] = STATE(13276),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14989),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3098),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8621),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3099] = {
    [sym__match_cases] = STATE(9292),
    [sym_match_case] = STATE(13728),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14966),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3099),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3100] = {
    [sym__match_cases] = STATE(9352),
    [sym_match_case] = STATE(13276),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14989),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3100),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8621),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3101] = {
    [sym__match_cases] = STATE(9371),
    [sym_match_case] = STATE(13276),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14989),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3101),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8621),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3102] = {
    [sym__match_cases] = STATE(9302),
    [sym_match_case] = STATE(13728),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14966),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3102),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3103] = {
    [sym__match_cases] = STATE(9224),
    [sym_match_case] = STATE(13728),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14966),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3103),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3104] = {
    [sym__match_cases] = STATE(9292),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15011),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3104),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3105] = {
    [sym__match_cases] = STATE(9302),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15011),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3105),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3106] = {
    [sym__match_cases] = STATE(9224),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15011),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3106),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3107] = {
    [sym__match_cases] = STATE(9352),
    [sym_match_case] = STATE(13728),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14966),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3107),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3108] = {
    [sym__match_cases] = STATE(9371),
    [sym_match_case] = STATE(13728),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14966),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3108),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3109] = {
    [sym__match_cases] = STATE(9352),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15011),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3109),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3110] = {
    [sym__match_cases] = STATE(9371),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15011),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3110),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3111] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9872),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15114),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3111),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3112] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(13728),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14966),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3112),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3113] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(13728),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14966),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3113),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3114] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(13728),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14966),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3114),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3115] = {
    [sym__match_cases] = STATE(9292),
    [sym_match_case] = STATE(13298),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15029),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3115),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8675),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3116] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(13523),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14967),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3116),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8623),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3117] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(13728),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14966),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3117),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3118] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(13728),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14966),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3118),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3119] = {
    [sym__match_cases] = STATE(9302),
    [sym_match_case] = STATE(13298),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15029),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3119),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8675),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3120] = {
    [sym__match_cases] = STATE(9224),
    [sym_match_case] = STATE(13298),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15029),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3120),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8675),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3121] = {
    [sym__match_cases] = STATE(9352),
    [sym_match_case] = STATE(13298),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15029),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3121),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8675),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3122] = {
    [sym__match_cases] = STATE(9371),
    [sym_match_case] = STATE(13298),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15029),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3122),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8675),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3123] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15011),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3123),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3124] = {
    [sym__match_cases] = STATE(9292),
    [sym_match_case] = STATE(13307),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3124),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8613),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3125] = {
    [sym__match_cases] = STATE(9302),
    [sym_match_case] = STATE(13307),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3125),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8613),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3126] = {
    [sym__match_cases] = STATE(9224),
    [sym_match_case] = STATE(13307),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3126),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8613),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3127] = {
    [sym__match_cases] = STATE(9352),
    [sym_match_case] = STATE(13307),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3127),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8613),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3128] = {
    [sym__match_cases] = STATE(9371),
    [sym_match_case] = STATE(13307),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3128),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8613),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3129] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(13307),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3129),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8613),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3130] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9484),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14908),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3130),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8669),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3131] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9872),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15114),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3131),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3132] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9484),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14908),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3132),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8669),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3133] = {
    [sym__simple_expression] = STATE(10443),
    [sym_typed_expression] = STATE(10500),
    [sym_list_expression] = STATE(10500),
    [sym_array_expression] = STATE(10500),
    [sym_record_expression] = STATE(10500),
    [sym_labeled_argument] = STATE(11288),
    [sym_prefix_expression] = STATE(10500),
    [sym_hash_expression] = STATE(10500),
    [sym_field_get_expression] = STATE(10500),
    [sym_array_get_expression] = STATE(10500),
    [sym_string_get_expression] = STATE(10500),
    [sym_bigarray_get_expression] = STATE(10500),
    [sym_coercion_expression] = STATE(10500),
    [sym_local_open_expression] = STATE(10500),
    [sym_package_expression] = STATE(10500),
    [sym_new_expression] = STATE(10500),
    [sym_object_copy_expression] = STATE(10500),
    [sym_method_invocation] = STATE(10500),
    [sym_object_expression] = STATE(10500),
    [sym_parenthesized_expression] = STATE(10500),
    [sym_attribute] = STATE(3133),
    [sym_extension] = STATE(10500),
    [sym_quoted_extension] = STATE(10500),
    [sym__constant] = STATE(10500),
    [sym_number] = STATE(10325),
    [sym_character] = STATE(10325),
    [sym_string] = STATE(10325),
    [sym_quoted_string] = STATE(10325),
    [sym_boolean] = STATE(10325),
    [sym_unit] = STATE(10325),
    [sym__value_name] = STATE(10542),
    [sym_parenthesized_operator] = STATE(10594),
    [sym_value_path] = STATE(10500),
    [sym_module_path] = STATE(19757),
    [sym_constructor_path] = STATE(10500),
    [sym__constructor_name] = STATE(9390),
    [sym_tag] = STATE(10500),
    [aux_sym_class_application_repeat1] = STATE(3133),
    [sym__lowercase_identifier] = ACTIONS(8783),
    [anon_sym_TILDE] = ACTIONS(8786),
    [anon_sym_QMARK] = ACTIONS(8786),
    [anon_sym_LPAREN] = ACTIONS(8789),
    [anon_sym_RPAREN] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(8792),
    [anon_sym_true] = ACTIONS(8795),
    [anon_sym_false] = ACTIONS(8795),
    [anon_sym_COLON2] = ACTIONS(3850),
    [anon_sym_LBRACE] = ACTIONS(8798),
    [anon_sym_object] = ACTIONS(8801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8804),
    [anon_sym_new] = ACTIONS(8807),
    [anon_sym_LBRACE_LT] = ACTIONS(8810),
    [anon_sym_begin] = ACTIONS(8813),
    [sym_ocamlyacc_value] = ACTIONS(8816),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8822),
    [aux_sym_number_token1] = ACTIONS(8825),
    [anon_sym_SQUOTE] = ACTIONS(8828),
    [anon_sym_DQUOTE] = ACTIONS(8831),
    [sym_prefix_operator] = ACTIONS(8834),
    [sym__uppercase_identifier] = ACTIONS(8837),
    [aux_sym_tag_token1] = ACTIONS(8840),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3134] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9484),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14908),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3134),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8669),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3135] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(13276),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14989),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3135),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8621),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3136] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(13307),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3136),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8613),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3137] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9484),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14908),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3137),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8669),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3138] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9484),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14908),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3138),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8669),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3139] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(13307),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3139),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8613),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3140] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(13858),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15063),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3140),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8625),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3141] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(13307),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3141),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8613),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3142] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9319),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14909),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3142),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3143] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(13307),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3143),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8613),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3144] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(13858),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15063),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3144),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8625),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3145] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(13858),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15063),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3145),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8625),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3146] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15011),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3146),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3147] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9319),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14909),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3147),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3148] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9319),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14909),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3148),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3149] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(13858),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15063),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3149),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8625),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3150] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(13858),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15063),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3150),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8625),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3151] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15011),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3151),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3152] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9319),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14909),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3152),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3153] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9319),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14909),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3153),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3154] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15011),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3154),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3155] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15011),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3155),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3156] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9254),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14914),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3156),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8683),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3157] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9254),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14914),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3157),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8683),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3158] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9254),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14914),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3158),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8683),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3159] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9254),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14914),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3159),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8683),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3160] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9254),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14914),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3160),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8683),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3161] = {
    [sym__match_cases] = STATE(9292),
    [sym_match_case] = STATE(10662),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3161),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8599),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3162] = {
    [sym__match_cases] = STATE(9302),
    [sym_match_case] = STATE(10662),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3162),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8599),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3163] = {
    [sym__match_cases] = STATE(9224),
    [sym_match_case] = STATE(10662),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3163),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8599),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3164] = {
    [sym__match_cases] = STATE(9292),
    [sym_match_case] = STATE(13858),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15063),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3164),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8625),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3165] = {
    [sym__match_cases] = STATE(9352),
    [sym_match_case] = STATE(10662),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3165),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8599),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3166] = {
    [sym__match_cases] = STATE(9371),
    [sym_match_case] = STATE(10662),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3166),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8599),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3167] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9819),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14951),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3167),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8725),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3168] = {
    [sym__match_cases] = STATE(9302),
    [sym_match_case] = STATE(13858),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15063),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3168),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8625),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3169] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14916),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3169),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8615),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3170] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9819),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14951),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3170),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8725),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3171] = {
    [sym__match_cases] = STATE(9224),
    [sym_match_case] = STATE(13858),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15063),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3171),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8625),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3172] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9819),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14951),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3172),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8725),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3173] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14916),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3173),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8615),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3174] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9819),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14951),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3174),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8725),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3175] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9819),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14951),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3175),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8725),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3176] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14916),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3176),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8615),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3177] = {
    [sym__match_cases] = STATE(9352),
    [sym_match_case] = STATE(13858),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15063),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3177),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8625),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3178] = {
    [sym__match_cases] = STATE(9371),
    [sym_match_case] = STATE(13858),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15063),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3178),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8625),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3179] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14916),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3179),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8615),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3180] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14916),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3180),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8615),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3181] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(13276),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14989),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3181),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8621),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3182] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9517),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14922),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3182),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3183] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9517),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14922),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3183),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3184] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9517),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14922),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3184),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3185] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(13276),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14989),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3185),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8621),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3186] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9517),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14922),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3186),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3187] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9517),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14922),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3187),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3188] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9872),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15114),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3188),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3189] = {
    [sym__simple_expression] = STATE(10443),
    [sym_typed_expression] = STATE(10500),
    [sym_list_expression] = STATE(10500),
    [sym_array_expression] = STATE(10500),
    [sym_record_expression] = STATE(10500),
    [sym_labeled_argument] = STATE(11288),
    [sym_prefix_expression] = STATE(10500),
    [sym_hash_expression] = STATE(10500),
    [sym_field_get_expression] = STATE(10500),
    [sym_array_get_expression] = STATE(10500),
    [sym_string_get_expression] = STATE(10500),
    [sym_bigarray_get_expression] = STATE(10500),
    [sym_coercion_expression] = STATE(10500),
    [sym_local_open_expression] = STATE(10500),
    [sym_package_expression] = STATE(10500),
    [sym_new_expression] = STATE(10500),
    [sym_object_copy_expression] = STATE(10500),
    [sym_method_invocation] = STATE(10500),
    [sym_object_expression] = STATE(10500),
    [sym_parenthesized_expression] = STATE(10500),
    [sym_attribute] = STATE(3189),
    [sym_extension] = STATE(10500),
    [sym_quoted_extension] = STATE(10500),
    [sym__constant] = STATE(10500),
    [sym_number] = STATE(10325),
    [sym_character] = STATE(10325),
    [sym_string] = STATE(10325),
    [sym_quoted_string] = STATE(10325),
    [sym_boolean] = STATE(10325),
    [sym_unit] = STATE(10325),
    [sym__value_name] = STATE(10542),
    [sym_parenthesized_operator] = STATE(10594),
    [sym_value_path] = STATE(10500),
    [sym_module_path] = STATE(19757),
    [sym_constructor_path] = STATE(10500),
    [sym__constructor_name] = STATE(9390),
    [sym_tag] = STATE(10500),
    [aux_sym_class_application_repeat1] = STATE(3204),
    [sym__lowercase_identifier] = ACTIONS(8843),
    [anon_sym_TILDE] = ACTIONS(8845),
    [anon_sym_QMARK] = ACTIONS(8845),
    [anon_sym_LPAREN] = ACTIONS(8847),
    [anon_sym_RPAREN] = ACTIONS(6643),
    [anon_sym_LBRACK] = ACTIONS(8849),
    [anon_sym_true] = ACTIONS(8851),
    [anon_sym_false] = ACTIONS(8851),
    [anon_sym_COLON2] = ACTIONS(6643),
    [anon_sym_LBRACE] = ACTIONS(8853),
    [anon_sym_object] = ACTIONS(8855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8857),
    [anon_sym_new] = ACTIONS(8859),
    [anon_sym_LBRACE_LT] = ACTIONS(8861),
    [anon_sym_begin] = ACTIONS(8863),
    [sym_ocamlyacc_value] = ACTIONS(8865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8869),
    [aux_sym_number_token1] = ACTIONS(8871),
    [anon_sym_SQUOTE] = ACTIONS(8873),
    [anon_sym_DQUOTE] = ACTIONS(8875),
    [sym_prefix_operator] = ACTIONS(8877),
    [sym__uppercase_identifier] = ACTIONS(8879),
    [aux_sym_tag_token1] = ACTIONS(8881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3190] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(10025),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15025),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3190),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8597),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3191] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9539),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15083),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3191),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3192] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(10025),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15025),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3192),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8597),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3193] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(10025),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15025),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3193),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8597),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3194] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(10025),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15025),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3194),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8597),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3195] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(10025),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15025),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3195),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8597),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3196] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9539),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15083),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3196),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3197] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9539),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15083),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3197),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3198] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9539),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15083),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3198),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3199] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9539),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15083),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3199),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3200] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9439),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15106),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3200),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8677),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3201] = {
    [sym__signature] = STATE(21808),
    [sym_external] = STATE(14205),
    [sym_type_definition] = STATE(14205),
    [sym_exception_definition] = STATE(14205),
    [sym_module_definition] = STATE(14205),
    [sym_module_type_definition] = STATE(14205),
    [sym_open_module] = STATE(14205),
    [sym_class_definition] = STATE(14205),
    [sym_class_type_definition] = STATE(14205),
    [sym__signature_item] = STATE(14209),
    [sym_value_specification] = STATE(14205),
    [sym_include_module_type] = STATE(14205),
    [sym__simple_type] = STATE(13150),
    [sym__tuple_type] = STATE(14571),
    [sym__type] = STATE(17976),
    [sym_function_type] = STATE(9231),
    [sym_typed_label] = STATE(21003),
    [sym_tuple_type] = STATE(9019),
    [sym_constructed_type] = STATE(13645),
    [sym_aliased_type] = STATE(9231),
    [sym_local_open_type] = STATE(13645),
    [sym_polymorphic_variant_type] = STATE(13645),
    [sym_package_type] = STATE(13645),
    [sym_object_type] = STATE(13645),
    [sym_hash_type] = STATE(13645),
    [sym_parenthesized_type] = STATE(13645),
    [sym_attribute] = STATE(3201),
    [sym_floating_attribute] = STATE(14205),
    [sym_extension] = STATE(13645),
    [sym_quoted_extension] = STATE(13645),
    [sym_item_extension] = STATE(14205),
    [sym_quoted_item_extension] = STATE(14205),
    [sym_extended_module_path] = STATE(18718),
    [sym_type_constructor_path] = STATE(13645),
    [sym_type_variable] = STATE(13645),
    [aux_sym__structure_repeat1] = STATE(10236),
    [aux_sym__signature_repeat1] = STATE(10203),
    [sym__lowercase_identifier] = ACTIONS(8883),
    [anon_sym_SEMI_SEMI] = ACTIONS(8885),
    [anon_sym_QMARK] = ACTIONS(8887),
    [anon_sym_LPAREN] = ACTIONS(8889),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(8891),
    [anon_sym_LBRACK] = ACTIONS(8893),
    [anon_sym_RBRACK] = ACTIONS(8895),
    [anon_sym_exception] = ACTIONS(8897),
    [anon_sym_module] = ACTIONS(8899),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(8901),
    [anon_sym_class] = ACTIONS(8903),
    [anon_sym_val] = ACTIONS(8905),
    [anon_sym_LBRACK_GT] = ACTIONS(8907),
    [anon_sym_LBRACK_LT] = ACTIONS(8909),
    [anon_sym_LT] = ACTIONS(8911),
    [anon_sym_POUND] = ACTIONS(8913),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8915),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8917),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [sym__uppercase_identifier] = ACTIONS(8919),
    [aux_sym_type_variable_token1] = ACTIONS(8921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3202] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(13581),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15143),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3202),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8611),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3203] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9439),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15106),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3203),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8677),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3204] = {
    [sym__simple_expression] = STATE(10443),
    [sym_typed_expression] = STATE(10500),
    [sym_list_expression] = STATE(10500),
    [sym_array_expression] = STATE(10500),
    [sym_record_expression] = STATE(10500),
    [sym_labeled_argument] = STATE(11288),
    [sym_prefix_expression] = STATE(10500),
    [sym_hash_expression] = STATE(10500),
    [sym_field_get_expression] = STATE(10500),
    [sym_array_get_expression] = STATE(10500),
    [sym_string_get_expression] = STATE(10500),
    [sym_bigarray_get_expression] = STATE(10500),
    [sym_coercion_expression] = STATE(10500),
    [sym_local_open_expression] = STATE(10500),
    [sym_package_expression] = STATE(10500),
    [sym_new_expression] = STATE(10500),
    [sym_object_copy_expression] = STATE(10500),
    [sym_method_invocation] = STATE(10500),
    [sym_object_expression] = STATE(10500),
    [sym_parenthesized_expression] = STATE(10500),
    [sym_attribute] = STATE(3204),
    [sym_extension] = STATE(10500),
    [sym_quoted_extension] = STATE(10500),
    [sym__constant] = STATE(10500),
    [sym_number] = STATE(10325),
    [sym_character] = STATE(10325),
    [sym_string] = STATE(10325),
    [sym_quoted_string] = STATE(10325),
    [sym_boolean] = STATE(10325),
    [sym_unit] = STATE(10325),
    [sym__value_name] = STATE(10542),
    [sym_parenthesized_operator] = STATE(10594),
    [sym_value_path] = STATE(10500),
    [sym_module_path] = STATE(19757),
    [sym_constructor_path] = STATE(10500),
    [sym__constructor_name] = STATE(9390),
    [sym_tag] = STATE(10500),
    [aux_sym_class_application_repeat1] = STATE(3133),
    [sym__lowercase_identifier] = ACTIONS(8843),
    [anon_sym_TILDE] = ACTIONS(8845),
    [anon_sym_QMARK] = ACTIONS(8845),
    [anon_sym_LPAREN] = ACTIONS(8847),
    [anon_sym_RPAREN] = ACTIONS(6589),
    [anon_sym_LBRACK] = ACTIONS(8849),
    [anon_sym_true] = ACTIONS(8851),
    [anon_sym_false] = ACTIONS(8851),
    [anon_sym_COLON2] = ACTIONS(6589),
    [anon_sym_LBRACE] = ACTIONS(8853),
    [anon_sym_object] = ACTIONS(8855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8857),
    [anon_sym_new] = ACTIONS(8859),
    [anon_sym_LBRACE_LT] = ACTIONS(8861),
    [anon_sym_begin] = ACTIONS(8863),
    [sym_ocamlyacc_value] = ACTIONS(8865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8869),
    [aux_sym_number_token1] = ACTIONS(8871),
    [anon_sym_SQUOTE] = ACTIONS(8873),
    [anon_sym_DQUOTE] = ACTIONS(8875),
    [sym_prefix_operator] = ACTIONS(8877),
    [sym__uppercase_identifier] = ACTIONS(8879),
    [aux_sym_tag_token1] = ACTIONS(8881),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3205] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(10868),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15121),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3205),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8595),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3206] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9439),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15106),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3206),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8677),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3207] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(10868),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15121),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3207),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8595),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3208] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(10868),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15121),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3208),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8595),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3209] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(13581),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15143),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3209),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8611),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3210] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(13581),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15143),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3210),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8611),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3211] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(10868),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15121),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3211),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8595),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3212] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(10868),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15121),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3212),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8595),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3213] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9439),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15106),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3213),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8677),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3214] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9439),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15106),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3214),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8677),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3215] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9686),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15128),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3215),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8685),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3216] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9686),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15128),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3216),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8685),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3217] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9686),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15128),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3217),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8685),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3218] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(13581),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15143),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3218),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8611),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3219] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(13581),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15143),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3219),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8611),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3220] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9686),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15128),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3220),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8685),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3221] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9686),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15128),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3221),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8685),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3222] = {
    [sym__match_cases] = STATE(9292),
    [sym_match_case] = STATE(13917),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14939),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3222),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8617),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3223] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9537),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15226),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3223),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8739),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3224] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9528),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15170),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3224),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3225] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9537),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15226),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3225),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8739),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3226] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9537),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15226),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3226),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8739),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3227] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9528),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15170),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3227),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3228] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9528),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15170),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3228),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3229] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9537),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15226),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3229),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8739),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3230] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9537),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15226),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3230),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8739),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3231] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9528),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15170),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3231),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3232] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9528),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15170),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3232),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3233] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9722),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15194),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3233),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8609),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3234] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9722),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15194),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3234),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8609),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3235] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9722),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15194),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3235),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8609),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3236] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9722),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15194),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3236),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8609),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3237] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9722),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15194),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3237),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8609),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3238] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(10662),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3238),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8599),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3239] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(10662),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3239),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8599),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3240] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(10662),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3240),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8599),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3241] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9629),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14905),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3241),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3242] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(10662),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3242),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8599),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3243] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9629),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14905),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3243),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3244] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9629),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14905),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3244),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3245] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(10662),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3245),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8599),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3246] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9629),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14905),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3246),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3247] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9629),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14905),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3247),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3248] = {
    [sym__match_cases] = STATE(9302),
    [sym_match_case] = STATE(13917),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14939),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3248),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8617),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3249] = {
    [sym__match_cases] = STATE(9224),
    [sym_match_case] = STATE(13917),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14939),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3249),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8617),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3250] = {
    [sym__match_cases] = STATE(9292),
    [sym_match_case] = STATE(10868),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15121),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3250),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8595),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3251] = {
    [sym__match_cases] = STATE(9302),
    [sym_match_case] = STATE(10868),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15121),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3251),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8595),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3252] = {
    [sym__match_cases] = STATE(9224),
    [sym_match_case] = STATE(10868),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15121),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3252),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8595),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3253] = {
    [sym__match_cases] = STATE(9352),
    [sym_match_case] = STATE(13917),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14939),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3253),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8617),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3254] = {
    [sym__match_cases] = STATE(9371),
    [sym_match_case] = STATE(13917),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14939),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3254),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8617),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3255] = {
    [sym__match_cases] = STATE(9352),
    [sym_match_case] = STATE(10868),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15121),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3255),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8595),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3256] = {
    [sym__match_cases] = STATE(9371),
    [sym_match_case] = STATE(10868),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15121),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3256),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8595),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3257] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(11847),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14904),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3257),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3258] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9626),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15239),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3258),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8693),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3259] = {
    [sym__match_cases] = STATE(11841),
    [sym_match_case] = STATE(13642),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14926),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3259),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8679),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3260] = {
    [sym__match_cases] = STATE(11768),
    [sym_match_case] = STATE(13642),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14926),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3260),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8679),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3261] = {
    [sym__match_cases] = STATE(11805),
    [sym_match_case] = STATE(13642),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14926),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3261),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8679),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3262] = {
    [sym__match_cases] = STATE(11606),
    [sym_match_case] = STATE(13642),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14926),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3262),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8679),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3263] = {
    [sym__match_cases] = STATE(11608),
    [sym_match_case] = STATE(13642),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14926),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3263),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8679),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3264] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9626),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15239),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3264),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8693),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3265] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9626),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15239),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3265),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8693),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3266] = {
    [sym__match_cases] = STATE(9292),
    [sym_match_case] = STATE(13926),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15219),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3266),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3267] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9626),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15239),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3267),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8693),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3268] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9626),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15239),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3268),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8693),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3269] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(11847),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14904),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3269),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3270] = {
    [sym__match_cases] = STATE(11841),
    [sym_match_case] = STATE(13543),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14938),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3270),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8671),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3271] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(13926),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15219),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3271),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3272] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(11847),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14904),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3272),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3273] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9401),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15250),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3273),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8723),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3274] = {
    [sym__match_cases] = STATE(11768),
    [sym_match_case] = STATE(13543),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14938),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3274),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8671),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3275] = {
    [sym__match_cases] = STATE(11805),
    [sym_match_case] = STATE(13543),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14938),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3275),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8671),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3276] = {
    [sym__match_cases] = STATE(9302),
    [sym_match_case] = STATE(13926),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15219),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3276),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3277] = {
    [sym__match_cases] = STATE(11606),
    [sym_match_case] = STATE(13543),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14938),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3277),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8671),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3278] = {
    [sym__match_cases] = STATE(11608),
    [sym_match_case] = STATE(13543),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14938),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3278),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8671),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3279] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9401),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15250),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3279),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8723),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3280] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9401),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15250),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3280),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8723),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3281] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(13926),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15219),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3281),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3282] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(13926),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15219),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3282),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3283] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9401),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15250),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3283),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8723),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3284] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9401),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15250),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3284),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8723),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3285] = {
    [sym__match_cases] = STATE(9224),
    [sym_match_case] = STATE(13926),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15219),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3285),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3286] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(11847),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14904),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3286),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3287] = {
    [sym__match_cases] = STATE(11841),
    [sym_match_case] = STATE(12922),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14947),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3287),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8619),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3288] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(11847),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14904),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3288),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3289] = {
    [sym__match_cases] = STATE(11768),
    [sym_match_case] = STATE(12922),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14947),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3289),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8619),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3290] = {
    [sym__match_cases] = STATE(11805),
    [sym_match_case] = STATE(12922),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14947),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3290),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8619),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3291] = {
    [sym__match_cases] = STATE(11606),
    [sym_match_case] = STATE(12922),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14947),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3291),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8619),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3292] = {
    [sym__match_cases] = STATE(11608),
    [sym_match_case] = STATE(12922),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14947),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3292),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8619),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3293] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(13926),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15219),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3293),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3294] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9549),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14940),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3294),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8605),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3295] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(13926),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15219),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3295),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3296] = {
    [sym__match_cases] = STATE(9036),
    [sym_match_case] = STATE(9549),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14940),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3296),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8605),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3297] = {
    [sym__match_cases] = STATE(9063),
    [sym_match_case] = STATE(9549),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14940),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3297),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8605),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3298] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(11485),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14956),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3298),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3299] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(11485),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14956),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3299),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3300] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(11485),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14956),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3300),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3301] = {
    [sym__match_cases] = STATE(9126),
    [sym_match_case] = STATE(11485),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14956),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3301),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3302] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(11485),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14956),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3302),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3303] = {
    [sym__match_cases] = STATE(9113),
    [sym_match_case] = STATE(9549),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14940),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3303),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8605),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3304] = {
    [sym__match_cases] = STATE(9122),
    [sym_match_case] = STATE(9549),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14940),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3304),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8605),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3305] = {
    [sym__match_cases] = STATE(9352),
    [sym_match_case] = STATE(13926),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15219),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3305),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3306] = {
    [sym__match_cases] = STATE(9292),
    [sym_match_case] = STATE(11847),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14904),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3306),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3307] = {
    [sym__match_cases] = STATE(11841),
    [sym_match_case] = STATE(13248),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14996),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3307),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3308] = {
    [sym__match_cases] = STATE(9302),
    [sym_match_case] = STATE(11847),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14904),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3308),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3309] = {
    [sym__match_cases] = STATE(9224),
    [sym_match_case] = STATE(11847),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14904),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3309),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3310] = {
    [sym__match_cases] = STATE(8998),
    [sym_match_case] = STATE(9872),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15114),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3310),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8607),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3311] = {
    [sym__match_cases] = STATE(9352),
    [sym_match_case] = STATE(11847),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14904),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3311),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3312] = {
    [sym__match_cases] = STATE(9371),
    [sym_match_case] = STATE(11847),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14904),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3312),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3313] = {
    [sym__match_cases] = STATE(11768),
    [sym_match_case] = STATE(13248),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14996),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3313),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3314] = {
    [sym__match_cases] = STATE(11805),
    [sym_match_case] = STATE(13248),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14996),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3314),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3315] = {
    [sym__match_cases] = STATE(11606),
    [sym_match_case] = STATE(13248),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14996),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3315),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3316] = {
    [sym__match_cases] = STATE(11608),
    [sym_match_case] = STATE(13248),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14996),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3316),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3317] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(13298),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15029),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3317),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8675),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3318] = {
    [sym__match_cases] = STATE(9022),
    [sym_match_case] = STATE(13523),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14967),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3318),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8623),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3319] = {
    [sym__match_cases] = STATE(9371),
    [sym_match_case] = STATE(13926),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15219),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3319),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3320] = {
    [sym__match_cases] = STATE(11841),
    [sym_match_case] = STATE(13115),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(15058),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3320),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3321] = {
    [sym__match_cases] = STATE(9181),
    [sym_match_case] = STATE(13523),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14967),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3321),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8623),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3322] = {
    [sym__match_cases] = STATE(9089),
    [sym_match_case] = STATE(13523),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14967),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3322),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8623),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3323] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(13276),
    [sym__simple_pattern] = STATE(14482),
    [sym__effect_pattern] = STATE(14534),
    [sym__pattern] = STATE(14989),
    [sym_alias_pattern] = STATE(14534),
    [sym_typed_pattern] = STATE(14318),
    [sym_or_pattern] = STATE(14534),
    [sym_constructor_pattern] = STATE(14482),
    [sym_tag_pattern] = STATE(14482),
    [sym_polymorphic_variant_pattern] = STATE(14318),
    [sym_tuple_pattern] = STATE(14534),
    [sym_record_pattern] = STATE(14318),
    [sym_list_pattern] = STATE(14318),
    [sym_cons_pattern] = STATE(14534),
    [sym_array_pattern] = STATE(14318),
    [sym_range_pattern] = STATE(14534),
    [sym_lazy_pattern] = STATE(14482),
    [sym_local_open_pattern] = STATE(14318),
    [sym_package_pattern] = STATE(14318),
    [sym_parenthesized_pattern] = STATE(14318),
    [sym_exception_pattern] = STATE(14534),
    [sym_effect_pattern] = STATE(14534),
    [sym_attribute] = STATE(3323),
    [sym_extension] = STATE(14318),
    [sym_quoted_extension] = STATE(14318),
    [sym__constant] = STATE(14273),
    [sym__signed_constant] = STATE(14243),
    [sym_number] = STATE(13273),
    [sym_signed_number] = STATE(14273),
    [sym_character] = STATE(13273),
    [sym_string] = STATE(13273),
    [sym_quoted_string] = STATE(13273),
    [sym_boolean] = STATE(13273),
    [sym_unit] = STATE(13273),
    [sym__simple_value_pattern] = STATE(14318),
    [sym_parenthesized_operator] = STATE(14318),
    [sym_module_path] = STATE(20323),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9632),
    [sym_tag] = STATE(2942),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8621),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8923), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3324), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15868), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [135] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8925), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3325), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15821), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [270] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8927), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3326), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15694), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [405] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8933), 1,
      anon_sym_LT_DASH,
    STATE(3327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [482] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6197), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8935), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3328), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15631), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [617] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8937), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3329), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15862), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1202] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3336), 1,
      sym_attribute,
    STATE(3863), 1,
      sym__attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14475), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1412] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3338), 1,
      sym_attribute,
    STATE(4151), 1,
      sym__attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(16029), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1772] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8959), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3342), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15684), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2207] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(3347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2284] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8179), 1,
      anon_sym_COMMA,
    ACTIONS(8181), 1,
      anon_sym_LPAREN,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3348), 1,
      sym_attribute,
    STATE(4152), 1,
      sym__parenthesized_abstract_type,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(16242), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2569] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(3351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2796] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8979), 1,
      anon_sym_LT_DASH,
    STATE(3354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3023] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8985), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3357), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15845), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3233] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3359), 1,
      sym_attribute,
    STATE(3862), 1,
      sym__attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14605), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3443] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3361), 1,
      sym_attribute,
    STATE(4143), 1,
      sym__attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15329), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3578] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3362), 1,
      sym_attribute,
    STATE(4144), 1,
      sym__attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15348), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3713] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8987), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3363), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15766), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3923] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8937), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3365), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15862), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4208] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6041), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8927), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3368), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15694), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4418] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3370), 1,
      sym_attribute,
    STATE(4240), 1,
      sym__attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15241), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4553] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3371), 1,
      sym_attribute,
    STATE(4241), 1,
      sym__attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14475), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4688] = 29,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8989), 1,
      sym__lowercase_identifier,
    ACTIONS(8995), 1,
      anon_sym_LPAREN,
    ACTIONS(8998), 1,
      anon_sym_LBRACK,
    ACTIONS(9004), 1,
      anon_sym_LBRACE,
    ACTIONS(9007), 1,
      anon_sym_POUND,
    ACTIONS(9010), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9013), 1,
      anon_sym_begin,
    ACTIONS(9016), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9019), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9022), 1,
      aux_sym_number_token1,
    ACTIONS(9025), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9028), 1,
      anon_sym_SQUOTE,
    ACTIONS(9031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9034), 1,
      sym__uppercase_identifier,
    ACTIONS(9037), 1,
      aux_sym_tag_token1,
    STATE(9947), 1,
      sym__constructor_name,
    STATE(10083), 1,
      sym__simple_pattern,
    STATE(20137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(9001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3372), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(9869), 2,
      sym__constant,
      sym_signed_number,
    STATE(9903), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    ACTIONS(8291), 5,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(9902), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(8296), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
    STATE(9926), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [4811] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(3373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4888] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      anon_sym_LT_DASH,
    STATE(3374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5040] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9042), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3376), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5172] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3377), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16463), 1,
      sym__simple_expression,
    STATE(17846), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(22283), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [5302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5598] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9084), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3382), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5730] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9086), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3383), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6010] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3386), 1,
      sym_attribute,
    STATE(9532), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15170), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6216] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3388), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16466), 1,
      sym__simple_expression,
    STATE(16652), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(21245), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [6346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7086] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3399), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16469), 1,
      sym__simple_expression,
    STATE(16760), 1,
      sym_field_expression,
    STATE(20905), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [7216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7290] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3401), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16415), 1,
      sym__simple_expression,
    STATE(16902), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(22099), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [7420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7494] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3403), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15025), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7626] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3404), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(9759), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15194), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7832] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9124), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3406), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7964] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(3407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8114] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3409), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16472), 1,
      sym__simple_expression,
    STATE(16875), 1,
      sym_field_expression,
    STATE(19562), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [8244] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9136), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3410), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8376] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9138), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3411), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8508] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9140), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3412), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8640] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3413), 1,
      sym_attribute,
    STATE(9353), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15215), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8920] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3611), 1,
      anon_sym_DOT,
    ACTIONS(3613), 1,
      anon_sym_POUND,
    ACTIONS(3615), 1,
      sym_hash_operator,
    STATE(3416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9148] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3419), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16476), 1,
      sym__simple_expression,
    STATE(16975), 1,
      sym_field_expression,
    STATE(20907), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [9278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9426] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(3422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9946] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3429), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16479), 1,
      sym__simple_expression,
    STATE(17088), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(21826), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10372] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9184), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3434), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15156), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10504] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9186), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3435), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15157), 1,
      sym__pattern,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10710] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3437), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16249), 1,
      sym__simple_expression,
    STATE(17105), 1,
      sym_field_expression,
    STATE(20382), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10840] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3438), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13633), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15143), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10972] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3439), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16483), 1,
      sym__simple_expression,
    STATE(17199), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(22042), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11176] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3441), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16417), 1,
      sym__simple_expression,
    STATE(16980), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(22500), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11676] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3447), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(9829), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14951), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11808] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3573), 1,
      anon_sym_DOT,
    ACTIONS(3575), 1,
      anon_sym_POUND,
    ACTIONS(3577), 1,
      sym_hash_operator,
    STATE(3448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11888] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3449), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16486), 1,
      sym__simple_expression,
    STATE(17317), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(22180), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12018] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3450), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(10663), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15215), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12150] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3451), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16393), 1,
      sym__simple_expression,
    STATE(16606), 1,
      sym_field_expression,
    STATE(20841), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12280] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3452), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15239), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12708] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3457), 1,
      sym_attribute,
    STATE(9353), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15121), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12914] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3459), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16488), 1,
      sym__simple_expression,
    STATE(17426), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(22278), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13192] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3462), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13905), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15143), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13398] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3464), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16422), 1,
      sym__simple_expression,
    STATE(17063), 1,
      sym_field_expression,
    STATE(19800), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13602] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9236), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3466), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14945), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13734] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3467), 1,
      sym_attribute,
    STATE(9552), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14940), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13940] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3469), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16492), 1,
      sym__simple_expression,
    STATE(17518), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(22499), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14218] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9238), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3472), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14350] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9240), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3473), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14630] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3611), 1,
      anon_sym_DOT,
    ACTIONS(3613), 1,
      anon_sym_POUND,
    ACTIONS(3615), 1,
      sym_hash_operator,
    STATE(3476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14858] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3479), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16494), 1,
      sym__simple_expression,
    STATE(17615), 1,
      sym_field_expression,
    STATE(19335), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15210] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9254), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3483), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(14946), 1,
      sym__pattern,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15342] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3484), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15250), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15770] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3489), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16496), 1,
      sym__simple_expression,
    STATE(17771), 1,
      sym_field_expression,
    STATE(19382), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [15900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16048] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3492), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13277), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14989), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16180] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3493), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16426), 1,
      sym__simple_expression,
    STATE(17174), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(21679), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [16310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16384] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9272), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3495), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16516] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9274), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3496), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15038), 1,
      sym__pattern,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16796] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3499), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16500), 1,
      sym__simple_expression,
    STATE(17873), 1,
      sym_field_expression,
    STATE(19428), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [16926] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3500), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16464), 1,
      sym__simple_expression,
    STATE(18117), 1,
      sym_field_expression,
    STATE(20105), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17426] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9288), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3506), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17558] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(3507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17708] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3509), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16503), 1,
      sym__simple_expression,
    STATE(18078), 1,
      sym_field_expression,
    STATE(19508), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17986] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3512), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15226), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18266] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3515), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14940), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18620] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3519), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16507), 1,
      sym__simple_expression,
    STATE(16597), 1,
      sym_field_expression,
    STATE(19584), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18750] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3520), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16396), 1,
      sym__simple_expression,
    STATE(17183), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(21694), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19028] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3523), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15114), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19160] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3524), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16427), 1,
      sym__simple_expression,
    STATE(17328), 1,
      sym_field_expression,
    STATE(20208), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [19290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19438] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(3527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19588] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3529), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16508), 1,
      sym__simple_expression,
    STATE(16626), 1,
      sym_field_expression,
    STATE(19633), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [19718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20088] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(3535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20238] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3537), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(11770), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14996), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20370] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3538), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16515), 1,
      sym__simple_expression,
    STATE(16645), 1,
      sym_field_expression,
    STATE(19694), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20500] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3539), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15170), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20780] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(3542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20856] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3543), 1,
      sym_attribute,
    STATE(9487), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14908), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20988] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(3544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(3545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21214] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3547), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16517), 1,
      sym__simple_expression,
    STATE(16667), 1,
      sym_field_expression,
    STATE(19766), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21344] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9298), 1,
      anon_sym_LT_DASH,
    STATE(3548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21494] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9300), 1,
      anon_sym_LT_DASH,
    STATE(3550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21792] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3554), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13935), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15219), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [21924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22072] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3557), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13528), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14967), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22278] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9318), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3559), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14912), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22410] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3560), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13544), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14938), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22542] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9320), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3561), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(14913), 1,
      sym__pattern,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22970] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3566), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(11770), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15058), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23324] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3570), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16430), 1,
      sym__simple_expression,
    STATE(17424), 1,
      sym_field_expression,
    STATE(21026), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23454] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(3571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23604] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9322), 1,
      anon_sym_LT_DASH,
    STATE(3573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23828] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3576), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14905), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24256] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3581), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13299), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15029), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [24388] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3582), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16387), 1,
      sym__simple_expression,
    STATE(17458), 1,
      sym_field_expression,
    STATE(20682), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24592] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3584), 1,
      sym_attribute,
    STATE(9353), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15063), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [24724] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3585), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15083), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [24856] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3586), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16385), 1,
      sym__simple_expression,
    STATE(17035), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(21232), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25208] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3590), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16299), 1,
      sym__simple_expression,
    STATE(17513), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(21685), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25412] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3592), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16399), 1,
      sym__simple_expression,
    STATE(17837), 1,
      sym_field_expression,
    STATE(19884), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25542] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3593), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(11770), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15220), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [25674] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3594), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16433), 1,
      sym__simple_expression,
    STATE(17477), 1,
      sym_field_expression,
    STATE(19376), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25878] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3596), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(10032), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15025), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26084] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9344), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3598), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15046), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26216] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9346), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3599), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26348] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9348), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3600), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26480] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9350), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3601), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15047), 1,
      sym__pattern,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26686] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3603), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(11807), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26818] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3604), 1,
      sym_attribute,
    STATE(9609), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15239), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27024] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3606), 1,
      sym_attribute,
    STATE(9229), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14909), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27600] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3613), 1,
      sym_attribute,
    STATE(9353), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15051), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27954] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3617), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16436), 1,
      sym__simple_expression,
    STATE(17587), 1,
      sym_field_expression,
    STATE(20068), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [28084] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9356), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3618), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28216] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3619), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(11770), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14926), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28348] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9358), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3620), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28480] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8179), 1,
      anon_sym_COMMA,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3621), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(16276), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28612] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9360), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3622), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28818] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3624), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15128), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29098] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3627), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13918), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14939), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29230] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3628), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14908), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29362] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3629), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(12931), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14947), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29568] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3631), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16322), 1,
      sym__simple_expression,
    STATE(17850), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(21174), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [29698] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3632), 1,
      sym_attribute,
    STATE(9519), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14922), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29904] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3634), 1,
      sym_attribute,
    STATE(9353), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14939), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30110] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3636), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15106), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30242] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3637), 1,
      sym_attribute,
    STATE(9438), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15226), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30374] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3638), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16441), 1,
      sym__simple_expression,
    STATE(17738), 1,
      sym_field_expression,
    STATE(21004), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30652] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3641), 1,
      sym_attribute,
    STATE(9353), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30784] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3573), 1,
      anon_sym_DOT,
    STATE(3642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31008] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9390), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3645), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15228), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31288] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9392), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3648), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15229), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31790] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3654), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13759), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14926), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32070] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9394), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3657), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15002), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32276] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3659), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16405), 1,
      sym__simple_expression,
    STATE(16654), 1,
      sym_field_expression,
    STATE(20718), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32480] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3661), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(11770), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14938), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32686] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3663), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(10000), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15114), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33188] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3669), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13732), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14966), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33394] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3671), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16443), 1,
      sym__simple_expression,
    STATE(17800), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(21912), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33524] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3672), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13249), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14996), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33656] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3673), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14909), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33788] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3674), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16342), 1,
      sym__simple_expression,
    STATE(17741), 1,
      sym_field_expression,
    STATE(19574), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34066] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3677), 1,
      sym_attribute,
    STATE(9353), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15029), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34198] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3678), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(9657), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14905), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34404] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3680), 1,
      sym_attribute,
    STATE(9353), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15219), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34610] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9396), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3682), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34890] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3685), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35022] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9400), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3686), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35154] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(3687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35230] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9402), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3688), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35362] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9404), 1,
      anon_sym_LT_DASH,
    STATE(3689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35438] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3690), 1,
      sym_attribute,
    STATE(9260), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14914), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35866] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3695), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16449), 1,
      sym__simple_expression,
    STATE(18000), 1,
      sym_field_expression,
    STATE(19460), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [35996] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3696), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13859), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15063), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36202] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3698), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13288), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36704] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3704), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(11770), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14947), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37058] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3708), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13116), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15058), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37190] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9418), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3709), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37322] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3710), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16299), 1,
      sym__simple_expression,
    STATE(17513), 1,
      sym_field_expression,
    STATE(20315), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [37452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37748] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3715), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16360), 1,
      sym__simple_expression,
    STATE(16778), 1,
      sym_field_expression,
    STATE(20237), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [37878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38174] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3720), 1,
      sym_attribute,
    STATE(9595), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15083), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38380] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9424), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3722), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38512] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9426), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3723), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38644] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9428), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3724), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38776] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9430), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3725), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38908] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3726), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16452), 1,
      sym__simple_expression,
    STATE(18120), 1,
      sym_field_expression,
    STATE(19893), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [39038] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3727), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14914), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39318] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9432), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3730), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14959), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39524] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3543), 1,
      anon_sym_DOT,
    STATE(3732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39600] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9434), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3733), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(14960), 1,
      sym__pattern,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40546] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3745), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13308), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15051), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40678] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3746), 1,
      sym_attribute,
    STATE(9353), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14956), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40810] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3747), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15194), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41164] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3751), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16390), 1,
      sym__simple_expression,
    STATE(17841), 1,
      sym_field_expression,
    STATE(19536), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [41294] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3752), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16409), 1,
      sym__simple_expression,
    STATE(16733), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(21241), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [41424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41720] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5885), 1,
      anon_sym_as,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    STATE(3762), 1,
      sym_tag,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14643), 1,
      sym__binding_pattern,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3757), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5881), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [41852] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3758), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14951), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41984] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9440), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3759), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15007), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42116] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3760), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16457), 1,
      sym__simple_expression,
    STATE(17409), 1,
      sym_field_expression,
    STATE(20881), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [42246] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3761), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(10869), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15121), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42378] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5885), 1,
      anon_sym_as,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14655), 1,
      sym__binding_pattern,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3762), 2,
      sym_attribute,
      sym_tag,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5881), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [42510] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3763), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(12253), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15220), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42716] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3765), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16371), 1,
      sym__simple_expression,
    STATE(17331), 1,
      sym_field_expression,
    STATE(20620), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [42846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43068] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3769), 1,
      sym_attribute,
    STATE(9456), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15106), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43274] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9442), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3771), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15008), 1,
      sym__pattern,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43628] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9444), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3775), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43834] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9446), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3777), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43966] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3778), 1,
      sym_attribute,
    STATE(9512), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14916), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44098] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9448), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3779), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44526] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3784), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16458), 1,
      sym__simple_expression,
    STATE(16879), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(21383), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [44656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44804] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9450), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3787), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44936] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3788), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(13905), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14967), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45068] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9452), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3789), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45200] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3543), 1,
      anon_sym_DOT,
    ACTIONS(3545), 1,
      anon_sym_POUND,
    ACTIONS(3547), 1,
      sym_hash_operator,
    STATE(3790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45650] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3543), 1,
      anon_sym_DOT,
    ACTIONS(3545), 1,
      anon_sym_POUND,
    ACTIONS(3547), 1,
      sym_hash_operator,
    STATE(3796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45730] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(3797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45806] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3798), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14922), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45938] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3799), 1,
      sym_attribute,
    STATE(9038), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14916), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46070] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9454), 1,
      anon_sym_LT_DASH,
    STATE(3800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46294] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3803), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(11486), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14956), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46500] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3805), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16379), 1,
      sym__simple_expression,
    STATE(16716), 1,
      sym_field_expression,
    STATE(20083), 1,
      sym__quoted_string,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [46630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46852] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3809), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(9691), 1,
      sym_match_case,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15128), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47058] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3811), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16460), 1,
      sym__simple_expression,
    STATE(17403), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(21776), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [47188] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9456), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3812), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47320] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(3813), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16411), 1,
      sym__simple_expression,
    STATE(16814), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    STATE(21493), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [47450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47598] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(3816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47674] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3611), 1,
      anon_sym_DOT,
    STATE(3817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47824] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9458), 1,
      anon_sym_LT_DASH,
    STATE(3819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48048] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9460), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3822), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48254] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3824), 1,
      sym_attribute,
    STATE(9353), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14966), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48608] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3573), 1,
      anon_sym_DOT,
    ACTIONS(3575), 1,
      anon_sym_POUND,
    ACTIONS(3577), 1,
      sym_hash_operator,
    STATE(3828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48836] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3831), 1,
      sym_attribute,
    STATE(9334), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15250), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48968] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3832), 1,
      sym_attribute,
    STATE(9353), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14989), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49100] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3833), 1,
      sym_attribute,
    STATE(9353), 1,
      sym_match_case,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51278] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3862), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14612), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51407] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3863), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14526), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51536] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    STATE(3865), 1,
      sym_tag,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15585), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5885), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3864), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5881), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [51667] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15592), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5885), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3865), 2,
      sym_attribute,
      sym_tag,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5881), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [51798] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3866), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14622), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51927] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3867), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14611), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52056] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3868), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14630), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52185] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(3869), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14309), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54577] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(3901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54798] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(3904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55968] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3689), 1,
      anon_sym_DOT,
    ACTIONS(3691), 1,
      anon_sym_POUND,
    ACTIONS(3693), 1,
      sym_hash_operator,
    STATE(3920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56631] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3689), 1,
      anon_sym_DOT,
    STATE(3929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57801] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3689), 1,
      anon_sym_DOT,
    ACTIONS(3691), 1,
      anon_sym_POUND,
    ACTIONS(3693), 1,
      sym_hash_operator,
    STATE(3945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58245] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(3951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58539] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(3955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58906] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_POUND,
    ACTIONS(3705), 1,
      sym_hash_operator,
    STATE(3960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59569] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_POUND,
    ACTIONS(3705), 1,
      sym_hash_operator,
    STATE(3969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60378] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3713), 1,
      anon_sym_DOT,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3717), 1,
      sym_hash_operator,
    STATE(3980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60895] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    STATE(3987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62065] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3713), 1,
      anon_sym_DOT,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3717), 1,
      sym_hash_operator,
    STATE(4003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63604] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3713), 1,
      anon_sym_DOT,
    STATE(4024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68278] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(4088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68572] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(4092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70472] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(4118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70912] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(4124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71060] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(4126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71281] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(4129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72305] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4143), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15520), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72434] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4144), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15554), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72563] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4145), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15570), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72692] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4146), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15579), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72821] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4147), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15339), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72950] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4148), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15355), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73079] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8510), 1,
      anon_sym_exception,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8516), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8520), 1,
      anon_sym_effect,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8534), 1,
      sym__uppercase_identifier,
    ACTIONS(8536), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4149), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__constructor_name,
    STATE(15185), 1,
      sym__signed_constant,
    STATE(15393), 1,
      sym__pattern,
    STATE(19679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(15491), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15501), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15376), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73208] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4150), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15378), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73337] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4151), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(16241), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73466] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4152), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(16271), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73595] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4153), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15507), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73724] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4154), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15224), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73853] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4155), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15342), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73982] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3733), 1,
      anon_sym_DOT,
    ACTIONS(3735), 1,
      anon_sym_POUND,
    ACTIONS(3737), 1,
      sym_hash_operator,
    STATE(4156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74061] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3733), 1,
      anon_sym_DOT,
    ACTIONS(3735), 1,
      anon_sym_POUND,
    ACTIONS(3737), 1,
      sym_hash_operator,
    STATE(4157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75089] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3733), 1,
      anon_sym_DOT,
    STATE(4171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76770] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(4195), 1,
      sym_tag,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14643), 1,
      sym__binding_pattern,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5885), 2,
      anon_sym_COLON2,
      anon_sym_as,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4194), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5881), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [76901] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14655), 1,
      sym__binding_pattern,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5885), 2,
      anon_sym_COLON2,
      anon_sym_as,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4195), 2,
      sym_attribute,
      sym_tag,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5881), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [77032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77835] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(4207), 1,
      sym_attribute,
    STATE(5466), 1,
      sym__attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    STATE(21501), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [77976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78341] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4213), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14964), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79054] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79275] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(4225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79423] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(4227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79498] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9474), 1,
      anon_sym_LT_DASH,
    STATE(4228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79938] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4234), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14925), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80067] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3659), 1,
      anon_sym_DOT,
    ACTIONS(3661), 1,
      anon_sym_POUND,
    ACTIONS(3663), 1,
      sym_hash_operator,
    STATE(4235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80219] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4237), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14954), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80348] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(4238), 1,
      sym_attribute,
    STATE(5466), 1,
      sym__attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    STATE(20856), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [80489] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4239), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14957), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80618] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4240), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15186), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80747] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4241), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14526), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80876] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4242), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15187), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81005] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4243), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15188), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81134] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4244), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15189), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81263] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4245), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14309), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81392] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3659), 1,
      anon_sym_DOT,
    ACTIONS(3661), 1,
      anon_sym_POUND,
    ACTIONS(3663), 1,
      sym_hash_operator,
    STATE(4246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81690] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4250), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14978), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81819] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(4251), 1,
      sym_attribute,
    STATE(5466), 1,
      sym__attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19387), 1,
      sym_open_module,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [81960] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4252), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14983), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [82089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82308] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4256), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14994), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [82437] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(4257), 1,
      sym_attribute,
    STATE(5466), 1,
      sym__attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    STATE(19815), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [82578] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4258), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(14995), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [82707] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4259), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15012), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [82836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82909] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(4261), 1,
      sym_attribute,
    STATE(5466), 1,
      sym__attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    STATE(20257), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [83050] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4262), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15016), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [83179] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(4263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83254] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4264), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15022), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [83383] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9476), 1,
      anon_sym_LT_DASH,
    STATE(4265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83458] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(4266), 1,
      sym_attribute,
    STATE(5466), 1,
      sym__attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    STATE(20630), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [83599] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4267), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15024), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [83728] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4268), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15033), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [83857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83930] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(4270), 1,
      sym_attribute,
    STATE(5466), 1,
      sym__attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    STATE(20964), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [84071] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4271), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15035), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [84200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84346] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4274), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15037), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [84475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84548] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4276), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15039), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [84677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84750] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4278), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15042), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [84879] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4279), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15044), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85008] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4280), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15048), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85283] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4283), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15049), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85558] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4286), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15053), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85833] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4289), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15054), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85962] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4290), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15055), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [86091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86164] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3659), 1,
      anon_sym_DOT,
    STATE(4292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86239] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4293), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15057), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [86368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86441] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4295), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15060), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [86570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86643] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4297), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [86772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86991] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4301), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15064), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87193] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4303), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15066), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87541] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4307), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15067), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87816] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4310), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15068), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88164] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4314), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15069), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88366] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4316), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15071), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88568] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4318), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15073), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88770] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4320), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15075), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89045] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4323), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15080), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89174] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4324), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15082), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89376] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4326), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15084), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89505] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4327), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15085), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89634] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4328), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15090), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89763] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4329), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15091), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89892] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4330), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15094), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [90021] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4331), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15095), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [90150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90223] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4333), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15255), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [90352] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4334), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15097), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [90481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90554] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4336), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15098), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [90683] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4337), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15100), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [90812] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4338), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15101), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [90941] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4339), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15102), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91143] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4341), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15103), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91272] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4342), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91401] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4343), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15105), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91603] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4345), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15107), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91732] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4346), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15108), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91861] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4347), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15109), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91990] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4348), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15110), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92119] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4349), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15111), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92321] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4351), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15112), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92450] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4352), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92579] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4353), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15115), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92781] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4355), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15116), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92910] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4356), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15118), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93039] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4357), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15120), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93241] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4359), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15123), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93370] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4360), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15124), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93572] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4362), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15125), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93701] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4363), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15126), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93830] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4364), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15130), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93959] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4365), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15131), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [94088] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4366), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15132), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [94217] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4367), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15133), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [94346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94419] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4369), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15135), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [94548] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4370), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15136), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [94677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94750] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4372), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15137), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [94879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94952] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4374), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15138), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [95081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95154] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4376), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15139), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [95283] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(4377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95358] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4378), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15140), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [95487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9478), 1,
      anon_sym_LT_DASH,
    STATE(4379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95562] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4380), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15142), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [95691] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4381), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15144), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [95820] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4382), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15146), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [95949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96022] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4384), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15148), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [96151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96297] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4387), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15151), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [96426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96572] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4390), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15152), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [96701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96774] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4392), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15153), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [96903] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_DOT,
    ACTIONS(3673), 1,
      anon_sym_POUND,
    ACTIONS(3675), 1,
      sym_hash_operator,
    STATE(4393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96982] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4394), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15154), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [97111] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4395), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15158), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [97240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97313] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4397), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15159), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [97442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97588] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4400), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15160), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [97717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97790] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4402), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15161), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [97919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98065] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4405), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15163), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [98194] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4406), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15165), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [98323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98396] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4408), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15166), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [98525] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_DOT,
    STATE(4409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98600] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4410), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15167), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [98729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98802] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4412), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15168), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [98931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99004] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4414), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15169), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99352] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4418), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15171), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99554] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4420), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15172), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99902] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4424), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15174), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100031] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4425), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15175), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100306] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4428), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15176), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100581] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4431), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15178), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100710] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4432), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15179), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100839] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4433), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15180), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100968] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4434), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15181), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101097] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2942), 1,
      sym_tag,
    STATE(4435), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(14243), 1,
      sym__signed_constant,
    STATE(15182), 1,
      sym__pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14534), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14318), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101445] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_DOT,
    ACTIONS(3673), 1,
      anon_sym_POUND,
    ACTIONS(3675), 1,
      sym_hash_operator,
    STATE(4439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101741] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4443), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16479), 1,
      sym__simple_expression,
    STATE(17088), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101865] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4444), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16483), 1,
      sym__simple_expression,
    STATE(17199), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101989] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4445), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16486), 1,
      sym__simple_expression,
    STATE(17317), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102113] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4446), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16488), 1,
      sym__simple_expression,
    STATE(17426), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102309] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4448), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16492), 1,
      sym__simple_expression,
    STATE(17518), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102433] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4449), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16494), 1,
      sym__simple_expression,
    STATE(17615), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102629] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4451), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16496), 1,
      sym__simple_expression,
    STATE(17771), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102825] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4453), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16500), 1,
      sym__simple_expression,
    STATE(17873), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103093] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4456), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16503), 1,
      sym__simple_expression,
    STATE(18078), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103217] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4457), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16507), 1,
      sym__simple_expression,
    STATE(16597), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103341] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4458), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16508), 1,
      sym__simple_expression,
    STATE(16626), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103537] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4460), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16515), 1,
      sym__simple_expression,
    STATE(16645), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103733] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4462), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16517), 1,
      sym__simple_expression,
    STATE(16667), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104073] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_POUND,
    ACTIONS(3821), 1,
      sym_hash_operator,
    STATE(4466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104223] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9484), 1,
      anon_sym_COLON,
    STATE(4468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [104297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105665] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(4488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105739] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9486), 1,
      anon_sym_LT_DASH,
    STATE(4489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105885] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(4491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105959] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9488), 1,
      anon_sym_LT_DASH,
    STATE(4492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106033] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3807), 1,
      anon_sym_DOT,
    ACTIONS(3809), 1,
      anon_sym_POUND,
    ACTIONS(3811), 1,
      sym_hash_operator,
    STATE(4493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106111] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3807), 1,
      anon_sym_DOT,
    ACTIONS(3809), 1,
      anon_sym_POUND,
    ACTIONS(3811), 1,
      sym_hash_operator,
    STATE(4494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107269] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3807), 1,
      anon_sym_DOT,
    STATE(4510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108423] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(4526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109217] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(4537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109939] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3827), 1,
      anon_sym_DOT,
    ACTIONS(3829), 1,
      anon_sym_POUND,
    ACTIONS(3831), 1,
      sym_hash_operator,
    STATE(4547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110593] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      sym__lowercase_identifier,
    ACTIONS(9492), 1,
      anon_sym_LPAREN,
    ACTIONS(9494), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_LBRACE,
    ACTIONS(9500), 1,
      anon_sym_object,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9504), 1,
      anon_sym_new,
    ACTIONS(9506), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9508), 1,
      anon_sym_begin,
    ACTIONS(9510), 1,
      sym_ocamlyacc_value,
    ACTIONS(9512), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9514), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9516), 1,
      anon_sym_PERCENT,
    ACTIONS(9518), 1,
      aux_sym_number_token1,
    ACTIONS(9520), 1,
      anon_sym_SQUOTE,
    ACTIONS(9522), 1,
      anon_sym_DQUOTE,
    ACTIONS(9524), 1,
      sym_prefix_operator,
    ACTIONS(9526), 1,
      sym__uppercase_identifier,
    ACTIONS(9528), 1,
      aux_sym_tag_token1,
    STATE(4556), 1,
      sym_attribute,
    STATE(5277), 1,
      sym__attribute,
    STATE(8111), 1,
      sym__constructor_name,
    STATE(8787), 1,
      sym_parenthesized_operator,
    STATE(8834), 1,
      sym__value_name,
    STATE(8839), 1,
      sym__simple_expression,
    STATE(20501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8802), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8832), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110933] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9530), 1,
      anon_sym_COLON,
    STATE(4560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [111007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112159] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3827), 1,
      anon_sym_DOT,
    STATE(4577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114177] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3827), 1,
      anon_sym_DOT,
    ACTIONS(3829), 1,
      anon_sym_POUND,
    ACTIONS(3831), 1,
      sym_hash_operator,
    STATE(4605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114759] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4613), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16476), 1,
      sym__simple_expression,
    STATE(16975), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115603] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    STATE(4624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115965] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9516), 1,
      anon_sym_PERCENT,
    ACTIONS(9532), 1,
      sym__lowercase_identifier,
    ACTIONS(9534), 1,
      anon_sym_LPAREN,
    ACTIONS(9538), 1,
      anon_sym_LBRACE,
    ACTIONS(9540), 1,
      anon_sym_begin,
    ACTIONS(9542), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9544), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_number_token1,
    ACTIONS(9548), 1,
      anon_sym_SQUOTE,
    ACTIONS(9550), 1,
      anon_sym_DQUOTE,
    ACTIONS(9552), 1,
      sym_prefix_operator,
    STATE(4629), 1,
      sym_attribute,
    STATE(5445), 1,
      sym__attribute,
    STATE(8396), 1,
      sym_parenthesized_operator,
    STATE(8442), 1,
      sym__simple_expression,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(21231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8334), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116161] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9516), 1,
      anon_sym_PERCENT,
    ACTIONS(9532), 1,
      sym__lowercase_identifier,
    ACTIONS(9534), 1,
      anon_sym_LPAREN,
    ACTIONS(9538), 1,
      anon_sym_LBRACE,
    ACTIONS(9540), 1,
      anon_sym_begin,
    ACTIONS(9542), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9544), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_number_token1,
    ACTIONS(9548), 1,
      anon_sym_SQUOTE,
    ACTIONS(9550), 1,
      anon_sym_DQUOTE,
    ACTIONS(9552), 1,
      sym_prefix_operator,
    STATE(4631), 1,
      sym_attribute,
    STATE(5072), 1,
      sym__attribute,
    STATE(8396), 1,
      sym_parenthesized_operator,
    STATE(8449), 1,
      sym__simple_expression,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(21231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8334), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116717] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4638), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16249), 1,
      sym__simple_expression,
    STATE(17105), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116985] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      sym__lowercase_identifier,
    ACTIONS(9492), 1,
      anon_sym_LPAREN,
    ACTIONS(9494), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_LBRACE,
    ACTIONS(9500), 1,
      anon_sym_object,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9504), 1,
      anon_sym_new,
    ACTIONS(9506), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9508), 1,
      anon_sym_begin,
    ACTIONS(9510), 1,
      sym_ocamlyacc_value,
    ACTIONS(9512), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9514), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9516), 1,
      anon_sym_PERCENT,
    ACTIONS(9518), 1,
      aux_sym_number_token1,
    ACTIONS(9520), 1,
      anon_sym_SQUOTE,
    ACTIONS(9522), 1,
      anon_sym_DQUOTE,
    ACTIONS(9524), 1,
      sym_prefix_operator,
    ACTIONS(9526), 1,
      sym__uppercase_identifier,
    ACTIONS(9528), 1,
      aux_sym_tag_token1,
    STATE(4641), 1,
      sym_attribute,
    STATE(5313), 1,
      sym__attribute,
    STATE(8111), 1,
      sym__constructor_name,
    STATE(8787), 1,
      sym_parenthesized_operator,
    STATE(8834), 1,
      sym__value_name,
    STATE(8857), 1,
      sym__simple_expression,
    STATE(20501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8802), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8832), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117181] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9516), 1,
      anon_sym_PERCENT,
    ACTIONS(9554), 1,
      sym__lowercase_identifier,
    ACTIONS(9556), 1,
      anon_sym_LPAREN,
    ACTIONS(9558), 1,
      anon_sym_LBRACK,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    ACTIONS(9564), 1,
      anon_sym_object,
    ACTIONS(9566), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9568), 1,
      anon_sym_new,
    ACTIONS(9570), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9572), 1,
      anon_sym_begin,
    ACTIONS(9574), 1,
      sym_ocamlyacc_value,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9578), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9580), 1,
      aux_sym_number_token1,
    ACTIONS(9582), 1,
      anon_sym_SQUOTE,
    ACTIONS(9584), 1,
      anon_sym_DQUOTE,
    ACTIONS(9586), 1,
      sym_prefix_operator,
    ACTIONS(9588), 1,
      sym__uppercase_identifier,
    ACTIONS(9590), 1,
      aux_sym_tag_token1,
    STATE(4643), 1,
      sym_attribute,
    STATE(5337), 1,
      sym__attribute,
    STATE(8546), 1,
      sym__constructor_name,
    STATE(8600), 1,
      sym_parenthesized_operator,
    STATE(8615), 1,
      sym__value_name,
    STATE(8727), 1,
      sym__simple_expression,
    STATE(22134), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8541), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8625), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117305] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9516), 1,
      anon_sym_PERCENT,
    ACTIONS(9554), 1,
      sym__lowercase_identifier,
    ACTIONS(9556), 1,
      anon_sym_LPAREN,
    ACTIONS(9558), 1,
      anon_sym_LBRACK,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    ACTIONS(9564), 1,
      anon_sym_object,
    ACTIONS(9566), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9568), 1,
      anon_sym_new,
    ACTIONS(9570), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9572), 1,
      anon_sym_begin,
    ACTIONS(9574), 1,
      sym_ocamlyacc_value,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9578), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9580), 1,
      aux_sym_number_token1,
    ACTIONS(9582), 1,
      anon_sym_SQUOTE,
    ACTIONS(9584), 1,
      anon_sym_DQUOTE,
    ACTIONS(9586), 1,
      sym_prefix_operator,
    ACTIONS(9588), 1,
      sym__uppercase_identifier,
    ACTIONS(9590), 1,
      aux_sym_tag_token1,
    STATE(4644), 1,
      sym_attribute,
    STATE(5355), 1,
      sym__attribute,
    STATE(8498), 1,
      sym__simple_expression,
    STATE(8546), 1,
      sym__constructor_name,
    STATE(8600), 1,
      sym_parenthesized_operator,
    STATE(8615), 1,
      sym__value_name,
    STATE(22134), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8541), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8625), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117573] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4647), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16299), 1,
      sym__simple_expression,
    STATE(17513), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117697] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9516), 1,
      anon_sym_PERCENT,
    ACTIONS(9592), 1,
      sym__lowercase_identifier,
    ACTIONS(9594), 1,
      anon_sym_LPAREN,
    ACTIONS(9596), 1,
      anon_sym_LBRACK,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      anon_sym_object,
    ACTIONS(9604), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9606), 1,
      anon_sym_new,
    ACTIONS(9608), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9610), 1,
      anon_sym_begin,
    ACTIONS(9612), 1,
      sym_ocamlyacc_value,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9616), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9618), 1,
      aux_sym_number_token1,
    ACTIONS(9620), 1,
      anon_sym_SQUOTE,
    ACTIONS(9622), 1,
      anon_sym_DQUOTE,
    ACTIONS(9624), 1,
      sym_prefix_operator,
    ACTIONS(9626), 1,
      sym__uppercase_identifier,
    ACTIONS(9628), 1,
      aux_sym_tag_token1,
    STATE(4648), 1,
      sym_attribute,
    STATE(5076), 1,
      sym__attribute,
    STATE(10789), 1,
      sym_parenthesized_operator,
    STATE(10852), 1,
      sym__constructor_name,
    STATE(10856), 1,
      sym__simple_expression,
    STATE(11017), 1,
      sym__value_name,
    STATE(19881), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10830), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10924), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117821] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9516), 1,
      anon_sym_PERCENT,
    ACTIONS(9592), 1,
      sym__lowercase_identifier,
    ACTIONS(9594), 1,
      anon_sym_LPAREN,
    ACTIONS(9596), 1,
      anon_sym_LBRACK,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      anon_sym_object,
    ACTIONS(9604), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9606), 1,
      anon_sym_new,
    ACTIONS(9608), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9610), 1,
      anon_sym_begin,
    ACTIONS(9612), 1,
      sym_ocamlyacc_value,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9616), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9618), 1,
      aux_sym_number_token1,
    ACTIONS(9620), 1,
      anon_sym_SQUOTE,
    ACTIONS(9622), 1,
      anon_sym_DQUOTE,
    ACTIONS(9624), 1,
      sym_prefix_operator,
    ACTIONS(9626), 1,
      sym__uppercase_identifier,
    ACTIONS(9628), 1,
      aux_sym_tag_token1,
    STATE(4649), 1,
      sym_attribute,
    STATE(5088), 1,
      sym__attribute,
    STATE(10789), 1,
      sym_parenthesized_operator,
    STATE(10852), 1,
      sym__constructor_name,
    STATE(10857), 1,
      sym__simple_expression,
    STATE(11017), 1,
      sym__value_name,
    STATE(19881), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10830), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10924), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117945] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4650), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16322), 1,
      sym__simple_expression,
    STATE(17850), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118069] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9516), 1,
      anon_sym_PERCENT,
    ACTIONS(9630), 1,
      sym__lowercase_identifier,
    ACTIONS(9632), 1,
      anon_sym_LPAREN,
    ACTIONS(9634), 1,
      anon_sym_LBRACK,
    ACTIONS(9638), 1,
      anon_sym_LBRACE,
    ACTIONS(9640), 1,
      anon_sym_object,
    ACTIONS(9642), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9644), 1,
      anon_sym_new,
    ACTIONS(9646), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9648), 1,
      anon_sym_begin,
    ACTIONS(9650), 1,
      sym_ocamlyacc_value,
    ACTIONS(9652), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9654), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9656), 1,
      aux_sym_number_token1,
    ACTIONS(9658), 1,
      anon_sym_SQUOTE,
    ACTIONS(9660), 1,
      anon_sym_DQUOTE,
    ACTIONS(9662), 1,
      sym_prefix_operator,
    ACTIONS(9664), 1,
      sym__uppercase_identifier,
    ACTIONS(9666), 1,
      aux_sym_tag_token1,
    STATE(4651), 1,
      sym_attribute,
    STATE(5161), 1,
      sym__attribute,
    STATE(8512), 1,
      sym__constructor_name,
    STATE(8604), 1,
      sym__value_name,
    STATE(8712), 1,
      sym__simple_expression,
    STATE(8715), 1,
      sym_parenthesized_operator,
    STATE(20127), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8649), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8589), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118265] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9516), 1,
      anon_sym_PERCENT,
    ACTIONS(9630), 1,
      sym__lowercase_identifier,
    ACTIONS(9632), 1,
      anon_sym_LPAREN,
    ACTIONS(9634), 1,
      anon_sym_LBRACK,
    ACTIONS(9638), 1,
      anon_sym_LBRACE,
    ACTIONS(9640), 1,
      anon_sym_object,
    ACTIONS(9642), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9644), 1,
      anon_sym_new,
    ACTIONS(9646), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9648), 1,
      anon_sym_begin,
    ACTIONS(9650), 1,
      sym_ocamlyacc_value,
    ACTIONS(9652), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9654), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9656), 1,
      aux_sym_number_token1,
    ACTIONS(9658), 1,
      anon_sym_SQUOTE,
    ACTIONS(9660), 1,
      anon_sym_DQUOTE,
    ACTIONS(9662), 1,
      sym_prefix_operator,
    ACTIONS(9664), 1,
      sym__uppercase_identifier,
    ACTIONS(9666), 1,
      aux_sym_tag_token1,
    STATE(4653), 1,
      sym_attribute,
    STATE(5169), 1,
      sym__attribute,
    STATE(8512), 1,
      sym__constructor_name,
    STATE(8604), 1,
      sym__value_name,
    STATE(8715), 1,
      sym_parenthesized_operator,
    STATE(8737), 1,
      sym__simple_expression,
    STATE(20127), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8649), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8589), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118389] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4654), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16342), 1,
      sym__simple_expression,
    STATE(17741), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118513] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4655), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16360), 1,
      sym__simple_expression,
    STATE(16778), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118637] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4656), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16371), 1,
      sym__simple_expression,
    STATE(17331), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118761] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4657), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16379), 1,
      sym__simple_expression,
    STATE(16716), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118885] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4658), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16385), 1,
      sym__simple_expression,
    STATE(17035), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119009] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4659), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16387), 1,
      sym__simple_expression,
    STATE(17458), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119133] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4660), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16390), 1,
      sym__simple_expression,
    STATE(17841), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119329] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4662), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16393), 1,
      sym__simple_expression,
    STATE(16606), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119453] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4663), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16396), 1,
      sym__simple_expression,
    STATE(17183), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119649] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4665), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16399), 1,
      sym__simple_expression,
    STATE(17837), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119773] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4666), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16405), 1,
      sym__simple_expression,
    STATE(16654), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119897] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4667), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16409), 1,
      sym__simple_expression,
    STATE(16733), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120021] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4668), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16411), 1,
      sym__simple_expression,
    STATE(16814), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120289] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4671), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16415), 1,
      sym__simple_expression,
    STATE(16902), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120557] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4674), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16417), 1,
      sym__simple_expression,
    STATE(16980), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120681] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(4675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120755] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9668), 1,
      anon_sym_LT_DASH,
    STATE(4676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121189] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4682), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16422), 1,
      sym__simple_expression,
    STATE(17063), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121313] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4683), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16426), 1,
      sym__simple_expression,
    STATE(17174), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121437] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4684), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16427), 1,
      sym__simple_expression,
    STATE(17328), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121561] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(4685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121707] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4687), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16430), 1,
      sym__simple_expression,
    STATE(17424), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121831] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4688), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16464), 1,
      sym__simple_expression,
    STATE(18117), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122099] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(4691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122461] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4696), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16433), 1,
      sym__simple_expression,
    STATE(17477), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122657] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(4698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [123307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123667] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(4712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123957] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4716), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16436), 1,
      sym__simple_expression,
    STATE(17587), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124297] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_COLON,
    STATE(4720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [124371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124731] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4726), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16441), 1,
      sym__simple_expression,
    STATE(17738), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125071] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4730), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16443), 1,
      sym__simple_expression,
    STATE(17800), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125339] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4733), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16449), 1,
      sym__simple_expression,
    STATE(18000), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [125535] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_POUND,
    ACTIONS(3821), 1,
      sym_hash_operator,
    STATE(4735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125613] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4736), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16452), 1,
      sym__simple_expression,
    STATE(18120), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125809] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4738), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16457), 1,
      sym__simple_expression,
    STATE(17409), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126149] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4742), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16458), 1,
      sym__simple_expression,
    STATE(16879), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126273] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4743), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16460), 1,
      sym__simple_expression,
    STATE(17403), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126397] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4744), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16463), 1,
      sym__simple_expression,
    STATE(17846), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126593] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4746), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16466), 1,
      sym__simple_expression,
    STATE(16652), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126717] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4747), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16469), 1,
      sym__simple_expression,
    STATE(16760), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127057] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9044), 1,
      sym__lowercase_identifier,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(4751), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15843), 1,
      sym_field_path,
    STATE(16472), 1,
      sym__simple_expression,
    STATE(16875), 1,
      sym_field_expression,
    STATE(21077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127397] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9676), 1,
      anon_sym_LT_DASH,
    STATE(4755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127967] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(4763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128253] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3741), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4767), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128374] = 37,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    ACTIONS(6243), 1,
      anon_sym_LPAREN,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6251), 1,
      anon_sym_POUND,
    ACTIONS(6253), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6255), 1,
      anon_sym_lazy,
    ACTIONS(6257), 1,
      anon_sym_begin,
    ACTIONS(6263), 1,
      aux_sym_number_token1,
    ACTIONS(6265), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DQUOTE,
    ACTIONS(6271), 1,
      sym__uppercase_identifier,
    ACTIONS(6273), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(9678), 1,
      anon_sym_rec,
    ACTIONS(9680), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9682), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2813), 1,
      sym_tag,
    STATE(2815), 1,
      sym_constructor_path,
    STATE(2850), 1,
      sym__binding_pattern,
    STATE(4768), 1,
      sym_attribute,
    STATE(5505), 1,
      sym__attribute,
    STATE(6514), 1,
      sym__constructor_name,
    STATE(6551), 1,
      sym__signed_constant,
    STATE(6633), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6700), 1,
      sym_list_binding_pattern,
    STATE(6709), 1,
      sym_array_binding_pattern,
    STATE(13100), 1,
      sym_let_binding,
    STATE(20870), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6606), 2,
      sym__constant,
      sym_signed_number,
    STATE(6591), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6662), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [128509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128651] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3785), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4771), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129056] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3789), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4776), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129248] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3793), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4778), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129369] = 37,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(9684), 1,
      anon_sym_rec,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2845), 1,
      sym__binding_pattern,
    STATE(4779), 1,
      sym_attribute,
    STATE(5491), 1,
      sym__attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(13144), 1,
      sym_let_binding,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [129504] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3795), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4780), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129625] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(4781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129698] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(4782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129771] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9690), 1,
      anon_sym_LT_DASH,
    STATE(4783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129844] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3797), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4784), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129965] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3799), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4785), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130086] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4786), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130278] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(4788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130351] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9692), 1,
      anon_sym_LT_DASH,
    STATE(4789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130424] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3637), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4790), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130545] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4791), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130666] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4792), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130787] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4793), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130908] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4794), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131384] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3647), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4800), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131860] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3649), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4806), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [132194] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3651), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4810), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132386] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      anon_sym_COLON,
    STATE(4812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [132459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132530] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3653), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4814), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132651] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3723), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4815), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132772] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4816), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [133177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133390] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3677), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4824), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133511] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_POUND,
    ACTIONS(4519), 1,
      sym_hash_operator,
    STATE(4825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133872] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3679), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4830), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133993] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4831), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134185] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3683), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4833), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134306] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4834), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [134782] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3707), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4840), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134903] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9696), 1,
      anon_sym_COLON,
    STATE(4841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [134976] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3719), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4842), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135097] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(4843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135241] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3721), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4845), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135362] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3725), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4846), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135554] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3727), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4848), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135675] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(4849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135819] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4851), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [136011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136082] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3739), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4854), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136487] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3743), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4859), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136679] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4311), 1,
      anon_sym_DOT,
    ACTIONS(4313), 1,
      anon_sym_POUND,
    ACTIONS(4315), 1,
      sym_hash_operator,
    STATE(4861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136756] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3745), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4862), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137303] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3749), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4869), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137495] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4311), 1,
      anon_sym_DOT,
    STATE(4871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137994] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3751), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4878), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138754] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4311), 1,
      anon_sym_DOT,
    ACTIONS(4313), 1,
      anon_sym_POUND,
    ACTIONS(4315), 1,
      sym_hash_operator,
    STATE(4888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138831] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3753), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4889), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139307] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3755), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4895), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139712] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3757), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4900), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139833] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4901), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139954] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3761), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4902), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140146] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4904), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140267] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3765), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4905), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140388] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3767), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4906), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140509] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3771), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4907), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140772] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3773), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4910), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140964] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3775), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4912), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [141156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141227] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3777), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4915), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141348] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3779), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4916), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141611] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3781), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4919), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141803] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4921), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142066] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4924), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142400] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_POUND,
    ACTIONS(4519), 1,
      sym_hash_operator,
    STATE(4928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142477] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9698), 1,
      anon_sym_COLON,
    STATE(4929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [142550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142976] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(4936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143972] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9700), 1,
      anon_sym_COLON,
    STATE(4950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [144045] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(4951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144331] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(4955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [145185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145469] = 37,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9702), 1,
      anon_sym_rec,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2856), 1,
      sym__binding_pattern,
    STATE(4971), 1,
      sym_attribute,
    STATE(5520), 1,
      sym__attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(13188), 1,
      sym_let_binding,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145675] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    STATE(4973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146103] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9704), 1,
      anon_sym_COLON,
    STATE(4979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [146176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148306] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4373), 1,
      anon_sym_DOT,
    ACTIONS(4375), 1,
      anon_sym_POUND,
    ACTIONS(4377), 1,
      sym_hash_operator,
    STATE(5010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149164] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4373), 1,
      anon_sym_DOT,
    STATE(5022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150515] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4373), 1,
      anon_sym_DOT,
    ACTIONS(4375), 1,
      anon_sym_POUND,
    ACTIONS(4377), 1,
      sym_hash_operator,
    STATE(5041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152509] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9706), 1,
      anon_sym_COLON,
    STATE(5069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [152582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152722] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9532), 1,
      sym__lowercase_identifier,
    ACTIONS(9534), 1,
      anon_sym_LPAREN,
    ACTIONS(9538), 1,
      anon_sym_LBRACE,
    ACTIONS(9540), 1,
      anon_sym_begin,
    ACTIONS(9542), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9544), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_number_token1,
    ACTIONS(9548), 1,
      anon_sym_SQUOTE,
    ACTIONS(9550), 1,
      anon_sym_DQUOTE,
    ACTIONS(9552), 1,
      sym_prefix_operator,
    STATE(5072), 1,
      sym_attribute,
    STATE(8342), 1,
      sym__simple_expression,
    STATE(8396), 1,
      sym_parenthesized_operator,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(21231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8334), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152840] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    ACTIONS(1907), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      anon_sym_object,
    ACTIONS(1917), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1927), 1,
      anon_sym_new,
    ACTIONS(1929), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1931), 1,
      anon_sym_begin,
    ACTIONS(1933), 1,
      sym_ocamlyacc_value,
    ACTIONS(1935), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1937), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1939), 1,
      aux_sym_number_token1,
    ACTIONS(1941), 1,
      anon_sym_SQUOTE,
    ACTIONS(1943), 1,
      anon_sym_DQUOTE,
    ACTIONS(1945), 1,
      sym_prefix_operator,
    ACTIONS(1949), 1,
      sym__uppercase_identifier,
    ACTIONS(1951), 1,
      aux_sym_tag_token1,
    ACTIONS(6285), 1,
      sym__lowercase_identifier,
    STATE(5073), 1,
      sym_attribute,
    STATE(7268), 1,
      sym__constructor_name,
    STATE(7430), 1,
      sym__simple_expression,
    STATE(7514), 1,
      sym__value_name,
    STATE(7671), 1,
      sym_parenthesized_operator,
    STATE(19840), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1909), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7276), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7446), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152958] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9630), 1,
      sym__lowercase_identifier,
    ACTIONS(9632), 1,
      anon_sym_LPAREN,
    ACTIONS(9634), 1,
      anon_sym_LBRACK,
    ACTIONS(9638), 1,
      anon_sym_LBRACE,
    ACTIONS(9640), 1,
      anon_sym_object,
    ACTIONS(9642), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9644), 1,
      anon_sym_new,
    ACTIONS(9646), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9648), 1,
      anon_sym_begin,
    ACTIONS(9650), 1,
      sym_ocamlyacc_value,
    ACTIONS(9652), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9654), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9656), 1,
      aux_sym_number_token1,
    ACTIONS(9658), 1,
      anon_sym_SQUOTE,
    ACTIONS(9660), 1,
      anon_sym_DQUOTE,
    ACTIONS(9662), 1,
      sym_prefix_operator,
    ACTIONS(9664), 1,
      sym__uppercase_identifier,
    ACTIONS(9666), 1,
      aux_sym_tag_token1,
    STATE(5074), 1,
      sym_attribute,
    STATE(8512), 1,
      sym__constructor_name,
    STATE(8604), 1,
      sym__value_name,
    STATE(8710), 1,
      sym__simple_expression,
    STATE(8715), 1,
      sym_parenthesized_operator,
    STATE(20127), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8649), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8589), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153076] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9630), 1,
      sym__lowercase_identifier,
    ACTIONS(9632), 1,
      anon_sym_LPAREN,
    ACTIONS(9634), 1,
      anon_sym_LBRACK,
    ACTIONS(9638), 1,
      anon_sym_LBRACE,
    ACTIONS(9640), 1,
      anon_sym_object,
    ACTIONS(9642), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9644), 1,
      anon_sym_new,
    ACTIONS(9646), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9648), 1,
      anon_sym_begin,
    ACTIONS(9650), 1,
      sym_ocamlyacc_value,
    ACTIONS(9652), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9654), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9656), 1,
      aux_sym_number_token1,
    ACTIONS(9658), 1,
      anon_sym_SQUOTE,
    ACTIONS(9660), 1,
      anon_sym_DQUOTE,
    ACTIONS(9662), 1,
      sym_prefix_operator,
    ACTIONS(9664), 1,
      sym__uppercase_identifier,
    ACTIONS(9666), 1,
      aux_sym_tag_token1,
    STATE(5075), 1,
      sym_attribute,
    STATE(8512), 1,
      sym__constructor_name,
    STATE(8604), 1,
      sym__value_name,
    STATE(8683), 1,
      sym__simple_expression,
    STATE(8715), 1,
      sym_parenthesized_operator,
    STATE(20127), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8649), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8589), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153194] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9592), 1,
      sym__lowercase_identifier,
    ACTIONS(9594), 1,
      anon_sym_LPAREN,
    ACTIONS(9596), 1,
      anon_sym_LBRACK,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      anon_sym_object,
    ACTIONS(9604), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9606), 1,
      anon_sym_new,
    ACTIONS(9608), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9610), 1,
      anon_sym_begin,
    ACTIONS(9612), 1,
      sym_ocamlyacc_value,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9616), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9618), 1,
      aux_sym_number_token1,
    ACTIONS(9620), 1,
      anon_sym_SQUOTE,
    ACTIONS(9622), 1,
      anon_sym_DQUOTE,
    ACTIONS(9624), 1,
      sym_prefix_operator,
    ACTIONS(9626), 1,
      sym__uppercase_identifier,
    ACTIONS(9628), 1,
      aux_sym_tag_token1,
    STATE(5076), 1,
      sym_attribute,
    STATE(10789), 1,
      sym_parenthesized_operator,
    STATE(10852), 1,
      sym__constructor_name,
    STATE(10895), 1,
      sym__simple_expression,
    STATE(11017), 1,
      sym__value_name,
    STATE(19881), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10830), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10924), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153732] = 29,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_LBRACK,
    ACTIONS(1331), 1,
      anon_sym_LBRACE,
    ACTIONS(1333), 1,
      anon_sym_object,
    ACTIONS(1337), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1349), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1351), 1,
      anon_sym_begin,
    ACTIONS(1353), 1,
      sym_ocamlyacc_value,
    ACTIONS(1359), 1,
      aux_sym_number_token1,
    ACTIONS(1361), 1,
      anon_sym_SQUOTE,
    ACTIONS(1363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1365), 1,
      sym_prefix_operator,
    ACTIONS(1369), 1,
      sym__uppercase_identifier,
    ACTIONS(1371), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3603), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3605), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5591), 1,
      sym__lowercase_identifier,
    STATE(5083), 1,
      sym_attribute,
    STATE(5953), 1,
      sym__value_name,
    STATE(5954), 1,
      sym_parenthesized_operator,
    STATE(5957), 1,
      sym__constructor_name,
    STATE(5996), 1,
      sym__simple_expression,
    STATE(21934), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1329), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5998), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5982), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154130] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9592), 1,
      sym__lowercase_identifier,
    ACTIONS(9594), 1,
      anon_sym_LPAREN,
    ACTIONS(9596), 1,
      anon_sym_LBRACK,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      anon_sym_object,
    ACTIONS(9604), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9606), 1,
      anon_sym_new,
    ACTIONS(9608), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9610), 1,
      anon_sym_begin,
    ACTIONS(9612), 1,
      sym_ocamlyacc_value,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9616), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9618), 1,
      aux_sym_number_token1,
    ACTIONS(9620), 1,
      anon_sym_SQUOTE,
    ACTIONS(9622), 1,
      anon_sym_DQUOTE,
    ACTIONS(9624), 1,
      sym_prefix_operator,
    ACTIONS(9626), 1,
      sym__uppercase_identifier,
    ACTIONS(9628), 1,
      aux_sym_tag_token1,
    STATE(5088), 1,
      sym_attribute,
    STATE(10789), 1,
      sym_parenthesized_operator,
    STATE(10852), 1,
      sym__constructor_name,
    STATE(10896), 1,
      sym__simple_expression,
    STATE(11017), 1,
      sym__value_name,
    STATE(19881), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10830), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10924), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154318] = 29,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_LBRACK,
    ACTIONS(1331), 1,
      anon_sym_LBRACE,
    ACTIONS(1333), 1,
      anon_sym_object,
    ACTIONS(1337), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1349), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1351), 1,
      anon_sym_begin,
    ACTIONS(1353), 1,
      sym_ocamlyacc_value,
    ACTIONS(1359), 1,
      aux_sym_number_token1,
    ACTIONS(1361), 1,
      anon_sym_SQUOTE,
    ACTIONS(1363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1365), 1,
      sym_prefix_operator,
    ACTIONS(1369), 1,
      sym__uppercase_identifier,
    ACTIONS(1371), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3603), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3605), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5591), 1,
      sym__lowercase_identifier,
    STATE(5090), 1,
      sym_attribute,
    STATE(5953), 1,
      sym__value_name,
    STATE(5954), 1,
      sym_parenthesized_operator,
    STATE(5957), 1,
      sym__constructor_name,
    STATE(5968), 1,
      sym__simple_expression,
    STATE(21934), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1329), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5998), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5982), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154576] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1975), 1,
      anon_sym_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_LBRACE,
    ACTIONS(1983), 1,
      anon_sym_object,
    ACTIONS(1987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1997), 1,
      anon_sym_new,
    ACTIONS(1999), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2001), 1,
      anon_sym_begin,
    ACTIONS(2003), 1,
      sym_ocamlyacc_value,
    ACTIONS(2005), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2007), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2009), 1,
      aux_sym_number_token1,
    ACTIONS(2011), 1,
      anon_sym_SQUOTE,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    ACTIONS(2015), 1,
      sym_prefix_operator,
    ACTIONS(2019), 1,
      sym__uppercase_identifier,
    ACTIONS(2021), 1,
      aux_sym_tag_token1,
    ACTIONS(6297), 1,
      sym__lowercase_identifier,
    STATE(5093), 1,
      sym_attribute,
    STATE(7256), 1,
      sym__constructor_name,
    STATE(7492), 1,
      sym__simple_expression,
    STATE(7576), 1,
      sym__value_name,
    STATE(7696), 1,
      sym_parenthesized_operator,
    STATE(19922), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1979), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7586), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7512), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154694] = 29,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(533), 1,
      anon_sym_object,
    ACTIONS(537), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(547), 1,
      anon_sym_new,
    ACTIONS(549), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(551), 1,
      anon_sym_begin,
    ACTIONS(553), 1,
      sym_ocamlyacc_value,
    ACTIONS(559), 1,
      aux_sym_number_token1,
    ACTIONS(561), 1,
      anon_sym_SQUOTE,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      sym_prefix_operator,
    ACTIONS(569), 1,
      sym__uppercase_identifier,
    ACTIONS(571), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3585), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3667), 1,
      sym__lowercase_identifier,
    STATE(3840), 1,
      sym__value_name,
    STATE(3853), 1,
      sym_parenthesized_operator,
    STATE(3953), 1,
      sym__constructor_name,
    STATE(4391), 1,
      sym__simple_expression,
    STATE(5094), 1,
      sym_attribute,
    STATE(20168), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3908), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4375), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154812] = 29,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(533), 1,
      anon_sym_object,
    ACTIONS(537), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(547), 1,
      anon_sym_new,
    ACTIONS(549), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(551), 1,
      anon_sym_begin,
    ACTIONS(553), 1,
      sym_ocamlyacc_value,
    ACTIONS(559), 1,
      aux_sym_number_token1,
    ACTIONS(561), 1,
      anon_sym_SQUOTE,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      sym_prefix_operator,
    ACTIONS(569), 1,
      sym__uppercase_identifier,
    ACTIONS(571), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3585), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3667), 1,
      sym__lowercase_identifier,
    STATE(3840), 1,
      sym__value_name,
    STATE(3853), 1,
      sym_parenthesized_operator,
    STATE(3953), 1,
      sym__constructor_name,
    STATE(4409), 1,
      sym__simple_expression,
    STATE(5095), 1,
      sym_attribute,
    STATE(20168), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3908), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4375), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155210] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2045), 1,
      anon_sym_LPAREN,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2051), 1,
      anon_sym_LBRACE,
    ACTIONS(2053), 1,
      anon_sym_object,
    ACTIONS(2057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2067), 1,
      anon_sym_new,
    ACTIONS(2069), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2071), 1,
      anon_sym_begin,
    ACTIONS(2073), 1,
      sym_ocamlyacc_value,
    ACTIONS(2075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2079), 1,
      aux_sym_number_token1,
    ACTIONS(2081), 1,
      anon_sym_SQUOTE,
    ACTIONS(2083), 1,
      anon_sym_DQUOTE,
    ACTIONS(2085), 1,
      sym_prefix_operator,
    ACTIONS(2089), 1,
      sym__uppercase_identifier,
    ACTIONS(2091), 1,
      aux_sym_tag_token1,
    ACTIONS(6317), 1,
      sym__lowercase_identifier,
    STATE(5100), 1,
      sym_attribute,
    STATE(7555), 1,
      sym__simple_expression,
    STATE(7635), 1,
      sym__value_name,
    STATE(7714), 1,
      sym__constructor_name,
    STATE(7730), 1,
      sym_parenthesized_operator,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7261), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7572), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155328] = 29,
    ACTIONS(1185), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_LBRACK,
    ACTIONS(1191), 1,
      anon_sym_LBRACE,
    ACTIONS(1193), 1,
      anon_sym_object,
    ACTIONS(1197), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1207), 1,
      anon_sym_new,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1211), 1,
      anon_sym_begin,
    ACTIONS(1213), 1,
      sym_ocamlyacc_value,
    ACTIONS(1219), 1,
      aux_sym_number_token1,
    ACTIONS(1221), 1,
      anon_sym_SQUOTE,
    ACTIONS(1223), 1,
      anon_sym_DQUOTE,
    ACTIONS(1225), 1,
      sym_prefix_operator,
    ACTIONS(1229), 1,
      sym__uppercase_identifier,
    ACTIONS(1231), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4511), 1,
      sym__lowercase_identifier,
    STATE(4756), 1,
      sym__simple_expression,
    STATE(4769), 1,
      sym_parenthesized_operator,
    STATE(4773), 1,
      sym__value_name,
    STATE(4844), 1,
      sym__constructor_name,
    STATE(5101), 1,
      sym_attribute,
    STATE(20209), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1189), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4764), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4970), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155446] = 29,
    ACTIONS(1185), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_LBRACK,
    ACTIONS(1191), 1,
      anon_sym_LBRACE,
    ACTIONS(1193), 1,
      anon_sym_object,
    ACTIONS(1197), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1207), 1,
      anon_sym_new,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1211), 1,
      anon_sym_begin,
    ACTIONS(1213), 1,
      sym_ocamlyacc_value,
    ACTIONS(1219), 1,
      aux_sym_number_token1,
    ACTIONS(1221), 1,
      anon_sym_SQUOTE,
    ACTIONS(1223), 1,
      anon_sym_DQUOTE,
    ACTIONS(1225), 1,
      sym_prefix_operator,
    ACTIONS(1229), 1,
      sym__uppercase_identifier,
    ACTIONS(1231), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4511), 1,
      sym__lowercase_identifier,
    STATE(4769), 1,
      sym_parenthesized_operator,
    STATE(4773), 1,
      sym__value_name,
    STATE(4844), 1,
      sym__constructor_name,
    STATE(4973), 1,
      sym__simple_expression,
    STATE(5102), 1,
      sym_attribute,
    STATE(20209), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1189), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4764), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4970), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155704] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_LPAREN,
    ACTIONS(3227), 1,
      anon_sym_LBRACK,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    ACTIONS(3233), 1,
      anon_sym_object,
    ACTIONS(3237), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3247), 1,
      anon_sym_new,
    ACTIONS(3249), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3251), 1,
      anon_sym_begin,
    ACTIONS(3253), 1,
      sym_ocamlyacc_value,
    ACTIONS(3255), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3257), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3259), 1,
      aux_sym_number_token1,
    ACTIONS(3261), 1,
      anon_sym_SQUOTE,
    ACTIONS(3263), 1,
      anon_sym_DQUOTE,
    ACTIONS(3265), 1,
      sym_prefix_operator,
    ACTIONS(3269), 1,
      sym__uppercase_identifier,
    ACTIONS(3271), 1,
      aux_sym_tag_token1,
    ACTIONS(6555), 1,
      sym__lowercase_identifier,
    STATE(5105), 1,
      sym_attribute,
    STATE(7782), 1,
      sym__constructor_name,
    STATE(8005), 1,
      sym__value_name,
    STATE(8008), 1,
      sym_parenthesized_operator,
    STATE(8229), 1,
      sym__simple_expression,
    STATE(20867), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3229), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8102), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7889), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155822] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    ACTIONS(3307), 1,
      anon_sym_LBRACK,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    ACTIONS(3313), 1,
      anon_sym_object,
    ACTIONS(3317), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3327), 1,
      anon_sym_new,
    ACTIONS(3329), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3331), 1,
      anon_sym_begin,
    ACTIONS(3333), 1,
      sym_ocamlyacc_value,
    ACTIONS(3335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3339), 1,
      aux_sym_number_token1,
    ACTIONS(3341), 1,
      anon_sym_SQUOTE,
    ACTIONS(3343), 1,
      anon_sym_DQUOTE,
    ACTIONS(3345), 1,
      sym_prefix_operator,
    ACTIONS(3349), 1,
      sym__uppercase_identifier,
    ACTIONS(3351), 1,
      aux_sym_tag_token1,
    ACTIONS(6577), 1,
      sym__lowercase_identifier,
    STATE(5106), 1,
      sym_attribute,
    STATE(7765), 1,
      sym__value_name,
    STATE(7854), 1,
      sym_parenthesized_operator,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(8222), 1,
      sym__simple_expression,
    STATE(19416), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3309), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8086), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8196), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155940] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(5107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156012] = 29,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(931), 1,
      anon_sym_LBRACE,
    ACTIONS(933), 1,
      anon_sym_object,
    ACTIONS(937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(947), 1,
      anon_sym_new,
    ACTIONS(949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(951), 1,
      anon_sym_begin,
    ACTIONS(953), 1,
      sym_ocamlyacc_value,
    ACTIONS(959), 1,
      aux_sym_number_token1,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(965), 1,
      sym_prefix_operator,
    ACTIONS(969), 1,
      sym__uppercase_identifier,
    ACTIONS(971), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3595), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3597), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3803), 1,
      sym__lowercase_identifier,
    STATE(4494), 1,
      sym__simple_expression,
    STATE(4562), 1,
      sym__value_name,
    STATE(4686), 1,
      sym__constructor_name,
    STATE(4704), 1,
      sym_parenthesized_operator,
    STATE(5108), 1,
      sym_attribute,
    STATE(20004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(929), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4516), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4495), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156130] = 29,
    ACTIONS(1243), 1,
      anon_sym_LPAREN,
    ACTIONS(1245), 1,
      anon_sym_LBRACK,
    ACTIONS(1249), 1,
      anon_sym_LBRACE,
    ACTIONS(1251), 1,
      anon_sym_object,
    ACTIONS(1255), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1273), 1,
      anon_sym_new,
    ACTIONS(1275), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1277), 1,
      anon_sym_begin,
    ACTIONS(1279), 1,
      sym_ocamlyacc_value,
    ACTIONS(1285), 1,
      aux_sym_number_token1,
    ACTIONS(1287), 1,
      anon_sym_SQUOTE,
    ACTIONS(1289), 1,
      anon_sym_DQUOTE,
    ACTIONS(1291), 1,
      sym_prefix_operator,
    ACTIONS(1295), 1,
      sym__uppercase_identifier,
    ACTIONS(1297), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3553), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3555), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5581), 1,
      sym__lowercase_identifier,
    STATE(5109), 1,
      sym_attribute,
    STATE(5794), 1,
      sym_parenthesized_operator,
    STATE(5798), 1,
      sym__constructor_name,
    STATE(5822), 1,
      sym__value_name,
    STATE(5907), 1,
      sym__simple_expression,
    STATE(20249), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5897), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156248] = 29,
    ACTIONS(1243), 1,
      anon_sym_LPAREN,
    ACTIONS(1245), 1,
      anon_sym_LBRACK,
    ACTIONS(1249), 1,
      anon_sym_LBRACE,
    ACTIONS(1251), 1,
      anon_sym_object,
    ACTIONS(1255), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1273), 1,
      anon_sym_new,
    ACTIONS(1275), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1277), 1,
      anon_sym_begin,
    ACTIONS(1279), 1,
      sym_ocamlyacc_value,
    ACTIONS(1285), 1,
      aux_sym_number_token1,
    ACTIONS(1287), 1,
      anon_sym_SQUOTE,
    ACTIONS(1289), 1,
      anon_sym_DQUOTE,
    ACTIONS(1291), 1,
      sym_prefix_operator,
    ACTIONS(1295), 1,
      sym__uppercase_identifier,
    ACTIONS(1297), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3553), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3555), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5581), 1,
      sym__lowercase_identifier,
    STATE(5110), 1,
      sym_attribute,
    STATE(5794), 1,
      sym_parenthesized_operator,
    STATE(5798), 1,
      sym__constructor_name,
    STATE(5822), 1,
      sym__value_name,
    STATE(5847), 1,
      sym__simple_expression,
    STATE(20249), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5897), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156506] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      sym__lowercase_identifier,
    ACTIONS(9556), 1,
      anon_sym_LPAREN,
    ACTIONS(9558), 1,
      anon_sym_LBRACK,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    ACTIONS(9564), 1,
      anon_sym_object,
    ACTIONS(9566), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9568), 1,
      anon_sym_new,
    ACTIONS(9570), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9572), 1,
      anon_sym_begin,
    ACTIONS(9574), 1,
      sym_ocamlyacc_value,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9578), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9580), 1,
      aux_sym_number_token1,
    ACTIONS(9582), 1,
      anon_sym_SQUOTE,
    ACTIONS(9584), 1,
      anon_sym_DQUOTE,
    ACTIONS(9586), 1,
      sym_prefix_operator,
    ACTIONS(9588), 1,
      sym__uppercase_identifier,
    ACTIONS(9590), 1,
      aux_sym_tag_token1,
    STATE(5113), 1,
      sym_attribute,
    STATE(8546), 1,
      sym__constructor_name,
    STATE(8600), 1,
      sym_parenthesized_operator,
    STATE(8615), 1,
      sym__value_name,
    STATE(8718), 1,
      sym__simple_expression,
    STATE(22134), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8541), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8625), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156624] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    ACTIONS(3307), 1,
      anon_sym_LBRACK,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    ACTIONS(3313), 1,
      anon_sym_object,
    ACTIONS(3317), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3327), 1,
      anon_sym_new,
    ACTIONS(3329), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3331), 1,
      anon_sym_begin,
    ACTIONS(3333), 1,
      sym_ocamlyacc_value,
    ACTIONS(3335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3339), 1,
      aux_sym_number_token1,
    ACTIONS(3341), 1,
      anon_sym_SQUOTE,
    ACTIONS(3343), 1,
      anon_sym_DQUOTE,
    ACTIONS(3345), 1,
      sym_prefix_operator,
    ACTIONS(3349), 1,
      sym__uppercase_identifier,
    ACTIONS(3351), 1,
      aux_sym_tag_token1,
    ACTIONS(6577), 1,
      sym__lowercase_identifier,
    STATE(5114), 1,
      sym_attribute,
    STATE(7765), 1,
      sym__value_name,
    STATE(7854), 1,
      sym_parenthesized_operator,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(8282), 1,
      sym__simple_expression,
    STATE(19416), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3309), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8086), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8196), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156742] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(5115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157024] = 29,
    ACTIONS(857), 1,
      anon_sym_LPAREN,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      anon_sym_object,
    ACTIONS(869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(879), 1,
      anon_sym_new,
    ACTIONS(881), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(883), 1,
      anon_sym_begin,
    ACTIONS(885), 1,
      sym_ocamlyacc_value,
    ACTIONS(891), 1,
      aux_sym_number_token1,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(897), 1,
      sym_prefix_operator,
    ACTIONS(901), 1,
      sym__uppercase_identifier,
    ACTIONS(903), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3617), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3619), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3655), 1,
      sym__lowercase_identifier,
    STATE(3849), 1,
      sym_parenthesized_operator,
    STATE(3902), 1,
      sym__constructor_name,
    STATE(4246), 1,
      sym__simple_expression,
    STATE(4332), 1,
      sym__value_name,
    STATE(5119), 1,
      sym_attribute,
    STATE(20045), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(861), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3886), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4260), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157142] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6587), 1,
      sym__lowercase_identifier,
    ACTIONS(6595), 1,
      anon_sym_LPAREN,
    ACTIONS(6597), 1,
      anon_sym_LBRACK,
    ACTIONS(6601), 1,
      anon_sym_LBRACE,
    ACTIONS(6603), 1,
      anon_sym_object,
    ACTIONS(6605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6607), 1,
      anon_sym_new,
    ACTIONS(6609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6611), 1,
      anon_sym_begin,
    ACTIONS(6613), 1,
      sym_ocamlyacc_value,
    ACTIONS(6619), 1,
      aux_sym_number_token1,
    ACTIONS(6621), 1,
      anon_sym_SQUOTE,
    ACTIONS(6623), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      sym_prefix_operator,
    ACTIONS(6627), 1,
      sym__uppercase_identifier,
    ACTIONS(6629), 1,
      aux_sym_tag_token1,
    ACTIONS(9708), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5120), 1,
      sym_attribute,
    STATE(7083), 1,
      sym_parenthesized_operator,
    STATE(7092), 1,
      sym__value_name,
    STATE(7224), 1,
      sym__constructor_name,
    STATE(7241), 1,
      sym__simple_expression,
    STATE(20288), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6599), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7151), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7218), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157260] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6587), 1,
      sym__lowercase_identifier,
    ACTIONS(6595), 1,
      anon_sym_LPAREN,
    ACTIONS(6597), 1,
      anon_sym_LBRACK,
    ACTIONS(6601), 1,
      anon_sym_LBRACE,
    ACTIONS(6603), 1,
      anon_sym_object,
    ACTIONS(6605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6607), 1,
      anon_sym_new,
    ACTIONS(6609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6611), 1,
      anon_sym_begin,
    ACTIONS(6613), 1,
      sym_ocamlyacc_value,
    ACTIONS(6619), 1,
      aux_sym_number_token1,
    ACTIONS(6621), 1,
      anon_sym_SQUOTE,
    ACTIONS(6623), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      sym_prefix_operator,
    ACTIONS(6627), 1,
      sym__uppercase_identifier,
    ACTIONS(6629), 1,
      aux_sym_tag_token1,
    ACTIONS(9708), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5121), 1,
      sym_attribute,
    STATE(6938), 1,
      sym__simple_expression,
    STATE(7083), 1,
      sym_parenthesized_operator,
    STATE(7092), 1,
      sym__value_name,
    STATE(7224), 1,
      sym__constructor_name,
    STATE(20288), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6599), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7151), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7218), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157658] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      sym__lowercase_identifier,
    ACTIONS(9556), 1,
      anon_sym_LPAREN,
    ACTIONS(9558), 1,
      anon_sym_LBRACK,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    ACTIONS(9564), 1,
      anon_sym_object,
    ACTIONS(9566), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9568), 1,
      anon_sym_new,
    ACTIONS(9570), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9572), 1,
      anon_sym_begin,
    ACTIONS(9574), 1,
      sym_ocamlyacc_value,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9578), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9580), 1,
      aux_sym_number_token1,
    ACTIONS(9582), 1,
      anon_sym_SQUOTE,
    ACTIONS(9584), 1,
      anon_sym_DQUOTE,
    ACTIONS(9586), 1,
      sym_prefix_operator,
    ACTIONS(9588), 1,
      sym__uppercase_identifier,
    ACTIONS(9590), 1,
      aux_sym_tag_token1,
    STATE(5126), 1,
      sym_attribute,
    STATE(8546), 1,
      sym__constructor_name,
    STATE(8600), 1,
      sym_parenthesized_operator,
    STATE(8615), 1,
      sym__value_name,
    STATE(8721), 1,
      sym__simple_expression,
    STATE(22134), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8541), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8625), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158476] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6587), 1,
      sym__lowercase_identifier,
    ACTIONS(6595), 1,
      anon_sym_LPAREN,
    ACTIONS(6597), 1,
      anon_sym_LBRACK,
    ACTIONS(6601), 1,
      anon_sym_LBRACE,
    ACTIONS(6603), 1,
      anon_sym_object,
    ACTIONS(6605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6607), 1,
      anon_sym_new,
    ACTIONS(6609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6611), 1,
      anon_sym_begin,
    ACTIONS(6613), 1,
      sym_ocamlyacc_value,
    ACTIONS(6619), 1,
      aux_sym_number_token1,
    ACTIONS(6621), 1,
      anon_sym_SQUOTE,
    ACTIONS(6623), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      sym_prefix_operator,
    ACTIONS(6627), 1,
      sym__uppercase_identifier,
    ACTIONS(6629), 1,
      aux_sym_tag_token1,
    ACTIONS(9708), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5137), 1,
      sym_attribute,
    STATE(7083), 1,
      sym_parenthesized_operator,
    STATE(7092), 1,
      sym__value_name,
    STATE(7219), 1,
      sym__simple_expression,
    STATE(7224), 1,
      sym__constructor_name,
    STATE(20288), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6599), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7151), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7218), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158594] = 29,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      anon_sym_LBRACK,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(985), 1,
      anon_sym_object,
    ACTIONS(989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(999), 1,
      anon_sym_new,
    ACTIONS(1001), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1003), 1,
      anon_sym_begin,
    ACTIONS(1005), 1,
      sym_ocamlyacc_value,
    ACTIONS(1011), 1,
      aux_sym_number_token1,
    ACTIONS(1013), 1,
      anon_sym_SQUOTE,
    ACTIONS(1015), 1,
      anon_sym_DQUOTE,
    ACTIONS(1017), 1,
      sym_prefix_operator,
    ACTIONS(1021), 1,
      sym__uppercase_identifier,
    ACTIONS(1023), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3531), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3533), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3813), 1,
      sym__lowercase_identifier,
    STATE(4482), 1,
      sym__simple_expression,
    STATE(4637), 1,
      sym_parenthesized_operator,
    STATE(4693), 1,
      sym__constructor_name,
    STATE(4731), 1,
      sym__value_name,
    STATE(5138), 1,
      sym_attribute,
    STATE(20327), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4574), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4467), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158712] = 29,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      anon_sym_LBRACK,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(985), 1,
      anon_sym_object,
    ACTIONS(989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(999), 1,
      anon_sym_new,
    ACTIONS(1001), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1003), 1,
      anon_sym_begin,
    ACTIONS(1005), 1,
      sym_ocamlyacc_value,
    ACTIONS(1011), 1,
      aux_sym_number_token1,
    ACTIONS(1013), 1,
      anon_sym_SQUOTE,
    ACTIONS(1015), 1,
      anon_sym_DQUOTE,
    ACTIONS(1017), 1,
      sym_prefix_operator,
    ACTIONS(1021), 1,
      sym__uppercase_identifier,
    ACTIONS(1023), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3531), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3533), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3813), 1,
      sym__lowercase_identifier,
    STATE(4624), 1,
      sym__simple_expression,
    STATE(4637), 1,
      sym_parenthesized_operator,
    STATE(4693), 1,
      sym__constructor_name,
    STATE(4731), 1,
      sym__value_name,
    STATE(5139), 1,
      sym_attribute,
    STATE(20327), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4574), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4467), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159040] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(5143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159182] = 29,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(39), 1,
      anon_sym_object,
    ACTIONS(43), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(61), 1,
      anon_sym_new,
    ACTIONS(63), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(65), 1,
      anon_sym_begin,
    ACTIONS(67), 1,
      sym_ocamlyacc_value,
    ACTIONS(79), 1,
      aux_sym_number_token1,
    ACTIONS(83), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      sym_prefix_operator,
    ACTIONS(95), 1,
      sym__uppercase_identifier,
    ACTIONS(99), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3623), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4841), 1,
      sym__lowercase_identifier,
    STATE(5145), 1,
      sym_attribute,
    STATE(5151), 1,
      sym__value_name,
    STATE(5250), 1,
      sym__constructor_name,
    STATE(5308), 1,
      sym_parenthesized_operator,
    STATE(5320), 1,
      sym__simple_expression,
    STATE(21779), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5368), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5443), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159300] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5146), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6205), 1,
      sym__simple_expression,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159768] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3027), 1,
      anon_sym_LPAREN,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3033), 1,
      anon_sym_LBRACE,
    ACTIONS(3035), 1,
      anon_sym_object,
    ACTIONS(3039), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3049), 1,
      anon_sym_new,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3053), 1,
      anon_sym_begin,
    ACTIONS(3055), 1,
      sym_ocamlyacc_value,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3061), 1,
      aux_sym_number_token1,
    ACTIONS(3063), 1,
      anon_sym_SQUOTE,
    ACTIONS(3065), 1,
      anon_sym_DQUOTE,
    ACTIONS(3067), 1,
      sym_prefix_operator,
    ACTIONS(3071), 1,
      sym__uppercase_identifier,
    ACTIONS(3073), 1,
      aux_sym_tag_token1,
    ACTIONS(6521), 1,
      sym__lowercase_identifier,
    STATE(5152), 1,
      sym_attribute,
    STATE(7831), 1,
      sym_parenthesized_operator,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(8200), 1,
      sym__simple_expression,
    STATE(8283), 1,
      sym__value_name,
    STATE(22329), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3031), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7985), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8269), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159886] = 29,
    ACTIONS(1133), 1,
      anon_sym_LPAREN,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1139), 1,
      anon_sym_LBRACE,
    ACTIONS(1141), 1,
      anon_sym_object,
    ACTIONS(1145), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1155), 1,
      anon_sym_new,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1159), 1,
      anon_sym_begin,
    ACTIONS(1161), 1,
      sym_ocamlyacc_value,
    ACTIONS(1167), 1,
      aux_sym_number_token1,
    ACTIONS(1169), 1,
      anon_sym_SQUOTE,
    ACTIONS(1171), 1,
      anon_sym_DQUOTE,
    ACTIONS(1173), 1,
      sym_prefix_operator,
    ACTIONS(1177), 1,
      sym__uppercase_identifier,
    ACTIONS(1179), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3631), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4369), 1,
      sym__lowercase_identifier,
    STATE(4765), 1,
      sym__constructor_name,
    STATE(4939), 1,
      sym_parenthesized_operator,
    STATE(5041), 1,
      sym__simple_expression,
    STATE(5049), 1,
      sym__value_name,
    STATE(5153), 1,
      sym_attribute,
    STATE(20086), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5000), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160074] = 29,
    ACTIONS(421), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(427), 1,
      anon_sym_LBRACE,
    ACTIONS(429), 1,
      anon_sym_object,
    ACTIONS(433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(443), 1,
      anon_sym_new,
    ACTIONS(445), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(447), 1,
      anon_sym_begin,
    ACTIONS(449), 1,
      sym_ocamlyacc_value,
    ACTIONS(455), 1,
      aux_sym_number_token1,
    ACTIONS(457), 1,
      anon_sym_SQUOTE,
    ACTIONS(459), 1,
      anon_sym_DQUOTE,
    ACTIONS(461), 1,
      sym_prefix_operator,
    ACTIONS(465), 1,
      sym__uppercase_identifier,
    ACTIONS(467), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3537), 1,
      sym__lowercase_identifier,
    ACTIONS(3561), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3563), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(3408), 1,
      sym__constructor_name,
    STATE(3443), 1,
      sym_parenthesized_operator,
    STATE(3707), 1,
      sym__simple_expression,
    STATE(3785), 1,
      sym__value_name,
    STATE(5155), 1,
      sym_attribute,
    STATE(20366), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(425), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3463), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3694), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160192] = 29,
    ACTIONS(421), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(427), 1,
      anon_sym_LBRACE,
    ACTIONS(429), 1,
      anon_sym_object,
    ACTIONS(433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(443), 1,
      anon_sym_new,
    ACTIONS(445), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(447), 1,
      anon_sym_begin,
    ACTIONS(449), 1,
      sym_ocamlyacc_value,
    ACTIONS(455), 1,
      aux_sym_number_token1,
    ACTIONS(457), 1,
      anon_sym_SQUOTE,
    ACTIONS(459), 1,
      anon_sym_DQUOTE,
    ACTIONS(461), 1,
      sym_prefix_operator,
    ACTIONS(465), 1,
      sym__uppercase_identifier,
    ACTIONS(467), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3537), 1,
      sym__lowercase_identifier,
    ACTIONS(3561), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3563), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(3408), 1,
      sym__constructor_name,
    STATE(3443), 1,
      sym_parenthesized_operator,
    STATE(3732), 1,
      sym__simple_expression,
    STATE(3785), 1,
      sym__value_name,
    STATE(5156), 1,
      sym_attribute,
    STATE(20366), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(425), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3463), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3694), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160590] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9630), 1,
      sym__lowercase_identifier,
    ACTIONS(9632), 1,
      anon_sym_LPAREN,
    ACTIONS(9634), 1,
      anon_sym_LBRACK,
    ACTIONS(9638), 1,
      anon_sym_LBRACE,
    ACTIONS(9640), 1,
      anon_sym_object,
    ACTIONS(9642), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9644), 1,
      anon_sym_new,
    ACTIONS(9646), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9648), 1,
      anon_sym_begin,
    ACTIONS(9650), 1,
      sym_ocamlyacc_value,
    ACTIONS(9652), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9654), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9656), 1,
      aux_sym_number_token1,
    ACTIONS(9658), 1,
      anon_sym_SQUOTE,
    ACTIONS(9660), 1,
      anon_sym_DQUOTE,
    ACTIONS(9662), 1,
      sym_prefix_operator,
    ACTIONS(9664), 1,
      sym__uppercase_identifier,
    ACTIONS(9666), 1,
      aux_sym_tag_token1,
    STATE(5161), 1,
      sym_attribute,
    STATE(8512), 1,
      sym__constructor_name,
    STATE(8604), 1,
      sym__value_name,
    STATE(8715), 1,
      sym_parenthesized_operator,
    STATE(8722), 1,
      sym__simple_expression,
    STATE(20127), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8649), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8589), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160708] = 29,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(805), 1,
      anon_sym_LBRACK,
    ACTIONS(809), 1,
      anon_sym_LBRACE,
    ACTIONS(811), 1,
      anon_sym_object,
    ACTIONS(815), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(825), 1,
      anon_sym_new,
    ACTIONS(827), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(829), 1,
      anon_sym_begin,
    ACTIONS(831), 1,
      sym_ocamlyacc_value,
    ACTIONS(837), 1,
      aux_sym_number_token1,
    ACTIONS(839), 1,
      anon_sym_SQUOTE,
    ACTIONS(841), 1,
      anon_sym_DQUOTE,
    ACTIONS(843), 1,
      sym_prefix_operator,
    ACTIONS(847), 1,
      sym__uppercase_identifier,
    ACTIONS(849), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3521), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3523), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3729), 1,
      sym__lowercase_identifier,
    STATE(4163), 1,
      sym__simple_expression,
    STATE(4192), 1,
      sym__value_name,
    STATE(4203), 1,
      sym_parenthesized_operator,
    STATE(4223), 1,
      sym__constructor_name,
    STATE(5162), 1,
      sym_attribute,
    STATE(22316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(807), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4216), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4158), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161036] = 29,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(533), 1,
      anon_sym_object,
    ACTIONS(537), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(547), 1,
      anon_sym_new,
    ACTIONS(549), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(551), 1,
      anon_sym_begin,
    ACTIONS(553), 1,
      sym_ocamlyacc_value,
    ACTIONS(559), 1,
      aux_sym_number_token1,
    ACTIONS(561), 1,
      anon_sym_SQUOTE,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      sym_prefix_operator,
    ACTIONS(569), 1,
      sym__uppercase_identifier,
    ACTIONS(571), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3585), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3667), 1,
      sym__lowercase_identifier,
    STATE(3840), 1,
      sym__value_name,
    STATE(3853), 1,
      sym_parenthesized_operator,
    STATE(3953), 1,
      sym__constructor_name,
    STATE(4439), 1,
      sym__simple_expression,
    STATE(5166), 1,
      sym_attribute,
    STATE(20168), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3908), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4375), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161154] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6707), 1,
      sym__lowercase_identifier,
    ACTIONS(6711), 1,
      anon_sym_LPAREN,
    ACTIONS(6713), 1,
      anon_sym_LBRACK,
    ACTIONS(6717), 1,
      anon_sym_LBRACE,
    ACTIONS(6719), 1,
      anon_sym_object,
    ACTIONS(6721), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6723), 1,
      anon_sym_new,
    ACTIONS(6725), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6727), 1,
      anon_sym_begin,
    ACTIONS(6729), 1,
      sym_ocamlyacc_value,
    ACTIONS(6735), 1,
      aux_sym_number_token1,
    ACTIONS(6737), 1,
      anon_sym_SQUOTE,
    ACTIONS(6739), 1,
      anon_sym_DQUOTE,
    ACTIONS(6741), 1,
      sym_prefix_operator,
    ACTIONS(6743), 1,
      sym__uppercase_identifier,
    ACTIONS(6745), 1,
      aux_sym_tag_token1,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5167), 1,
      sym_attribute,
    STATE(6944), 1,
      sym__constructor_name,
    STATE(6946), 1,
      sym_parenthesized_operator,
    STATE(7004), 1,
      sym__simple_expression,
    STATE(7082), 1,
      sym__value_name,
    STATE(20405), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6715), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6881), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6990), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161272] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6707), 1,
      sym__lowercase_identifier,
    ACTIONS(6711), 1,
      anon_sym_LPAREN,
    ACTIONS(6713), 1,
      anon_sym_LBRACK,
    ACTIONS(6717), 1,
      anon_sym_LBRACE,
    ACTIONS(6719), 1,
      anon_sym_object,
    ACTIONS(6721), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6723), 1,
      anon_sym_new,
    ACTIONS(6725), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6727), 1,
      anon_sym_begin,
    ACTIONS(6729), 1,
      sym_ocamlyacc_value,
    ACTIONS(6735), 1,
      aux_sym_number_token1,
    ACTIONS(6737), 1,
      anon_sym_SQUOTE,
    ACTIONS(6739), 1,
      anon_sym_DQUOTE,
    ACTIONS(6741), 1,
      sym_prefix_operator,
    ACTIONS(6743), 1,
      sym__uppercase_identifier,
    ACTIONS(6745), 1,
      aux_sym_tag_token1,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5168), 1,
      sym_attribute,
    STATE(6944), 1,
      sym__constructor_name,
    STATE(6946), 1,
      sym_parenthesized_operator,
    STATE(7022), 1,
      sym__simple_expression,
    STATE(7082), 1,
      sym__value_name,
    STATE(20405), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6715), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6881), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6990), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161390] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9630), 1,
      sym__lowercase_identifier,
    ACTIONS(9632), 1,
      anon_sym_LPAREN,
    ACTIONS(9634), 1,
      anon_sym_LBRACK,
    ACTIONS(9638), 1,
      anon_sym_LBRACE,
    ACTIONS(9640), 1,
      anon_sym_object,
    ACTIONS(9642), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9644), 1,
      anon_sym_new,
    ACTIONS(9646), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9648), 1,
      anon_sym_begin,
    ACTIONS(9650), 1,
      sym_ocamlyacc_value,
    ACTIONS(9652), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9654), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9656), 1,
      aux_sym_number_token1,
    ACTIONS(9658), 1,
      anon_sym_SQUOTE,
    ACTIONS(9660), 1,
      anon_sym_DQUOTE,
    ACTIONS(9662), 1,
      sym_prefix_operator,
    ACTIONS(9664), 1,
      sym__uppercase_identifier,
    ACTIONS(9666), 1,
      aux_sym_tag_token1,
    STATE(5169), 1,
      sym_attribute,
    STATE(8512), 1,
      sym__constructor_name,
    STATE(8604), 1,
      sym__value_name,
    STATE(8715), 1,
      sym_parenthesized_operator,
    STATE(8725), 1,
      sym__simple_expression,
    STATE(20127), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8649), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8589), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161508] = 29,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(805), 1,
      anon_sym_LBRACK,
    ACTIONS(809), 1,
      anon_sym_LBRACE,
    ACTIONS(811), 1,
      anon_sym_object,
    ACTIONS(815), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(825), 1,
      anon_sym_new,
    ACTIONS(827), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(829), 1,
      anon_sym_begin,
    ACTIONS(831), 1,
      sym_ocamlyacc_value,
    ACTIONS(837), 1,
      aux_sym_number_token1,
    ACTIONS(839), 1,
      anon_sym_SQUOTE,
    ACTIONS(841), 1,
      anon_sym_DQUOTE,
    ACTIONS(843), 1,
      sym_prefix_operator,
    ACTIONS(847), 1,
      sym__uppercase_identifier,
    ACTIONS(849), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3521), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3523), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3729), 1,
      sym__lowercase_identifier,
    STATE(4171), 1,
      sym__simple_expression,
    STATE(4192), 1,
      sym__value_name,
    STATE(4203), 1,
      sym_parenthesized_operator,
    STATE(4223), 1,
      sym__constructor_name,
    STATE(5170), 1,
      sym_attribute,
    STATE(22316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(807), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4216), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4158), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161696] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4845), 1,
      anon_sym_DOT,
    STATE(5172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161908] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6707), 1,
      sym__lowercase_identifier,
    ACTIONS(6711), 1,
      anon_sym_LPAREN,
    ACTIONS(6713), 1,
      anon_sym_LBRACK,
    ACTIONS(6717), 1,
      anon_sym_LBRACE,
    ACTIONS(6719), 1,
      anon_sym_object,
    ACTIONS(6721), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6723), 1,
      anon_sym_new,
    ACTIONS(6725), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6727), 1,
      anon_sym_begin,
    ACTIONS(6729), 1,
      sym_ocamlyacc_value,
    ACTIONS(6735), 1,
      aux_sym_number_token1,
    ACTIONS(6737), 1,
      anon_sym_SQUOTE,
    ACTIONS(6739), 1,
      anon_sym_DQUOTE,
    ACTIONS(6741), 1,
      sym_prefix_operator,
    ACTIONS(6743), 1,
      sym__uppercase_identifier,
    ACTIONS(6745), 1,
      aux_sym_tag_token1,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5175), 1,
      sym_attribute,
    STATE(6944), 1,
      sym__constructor_name,
    STATE(6946), 1,
      sym_parenthesized_operator,
    STATE(7082), 1,
      sym__value_name,
    STATE(7101), 1,
      sym__simple_expression,
    STATE(20405), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6715), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6881), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6990), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162026] = 29,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_LBRACK,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_object,
    ACTIONS(1041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1051), 1,
      anon_sym_new,
    ACTIONS(1053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1055), 1,
      anon_sym_begin,
    ACTIONS(1057), 1,
      sym_ocamlyacc_value,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      anon_sym_SQUOTE,
    ACTIONS(1067), 1,
      anon_sym_DQUOTE,
    ACTIONS(1069), 1,
      sym_prefix_operator,
    ACTIONS(1073), 1,
      sym__uppercase_identifier,
    ACTIONS(1075), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3601), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3823), 1,
      sym__lowercase_identifier,
    STATE(4528), 1,
      sym__constructor_name,
    STATE(4546), 1,
      sym__simple_expression,
    STATE(4636), 1,
      sym__value_name,
    STATE(4729), 1,
      sym_parenthesized_operator,
    STATE(5176), 1,
      sym_attribute,
    STATE(20443), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4479), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4501), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162144] = 29,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_LBRACK,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_object,
    ACTIONS(1041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1051), 1,
      anon_sym_new,
    ACTIONS(1053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1055), 1,
      anon_sym_begin,
    ACTIONS(1057), 1,
      sym_ocamlyacc_value,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      anon_sym_SQUOTE,
    ACTIONS(1067), 1,
      anon_sym_DQUOTE,
    ACTIONS(1069), 1,
      sym_prefix_operator,
    ACTIONS(1073), 1,
      sym__uppercase_identifier,
    ACTIONS(1075), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3601), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3823), 1,
      sym__lowercase_identifier,
    STATE(4528), 1,
      sym__constructor_name,
    STATE(4577), 1,
      sym__simple_expression,
    STATE(4636), 1,
      sym__value_name,
    STATE(4729), 1,
      sym_parenthesized_operator,
    STATE(5177), 1,
      sym_attribute,
    STATE(20443), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4479), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4501), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162262] = 29,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_LBRACE,
    ACTIONS(121), 1,
      anon_sym_object,
    ACTIONS(125), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(139), 1,
      anon_sym_new,
    ACTIONS(141), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(143), 1,
      anon_sym_begin,
    ACTIONS(145), 1,
      sym_ocamlyacc_value,
    ACTIONS(151), 1,
      aux_sym_number_token1,
    ACTIONS(153), 1,
      anon_sym_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_DQUOTE,
    ACTIONS(157), 1,
      sym_prefix_operator,
    ACTIONS(163), 1,
      sym__uppercase_identifier,
    ACTIONS(167), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3587), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3589), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4771), 1,
      sym__lowercase_identifier,
    STATE(5117), 1,
      sym__constructor_name,
    STATE(5178), 1,
      sym_attribute,
    STATE(5245), 1,
      sym__simple_expression,
    STATE(5297), 1,
      sym_parenthesized_operator,
    STATE(5387), 1,
      sym__value_name,
    STATE(21042), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(113), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5116), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5293), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162380] = 29,
    ACTIONS(1185), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_LBRACK,
    ACTIONS(1191), 1,
      anon_sym_LBRACE,
    ACTIONS(1193), 1,
      anon_sym_object,
    ACTIONS(1197), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1207), 1,
      anon_sym_new,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1211), 1,
      anon_sym_begin,
    ACTIONS(1213), 1,
      sym_ocamlyacc_value,
    ACTIONS(1219), 1,
      aux_sym_number_token1,
    ACTIONS(1221), 1,
      anon_sym_SQUOTE,
    ACTIONS(1223), 1,
      anon_sym_DQUOTE,
    ACTIONS(1225), 1,
      sym_prefix_operator,
    ACTIONS(1229), 1,
      sym__uppercase_identifier,
    ACTIONS(1231), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4511), 1,
      sym__lowercase_identifier,
    STATE(4769), 1,
      sym_parenthesized_operator,
    STATE(4773), 1,
      sym__value_name,
    STATE(4844), 1,
      sym__constructor_name,
    STATE(4928), 1,
      sym__simple_expression,
    STATE(5179), 1,
      sym_attribute,
    STATE(20209), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1189), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4764), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4970), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162498] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2325), 1,
      anon_sym_LPAREN,
    ACTIONS(2327), 1,
      anon_sym_LBRACK,
    ACTIONS(2331), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_object,
    ACTIONS(2337), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2347), 1,
      anon_sym_new,
    ACTIONS(2349), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2351), 1,
      anon_sym_begin,
    ACTIONS(2353), 1,
      sym_ocamlyacc_value,
    ACTIONS(2355), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2357), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2359), 1,
      aux_sym_number_token1,
    ACTIONS(2361), 1,
      anon_sym_SQUOTE,
    ACTIONS(2363), 1,
      anon_sym_DQUOTE,
    ACTIONS(2365), 1,
      sym_prefix_operator,
    ACTIONS(2369), 1,
      sym__uppercase_identifier,
    ACTIONS(2371), 1,
      aux_sym_tag_token1,
    ACTIONS(6327), 1,
      sym__lowercase_identifier,
    STATE(5180), 1,
      sym_attribute,
    STATE(7358), 1,
      sym_parenthesized_operator,
    STATE(7395), 1,
      sym__constructor_name,
    STATE(7422), 1,
      sym__value_name,
    STATE(7727), 1,
      sym__simple_expression,
    STATE(20481), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2329), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7312), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7705), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162616] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2325), 1,
      anon_sym_LPAREN,
    ACTIONS(2327), 1,
      anon_sym_LBRACK,
    ACTIONS(2331), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_object,
    ACTIONS(2337), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2347), 1,
      anon_sym_new,
    ACTIONS(2349), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2351), 1,
      anon_sym_begin,
    ACTIONS(2353), 1,
      sym_ocamlyacc_value,
    ACTIONS(2355), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2357), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2359), 1,
      aux_sym_number_token1,
    ACTIONS(2361), 1,
      anon_sym_SQUOTE,
    ACTIONS(2363), 1,
      anon_sym_DQUOTE,
    ACTIONS(2365), 1,
      sym_prefix_operator,
    ACTIONS(2369), 1,
      sym__uppercase_identifier,
    ACTIONS(2371), 1,
      aux_sym_tag_token1,
    ACTIONS(6327), 1,
      sym__lowercase_identifier,
    STATE(5181), 1,
      sym_attribute,
    STATE(7358), 1,
      sym_parenthesized_operator,
    STATE(7395), 1,
      sym__constructor_name,
    STATE(7422), 1,
      sym__value_name,
    STATE(7440), 1,
      sym__simple_expression,
    STATE(20481), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2329), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7312), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7705), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162734] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2183), 1,
      anon_sym_LPAREN,
    ACTIONS(2185), 1,
      anon_sym_LBRACK,
    ACTIONS(2189), 1,
      anon_sym_LBRACE,
    ACTIONS(2191), 1,
      anon_sym_object,
    ACTIONS(2195), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2205), 1,
      anon_sym_new,
    ACTIONS(2207), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2209), 1,
      anon_sym_begin,
    ACTIONS(2211), 1,
      sym_ocamlyacc_value,
    ACTIONS(2213), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2215), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2217), 1,
      aux_sym_number_token1,
    ACTIONS(2219), 1,
      anon_sym_SQUOTE,
    ACTIONS(2221), 1,
      anon_sym_DQUOTE,
    ACTIONS(2223), 1,
      sym_prefix_operator,
    ACTIONS(2227), 1,
      sym__uppercase_identifier,
    ACTIONS(2229), 1,
      aux_sym_tag_token1,
    ACTIONS(6337), 1,
      sym__lowercase_identifier,
    STATE(5182), 1,
      sym_attribute,
    STATE(7274), 1,
      sym__value_name,
    STATE(7329), 1,
      sym_parenthesized_operator,
    STATE(7672), 1,
      sym__constructor_name,
    STATE(7698), 1,
      sym__simple_expression,
    STATE(19479), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2187), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7575), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7655), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162852] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2183), 1,
      anon_sym_LPAREN,
    ACTIONS(2185), 1,
      anon_sym_LBRACK,
    ACTIONS(2189), 1,
      anon_sym_LBRACE,
    ACTIONS(2191), 1,
      anon_sym_object,
    ACTIONS(2195), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2205), 1,
      anon_sym_new,
    ACTIONS(2207), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2209), 1,
      anon_sym_begin,
    ACTIONS(2211), 1,
      sym_ocamlyacc_value,
    ACTIONS(2213), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2215), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2217), 1,
      aux_sym_number_token1,
    ACTIONS(2219), 1,
      anon_sym_SQUOTE,
    ACTIONS(2221), 1,
      anon_sym_DQUOTE,
    ACTIONS(2223), 1,
      sym_prefix_operator,
    ACTIONS(2227), 1,
      sym__uppercase_identifier,
    ACTIONS(2229), 1,
      aux_sym_tag_token1,
    ACTIONS(6337), 1,
      sym__lowercase_identifier,
    STATE(5183), 1,
      sym_attribute,
    STATE(7274), 1,
      sym__value_name,
    STATE(7329), 1,
      sym_parenthesized_operator,
    STATE(7672), 1,
      sym__constructor_name,
    STATE(7726), 1,
      sym__simple_expression,
    STATE(19479), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2187), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7575), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7655), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162970] = 29,
    ACTIONS(1243), 1,
      anon_sym_LPAREN,
    ACTIONS(1245), 1,
      anon_sym_LBRACK,
    ACTIONS(1249), 1,
      anon_sym_LBRACE,
    ACTIONS(1251), 1,
      anon_sym_object,
    ACTIONS(1255), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1273), 1,
      anon_sym_new,
    ACTIONS(1275), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1277), 1,
      anon_sym_begin,
    ACTIONS(1279), 1,
      sym_ocamlyacc_value,
    ACTIONS(1285), 1,
      aux_sym_number_token1,
    ACTIONS(1287), 1,
      anon_sym_SQUOTE,
    ACTIONS(1289), 1,
      anon_sym_DQUOTE,
    ACTIONS(1291), 1,
      sym_prefix_operator,
    ACTIONS(1295), 1,
      sym__uppercase_identifier,
    ACTIONS(1297), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3553), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3555), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5581), 1,
      sym__lowercase_identifier,
    STATE(5184), 1,
      sym_attribute,
    STATE(5794), 1,
      sym_parenthesized_operator,
    STATE(5798), 1,
      sym__constructor_name,
    STATE(5822), 1,
      sym__value_name,
    STATE(5871), 1,
      sym__simple_expression,
    STATE(20249), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5897), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163088] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    ACTIONS(1729), 1,
      anon_sym_LBRACK,
    ACTIONS(1733), 1,
      anon_sym_LBRACE,
    ACTIONS(1735), 1,
      anon_sym_object,
    ACTIONS(1739), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1749), 1,
      anon_sym_new,
    ACTIONS(1751), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1753), 1,
      anon_sym_begin,
    ACTIONS(1755), 1,
      sym_ocamlyacc_value,
    ACTIONS(1757), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1759), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1761), 1,
      aux_sym_number_token1,
    ACTIONS(1763), 1,
      anon_sym_SQUOTE,
    ACTIONS(1765), 1,
      anon_sym_DQUOTE,
    ACTIONS(1767), 1,
      sym_prefix_operator,
    ACTIONS(1771), 1,
      sym__uppercase_identifier,
    ACTIONS(1773), 1,
      aux_sym_tag_token1,
    ACTIONS(6275), 1,
      sym__lowercase_identifier,
    STATE(5185), 1,
      sym_attribute,
    STATE(6886), 1,
      sym__simple_expression,
    STATE(6945), 1,
      sym__value_name,
    STATE(6972), 1,
      sym__constructor_name,
    STATE(7080), 1,
      sym_parenthesized_operator,
    STATE(20519), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1731), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6954), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6875), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163206] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    ACTIONS(1729), 1,
      anon_sym_LBRACK,
    ACTIONS(1733), 1,
      anon_sym_LBRACE,
    ACTIONS(1735), 1,
      anon_sym_object,
    ACTIONS(1739), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1749), 1,
      anon_sym_new,
    ACTIONS(1751), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1753), 1,
      anon_sym_begin,
    ACTIONS(1755), 1,
      sym_ocamlyacc_value,
    ACTIONS(1757), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1759), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1761), 1,
      aux_sym_number_token1,
    ACTIONS(1763), 1,
      anon_sym_SQUOTE,
    ACTIONS(1765), 1,
      anon_sym_DQUOTE,
    ACTIONS(1767), 1,
      sym_prefix_operator,
    ACTIONS(1771), 1,
      sym__uppercase_identifier,
    ACTIONS(1773), 1,
      aux_sym_tag_token1,
    ACTIONS(6275), 1,
      sym__lowercase_identifier,
    STATE(5186), 1,
      sym_attribute,
    STATE(6900), 1,
      sym__simple_expression,
    STATE(6945), 1,
      sym__value_name,
    STATE(6972), 1,
      sym__constructor_name,
    STATE(7080), 1,
      sym_parenthesized_operator,
    STATE(20519), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1731), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6954), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6875), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [163394] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7503), 1,
      sym__lowercase_identifier,
    ACTIONS(7507), 1,
      anon_sym_LPAREN,
    ACTIONS(7509), 1,
      anon_sym_LBRACK,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(7517), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7519), 1,
      anon_sym_new,
    ACTIONS(7521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7523), 1,
      anon_sym_begin,
    ACTIONS(7525), 1,
      sym_ocamlyacc_value,
    ACTIONS(7531), 1,
      aux_sym_number_token1,
    ACTIONS(7533), 1,
      anon_sym_SQUOTE,
    ACTIONS(7535), 1,
      anon_sym_DQUOTE,
    ACTIONS(7537), 1,
      sym_prefix_operator,
    ACTIONS(7539), 1,
      sym__uppercase_identifier,
    ACTIONS(7541), 1,
      aux_sym_tag_token1,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5188), 1,
      sym_attribute,
    STATE(7949), 1,
      sym_parenthesized_operator,
    STATE(7967), 1,
      sym__value_name,
    STATE(7987), 1,
      sym__constructor_name,
    STATE(8279), 1,
      sym__simple_expression,
    STATE(20557), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7511), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7917), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8124), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163512] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7503), 1,
      sym__lowercase_identifier,
    ACTIONS(7507), 1,
      anon_sym_LPAREN,
    ACTIONS(7509), 1,
      anon_sym_LBRACK,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(7517), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7519), 1,
      anon_sym_new,
    ACTIONS(7521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7523), 1,
      anon_sym_begin,
    ACTIONS(7525), 1,
      sym_ocamlyacc_value,
    ACTIONS(7531), 1,
      aux_sym_number_token1,
    ACTIONS(7533), 1,
      anon_sym_SQUOTE,
    ACTIONS(7535), 1,
      anon_sym_DQUOTE,
    ACTIONS(7537), 1,
      sym_prefix_operator,
    ACTIONS(7539), 1,
      sym__uppercase_identifier,
    ACTIONS(7541), 1,
      aux_sym_tag_token1,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5189), 1,
      sym_attribute,
    STATE(7787), 1,
      sym__simple_expression,
    STATE(7949), 1,
      sym_parenthesized_operator,
    STATE(7967), 1,
      sym__value_name,
    STATE(7987), 1,
      sym__constructor_name,
    STATE(20557), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7511), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7917), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8124), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163630] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7503), 1,
      sym__lowercase_identifier,
    ACTIONS(7507), 1,
      anon_sym_LPAREN,
    ACTIONS(7509), 1,
      anon_sym_LBRACK,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(7517), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7519), 1,
      anon_sym_new,
    ACTIONS(7521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7523), 1,
      anon_sym_begin,
    ACTIONS(7525), 1,
      sym_ocamlyacc_value,
    ACTIONS(7531), 1,
      aux_sym_number_token1,
    ACTIONS(7533), 1,
      anon_sym_SQUOTE,
    ACTIONS(7535), 1,
      anon_sym_DQUOTE,
    ACTIONS(7537), 1,
      sym_prefix_operator,
    ACTIONS(7539), 1,
      sym__uppercase_identifier,
    ACTIONS(7541), 1,
      aux_sym_tag_token1,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5190), 1,
      sym_attribute,
    STATE(7850), 1,
      sym__simple_expression,
    STATE(7949), 1,
      sym_parenthesized_operator,
    STATE(7967), 1,
      sym__value_name,
    STATE(7987), 1,
      sym__constructor_name,
    STATE(20557), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7511), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7917), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8124), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [163818] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      sym__lowercase_identifier,
    ACTIONS(9492), 1,
      anon_sym_LPAREN,
    ACTIONS(9494), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_LBRACE,
    ACTIONS(9500), 1,
      anon_sym_object,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9504), 1,
      anon_sym_new,
    ACTIONS(9506), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9508), 1,
      anon_sym_begin,
    ACTIONS(9510), 1,
      sym_ocamlyacc_value,
    ACTIONS(9512), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9514), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9518), 1,
      aux_sym_number_token1,
    ACTIONS(9520), 1,
      anon_sym_SQUOTE,
    ACTIONS(9522), 1,
      anon_sym_DQUOTE,
    ACTIONS(9524), 1,
      sym_prefix_operator,
    ACTIONS(9526), 1,
      sym__uppercase_identifier,
    ACTIONS(9528), 1,
      aux_sym_tag_token1,
    STATE(5192), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__constructor_name,
    STATE(8787), 1,
      sym_parenthesized_operator,
    STATE(8834), 1,
      sym__value_name,
    STATE(8843), 1,
      sym__simple_expression,
    STATE(20501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8802), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8832), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164006] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(5194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164358] = 29,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      anon_sym_LBRACK,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(985), 1,
      anon_sym_object,
    ACTIONS(989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(999), 1,
      anon_sym_new,
    ACTIONS(1001), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1003), 1,
      anon_sym_begin,
    ACTIONS(1005), 1,
      sym_ocamlyacc_value,
    ACTIONS(1011), 1,
      aux_sym_number_token1,
    ACTIONS(1013), 1,
      anon_sym_SQUOTE,
    ACTIONS(1015), 1,
      anon_sym_DQUOTE,
    ACTIONS(1017), 1,
      sym_prefix_operator,
    ACTIONS(1021), 1,
      sym__uppercase_identifier,
    ACTIONS(1023), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3531), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3533), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3813), 1,
      sym__lowercase_identifier,
    STATE(4466), 1,
      sym__simple_expression,
    STATE(4637), 1,
      sym_parenthesized_operator,
    STATE(4693), 1,
      sym__constructor_name,
    STATE(4731), 1,
      sym__value_name,
    STATE(5199), 1,
      sym_attribute,
    STATE(20327), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4574), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4467), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164476] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACE,
    ACTIONS(1611), 1,
      anon_sym_object,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1633), 1,
      anon_sym_new,
    ACTIONS(1635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1637), 1,
      anon_sym_begin,
    ACTIONS(1639), 1,
      sym_ocamlyacc_value,
    ACTIONS(1641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1643), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1645), 1,
      aux_sym_number_token1,
    ACTIONS(1647), 1,
      anon_sym_SQUOTE,
    ACTIONS(1649), 1,
      anon_sym_DQUOTE,
    ACTIONS(1651), 1,
      sym_prefix_operator,
    ACTIONS(1655), 1,
      sym__uppercase_identifier,
    ACTIONS(1657), 1,
      aux_sym_tag_token1,
    ACTIONS(5979), 1,
      sym__lowercase_identifier,
    STATE(5200), 1,
      sym_attribute,
    STATE(6647), 1,
      sym__value_name,
    STATE(6656), 1,
      sym__simple_expression,
    STATE(6699), 1,
      sym__constructor_name,
    STATE(6718), 1,
      sym_parenthesized_operator,
    STATE(20595), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6738), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6761), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164594] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACE,
    ACTIONS(1611), 1,
      anon_sym_object,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1633), 1,
      anon_sym_new,
    ACTIONS(1635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1637), 1,
      anon_sym_begin,
    ACTIONS(1639), 1,
      sym_ocamlyacc_value,
    ACTIONS(1641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1643), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1645), 1,
      aux_sym_number_token1,
    ACTIONS(1647), 1,
      anon_sym_SQUOTE,
    ACTIONS(1649), 1,
      anon_sym_DQUOTE,
    ACTIONS(1651), 1,
      sym_prefix_operator,
    ACTIONS(1655), 1,
      sym__uppercase_identifier,
    ACTIONS(1657), 1,
      aux_sym_tag_token1,
    ACTIONS(5979), 1,
      sym__lowercase_identifier,
    STATE(5201), 1,
      sym_attribute,
    STATE(6647), 1,
      sym__value_name,
    STATE(6699), 1,
      sym__constructor_name,
    STATE(6718), 1,
      sym_parenthesized_operator,
    STATE(6758), 1,
      sym__simple_expression,
    STATE(20595), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6738), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6761), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164712] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9532), 1,
      sym__lowercase_identifier,
    ACTIONS(9534), 1,
      anon_sym_LPAREN,
    ACTIONS(9538), 1,
      anon_sym_LBRACE,
    ACTIONS(9540), 1,
      anon_sym_begin,
    ACTIONS(9542), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9544), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_number_token1,
    ACTIONS(9548), 1,
      anon_sym_SQUOTE,
    ACTIONS(9550), 1,
      anon_sym_DQUOTE,
    ACTIONS(9552), 1,
      sym_prefix_operator,
    STATE(5202), 1,
      sym_attribute,
    STATE(8396), 1,
      sym_parenthesized_operator,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8479), 1,
      sym__simple_expression,
    STATE(8481), 1,
      sym__value_name,
    STATE(21231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8334), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164830] = 29,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(739), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_object,
    ACTIONS(757), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(767), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(771), 1,
      anon_sym_begin,
    ACTIONS(773), 1,
      sym_ocamlyacc_value,
    ACTIONS(779), 1,
      aux_sym_number_token1,
    ACTIONS(781), 1,
      anon_sym_SQUOTE,
    ACTIONS(783), 1,
      anon_sym_DQUOTE,
    ACTIONS(785), 1,
      sym_prefix_operator,
    ACTIONS(791), 1,
      sym__uppercase_identifier,
    ACTIONS(795), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3627), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4851), 1,
      sym__lowercase_identifier,
    STATE(5084), 1,
      sym__value_name,
    STATE(5085), 1,
      sym_parenthesized_operator,
    STATE(5196), 1,
      sym__constructor_name,
    STATE(5203), 1,
      sym_attribute,
    STATE(5290), 1,
      sym__simple_expression,
    STATE(21715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(741), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5195), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5382), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165088] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1675), 1,
      anon_sym_LBRACE,
    ACTIONS(1677), 1,
      anon_sym_object,
    ACTIONS(1681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1691), 1,
      anon_sym_new,
    ACTIONS(1693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1695), 1,
      anon_sym_begin,
    ACTIONS(1697), 1,
      sym_ocamlyacc_value,
    ACTIONS(1699), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1701), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1703), 1,
      aux_sym_number_token1,
    ACTIONS(1705), 1,
      anon_sym_SQUOTE,
    ACTIONS(1707), 1,
      anon_sym_DQUOTE,
    ACTIONS(1709), 1,
      sym_prefix_operator,
    ACTIONS(1713), 1,
      sym__uppercase_identifier,
    ACTIONS(1715), 1,
      aux_sym_tag_token1,
    ACTIONS(6231), 1,
      sym__lowercase_identifier,
    STATE(5206), 1,
      sym_attribute,
    STATE(6788), 1,
      sym_parenthesized_operator,
    STATE(6794), 1,
      sym__constructor_name,
    STATE(6842), 1,
      sym__simple_expression,
    STATE(6851), 1,
      sym__value_name,
    STATE(19538), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6770), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165276] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1675), 1,
      anon_sym_LBRACE,
    ACTIONS(1677), 1,
      anon_sym_object,
    ACTIONS(1681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1691), 1,
      anon_sym_new,
    ACTIONS(1693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1695), 1,
      anon_sym_begin,
    ACTIONS(1697), 1,
      sym_ocamlyacc_value,
    ACTIONS(1699), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1701), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1703), 1,
      aux_sym_number_token1,
    ACTIONS(1705), 1,
      anon_sym_SQUOTE,
    ACTIONS(1707), 1,
      anon_sym_DQUOTE,
    ACTIONS(1709), 1,
      sym_prefix_operator,
    ACTIONS(1713), 1,
      sym__uppercase_identifier,
    ACTIONS(1715), 1,
      aux_sym_tag_token1,
    ACTIONS(6231), 1,
      sym__lowercase_identifier,
    STATE(5208), 1,
      sym_attribute,
    STATE(6788), 1,
      sym_parenthesized_operator,
    STATE(6794), 1,
      sym__constructor_name,
    STATE(6851), 1,
      sym__value_name,
    STATE(6857), 1,
      sym__simple_expression,
    STATE(19538), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6770), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165394] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5209), 1,
      sym_attribute,
    STATE(6183), 1,
      sym__simple_expression,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165512] = 29,
    ACTIONS(421), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(427), 1,
      anon_sym_LBRACE,
    ACTIONS(429), 1,
      anon_sym_object,
    ACTIONS(433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(443), 1,
      anon_sym_new,
    ACTIONS(445), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(447), 1,
      anon_sym_begin,
    ACTIONS(449), 1,
      sym_ocamlyacc_value,
    ACTIONS(455), 1,
      aux_sym_number_token1,
    ACTIONS(457), 1,
      anon_sym_SQUOTE,
    ACTIONS(459), 1,
      anon_sym_DQUOTE,
    ACTIONS(461), 1,
      sym_prefix_operator,
    ACTIONS(465), 1,
      sym__uppercase_identifier,
    ACTIONS(467), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3537), 1,
      sym__lowercase_identifier,
    ACTIONS(3561), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3563), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(3408), 1,
      sym__constructor_name,
    STATE(3443), 1,
      sym_parenthesized_operator,
    STATE(3785), 1,
      sym__value_name,
    STATE(3796), 1,
      sym__simple_expression,
    STATE(5210), 1,
      sym_attribute,
    STATE(20366), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(425), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3463), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3694), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165630] = 29,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1397), 1,
      anon_sym_LBRACE,
    ACTIONS(1399), 1,
      anon_sym_object,
    ACTIONS(1403), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1415), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1417), 1,
      anon_sym_begin,
    ACTIONS(1419), 1,
      sym_ocamlyacc_value,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1423), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1425), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1427), 1,
      aux_sym_number_token1,
    ACTIONS(1429), 1,
      anon_sym_SQUOTE,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_prefix_operator,
    ACTIONS(1437), 1,
      sym__uppercase_identifier,
    ACTIONS(1439), 1,
      aux_sym_tag_token1,
    ACTIONS(5611), 1,
      sym__lowercase_identifier,
    STATE(5211), 1,
      sym_attribute,
    STATE(6195), 1,
      sym__constructor_name,
    STATE(6207), 1,
      sym_parenthesized_operator,
    STATE(6276), 1,
      sym__simple_expression,
    STATE(6319), 1,
      sym__value_name,
    STATE(20633), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1395), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6326), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6271), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165748] = 29,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1397), 1,
      anon_sym_LBRACE,
    ACTIONS(1399), 1,
      anon_sym_object,
    ACTIONS(1403), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1415), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1417), 1,
      anon_sym_begin,
    ACTIONS(1419), 1,
      sym_ocamlyacc_value,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1423), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1425), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1427), 1,
      aux_sym_number_token1,
    ACTIONS(1429), 1,
      anon_sym_SQUOTE,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_prefix_operator,
    ACTIONS(1437), 1,
      sym__uppercase_identifier,
    ACTIONS(1439), 1,
      aux_sym_tag_token1,
    ACTIONS(5611), 1,
      sym__lowercase_identifier,
    STATE(5212), 1,
      sym_attribute,
    STATE(6195), 1,
      sym__constructor_name,
    STATE(6207), 1,
      sym_parenthesized_operator,
    STATE(6287), 1,
      sym__simple_expression,
    STATE(6319), 1,
      sym__value_name,
    STATE(20633), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1395), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6326), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6271), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [166006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [166076] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      sym__lowercase_identifier,
    ACTIONS(9492), 1,
      anon_sym_LPAREN,
    ACTIONS(9494), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_LBRACE,
    ACTIONS(9500), 1,
      anon_sym_object,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9504), 1,
      anon_sym_new,
    ACTIONS(9506), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9508), 1,
      anon_sym_begin,
    ACTIONS(9510), 1,
      sym_ocamlyacc_value,
    ACTIONS(9512), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9514), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9518), 1,
      aux_sym_number_token1,
    ACTIONS(9520), 1,
      anon_sym_SQUOTE,
    ACTIONS(9522), 1,
      anon_sym_DQUOTE,
    ACTIONS(9524), 1,
      sym_prefix_operator,
    ACTIONS(9526), 1,
      sym__uppercase_identifier,
    ACTIONS(9528), 1,
      aux_sym_tag_token1,
    STATE(5216), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__constructor_name,
    STATE(8787), 1,
      sym_parenthesized_operator,
    STATE(8834), 1,
      sym__value_name,
    STATE(8860), 1,
      sym__simple_expression,
    STATE(20501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8802), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8832), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166194] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4775), 1,
      anon_sym_DOT,
    ACTIONS(4777), 1,
      anon_sym_POUND,
    ACTIONS(4779), 1,
      sym_hash_operator,
    STATE(5217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [166270] = 29,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(39), 1,
      anon_sym_object,
    ACTIONS(43), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(61), 1,
      anon_sym_new,
    ACTIONS(63), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(65), 1,
      anon_sym_begin,
    ACTIONS(67), 1,
      sym_ocamlyacc_value,
    ACTIONS(79), 1,
      aux_sym_number_token1,
    ACTIONS(83), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      sym_prefix_operator,
    ACTIONS(95), 1,
      sym__uppercase_identifier,
    ACTIONS(99), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3623), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4841), 1,
      sym__lowercase_identifier,
    STATE(5151), 1,
      sym__value_name,
    STATE(5172), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym_attribute,
    STATE(5250), 1,
      sym__constructor_name,
    STATE(5308), 1,
      sym_parenthesized_operator,
    STATE(21779), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5368), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5443), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [166458] = 29,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_LBRACK,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_object,
    ACTIONS(1041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1051), 1,
      anon_sym_new,
    ACTIONS(1053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1055), 1,
      anon_sym_begin,
    ACTIONS(1057), 1,
      sym_ocamlyacc_value,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      anon_sym_SQUOTE,
    ACTIONS(1067), 1,
      anon_sym_DQUOTE,
    ACTIONS(1069), 1,
      sym_prefix_operator,
    ACTIONS(1073), 1,
      sym__uppercase_identifier,
    ACTIONS(1075), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3601), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3823), 1,
      sym__lowercase_identifier,
    STATE(4528), 1,
      sym__constructor_name,
    STATE(4605), 1,
      sym__simple_expression,
    STATE(4636), 1,
      sym__value_name,
    STATE(4729), 1,
      sym_parenthesized_operator,
    STATE(5220), 1,
      sym_attribute,
    STATE(20443), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4479), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4501), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166576] = 29,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_LBRACE,
    ACTIONS(585), 1,
      anon_sym_object,
    ACTIONS(589), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(599), 1,
      anon_sym_new,
    ACTIONS(601), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(603), 1,
      anon_sym_begin,
    ACTIONS(605), 1,
      sym_ocamlyacc_value,
    ACTIONS(611), 1,
      aux_sym_number_token1,
    ACTIONS(613), 1,
      anon_sym_SQUOTE,
    ACTIONS(615), 1,
      anon_sym_DQUOTE,
    ACTIONS(617), 1,
      sym_prefix_operator,
    ACTIONS(621), 1,
      sym__uppercase_identifier,
    ACTIONS(623), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3513), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3515), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3685), 1,
      sym__lowercase_identifier,
    STATE(3918), 1,
      sym__simple_expression,
    STATE(3952), 1,
      sym__value_name,
    STATE(3974), 1,
      sym_parenthesized_operator,
    STATE(4089), 1,
      sym__constructor_name,
    STATE(5221), 1,
      sym_attribute,
    STATE(20671), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(581), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4081), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3912), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166694] = 29,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_LBRACE,
    ACTIONS(585), 1,
      anon_sym_object,
    ACTIONS(589), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(599), 1,
      anon_sym_new,
    ACTIONS(601), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(603), 1,
      anon_sym_begin,
    ACTIONS(605), 1,
      sym_ocamlyacc_value,
    ACTIONS(611), 1,
      aux_sym_number_token1,
    ACTIONS(613), 1,
      anon_sym_SQUOTE,
    ACTIONS(615), 1,
      anon_sym_DQUOTE,
    ACTIONS(617), 1,
      sym_prefix_operator,
    ACTIONS(621), 1,
      sym__uppercase_identifier,
    ACTIONS(623), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3513), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3515), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3685), 1,
      sym__lowercase_identifier,
    STATE(3929), 1,
      sym__simple_expression,
    STATE(3952), 1,
      sym__value_name,
    STATE(3974), 1,
      sym_parenthesized_operator,
    STATE(4089), 1,
      sym__constructor_name,
    STATE(5222), 1,
      sym_attribute,
    STATE(20671), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(581), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4081), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3912), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166812] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9532), 1,
      sym__lowercase_identifier,
    ACTIONS(9534), 1,
      anon_sym_LPAREN,
    ACTIONS(9538), 1,
      anon_sym_LBRACE,
    ACTIONS(9540), 1,
      anon_sym_begin,
    ACTIONS(9542), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9544), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_number_token1,
    ACTIONS(9548), 1,
      anon_sym_SQUOTE,
    ACTIONS(9550), 1,
      anon_sym_DQUOTE,
    ACTIONS(9552), 1,
      sym_prefix_operator,
    STATE(5223), 1,
      sym_attribute,
    STATE(8396), 1,
      sym_parenthesized_operator,
    STATE(8433), 1,
      sym__simple_expression,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(21231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8334), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167280] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(5229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167352] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8121), 1,
      sym__lowercase_identifier,
    ACTIONS(8125), 1,
      anon_sym_LPAREN,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8131), 1,
      anon_sym_LBRACE,
    ACTIONS(8133), 1,
      anon_sym_object,
    ACTIONS(8135), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8137), 1,
      anon_sym_new,
    ACTIONS(8139), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8141), 1,
      anon_sym_begin,
    ACTIONS(8143), 1,
      sym_ocamlyacc_value,
    ACTIONS(8149), 1,
      aux_sym_number_token1,
    ACTIONS(8151), 1,
      anon_sym_SQUOTE,
    ACTIONS(8153), 1,
      anon_sym_DQUOTE,
    ACTIONS(8155), 1,
      sym_prefix_operator,
    ACTIONS(8157), 1,
      sym__uppercase_identifier,
    ACTIONS(8159), 1,
      aux_sym_tag_token1,
    ACTIONS(9720), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9722), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5230), 1,
      sym_attribute,
    STATE(8876), 1,
      sym__simple_expression,
    STATE(8965), 1,
      sym__constructor_name,
    STATE(9009), 1,
      sym_parenthesized_operator,
    STATE(9218), 1,
      sym__value_name,
    STATE(22519), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8129), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8875), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9034), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167540] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1451), 1,
      anon_sym_LBRACE,
    ACTIONS(1453), 1,
      anon_sym_object,
    ACTIONS(1457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1467), 1,
      anon_sym_new,
    ACTIONS(1469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1471), 1,
      anon_sym_begin,
    ACTIONS(1473), 1,
      sym_ocamlyacc_value,
    ACTIONS(1475), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1477), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1479), 1,
      aux_sym_number_token1,
    ACTIONS(1481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DQUOTE,
    ACTIONS(1485), 1,
      sym_prefix_operator,
    ACTIONS(1489), 1,
      sym__uppercase_identifier,
    ACTIONS(1491), 1,
      aux_sym_tag_token1,
    ACTIONS(5601), 1,
      sym__lowercase_identifier,
    STATE(5232), 1,
      sym_attribute,
    STATE(6011), 1,
      sym__simple_expression,
    STATE(6048), 1,
      sym__value_name,
    STATE(6070), 1,
      sym_parenthesized_operator,
    STATE(6147), 1,
      sym__constructor_name,
    STATE(19592), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1449), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6127), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6006), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167658] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1451), 1,
      anon_sym_LBRACE,
    ACTIONS(1453), 1,
      anon_sym_object,
    ACTIONS(1457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1467), 1,
      anon_sym_new,
    ACTIONS(1469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1471), 1,
      anon_sym_begin,
    ACTIONS(1473), 1,
      sym_ocamlyacc_value,
    ACTIONS(1475), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1477), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1479), 1,
      aux_sym_number_token1,
    ACTIONS(1481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DQUOTE,
    ACTIONS(1485), 1,
      sym_prefix_operator,
    ACTIONS(1489), 1,
      sym__uppercase_identifier,
    ACTIONS(1491), 1,
      aux_sym_tag_token1,
    ACTIONS(5601), 1,
      sym__lowercase_identifier,
    STATE(5233), 1,
      sym_attribute,
    STATE(6021), 1,
      sym__simple_expression,
    STATE(6048), 1,
      sym__value_name,
    STATE(6070), 1,
      sym_parenthesized_operator,
    STATE(6147), 1,
      sym__constructor_name,
    STATE(19592), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1449), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6127), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6006), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167776] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2325), 1,
      anon_sym_LPAREN,
    ACTIONS(2327), 1,
      anon_sym_LBRACK,
    ACTIONS(2331), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_object,
    ACTIONS(2337), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2347), 1,
      anon_sym_new,
    ACTIONS(2349), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2351), 1,
      anon_sym_begin,
    ACTIONS(2353), 1,
      sym_ocamlyacc_value,
    ACTIONS(2355), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2357), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2359), 1,
      aux_sym_number_token1,
    ACTIONS(2361), 1,
      anon_sym_SQUOTE,
    ACTIONS(2363), 1,
      anon_sym_DQUOTE,
    ACTIONS(2365), 1,
      sym_prefix_operator,
    ACTIONS(2369), 1,
      sym__uppercase_identifier,
    ACTIONS(2371), 1,
      aux_sym_tag_token1,
    ACTIONS(6327), 1,
      sym__lowercase_identifier,
    STATE(5234), 1,
      sym_attribute,
    STATE(7358), 1,
      sym_parenthesized_operator,
    STATE(7395), 1,
      sym__constructor_name,
    STATE(7422), 1,
      sym__value_name,
    STATE(7701), 1,
      sym__simple_expression,
    STATE(20481), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2329), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7312), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7705), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167894] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_LPAREN,
    ACTIONS(3147), 1,
      anon_sym_LBRACK,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      anon_sym_object,
    ACTIONS(3157), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3167), 1,
      anon_sym_new,
    ACTIONS(3169), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3171), 1,
      anon_sym_begin,
    ACTIONS(3173), 1,
      sym_ocamlyacc_value,
    ACTIONS(3175), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3177), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3179), 1,
      aux_sym_number_token1,
    ACTIONS(3181), 1,
      anon_sym_SQUOTE,
    ACTIONS(3183), 1,
      anon_sym_DQUOTE,
    ACTIONS(3185), 1,
      sym_prefix_operator,
    ACTIONS(3189), 1,
      sym__uppercase_identifier,
    ACTIONS(3191), 1,
      aux_sym_tag_token1,
    ACTIONS(6541), 1,
      sym__lowercase_identifier,
    STATE(5235), 1,
      sym_attribute,
    STATE(7829), 1,
      sym__value_name,
    STATE(7844), 1,
      sym__simple_expression,
    STATE(8000), 1,
      sym_parenthesized_operator,
    STATE(8264), 1,
      sym__constructor_name,
    STATE(19649), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3149), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8262), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7824), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168012] = 29,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(401), 1,
      aux_sym_number_token1,
    ACTIONS(403), 1,
      anon_sym_SQUOTE,
    ACTIONS(405), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      sym_prefix_operator,
    ACTIONS(413), 1,
      sym__uppercase_identifier,
    ACTIONS(415), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3569), 1,
      sym__lowercase_identifier,
    STATE(3391), 1,
      sym__value_name,
    STATE(3510), 1,
      sym__constructor_name,
    STATE(3702), 1,
      sym_parenthesized_operator,
    STATE(3827), 1,
      sym__simple_expression,
    STATE(5236), 1,
      sym_attribute,
    STATE(20709), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3697), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168130] = 29,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(401), 1,
      aux_sym_number_token1,
    ACTIONS(403), 1,
      anon_sym_SQUOTE,
    ACTIONS(405), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      sym_prefix_operator,
    ACTIONS(413), 1,
      sym__uppercase_identifier,
    ACTIONS(415), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3569), 1,
      sym__lowercase_identifier,
    STATE(3391), 1,
      sym__value_name,
    STATE(3510), 1,
      sym__constructor_name,
    STATE(3642), 1,
      sym__simple_expression,
    STATE(3702), 1,
      sym_parenthesized_operator,
    STATE(5237), 1,
      sym_attribute,
    STATE(20709), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3697), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [168318] = 29,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_LBRACK,
    ACTIONS(1331), 1,
      anon_sym_LBRACE,
    ACTIONS(1333), 1,
      anon_sym_object,
    ACTIONS(1337), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1349), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1351), 1,
      anon_sym_begin,
    ACTIONS(1353), 1,
      sym_ocamlyacc_value,
    ACTIONS(1359), 1,
      aux_sym_number_token1,
    ACTIONS(1361), 1,
      anon_sym_SQUOTE,
    ACTIONS(1363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1365), 1,
      sym_prefix_operator,
    ACTIONS(1369), 1,
      sym__uppercase_identifier,
    ACTIONS(1371), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3603), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3605), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5591), 1,
      sym__lowercase_identifier,
    STATE(5239), 1,
      sym_attribute,
    STATE(5953), 1,
      sym__value_name,
    STATE(5954), 1,
      sym_parenthesized_operator,
    STATE(5957), 1,
      sym__constructor_name,
    STATE(5978), 1,
      sym__simple_expression,
    STATE(21934), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1329), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5998), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5982), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168436] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1497), 1,
      anon_sym_LPAREN,
    ACTIONS(1499), 1,
      anon_sym_LBRACK,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    ACTIONS(1505), 1,
      anon_sym_object,
    ACTIONS(1509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1519), 1,
      anon_sym_new,
    ACTIONS(1521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1523), 1,
      anon_sym_begin,
    ACTIONS(1525), 1,
      sym_ocamlyacc_value,
    ACTIONS(1527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1531), 1,
      aux_sym_number_token1,
    ACTIONS(1533), 1,
      anon_sym_SQUOTE,
    ACTIONS(1535), 1,
      anon_sym_DQUOTE,
    ACTIONS(1537), 1,
      sym_prefix_operator,
    ACTIONS(1541), 1,
      sym__uppercase_identifier,
    ACTIONS(1543), 1,
      aux_sym_tag_token1,
    ACTIONS(5751), 1,
      sym__lowercase_identifier,
    STATE(5240), 1,
      sym_attribute,
    STATE(6402), 1,
      sym__simple_expression,
    STATE(6438), 1,
      sym__value_name,
    STATE(6469), 1,
      sym__constructor_name,
    STATE(6487), 1,
      sym_parenthesized_operator,
    STATE(19647), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1501), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6367), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6392), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [168624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [168694] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1497), 1,
      anon_sym_LPAREN,
    ACTIONS(1499), 1,
      anon_sym_LBRACK,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    ACTIONS(1505), 1,
      anon_sym_object,
    ACTIONS(1509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1519), 1,
      anon_sym_new,
    ACTIONS(1521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1523), 1,
      anon_sym_begin,
    ACTIONS(1525), 1,
      sym_ocamlyacc_value,
    ACTIONS(1527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1531), 1,
      aux_sym_number_token1,
    ACTIONS(1533), 1,
      anon_sym_SQUOTE,
    ACTIONS(1535), 1,
      anon_sym_DQUOTE,
    ACTIONS(1537), 1,
      sym_prefix_operator,
    ACTIONS(1541), 1,
      sym__uppercase_identifier,
    ACTIONS(1543), 1,
      aux_sym_tag_token1,
    ACTIONS(5751), 1,
      sym__lowercase_identifier,
    STATE(5243), 1,
      sym_attribute,
    STATE(6413), 1,
      sym__simple_expression,
    STATE(6438), 1,
      sym__value_name,
    STATE(6469), 1,
      sym__constructor_name,
    STATE(6487), 1,
      sym_parenthesized_operator,
    STATE(19647), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1501), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6367), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6392), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168812] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4845), 1,
      anon_sym_DOT,
    ACTIONS(4847), 1,
      anon_sym_POUND,
    ACTIONS(4849), 1,
      sym_hash_operator,
    STATE(5244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [168888] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4775), 1,
      anon_sym_DOT,
    ACTIONS(4777), 1,
      anon_sym_POUND,
    ACTIONS(4779), 1,
      sym_hash_operator,
    STATE(5245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [168964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [169034] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    ACTIONS(1729), 1,
      anon_sym_LBRACK,
    ACTIONS(1733), 1,
      anon_sym_LBRACE,
    ACTIONS(1735), 1,
      anon_sym_object,
    ACTIONS(1739), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1749), 1,
      anon_sym_new,
    ACTIONS(1751), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1753), 1,
      anon_sym_begin,
    ACTIONS(1755), 1,
      sym_ocamlyacc_value,
    ACTIONS(1757), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1759), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1761), 1,
      aux_sym_number_token1,
    ACTIONS(1763), 1,
      anon_sym_SQUOTE,
    ACTIONS(1765), 1,
      anon_sym_DQUOTE,
    ACTIONS(1767), 1,
      sym_prefix_operator,
    ACTIONS(1771), 1,
      sym__uppercase_identifier,
    ACTIONS(1773), 1,
      aux_sym_tag_token1,
    ACTIONS(6275), 1,
      sym__lowercase_identifier,
    STATE(5247), 1,
      sym_attribute,
    STATE(6918), 1,
      sym__simple_expression,
    STATE(6945), 1,
      sym__value_name,
    STATE(6972), 1,
      sym__constructor_name,
    STATE(7080), 1,
      sym_parenthesized_operator,
    STATE(20519), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1731), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6954), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6875), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169152] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7403), 1,
      sym__lowercase_identifier,
    ACTIONS(7407), 1,
      anon_sym_LPAREN,
    ACTIONS(7409), 1,
      anon_sym_LBRACK,
    ACTIONS(7413), 1,
      anon_sym_LBRACE,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(7417), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7419), 1,
      anon_sym_new,
    ACTIONS(7421), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7423), 1,
      anon_sym_begin,
    ACTIONS(7425), 1,
      sym_ocamlyacc_value,
    ACTIONS(7431), 1,
      aux_sym_number_token1,
    ACTIONS(7433), 1,
      anon_sym_SQUOTE,
    ACTIONS(7435), 1,
      anon_sym_DQUOTE,
    ACTIONS(7437), 1,
      sym_prefix_operator,
    ACTIONS(7439), 1,
      sym__uppercase_identifier,
    ACTIONS(7441), 1,
      aux_sym_tag_token1,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5248), 1,
      sym_attribute,
    STATE(7793), 1,
      sym_parenthesized_operator,
    STATE(7971), 1,
      sym__simple_expression,
    STATE(8073), 1,
      sym__constructor_name,
    STATE(8197), 1,
      sym__value_name,
    STATE(20747), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7411), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8030), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7927), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169270] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7403), 1,
      sym__lowercase_identifier,
    ACTIONS(7407), 1,
      anon_sym_LPAREN,
    ACTIONS(7409), 1,
      anon_sym_LBRACK,
    ACTIONS(7413), 1,
      anon_sym_LBRACE,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(7417), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7419), 1,
      anon_sym_new,
    ACTIONS(7421), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7423), 1,
      anon_sym_begin,
    ACTIONS(7425), 1,
      sym_ocamlyacc_value,
    ACTIONS(7431), 1,
      aux_sym_number_token1,
    ACTIONS(7433), 1,
      anon_sym_SQUOTE,
    ACTIONS(7435), 1,
      anon_sym_DQUOTE,
    ACTIONS(7437), 1,
      sym_prefix_operator,
    ACTIONS(7439), 1,
      sym__uppercase_identifier,
    ACTIONS(7441), 1,
      aux_sym_tag_token1,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5249), 1,
      sym_attribute,
    STATE(7793), 1,
      sym_parenthesized_operator,
    STATE(8072), 1,
      sym__simple_expression,
    STATE(8073), 1,
      sym__constructor_name,
    STATE(8197), 1,
      sym__value_name,
    STATE(20747), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7411), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8030), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7927), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [169458] = 29,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(805), 1,
      anon_sym_LBRACK,
    ACTIONS(809), 1,
      anon_sym_LBRACE,
    ACTIONS(811), 1,
      anon_sym_object,
    ACTIONS(815), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(825), 1,
      anon_sym_new,
    ACTIONS(827), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(829), 1,
      anon_sym_begin,
    ACTIONS(831), 1,
      sym_ocamlyacc_value,
    ACTIONS(837), 1,
      aux_sym_number_token1,
    ACTIONS(839), 1,
      anon_sym_SQUOTE,
    ACTIONS(841), 1,
      anon_sym_DQUOTE,
    ACTIONS(843), 1,
      sym_prefix_operator,
    ACTIONS(847), 1,
      sym__uppercase_identifier,
    ACTIONS(849), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3521), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3523), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3729), 1,
      sym__lowercase_identifier,
    STATE(4157), 1,
      sym__simple_expression,
    STATE(4192), 1,
      sym__value_name,
    STATE(4203), 1,
      sym_parenthesized_operator,
    STATE(4223), 1,
      sym__constructor_name,
    STATE(5251), 1,
      sym_attribute,
    STATE(22316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(807), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4216), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4158), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [169646] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6879), 1,
      sym__lowercase_identifier,
    ACTIONS(6883), 1,
      anon_sym_LPAREN,
    ACTIONS(6885), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_LBRACE,
    ACTIONS(6891), 1,
      anon_sym_object,
    ACTIONS(6893), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6895), 1,
      anon_sym_new,
    ACTIONS(6897), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6899), 1,
      anon_sym_begin,
    ACTIONS(6901), 1,
      sym_ocamlyacc_value,
    ACTIONS(6907), 1,
      aux_sym_number_token1,
    ACTIONS(6909), 1,
      anon_sym_SQUOTE,
    ACTIONS(6911), 1,
      anon_sym_DQUOTE,
    ACTIONS(6913), 1,
      sym_prefix_operator,
    ACTIONS(6915), 1,
      sym__uppercase_identifier,
    ACTIONS(6917), 1,
      aux_sym_tag_token1,
    ACTIONS(9728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9730), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5253), 1,
      sym_attribute,
    STATE(7111), 1,
      sym__simple_expression,
    STATE(7148), 1,
      sym__value_name,
    STATE(7184), 1,
      sym_parenthesized_operator,
    STATE(7226), 1,
      sym__constructor_name,
    STATE(19702), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6887), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7204), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7104), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169764] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6879), 1,
      sym__lowercase_identifier,
    ACTIONS(6883), 1,
      anon_sym_LPAREN,
    ACTIONS(6885), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_LBRACE,
    ACTIONS(6891), 1,
      anon_sym_object,
    ACTIONS(6893), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6895), 1,
      anon_sym_new,
    ACTIONS(6897), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6899), 1,
      anon_sym_begin,
    ACTIONS(6901), 1,
      sym_ocamlyacc_value,
    ACTIONS(6907), 1,
      aux_sym_number_token1,
    ACTIONS(6909), 1,
      anon_sym_SQUOTE,
    ACTIONS(6911), 1,
      anon_sym_DQUOTE,
    ACTIONS(6913), 1,
      sym_prefix_operator,
    ACTIONS(6915), 1,
      sym__uppercase_identifier,
    ACTIONS(6917), 1,
      aux_sym_tag_token1,
    ACTIONS(9728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9730), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5254), 1,
      sym_attribute,
    STATE(7120), 1,
      sym__simple_expression,
    STATE(7148), 1,
      sym__value_name,
    STATE(7184), 1,
      sym_parenthesized_operator,
    STATE(7226), 1,
      sym__constructor_name,
    STATE(19702), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6887), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7204), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7104), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169882] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_LPAREN,
    ACTIONS(3227), 1,
      anon_sym_LBRACK,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    ACTIONS(3233), 1,
      anon_sym_object,
    ACTIONS(3237), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3247), 1,
      anon_sym_new,
    ACTIONS(3249), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3251), 1,
      anon_sym_begin,
    ACTIONS(3253), 1,
      sym_ocamlyacc_value,
    ACTIONS(3255), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3257), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3259), 1,
      aux_sym_number_token1,
    ACTIONS(3261), 1,
      anon_sym_SQUOTE,
    ACTIONS(3263), 1,
      anon_sym_DQUOTE,
    ACTIONS(3265), 1,
      sym_prefix_operator,
    ACTIONS(3269), 1,
      sym__uppercase_identifier,
    ACTIONS(3271), 1,
      aux_sym_tag_token1,
    ACTIONS(6555), 1,
      sym__lowercase_identifier,
    STATE(5255), 1,
      sym_attribute,
    STATE(7782), 1,
      sym__constructor_name,
    STATE(8005), 1,
      sym__value_name,
    STATE(8008), 1,
      sym_parenthesized_operator,
    STATE(8292), 1,
      sym__simple_expression,
    STATE(20867), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3229), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8102), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7889), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170000] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_LPAREN,
    ACTIONS(3147), 1,
      anon_sym_LBRACK,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      anon_sym_object,
    ACTIONS(3157), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3167), 1,
      anon_sym_new,
    ACTIONS(3169), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3171), 1,
      anon_sym_begin,
    ACTIONS(3173), 1,
      sym_ocamlyacc_value,
    ACTIONS(3175), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3177), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3179), 1,
      aux_sym_number_token1,
    ACTIONS(3181), 1,
      anon_sym_SQUOTE,
    ACTIONS(3183), 1,
      anon_sym_DQUOTE,
    ACTIONS(3185), 1,
      sym_prefix_operator,
    ACTIONS(3189), 1,
      sym__uppercase_identifier,
    ACTIONS(3191), 1,
      aux_sym_tag_token1,
    ACTIONS(6541), 1,
      sym__lowercase_identifier,
    STATE(5256), 1,
      sym_attribute,
    STATE(7778), 1,
      sym__simple_expression,
    STATE(7829), 1,
      sym__value_name,
    STATE(8000), 1,
      sym_parenthesized_operator,
    STATE(8264), 1,
      sym__constructor_name,
    STATE(19649), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3149), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8262), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7824), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [170188] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_LPAREN,
    ACTIONS(3147), 1,
      anon_sym_LBRACK,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      anon_sym_object,
    ACTIONS(3157), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3167), 1,
      anon_sym_new,
    ACTIONS(3169), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3171), 1,
      anon_sym_begin,
    ACTIONS(3173), 1,
      sym_ocamlyacc_value,
    ACTIONS(3175), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3177), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3179), 1,
      aux_sym_number_token1,
    ACTIONS(3181), 1,
      anon_sym_SQUOTE,
    ACTIONS(3183), 1,
      anon_sym_DQUOTE,
    ACTIONS(3185), 1,
      sym_prefix_operator,
    ACTIONS(3189), 1,
      sym__uppercase_identifier,
    ACTIONS(3191), 1,
      aux_sym_tag_token1,
    ACTIONS(6541), 1,
      sym__lowercase_identifier,
    STATE(5258), 1,
      sym_attribute,
    STATE(7829), 1,
      sym__value_name,
    STATE(7870), 1,
      sym__simple_expression,
    STATE(8000), 1,
      sym_parenthesized_operator,
    STATE(8264), 1,
      sym__constructor_name,
    STATE(19649), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3149), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8262), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7824), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170306] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACE,
    ACTIONS(1611), 1,
      anon_sym_object,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1633), 1,
      anon_sym_new,
    ACTIONS(1635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1637), 1,
      anon_sym_begin,
    ACTIONS(1639), 1,
      sym_ocamlyacc_value,
    ACTIONS(1641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1643), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1645), 1,
      aux_sym_number_token1,
    ACTIONS(1647), 1,
      anon_sym_SQUOTE,
    ACTIONS(1649), 1,
      anon_sym_DQUOTE,
    ACTIONS(1651), 1,
      sym_prefix_operator,
    ACTIONS(1655), 1,
      sym__uppercase_identifier,
    ACTIONS(1657), 1,
      aux_sym_tag_token1,
    ACTIONS(5979), 1,
      sym__lowercase_identifier,
    STATE(5259), 1,
      sym_attribute,
    STATE(6647), 1,
      sym__value_name,
    STATE(6699), 1,
      sym__constructor_name,
    STATE(6718), 1,
      sym_parenthesized_operator,
    STATE(6730), 1,
      sym__simple_expression,
    STATE(20595), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6738), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6761), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170424] = 29,
    ACTIONS(473), 1,
      anon_sym_LPAREN,
    ACTIONS(475), 1,
      anon_sym_LBRACK,
    ACTIONS(479), 1,
      anon_sym_LBRACE,
    ACTIONS(481), 1,
      anon_sym_object,
    ACTIONS(485), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(495), 1,
      anon_sym_new,
    ACTIONS(497), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(499), 1,
      anon_sym_begin,
    ACTIONS(501), 1,
      sym_ocamlyacc_value,
    ACTIONS(507), 1,
      aux_sym_number_token1,
    ACTIONS(509), 1,
      anon_sym_SQUOTE,
    ACTIONS(511), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      sym_prefix_operator,
    ACTIONS(517), 1,
      sym__uppercase_identifier,
    ACTIONS(519), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3551), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3607), 1,
      sym__lowercase_identifier,
    STATE(3425), 1,
      sym_parenthesized_operator,
    STATE(3475), 1,
      sym__value_name,
    STATE(3540), 1,
      sym__constructor_name,
    STATE(3764), 1,
      sym__simple_expression,
    STATE(5260), 1,
      sym_attribute,
    STATE(20785), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(477), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3508), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3589), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170542] = 29,
    ACTIONS(473), 1,
      anon_sym_LPAREN,
    ACTIONS(475), 1,
      anon_sym_LBRACK,
    ACTIONS(479), 1,
      anon_sym_LBRACE,
    ACTIONS(481), 1,
      anon_sym_object,
    ACTIONS(485), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(495), 1,
      anon_sym_new,
    ACTIONS(497), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(499), 1,
      anon_sym_begin,
    ACTIONS(501), 1,
      sym_ocamlyacc_value,
    ACTIONS(507), 1,
      aux_sym_number_token1,
    ACTIONS(509), 1,
      anon_sym_SQUOTE,
    ACTIONS(511), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      sym_prefix_operator,
    ACTIONS(517), 1,
      sym__uppercase_identifier,
    ACTIONS(519), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3551), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3607), 1,
      sym__lowercase_identifier,
    STATE(3425), 1,
      sym_parenthesized_operator,
    STATE(3475), 1,
      sym__value_name,
    STATE(3540), 1,
      sym__constructor_name,
    STATE(3817), 1,
      sym__simple_expression,
    STATE(5261), 1,
      sym_attribute,
    STATE(20785), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(477), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3508), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3589), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [170730] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_LPAREN,
    ACTIONS(3227), 1,
      anon_sym_LBRACK,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    ACTIONS(3233), 1,
      anon_sym_object,
    ACTIONS(3237), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3247), 1,
      anon_sym_new,
    ACTIONS(3249), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3251), 1,
      anon_sym_begin,
    ACTIONS(3253), 1,
      sym_ocamlyacc_value,
    ACTIONS(3255), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3257), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3259), 1,
      aux_sym_number_token1,
    ACTIONS(3261), 1,
      anon_sym_SQUOTE,
    ACTIONS(3263), 1,
      anon_sym_DQUOTE,
    ACTIONS(3265), 1,
      sym_prefix_operator,
    ACTIONS(3269), 1,
      sym__uppercase_identifier,
    ACTIONS(3271), 1,
      aux_sym_tag_token1,
    ACTIONS(6555), 1,
      sym__lowercase_identifier,
    STATE(5263), 1,
      sym_attribute,
    STATE(7782), 1,
      sym__constructor_name,
    STATE(7948), 1,
      sym__simple_expression,
    STATE(8005), 1,
      sym__value_name,
    STATE(8008), 1,
      sym_parenthesized_operator,
    STATE(20867), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3229), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8102), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7889), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170848] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6879), 1,
      sym__lowercase_identifier,
    ACTIONS(6883), 1,
      anon_sym_LPAREN,
    ACTIONS(6885), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_LBRACE,
    ACTIONS(6891), 1,
      anon_sym_object,
    ACTIONS(6893), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6895), 1,
      anon_sym_new,
    ACTIONS(6897), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6899), 1,
      anon_sym_begin,
    ACTIONS(6901), 1,
      sym_ocamlyacc_value,
    ACTIONS(6907), 1,
      aux_sym_number_token1,
    ACTIONS(6909), 1,
      anon_sym_SQUOTE,
    ACTIONS(6911), 1,
      anon_sym_DQUOTE,
    ACTIONS(6913), 1,
      sym_prefix_operator,
    ACTIONS(6915), 1,
      sym__uppercase_identifier,
    ACTIONS(6917), 1,
      aux_sym_tag_token1,
    ACTIONS(9728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9730), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5264), 1,
      sym_attribute,
    STATE(6988), 1,
      sym__simple_expression,
    STATE(7148), 1,
      sym__value_name,
    STATE(7184), 1,
      sym_parenthesized_operator,
    STATE(7226), 1,
      sym__constructor_name,
    STATE(19702), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6887), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7204), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7104), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170966] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4855), 1,
      anon_sym_DOT,
    ACTIONS(4857), 1,
      anon_sym_POUND,
    ACTIONS(4859), 1,
      sym_hash_operator,
    STATE(5265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [171042] = 29,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1397), 1,
      anon_sym_LBRACE,
    ACTIONS(1399), 1,
      anon_sym_object,
    ACTIONS(1403), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1415), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1417), 1,
      anon_sym_begin,
    ACTIONS(1419), 1,
      sym_ocamlyacc_value,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1423), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1425), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1427), 1,
      aux_sym_number_token1,
    ACTIONS(1429), 1,
      anon_sym_SQUOTE,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_prefix_operator,
    ACTIONS(1437), 1,
      sym__uppercase_identifier,
    ACTIONS(1439), 1,
      aux_sym_tag_token1,
    ACTIONS(5611), 1,
      sym__lowercase_identifier,
    STATE(5266), 1,
      sym_attribute,
    STATE(6195), 1,
      sym__constructor_name,
    STATE(6207), 1,
      sym_parenthesized_operator,
    STATE(6217), 1,
      sym__simple_expression,
    STATE(6319), 1,
      sym__value_name,
    STATE(20633), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1395), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6326), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6271), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171160] = 29,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      anon_sym_object,
    ACTIONS(641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(651), 1,
      anon_sym_new,
    ACTIONS(653), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(655), 1,
      anon_sym_begin,
    ACTIONS(657), 1,
      sym_ocamlyacc_value,
    ACTIONS(663), 1,
      aux_sym_number_token1,
    ACTIONS(665), 1,
      anon_sym_SQUOTE,
    ACTIONS(667), 1,
      anon_sym_DQUOTE,
    ACTIONS(669), 1,
      sym_prefix_operator,
    ACTIONS(673), 1,
      sym__uppercase_identifier,
    ACTIONS(675), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3557), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3559), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3697), 1,
      sym__lowercase_identifier,
    STATE(3979), 1,
      sym__simple_expression,
    STATE(4010), 1,
      sym__value_name,
    STATE(4070), 1,
      sym_parenthesized_operator,
    STATE(4119), 1,
      sym__constructor_name,
    STATE(5267), 1,
      sym_attribute,
    STATE(20822), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(633), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4105), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3973), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171278] = 29,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      anon_sym_object,
    ACTIONS(641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(651), 1,
      anon_sym_new,
    ACTIONS(653), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(655), 1,
      anon_sym_begin,
    ACTIONS(657), 1,
      sym_ocamlyacc_value,
    ACTIONS(663), 1,
      aux_sym_number_token1,
    ACTIONS(665), 1,
      anon_sym_SQUOTE,
    ACTIONS(667), 1,
      anon_sym_DQUOTE,
    ACTIONS(669), 1,
      sym_prefix_operator,
    ACTIONS(673), 1,
      sym__uppercase_identifier,
    ACTIONS(675), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3557), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3559), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3697), 1,
      sym__lowercase_identifier,
    STATE(3987), 1,
      sym__simple_expression,
    STATE(4010), 1,
      sym__value_name,
    STATE(4070), 1,
      sym_parenthesized_operator,
    STATE(4119), 1,
      sym__constructor_name,
    STATE(5268), 1,
      sym_attribute,
    STATE(20822), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(633), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4105), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3973), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171396] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8843), 1,
      sym__lowercase_identifier,
    ACTIONS(8847), 1,
      anon_sym_LPAREN,
    ACTIONS(8849), 1,
      anon_sym_LBRACK,
    ACTIONS(8853), 1,
      anon_sym_LBRACE,
    ACTIONS(8855), 1,
      anon_sym_object,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_new,
    ACTIONS(8861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8863), 1,
      anon_sym_begin,
    ACTIONS(8865), 1,
      sym_ocamlyacc_value,
    ACTIONS(8867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8871), 1,
      aux_sym_number_token1,
    ACTIONS(8873), 1,
      anon_sym_SQUOTE,
    ACTIONS(8875), 1,
      anon_sym_DQUOTE,
    ACTIONS(8877), 1,
      sym_prefix_operator,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    STATE(5269), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(10505), 1,
      sym__simple_expression,
    STATE(10542), 1,
      sym__value_name,
    STATE(10594), 1,
      sym_parenthesized_operator,
    STATE(19757), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8851), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10325), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10500), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171514] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8843), 1,
      sym__lowercase_identifier,
    ACTIONS(8847), 1,
      anon_sym_LPAREN,
    ACTIONS(8849), 1,
      anon_sym_LBRACK,
    ACTIONS(8853), 1,
      anon_sym_LBRACE,
    ACTIONS(8855), 1,
      anon_sym_object,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_new,
    ACTIONS(8861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8863), 1,
      anon_sym_begin,
    ACTIONS(8865), 1,
      sym_ocamlyacc_value,
    ACTIONS(8867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8871), 1,
      aux_sym_number_token1,
    ACTIONS(8873), 1,
      anon_sym_SQUOTE,
    ACTIONS(8875), 1,
      anon_sym_DQUOTE,
    ACTIONS(8877), 1,
      sym_prefix_operator,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    STATE(5270), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(10514), 1,
      sym__simple_expression,
    STATE(10542), 1,
      sym__value_name,
    STATE(10594), 1,
      sym_parenthesized_operator,
    STATE(19757), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8851), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10325), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10500), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171632] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7403), 1,
      sym__lowercase_identifier,
    ACTIONS(7407), 1,
      anon_sym_LPAREN,
    ACTIONS(7409), 1,
      anon_sym_LBRACK,
    ACTIONS(7413), 1,
      anon_sym_LBRACE,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(7417), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7419), 1,
      anon_sym_new,
    ACTIONS(7421), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7423), 1,
      anon_sym_begin,
    ACTIONS(7425), 1,
      sym_ocamlyacc_value,
    ACTIONS(7431), 1,
      aux_sym_number_token1,
    ACTIONS(7433), 1,
      anon_sym_SQUOTE,
    ACTIONS(7435), 1,
      anon_sym_DQUOTE,
    ACTIONS(7437), 1,
      sym_prefix_operator,
    ACTIONS(7439), 1,
      sym__uppercase_identifier,
    ACTIONS(7441), 1,
      aux_sym_tag_token1,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5271), 1,
      sym_attribute,
    STATE(7793), 1,
      sym_parenthesized_operator,
    STATE(8073), 1,
      sym__constructor_name,
    STATE(8078), 1,
      sym__simple_expression,
    STATE(8197), 1,
      sym__value_name,
    STATE(20747), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7411), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8030), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7927), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171750] = 29,
    ACTIONS(681), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_object,
    ACTIONS(693), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(703), 1,
      anon_sym_new,
    ACTIONS(705), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(707), 1,
      anon_sym_begin,
    ACTIONS(709), 1,
      sym_ocamlyacc_value,
    ACTIONS(715), 1,
      aux_sym_number_token1,
    ACTIONS(717), 1,
      anon_sym_SQUOTE,
    ACTIONS(719), 1,
      anon_sym_DQUOTE,
    ACTIONS(721), 1,
      sym_prefix_operator,
    ACTIONS(725), 1,
      sym__uppercase_identifier,
    ACTIONS(727), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3709), 1,
      sym__lowercase_identifier,
    STATE(4016), 1,
      sym__simple_expression,
    STATE(4046), 1,
      sym__value_name,
    STATE(4072), 1,
      sym_parenthesized_operator,
    STATE(4127), 1,
      sym__constructor_name,
    STATE(5272), 1,
      sym_attribute,
    STATE(20859), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(685), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4111), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4009), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171868] = 29,
    ACTIONS(681), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_object,
    ACTIONS(693), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(703), 1,
      anon_sym_new,
    ACTIONS(705), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(707), 1,
      anon_sym_begin,
    ACTIONS(709), 1,
      sym_ocamlyacc_value,
    ACTIONS(715), 1,
      aux_sym_number_token1,
    ACTIONS(717), 1,
      anon_sym_SQUOTE,
    ACTIONS(719), 1,
      anon_sym_DQUOTE,
    ACTIONS(721), 1,
      sym_prefix_operator,
    ACTIONS(725), 1,
      sym__uppercase_identifier,
    ACTIONS(727), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3709), 1,
      sym__lowercase_identifier,
    STATE(4024), 1,
      sym__simple_expression,
    STATE(4046), 1,
      sym__value_name,
    STATE(4072), 1,
      sym_parenthesized_operator,
    STATE(4127), 1,
      sym__constructor_name,
    STATE(5273), 1,
      sym_attribute,
    STATE(20859), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(685), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4111), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4009), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [172056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [172126] = 29,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_LBRACE,
    ACTIONS(585), 1,
      anon_sym_object,
    ACTIONS(589), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(599), 1,
      anon_sym_new,
    ACTIONS(601), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(603), 1,
      anon_sym_begin,
    ACTIONS(605), 1,
      sym_ocamlyacc_value,
    ACTIONS(611), 1,
      aux_sym_number_token1,
    ACTIONS(613), 1,
      anon_sym_SQUOTE,
    ACTIONS(615), 1,
      anon_sym_DQUOTE,
    ACTIONS(617), 1,
      sym_prefix_operator,
    ACTIONS(621), 1,
      sym__uppercase_identifier,
    ACTIONS(623), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3513), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3515), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3685), 1,
      sym__lowercase_identifier,
    STATE(3945), 1,
      sym__simple_expression,
    STATE(3952), 1,
      sym__value_name,
    STATE(3974), 1,
      sym_parenthesized_operator,
    STATE(4089), 1,
      sym__constructor_name,
    STATE(5276), 1,
      sym_attribute,
    STATE(20671), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(581), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4081), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3912), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [172244] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      sym__lowercase_identifier,
    ACTIONS(9492), 1,
      anon_sym_LPAREN,
    ACTIONS(9494), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_LBRACE,
    ACTIONS(9500), 1,
      anon_sym_object,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9504), 1,
      anon_sym_new,
    ACTIONS(9506), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9508), 1,
      anon_sym_begin,
    ACTIONS(9510), 1,
      sym_ocamlyacc_value,
    ACTIONS(9512), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9514), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9518), 1,
      aux_sym_number_token1,
    ACTIONS(9520), 1,
      anon_sym_SQUOTE,
    ACTIONS(9522), 1,
      anon_sym_DQUOTE,
    ACTIONS(9524), 1,
      sym_prefix_operator,
    ACTIONS(9526), 1,
      sym__uppercase_identifier,
    ACTIONS(9528), 1,
      aux_sym_tag_token1,
    STATE(5277), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__constructor_name,
    STATE(8787), 1,
      sym_parenthesized_operator,
    STATE(8794), 1,
      sym__simple_expression,
    STATE(8834), 1,
      sym__value_name,
    STATE(20501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8802), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8832), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [172362] = 29,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(401), 1,
      aux_sym_number_token1,
    ACTIONS(403), 1,
      anon_sym_SQUOTE,
    ACTIONS(405), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      sym_prefix_operator,
    ACTIONS(413), 1,
      sym__uppercase_identifier,
    ACTIONS(415), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3569), 1,
      sym__lowercase_identifier,
    STATE(3391), 1,
      sym__value_name,
    STATE(3448), 1,
      sym__simple_expression,
    STATE(3510), 1,
      sym__constructor_name,
    STATE(3702), 1,
      sym_parenthesized_operator,
    STATE(5278), 1,
      sym_attribute,
    STATE(20709), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3697), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [172480] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8843), 1,
      sym__lowercase_identifier,
    ACTIONS(8847), 1,
      anon_sym_LPAREN,
    ACTIONS(8849), 1,
      anon_sym_LBRACK,
    ACTIONS(8853), 1,
      anon_sym_LBRACE,
    ACTIONS(8855), 1,
      anon_sym_object,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_new,
    ACTIONS(8861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8863), 1,
      anon_sym_begin,
    ACTIONS(8865), 1,
      sym_ocamlyacc_value,
    ACTIONS(8867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8871), 1,
      aux_sym_number_token1,
    ACTIONS(8873), 1,
      anon_sym_SQUOTE,
    ACTIONS(8875), 1,
      anon_sym_DQUOTE,
    ACTIONS(8877), 1,
      sym_prefix_operator,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    STATE(5279), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(10452), 1,
      sym__simple_expression,
    STATE(10542), 1,
      sym__value_name,
    STATE(10594), 1,
      sym_parenthesized_operator,
    STATE(19757), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8851), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10325), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10500), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [172598] = 29,
    ACTIONS(473), 1,
      anon_sym_LPAREN,
    ACTIONS(475), 1,
      anon_sym_LBRACK,
    ACTIONS(479), 1,
      anon_sym_LBRACE,
    ACTIONS(481), 1,
      anon_sym_object,
    ACTIONS(485), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(495), 1,
      anon_sym_new,
    ACTIONS(497), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(499), 1,
      anon_sym_begin,
    ACTIONS(501), 1,
      sym_ocamlyacc_value,
    ACTIONS(507), 1,
      aux_sym_number_token1,
    ACTIONS(509), 1,
      anon_sym_SQUOTE,
    ACTIONS(511), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      sym_prefix_operator,
    ACTIONS(517), 1,
      sym__uppercase_identifier,
    ACTIONS(519), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3551), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3607), 1,
      sym__lowercase_identifier,
    STATE(3425), 1,
      sym_parenthesized_operator,
    STATE(3475), 1,
      sym__value_name,
    STATE(3476), 1,
      sym__simple_expression,
    STATE(3540), 1,
      sym__constructor_name,
    STATE(5280), 1,
      sym_attribute,
    STATE(20785), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(477), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3508), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3589), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [172716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [172786] = 29,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      anon_sym_object,
    ACTIONS(641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(651), 1,
      anon_sym_new,
    ACTIONS(653), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(655), 1,
      anon_sym_begin,
    ACTIONS(657), 1,
      sym_ocamlyacc_value,
    ACTIONS(663), 1,
      aux_sym_number_token1,
    ACTIONS(665), 1,
      anon_sym_SQUOTE,
    ACTIONS(667), 1,
      anon_sym_DQUOTE,
    ACTIONS(669), 1,
      sym_prefix_operator,
    ACTIONS(673), 1,
      sym__uppercase_identifier,
    ACTIONS(675), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3557), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3559), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3697), 1,
      sym__lowercase_identifier,
    STATE(3969), 1,
      sym__simple_expression,
    STATE(4010), 1,
      sym__value_name,
    STATE(4070), 1,
      sym_parenthesized_operator,
    STATE(4119), 1,
      sym__constructor_name,
    STATE(5282), 1,
      sym_attribute,
    STATE(20822), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(633), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4105), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3973), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [172904] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1835), 1,
      anon_sym_LPAREN,
    ACTIONS(1837), 1,
      anon_sym_LBRACK,
    ACTIONS(1841), 1,
      anon_sym_LBRACE,
    ACTIONS(1843), 1,
      anon_sym_object,
    ACTIONS(1847), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1857), 1,
      anon_sym_new,
    ACTIONS(1859), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1861), 1,
      anon_sym_begin,
    ACTIONS(1863), 1,
      sym_ocamlyacc_value,
    ACTIONS(1865), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1867), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1869), 1,
      aux_sym_number_token1,
    ACTIONS(1871), 1,
      anon_sym_SQUOTE,
    ACTIONS(1873), 1,
      anon_sym_DQUOTE,
    ACTIONS(1875), 1,
      sym_prefix_operator,
    ACTIONS(1879), 1,
      sym__uppercase_identifier,
    ACTIONS(1881), 1,
      aux_sym_tag_token1,
    ACTIONS(6307), 1,
      sym__lowercase_identifier,
    STATE(5283), 1,
      sym_attribute,
    STATE(7399), 1,
      sym__simple_expression,
    STATE(7448), 1,
      sym__value_name,
    STATE(7636), 1,
      sym_parenthesized_operator,
    STATE(7656), 1,
      sym__constructor_name,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1839), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7702), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7391), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173022] = 29,
    ACTIONS(681), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_object,
    ACTIONS(693), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(703), 1,
      anon_sym_new,
    ACTIONS(705), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(707), 1,
      anon_sym_begin,
    ACTIONS(709), 1,
      sym_ocamlyacc_value,
    ACTIONS(715), 1,
      aux_sym_number_token1,
    ACTIONS(717), 1,
      anon_sym_SQUOTE,
    ACTIONS(719), 1,
      anon_sym_DQUOTE,
    ACTIONS(721), 1,
      sym_prefix_operator,
    ACTIONS(725), 1,
      sym__uppercase_identifier,
    ACTIONS(727), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3709), 1,
      sym__lowercase_identifier,
    STATE(4003), 1,
      sym__simple_expression,
    STATE(4046), 1,
      sym__value_name,
    STATE(4072), 1,
      sym_parenthesized_operator,
    STATE(4127), 1,
      sym__constructor_name,
    STATE(5284), 1,
      sym_attribute,
    STATE(20859), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(685), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4111), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4009), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173140] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1835), 1,
      anon_sym_LPAREN,
    ACTIONS(1837), 1,
      anon_sym_LBRACK,
    ACTIONS(1841), 1,
      anon_sym_LBRACE,
    ACTIONS(1843), 1,
      anon_sym_object,
    ACTIONS(1847), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1857), 1,
      anon_sym_new,
    ACTIONS(1859), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1861), 1,
      anon_sym_begin,
    ACTIONS(1863), 1,
      sym_ocamlyacc_value,
    ACTIONS(1865), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1867), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1869), 1,
      aux_sym_number_token1,
    ACTIONS(1871), 1,
      anon_sym_SQUOTE,
    ACTIONS(1873), 1,
      anon_sym_DQUOTE,
    ACTIONS(1875), 1,
      sym_prefix_operator,
    ACTIONS(1879), 1,
      sym__uppercase_identifier,
    ACTIONS(1881), 1,
      aux_sym_tag_token1,
    ACTIONS(6307), 1,
      sym__lowercase_identifier,
    STATE(5285), 1,
      sym_attribute,
    STATE(7411), 1,
      sym__simple_expression,
    STATE(7448), 1,
      sym__value_name,
    STATE(7636), 1,
      sym_parenthesized_operator,
    STATE(7656), 1,
      sym__constructor_name,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1839), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7702), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7391), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173328] = 29,
    ACTIONS(1081), 1,
      anon_sym_LPAREN,
    ACTIONS(1083), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_object,
    ACTIONS(1093), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1103), 1,
      anon_sym_new,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1107), 1,
      anon_sym_begin,
    ACTIONS(1109), 1,
      sym_ocamlyacc_value,
    ACTIONS(1115), 1,
      aux_sym_number_token1,
    ACTIONS(1117), 1,
      anon_sym_SQUOTE,
    ACTIONS(1119), 1,
      anon_sym_DQUOTE,
    ACTIONS(1121), 1,
      sym_prefix_operator,
    ACTIONS(1125), 1,
      sym__uppercase_identifier,
    ACTIONS(1127), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3565), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3567), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4307), 1,
      sym__lowercase_identifier,
    STATE(4888), 1,
      sym__simple_expression,
    STATE(4898), 1,
      sym__value_name,
    STATE(4926), 1,
      sym_parenthesized_operator,
    STATE(4952), 1,
      sym__constructor_name,
    STATE(5287), 1,
      sym_attribute,
    STATE(19353), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1085), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4942), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4853), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173446] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    ACTIONS(1907), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      anon_sym_object,
    ACTIONS(1917), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1927), 1,
      anon_sym_new,
    ACTIONS(1929), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1931), 1,
      anon_sym_begin,
    ACTIONS(1933), 1,
      sym_ocamlyacc_value,
    ACTIONS(1935), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1937), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1939), 1,
      aux_sym_number_token1,
    ACTIONS(1941), 1,
      anon_sym_SQUOTE,
    ACTIONS(1943), 1,
      anon_sym_DQUOTE,
    ACTIONS(1945), 1,
      sym_prefix_operator,
    ACTIONS(1949), 1,
      sym__uppercase_identifier,
    ACTIONS(1951), 1,
      aux_sym_tag_token1,
    ACTIONS(6285), 1,
      sym__lowercase_identifier,
    STATE(5288), 1,
      sym_attribute,
    STATE(7268), 1,
      sym__constructor_name,
    STATE(7457), 1,
      sym__simple_expression,
    STATE(7514), 1,
      sym__value_name,
    STATE(7671), 1,
      sym_parenthesized_operator,
    STATE(19840), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1909), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7276), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7446), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173564] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    ACTIONS(1907), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      anon_sym_object,
    ACTIONS(1917), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1927), 1,
      anon_sym_new,
    ACTIONS(1929), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1931), 1,
      anon_sym_begin,
    ACTIONS(1933), 1,
      sym_ocamlyacc_value,
    ACTIONS(1935), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1937), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1939), 1,
      aux_sym_number_token1,
    ACTIONS(1941), 1,
      anon_sym_SQUOTE,
    ACTIONS(1943), 1,
      anon_sym_DQUOTE,
    ACTIONS(1945), 1,
      sym_prefix_operator,
    ACTIONS(1949), 1,
      sym__uppercase_identifier,
    ACTIONS(1951), 1,
      aux_sym_tag_token1,
    ACTIONS(6285), 1,
      sym__lowercase_identifier,
    STATE(5289), 1,
      sym_attribute,
    STATE(7268), 1,
      sym__constructor_name,
    STATE(7471), 1,
      sym__simple_expression,
    STATE(7514), 1,
      sym__value_name,
    STATE(7671), 1,
      sym_parenthesized_operator,
    STATE(19840), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1909), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7276), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7446), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173682] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4855), 1,
      anon_sym_DOT,
    ACTIONS(4857), 1,
      anon_sym_POUND,
    ACTIONS(4859), 1,
      sym_hash_operator,
    STATE(5290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173758] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8121), 1,
      sym__lowercase_identifier,
    ACTIONS(8125), 1,
      anon_sym_LPAREN,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8131), 1,
      anon_sym_LBRACE,
    ACTIONS(8133), 1,
      anon_sym_object,
    ACTIONS(8135), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8137), 1,
      anon_sym_new,
    ACTIONS(8139), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8141), 1,
      anon_sym_begin,
    ACTIONS(8143), 1,
      sym_ocamlyacc_value,
    ACTIONS(8149), 1,
      aux_sym_number_token1,
    ACTIONS(8151), 1,
      anon_sym_SQUOTE,
    ACTIONS(8153), 1,
      anon_sym_DQUOTE,
    ACTIONS(8155), 1,
      sym_prefix_operator,
    ACTIONS(8157), 1,
      sym__uppercase_identifier,
    ACTIONS(8159), 1,
      aux_sym_tag_token1,
    ACTIONS(9720), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9722), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5291), 1,
      sym_attribute,
    STATE(8965), 1,
      sym__constructor_name,
    STATE(9009), 1,
      sym_parenthesized_operator,
    STATE(9050), 1,
      sym__simple_expression,
    STATE(9218), 1,
      sym__value_name,
    STATE(22519), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8129), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8875), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9034), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173876] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    ACTIONS(3307), 1,
      anon_sym_LBRACK,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    ACTIONS(3313), 1,
      anon_sym_object,
    ACTIONS(3317), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3327), 1,
      anon_sym_new,
    ACTIONS(3329), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3331), 1,
      anon_sym_begin,
    ACTIONS(3333), 1,
      sym_ocamlyacc_value,
    ACTIONS(3335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3339), 1,
      aux_sym_number_token1,
    ACTIONS(3341), 1,
      anon_sym_SQUOTE,
    ACTIONS(3343), 1,
      anon_sym_DQUOTE,
    ACTIONS(3345), 1,
      sym_prefix_operator,
    ACTIONS(3349), 1,
      sym__uppercase_identifier,
    ACTIONS(3351), 1,
      aux_sym_tag_token1,
    ACTIONS(6577), 1,
      sym__lowercase_identifier,
    STATE(5292), 1,
      sym_attribute,
    STATE(7751), 1,
      sym__simple_expression,
    STATE(7765), 1,
      sym__value_name,
    STATE(7854), 1,
      sym_parenthesized_operator,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(19416), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3309), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8086), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8196), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174064] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9592), 1,
      sym__lowercase_identifier,
    ACTIONS(9594), 1,
      anon_sym_LPAREN,
    ACTIONS(9596), 1,
      anon_sym_LBRACK,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      anon_sym_object,
    ACTIONS(9604), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9606), 1,
      anon_sym_new,
    ACTIONS(9608), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9610), 1,
      anon_sym_begin,
    ACTIONS(9612), 1,
      sym_ocamlyacc_value,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9616), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9618), 1,
      aux_sym_number_token1,
    ACTIONS(9620), 1,
      anon_sym_SQUOTE,
    ACTIONS(9622), 1,
      anon_sym_DQUOTE,
    ACTIONS(9624), 1,
      sym_prefix_operator,
    ACTIONS(9626), 1,
      sym__uppercase_identifier,
    ACTIONS(9628), 1,
      aux_sym_tag_token1,
    STATE(5294), 1,
      sym_attribute,
    STATE(10789), 1,
      sym_parenthesized_operator,
    STATE(10852), 1,
      sym__constructor_name,
    STATE(10934), 1,
      sym__simple_expression,
    STATE(11017), 1,
      sym__value_name,
    STATE(19881), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10830), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10924), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174182] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9592), 1,
      sym__lowercase_identifier,
    ACTIONS(9594), 1,
      anon_sym_LPAREN,
    ACTIONS(9596), 1,
      anon_sym_LBRACK,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      anon_sym_object,
    ACTIONS(9604), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9606), 1,
      anon_sym_new,
    ACTIONS(9608), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9610), 1,
      anon_sym_begin,
    ACTIONS(9612), 1,
      sym_ocamlyacc_value,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9616), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9618), 1,
      aux_sym_number_token1,
    ACTIONS(9620), 1,
      anon_sym_SQUOTE,
    ACTIONS(9622), 1,
      anon_sym_DQUOTE,
    ACTIONS(9624), 1,
      sym_prefix_operator,
    ACTIONS(9626), 1,
      sym__uppercase_identifier,
    ACTIONS(9628), 1,
      aux_sym_tag_token1,
    STATE(5295), 1,
      sym_attribute,
    STATE(10789), 1,
      sym_parenthesized_operator,
    STATE(10852), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym__simple_expression,
    STATE(11017), 1,
      sym__value_name,
    STATE(19881), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10830), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10924), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174300] = 29,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_LBRACE,
    ACTIONS(121), 1,
      anon_sym_object,
    ACTIONS(125), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(139), 1,
      anon_sym_new,
    ACTIONS(141), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(143), 1,
      anon_sym_begin,
    ACTIONS(145), 1,
      sym_ocamlyacc_value,
    ACTIONS(151), 1,
      aux_sym_number_token1,
    ACTIONS(153), 1,
      anon_sym_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_DQUOTE,
    ACTIONS(157), 1,
      sym_prefix_operator,
    ACTIONS(163), 1,
      sym__uppercase_identifier,
    ACTIONS(167), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3587), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3589), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4771), 1,
      sym__lowercase_identifier,
    STATE(5117), 1,
      sym__constructor_name,
    STATE(5296), 1,
      sym_attribute,
    STATE(5297), 1,
      sym_parenthesized_operator,
    STATE(5306), 1,
      sym__simple_expression,
    STATE(5387), 1,
      sym__value_name,
    STATE(21042), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(113), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5116), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5293), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174488] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3027), 1,
      anon_sym_LPAREN,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3033), 1,
      anon_sym_LBRACE,
    ACTIONS(3035), 1,
      anon_sym_object,
    ACTIONS(3039), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3049), 1,
      anon_sym_new,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3053), 1,
      anon_sym_begin,
    ACTIONS(3055), 1,
      sym_ocamlyacc_value,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3061), 1,
      aux_sym_number_token1,
    ACTIONS(3063), 1,
      anon_sym_SQUOTE,
    ACTIONS(3065), 1,
      anon_sym_DQUOTE,
    ACTIONS(3067), 1,
      sym_prefix_operator,
    ACTIONS(3071), 1,
      sym__uppercase_identifier,
    ACTIONS(3073), 1,
      aux_sym_tag_token1,
    ACTIONS(6521), 1,
      sym__lowercase_identifier,
    STATE(5298), 1,
      sym_attribute,
    STATE(7831), 1,
      sym_parenthesized_operator,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(8225), 1,
      sym__simple_expression,
    STATE(8283), 1,
      sym__value_name,
    STATE(22329), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3031), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7985), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8269), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175026] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9732), 1,
      anon_sym_COLON,
    STATE(5305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175168] = 29,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_LBRACE,
    ACTIONS(121), 1,
      anon_sym_object,
    ACTIONS(125), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(139), 1,
      anon_sym_new,
    ACTIONS(141), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(143), 1,
      anon_sym_begin,
    ACTIONS(145), 1,
      sym_ocamlyacc_value,
    ACTIONS(151), 1,
      aux_sym_number_token1,
    ACTIONS(153), 1,
      anon_sym_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_DQUOTE,
    ACTIONS(157), 1,
      sym_prefix_operator,
    ACTIONS(163), 1,
      sym__uppercase_identifier,
    ACTIONS(167), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3587), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3589), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4771), 1,
      sym__lowercase_identifier,
    STATE(5117), 1,
      sym__constructor_name,
    STATE(5297), 1,
      sym_parenthesized_operator,
    STATE(5307), 1,
      sym_attribute,
    STATE(5335), 1,
      sym__simple_expression,
    STATE(5387), 1,
      sym__value_name,
    STATE(21042), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(113), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5116), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5293), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175356] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8121), 1,
      sym__lowercase_identifier,
    ACTIONS(8125), 1,
      anon_sym_LPAREN,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8131), 1,
      anon_sym_LBRACE,
    ACTIONS(8133), 1,
      anon_sym_object,
    ACTIONS(8135), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8137), 1,
      anon_sym_new,
    ACTIONS(8139), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8141), 1,
      anon_sym_begin,
    ACTIONS(8143), 1,
      sym_ocamlyacc_value,
    ACTIONS(8149), 1,
      aux_sym_number_token1,
    ACTIONS(8151), 1,
      anon_sym_SQUOTE,
    ACTIONS(8153), 1,
      anon_sym_DQUOTE,
    ACTIONS(8155), 1,
      sym_prefix_operator,
    ACTIONS(8157), 1,
      sym__uppercase_identifier,
    ACTIONS(8159), 1,
      aux_sym_tag_token1,
    ACTIONS(9720), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9722), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5309), 1,
      sym_attribute,
    STATE(8965), 1,
      sym__constructor_name,
    STATE(9009), 1,
      sym_parenthesized_operator,
    STATE(9082), 1,
      sym__simple_expression,
    STATE(9218), 1,
      sym__value_name,
    STATE(22519), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8129), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8875), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9034), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175474] = 29,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(39), 1,
      anon_sym_object,
    ACTIONS(43), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(61), 1,
      anon_sym_new,
    ACTIONS(63), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(65), 1,
      anon_sym_begin,
    ACTIONS(67), 1,
      sym_ocamlyacc_value,
    ACTIONS(79), 1,
      aux_sym_number_token1,
    ACTIONS(83), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      sym_prefix_operator,
    ACTIONS(95), 1,
      sym__uppercase_identifier,
    ACTIONS(99), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3623), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4841), 1,
      sym__lowercase_identifier,
    STATE(5089), 1,
      sym__simple_expression,
    STATE(5151), 1,
      sym__value_name,
    STATE(5250), 1,
      sym__constructor_name,
    STATE(5308), 1,
      sym_parenthesized_operator,
    STATE(5310), 1,
      sym_attribute,
    STATE(21779), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5368), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5443), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175732] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      sym__lowercase_identifier,
    ACTIONS(9492), 1,
      anon_sym_LPAREN,
    ACTIONS(9494), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_LBRACE,
    ACTIONS(9500), 1,
      anon_sym_object,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9504), 1,
      anon_sym_new,
    ACTIONS(9506), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9508), 1,
      anon_sym_begin,
    ACTIONS(9510), 1,
      sym_ocamlyacc_value,
    ACTIONS(9512), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9514), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9518), 1,
      aux_sym_number_token1,
    ACTIONS(9520), 1,
      anon_sym_SQUOTE,
    ACTIONS(9522), 1,
      anon_sym_DQUOTE,
    ACTIONS(9524), 1,
      sym_prefix_operator,
    ACTIONS(9526), 1,
      sym__uppercase_identifier,
    ACTIONS(9528), 1,
      aux_sym_tag_token1,
    STATE(5313), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__constructor_name,
    STATE(8787), 1,
      sym_parenthesized_operator,
    STATE(8795), 1,
      sym__simple_expression,
    STATE(8834), 1,
      sym__value_name,
    STATE(20501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8802), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8832), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175850] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2183), 1,
      anon_sym_LPAREN,
    ACTIONS(2185), 1,
      anon_sym_LBRACK,
    ACTIONS(2189), 1,
      anon_sym_LBRACE,
    ACTIONS(2191), 1,
      anon_sym_object,
    ACTIONS(2195), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2205), 1,
      anon_sym_new,
    ACTIONS(2207), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2209), 1,
      anon_sym_begin,
    ACTIONS(2211), 1,
      sym_ocamlyacc_value,
    ACTIONS(2213), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2215), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2217), 1,
      aux_sym_number_token1,
    ACTIONS(2219), 1,
      anon_sym_SQUOTE,
    ACTIONS(2221), 1,
      anon_sym_DQUOTE,
    ACTIONS(2223), 1,
      sym_prefix_operator,
    ACTIONS(2227), 1,
      sym__uppercase_identifier,
    ACTIONS(2229), 1,
      aux_sym_tag_token1,
    ACTIONS(6337), 1,
      sym__lowercase_identifier,
    STATE(5314), 1,
      sym_attribute,
    STATE(7259), 1,
      sym__simple_expression,
    STATE(7274), 1,
      sym__value_name,
    STATE(7329), 1,
      sym_parenthesized_operator,
    STATE(7672), 1,
      sym__constructor_name,
    STATE(19479), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2187), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7575), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7655), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175968] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5315), 1,
      sym_attribute,
    STATE(6193), 1,
      sym__constructor_name,
    STATE(6194), 1,
      sym__value_name,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(6247), 1,
      sym__simple_expression,
    STATE(20261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6171), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176156] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1975), 1,
      anon_sym_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_LBRACE,
    ACTIONS(1983), 1,
      anon_sym_object,
    ACTIONS(1987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1997), 1,
      anon_sym_new,
    ACTIONS(1999), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2001), 1,
      anon_sym_begin,
    ACTIONS(2003), 1,
      sym_ocamlyacc_value,
    ACTIONS(2005), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2007), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2009), 1,
      aux_sym_number_token1,
    ACTIONS(2011), 1,
      anon_sym_SQUOTE,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    ACTIONS(2015), 1,
      sym_prefix_operator,
    ACTIONS(2019), 1,
      sym__uppercase_identifier,
    ACTIONS(2021), 1,
      aux_sym_tag_token1,
    ACTIONS(6297), 1,
      sym__lowercase_identifier,
    STATE(5317), 1,
      sym_attribute,
    STATE(7256), 1,
      sym__constructor_name,
    STATE(7522), 1,
      sym__simple_expression,
    STATE(7576), 1,
      sym__value_name,
    STATE(7696), 1,
      sym_parenthesized_operator,
    STATE(19922), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1979), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7586), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7512), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176274] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1975), 1,
      anon_sym_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_LBRACE,
    ACTIONS(1983), 1,
      anon_sym_object,
    ACTIONS(1987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1997), 1,
      anon_sym_new,
    ACTIONS(1999), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2001), 1,
      anon_sym_begin,
    ACTIONS(2003), 1,
      sym_ocamlyacc_value,
    ACTIONS(2005), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2007), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2009), 1,
      aux_sym_number_token1,
    ACTIONS(2011), 1,
      anon_sym_SQUOTE,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    ACTIONS(2015), 1,
      sym_prefix_operator,
    ACTIONS(2019), 1,
      sym__uppercase_identifier,
    ACTIONS(2021), 1,
      aux_sym_tag_token1,
    ACTIONS(6297), 1,
      sym__lowercase_identifier,
    STATE(5318), 1,
      sym_attribute,
    STATE(7256), 1,
      sym__constructor_name,
    STATE(7534), 1,
      sym__simple_expression,
    STATE(7576), 1,
      sym__value_name,
    STATE(7696), 1,
      sym_parenthesized_operator,
    STATE(19922), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1979), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7586), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7512), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176462] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4845), 1,
      anon_sym_DOT,
    ACTIONS(4847), 1,
      anon_sym_POUND,
    ACTIONS(4849), 1,
      sym_hash_operator,
    STATE(5320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177028] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9734), 1,
      anon_sym_COLON,
    STATE(5328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177520] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4775), 1,
      anon_sym_DOT,
    STATE(5335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177662] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      sym__lowercase_identifier,
    ACTIONS(9556), 1,
      anon_sym_LPAREN,
    ACTIONS(9558), 1,
      anon_sym_LBRACK,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    ACTIONS(9564), 1,
      anon_sym_object,
    ACTIONS(9566), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9568), 1,
      anon_sym_new,
    ACTIONS(9570), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9572), 1,
      anon_sym_begin,
    ACTIONS(9574), 1,
      sym_ocamlyacc_value,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9578), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9580), 1,
      aux_sym_number_token1,
    ACTIONS(9582), 1,
      anon_sym_SQUOTE,
    ACTIONS(9584), 1,
      anon_sym_DQUOTE,
    ACTIONS(9586), 1,
      sym_prefix_operator,
    ACTIONS(9588), 1,
      sym__uppercase_identifier,
    ACTIONS(9590), 1,
      aux_sym_tag_token1,
    STATE(5337), 1,
      sym_attribute,
    STATE(8494), 1,
      sym__simple_expression,
    STATE(8546), 1,
      sym__constructor_name,
    STATE(8600), 1,
      sym_parenthesized_operator,
    STATE(8615), 1,
      sym__value_name,
    STATE(22134), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8541), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8625), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178130] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(5343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178622] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1675), 1,
      anon_sym_LBRACE,
    ACTIONS(1677), 1,
      anon_sym_object,
    ACTIONS(1681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1691), 1,
      anon_sym_new,
    ACTIONS(1693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1695), 1,
      anon_sym_begin,
    ACTIONS(1697), 1,
      sym_ocamlyacc_value,
    ACTIONS(1699), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1701), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1703), 1,
      aux_sym_number_token1,
    ACTIONS(1705), 1,
      anon_sym_SQUOTE,
    ACTIONS(1707), 1,
      anon_sym_DQUOTE,
    ACTIONS(1709), 1,
      sym_prefix_operator,
    ACTIONS(1713), 1,
      sym__uppercase_identifier,
    ACTIONS(1715), 1,
      aux_sym_tag_token1,
    ACTIONS(6231), 1,
      sym__lowercase_identifier,
    STATE(5350), 1,
      sym_attribute,
    STATE(6782), 1,
      sym__simple_expression,
    STATE(6788), 1,
      sym_parenthesized_operator,
    STATE(6794), 1,
      sym__constructor_name,
    STATE(6851), 1,
      sym__value_name,
    STATE(19538), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6770), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [178740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178810] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9736), 1,
      anon_sym_COLON,
    STATE(5352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178882] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2045), 1,
      anon_sym_LPAREN,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2051), 1,
      anon_sym_LBRACE,
    ACTIONS(2053), 1,
      anon_sym_object,
    ACTIONS(2057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2067), 1,
      anon_sym_new,
    ACTIONS(2069), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2071), 1,
      anon_sym_begin,
    ACTIONS(2073), 1,
      sym_ocamlyacc_value,
    ACTIONS(2075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2079), 1,
      aux_sym_number_token1,
    ACTIONS(2081), 1,
      anon_sym_SQUOTE,
    ACTIONS(2083), 1,
      anon_sym_DQUOTE,
    ACTIONS(2085), 1,
      sym_prefix_operator,
    ACTIONS(2089), 1,
      sym__uppercase_identifier,
    ACTIONS(2091), 1,
      aux_sym_tag_token1,
    ACTIONS(6317), 1,
      sym__lowercase_identifier,
    STATE(5353), 1,
      sym_attribute,
    STATE(7585), 1,
      sym__simple_expression,
    STATE(7635), 1,
      sym__value_name,
    STATE(7714), 1,
      sym__constructor_name,
    STATE(7730), 1,
      sym_parenthesized_operator,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7261), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7572), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179000] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2045), 1,
      anon_sym_LPAREN,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2051), 1,
      anon_sym_LBRACE,
    ACTIONS(2053), 1,
      anon_sym_object,
    ACTIONS(2057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2067), 1,
      anon_sym_new,
    ACTIONS(2069), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2071), 1,
      anon_sym_begin,
    ACTIONS(2073), 1,
      sym_ocamlyacc_value,
    ACTIONS(2075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2079), 1,
      aux_sym_number_token1,
    ACTIONS(2081), 1,
      anon_sym_SQUOTE,
    ACTIONS(2083), 1,
      anon_sym_DQUOTE,
    ACTIONS(2085), 1,
      sym_prefix_operator,
    ACTIONS(2089), 1,
      sym__uppercase_identifier,
    ACTIONS(2091), 1,
      aux_sym_tag_token1,
    ACTIONS(6317), 1,
      sym__lowercase_identifier,
    STATE(5354), 1,
      sym_attribute,
    STATE(7599), 1,
      sym__simple_expression,
    STATE(7635), 1,
      sym__value_name,
    STATE(7714), 1,
      sym__constructor_name,
    STATE(7730), 1,
      sym_parenthesized_operator,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7261), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7572), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179118] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      sym__lowercase_identifier,
    ACTIONS(9556), 1,
      anon_sym_LPAREN,
    ACTIONS(9558), 1,
      anon_sym_LBRACK,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    ACTIONS(9564), 1,
      anon_sym_object,
    ACTIONS(9566), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9568), 1,
      anon_sym_new,
    ACTIONS(9570), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9572), 1,
      anon_sym_begin,
    ACTIONS(9574), 1,
      sym_ocamlyacc_value,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9578), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9580), 1,
      aux_sym_number_token1,
    ACTIONS(9582), 1,
      anon_sym_SQUOTE,
    ACTIONS(9584), 1,
      anon_sym_DQUOTE,
    ACTIONS(9586), 1,
      sym_prefix_operator,
    ACTIONS(9588), 1,
      sym__uppercase_identifier,
    ACTIONS(9590), 1,
      aux_sym_tag_token1,
    STATE(5355), 1,
      sym_attribute,
    STATE(8546), 1,
      sym__constructor_name,
    STATE(8574), 1,
      sym__simple_expression,
    STATE(8600), 1,
      sym_parenthesized_operator,
    STATE(8615), 1,
      sym__value_name,
    STATE(22134), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8541), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8625), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179376] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    STATE(5358), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8479), 1,
      sym__simple_expression,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(21445), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179914] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3079), 1,
      anon_sym_LPAREN,
    ACTIONS(3081), 1,
      anon_sym_LBRACK,
    ACTIONS(3085), 1,
      anon_sym_LBRACE,
    ACTIONS(3087), 1,
      anon_sym_object,
    ACTIONS(3091), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3101), 1,
      anon_sym_new,
    ACTIONS(3103), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3105), 1,
      anon_sym_begin,
    ACTIONS(3107), 1,
      sym_ocamlyacc_value,
    ACTIONS(3109), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3111), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3113), 1,
      aux_sym_number_token1,
    ACTIONS(3115), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      anon_sym_DQUOTE,
    ACTIONS(3119), 1,
      sym_prefix_operator,
    ACTIONS(3123), 1,
      sym__uppercase_identifier,
    ACTIONS(3125), 1,
      aux_sym_tag_token1,
    ACTIONS(6531), 1,
      sym__lowercase_identifier,
    STATE(5365), 1,
      sym_attribute,
    STATE(7989), 1,
      sym__value_name,
    STATE(8046), 1,
      sym__constructor_name,
    STATE(8103), 1,
      sym__simple_expression,
    STATE(8263), 1,
      sym_parenthesized_operator,
    STATE(20110), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3083), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7966), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7958), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180452] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3027), 1,
      anon_sym_LPAREN,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3033), 1,
      anon_sym_LBRACE,
    ACTIONS(3035), 1,
      anon_sym_object,
    ACTIONS(3039), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3049), 1,
      anon_sym_new,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3053), 1,
      anon_sym_begin,
    ACTIONS(3055), 1,
      sym_ocamlyacc_value,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3061), 1,
      aux_sym_number_token1,
    ACTIONS(3063), 1,
      anon_sym_SQUOTE,
    ACTIONS(3065), 1,
      anon_sym_DQUOTE,
    ACTIONS(3067), 1,
      sym_prefix_operator,
    ACTIONS(3071), 1,
      sym__uppercase_identifier,
    ACTIONS(3073), 1,
      aux_sym_tag_token1,
    ACTIONS(6521), 1,
      sym__lowercase_identifier,
    STATE(5372), 1,
      sym_attribute,
    STATE(7831), 1,
      sym_parenthesized_operator,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(8036), 1,
      sym__simple_expression,
    STATE(8283), 1,
      sym__value_name,
    STATE(22329), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3031), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7985), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8269), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181270] = 29,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(739), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_object,
    ACTIONS(757), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(767), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(771), 1,
      anon_sym_begin,
    ACTIONS(773), 1,
      sym_ocamlyacc_value,
    ACTIONS(779), 1,
      aux_sym_number_token1,
    ACTIONS(781), 1,
      anon_sym_SQUOTE,
    ACTIONS(783), 1,
      anon_sym_DQUOTE,
    ACTIONS(785), 1,
      sym_prefix_operator,
    ACTIONS(791), 1,
      sym__uppercase_identifier,
    ACTIONS(795), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3627), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4851), 1,
      sym__lowercase_identifier,
    STATE(5084), 1,
      sym__value_name,
    STATE(5085), 1,
      sym_parenthesized_operator,
    STATE(5196), 1,
      sym__constructor_name,
    STATE(5383), 1,
      sym_attribute,
    STATE(5394), 1,
      sym__simple_expression,
    STATE(21715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(741), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5195), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5382), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181388] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1451), 1,
      anon_sym_LBRACE,
    ACTIONS(1453), 1,
      anon_sym_object,
    ACTIONS(1457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1467), 1,
      anon_sym_new,
    ACTIONS(1469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1471), 1,
      anon_sym_begin,
    ACTIONS(1473), 1,
      sym_ocamlyacc_value,
    ACTIONS(1475), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1477), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1479), 1,
      aux_sym_number_token1,
    ACTIONS(1481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DQUOTE,
    ACTIONS(1485), 1,
      sym_prefix_operator,
    ACTIONS(1489), 1,
      sym__uppercase_identifier,
    ACTIONS(1491), 1,
      aux_sym_tag_token1,
    ACTIONS(5601), 1,
      sym__lowercase_identifier,
    STATE(5384), 1,
      sym_attribute,
    STATE(6038), 1,
      sym__simple_expression,
    STATE(6048), 1,
      sym__value_name,
    STATE(6070), 1,
      sym_parenthesized_operator,
    STATE(6147), 1,
      sym__constructor_name,
    STATE(19592), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1449), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6127), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6006), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181506] = 29,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(931), 1,
      anon_sym_LBRACE,
    ACTIONS(933), 1,
      anon_sym_object,
    ACTIONS(937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(947), 1,
      anon_sym_new,
    ACTIONS(949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(951), 1,
      anon_sym_begin,
    ACTIONS(953), 1,
      sym_ocamlyacc_value,
    ACTIONS(959), 1,
      aux_sym_number_token1,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(965), 1,
      sym_prefix_operator,
    ACTIONS(969), 1,
      sym__uppercase_identifier,
    ACTIONS(971), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3595), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3597), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3803), 1,
      sym__lowercase_identifier,
    STATE(4500), 1,
      sym__simple_expression,
    STATE(4562), 1,
      sym__value_name,
    STATE(4686), 1,
      sym__constructor_name,
    STATE(4704), 1,
      sym_parenthesized_operator,
    STATE(5385), 1,
      sym_attribute,
    STATE(20004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(929), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4516), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4495), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181624] = 29,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(931), 1,
      anon_sym_LBRACE,
    ACTIONS(933), 1,
      anon_sym_object,
    ACTIONS(937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(947), 1,
      anon_sym_new,
    ACTIONS(949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(951), 1,
      anon_sym_begin,
    ACTIONS(953), 1,
      sym_ocamlyacc_value,
    ACTIONS(959), 1,
      aux_sym_number_token1,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(965), 1,
      sym_prefix_operator,
    ACTIONS(969), 1,
      sym__uppercase_identifier,
    ACTIONS(971), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3595), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3597), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3803), 1,
      sym__lowercase_identifier,
    STATE(4510), 1,
      sym__simple_expression,
    STATE(4562), 1,
      sym__value_name,
    STATE(4686), 1,
      sym__constructor_name,
    STATE(4704), 1,
      sym_parenthesized_operator,
    STATE(5386), 1,
      sym_attribute,
    STATE(20004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(929), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4516), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4495), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182302] = 29,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(739), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_object,
    ACTIONS(757), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(767), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(771), 1,
      anon_sym_begin,
    ACTIONS(773), 1,
      sym_ocamlyacc_value,
    ACTIONS(779), 1,
      aux_sym_number_token1,
    ACTIONS(781), 1,
      anon_sym_SQUOTE,
    ACTIONS(783), 1,
      anon_sym_DQUOTE,
    ACTIONS(785), 1,
      sym_prefix_operator,
    ACTIONS(791), 1,
      sym__uppercase_identifier,
    ACTIONS(795), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3627), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4851), 1,
      sym__lowercase_identifier,
    STATE(5084), 1,
      sym__value_name,
    STATE(5085), 1,
      sym_parenthesized_operator,
    STATE(5196), 1,
      sym__constructor_name,
    STATE(5395), 1,
      sym_attribute,
    STATE(5418), 1,
      sym__simple_expression,
    STATE(21715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(741), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5195), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5382), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [182420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182840] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3079), 1,
      anon_sym_LPAREN,
    ACTIONS(3081), 1,
      anon_sym_LBRACK,
    ACTIONS(3085), 1,
      anon_sym_LBRACE,
    ACTIONS(3087), 1,
      anon_sym_object,
    ACTIONS(3091), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3101), 1,
      anon_sym_new,
    ACTIONS(3103), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3105), 1,
      anon_sym_begin,
    ACTIONS(3107), 1,
      sym_ocamlyacc_value,
    ACTIONS(3109), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3111), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3113), 1,
      aux_sym_number_token1,
    ACTIONS(3115), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      anon_sym_DQUOTE,
    ACTIONS(3119), 1,
      sym_prefix_operator,
    ACTIONS(3123), 1,
      sym__uppercase_identifier,
    ACTIONS(3125), 1,
      aux_sym_tag_token1,
    ACTIONS(6531), 1,
      sym__lowercase_identifier,
    STATE(5402), 1,
      sym_attribute,
    STATE(7911), 1,
      sym__simple_expression,
    STATE(7989), 1,
      sym__value_name,
    STATE(8046), 1,
      sym__constructor_name,
    STATE(8263), 1,
      sym_parenthesized_operator,
    STATE(20110), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3083), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7966), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7958), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [182958] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1497), 1,
      anon_sym_LPAREN,
    ACTIONS(1499), 1,
      anon_sym_LBRACK,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    ACTIONS(1505), 1,
      anon_sym_object,
    ACTIONS(1509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1519), 1,
      anon_sym_new,
    ACTIONS(1521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1523), 1,
      anon_sym_begin,
    ACTIONS(1525), 1,
      sym_ocamlyacc_value,
    ACTIONS(1527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1531), 1,
      aux_sym_number_token1,
    ACTIONS(1533), 1,
      anon_sym_SQUOTE,
    ACTIONS(1535), 1,
      anon_sym_DQUOTE,
    ACTIONS(1537), 1,
      sym_prefix_operator,
    ACTIONS(1541), 1,
      sym__uppercase_identifier,
    ACTIONS(1543), 1,
      aux_sym_tag_token1,
    ACTIONS(5751), 1,
      sym__lowercase_identifier,
    STATE(5403), 1,
      sym_attribute,
    STATE(6438), 1,
      sym__value_name,
    STATE(6469), 1,
      sym__constructor_name,
    STATE(6482), 1,
      sym__simple_expression,
    STATE(6487), 1,
      sym_parenthesized_operator,
    STATE(19647), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1501), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6367), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6392), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183146] = 29,
    ACTIONS(857), 1,
      anon_sym_LPAREN,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      anon_sym_object,
    ACTIONS(869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(879), 1,
      anon_sym_new,
    ACTIONS(881), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(883), 1,
      anon_sym_begin,
    ACTIONS(885), 1,
      sym_ocamlyacc_value,
    ACTIONS(891), 1,
      aux_sym_number_token1,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(897), 1,
      sym_prefix_operator,
    ACTIONS(901), 1,
      sym__uppercase_identifier,
    ACTIONS(903), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3617), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3619), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3655), 1,
      sym__lowercase_identifier,
    STATE(3849), 1,
      sym_parenthesized_operator,
    STATE(3902), 1,
      sym__constructor_name,
    STATE(4277), 1,
      sym__simple_expression,
    STATE(4332), 1,
      sym__value_name,
    STATE(5405), 1,
      sym_attribute,
    STATE(20045), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(861), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3886), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4260), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183264] = 29,
    ACTIONS(857), 1,
      anon_sym_LPAREN,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      anon_sym_object,
    ACTIONS(869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(879), 1,
      anon_sym_new,
    ACTIONS(881), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(883), 1,
      anon_sym_begin,
    ACTIONS(885), 1,
      sym_ocamlyacc_value,
    ACTIONS(891), 1,
      aux_sym_number_token1,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(897), 1,
      sym_prefix_operator,
    ACTIONS(901), 1,
      sym__uppercase_identifier,
    ACTIONS(903), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3617), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3619), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3655), 1,
      sym__lowercase_identifier,
    STATE(3849), 1,
      sym_parenthesized_operator,
    STATE(3902), 1,
      sym__constructor_name,
    STATE(4292), 1,
      sym__simple_expression,
    STATE(4332), 1,
      sym__value_name,
    STATE(5406), 1,
      sym_attribute,
    STATE(20045), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(861), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3886), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4260), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183662] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9060), 1,
      anon_sym_begin,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9064), 1,
      sym_prefix_operator,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    STATE(5411), 1,
      sym_attribute,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15900), 1,
      sym__simple_expression,
    STATE(21445), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184060] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3079), 1,
      anon_sym_LPAREN,
    ACTIONS(3081), 1,
      anon_sym_LBRACK,
    ACTIONS(3085), 1,
      anon_sym_LBRACE,
    ACTIONS(3087), 1,
      anon_sym_object,
    ACTIONS(3091), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3101), 1,
      anon_sym_new,
    ACTIONS(3103), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3105), 1,
      anon_sym_begin,
    ACTIONS(3107), 1,
      sym_ocamlyacc_value,
    ACTIONS(3109), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3111), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3113), 1,
      aux_sym_number_token1,
    ACTIONS(3115), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      anon_sym_DQUOTE,
    ACTIONS(3119), 1,
      sym_prefix_operator,
    ACTIONS(3123), 1,
      sym__uppercase_identifier,
    ACTIONS(3125), 1,
      aux_sym_tag_token1,
    ACTIONS(6531), 1,
      sym__lowercase_identifier,
    STATE(5416), 1,
      sym_attribute,
    STATE(7989), 1,
      sym__value_name,
    STATE(8046), 1,
      sym__constructor_name,
    STATE(8188), 1,
      sym__simple_expression,
    STATE(8263), 1,
      sym_parenthesized_operator,
    STATE(20110), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3083), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7966), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7958), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184248] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4855), 1,
      anon_sym_DOT,
    STATE(5418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184320] = 29,
    ACTIONS(1081), 1,
      anon_sym_LPAREN,
    ACTIONS(1083), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_object,
    ACTIONS(1093), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1103), 1,
      anon_sym_new,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1107), 1,
      anon_sym_begin,
    ACTIONS(1109), 1,
      sym_ocamlyacc_value,
    ACTIONS(1115), 1,
      aux_sym_number_token1,
    ACTIONS(1117), 1,
      anon_sym_SQUOTE,
    ACTIONS(1119), 1,
      anon_sym_DQUOTE,
    ACTIONS(1121), 1,
      sym_prefix_operator,
    ACTIONS(1125), 1,
      sym__uppercase_identifier,
    ACTIONS(1127), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3565), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3567), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4307), 1,
      sym__lowercase_identifier,
    STATE(4860), 1,
      sym__simple_expression,
    STATE(4898), 1,
      sym__value_name,
    STATE(4926), 1,
      sym_parenthesized_operator,
    STATE(4952), 1,
      sym__constructor_name,
    STATE(5419), 1,
      sym_attribute,
    STATE(19353), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1085), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4942), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4853), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184788] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1835), 1,
      anon_sym_LPAREN,
    ACTIONS(1837), 1,
      anon_sym_LBRACK,
    ACTIONS(1841), 1,
      anon_sym_LBRACE,
    ACTIONS(1843), 1,
      anon_sym_object,
    ACTIONS(1847), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1857), 1,
      anon_sym_new,
    ACTIONS(1859), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1861), 1,
      anon_sym_begin,
    ACTIONS(1863), 1,
      sym_ocamlyacc_value,
    ACTIONS(1865), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1867), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1869), 1,
      aux_sym_number_token1,
    ACTIONS(1871), 1,
      anon_sym_SQUOTE,
    ACTIONS(1873), 1,
      anon_sym_DQUOTE,
    ACTIONS(1875), 1,
      sym_prefix_operator,
    ACTIONS(1879), 1,
      sym__uppercase_identifier,
    ACTIONS(1881), 1,
      aux_sym_tag_token1,
    ACTIONS(6307), 1,
      sym__lowercase_identifier,
    STATE(5425), 1,
      sym_attribute,
    STATE(7389), 1,
      sym__simple_expression,
    STATE(7448), 1,
      sym__value_name,
    STATE(7636), 1,
      sym_parenthesized_operator,
    STATE(7656), 1,
      sym__constructor_name,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1839), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7702), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7391), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184976] = 29,
    ACTIONS(1133), 1,
      anon_sym_LPAREN,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1139), 1,
      anon_sym_LBRACE,
    ACTIONS(1141), 1,
      anon_sym_object,
    ACTIONS(1145), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1155), 1,
      anon_sym_new,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1159), 1,
      anon_sym_begin,
    ACTIONS(1161), 1,
      sym_ocamlyacc_value,
    ACTIONS(1167), 1,
      aux_sym_number_token1,
    ACTIONS(1169), 1,
      anon_sym_SQUOTE,
    ACTIONS(1171), 1,
      anon_sym_DQUOTE,
    ACTIONS(1173), 1,
      sym_prefix_operator,
    ACTIONS(1177), 1,
      sym__uppercase_identifier,
    ACTIONS(1179), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3631), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4369), 1,
      sym__lowercase_identifier,
    STATE(4765), 1,
      sym__constructor_name,
    STATE(4939), 1,
      sym_parenthesized_operator,
    STATE(5009), 1,
      sym__simple_expression,
    STATE(5049), 1,
      sym__value_name,
    STATE(5427), 1,
      sym_attribute,
    STATE(20086), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5000), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185094] = 29,
    ACTIONS(1133), 1,
      anon_sym_LPAREN,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1139), 1,
      anon_sym_LBRACE,
    ACTIONS(1141), 1,
      anon_sym_object,
    ACTIONS(1145), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1155), 1,
      anon_sym_new,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1159), 1,
      anon_sym_begin,
    ACTIONS(1161), 1,
      sym_ocamlyacc_value,
    ACTIONS(1167), 1,
      aux_sym_number_token1,
    ACTIONS(1169), 1,
      anon_sym_SQUOTE,
    ACTIONS(1171), 1,
      anon_sym_DQUOTE,
    ACTIONS(1173), 1,
      sym_prefix_operator,
    ACTIONS(1177), 1,
      sym__uppercase_identifier,
    ACTIONS(1179), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3631), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4369), 1,
      sym__lowercase_identifier,
    STATE(4765), 1,
      sym__constructor_name,
    STATE(4939), 1,
      sym_parenthesized_operator,
    STATE(5022), 1,
      sym__simple_expression,
    STATE(5049), 1,
      sym__value_name,
    STATE(5428), 1,
      sym_attribute,
    STATE(20086), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5000), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185282] = 29,
    ACTIONS(1081), 1,
      anon_sym_LPAREN,
    ACTIONS(1083), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_object,
    ACTIONS(1093), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1103), 1,
      anon_sym_new,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1107), 1,
      anon_sym_begin,
    ACTIONS(1109), 1,
      sym_ocamlyacc_value,
    ACTIONS(1115), 1,
      aux_sym_number_token1,
    ACTIONS(1117), 1,
      anon_sym_SQUOTE,
    ACTIONS(1119), 1,
      anon_sym_DQUOTE,
    ACTIONS(1121), 1,
      sym_prefix_operator,
    ACTIONS(1125), 1,
      sym__uppercase_identifier,
    ACTIONS(1127), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3565), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3567), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4307), 1,
      sym__lowercase_identifier,
    STATE(4871), 1,
      sym__simple_expression,
    STATE(4898), 1,
      sym__value_name,
    STATE(4926), 1,
      sym_parenthesized_operator,
    STATE(4952), 1,
      sym__constructor_name,
    STATE(5430), 1,
      sym_attribute,
    STATE(19353), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1085), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4942), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4853), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186380] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_object,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9056), 1,
      anon_sym_new,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym__uppercase_identifier,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(9532), 1,
      sym__lowercase_identifier,
    ACTIONS(9534), 1,
      anon_sym_LPAREN,
    ACTIONS(9538), 1,
      anon_sym_LBRACE,
    ACTIONS(9540), 1,
      anon_sym_begin,
    ACTIONS(9542), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9544), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_number_token1,
    ACTIONS(9548), 1,
      anon_sym_SQUOTE,
    ACTIONS(9550), 1,
      anon_sym_DQUOTE,
    ACTIONS(9552), 1,
      sym_prefix_operator,
    STATE(5445), 1,
      sym_attribute,
    STATE(8338), 1,
      sym__simple_expression,
    STATE(8396), 1,
      sym_parenthesized_operator,
    STATE(8474), 1,
      sym__constructor_name,
    STATE(8481), 1,
      sym__value_name,
    STATE(21231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8334), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8372), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186918] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9738), 1,
      anon_sym_COLON,
    STATE(5452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186989] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    ACTIONS(6243), 1,
      anon_sym_LPAREN,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6251), 1,
      anon_sym_POUND,
    ACTIONS(6253), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6255), 1,
      anon_sym_lazy,
    ACTIONS(6257), 1,
      anon_sym_begin,
    ACTIONS(6263), 1,
      aux_sym_number_token1,
    ACTIONS(6265), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DQUOTE,
    ACTIONS(6271), 1,
      sym__uppercase_identifier,
    ACTIONS(6273), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9682), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2813), 1,
      sym_tag,
    STATE(2815), 1,
      sym_constructor_path,
    STATE(5453), 1,
      sym_attribute,
    STATE(5641), 1,
      sym__attribute,
    STATE(6514), 1,
      sym__constructor_name,
    STATE(6551), 1,
      sym__signed_constant,
    STATE(6633), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6700), 1,
      sym_list_binding_pattern,
    STATE(6709), 1,
      sym_array_binding_pattern,
    STATE(6748), 1,
      sym__binding_pattern,
    STATE(20870), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6606), 2,
      sym__constant,
      sym_signed_number,
    STATE(6591), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6662), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187118] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3757), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5454), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187247] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3743), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5455), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187376] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(5456), 1,
      sym_attribute,
    STATE(5643), 1,
      sym__attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10150), 1,
      sym__binding_pattern,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187505] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(5457), 1,
      sym_attribute,
    STATE(5633), 1,
      sym__attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(6613), 1,
      sym__binding_pattern,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187634] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5458), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187763] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5459), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187892] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3799), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5460), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188090] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3751), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5462), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188219] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3761), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5463), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188348] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3793), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5464), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188477] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5465), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188606] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(9740), 1,
      anon_sym_rec,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5466), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16392), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188735] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5467), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188864] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5468), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189062] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3765), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5470), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189191] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3707), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5471), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189320] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3683), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5472), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189449] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5473), 1,
      sym_attribute,
    STATE(5626), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14799), 1,
      sym__binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189578] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3767), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5474), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189707] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6043), 1,
      sym__lowercase_identifier,
    ACTIONS(6045), 1,
      anon_sym_LPAREN,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    ACTIONS(6051), 1,
      anon_sym_LBRACE,
    ACTIONS(6053), 1,
      anon_sym_POUND,
    ACTIONS(6055), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6057), 1,
      anon_sym_lazy,
    ACTIONS(6059), 1,
      anon_sym_begin,
    ACTIONS(6065), 1,
      aux_sym_number_token1,
    ACTIONS(6067), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6069), 1,
      anon_sym_SQUOTE,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE,
    ACTIONS(6073), 1,
      sym__uppercase_identifier,
    ACTIONS(6075), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9742), 1,
      anon_sym_rec,
    STATE(2800), 1,
      sym_tag,
    STATE(2811), 1,
      sym_constructor_path,
    STATE(2842), 1,
      sym__binding_pattern,
    STATE(5475), 1,
      sym_attribute,
    STATE(6344), 1,
      sym__constructor_name,
    STATE(6365), 1,
      sym__signed_constant,
    STATE(6539), 1,
      sym_record_binding_pattern,
    STATE(6565), 1,
      sym_array_binding_pattern,
    STATE(6611), 1,
      sym_parenthesized_operator,
    STATE(6627), 1,
      sym_list_binding_pattern,
    STATE(12541), 1,
      sym_let_binding,
    STATE(20503), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6460), 2,
      sym__constant,
      sym_signed_number,
    STATE(6442), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6523), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189836] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3651), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5476), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189965] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(5477), 1,
      sym_attribute,
    STATE(5638), 1,
      sym__attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(6427), 1,
      sym__binding_pattern,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190094] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3745), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5478), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190292] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3785), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5480), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190421] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3771), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5481), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190550] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5482), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190679] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3647), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5483), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190808] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5484), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190937] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9744), 1,
      anon_sym_RPAREN,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(4195), 1,
      sym_tag,
    STATE(5485), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15763), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191066] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3773), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5486), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191195] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3795), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5487), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191324] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3721), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5488), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191453] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3775), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5489), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191582] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3789), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5490), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191711] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9746), 1,
      anon_sym_rec,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2845), 1,
      sym__binding_pattern,
    STATE(5491), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(13148), 1,
      sym_let_binding,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191840] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1821), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9748), 1,
      anon_sym_RPAREN,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(4195), 1,
      sym_tag,
    STATE(5492), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15811), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191969] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3777), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5493), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192098] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3739), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5494), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192227] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5495), 1,
      sym_attribute,
    STATE(5620), 1,
      sym__attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15506), 1,
      sym__binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192356] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3779), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5496), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192485] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3653), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5497), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192614] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6043), 1,
      sym__lowercase_identifier,
    ACTIONS(6045), 1,
      anon_sym_LPAREN,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    ACTIONS(6051), 1,
      anon_sym_LBRACE,
    ACTIONS(6053), 1,
      anon_sym_POUND,
    ACTIONS(6055), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6057), 1,
      anon_sym_lazy,
    ACTIONS(6059), 1,
      anon_sym_begin,
    ACTIONS(6065), 1,
      aux_sym_number_token1,
    ACTIONS(6067), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6069), 1,
      anon_sym_SQUOTE,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE,
    ACTIONS(6073), 1,
      sym__uppercase_identifier,
    ACTIONS(6075), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2800), 1,
      sym_tag,
    STATE(2811), 1,
      sym_constructor_path,
    STATE(5498), 1,
      sym_attribute,
    STATE(5649), 1,
      sym__attribute,
    STATE(6344), 1,
      sym__constructor_name,
    STATE(6365), 1,
      sym__signed_constant,
    STATE(6511), 1,
      sym__binding_pattern,
    STATE(6539), 1,
      sym_record_binding_pattern,
    STATE(6565), 1,
      sym_array_binding_pattern,
    STATE(6611), 1,
      sym_parenthesized_operator,
    STATE(6627), 1,
      sym_list_binding_pattern,
    STATE(20503), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6460), 2,
      sym__constant,
      sym_signed_number,
    STATE(6442), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6523), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192743] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3719), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5499), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192872] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3753), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5500), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193001] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3781), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5501), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193130] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9750), 1,
      anon_sym_RPAREN,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(4195), 1,
      sym_tag,
    STATE(5502), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15743), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193259] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9752), 1,
      anon_sym_rec,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2840), 1,
      sym__binding_pattern,
    STATE(5503), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(12870), 1,
      sym_let_binding,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193388] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5504), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193517] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    ACTIONS(6243), 1,
      anon_sym_LPAREN,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6251), 1,
      anon_sym_POUND,
    ACTIONS(6253), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6255), 1,
      anon_sym_lazy,
    ACTIONS(6257), 1,
      anon_sym_begin,
    ACTIONS(6263), 1,
      aux_sym_number_token1,
    ACTIONS(6265), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DQUOTE,
    ACTIONS(6271), 1,
      sym__uppercase_identifier,
    ACTIONS(6273), 1,
      aux_sym_tag_token1,
    ACTIONS(9680), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9682), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9754), 1,
      anon_sym_rec,
    STATE(2813), 1,
      sym_tag,
    STATE(2815), 1,
      sym_constructor_path,
    STATE(2850), 1,
      sym__binding_pattern,
    STATE(5505), 1,
      sym_attribute,
    STATE(6514), 1,
      sym__constructor_name,
    STATE(6551), 1,
      sym__signed_constant,
    STATE(6633), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6700), 1,
      sym_list_binding_pattern,
    STATE(6709), 1,
      sym_array_binding_pattern,
    STATE(13101), 1,
      sym_let_binding,
    STATE(20870), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6606), 2,
      sym__constant,
      sym_signed_number,
    STATE(6591), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6662), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193646] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3797), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5506), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193775] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9756), 1,
      anon_sym_COLON,
    STATE(5507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [193846] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9758), 1,
      anon_sym_RPAREN,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(4195), 1,
      sym_tag,
    STATE(5508), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15685), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193975] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5509), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194104] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3725), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5510), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194233] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3749), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5511), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194362] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9760), 1,
      anon_sym_rec,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2834), 1,
      sym__binding_pattern,
    STATE(5512), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(12800), 1,
      sym_let_binding,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194491] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3679), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5513), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194620] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3637), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5514), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194749] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9762), 1,
      anon_sym_COLON,
    STATE(5515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [194820] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3755), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5516), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194949] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(4195), 1,
      sym_tag,
    STATE(5517), 1,
      sym_attribute,
    STATE(5632), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14799), 1,
      sym__binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195078] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(7891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9764), 1,
      anon_sym_RPAREN,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(4195), 1,
      sym_tag,
    STATE(5518), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15817), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195207] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3723), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5519), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195336] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9766), 1,
      anon_sym_rec,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2856), 1,
      sym__binding_pattern,
    STATE(5520), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(13189), 1,
      sym_let_binding,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195465] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5521), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195594] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5522), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195723] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9768), 1,
      anon_sym_RPAREN,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(4195), 1,
      sym_tag,
    STATE(5523), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15733), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195852] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5524), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195981] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(7871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9770), 1,
      anon_sym_RPAREN,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(4195), 1,
      sym_tag,
    STATE(5525), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15861), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196110] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3677), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5526), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [196308] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3727), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5528), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196437] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3649), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5529), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196566] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3741), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5530), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196695] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5531), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196824] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9772), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5532), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196950] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9774), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5533), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197076] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2840), 1,
      sym__binding_pattern,
    STATE(5534), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(12463), 1,
      sym_let_binding,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197202] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9776), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5535), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197328] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9778), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5536), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197454] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9780), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5537), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197580] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2840), 1,
      sym__binding_pattern,
    STATE(5538), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(12965), 1,
      sym_let_binding,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197706] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9782), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5539), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(14984), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197832] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9784), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5540), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(14985), 1,
      sym__binding_pattern,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197958] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9786), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5541), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198084] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9788), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5542), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198210] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9790), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5543), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(14906), 1,
      sym__binding_pattern,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198336] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9792), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5544), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198462] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2840), 1,
      sym__binding_pattern,
    STATE(5545), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(13043), 1,
      sym_let_binding,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198588] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9794), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5546), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198714] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9796), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5547), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198840] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9798), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5548), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198966] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9800), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5549), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15096), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199092] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9802), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5550), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(14907), 1,
      sym__binding_pattern,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199218] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9804), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5551), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199344] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9806), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5552), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199470] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9808), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5553), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199596] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9810), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5554), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199722] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9812), 1,
      anon_sym_COLON,
    STATE(5555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [199792] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5556), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16134), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199918] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5557), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16392), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200044] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9814), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5558), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15041), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200170] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9816), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5559), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15043), 1,
      sym__binding_pattern,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [200364] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9818), 1,
      anon_sym_COLON,
    STATE(5561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [200434] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9820), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5562), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200560] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9822), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5563), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200686] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9824), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5564), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200812] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2845), 1,
      sym__binding_pattern,
    STATE(5565), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(12463), 1,
      sym_let_binding,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200938] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2845), 1,
      sym__binding_pattern,
    STATE(5566), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(13181), 1,
      sym_let_binding,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201064] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5567), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(17408), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201190] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2834), 1,
      sym__binding_pattern,
    STATE(5568), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(12463), 1,
      sym_let_binding,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201316] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2834), 1,
      sym__binding_pattern,
    STATE(5569), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(12875), 1,
      sym_let_binding,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201442] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2856), 1,
      sym__binding_pattern,
    STATE(5570), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(12463), 1,
      sym_let_binding,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201568] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2856), 1,
      sym__binding_pattern,
    STATE(5571), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(13186), 1,
      sym_let_binding,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201694] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2856), 1,
      sym__binding_pattern,
    STATE(5572), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(13188), 1,
      sym_let_binding,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201820] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2856), 1,
      sym__binding_pattern,
    STATE(5573), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(13189), 1,
      sym_let_binding,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201946] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2845), 1,
      sym__binding_pattern,
    STATE(5574), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(13144), 1,
      sym_let_binding,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202072] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2845), 1,
      sym__binding_pattern,
    STATE(5575), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(13148), 1,
      sym_let_binding,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202198] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9826), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5576), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15149), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202324] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9828), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5577), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15150), 1,
      sym__binding_pattern,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202450] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9830), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5578), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202576] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9832), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5579), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [202770] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9834), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5581), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202896] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9836), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5582), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203022] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6043), 1,
      sym__lowercase_identifier,
    ACTIONS(6045), 1,
      anon_sym_LPAREN,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    ACTIONS(6051), 1,
      anon_sym_LBRACE,
    ACTIONS(6053), 1,
      anon_sym_POUND,
    ACTIONS(6055), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6057), 1,
      anon_sym_lazy,
    ACTIONS(6059), 1,
      anon_sym_begin,
    ACTIONS(6065), 1,
      aux_sym_number_token1,
    ACTIONS(6067), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6069), 1,
      anon_sym_SQUOTE,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE,
    ACTIONS(6073), 1,
      sym__uppercase_identifier,
    ACTIONS(6075), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2800), 1,
      sym_tag,
    STATE(2811), 1,
      sym_constructor_path,
    STATE(2842), 1,
      sym__binding_pattern,
    STATE(5583), 1,
      sym_attribute,
    STATE(6344), 1,
      sym__constructor_name,
    STATE(6365), 1,
      sym__signed_constant,
    STATE(6539), 1,
      sym_record_binding_pattern,
    STATE(6565), 1,
      sym_array_binding_pattern,
    STATE(6611), 1,
      sym_parenthesized_operator,
    STATE(6627), 1,
      sym_list_binding_pattern,
    STATE(12463), 1,
      sym_let_binding,
    STATE(20503), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6460), 2,
      sym__constant,
      sym_signed_number,
    STATE(6442), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6523), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203148] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2834), 1,
      sym__binding_pattern,
    STATE(5584), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(12792), 1,
      sym_let_binding,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203274] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6043), 1,
      sym__lowercase_identifier,
    ACTIONS(6045), 1,
      anon_sym_LPAREN,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    ACTIONS(6051), 1,
      anon_sym_LBRACE,
    ACTIONS(6053), 1,
      anon_sym_POUND,
    ACTIONS(6055), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6057), 1,
      anon_sym_lazy,
    ACTIONS(6059), 1,
      anon_sym_begin,
    ACTIONS(6065), 1,
      aux_sym_number_token1,
    ACTIONS(6067), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6069), 1,
      anon_sym_SQUOTE,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE,
    ACTIONS(6073), 1,
      sym__uppercase_identifier,
    ACTIONS(6075), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2800), 1,
      sym_tag,
    STATE(2811), 1,
      sym_constructor_path,
    STATE(2842), 1,
      sym__binding_pattern,
    STATE(5585), 1,
      sym_attribute,
    STATE(6344), 1,
      sym__constructor_name,
    STATE(6365), 1,
      sym__signed_constant,
    STATE(6539), 1,
      sym_record_binding_pattern,
    STATE(6565), 1,
      sym_array_binding_pattern,
    STATE(6611), 1,
      sym_parenthesized_operator,
    STATE(6627), 1,
      sym_list_binding_pattern,
    STATE(12549), 1,
      sym_let_binding,
    STATE(20503), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6460), 2,
      sym__constant,
      sym_signed_number,
    STATE(6442), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6523), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203400] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2834), 1,
      sym__binding_pattern,
    STATE(5586), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(12800), 1,
      sym_let_binding,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203526] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9838), 1,
      anon_sym_COLON,
    STATE(5587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [203596] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2840), 1,
      sym__binding_pattern,
    STATE(5588), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(12870), 1,
      sym_let_binding,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203722] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9840), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5589), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15004), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203848] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6043), 1,
      sym__lowercase_identifier,
    ACTIONS(6045), 1,
      anon_sym_LPAREN,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    ACTIONS(6051), 1,
      anon_sym_LBRACE,
    ACTIONS(6053), 1,
      anon_sym_POUND,
    ACTIONS(6055), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6057), 1,
      anon_sym_lazy,
    ACTIONS(6059), 1,
      anon_sym_begin,
    ACTIONS(6065), 1,
      aux_sym_number_token1,
    ACTIONS(6067), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6069), 1,
      anon_sym_SQUOTE,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE,
    ACTIONS(6073), 1,
      sym__uppercase_identifier,
    ACTIONS(6075), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2800), 1,
      sym_tag,
    STATE(2811), 1,
      sym_constructor_path,
    STATE(2842), 1,
      sym__binding_pattern,
    STATE(5590), 1,
      sym_attribute,
    STATE(6344), 1,
      sym__constructor_name,
    STATE(6365), 1,
      sym__signed_constant,
    STATE(6539), 1,
      sym_record_binding_pattern,
    STATE(6565), 1,
      sym_array_binding_pattern,
    STATE(6611), 1,
      sym_parenthesized_operator,
    STATE(6627), 1,
      sym_list_binding_pattern,
    STATE(12538), 1,
      sym_let_binding,
    STATE(20503), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6460), 2,
      sym__constant,
      sym_signed_number,
    STATE(6442), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6523), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203974] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6043), 1,
      sym__lowercase_identifier,
    ACTIONS(6045), 1,
      anon_sym_LPAREN,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    ACTIONS(6051), 1,
      anon_sym_LBRACE,
    ACTIONS(6053), 1,
      anon_sym_POUND,
    ACTIONS(6055), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6057), 1,
      anon_sym_lazy,
    ACTIONS(6059), 1,
      anon_sym_begin,
    ACTIONS(6065), 1,
      aux_sym_number_token1,
    ACTIONS(6067), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6069), 1,
      anon_sym_SQUOTE,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE,
    ACTIONS(6073), 1,
      sym__uppercase_identifier,
    ACTIONS(6075), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2800), 1,
      sym_tag,
    STATE(2811), 1,
      sym_constructor_path,
    STATE(2842), 1,
      sym__binding_pattern,
    STATE(5591), 1,
      sym_attribute,
    STATE(6344), 1,
      sym__constructor_name,
    STATE(6365), 1,
      sym__signed_constant,
    STATE(6539), 1,
      sym_record_binding_pattern,
    STATE(6565), 1,
      sym_array_binding_pattern,
    STATE(6611), 1,
      sym_parenthesized_operator,
    STATE(6627), 1,
      sym_list_binding_pattern,
    STATE(12541), 1,
      sym_let_binding,
    STATE(20503), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6460), 2,
      sym__constant,
      sym_signed_number,
    STATE(6442), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6523), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204100] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9842), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5592), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15222), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [204294] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9844), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5594), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15223), 1,
      sym__binding_pattern,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204420] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9846), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5595), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204546] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9848), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5596), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204672] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9850), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5597), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204798] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9852), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5598), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204924] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9854), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5599), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205050] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9856), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5600), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205176] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    ACTIONS(6243), 1,
      anon_sym_LPAREN,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6251), 1,
      anon_sym_POUND,
    ACTIONS(6253), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6255), 1,
      anon_sym_lazy,
    ACTIONS(6257), 1,
      anon_sym_begin,
    ACTIONS(6263), 1,
      aux_sym_number_token1,
    ACTIONS(6265), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DQUOTE,
    ACTIONS(6271), 1,
      sym__uppercase_identifier,
    ACTIONS(6273), 1,
      aux_sym_tag_token1,
    ACTIONS(9680), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9682), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2813), 1,
      sym_tag,
    STATE(2815), 1,
      sym_constructor_path,
    STATE(2850), 1,
      sym__binding_pattern,
    STATE(5601), 1,
      sym_attribute,
    STATE(6514), 1,
      sym__constructor_name,
    STATE(6551), 1,
      sym__signed_constant,
    STATE(6633), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6700), 1,
      sym_list_binding_pattern,
    STATE(6709), 1,
      sym_array_binding_pattern,
    STATE(12463), 1,
      sym_let_binding,
    STATE(20870), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6606), 2,
      sym__constant,
      sym_signed_number,
    STATE(6591), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6662), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205302] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    ACTIONS(6243), 1,
      anon_sym_LPAREN,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6251), 1,
      anon_sym_POUND,
    ACTIONS(6253), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6255), 1,
      anon_sym_lazy,
    ACTIONS(6257), 1,
      anon_sym_begin,
    ACTIONS(6263), 1,
      aux_sym_number_token1,
    ACTIONS(6265), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DQUOTE,
    ACTIONS(6271), 1,
      sym__uppercase_identifier,
    ACTIONS(6273), 1,
      aux_sym_tag_token1,
    ACTIONS(9680), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9682), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2813), 1,
      sym_tag,
    STATE(2815), 1,
      sym_constructor_path,
    STATE(2850), 1,
      sym__binding_pattern,
    STATE(5602), 1,
      sym_attribute,
    STATE(6514), 1,
      sym__constructor_name,
    STATE(6551), 1,
      sym__signed_constant,
    STATE(6633), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6700), 1,
      sym_list_binding_pattern,
    STATE(6709), 1,
      sym_array_binding_pattern,
    STATE(13097), 1,
      sym_let_binding,
    STATE(20870), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6606), 2,
      sym__constant,
      sym_signed_number,
    STATE(6591), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6662), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205428] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    ACTIONS(6243), 1,
      anon_sym_LPAREN,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6251), 1,
      anon_sym_POUND,
    ACTIONS(6253), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6255), 1,
      anon_sym_lazy,
    ACTIONS(6257), 1,
      anon_sym_begin,
    ACTIONS(6263), 1,
      aux_sym_number_token1,
    ACTIONS(6265), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DQUOTE,
    ACTIONS(6271), 1,
      sym__uppercase_identifier,
    ACTIONS(6273), 1,
      aux_sym_tag_token1,
    ACTIONS(9680), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9682), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2813), 1,
      sym_tag,
    STATE(2815), 1,
      sym_constructor_path,
    STATE(2850), 1,
      sym__binding_pattern,
    STATE(5603), 1,
      sym_attribute,
    STATE(6514), 1,
      sym__constructor_name,
    STATE(6551), 1,
      sym__signed_constant,
    STATE(6633), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6700), 1,
      sym_list_binding_pattern,
    STATE(6709), 1,
      sym_array_binding_pattern,
    STATE(13100), 1,
      sym_let_binding,
    STATE(20870), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6606), 2,
      sym__constant,
      sym_signed_number,
    STATE(6591), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6662), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205554] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    ACTIONS(6243), 1,
      anon_sym_LPAREN,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6251), 1,
      anon_sym_POUND,
    ACTIONS(6253), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6255), 1,
      anon_sym_lazy,
    ACTIONS(6257), 1,
      anon_sym_begin,
    ACTIONS(6263), 1,
      aux_sym_number_token1,
    ACTIONS(6265), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DQUOTE,
    ACTIONS(6271), 1,
      sym__uppercase_identifier,
    ACTIONS(6273), 1,
      aux_sym_tag_token1,
    ACTIONS(9680), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9682), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2813), 1,
      sym_tag,
    STATE(2815), 1,
      sym_constructor_path,
    STATE(2850), 1,
      sym__binding_pattern,
    STATE(5604), 1,
      sym_attribute,
    STATE(6514), 1,
      sym__constructor_name,
    STATE(6551), 1,
      sym__signed_constant,
    STATE(6633), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6700), 1,
      sym_list_binding_pattern,
    STATE(6709), 1,
      sym_array_binding_pattern,
    STATE(13101), 1,
      sym_let_binding,
    STATE(20870), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6606), 2,
      sym__constant,
      sym_signed_number,
    STATE(6591), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6662), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205680] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5605), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(14933), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205806] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    ACTIONS(9860), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5606), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(14934), 1,
      sym__binding_pattern,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [206000] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(3046), 1,
      sym__binding_pattern,
    STATE(5608), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(16217), 1,
      sym_let_binding,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206126] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5609), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15076), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206249] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6043), 1,
      sym__lowercase_identifier,
    ACTIONS(6045), 1,
      anon_sym_LPAREN,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    ACTIONS(6051), 1,
      anon_sym_LBRACE,
    ACTIONS(6053), 1,
      anon_sym_POUND,
    ACTIONS(6055), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6057), 1,
      anon_sym_lazy,
    ACTIONS(6059), 1,
      anon_sym_begin,
    ACTIONS(6065), 1,
      aux_sym_number_token1,
    ACTIONS(6067), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6069), 1,
      anon_sym_SQUOTE,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE,
    ACTIONS(6073), 1,
      sym__uppercase_identifier,
    ACTIONS(6075), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2800), 1,
      sym_tag,
    STATE(2811), 1,
      sym_constructor_path,
    STATE(5610), 1,
      sym_attribute,
    STATE(6344), 1,
      sym__constructor_name,
    STATE(6365), 1,
      sym__signed_constant,
    STATE(6539), 1,
      sym_record_binding_pattern,
    STATE(6554), 1,
      sym__binding_pattern,
    STATE(6565), 1,
      sym_array_binding_pattern,
    STATE(6611), 1,
      sym_parenthesized_operator,
    STATE(6627), 1,
      sym_list_binding_pattern,
    STATE(20503), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6460), 2,
      sym__constant,
      sym_signed_number,
    STATE(6442), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6523), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206372] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6043), 1,
      sym__lowercase_identifier,
    ACTIONS(6045), 1,
      anon_sym_LPAREN,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    ACTIONS(6051), 1,
      anon_sym_LBRACE,
    ACTIONS(6053), 1,
      anon_sym_POUND,
    ACTIONS(6055), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6057), 1,
      anon_sym_lazy,
    ACTIONS(6059), 1,
      anon_sym_begin,
    ACTIONS(6065), 1,
      aux_sym_number_token1,
    ACTIONS(6067), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6069), 1,
      anon_sym_SQUOTE,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE,
    ACTIONS(6073), 1,
      sym__uppercase_identifier,
    ACTIONS(6075), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2800), 1,
      sym_tag,
    STATE(2811), 1,
      sym_constructor_path,
    STATE(5611), 1,
      sym_attribute,
    STATE(6344), 1,
      sym__constructor_name,
    STATE(6365), 1,
      sym__signed_constant,
    STATE(6539), 1,
      sym_record_binding_pattern,
    STATE(6555), 1,
      sym__binding_pattern,
    STATE(6565), 1,
      sym_array_binding_pattern,
    STATE(6611), 1,
      sym_parenthesized_operator,
    STATE(6627), 1,
      sym_list_binding_pattern,
    STATE(20503), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6460), 2,
      sym__constant,
      sym_signed_number,
    STATE(6442), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6523), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206495] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6043), 1,
      sym__lowercase_identifier,
    ACTIONS(6045), 1,
      anon_sym_LPAREN,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    ACTIONS(6051), 1,
      anon_sym_LBRACE,
    ACTIONS(6053), 1,
      anon_sym_POUND,
    ACTIONS(6055), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6057), 1,
      anon_sym_lazy,
    ACTIONS(6059), 1,
      anon_sym_begin,
    ACTIONS(6065), 1,
      aux_sym_number_token1,
    ACTIONS(6067), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6069), 1,
      anon_sym_SQUOTE,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE,
    ACTIONS(6073), 1,
      sym__uppercase_identifier,
    ACTIONS(6075), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2800), 1,
      sym_tag,
    STATE(2811), 1,
      sym_constructor_path,
    STATE(5612), 1,
      sym_attribute,
    STATE(6344), 1,
      sym__constructor_name,
    STATE(6365), 1,
      sym__signed_constant,
    STATE(6539), 1,
      sym_record_binding_pattern,
    STATE(6558), 1,
      sym__binding_pattern,
    STATE(6565), 1,
      sym_array_binding_pattern,
    STATE(6611), 1,
      sym_parenthesized_operator,
    STATE(6627), 1,
      sym_list_binding_pattern,
    STATE(20503), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6460), 2,
      sym__constant,
      sym_signed_number,
    STATE(6442), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6523), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206618] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8296), 1,
      anon_sym_COLON2,
    ACTIONS(9862), 1,
      sym__lowercase_identifier,
    ACTIONS(9868), 1,
      anon_sym_LPAREN,
    ACTIONS(9871), 1,
      anon_sym_LBRACK,
    ACTIONS(9877), 1,
      anon_sym_LBRACE,
    ACTIONS(9880), 1,
      anon_sym_POUND,
    ACTIONS(9883), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9886), 1,
      anon_sym_begin,
    ACTIONS(9889), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9892), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9895), 1,
      aux_sym_number_token1,
    ACTIONS(9898), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9901), 1,
      anon_sym_SQUOTE,
    ACTIONS(9904), 1,
      anon_sym_DQUOTE,
    ACTIONS(9907), 1,
      sym__uppercase_identifier,
    ACTIONS(9910), 1,
      aux_sym_tag_token1,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9865), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(9874), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5613), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    ACTIONS(8291), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [206800] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(5615), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6566), 1,
      sym__binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206923] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5616), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15337), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207046] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5617), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15537), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207169] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(5618), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(6494), 1,
      sym__binding_pattern,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207292] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(5619), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(6495), 1,
      sym__binding_pattern,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207415] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5620), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15386), 1,
      sym__binding_pattern,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207538] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(5621), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(6448), 1,
      sym__binding_pattern,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207661] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5622), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15391), 1,
      sym__binding_pattern,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207784] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5623), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15400), 1,
      sym__binding_pattern,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207907] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5624), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15407), 1,
      sym__binding_pattern,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [208030] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(8879), 1,
      sym__uppercase_identifier,
    ACTIONS(8881), 1,
      aux_sym_tag_token1,
    ACTIONS(9462), 1,
      sym__lowercase_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9472), 1,
      anon_sym_lazy,
    STATE(3864), 1,
      sym_constructor_path,
    STATE(3865), 1,
      sym_tag,
    STATE(5625), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__constructor_name,
    STATE(15225), 1,
      sym__signed_constant,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(15497), 1,
      sym_record_binding_pattern,
    STATE(15526), 1,
      sym_list_binding_pattern,
    STATE(15540), 1,
      sym_array_binding_pattern,
    STATE(15558), 1,
      sym__binding_pattern,
    STATE(22340), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [208153] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5626), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14638), 1,
      sym__binding_pattern,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [208276] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_COLON2,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9913), 1,
      anon_sym_COLON_GT,
    ACTIONS(9915), 1,
      anon_sym_EQ,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5627), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(18444), 1,
      sym__polymorphic_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208397] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_COLON2,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9917), 1,
      anon_sym_COLON_GT,
    ACTIONS(9919), 1,
      anon_sym_EQ,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5628), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(18191), 1,
      sym__polymorphic_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [208585] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5630), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15078), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [208708] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(5631), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(6624), 1,
      sym__binding_pattern,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [208831] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(4195), 1,
      sym_tag,
    STATE(5632), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14638), 1,
      sym__binding_pattern,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [208954] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(5633), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(6597), 1,
      sym__binding_pattern,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209077] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(4195), 1,
      sym_tag,
    STATE(5634), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15595), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209200] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(4195), 1,
      sym_tag,
    STATE(5635), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15599), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209323] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(4194), 1,
      sym_constructor_path,
    STATE(4195), 1,
      sym_tag,
    STATE(5636), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15470), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209446] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5637), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15357), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209569] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5883), 1,
      sym__lowercase_identifier,
    ACTIONS(5887), 1,
      anon_sym_LPAREN,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LBRACE,
    ACTIONS(5895), 1,
      anon_sym_POUND,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5899), 1,
      anon_sym_lazy,
    ACTIONS(5901), 1,
      anon_sym_begin,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5915), 1,
      sym__uppercase_identifier,
    ACTIONS(5917), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(5638), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__constructor_name,
    STATE(6230), 1,
      sym__signed_constant,
    STATE(6352), 1,
      sym_record_binding_pattern,
    STATE(6355), 1,
      sym_list_binding_pattern,
    STATE(6366), 1,
      sym_array_binding_pattern,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(6439), 1,
      sym__binding_pattern,
    STATE(20227), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5891), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6351), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209692] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      sym__lowercase_identifier,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_POUND,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6101), 1,
      anon_sym_lazy,
    ACTIONS(6103), 1,
      anon_sym_begin,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6117), 1,
      sym__uppercase_identifier,
    ACTIONS(6119), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(5639), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6457), 1,
      sym__signed_constant,
    STATE(6530), 1,
      sym_record_binding_pattern,
    STATE(6535), 1,
      sym_list_binding_pattern,
    STATE(6536), 1,
      sym_array_binding_pattern,
    STATE(6560), 1,
      sym__binding_pattern,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(20121), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6528), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209815] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_COLON2,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      anon_sym_COLON_GT,
    ACTIONS(9923), 1,
      anon_sym_EQ,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5640), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(18237), 1,
      sym__polymorphic_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209936] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    ACTIONS(6243), 1,
      anon_sym_LPAREN,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6251), 1,
      anon_sym_POUND,
    ACTIONS(6253), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6255), 1,
      anon_sym_lazy,
    ACTIONS(6257), 1,
      anon_sym_begin,
    ACTIONS(6263), 1,
      aux_sym_number_token1,
    ACTIONS(6265), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DQUOTE,
    ACTIONS(6271), 1,
      sym__uppercase_identifier,
    ACTIONS(6273), 1,
      aux_sym_tag_token1,
    ACTIONS(9680), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9682), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2813), 1,
      sym_tag,
    STATE(2815), 1,
      sym_constructor_path,
    STATE(5641), 1,
      sym_attribute,
    STATE(6514), 1,
      sym__constructor_name,
    STATE(6551), 1,
      sym__signed_constant,
    STATE(6633), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6700), 1,
      sym_list_binding_pattern,
    STATE(6709), 1,
      sym_array_binding_pattern,
    STATE(6710), 1,
      sym__binding_pattern,
    STATE(20870), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6606), 2,
      sym__constant,
      sym_signed_number,
    STATE(6591), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6662), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210059] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    ACTIONS(6243), 1,
      anon_sym_LPAREN,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6251), 1,
      anon_sym_POUND,
    ACTIONS(6253), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6255), 1,
      anon_sym_lazy,
    ACTIONS(6257), 1,
      anon_sym_begin,
    ACTIONS(6263), 1,
      aux_sym_number_token1,
    ACTIONS(6265), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DQUOTE,
    ACTIONS(6271), 1,
      sym__uppercase_identifier,
    ACTIONS(6273), 1,
      aux_sym_tag_token1,
    ACTIONS(9680), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9682), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2813), 1,
      sym_tag,
    STATE(2815), 1,
      sym_constructor_path,
    STATE(5642), 1,
      sym_attribute,
    STATE(6514), 1,
      sym__constructor_name,
    STATE(6551), 1,
      sym__signed_constant,
    STATE(6633), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6700), 1,
      sym_list_binding_pattern,
    STATE(6709), 1,
      sym_array_binding_pattern,
    STATE(6716), 1,
      sym__binding_pattern,
    STATE(20870), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6606), 2,
      sym__constant,
      sym_signed_number,
    STATE(6591), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6662), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210182] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(5643), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(10199), 1,
      sym__binding_pattern,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210305] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    ACTIONS(6243), 1,
      anon_sym_LPAREN,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6251), 1,
      anon_sym_POUND,
    ACTIONS(6253), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6255), 1,
      anon_sym_lazy,
    ACTIONS(6257), 1,
      anon_sym_begin,
    ACTIONS(6263), 1,
      aux_sym_number_token1,
    ACTIONS(6265), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DQUOTE,
    ACTIONS(6271), 1,
      sym__uppercase_identifier,
    ACTIONS(6273), 1,
      aux_sym_tag_token1,
    ACTIONS(9680), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9682), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2813), 1,
      sym_tag,
    STATE(2815), 1,
      sym_constructor_path,
    STATE(5644), 1,
      sym_attribute,
    STATE(6514), 1,
      sym__constructor_name,
    STATE(6551), 1,
      sym__signed_constant,
    STATE(6633), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6700), 1,
      sym_list_binding_pattern,
    STATE(6709), 1,
      sym_array_binding_pattern,
    STATE(6719), 1,
      sym__binding_pattern,
    STATE(20870), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6606), 2,
      sym__constant,
      sym_signed_number,
    STATE(6591), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6662), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210428] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(5645), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10144), 1,
      sym__binding_pattern,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210551] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(5646), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10170), 1,
      sym__binding_pattern,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210674] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_tag,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(5647), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__constructor_name,
    STATE(10114), 1,
      sym__signed_constant,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10139), 1,
      sym__binding_pattern,
    STATE(10188), 1,
      sym_record_binding_pattern,
    STATE(10189), 1,
      sym_list_binding_pattern,
    STATE(10190), 1,
      sym_array_binding_pattern,
    STATE(19655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10182), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210797] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    ACTIONS(6243), 1,
      anon_sym_LPAREN,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6251), 1,
      anon_sym_POUND,
    ACTIONS(6253), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6255), 1,
      anon_sym_lazy,
    ACTIONS(6257), 1,
      anon_sym_begin,
    ACTIONS(6263), 1,
      aux_sym_number_token1,
    ACTIONS(6265), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DQUOTE,
    ACTIONS(6271), 1,
      sym__uppercase_identifier,
    ACTIONS(6273), 1,
      aux_sym_tag_token1,
    ACTIONS(9680), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9682), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2813), 1,
      sym_tag,
    STATE(2815), 1,
      sym_constructor_path,
    STATE(5648), 1,
      sym_attribute,
    STATE(6514), 1,
      sym__constructor_name,
    STATE(6551), 1,
      sym__signed_constant,
    STATE(6633), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6689), 1,
      sym__binding_pattern,
    STATE(6700), 1,
      sym_list_binding_pattern,
    STATE(6709), 1,
      sym_array_binding_pattern,
    STATE(20870), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6606), 2,
      sym__constant,
      sym_signed_number,
    STATE(6591), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6662), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210920] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6043), 1,
      sym__lowercase_identifier,
    ACTIONS(6045), 1,
      anon_sym_LPAREN,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    ACTIONS(6051), 1,
      anon_sym_LBRACE,
    ACTIONS(6053), 1,
      anon_sym_POUND,
    ACTIONS(6055), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6057), 1,
      anon_sym_lazy,
    ACTIONS(6059), 1,
      anon_sym_begin,
    ACTIONS(6065), 1,
      aux_sym_number_token1,
    ACTIONS(6067), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6069), 1,
      anon_sym_SQUOTE,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE,
    ACTIONS(6073), 1,
      sym__uppercase_identifier,
    ACTIONS(6075), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2800), 1,
      sym_tag,
    STATE(2811), 1,
      sym_constructor_path,
    STATE(5649), 1,
      sym_attribute,
    STATE(6344), 1,
      sym__constructor_name,
    STATE(6365), 1,
      sym__signed_constant,
    STATE(6539), 1,
      sym_record_binding_pattern,
    STATE(6553), 1,
      sym__binding_pattern,
    STATE(6565), 1,
      sym_array_binding_pattern,
    STATE(6611), 1,
      sym_parenthesized_operator,
    STATE(6627), 1,
      sym_list_binding_pattern,
    STATE(20503), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6049), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6460), 2,
      sym__constant,
      sym_signed_number,
    STATE(6442), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6523), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [211043] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_COLON2,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9925), 1,
      anon_sym_COLON_GT,
    ACTIONS(9927), 1,
      anon_sym_EQ,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5650), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(18247), 1,
      sym__polymorphic_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211164] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_COLON2,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON_GT,
    ACTIONS(9931), 1,
      anon_sym_EQ,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5651), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(18653), 1,
      sym__polymorphic_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211285] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_COLON2,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9933), 1,
      anon_sym_COLON_GT,
    ACTIONS(9935), 1,
      anon_sym_EQ,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5652), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(18946), 1,
      sym__polymorphic_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211406] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_COLON2,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9937), 1,
      anon_sym_COLON_GT,
    ACTIONS(9939), 1,
      anon_sym_EQ,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5653), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19152), 1,
      sym__polymorphic_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211527] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      sym__lowercase_identifier,
    ACTIONS(9438), 1,
      anon_sym_lazy,
    STATE(3757), 1,
      sym_constructor_path,
    STATE(3762), 1,
      sym_tag,
    STATE(5654), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14601), 1,
      sym__signed_constant,
    STATE(14778), 1,
      sym_record_binding_pattern,
    STATE(14779), 1,
      sym_list_binding_pattern,
    STATE(14818), 1,
      sym_array_binding_pattern,
    STATE(15077), 1,
      sym__binding_pattern,
    STATE(20275), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14775), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [211650] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9943), 1,
      anon_sym_DASH_GT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5655), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20904), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211768] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9947), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5656), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22305), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211886] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9949), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5657), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22478), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212004] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9951), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5658), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19579), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212122] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9953), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5659), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19676), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212240] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9955), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5660), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20056), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212358] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9957), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5661), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20140), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212476] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9959), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5662), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20530), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212594] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9961), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5663), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20613), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212712] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9963), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5664), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21139), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212830] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9965), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5665), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21197), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212948] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9967), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5666), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21431), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213066] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9969), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5667), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21499), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213184] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9975), 1,
      aux_sym_attribute_id_token1,
    STATE(5668), 1,
      sym_attribute,
    STATE(5735), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9971), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [213254] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9977), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5669), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21863), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213372] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9979), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5670), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21972), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213490] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9981), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5671), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22443), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213608] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9983), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5672), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22481), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213726] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9985), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5673), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19548), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213844] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9987), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5674), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21517), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213962] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9989), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5675), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21085), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214080] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9991), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5676), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21040), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214198] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9993), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5677), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21491), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214316] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9995), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5678), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21712), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214434] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9997), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5679), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19986), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214552] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9999), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5680), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20392), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214670] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10001), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5681), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21027), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214788] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10003), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5682), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21153), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214906] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10005), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5683), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21309), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215024] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10007), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5684), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21385), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215142] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10009), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5685), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21102), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215260] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10011), 1,
      anon_sym_LT_DASH,
    STATE(5686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [215328] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10013), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5687), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21931), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215446] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10015), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5688), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21940), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [215630] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10017), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5690), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21849), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215748] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10019), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5691), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20205), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215866] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10021), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5692), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20955), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [216050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [216116] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10023), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5695), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22210), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216234] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10025), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5696), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22230), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [216418] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10027), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5698), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20936), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216536] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10029), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5699), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21557), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216654] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10031), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5700), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20277), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216772] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10033), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5701), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20706), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [216956] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10035), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5703), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19381), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217074] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10037), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5704), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21110), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [217258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [217324] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10039), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5707), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19504), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217442] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10041), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5708), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19577), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217560] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10043), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5709), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20259), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217678] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10045), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5710), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22429), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217796] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10047), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5711), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21402), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217914] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10049), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5712), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20574), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218032] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10051), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5713), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20782), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218150] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10053), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5714), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20962), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218268] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10055), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5715), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22101), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218386] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10057), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5716), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19328), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218504] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10059), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5717), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20361), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218622] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10061), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5718), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20643), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218740] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(5719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [218808] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10063), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5720), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21516), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218926] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10065), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5721), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22035), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219044] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10067), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5722), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21294), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219162] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10069), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5723), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21160), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219280] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10071), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5724), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20123), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219398] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10073), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5725), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22309), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219516] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10075), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5726), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21301), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219634] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10077), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5727), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21336), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219752] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10079), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5728), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21332), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219870] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10081), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5729), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21428), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219988] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10083), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5730), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21644), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220106] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10085), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5731), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21916), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220224] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10087), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5732), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21333), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220342] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10089), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5733), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22089), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220526] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9975), 1,
      aux_sym_attribute_id_token1,
    STATE(5735), 1,
      sym_attribute,
    STATE(5745), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10091), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [220596] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10095), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5736), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19354), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220714] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10097), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5737), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20389), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220832] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10099), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5738), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19646), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220950] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10101), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5739), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21837), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221068] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10103), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5740), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19472), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221186] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10105), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5741), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19899), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221304] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10107), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5742), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19522), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221422] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10109), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5743), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19601), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221540] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10111), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5744), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19713), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221658] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5745), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10113), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [221726] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10120), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5746), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19674), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221844] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10122), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5747), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21886), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221962] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10124), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5748), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22088), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222080] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10126), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5749), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21838), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222198] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10128), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5750), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(21990), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222316] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10130), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5751), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(19950), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222434] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10132), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5752), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21594), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222552] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10134), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5753), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20270), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222670] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10136), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5754), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20527), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222854] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10138), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5756), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21711), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222972] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10140), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5757), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20001), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223090] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10142), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5758), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21173), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223208] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10144), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5759), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21391), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223326] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10146), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5760), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20923), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223444] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10148), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5761), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20130), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223562] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10150), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5762), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20309), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223680] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10152), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5763), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20412), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223798] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10154), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5764), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22308), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223916] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10156), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5765), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    STATE(22348), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224034] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10158), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5766), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21205), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224152] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10160), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5767), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21292), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224270] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10162), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5768), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20957), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224388] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10164), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5769), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21049), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224506] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10166), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5770), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(20775), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224624] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10168), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5771), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21984), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224742] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10170), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5772), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21093), 1,
      sym__simple_typed,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224860] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10172), 1,
      anon_sym_LT_DASH,
    STATE(5773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225382] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(5781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225904] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5720), 1,
      aux_sym_let_binding_repeat1,
    STATE(5789), 1,
      sym_attribute,
    STATE(6005), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226669] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5687), 1,
      aux_sym_let_binding_repeat1,
    STATE(5800), 1,
      sym_attribute,
    STATE(6019), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226979] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5712), 1,
      aux_sym_let_binding_repeat1,
    STATE(5804), 1,
      sym_attribute,
    STATE(6027), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227094] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5739), 1,
      aux_sym_let_binding_repeat1,
    STATE(5805), 1,
      sym_attribute,
    STATE(6159), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227209] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5749), 1,
      aux_sym_let_binding_repeat1,
    STATE(5806), 1,
      sym_attribute,
    STATE(6042), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227454] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5770), 1,
      aux_sym_let_binding_repeat1,
    STATE(5809), 1,
      sym_attribute,
    STATE(6049), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227829] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5761), 1,
      aux_sym_let_binding_repeat1,
    STATE(5814), 1,
      sym_attribute,
    STATE(6050), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228009] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5716), 1,
      aux_sym_let_binding_repeat1,
    STATE(5816), 1,
      sym_attribute,
    STATE(6053), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228124] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5685), 1,
      aux_sym_let_binding_repeat1,
    STATE(5817), 1,
      sym_attribute,
    STATE(6054), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228239] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5698), 1,
      aux_sym_let_binding_repeat1,
    STATE(5818), 1,
      sym_attribute,
    STATE(6055), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228354] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5717), 1,
      aux_sym_let_binding_repeat1,
    STATE(5819), 1,
      sym_attribute,
    STATE(6056), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228534] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5725), 1,
      aux_sym_let_binding_repeat1,
    STATE(5821), 1,
      sym_attribute,
    STATE(6059), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228714] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5729), 1,
      aux_sym_let_binding_repeat1,
    STATE(5823), 1,
      sym_attribute,
    STATE(6061), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228829] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5740), 1,
      aux_sym_let_binding_repeat1,
    STATE(5824), 1,
      sym_attribute,
    STATE(6068), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229074] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5771), 1,
      aux_sym_let_binding_repeat1,
    STATE(5827), 1,
      sym_attribute,
    STATE(6071), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229189] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5676), 1,
      aux_sym_let_binding_repeat1,
    STATE(5828), 1,
      sym_attribute,
    STATE(6072), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229304] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5714), 1,
      aux_sym_let_binding_repeat1,
    STATE(5829), 1,
      sym_attribute,
    STATE(6073), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229419] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5695), 1,
      aux_sym_let_binding_repeat1,
    STATE(5830), 1,
      sym_attribute,
    STATE(6074), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229534] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5731), 1,
      aux_sym_let_binding_repeat1,
    STATE(5831), 1,
      sym_attribute,
    STATE(6075), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229649] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5743), 1,
      aux_sym_let_binding_repeat1,
    STATE(5832), 1,
      sym_attribute,
    STATE(6076), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229764] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5762), 1,
      aux_sym_let_binding_repeat1,
    STATE(5833), 1,
      sym_attribute,
    STATE(6078), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229944] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5768), 1,
      aux_sym_let_binding_repeat1,
    STATE(5835), 1,
      sym_attribute,
    STATE(6080), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230124] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5747), 1,
      aux_sym_let_binding_repeat1,
    STATE(5837), 1,
      sym_attribute,
    STATE(6081), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230304] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5708), 1,
      aux_sym_let_binding_repeat1,
    STATE(5839), 1,
      sym_attribute,
    STATE(6082), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230419] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5751), 1,
      aux_sym_let_binding_repeat1,
    STATE(5840), 1,
      sym_attribute,
    STATE(6083), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230534] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5709), 1,
      aux_sym_let_binding_repeat1,
    STATE(5841), 1,
      sym_attribute,
    STATE(6084), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230649] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5760), 1,
      aux_sym_let_binding_repeat1,
    STATE(5842), 1,
      sym_attribute,
    STATE(6160), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230764] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5722), 1,
      aux_sym_let_binding_repeat1,
    STATE(5843), 1,
      sym_attribute,
    STATE(6086), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230879] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5752), 1,
      aux_sym_let_binding_repeat1,
    STATE(5844), 1,
      sym_attribute,
    STATE(6087), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230994] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5764), 1,
      aux_sym_let_binding_repeat1,
    STATE(5845), 1,
      sym_attribute,
    STATE(6088), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231174] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_DOT,
    STATE(5847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231241] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5683), 1,
      aux_sym_let_binding_repeat1,
    STATE(5848), 1,
      sym_attribute,
    STATE(6090), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231356] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5691), 1,
      aux_sym_let_binding_repeat1,
    STATE(5849), 1,
      sym_attribute,
    STATE(6091), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231471] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5700), 1,
      aux_sym_let_binding_repeat1,
    STATE(5850), 1,
      sym_attribute,
    STATE(6092), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231586] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5710), 1,
      aux_sym_let_binding_repeat1,
    STATE(5851), 1,
      sym_attribute,
    STATE(6093), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231701] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5723), 1,
      aux_sym_let_binding_repeat1,
    STATE(5852), 1,
      sym_attribute,
    STATE(6094), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231881] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5728), 1,
      aux_sym_let_binding_repeat1,
    STATE(5854), 1,
      sym_attribute,
    STATE(6095), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231996] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_DOT,
    ACTIONS(5587), 1,
      anon_sym_POUND,
    ACTIONS(5589), 1,
      sym_hash_operator,
    STATE(5855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232132] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5742), 1,
      aux_sym_let_binding_repeat1,
    STATE(5857), 1,
      sym_attribute,
    STATE(6096), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232247] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5753), 1,
      aux_sym_let_binding_repeat1,
    STATE(5858), 1,
      sym_attribute,
    STATE(6098), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232362] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5758), 1,
      aux_sym_let_binding_repeat1,
    STATE(5859), 1,
      sym_attribute,
    STATE(6100), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232477] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5715), 1,
      aux_sym_let_binding_repeat1,
    STATE(5860), 1,
      sym_attribute,
    STATE(6101), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232592] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5658), 1,
      aux_sym_let_binding_repeat1,
    STATE(5861), 1,
      sym_attribute,
    STATE(6102), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232707] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5660), 1,
      aux_sym_let_binding_repeat1,
    STATE(5862), 1,
      sym_attribute,
    STATE(6103), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232822] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5662), 1,
      aux_sym_let_binding_repeat1,
    STATE(5863), 1,
      sym_attribute,
    STATE(6104), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232937] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5664), 1,
      aux_sym_let_binding_repeat1,
    STATE(5864), 1,
      sym_attribute,
    STATE(6106), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233052] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5666), 1,
      aux_sym_let_binding_repeat1,
    STATE(5865), 1,
      sym_attribute,
    STATE(6109), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233297] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10174), 1,
      anon_sym_LT_DASH,
    STATE(5868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233364] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5669), 1,
      aux_sym_let_binding_repeat1,
    STATE(5869), 1,
      sym_attribute,
    STATE(6112), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233479] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5671), 1,
      aux_sym_let_binding_repeat1,
    STATE(5870), 1,
      sym_attribute,
    STATE(6113), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233594] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_DOT,
    ACTIONS(5587), 1,
      anon_sym_POUND,
    ACTIONS(5589), 1,
      sym_hash_operator,
    STATE(5871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233665] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5655), 1,
      aux_sym_let_binding_repeat1,
    STATE(5872), 1,
      sym_attribute,
    STATE(6114), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233845] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5675), 1,
      aux_sym_let_binding_repeat1,
    STATE(5874), 1,
      sym_attribute,
    STATE(6115), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234025] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(5876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234092] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5679), 1,
      aux_sym_let_binding_repeat1,
    STATE(5877), 1,
      sym_attribute,
    STATE(6117), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234207] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5681), 1,
      aux_sym_let_binding_repeat1,
    STATE(5878), 1,
      sym_attribute,
    STATE(6118), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(10113), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [234842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235362] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(5895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236274] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5766), 1,
      aux_sym_let_binding_repeat1,
    STATE(5909), 1,
      sym_attribute,
    STATE(6089), 1,
      sym__attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [236389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236901] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8965), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8967), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8981), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8983), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237477] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5595), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_POUND,
    ACTIONS(5599), 1,
      sym_hash_operator,
    STATE(5927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238187] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10176), 1,
      anon_sym_LT_DASH,
    STATE(5938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238381] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8953), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8951), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238573] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10182), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5944), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(10178), 19,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10180), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [238639] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(5945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8969), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238833] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10185), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5948), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [238945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239649] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10187), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5960), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [239761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239953] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8943), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8945), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240017] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8941), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8949), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240209] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5595), 1,
      anon_sym_DOT,
    STATE(5968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240275] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8961), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8963), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240339] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8955), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8957), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240467] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10189), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5972), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240579] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8977), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8975), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240899] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5595), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_POUND,
    ACTIONS(5599), 1,
      sym_hash_operator,
    STATE(5978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241097] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10191), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5981), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241273] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10193), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5983), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241449] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(5985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241643] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10195), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5988), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242075] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(5994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242269] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10197), 1,
      anon_sym_DASH_GT,
    STATE(5613), 1,
      aux_sym_let_binding_repeat1,
    STATE(5997), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242573] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(6001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9126), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242638] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8953), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8951), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242701] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5997), 1,
      aux_sym_let_binding_repeat1,
    STATE(6003), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242810] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9126), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242875] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5721), 1,
      aux_sym_let_binding_repeat1,
    STATE(6005), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242984] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8929), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9334), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243110] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9078), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243173] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9408), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9406), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243236] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9410), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243299] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9414), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243362] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5605), 1,
      anon_sym_DOT,
    ACTIONS(5607), 1,
      anon_sym_POUND,
    ACTIONS(5609), 1,
      sym_hash_operator,
    STATE(6012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9148), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243431] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9074), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243494] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9174), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9178), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243620] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9330), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243683] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9364), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9376), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243809] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5688), 1,
      aux_sym_let_binding_repeat1,
    STATE(6019), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243918] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9380), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243981] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5605), 1,
      anon_sym_DOT,
    STATE(6021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9388), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244046] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9422), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244109] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9286), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244172] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9338), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244235] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9342), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244298] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9106), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244361] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5713), 1,
      aux_sym_let_binding_repeat1,
    STATE(6027), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244470] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9296), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244533] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9218), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244596] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9234), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244659] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9258), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9082), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9114), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244848] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9144), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244911] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9152), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244974] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245037] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9194), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245100] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5605), 1,
      anon_sym_DOT,
    ACTIONS(5607), 1,
      anon_sym_POUND,
    ACTIONS(5609), 1,
      sym_hash_operator,
    STATE(6038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9206), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10199), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10201), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [245232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9354), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245295] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9368), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245358] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5750), 1,
      aux_sym_let_binding_repeat1,
    STATE(6042), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9372), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245530] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9384), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245593] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8965), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8967), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245656] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9090), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245719] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(6047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8969), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245784] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9102), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245847] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5673), 1,
      aux_sym_let_binding_repeat1,
    STATE(6049), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245956] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5707), 1,
      aux_sym_let_binding_repeat1,
    STATE(6050), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246065] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9302), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246128] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9190), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246191] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5736), 1,
      aux_sym_let_binding_repeat1,
    STATE(6053), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246300] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5690), 1,
      aux_sym_let_binding_repeat1,
    STATE(6054), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246409] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5699), 1,
      aux_sym_let_binding_repeat1,
    STATE(6055), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246518] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5718), 1,
      aux_sym_let_binding_repeat1,
    STATE(6056), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246627] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9262), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246690] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9266), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246753] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5726), 1,
      aux_sym_let_binding_repeat1,
    STATE(6059), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246862] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9292), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246925] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5732), 1,
      aux_sym_let_binding_repeat1,
    STATE(6061), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247034] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9326), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9094), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247160] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10203), 1,
      anon_sym_lazy,
    STATE(3348), 1,
      sym_constructor_path,
    STATE(3621), 1,
      sym_tag,
    STATE(6064), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(19857), 1,
      sym__effect_pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14318), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [247271] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9098), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247334] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9110), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9118), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247460] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5741), 1,
      aux_sym_let_binding_repeat1,
    STATE(6068), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247569] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9122), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247632] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9170), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247695] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5657), 1,
      aux_sym_let_binding_repeat1,
    STATE(6071), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247804] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5678), 1,
      aux_sym_let_binding_repeat1,
    STATE(6072), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247913] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5772), 1,
      aux_sym_let_binding_repeat1,
    STATE(6073), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248022] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5696), 1,
      aux_sym_let_binding_repeat1,
    STATE(6074), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248131] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5733), 1,
      aux_sym_let_binding_repeat1,
    STATE(6075), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248240] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5744), 1,
      aux_sym_let_binding_repeat1,
    STATE(6076), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248349] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(6077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9126), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248414] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5763), 1,
      aux_sym_let_binding_repeat1,
    STATE(6078), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248523] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8981), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8983), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248586] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5769), 1,
      aux_sym_let_binding_repeat1,
    STATE(6080), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248695] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5748), 1,
      aux_sym_let_binding_repeat1,
    STATE(6081), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248804] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5738), 1,
      aux_sym_let_binding_repeat1,
    STATE(6082), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248913] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5757), 1,
      aux_sym_let_binding_repeat1,
    STATE(6083), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249022] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5737), 1,
      aux_sym_let_binding_repeat1,
    STATE(6084), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249131] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8961), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8963), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249194] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5727), 1,
      aux_sym_let_binding_repeat1,
    STATE(6086), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249303] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5756), 1,
      aux_sym_let_binding_repeat1,
    STATE(6087), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249412] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5765), 1,
      aux_sym_let_binding_repeat1,
    STATE(6088), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249521] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5767), 1,
      aux_sym_let_binding_repeat1,
    STATE(6089), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249630] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5684), 1,
      aux_sym_let_binding_repeat1,
    STATE(6090), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249739] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5692), 1,
      aux_sym_let_binding_repeat1,
    STATE(6091), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249848] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5701), 1,
      aux_sym_let_binding_repeat1,
    STATE(6092), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249957] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5711), 1,
      aux_sym_let_binding_repeat1,
    STATE(6093), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250066] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5724), 1,
      aux_sym_let_binding_repeat1,
    STATE(6094), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250175] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5730), 1,
      aux_sym_let_binding_repeat1,
    STATE(6095), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250284] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5746), 1,
      aux_sym_let_binding_repeat1,
    STATE(6096), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250393] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8969), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250456] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5754), 1,
      aux_sym_let_binding_repeat1,
    STATE(6098), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250565] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9180), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250628] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5759), 1,
      aux_sym_let_binding_repeat1,
    STATE(6100), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250737] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5656), 1,
      aux_sym_let_binding_repeat1,
    STATE(6101), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250846] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5659), 1,
      aux_sym_let_binding_repeat1,
    STATE(6102), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250955] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5661), 1,
      aux_sym_let_binding_repeat1,
    STATE(6103), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251064] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5663), 1,
      aux_sym_let_binding_repeat1,
    STATE(6104), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251173] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9198), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251236] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5665), 1,
      aux_sym_let_binding_repeat1,
    STATE(6106), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251345] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9202), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251408] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9210), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251471] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5667), 1,
      aux_sym_let_binding_repeat1,
    STATE(6109), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251580] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9214), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251643] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8955), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8957), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251706] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5670), 1,
      aux_sym_let_binding_repeat1,
    STATE(6112), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251815] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5672), 1,
      aux_sym_let_binding_repeat1,
    STATE(6113), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251924] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5674), 1,
      aux_sym_let_binding_repeat1,
    STATE(6114), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252033] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5677), 1,
      aux_sym_let_binding_repeat1,
    STATE(6115), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252142] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10205), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6116), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(10178), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10180), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [252207] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5680), 1,
      aux_sym_let_binding_repeat1,
    STATE(6117), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252316] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5682), 1,
      aux_sym_let_binding_repeat1,
    STATE(6118), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252425] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10203), 1,
      anon_sym_lazy,
    STATE(3348), 1,
      sym_constructor_path,
    STATE(3621), 1,
      sym_tag,
    STATE(6119), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(20323), 1,
      sym_module_path,
    STATE(20568), 1,
      sym__effect_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14318), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [252536] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5981), 1,
      aux_sym_let_binding_repeat1,
    STATE(6120), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252645] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10203), 1,
      anon_sym_lazy,
    STATE(3348), 1,
      sym_constructor_path,
    STATE(3621), 1,
      sym_tag,
    STATE(6121), 1,
      sym_attribute,
    STATE(9632), 1,
      sym__constructor_name,
    STATE(19325), 1,
      sym__effect_pattern,
    STATE(20323), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(14482), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14318), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [252756] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5948), 1,
      aux_sym_let_binding_repeat1,
    STATE(6122), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252865] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5960), 1,
      aux_sym_let_binding_repeat1,
    STATE(6123), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252974] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9220), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253037] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5972), 1,
      aux_sym_let_binding_repeat1,
    STATE(6125), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [253146] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9224), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253209] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9228), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253272] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9314), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253335] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5983), 1,
      aux_sym_let_binding_repeat1,
    STATE(6129), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [253444] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9244), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253507] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5988), 1,
      aux_sym_let_binding_repeat1,
    STATE(6131), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [253616] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9270), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253679] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9248), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253742] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8977), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8975), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253805] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9252), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253868] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9282), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253931] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10208), 1,
      anon_sym_COLON,
    STATE(6137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253996] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8943), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8945), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254059] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8941), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254122] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8949), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254185] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(6141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8969), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10210), 1,
      anon_sym_LT_DASH,
    STATE(6142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8929), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9306), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254378] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9278), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254441] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9310), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254504] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254567] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9132), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8943), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8945), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8941), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254756] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8949), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8961), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8963), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254882] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8955), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8957), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254945] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255008] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9158), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255071] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8965), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8967), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8981), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8983), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255197] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9126), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9164), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255325] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5703), 1,
      aux_sym_let_binding_repeat1,
    STATE(6159), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255434] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6419), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5704), 1,
      aux_sym_let_binding_repeat1,
    STATE(6160), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11558), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11556), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255543] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9198), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255605] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9098), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255667] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9306), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255729] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9278), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255791] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(6165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9126), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255855] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9310), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10214), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10212), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [255979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10218), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10216), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256041] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9248), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9252), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256165] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8929), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9228), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9224), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9252), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9158), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9282), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10199), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10201), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [256599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9210), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256661] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9202), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256723] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9380), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9210), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256847] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9158), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256909] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      anon_sym_DOT,
    STATE(6183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9388), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256973] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9094), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257035] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9314), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9248), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10220), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [257221] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9180), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9410), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257345] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9218), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9234), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257469] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(6192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257533] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9132), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257595] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9102), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257657] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9132), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9220), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9214), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257843] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257905] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_LT_DASH,
    STATE(6199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8929), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257969] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9314), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9330), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258093] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5615), 1,
      anon_sym_DOT,
    ACTIONS(5617), 1,
      anon_sym_POUND,
    ACTIONS(5619), 1,
      sym_hash_operator,
    STATE(6202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9148), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9270), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258223] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9224), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258285] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9414), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10226), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258409] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9170), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258471] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9244), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10230), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [258595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9132), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258657] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8969), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9122), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9278), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258843] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8969), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258905] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(6215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8969), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258969] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10234), 1,
      anon_sym_LT_DASH,
    STATE(6216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8929), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259033] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5615), 1,
      anon_sym_DOT,
    ACTIONS(5617), 1,
      anon_sym_POUND,
    ACTIONS(5619), 1,
      sym_hash_operator,
    STATE(6217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9206), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259101] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9214), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259163] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9090), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259225] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(6220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9126), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259289] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9126), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9302), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259415] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(6223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9158), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9170), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9270), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259665] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9306), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259727] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9266), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9258), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259851] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10236), 1,
      anon_sym_DOT_DOT,
    STATE(6230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5885), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(5881), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259915] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259979] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9252), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9244), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260165] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260229] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9228), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260291] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10238), 1,
      anon_sym_COLON,
    STATE(6237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260355] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9310), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9422), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8953), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8951), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9074), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9174), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260665] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8943), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8945), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260727] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8941), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8949), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260851] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9194), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260913] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      anon_sym_DOT,
    ACTIONS(5627), 1,
      anon_sym_POUND,
    ACTIONS(5629), 1,
      sym_hash_operator,
    STATE(6247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9206), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8961), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8963), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261043] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8955), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8957), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261105] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8977), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8975), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261229] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9190), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9164), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9286), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9334), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261477] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9178), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261539] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9202), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261601] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9198), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9368), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9282), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261787] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      anon_sym_DOT,
    ACTIONS(5627), 1,
      anon_sym_POUND,
    ACTIONS(5629), 1,
      sym_hash_operator,
    STATE(6261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9148), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9248), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261917] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9338), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261979] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9270), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262041] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9262), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9372), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262165] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9384), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262227] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9342), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262289] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8965), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8967), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262351] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8981), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8983), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8929), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9334), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262537] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9078), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9408), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9406), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262661] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9410), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262723] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9414), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9078), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262847] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9220), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9074), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262971] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9174), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263033] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9178), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263095] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9330), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263157] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9364), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9376), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263281] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9282), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263343] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9380), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263405] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5615), 1,
      anon_sym_DOT,
    STATE(6287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9388), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9422), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263531] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9286), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263593] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9338), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9342), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263717] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9106), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263779] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9296), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9218), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9234), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9258), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264027] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9082), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9164), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264151] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9114), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9364), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264275] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9144), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264337] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9152), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264399] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264461] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9292), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264523] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9194), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264585] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9082), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9106), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9326), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9354), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264833] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9368), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264895] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9372), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9384), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265019] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9408), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9406), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9220), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265143] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9110), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9164), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265267] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9114), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9090), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265391] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9102), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9118), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9144), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265577] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9190), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265639] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9152), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265701] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9224), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265763] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9296), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265825] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9228), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265887] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9278), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9262), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9266), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266073] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9292), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266135] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9244), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266197] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9326), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266259] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9094), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266321] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9098), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9110), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266445] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9118), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9122), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266569] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9126), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266633] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9302), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266695] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9180), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266757] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9376), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9354), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9210), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [267003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [267064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(6346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [267127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [267188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10242), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10240), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9314), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5885), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(5881), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10244), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10250), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10248), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267554] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9220), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10252), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267676] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9224), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10258), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10256), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267798] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10260), 1,
      anon_sym_LT_DASH,
    STATE(6358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8929), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9214), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267922] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [267985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10262), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10268), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10266), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9132), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10272), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10270), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268229] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10274), 1,
      anon_sym_DOT_DOT,
    STATE(6365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5881), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(5885), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [268292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10276), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9228), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10218), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10216), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9278), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10280), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10284), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268658] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9302), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9198), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268780] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9244), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9202), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268902] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9306), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268963] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9310), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10226), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9170), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269146] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9248), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9202), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269268] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9252), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9210), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269390] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9214), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9164), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10288), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10292), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10296), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10300), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10306), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10304), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269878] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8929), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9220), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10308), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9180), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270122] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9334), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270183] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9078), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9224), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9302), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270366] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9408), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9406), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270427] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9410), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270488] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9414), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9228), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10312), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270671] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9074), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9174), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270793] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9178), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270854] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9330), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270915] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9364), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270976] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9376), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9244), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271098] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9380), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271159] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5755), 1,
      anon_sym_DOT,
    STATE(6413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9388), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271222] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9422), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9286), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271344] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9338), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271405] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9342), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271466] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9106), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271527] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9296), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271588] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9218), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271649] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9234), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271710] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9258), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9082), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271832] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9114), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271893] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9144), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271954] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9152), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10316), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272076] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9194), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272137] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9354), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9368), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9314), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9270), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272381] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9372), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272442] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9384), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272503] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9090), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [272625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [272686] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9102), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10320), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272808] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9270), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9198), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [272991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10324), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273052] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9190), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10328), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273235] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9278), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273296] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6437), 1,
      anon_sym_COLON_COLON,
    STATE(6448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10332), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273359] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9282), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273481] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9262), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10336), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9266), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10340), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273725] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5755), 1,
      anon_sym_DOT,
    ACTIONS(5757), 1,
      anon_sym_POUND,
    ACTIONS(5759), 1,
      sym_hash_operator,
    STATE(6455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9148), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273792] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9292), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273853] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10344), 1,
      anon_sym_DOT_DOT,
    STATE(6457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5885), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(5881), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273916] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9326), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9094), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10228), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274099] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9098), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274160] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9110), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274221] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9118), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10346), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274343] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9122), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274404] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(6466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9126), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9158), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10350), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274589] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9132), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274650] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9158), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274772] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9126), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274835] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9164), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10354), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10358), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10362), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275201] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8969), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9180), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10366), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275384] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5755), 1,
      anon_sym_DOT,
    ACTIONS(5757), 1,
      anon_sym_POUND,
    ACTIONS(5759), 1,
      sym_hash_operator,
    STATE(6482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9206), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10370), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10374), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10378), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [275695] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9170), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9306), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9248), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10218), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [275939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8969), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10384), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10382), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9310), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276122] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6437), 1,
      anon_sym_COLON_COLON,
    STATE(6494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10388), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10386), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276185] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6421), 1,
      anon_sym_COMMA,
    ACTIONS(6437), 1,
      anon_sym_COLON_COLON,
    STATE(6495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10392), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9252), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9282), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276372] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10394), 1,
      anon_sym_COLON,
    STATE(6498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9482), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10376), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10326), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10258), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10256), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276796] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10396), 1,
      anon_sym_LT_DASH,
    STATE(6505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10272), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276918] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9148), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10330), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10368), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10318), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10284), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10384), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10382), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10308), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10360), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10312), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10268), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10266), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10280), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10258), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10250), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10248), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5881), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(5885), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10286), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10358), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9180), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10340), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5885), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(5881), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10242), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10244), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10350), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10252), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10276), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278718] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9674), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9672), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10250), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10246), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10218), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10302), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10242), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10240), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10306), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10292), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10378), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10310), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8969), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10312), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10314), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10336), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10372), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279558] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10398), 1,
      anon_sym_DOT_DOT,
    STATE(6551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5881), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(5885), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10356), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10322), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279740] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6575), 1,
      anon_sym_COLON_COLON,
    STATE(6554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10386), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10388), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279802] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6569), 1,
      anon_sym_COMMA,
    ACTIONS(6575), 1,
      anon_sym_COLON_COLON,
    STATE(6555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10392), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10382), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10384), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279926] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10400), 1,
      anon_sym_COLON,
    STATE(6557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9482), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279988] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6575), 1,
      anon_sym_COLON_COLON,
    STATE(6558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10334), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10290), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280110] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6641), 1,
      anon_sym_COLON_COLON,
    STATE(6560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10332), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10348), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10354), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10362), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10278), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280472] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6641), 1,
      anon_sym_COLON_COLON,
    STATE(6566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10388), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10386), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10288), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10264), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10294), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9302), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10370), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10282), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10296), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10374), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10380), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10328), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9306), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9310), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281674] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10402), 1,
      anon_sym_COLON,
    STATE(6586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9482), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9224), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9314), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10300), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9170), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10352), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10306), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10304), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282216] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(6595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10320), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10338), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10346), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10364), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10366), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9198), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10272), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10270), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10316), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10324), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9202), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9210), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10268), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10298), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10342), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283958] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6635), 1,
      anon_sym_COMMA,
    ACTIONS(6641), 1,
      anon_sym_COLON_COLON,
    STATE(6624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10392), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10390), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [284022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10262), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [284082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9214), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [284142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10254), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10326), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10272), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [284556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10282), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [284733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10312), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10314), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284910] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [285030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10360), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [285089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [285207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10250), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [285266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [285325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10306), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [285679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285974] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5983), 1,
      anon_sym_DOT,
    ACTIONS(5985), 1,
      anon_sym_POUND,
    ACTIONS(5987), 1,
      sym_hash_operator,
    STATE(6658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286098] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9148), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [286157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10298), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [286216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5881), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(5885), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [286275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286452] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10404), 1,
      anon_sym_LT_DASH,
    STATE(6666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10342), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [286572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [286749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10364), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [286985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10246), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287398] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(6682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287459] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(6683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10330), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10352), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287815] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6817), 1,
      anon_sym_COLON_COLON,
    STATE(6689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10334), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10294), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10254), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [288525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10290), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [288643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10338), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [288702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288761] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10406), 1,
      anon_sym_COLON,
    STATE(6705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9482), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [288822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10264), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [288881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10382), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10384), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [288999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10278), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10322), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10380), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10348), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10372), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289412] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6817), 1,
      anon_sym_COLON_COLON,
    STATE(6716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10386), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10388), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289591] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6811), 1,
      anon_sym_COMMA,
    ACTIONS(6817), 1,
      anon_sym_COLON_COLON,
    STATE(6719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10392), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10310), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289772] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10408), 1,
      anon_sym_LT_DASH,
    STATE(6722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10376), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10356), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [290128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290246] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5983), 1,
      anon_sym_DOT,
    ACTIONS(5985), 1,
      anon_sym_POUND,
    ACTIONS(5987), 1,
      sym_hash_operator,
    STATE(6730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290370] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9148), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [290429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [290488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290547] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [290842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10286), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [290960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10368), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [291019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [291137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10242), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [291314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10318), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [291373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10268), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [291491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9674), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9672), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [291668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291904] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5983), 1,
      anon_sym_DOT,
    STATE(6758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10302), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [292024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10258), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [292378] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(6766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292554] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(6769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292846] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9674), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9672), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [292904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292962] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10410), 1,
      anon_sym_LPAREN,
    ACTIONS(10412), 1,
      sym__uppercase_identifier,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    STATE(6776), 1,
      sym_attribute,
    STATE(14436), 1,
      sym__simple_pattern,
    STATE(14706), 1,
      sym__constructor_name,
    STATE(21239), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14318), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [293060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293350] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6235), 1,
      anon_sym_DOT,
    ACTIONS(6237), 1,
      anon_sym_POUND,
    ACTIONS(6239), 1,
      sym_hash_operator,
    STATE(6782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293414] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293532] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10416), 1,
      anon_sym_LT_DASH,
    STATE(6785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293766] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293882] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(6435), 1,
      anon_sym_POUND,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6441), 1,
      anon_sym_begin,
    ACTIONS(6449), 1,
      aux_sym_number_token1,
    ACTIONS(6451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6453), 1,
      anon_sym_SQUOTE,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    ACTIONS(6457), 1,
      sym__uppercase_identifier,
    ACTIONS(6459), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10418), 1,
      anon_sym_LPAREN,
    STATE(6791), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__constructor_name,
    STATE(11597), 1,
      sym__simple_pattern,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11553), 2,
      sym__constant,
      sym_signed_number,
    STATE(11493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11405), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [293980] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10420), 1,
      anon_sym_LT_DASH,
    STATE(6792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294156] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7905), 1,
      sym__lowercase_identifier,
    ACTIONS(7917), 1,
      anon_sym_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_LBRACE,
    ACTIONS(7925), 1,
      anon_sym_POUND,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7929), 1,
      anon_sym_begin,
    ACTIONS(7937), 1,
      aux_sym_number_token1,
    ACTIONS(7939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7941), 1,
      anon_sym_SQUOTE,
    ACTIONS(7943), 1,
      anon_sym_DQUOTE,
    ACTIONS(7945), 1,
      sym__uppercase_identifier,
    ACTIONS(7947), 1,
      aux_sym_tag_token1,
    ACTIONS(10422), 1,
      anon_sym_LPAREN,
    ACTIONS(10424), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10426), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6795), 1,
      sym_attribute,
    STATE(8369), 1,
      sym__simple_pattern,
    STATE(8393), 1,
      sym__constructor_name,
    STATE(22453), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8402), 2,
      sym__constant,
      sym_signed_number,
    STATE(8390), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8416), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [294254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294312] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6235), 1,
      anon_sym_DOT,
    ACTIONS(6237), 1,
      anon_sym_POUND,
    ACTIONS(6239), 1,
      sym_hash_operator,
    STATE(6797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294840] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294956] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8500), 1,
      sym__lowercase_identifier,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_LBRACE,
    ACTIONS(8512), 1,
      anon_sym_POUND,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8518), 1,
      anon_sym_begin,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(10428), 1,
      anon_sym_LPAREN,
    ACTIONS(10430), 1,
      sym__uppercase_identifier,
    ACTIONS(10432), 1,
      aux_sym_tag_token1,
    STATE(6808), 1,
      sym_attribute,
    STATE(15430), 1,
      sym__simple_pattern,
    STATE(15545), 1,
      sym__constructor_name,
    STATE(21470), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15376), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [295054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295576] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9148), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [295634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296272] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8189), 1,
      sym__lowercase_identifier,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8203), 1,
      anon_sym_LBRACE,
    ACTIONS(8205), 1,
      anon_sym_POUND,
    ACTIONS(8207), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8209), 1,
      anon_sym_begin,
    ACTIONS(8215), 1,
      aux_sym_number_token1,
    ACTIONS(8217), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8219), 1,
      anon_sym_SQUOTE,
    ACTIONS(8221), 1,
      anon_sym_DQUOTE,
    ACTIONS(8223), 1,
      sym__uppercase_identifier,
    ACTIONS(8225), 1,
      aux_sym_tag_token1,
    ACTIONS(10434), 1,
      anon_sym_LPAREN,
    ACTIONS(10436), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10438), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6830), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__constructor_name,
    STATE(9134), 1,
      sym__simple_pattern,
    STATE(21728), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8199), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9044), 2,
      sym__constant,
      sym_signed_number,
    STATE(8881), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8963), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [296370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296544] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8627), 1,
      sym__lowercase_identifier,
    ACTIONS(8635), 1,
      anon_sym_LBRACK,
    ACTIONS(8641), 1,
      anon_sym_LBRACE,
    ACTIONS(8645), 1,
      anon_sym_POUND,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8649), 1,
      anon_sym_begin,
    ACTIONS(8657), 1,
      aux_sym_number_token1,
    ACTIONS(8659), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8661), 1,
      anon_sym_SQUOTE,
    ACTIONS(8663), 1,
      anon_sym_DQUOTE,
    ACTIONS(8665), 1,
      sym__uppercase_identifier,
    ACTIONS(8667), 1,
      aux_sym_tag_token1,
    ACTIONS(10440), 1,
      anon_sym_LPAREN,
    ACTIONS(10442), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10444), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6834), 1,
      sym_attribute,
    STATE(9947), 1,
      sym__constructor_name,
    STATE(10003), 1,
      sym__simple_pattern,
    STATE(20137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9869), 2,
      sym__constant,
      sym_signed_number,
    STATE(9902), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9926), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [296642] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297106] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297164] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7949), 1,
      sym__lowercase_identifier,
    ACTIONS(7961), 1,
      anon_sym_LBRACK,
    ACTIONS(7967), 1,
      anon_sym_LBRACE,
    ACTIONS(7969), 1,
      anon_sym_POUND,
    ACTIONS(7971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7973), 1,
      anon_sym_begin,
    ACTIONS(7979), 1,
      aux_sym_number_token1,
    ACTIONS(7981), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7983), 1,
      anon_sym_SQUOTE,
    ACTIONS(7985), 1,
      anon_sym_DQUOTE,
    ACTIONS(7987), 1,
      sym__uppercase_identifier,
    ACTIONS(7989), 1,
      aux_sym_tag_token1,
    ACTIONS(10446), 1,
      anon_sym_LPAREN,
    ACTIONS(10448), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10450), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6844), 1,
      sym_attribute,
    STATE(8569), 1,
      sym__constructor_name,
    STATE(8633), 1,
      sym__simple_pattern,
    STATE(20521), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7963), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8529), 2,
      sym__constant,
      sym_signed_number,
    STATE(8638), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8688), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [297262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297378] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297436] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297494] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297900] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8233), 1,
      sym__lowercase_identifier,
    ACTIONS(8241), 1,
      anon_sym_LBRACK,
    ACTIONS(8247), 1,
      anon_sym_LBRACE,
    ACTIONS(8249), 1,
      anon_sym_POUND,
    ACTIONS(8251), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8253), 1,
      anon_sym_begin,
    ACTIONS(8259), 1,
      aux_sym_number_token1,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8263), 1,
      anon_sym_SQUOTE,
    ACTIONS(8265), 1,
      anon_sym_DQUOTE,
    ACTIONS(8267), 1,
      sym__uppercase_identifier,
    ACTIONS(8269), 1,
      aux_sym_tag_token1,
    ACTIONS(10452), 1,
      anon_sym_LPAREN,
    ACTIONS(10454), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10456), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6856), 1,
      sym_attribute,
    STATE(8994), 1,
      sym__constructor_name,
    STATE(9003), 1,
      sym__simple_pattern,
    STATE(21050), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8243), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8944), 2,
      sym__constant,
      sym_signed_number,
    STATE(9006), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9191), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [297998] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6235), 1,
      anon_sym_DOT,
    STATE(6857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298116] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10410), 1,
      anon_sym_LPAREN,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10458), 1,
      sym__uppercase_identifier,
    STATE(6859), 1,
      sym_attribute,
    STATE(10143), 1,
      sym__constructor_name,
    STATE(14436), 1,
      sym__simple_pattern,
    STATE(20885), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14318), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [298214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298272] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298728] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298842] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298899] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298956] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299070] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299241] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299526] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299640] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299697] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299754] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6279), 1,
      anon_sym_DOT,
    ACTIONS(6281), 1,
      anon_sym_POUND,
    ACTIONS(6283), 1,
      sym_hash_operator,
    STATE(6887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299931] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299988] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300102] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300216] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300273] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300444] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300501] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6279), 1,
      anon_sym_DOT,
    STATE(6900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300674] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300731] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300788] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300902] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300959] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301016] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301073] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301130] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301187] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301244] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301301] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301472] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301529] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6279), 1,
      anon_sym_DOT,
    ACTIONS(6281), 1,
      anon_sym_POUND,
    ACTIONS(6283), 1,
      sym_hash_operator,
    STATE(6918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301649] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301706] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301763] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301820] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302105] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302618] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302675] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10460), 1,
      anon_sym_DOT,
    STATE(6938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302734] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302791] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302848] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302905] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(6942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302964] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303080] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303308] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303481] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303538] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303595] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303652] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303766] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303880] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304108] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304165] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304279] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304336] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10462), 1,
      anon_sym_DOT,
    ACTIONS(10464), 1,
      anon_sym_POUND,
    ACTIONS(10466), 1,
      sym_hash_operator,
    STATE(6967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304570] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(6971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304629] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304743] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304914] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(6977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304973] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305030] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10468), 1,
      anon_sym_DOT,
    ACTIONS(10470), 1,
      anon_sym_POUND,
    ACTIONS(10472), 1,
      sym_hash_operator,
    STATE(6979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305549] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10462), 1,
      anon_sym_DOT,
    ACTIONS(10464), 1,
      anon_sym_POUND,
    ACTIONS(10466), 1,
      sym_hash_operator,
    STATE(6988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305726] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(6991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305785] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10474), 1,
      anon_sym_LT_DASH,
    STATE(6992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307497] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10468), 1,
      anon_sym_DOT,
    STATE(7022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307556] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308240] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309266] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309380] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309437] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309494] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309551] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309950] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310406] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310520] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(7075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310579] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310864] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311035] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311092] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311149] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311206] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311263] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311320] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311377] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311434] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(7091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311550] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10476), 1,
      anon_sym_LT_DASH,
    STATE(7093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311609] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10478), 1,
      anon_sym_LT_DASH,
    STATE(7094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311668] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10480), 1,
      anon_sym_LT_DASH,
    STATE(7095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311727] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10482), 1,
      anon_sym_LT_DASH,
    STATE(7096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311786] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(7097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311959] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312016] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10468), 1,
      anon_sym_DOT,
    ACTIONS(10470), 1,
      anon_sym_POUND,
    ACTIONS(10472), 1,
      sym_hash_operator,
    STATE(7101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(7105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313107] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10462), 1,
      anon_sym_DOT,
    STATE(7120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314819] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10484), 1,
      anon_sym_LT_DASH,
    STATE(7150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314992] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315334] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315562] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315619] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315676] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315790] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315847] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315904] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316246] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316474] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316531] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316588] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316645] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316702] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316816] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316873] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316930] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317044] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317101] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317158] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317272] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317386] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317443] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317500] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317614] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317671] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317728] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317842] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318013] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10486), 1,
      anon_sym_COLON,
    STATE(7206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318129] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318300] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10488), 1,
      anon_sym_LT_DASH,
    STATE(7211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318530] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10460), 1,
      anon_sym_DOT,
    ACTIONS(10490), 1,
      anon_sym_POUND,
    ACTIONS(10492), 1,
      sym_hash_operator,
    STATE(7215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318593] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318650] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318764] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10460), 1,
      anon_sym_DOT,
    ACTIONS(10490), 1,
      anon_sym_POUND,
    ACTIONS(10492), 1,
      sym_hash_operator,
    STATE(7219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318827] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(7220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318886] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(7221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319002] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(7223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319517] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(7232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320146] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320203] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320259] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320315] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(7246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320373] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320429] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320485] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320597] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320653] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320765] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320821] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320877] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320933] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320989] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321045] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6341), 1,
      anon_sym_DOT,
    ACTIONS(6343), 1,
      anon_sym_POUND,
    ACTIONS(6345), 1,
      sym_hash_operator,
    STATE(7259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321163] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321275] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321443] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321499] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321555] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321611] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321667] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321723] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10494), 1,
      sym__lowercase_identifier,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    ACTIONS(10498), 1,
      anon_sym_private,
    ACTIONS(10500), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10504), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    STATE(7271), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10473), 1,
      sym__simple_type,
    STATE(11643), 1,
      sym__constructor_name,
    STATE(11793), 1,
      sym__tuple_type,
    STATE(12095), 1,
      sym__type,
    STATE(12459), 1,
      sym_constructor_declaration,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21818), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11866), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [321831] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321887] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10526), 1,
      anon_sym_LT_DASH,
    STATE(7273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321945] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322001] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322057] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322169] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322225] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10528), 1,
      sym__lowercase_identifier,
    ACTIONS(10530), 1,
      anon_sym_LPAREN,
    ACTIONS(10532), 1,
      anon_sym_private,
    ACTIONS(10534), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10536), 1,
      anon_sym_PIPE,
    ACTIONS(10538), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    STATE(7279), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10244), 1,
      sym__simple_type,
    STATE(11409), 1,
      sym__constructor_name,
    STATE(11411), 1,
      sym__tuple_type,
    STATE(11655), 1,
      sym__type,
    STATE(12049), 1,
      sym_constructor_declaration,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(21434), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10540), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11399), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [322333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322445] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322501] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322669] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(7286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322727] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322783] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10556), 1,
      anon_sym_LT_DASH,
    STATE(7288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322841] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10558), 1,
      anon_sym_LT_DASH,
    STATE(7289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322899] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10560), 1,
      anon_sym_LT_DASH,
    STATE(7290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322957] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10562), 1,
      anon_sym_LT_DASH,
    STATE(7291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323071] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323183] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10528), 1,
      sym__lowercase_identifier,
    ACTIONS(10530), 1,
      anon_sym_LPAREN,
    ACTIONS(10536), 1,
      anon_sym_PIPE,
    ACTIONS(10538), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10564), 1,
      anon_sym_private,
    ACTIONS(10566), 1,
      anon_sym_DOT_DOT,
    STATE(7295), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10244), 1,
      sym__simple_type,
    STATE(11409), 1,
      sym__constructor_name,
    STATE(11411), 1,
      sym__tuple_type,
    STATE(11655), 1,
      sym__type,
    STATE(12049), 1,
      sym_constructor_declaration,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(21434), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10540), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11476), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [323291] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323515] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10568), 1,
      anon_sym_LT_DASH,
    STATE(7300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323573] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323629] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323741] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323797] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323853] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324021] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324133] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324189] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324245] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324301] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324357] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324525] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324805] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324861] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324917] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324973] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10570), 1,
      anon_sym_LT_DASH,
    STATE(7326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325087] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325143] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325199] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325255] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325423] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325535] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325591] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325759] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325815] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325871] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325927] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325983] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326039] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326095] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326151] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326207] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326263] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326319] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326375] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326431] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326487] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326543] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326711] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326879] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326935] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(7361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326993] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327049] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(7363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327163] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327275] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327443] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327499] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327555] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327611] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327667] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327723] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327779] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327835] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327891] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327947] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328003] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328059] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328115] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6311), 1,
      anon_sym_DOT,
    ACTIONS(6313), 1,
      anon_sym_POUND,
    ACTIONS(6315), 1,
      sym_hash_operator,
    STATE(7382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328177] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328233] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328289] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(7385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328347] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(7386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328405] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328461] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10572), 1,
      anon_sym_LT_DASH,
    STATE(7388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328519] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6311), 1,
      anon_sym_DOT,
    ACTIONS(6313), 1,
      anon_sym_POUND,
    ACTIONS(6315), 1,
      sym_hash_operator,
    STATE(7389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328693] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10574), 1,
      sym__lowercase_identifier,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10578), 1,
      anon_sym_private,
    ACTIONS(10580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10582), 1,
      anon_sym_PIPE,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    STATE(7392), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10892), 1,
      sym__simple_type,
    STATE(12233), 1,
      sym__tuple_type,
    STATE(12286), 1,
      sym__constructor_name,
    STATE(12774), 1,
      sym__type,
    STATE(13226), 1,
      sym_constructor_declaration,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(22431), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10586), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12390), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [328801] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(7393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328859] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328915] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328971] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329027] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329083] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329139] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329195] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6289), 1,
      anon_sym_DOT,
    ACTIONS(6291), 1,
      anon_sym_POUND,
    ACTIONS(6293), 1,
      sym_hash_operator,
    STATE(7400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329257] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329313] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329369] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329425] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329481] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329537] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329593] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329649] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329705] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329761] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329817] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6311), 1,
      anon_sym_DOT,
    STATE(7411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329875] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329931] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330043] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330099] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330155] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330211] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330267] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330323] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330491] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330547] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330659] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330715] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(7427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330773] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330829] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330885] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6289), 1,
      anon_sym_DOT,
    ACTIONS(6291), 1,
      anon_sym_POUND,
    ACTIONS(6293), 1,
      sym_hash_operator,
    STATE(7430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330947] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331003] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331059] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(7433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331173] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331229] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331285] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(7437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331343] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331399] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331455] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(7440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331569] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331625] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331681] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331737] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331793] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331849] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10574), 1,
      sym__lowercase_identifier,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10582), 1,
      anon_sym_PIPE,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10602), 1,
      anon_sym_private,
    ACTIONS(10604), 1,
      anon_sym_DOT_DOT,
    STATE(7447), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10892), 1,
      sym__simple_type,
    STATE(12233), 1,
      sym__tuple_type,
    STATE(12286), 1,
      sym__constructor_name,
    STATE(12774), 1,
      sym__type,
    STATE(13226), 1,
      sym_constructor_declaration,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(22431), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10586), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12396), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [331957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332069] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(7450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332183] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332239] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332295] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332351] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332463] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332519] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6301), 1,
      anon_sym_DOT,
    ACTIONS(6303), 1,
      anon_sym_POUND,
    ACTIONS(6305), 1,
      sym_hash_operator,
    STATE(7458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332805] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332861] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332917] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332973] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333029] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333085] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333197] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333253] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6289), 1,
      anon_sym_DOT,
    STATE(7471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333423] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333535] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333591] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333703] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333759] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333815] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333871] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333927] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333983] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334039] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334095] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334151] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334207] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334263] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334319] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334375] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334431] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6301), 1,
      anon_sym_DOT,
    ACTIONS(6303), 1,
      anon_sym_POUND,
    ACTIONS(6305), 1,
      sym_hash_operator,
    STATE(7492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334493] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334549] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334605] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334661] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334717] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334773] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334829] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334885] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334941] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334997] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335053] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335109] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335165] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335221] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335445] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335501] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335893] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336005] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336173] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_DOT,
    ACTIONS(6323), 1,
      anon_sym_POUND,
    ACTIONS(6325), 1,
      sym_hash_operator,
    STATE(7523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336235] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336291] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336627] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336683] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336795] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6301), 1,
      anon_sym_DOT,
    STATE(7534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336853] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337021] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337133] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337189] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337245] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337301] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337357] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337525] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337805] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337861] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337917] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337973] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_DOT,
    ACTIONS(6323), 1,
      anon_sym_POUND,
    ACTIONS(6325), 1,
      sym_hash_operator,
    STATE(7555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338035] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338091] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338147] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338203] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338259] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338371] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338427] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338539] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338595] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338651] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338707] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338763] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338875] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338931] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339043] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339099] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339155] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339211] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339267] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339323] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339491] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339547] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339659] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339827] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339883] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339939] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339995] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340051] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340163] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340275] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340443] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_DOT,
    STATE(7599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340501] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340893] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341005] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341173] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341229] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341285] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341565] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341621] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341733] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341901] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342125] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342293] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342405] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10606), 1,
      sym__lowercase_identifier,
    ACTIONS(10608), 1,
      anon_sym_LPAREN,
    ACTIONS(10610), 1,
      anon_sym_private,
    ACTIONS(10612), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10614), 1,
      anon_sym_PIPE,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    STATE(7634), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10966), 1,
      sym__simple_type,
    STATE(12271), 1,
      sym__tuple_type,
    STATE(12295), 1,
      sym__constructor_name,
    STATE(12953), 1,
      sym__type,
    STATE(13228), 1,
      sym_constructor_declaration,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(20998), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10618), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12412), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [342513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342569] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342625] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342681] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342737] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342793] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342849] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342905] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10606), 1,
      sym__lowercase_identifier,
    ACTIONS(10608), 1,
      anon_sym_LPAREN,
    ACTIONS(10614), 1,
      anon_sym_PIPE,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10634), 1,
      anon_sym_private,
    ACTIONS(10636), 1,
      anon_sym_DOT_DOT,
    STATE(7642), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10966), 1,
      sym__simple_type,
    STATE(12271), 1,
      sym__tuple_type,
    STATE(12295), 1,
      sym__constructor_name,
    STATE(12953), 1,
      sym__type,
    STATE(13228), 1,
      sym_constructor_declaration,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(20998), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10618), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12419), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [343013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343125] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343293] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343405] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343461] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343517] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343573] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343629] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343741] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343797] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(7657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343855] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343911] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343967] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10638), 1,
      anon_sym_LT_DASH,
    STATE(7660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344025] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10640), 1,
      anon_sym_LT_DASH,
    STATE(7661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344083] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344139] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344195] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344251] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344307] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344363] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344419] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344475] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(7669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344533] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344589] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344645] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344701] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344757] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344813] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344869] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344925] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345037] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(7679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345095] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345151] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345207] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345263] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345319] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345375] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345431] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345487] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345543] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345711] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345879] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345935] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(7695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345993] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346049] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346105] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346161] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6341), 1,
      anon_sym_DOT,
    ACTIONS(6343), 1,
      anon_sym_POUND,
    ACTIONS(6345), 1,
      sym_hash_operator,
    STATE(7699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346223] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346279] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6333), 1,
      anon_sym_POUND,
    ACTIONS(6335), 1,
      sym_hash_operator,
    STATE(7701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346565] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8973), 1,
      anon_sym_LT_DASH,
    STATE(7706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346623] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346679] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346735] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(7709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346793] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346849] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346905] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10494), 1,
      sym__lowercase_identifier,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10504), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10642), 1,
      anon_sym_private,
    ACTIONS(10644), 1,
      anon_sym_DOT_DOT,
    STATE(7712), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10473), 1,
      sym__simple_type,
    STATE(11643), 1,
      sym__constructor_name,
    STATE(11793), 1,
      sym__tuple_type,
    STATE(12095), 1,
      sym__type,
    STATE(12459), 1,
      sym_constructor_declaration,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21818), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11859), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347125] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347293] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347405] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347461] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347517] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10646), 1,
      anon_sym_COLON,
    STATE(7722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347575] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347631] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347687] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347743] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6341), 1,
      anon_sym_DOT,
    STATE(7726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347801] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347857] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347913] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6333), 1,
      anon_sym_POUND,
    ACTIONS(6335), 1,
      sym_hash_operator,
    STATE(7729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347975] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348087] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348143] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348199] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348255] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348423] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348535] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348591] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348703] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348759] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348871] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348927] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10648), 1,
      anon_sym_DOT,
    ACTIONS(10650), 1,
      anon_sym_POUND,
    ACTIONS(10652), 1,
      sym_hash_operator,
    STATE(7747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [348988] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349043] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349098] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349153] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6581), 1,
      anon_sym_DOT,
    ACTIONS(6583), 1,
      anon_sym_POUND,
    ACTIONS(6585), 1,
      sym_hash_operator,
    STATE(7751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349324] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349544] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349654] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349764] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349819] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10658), 1,
      anon_sym_COLON,
    STATE(7763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [349876] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349931] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10660), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10662), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350096] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350151] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350206] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350316] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350371] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350426] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10528), 1,
      sym__lowercase_identifier,
    ACTIONS(10530), 1,
      anon_sym_LPAREN,
    ACTIONS(10536), 1,
      anon_sym_PIPE,
    ACTIONS(10538), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10664), 1,
      anon_sym_DOT_DOT,
    STATE(7774), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10244), 1,
      sym__simple_type,
    STATE(11409), 1,
      sym__constructor_name,
    STATE(11411), 1,
      sym__tuple_type,
    STATE(11635), 1,
      sym__type,
    STATE(12049), 1,
      sym_constructor_declaration,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(21434), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10540), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11393), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350531] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350586] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350641] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350696] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6545), 1,
      anon_sym_DOT,
    ACTIONS(6547), 1,
      anon_sym_POUND,
    ACTIONS(6549), 1,
      sym_hash_operator,
    STATE(7778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350812] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(7780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350924] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350979] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351034] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351144] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351364] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351584] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351694] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351859] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351914] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352024] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10494), 1,
      sym__lowercase_identifier,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10504), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10666), 1,
      anon_sym_DOT_DOT,
    STATE(7802), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10473), 1,
      sym__simple_type,
    STATE(11643), 1,
      sym__constructor_name,
    STATE(11793), 1,
      sym__tuple_type,
    STATE(12105), 1,
      sym__type,
    STATE(12459), 1,
      sym_constructor_declaration,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21818), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11864), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352184] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352294] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352404] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352459] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10668), 1,
      anon_sym_LT_DASH,
    STATE(7809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352516] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352571] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10494), 1,
      sym__lowercase_identifier,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10504), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10670), 1,
      anon_sym_DOT_DOT,
    STATE(7811), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10473), 1,
      sym__simple_type,
    STATE(11643), 1,
      sym__constructor_name,
    STATE(11793), 1,
      sym__tuple_type,
    STATE(12105), 1,
      sym__type,
    STATE(12459), 1,
      sym_constructor_declaration,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21818), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11870), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352676] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352731] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352786] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352951] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353116] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10672), 1,
      anon_sym_COLON,
    STATE(7820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353173] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9278), 28,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      aux_sym_tag_token1,
  [353338] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353393] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353448] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10674), 1,
      anon_sym_LT_DASH,
    STATE(7826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353505] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353560] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353615] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353780] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10676), 1,
      anon_sym_COLON,
    STATE(7832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353892] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(7834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354004] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354059] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354114] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354169] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354224] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354279] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354334] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354444] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354499] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354554] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354609] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_DOT,
    ACTIONS(6537), 1,
      anon_sym_POUND,
    ACTIONS(6539), 1,
      sym_hash_operator,
    STATE(7847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354780] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10648), 1,
      anon_sym_DOT,
    STATE(7850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354892] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355002] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355112] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355167] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355332] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355497] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355662] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355717] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355827] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355882] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6545), 1,
      anon_sym_DOT,
    STATE(7870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355939] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356049] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356159] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356269] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356324] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356489] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356544] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356654] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356764] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356929] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356984] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357314] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357424] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357534] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357589] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357699] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357754] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358029] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358084] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358139] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_DOT,
    ACTIONS(6537), 1,
      anon_sym_POUND,
    ACTIONS(6539), 1,
      sym_hash_operator,
    STATE(7911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358255] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358420] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358530] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358585] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358750] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358860] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358915] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358970] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359080] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359135] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359190] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359355] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359465] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359520] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359850] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360070] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(7946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360182] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6559), 1,
      anon_sym_DOT,
    STATE(7948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360294] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360569] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360679] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360734] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360899] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361064] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361119] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361174] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361339] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(7969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361396] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361506] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(7972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361563] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361618] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361728] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361783] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6525), 1,
      anon_sym_DOT,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6529), 1,
      sym_hash_operator,
    STATE(7977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361844] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361899] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361954] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362009] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10678), 1,
      anon_sym_LT_DASH,
    STATE(7981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362066] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362121] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362176] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10680), 1,
      anon_sym_DOT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      sym_hash_operator,
    STATE(7984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362292] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(7986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362679] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362734] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362789] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(7995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362901] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362956] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363066] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363451] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363506] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363561] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363616] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363671] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6545), 1,
      anon_sym_DOT,
    ACTIONS(6547), 1,
      anon_sym_POUND,
    ACTIONS(6549), 1,
      sym_hash_operator,
    STATE(8011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363787] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363842] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363897] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363952] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364227] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10574), 1,
      sym__lowercase_identifier,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10582), 1,
      anon_sym_PIPE,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10686), 1,
      anon_sym_DOT_DOT,
    STATE(8021), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10892), 1,
      sym__simple_type,
    STATE(12233), 1,
      sym__tuple_type,
    STATE(12286), 1,
      sym__constructor_name,
    STATE(12787), 1,
      sym__type,
    STATE(13226), 1,
      sym_constructor_declaration,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(22431), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10586), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12393), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364332] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364497] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364717] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364827] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365102] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6525), 1,
      anon_sym_DOT,
    STATE(8036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365159] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365214] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365489] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365544] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365599] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10574), 1,
      sym__lowercase_identifier,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10582), 1,
      anon_sym_PIPE,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10688), 1,
      anon_sym_DOT_DOT,
    STATE(8045), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10892), 1,
      sym__simple_type,
    STATE(12233), 1,
      sym__tuple_type,
    STATE(12286), 1,
      sym__constructor_name,
    STATE(12787), 1,
      sym__type,
    STATE(13226), 1,
      sym_constructor_declaration,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(22431), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10586), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12402), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [365704] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365759] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365814] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365869] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365924] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365979] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366034] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366144] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366254] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366584] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366694] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366804] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366859] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366914] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366969] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367024] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(8070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367136] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10680), 1,
      anon_sym_DOT,
    STATE(8072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367303] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367358] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367468] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10680), 1,
      anon_sym_DOT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      sym_hash_operator,
    STATE(8078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367529] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367584] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367639] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367694] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367806] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367916] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367971] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368026] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368136] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368191] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368246] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368301] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368356] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368411] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(8095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9126), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [368468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368523] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368578] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368633] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368688] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368743] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368798] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368853] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368908] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368963] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369018] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369128] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369183] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9132), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [369348] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369513] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6559), 1,
      anon_sym_DOT,
    ACTIONS(6561), 1,
      anon_sym_POUND,
    ACTIONS(6563), 1,
      sym_hash_operator,
    STATE(8115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369629] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369684] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10690), 1,
      anon_sym_COLON,
    STATE(8118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369741] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369796] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369851] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369906] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369961] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370236] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9290), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370346] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370511] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10692), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10694), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371061] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10696), 1,
      anon_sym_COLON,
    STATE(8143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9480), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371668] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371833] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371888] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371943] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371998] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372163] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372218] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372273] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(8165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372330] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372440] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372495] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9116), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372825] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372935] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372990] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10606), 1,
      sym__lowercase_identifier,
    ACTIONS(10608), 1,
      anon_sym_LPAREN,
    ACTIONS(10614), 1,
      anon_sym_PIPE,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_DOT_DOT,
    STATE(8178), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10966), 1,
      sym__simple_type,
    STATE(12271), 1,
      sym__tuple_type,
    STATE(12295), 1,
      sym__constructor_name,
    STATE(12968), 1,
      sym__type,
    STATE(13228), 1,
      sym_constructor_declaration,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(20998), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10618), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12417), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373095] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9126), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [373152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373207] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373317] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373372] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373427] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373592] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_DOT,
    STATE(8188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373649] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373706] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10606), 1,
      sym__lowercase_identifier,
    ACTIONS(10608), 1,
      anon_sym_LPAREN,
    ACTIONS(10614), 1,
      anon_sym_PIPE,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10700), 1,
      anon_sym_DOT_DOT,
    STATE(8190), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10966), 1,
      sym__simple_type,
    STATE(12271), 1,
      sym__tuple_type,
    STATE(12295), 1,
      sym__constructor_name,
    STATE(12968), 1,
      sym__type,
    STATE(13228), 1,
      sym_constructor_declaration,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(20998), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10618), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12423), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373866] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373923] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373978] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374033] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374088] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374253] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(8199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9126), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [374310] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6525), 1,
      anon_sym_DOT,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6529), 1,
      sym_hash_operator,
    STATE(8200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374371] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9164), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [374481] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374536] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374591] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374646] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374701] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374756] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374811] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374866] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374976] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375086] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375196] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375251] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375361] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375416] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375471] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375526] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375636] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375691] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375801] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375856] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375911] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6559), 1,
      anon_sym_DOT,
    ACTIONS(6561), 1,
      anon_sym_POUND,
    ACTIONS(6563), 1,
      sym_hash_operator,
    STATE(8229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375972] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6581), 1,
      anon_sym_DOT,
    ACTIONS(6583), 1,
      anon_sym_POUND,
    ACTIONS(6585), 1,
      sym_hash_operator,
    STATE(8230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376033] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376088] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376308] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376528] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376638] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376748] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376803] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376913] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376968] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377023] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377078] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377133] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377188] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377243] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377298] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377408] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377463] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377518] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377573] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377628] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(8260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377740] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377850] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377905] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378125] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378180] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378235] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378290] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378345] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378400] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378455] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378510] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378565] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378675] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10648), 1,
      anon_sym_DOT,
    ACTIONS(10650), 1,
      anon_sym_POUND,
    ACTIONS(10652), 1,
      sym_hash_operator,
    STATE(8279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378736] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10702), 1,
      anon_sym_LT_DASH,
    STATE(8280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378793] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378848] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6581), 1,
      anon_sym_DOT,
    STATE(8282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378905] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378960] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9126), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [379017] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379072] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379182] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379292] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379402] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379457] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10704), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10706), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379567] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379622] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10708), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10710), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10712), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10714), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379787] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379842] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379897] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380007] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380117] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10528), 1,
      sym__lowercase_identifier,
    ACTIONS(10530), 1,
      anon_sym_LPAREN,
    ACTIONS(10536), 1,
      anon_sym_PIPE,
    ACTIONS(10538), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10716), 1,
      anon_sym_DOT_DOT,
    STATE(8305), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10244), 1,
      sym__simple_type,
    STATE(11409), 1,
      sym__constructor_name,
    STATE(11411), 1,
      sym__tuple_type,
    STATE(11635), 1,
      sym__type,
    STATE(12049), 1,
      sym_constructor_declaration,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(21434), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10540), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11580), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380222] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380279] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380334] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380444] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380499] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380554] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380664] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9110), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9314), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [380827] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(8317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [380883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9264), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380937] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9094), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10720), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10718), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8965), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8967), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9180), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9198), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381261] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10722), 1,
      anon_sym_COLON,
    STATE(8325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [381317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9202), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9210), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9214), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9220), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9224), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10336), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10362), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9174), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9228), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10218), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10216), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9244), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9248), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381965] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10728), 1,
      anon_sym_DOT,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(10732), 1,
      sym_hash_operator,
    STATE(8338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10726), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10724), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9252), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9218), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9146), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382187] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10728), 1,
      anon_sym_DOT,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(10732), 1,
      sym_hash_operator,
    STATE(8342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10736), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10734), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10704), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10706), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9234), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9308), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382409] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10738), 1,
      anon_sym_COLON,
    STATE(8346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9270), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9158), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10742), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10740), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10692), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10694), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10746), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10744), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9282), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8953), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8951), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10750), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10748), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10220), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9258), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9082), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10214), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10212), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383167] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10752), 1,
      anon_sym_COLON,
    STATE(8360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [383223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10708), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10710), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10712), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10714), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10354), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10756), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10754), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9674), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383547] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [383603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9114), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10760), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10758), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9144), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9152), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8929), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10764), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10762), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8969), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9156), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9158), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9316), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [384143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9380), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9326), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10768), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10766), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10660), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10662), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [384359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9098), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9220), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10770), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9224), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10776), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10774), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10780), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10778), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9194), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9108), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [384791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9228), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10782), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8943), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8945), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9132), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8941), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8949), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9170), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9354), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9368), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10788), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10786), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9372), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9244), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10226), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9384), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9290), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [385601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10792), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10790), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9364), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9266), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10324), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9334), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10656), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10654), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9074), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10796), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10794), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386033] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10798), 1,
      anon_sym_COLON,
    STATE(8413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [386089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10800), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10806), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10804), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8183), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8179), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9278), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10808), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9116), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [386413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10814), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10812), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386467] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9126), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10818), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10816), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9120), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [386631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8961), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8963), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8955), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8957), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9164), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8977), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8975), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10822), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10820), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10292), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10378), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9090), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10826), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10824), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387117] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10728), 1,
      anon_sym_DOT,
    STATE(8433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9388), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9078), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9180), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9096), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [387335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9304), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [387389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10296), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9408), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9406), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9118), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10828), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387605] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10728), 1,
      anon_sym_DOT,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(10732), 1,
      sym_hash_operator,
    STATE(8442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10832), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9296), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [387773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9178), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [387881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9122), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10836), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387989] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10728), 1,
      anon_sym_DOT,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(10732), 1,
      sym_hash_operator,
    STATE(8449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10840), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9286), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10844), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10230), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9248), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9198), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9338), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8981), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8983), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9202), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10850), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10848), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9302), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9292), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9252), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388697] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(8462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9126), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9282), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388807] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10852), 1,
      anon_sym_COLON,
    STATE(8464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [388863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9422), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9210), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388971] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10854), 1,
      anon_sym_COLON,
    STATE(8467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [389027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9190), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10858), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10856), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9342), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9376), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9164), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9324), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9132), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9214), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9410), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9106), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10860), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9414), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389675] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COLON,
    STATE(8480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [389731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9306), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9302), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9310), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10868), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10866), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9306), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9310), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9262), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9314), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9330), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9270), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [390378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9262), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [390431] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10726), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10724), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [390490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9198), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9074), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9422), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [390649] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10840), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [390708] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [390761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9330), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390814] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10876), 1,
      anon_sym_COLON,
    STATE(8501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [390869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9202), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9210), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9286), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [391081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9314), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9296), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9214), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9338), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391293] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(8510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9126), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9342), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9132), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9270), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9198), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9202), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9210), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8977), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8975), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9214), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9364), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9220), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9110), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9282), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9224), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392037] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9126), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392092] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(8525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10762), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10764), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9218), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9106), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10226), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10228), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9234), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392465] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [392518] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [392571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10774), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10776), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10778), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10780), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9164), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10782), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10784), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10790), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10792), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10800), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10802), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9258), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9228), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9090), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9310), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [393154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [393207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9132), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9266), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [393366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8969), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9306), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9244), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9174), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10844), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10846), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [393631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9296), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393684] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10878), 1,
      anon_sym_COLON,
    STATE(8555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [393739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10786), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10788), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [393792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9118), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8981), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8983), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9248), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9082), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10824), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10826), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [394057] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [394110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9122), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10720), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [394216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9158), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9376), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394322] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [394375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9252), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [394481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10338), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [394534] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9082), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8969), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394695] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10736), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10734), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9164), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9114), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9144), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9152), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10364), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9114), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10746), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10750), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10766), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10768), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10850), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10216), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10218), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10754), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10756), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9314), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8929), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9144), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9152), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9178), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [395708] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [395761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9292), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [395814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9094), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [395920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9156), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [395973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9270), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9158), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9170), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8965), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8967), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9156), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9194), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8943), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8945), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8941), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9330), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10740), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10742), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [396556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9364), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9194), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9376), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9262), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9282), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9266), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9102), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10796), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [396980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10804), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10806), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10810), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10814), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9174), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8943), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8945), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9286), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9258), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [397404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8929), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [397457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8941), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8949), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9354), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [397616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10830), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9354), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10758), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10760), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10866), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10868), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10836), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10838), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398040] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [398093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9334), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9368), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [398252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9178), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398358] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10880), 1,
      anon_sym_COLON,
    STATE(8643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [398413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8981), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8983), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [398466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9220), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9292), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9224), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9334), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [398678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9228), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398731] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10882), 1,
      anon_sym_COLON,
    STATE(8650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [398786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8953), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8951), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10356), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9244), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399104] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10884), 1,
      anon_sym_COLON,
    STATE(8657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [399159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9368), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10294), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10326), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9372), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [399371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10770), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10772), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9278), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9326), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9078), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [399583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9094), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9372), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9326), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [399742] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [399795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9310), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [399848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9384), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9180), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9248), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9218), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [400060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9384), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [400113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9098), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8953), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8951), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [400219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9252), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9380), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10818), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9078), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9110), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400484] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10886), 1,
      anon_sym_DOT,
    STATE(8683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9388), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10820), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10822), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10856), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10858), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10860), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10862), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9118), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8183), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9278), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [400857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8961), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8963), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [400910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9234), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [400963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9098), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [401016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9408), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9406), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [401122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10298), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9122), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9410), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9408), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9406), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [401334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9338), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9410), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [401493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8961), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8963), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8955), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8957), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8977), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8975), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401652] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [401705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9302), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9180), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [401811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10380), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9414), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [402023] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10886), 1,
      anon_sym_DOT,
    ACTIONS(10888), 1,
      anon_sym_POUND,
    ACTIONS(10890), 1,
      sym_hash_operator,
    STATE(8712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10832), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [402082] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10892), 1,
      anon_sym_COLON,
    STATE(8713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [402137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9302), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9170), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [402243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9342), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [402296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8969), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [402349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9414), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9380), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402455] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [402508] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    STATE(8721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9388), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402563] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10886), 1,
      anon_sym_DOT,
    ACTIONS(10888), 1,
      anon_sym_POUND,
    ACTIONS(10890), 1,
      sym_hash_operator,
    STATE(8722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10726), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10724), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [402622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [402675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9190), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [402728] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10886), 1,
      anon_sym_DOT,
    ACTIONS(10888), 1,
      anon_sym_POUND,
    ACTIONS(10890), 1,
      sym_hash_operator,
    STATE(8725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10736), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10734), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [402787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9090), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [402840] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10832), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9422), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [402952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9190), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8965), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8967), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403058] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10894), 1,
      anon_sym_COLON,
    STATE(8731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [403113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8955), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8957), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9106), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9074), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9306), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403325] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [403378] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10886), 1,
      anon_sym_DOT,
    ACTIONS(10888), 1,
      anon_sym_POUND,
    ACTIONS(10890), 1,
      sym_hash_operator,
    STATE(8737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10840), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8949), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8961), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8963), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403594] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10898), 1,
      anon_sym_PIPE,
    ACTIONS(10900), 1,
      anon_sym_RBRACK,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8741), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19279), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21569), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9214), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8955), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8957), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8977), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8975), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404006] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [404058] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10906), 1,
      anon_sym_PIPE,
    ACTIONS(10908), 1,
      anon_sym_RBRACK,
    STATE(8749), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16693), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9082), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9158), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10692), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10694), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [404366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9118), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404418] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10910), 1,
      anon_sym_PIPE,
    ACTIONS(10912), 1,
      anon_sym_RBRACK,
    STATE(8755), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17221), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9114), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10708), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10710), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [404622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9144), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9122), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10712), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10714), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [404778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9152), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9098), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [404934] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [404986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10660), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10662), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [405038] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(8766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [405092] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_PIPE,
    ACTIONS(10916), 1,
      anon_sym_RBRACK,
    STATE(8767), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17364), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405192] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [405244] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_PIPE,
    ACTIONS(10920), 1,
      anon_sym_RBRACK,
    STATE(8769), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16769), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405344] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10922), 1,
      anon_sym_PIPE,
    ACTIONS(10924), 1,
      anon_sym_RBRACK,
    STATE(8770), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17590), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405444] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10926), 1,
      anon_sym_PIPE,
    ACTIONS(10928), 1,
      anon_sym_RBRACK,
    STATE(8771), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16783), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8943), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8945), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8941), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405752] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [405804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405856] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10930), 1,
      anon_sym_PIPE,
    ACTIONS(10932), 1,
      anon_sym_RBRACK,
    STATE(8778), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17552), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405956] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [406010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8949), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406114] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10934), 1,
      anon_sym_PIPE,
    ACTIONS(10936), 1,
      anon_sym_RBRACK,
    STATE(8782), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16841), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406214] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10938), 1,
      anon_sym_PIPE,
    ACTIONS(10940), 1,
      anon_sym_RBRACK,
    STATE(8783), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17772), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9266), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9354), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9170), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406522] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(8788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [406576] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [406628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9302), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406680] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10942), 1,
      anon_sym_PIPE,
    ACTIONS(10944), 1,
      anon_sym_RBRACK,
    STATE(8791), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17415), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406780] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10946), 1,
      anon_sym_PIPE,
    ACTIONS(10948), 1,
      anon_sym_RBRACK,
    STATE(8792), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17158), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [406932] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10950), 1,
      anon_sym_DOT,
    ACTIONS(10952), 1,
      anon_sym_POUND,
    ACTIONS(10954), 1,
      sym_hash_operator,
    STATE(8794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10726), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10724), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406990] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10950), 1,
      anon_sym_DOT,
    ACTIONS(10952), 1,
      anon_sym_POUND,
    ACTIONS(10954), 1,
      sym_hash_operator,
    STATE(8795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10736), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10734), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407048] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10956), 1,
      anon_sym_PIPE,
    ACTIONS(10958), 1,
      anon_sym_RBRACK,
    STATE(8796), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16923), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9220), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9224), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [407356] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [407410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9228), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9306), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407566] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10960), 1,
      anon_sym_PIPE,
    ACTIONS(10962), 1,
      anon_sym_RBRACK,
    STATE(8805), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17200), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9244), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9296), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9368), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9326), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407978] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10964), 1,
      anon_sym_PIPE,
    ACTIONS(10966), 1,
      anon_sym_RBRACK,
    STATE(8812), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18656), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21159), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408078] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10968), 1,
      anon_sym_PIPE,
    ACTIONS(10970), 1,
      anon_sym_RBRACK,
    STATE(8813), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(17947), 1,
      sym__tag_spec,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408178] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [408230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10704), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10706), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [408282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9372), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408334] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10972), 1,
      anon_sym_COLON,
    STATE(8817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 20,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [408388] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10974), 1,
      anon_sym_PIPE,
    ACTIONS(10976), 1,
      anon_sym_RBRACK,
    STATE(8818), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18373), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21480), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408488] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10978), 1,
      anon_sym_PIPE,
    ACTIONS(10980), 1,
      anon_sym_RBRACK,
    STATE(8819), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18102), 1,
      sym__tag_spec,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408588] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10982), 1,
      anon_sym_PIPE,
    ACTIONS(10984), 1,
      anon_sym_RBRACK,
    STATE(8820), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17068), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10692), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10694), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [408792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9110), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408844] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [408896] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [408948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10708), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10710), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [409000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10712), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10714), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [409052] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(10990), 1,
      anon_sym_LPAREN,
    ACTIONS(10994), 1,
      anon_sym_LBRACE,
    ACTIONS(10996), 1,
      anon_sym_begin,
    ACTIONS(10998), 1,
      aux_sym_number_token1,
    ACTIONS(11000), 1,
      anon_sym_SQUOTE,
    ACTIONS(11002), 1,
      anon_sym_DQUOTE,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    STATE(8828), 1,
      sym_attribute,
    STATE(13120), 1,
      sym_module_path,
    STATE(13428), 1,
      sym__value_name,
    STATE(13466), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13443), 2,
      sym__constant,
      sym_value_path,
    STATE(13497), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(10986), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    ACTIONS(10988), 8,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
  [409132] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [409184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10660), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10662), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [409236] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11006), 1,
      anon_sym_PIPE,
    ACTIONS(11008), 1,
      anon_sym_RBRACK,
    STATE(8831), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17198), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [409440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10704), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10706), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [409544] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11010), 1,
      anon_sym_COLON,
    STATE(8836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [409598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9334), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409702] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10950), 1,
      anon_sym_DOT,
    ACTIONS(10952), 1,
      anon_sym_POUND,
    ACTIONS(10954), 1,
      sym_hash_operator,
    STATE(8839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10832), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9078), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9408), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9406), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9410), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9414), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410020] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      anon_sym_PIPE,
    ACTIONS(11014), 1,
      anon_sym_RBRACK,
    STATE(8845), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym__tag_spec,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410120] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      anon_sym_PIPE,
    ACTIONS(11018), 1,
      anon_sym_RBRACK,
    STATE(8846), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18486), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21530), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8965), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8967), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [410324] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11020), 1,
      anon_sym_PIPE,
    ACTIONS(11022), 1,
      anon_sym_RBRACK,
    STATE(8849), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17167), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9074), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9330), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9364), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9376), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410788] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10950), 1,
      anon_sym_DOT,
    ACTIONS(10952), 1,
      anon_sym_POUND,
    ACTIONS(10954), 1,
      sym_hash_operator,
    STATE(8857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10840), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8953), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8951), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9380), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410950] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10950), 1,
      anon_sym_DOT,
    STATE(8860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9388), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9422), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9190), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411212] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11024), 1,
      anon_sym_PIPE,
    ACTIONS(11026), 1,
      anon_sym_RBRACK,
    STATE(8865), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17101), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9180), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9338), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8981), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8983), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9342), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411572] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11028), 1,
      anon_sym_PIPE,
    ACTIONS(11030), 1,
      anon_sym_RBRACK,
    STATE(8871), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16810), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9106), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411724] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11032), 1,
      anon_sym_PIPE,
    ACTIONS(11034), 1,
      anon_sym_RBRACK,
    STATE(8873), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17012), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10298), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [411875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [411926] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11036), 1,
      anon_sym_DOT,
    ACTIONS(11038), 1,
      anon_sym_POUND,
    ACTIONS(11040), 1,
      sym_hash_operator,
    STATE(8876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [411983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412034] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11042), 1,
      sym__lowercase_identifier,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11046), 1,
      anon_sym_QMARK,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8878), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(11773), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18882), 1,
      sym__tuple_type,
    STATE(18961), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12102), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [412127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10762), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10764), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10746), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412382] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      anon_sym_PIPE,
    STATE(8884), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18633), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21588), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412479] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11058), 1,
      anon_sym_PIPE,
    STATE(8885), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16254), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412627] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_PIPE,
    STATE(8887), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19047), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21355), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10750), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412826] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11042), 1,
      sym__lowercase_identifier,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11046), 1,
      anon_sym_QMARK,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8890), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(11804), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18882), 1,
      sym__tuple_type,
    STATE(18961), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12102), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [412919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10774), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10776), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10778), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10780), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10782), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10784), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413072] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11062), 1,
      anon_sym_PIPE,
    STATE(8894), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19195), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21605), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413169] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11064), 1,
      anon_sym_PIPE,
    STATE(8895), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16198), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10844), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10846), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10786), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10788), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10720), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10766), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10768), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10790), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10792), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413572] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11066), 1,
      sym__lowercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_QMARK,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8902), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(11804), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18360), 1,
      sym_extended_module_path,
    STATE(18651), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11419), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [413665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413716] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      anon_sym_PIPE,
    STATE(8904), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19249), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21622), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413813] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      anon_sym_PIPE,
    STATE(8905), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16031), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413961] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      anon_sym_type,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8907), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(13997), 1,
      sym__polymorphic_type,
    STATE(14137), 1,
      sym_polymorphic_type,
    STATE(14254), 1,
      sym_tuple_type,
    STATE(14287), 1,
      sym_type_variable,
    STATE(15237), 1,
      sym__tuple_type,
    STATE(15761), 1,
      sym__type,
    STATE(16104), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(20540), 1,
      sym_typed_label,
    STATE(20629), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14489), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [414060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414111] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11078), 1,
      sym__lowercase_identifier,
    ACTIONS(11080), 1,
      anon_sym_let,
    ACTIONS(11082), 1,
      anon_sym_QMARK,
    ACTIONS(11084), 1,
      anon_sym_LBRACK,
    STATE(8909), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(11634), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18321), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(15427), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [414204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10850), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414255] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11086), 1,
      anon_sym_PIPE,
    STATE(8911), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18557), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21639), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414352] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11088), 1,
      anon_sym_PIPE,
    STATE(8912), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16014), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10800), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10802), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414500] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11090), 1,
      anon_sym_RBRACK,
    STATE(8914), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17378), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10754), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10756), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414801] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11092), 1,
      anon_sym_PIPE,
    STATE(8919), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18635), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21656), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414898] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11094), 1,
      anon_sym_PIPE,
    STATE(8920), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16156), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10774), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10776), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415046] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11096), 1,
      anon_sym_RBRACK,
    STATE(8922), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16781), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415194] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_PIPE,
    STATE(8924), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19158), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21673), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415291] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      anon_sym_PIPE,
    STATE(8925), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16278), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415388] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11102), 1,
      anon_sym_RBRACK,
    STATE(8926), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16874), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11106), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11104), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10782), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10784), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11108), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9116), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415791] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_PIPE,
    STATE(8933), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18599), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21690), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415888] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      anon_sym_PIPE,
    STATE(8934), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16495), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416036] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11078), 1,
      sym__lowercase_identifier,
    ACTIONS(11080), 1,
      anon_sym_let,
    ACTIONS(11082), 1,
      anon_sym_QMARK,
    ACTIONS(11084), 1,
      anon_sym_LBRACK,
    STATE(8936), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(11662), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18321), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(15427), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [416129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10746), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416180] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11116), 1,
      anon_sym_PIPE,
    STATE(8938), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19068), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21706), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416277] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_PIPE,
    STATE(8939), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(15882), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10750), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10766), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10768), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10850), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416527] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    ACTIONS(11122), 1,
      anon_sym_QMARK,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8943), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(11634), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18563), 1,
      sym__tuple_type,
    STATE(18667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11282), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [416620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10226), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10228), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9278), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10754), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10756), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3539), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3535), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416875] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11128), 1,
      anon_sym_PIPE,
    STATE(8949), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18274), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21722), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416972] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11130), 1,
      anon_sym_PIPE,
    STATE(8950), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16103), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417069] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11132), 1,
      anon_sym_PIPE,
    STATE(8951), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18639), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21449), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417166] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_PIPE,
    STATE(8952), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16468), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417365] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11136), 1,
      anon_sym_RBRACK,
    STATE(8955), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17121), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8965), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417513] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11138), 1,
      aux_sym_attribute_id_token1,
    STATE(8957), 1,
      sym_attribute,
    STATE(9039), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9971), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [417568] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11140), 1,
      anon_sym_PIPE,
    STATE(8958), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18696), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21738), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417665] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11142), 1,
      anon_sym_PIPE,
    STATE(8959), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16575), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417762] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11144), 1,
      anon_sym_PIPE,
    STATE(8960), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(18726), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21195), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417910] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(8962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8183), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418014] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11146), 1,
      anon_sym_RBRACK,
    STATE(8964), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17709), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418162] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11148), 1,
      anon_sym_PIPE,
    STATE(8966), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19100), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21754), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418259] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11150), 1,
      anon_sym_PIPE,
    STATE(8967), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(15990), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418356] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    ACTIONS(11122), 1,
      anon_sym_QMARK,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8968), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(11773), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18563), 1,
      sym__tuple_type,
    STATE(18667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11282), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [418449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11154), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11152), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8971), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418551] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    ACTIONS(11122), 1,
      anon_sym_QMARK,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8971), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(11804), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18563), 1,
      sym__tuple_type,
    STATE(18667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11282), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [418644] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      anon_sym_type,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8972), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(13997), 1,
      sym__polymorphic_type,
    STATE(14137), 1,
      sym_polymorphic_type,
    STATE(14287), 1,
      sym_type_variable,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16080), 1,
      sym__type,
    STATE(16095), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19547), 1,
      sym__abstract_type,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [418743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11158), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11156), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10338), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10364), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418998] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_RBRACK,
    STATE(8978), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16850), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11164), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11162), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10216), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10218), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419197] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(8981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419250] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      anon_sym_RBRACK,
    STATE(8982), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17720), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419398] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11168), 1,
      anon_sym_PIPE,
    STATE(8984), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16230), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10796), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10804), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10806), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11170), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11174), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419750] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11042), 1,
      sym__lowercase_identifier,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11046), 1,
      anon_sym_QMARK,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8990), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(11662), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18882), 1,
      sym__tuple_type,
    STATE(18961), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12102), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [419843] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      anon_sym_RBRACK,
    STATE(8991), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16887), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8981), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10810), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10814), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10740), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10742), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10356), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11180), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10778), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10780), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10820), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10822), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10824), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10826), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10758), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10760), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10790), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10792), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10326), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9290), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10830), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420858] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11066), 1,
      sym__lowercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_QMARK,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9010), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(11662), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18360), 1,
      sym_extended_module_path,
    STATE(18651), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11419), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [420951] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_RBRACK,
    STATE(9011), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17503), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10836), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10838), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421099] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11186), 1,
      anon_sym_RBRACK,
    STATE(9013), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16943), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3539), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3535), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11158), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11156), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10294), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10380), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421400] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11188), 1,
      anon_sym_PIPE,
    STATE(9018), 1,
      sym_attribute,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16473), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11190), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [421548] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10974), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9020), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18373), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21480), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11170), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11180), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421747] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    ACTIONS(11196), 1,
      anon_sym_QMARK,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9023), 1,
      sym_attribute,
    STATE(11662), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18686), 1,
      sym_extended_module_path,
    STATE(19043), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12133), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [421840] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9024), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16006), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10770), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10772), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421988] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11204), 1,
      anon_sym_RBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9026), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16703), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9244), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10830), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11206), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11210), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422289] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    ACTIONS(11122), 1,
      anon_sym_QMARK,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9031), 1,
      sym_attribute,
    STATE(11662), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18563), 1,
      sym__tuple_type,
    STATE(18667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11282), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [422382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11214), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11218), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422535] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      anon_sym_type,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11222), 1,
      sym__lowercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9035), 1,
      sym_attribute,
    STATE(12302), 1,
      sym__simple_type,
    STATE(12586), 1,
      sym_type_variable,
    STATE(13978), 1,
      sym__tuple_type,
    STATE(13997), 1,
      sym__polymorphic_type,
    STATE(14137), 1,
      sym_polymorphic_type,
    STATE(14237), 1,
      sym__type,
    STATE(16413), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18184), 1,
      sym_extended_module_path,
    STATE(20546), 1,
      sym_typed_label,
    STATE(21769), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13133), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [422634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11242), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422685] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11066), 1,
      sym__lowercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_QMARK,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9037), 1,
      sym_attribute,
    STATE(11634), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18360), 1,
      sym_extended_module_path,
    STATE(18651), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11419), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [422778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422829] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11138), 1,
      aux_sym_attribute_id_token1,
    STATE(9039), 1,
      sym_attribute,
    STATE(9086), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10091), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [422884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11154), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11152), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11250), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11254), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10226), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10228), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11258), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9332), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9408), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10800), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10802), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423496] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11066), 1,
      sym__lowercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_QMARK,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9052), 1,
      sym_attribute,
    STATE(11773), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18360), 1,
      sym_extended_module_path,
    STATE(18651), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11419), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [423589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423640] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(10990), 1,
      anon_sym_LPAREN,
    ACTIONS(10994), 1,
      anon_sym_LBRACE,
    ACTIONS(10996), 1,
      anon_sym_begin,
    ACTIONS(10998), 1,
      aux_sym_number_token1,
    ACTIONS(11000), 1,
      anon_sym_SQUOTE,
    ACTIONS(11002), 1,
      anon_sym_DQUOTE,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    STATE(9054), 1,
      sym_attribute,
    STATE(13120), 1,
      sym_module_path,
    STATE(13428), 1,
      sym__value_name,
    STATE(13466), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13443), 2,
      sym__constant,
      sym_value_path,
    ACTIONS(10986), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    STATE(13497), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(10988), 9,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
  [423719] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11036), 1,
      anon_sym_DOT,
    ACTIONS(11038), 1,
      anon_sym_POUND,
    ACTIONS(11040), 1,
      sym_hash_operator,
    STATE(9055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10338), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10364), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10218), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423929] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_RBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9059), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17255), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424128] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      anon_sym_type,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11264), 1,
      sym__lowercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9062), 1,
      sym_attribute,
    STATE(11740), 1,
      sym__simple_type,
    STATE(11906), 1,
      sym_type_variable,
    STATE(13565), 1,
      sym__tuple_type,
    STATE(13801), 1,
      sym__type,
    STATE(14035), 1,
      sym_polymorphic_type,
    STATE(14099), 1,
      sym__polymorphic_type,
    STATE(16201), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18262), 1,
      sym_extended_module_path,
    STATE(20028), 1,
      sym_typed_label,
    STATE(20660), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12309), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [424227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11286), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11284), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424431] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    ACTIONS(11196), 1,
      anon_sym_QMARK,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9067), 1,
      sym_attribute,
    STATE(11634), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18686), 1,
      sym_extended_module_path,
    STATE(19043), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12133), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [424524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10818), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11250), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11290), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11288), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11106), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11104), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11108), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11174), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425034] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_RBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9078), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(17994), 1,
      sym__tag_spec,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425131] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    ACTIONS(11196), 1,
      anon_sym_QMARK,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9079), 1,
      sym_attribute,
    STATE(11773), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18686), 1,
      sym_extended_module_path,
    STATE(19043), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12133), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [425224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8951), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8953), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425326] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11036), 1,
      anon_sym_DOT,
    STATE(9082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425379] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10964), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9083), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18656), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21159), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425476] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9084), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16484), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425573] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11144), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9085), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15321), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(18726), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21195), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425670] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11296), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9086), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10115), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10113), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [425723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11210), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11286), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11284), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425876] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11299), 1,
      anon_sym_RBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9090), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17019), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425973] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    ACTIONS(11196), 1,
      anon_sym_QMARK,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9091), 1,
      sym_attribute,
    STATE(11804), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18686), 1,
      sym_extended_module_path,
    STATE(19043), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12133), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [426066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9336), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10770), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10772), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11164), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11162), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11290), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11288), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11303), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11301), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11307), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11305), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426780] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11309), 1,
      anon_sym_RBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9106), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17225), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426928] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11311), 1,
      anon_sym_RBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9108), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16599), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11303), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11301), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [427127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10326), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11315), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11313), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11319), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11317), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427484] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      anon_sym_type,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11321), 1,
      sym__lowercase_identifier,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9118), 1,
      sym_attribute,
    STATE(11649), 1,
      sym_type_variable,
    STATE(11899), 1,
      sym__simple_type,
    STATE(13271), 1,
      sym__tuple_type,
    STATE(13667), 1,
      sym__type,
    STATE(14035), 1,
      sym_polymorphic_type,
    STATE(14099), 1,
      sym__polymorphic_type,
    STATE(16461), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18364), 1,
      sym_extended_module_path,
    STATE(20928), 1,
      sym_typed_label,
    STATE(21899), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12303), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427583] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11042), 1,
      sym__lowercase_identifier,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11046), 1,
      anon_sym_QMARK,
    ACTIONS(11048), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9119), 1,
      sym_attribute,
    STATE(11634), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18882), 1,
      sym__tuple_type,
    STATE(18961), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12102), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [427676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11206), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [427778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11343), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11341), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427880] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11345), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9124), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(18931), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21506), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11307), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11305), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [428028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11315), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11313), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [428079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10820), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10822), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10824), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10826), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428283] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11347), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9131), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16234), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428380] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11349), 1,
      anon_sym_RBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9132), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17769), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10740), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10742), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10758), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10760), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8945), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8943), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9198), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [428681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8941), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8939), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11343), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11341), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [428783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9282), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [428936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10294), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10380), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10866), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10868), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429242] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11144), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9148), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15446), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(18726), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21195), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [429339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11214), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [429390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10796), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429441] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11351), 1,
      anon_sym_RBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9151), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17260), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [429538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10762), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10764), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429640] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11078), 1,
      sym__lowercase_identifier,
    ACTIONS(11080), 1,
      anon_sym_let,
    ACTIONS(11082), 1,
      anon_sym_QMARK,
    ACTIONS(11084), 1,
      anon_sym_LBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9154), 1,
      sym_attribute,
    STATE(11773), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18321), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(15427), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [429733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10844), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10846), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429988] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      anon_sym_type,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11353), 1,
      sym__lowercase_identifier,
    ACTIONS(11355), 1,
      anon_sym_LPAREN,
    ACTIONS(11357), 1,
      anon_sym_LBRACK,
    ACTIONS(11359), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11361), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11363), 1,
      anon_sym_LT,
    ACTIONS(11365), 1,
      anon_sym_POUND,
    ACTIONS(11367), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11369), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11371), 1,
      aux_sym_type_variable_token1,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9160), 1,
      sym_attribute,
    STATE(13323), 1,
      sym_type_variable,
    STATE(13437), 1,
      sym__simple_type,
    STATE(13997), 1,
      sym__polymorphic_type,
    STATE(14137), 1,
      sym_polymorphic_type,
    STATE(14402), 1,
      sym__tuple_type,
    STATE(14543), 1,
      sym__type,
    STATE(16349), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19051), 1,
      sym_extended_module_path,
    STATE(19330), 1,
      sym__abstract_type,
    STATE(20902), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14167), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10786), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10788), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9248), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10720), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10804), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10806), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430342] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11373), 1,
      anon_sym_RBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9166), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17243), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430439] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11078), 1,
      sym__lowercase_identifier,
    ACTIONS(11080), 1,
      anon_sym_let,
    ACTIONS(11082), 1,
      anon_sym_QMARK,
    ACTIONS(11084), 1,
      anon_sym_LBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9167), 1,
      sym_attribute,
    STATE(11804), 1,
      sym__class_type,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18321), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(15427), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13645), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [430532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430583] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9169), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18486), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21530), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8963), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8961), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9202), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430782] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11375), 1,
      anon_sym_RBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9172), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17431), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8957), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8955), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430981] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11377), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9175), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16236), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8975), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8977), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10810), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10298), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11218), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [431333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11242), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [431384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9210), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10856), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10858), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9270), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9214), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10818), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8183), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431996] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11379), 1,
      anon_sym_RBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9194), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17495), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432093] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11381), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9195), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19147), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21411), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10866), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10868), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10836), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10838), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432343] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11383), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9199), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18386), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21550), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9252), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432491] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11385), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9201), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18457), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21281), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432588] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11387), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9202), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16218), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432685] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9203), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16184), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432833] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11391), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9205), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16073), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11395), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [432981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10860), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10862), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433032] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11397), 1,
      anon_sym_RBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9208), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17592), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10856), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10858), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10860), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10862), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11395), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [433384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10814), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10356), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433741] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10898), 1,
      anon_sym_PIPE,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9221), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19279), 1,
      sym_tag_specification,
    STATE(21003), 1,
      sym_typed_label,
    STATE(21569), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433838] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11399), 1,
      anon_sym_PIPE,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9222), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16588), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11286), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11284), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [434036] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11409), 1,
      sym_pow_operator,
    ACTIONS(11411), 1,
      sym_mult_operator,
    ACTIONS(11413), 1,
      sym_concat_operator,
    ACTIONS(11415), 1,
      sym_rel_operator,
    ACTIONS(11417), 1,
      sym_and_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [434102] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9226), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16924), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434196] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11409), 1,
      sym_pow_operator,
    ACTIONS(11411), 1,
      sym_mult_operator,
    ACTIONS(11413), 1,
      sym_concat_operator,
    ACTIONS(11415), 1,
      sym_rel_operator,
    ACTIONS(11417), 1,
      sym_and_operator,
    ACTIONS(11419), 1,
      sym_or_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [434264] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9164), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434314] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11425), 1,
      anon_sym_PIPE,
    STATE(9229), 1,
      sym_attribute,
    STATE(9358), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [434368] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11409), 1,
      sym_pow_operator,
    ACTIONS(11411), 1,
      sym_mult_operator,
    ACTIONS(11413), 1,
      sym_concat_operator,
    ACTIONS(11415), 1,
      sym_rel_operator,
    ACTIONS(11417), 1,
      sym_and_operator,
    ACTIONS(11419), 1,
      sym_or_operator,
    ACTIONS(11427), 1,
      anon_sym_COMMA,
    ACTIONS(11429), 1,
      sym_assign_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [434440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11433), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11431), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [434490] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9232), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16703), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434584] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9233), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16025), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434678] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9234), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17121), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434772] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9235), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16151), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434866] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9236), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym__tag_spec,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11164), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11162), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435010] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9238), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17129), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435104] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      sym_pow_operator,
    ACTIONS(11411), 1,
      sym_mult_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435160] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9240), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16712), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435254] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11435), 1,
      anon_sym_PIPE,
    STATE(9241), 1,
      sym_attribute,
    STATE(9243), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435308] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11435), 1,
      anon_sym_PIPE,
    STATE(9242), 1,
      sym_attribute,
    STATE(9243), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435362] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9243), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435414] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11409), 1,
      sym_pow_operator,
    ACTIONS(11411), 1,
      sym_mult_operator,
    ACTIONS(11413), 1,
      sym_concat_operator,
    ACTIONS(11415), 1,
      sym_rel_operator,
    ACTIONS(11417), 1,
      sym_and_operator,
    ACTIONS(11419), 1,
      sym_or_operator,
    ACTIONS(11427), 1,
      anon_sym_COMMA,
    ACTIONS(11429), 1,
      sym_assign_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435486] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11452), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11206), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435590] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9247), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17243), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435684] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9248), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(15894), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435778] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11409), 1,
      sym_pow_operator,
    ACTIONS(11411), 1,
      sym_mult_operator,
    ACTIONS(11413), 1,
      sym_concat_operator,
    ACTIONS(11415), 1,
      sym_rel_operator,
    ACTIONS(11417), 1,
      sym_and_operator,
    ACTIONS(11419), 1,
      sym_or_operator,
    ACTIONS(11427), 1,
      anon_sym_COMMA,
    ACTIONS(11429), 1,
      sym_assign_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435850] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9250), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(17994), 1,
      sym__tag_spec,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435944] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9251), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17265), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11214), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436088] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9253), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17495), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436182] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11435), 1,
      anon_sym_PIPE,
    STATE(9241), 1,
      aux_sym__match_cases_repeat1,
    STATE(9254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436236] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11466), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436290] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11468), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436344] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9257), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(15986), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436438] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11470), 1,
      anon_sym_PIPE,
    STATE(9258), 1,
      sym_attribute,
    STATE(9293), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436492] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9259), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17592), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436586] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11435), 1,
      anon_sym_PIPE,
    STATE(9242), 1,
      aux_sym__match_cases_repeat1,
    STATE(9260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436640] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9261), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16435), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11395), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436784] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11476), 1,
      anon_sym_COMMA,
    ACTIONS(11478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11480), 1,
      sym_pow_operator,
    ACTIONS(11482), 1,
      sym_mult_operator,
    ACTIONS(11484), 1,
      sym_concat_operator,
    ACTIONS(11486), 1,
      sym_rel_operator,
    ACTIONS(11488), 1,
      sym_and_operator,
    ACTIONS(11490), 1,
      sym_or_operator,
    ACTIONS(11492), 1,
      sym_assign_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11474), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11472), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436856] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9264), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17378), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436950] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9265), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(17897), 1,
      sym__tag_spec,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437044] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9266), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16000), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437138] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11500), 1,
      sym_pow_operator,
    ACTIONS(11502), 1,
      sym_mult_operator,
    ACTIONS(11504), 1,
      sym_concat_operator,
    ACTIONS(11506), 1,
      sym_rel_operator,
    ACTIONS(11508), 1,
      sym_and_operator,
    ACTIONS(11510), 1,
      sym_or_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437206] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9268), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16887), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10220), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437350] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9270), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16821), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11319), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11317), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437494] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9272), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16375), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437588] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11500), 1,
      sym_pow_operator,
    ACTIONS(11502), 1,
      sym_mult_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11218), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11290), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11288), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437748] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9276), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16781), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437842] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9277), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16171), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437936] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9278), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17391), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10214), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10212), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438080] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438134] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9281), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17431), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438228] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9282), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16906), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438322] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9283), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16823), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438416] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9284), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17503), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11520), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [438560] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9286), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16324), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438654] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9287), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16075), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438748] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9288), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16789), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438842] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9289), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17260), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11254), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438986] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11470), 1,
      anon_sym_PIPE,
    STATE(9291), 1,
      sym_attribute,
    STATE(9293), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11180), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [439090] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11522), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9293), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439142] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9294), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16220), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439236] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9158), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11154), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11152), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [439336] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11500), 1,
      sym_pow_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439390] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11500), 1,
      sym_pow_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439444] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11500), 1,
      sym_pow_operator,
    ACTIONS(11502), 1,
      sym_mult_operator,
    ACTIONS(11504), 1,
      sym_concat_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439506] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11500), 1,
      sym_pow_operator,
    ACTIONS(11502), 1,
      sym_mult_operator,
    ACTIONS(11504), 1,
      sym_concat_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3539), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3535), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [439618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11242), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [439668] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11476), 1,
      anon_sym_COMMA,
    ACTIONS(11478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11480), 1,
      sym_pow_operator,
    ACTIONS(11482), 1,
      sym_mult_operator,
    ACTIONS(11484), 1,
      sym_concat_operator,
    ACTIONS(11486), 1,
      sym_rel_operator,
    ACTIONS(11488), 1,
      sym_and_operator,
    ACTIONS(11490), 1,
      sym_or_operator,
    ACTIONS(11492), 1,
      sym_assign_operator,
    ACTIONS(11525), 1,
      anon_sym_SEMI,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439742] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11500), 1,
      sym_pow_operator,
    ACTIONS(11502), 1,
      sym_mult_operator,
    ACTIONS(11504), 1,
      sym_concat_operator,
    ACTIONS(11506), 1,
      sym_rel_operator,
    ACTIONS(11508), 1,
      sym_and_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439808] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11500), 1,
      sym_pow_operator,
    ACTIONS(11502), 1,
      sym_mult_operator,
    ACTIONS(11504), 1,
      sym_concat_operator,
    ACTIONS(11506), 1,
      sym_rel_operator,
    ACTIONS(11508), 1,
      sym_and_operator,
    ACTIONS(11510), 1,
      sym_or_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439876] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9306), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17550), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439970] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9307), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16787), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440064] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9308), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16850), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440158] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(9309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [440210] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440262] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9311), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17702), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440356] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11531), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440410] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9313), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16295), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440504] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11409), 1,
      sym_pow_operator,
    ACTIONS(11411), 1,
      sym_mult_operator,
    ACTIONS(11413), 1,
      sym_concat_operator,
    ACTIONS(11415), 1,
      sym_rel_operator,
    ACTIONS(11417), 1,
      sym_and_operator,
    ACTIONS(11419), 1,
      sym_or_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440572] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9315), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16861), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11170), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [440716] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11409), 1,
      sym_pow_operator,
    ACTIONS(11411), 1,
      sym_mult_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440776] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      sym_pow_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440830] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11425), 1,
      anon_sym_PIPE,
    STATE(9319), 1,
      sym_attribute,
    STATE(9357), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11174), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [440934] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440986] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11500), 1,
      sym_pow_operator,
    ACTIONS(11502), 1,
      sym_mult_operator,
    ACTIONS(11504), 1,
      sym_concat_operator,
    ACTIONS(11506), 1,
      sym_rel_operator,
    ACTIONS(11508), 1,
      sym_and_operator,
    ACTIONS(11510), 1,
      sym_or_operator,
    ACTIONS(11533), 1,
      anon_sym_COMMA,
    ACTIONS(11535), 1,
      sym_assign_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441058] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11500), 1,
      sym_pow_operator,
    ACTIONS(11502), 1,
      sym_mult_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441114] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11500), 1,
      sym_pow_operator,
    ACTIONS(11502), 1,
      sym_mult_operator,
    ACTIONS(11504), 1,
      sym_concat_operator,
    ACTIONS(11506), 1,
      sym_rel_operator,
    ACTIONS(11508), 1,
      sym_and_operator,
    ACTIONS(11510), 1,
      sym_or_operator,
    ACTIONS(11533), 1,
      anon_sym_COMMA,
    ACTIONS(11535), 1,
      sym_assign_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441186] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11531), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11158), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11156), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [441290] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11468), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441344] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11500), 1,
      sym_pow_operator,
    ACTIONS(11502), 1,
      sym_mult_operator,
    ACTIONS(11504), 1,
      sym_concat_operator,
    ACTIONS(11506), 1,
      sym_rel_operator,
    ACTIONS(11508), 1,
      sym_and_operator,
    ACTIONS(11510), 1,
      sym_or_operator,
    ACTIONS(11533), 1,
      anon_sym_COMMA,
    ACTIONS(11535), 1,
      sym_assign_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441416] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11537), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441470] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      sym_pow_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441524] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11409), 1,
      sym_pow_operator,
    ACTIONS(11411), 1,
      sym_mult_operator,
    ACTIONS(11413), 1,
      sym_concat_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441586] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9332), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16498), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441680] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9333), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17225), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441774] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11470), 1,
      anon_sym_PIPE,
    STATE(9291), 1,
      aux_sym__match_cases_repeat1,
    STATE(9334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441828] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9335), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16943), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441922] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9336), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16538), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442016] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9337), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(15887), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442110] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9338), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16599), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442204] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9339), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17313), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442298] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11466), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [442352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11258), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [442402] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9342), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16957), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442496] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9343), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16119), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11106), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11104), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [442640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11108), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [442690] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11409), 1,
      sym_pow_operator,
    ACTIONS(11411), 1,
      sym_mult_operator,
    ACTIONS(11413), 1,
      sym_concat_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [442752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11303), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11301), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [442802] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9348), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16874), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442896] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11409), 1,
      sym_pow_operator,
    ACTIONS(11411), 1,
      sym_mult_operator,
    ACTIONS(11413), 1,
      sym_concat_operator,
    ACTIONS(11415), 1,
      sym_rel_operator,
    ACTIONS(11417), 1,
      sym_and_operator,
    ACTIONS(11419), 1,
      sym_or_operator,
    ACTIONS(11427), 1,
      anon_sym_COMMA,
    ACTIONS(11429), 1,
      sym_assign_operator,
    ACTIONS(11539), 1,
      anon_sym_SEMI,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [442970] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9350), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16615), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11307), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11305), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [443114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11315), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11313), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [443164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [443214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10230), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [443264] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11500), 1,
      sym_pow_operator,
    ACTIONS(11502), 1,
      sym_mult_operator,
    ACTIONS(11504), 1,
      sym_concat_operator,
    ACTIONS(11506), 1,
      sym_rel_operator,
    ACTIONS(11508), 1,
      sym_and_operator,
    ACTIONS(11510), 1,
      sym_or_operator,
    ACTIONS(11533), 1,
      anon_sym_COMMA,
    ACTIONS(11535), 1,
      sym_assign_operator,
    ACTIONS(11541), 1,
      anon_sym_SEMI,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [443338] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(10113), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [443388] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11425), 1,
      anon_sym_PIPE,
    STATE(9357), 1,
      sym_attribute,
    STATE(9391), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [443442] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11425), 1,
      anon_sym_PIPE,
    STATE(9358), 1,
      sym_attribute,
    STATE(9391), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [443496] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9359), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17709), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443590] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9360), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16259), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443684] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9361), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17255), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443778] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9362), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17747), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443872] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9363), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17769), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443966] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444020] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9365), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17720), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444114] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9366), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16268), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444208] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9367), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(15901), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444302] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9368), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17732), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444396] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11480), 1,
      sym_pow_operator,
    ACTIONS(11482), 1,
      sym_mult_operator,
    ACTIONS(11484), 1,
      sym_concat_operator,
    ACTIONS(11486), 1,
      sym_rel_operator,
    ACTIONS(11488), 1,
      sym_and_operator,
    ACTIONS(11490), 1,
      sym_or_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444464] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11409), 1,
      sym_pow_operator,
    ACTIONS(11411), 1,
      sym_mult_operator,
    ACTIONS(11413), 1,
      sym_concat_operator,
    ACTIONS(11415), 1,
      sym_rel_operator,
    ACTIONS(11417), 1,
      sym_and_operator,
    ACTIONS(11419), 1,
      sym_or_operator,
    ACTIONS(11427), 1,
      anon_sym_COMMA,
    ACTIONS(11429), 1,
      sym_assign_operator,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11474), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11472), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11343), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11341), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [444586] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9372), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17019), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444680] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11480), 1,
      sym_pow_operator,
    ACTIONS(11482), 1,
      sym_mult_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444740] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11480), 1,
      sym_pow_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444794] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11480), 1,
      sym_pow_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444848] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9376), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(15905), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444942] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11480), 1,
      sym_pow_operator,
    ACTIONS(11482), 1,
      sym_mult_operator,
    ACTIONS(11484), 1,
      sym_concat_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445004] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11500), 1,
      sym_pow_operator,
    ACTIONS(11502), 1,
      sym_mult_operator,
    ACTIONS(11504), 1,
      sym_concat_operator,
    ACTIONS(11506), 1,
      sym_rel_operator,
    ACTIONS(11508), 1,
      sym_and_operator,
    ACTIONS(11510), 1,
      sym_or_operator,
    ACTIONS(11533), 1,
      anon_sym_COMMA,
    ACTIONS(11535), 1,
      sym_assign_operator,
    STATE(2675), 1,
      sym_add_operator,
    STATE(9378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11474), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11472), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445076] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11480), 1,
      sym_pow_operator,
    ACTIONS(11482), 1,
      sym_mult_operator,
    ACTIONS(11484), 1,
      sym_concat_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445138] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11480), 1,
      sym_pow_operator,
    ACTIONS(11482), 1,
      sym_mult_operator,
    ACTIONS(11484), 1,
      sym_concat_operator,
    ACTIONS(11486), 1,
      sym_rel_operator,
    ACTIONS(11488), 1,
      sym_and_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445204] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11480), 1,
      sym_pow_operator,
    ACTIONS(11482), 1,
      sym_mult_operator,
    ACTIONS(11484), 1,
      sym_concat_operator,
    ACTIONS(11486), 1,
      sym_rel_operator,
    ACTIONS(11488), 1,
      sym_and_operator,
    ACTIONS(11490), 1,
      sym_or_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445272] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9382), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17289), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445366] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11476), 1,
      anon_sym_COMMA,
    ACTIONS(11478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11480), 1,
      sym_pow_operator,
    ACTIONS(11482), 1,
      sym_mult_operator,
    ACTIONS(11484), 1,
      sym_concat_operator,
    ACTIONS(11486), 1,
      sym_rel_operator,
    ACTIONS(11488), 1,
      sym_and_operator,
    ACTIONS(11490), 1,
      sym_or_operator,
    ACTIONS(11492), 1,
      sym_assign_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445438] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11480), 1,
      sym_pow_operator,
    ACTIONS(11482), 1,
      sym_mult_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445494] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11476), 1,
      anon_sym_COMMA,
    ACTIONS(11478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11480), 1,
      sym_pow_operator,
    ACTIONS(11482), 1,
      sym_mult_operator,
    ACTIONS(11484), 1,
      sym_concat_operator,
    ACTIONS(11486), 1,
      sym_rel_operator,
    ACTIONS(11488), 1,
      sym_and_operator,
    ACTIONS(11490), 1,
      sym_or_operator,
    ACTIONS(11492), 1,
      sym_assign_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445566] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(9386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445618] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11537), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445672] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2124), 1,
      sym_add_operator,
    STATE(9388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445724] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11476), 1,
      anon_sym_COMMA,
    ACTIONS(11478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11480), 1,
      sym_pow_operator,
    ACTIONS(11482), 1,
      sym_mult_operator,
    ACTIONS(11484), 1,
      sym_concat_operator,
    ACTIONS(11486), 1,
      sym_rel_operator,
    ACTIONS(11488), 1,
      sym_and_operator,
    ACTIONS(11490), 1,
      sym_or_operator,
    ACTIONS(11492), 1,
      sym_assign_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(9389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445796] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9132), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445846] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11543), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9391), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445898] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9392), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(17028), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445992] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9278), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446042] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11452), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446096] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9395), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16343), 1,
      sym__tag_spec,
    STATE(16534), 1,
      sym_tag,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11210), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [446240] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9397), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16549), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11250), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [446384] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9399), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16534), 1,
      sym_tag,
    STATE(16743), 1,
      sym__tag_spec,
    STATE(17773), 1,
      sym_tag_specification,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446478] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11550), 1,
      anon_sym_RPAREN,
    STATE(9400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11548), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(11546), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [446530] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11470), 1,
      anon_sym_PIPE,
    STATE(9258), 1,
      aux_sym__match_cases_repeat1,
    STATE(9401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446584] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      anon_sym_COMMA,
    ACTIONS(11554), 1,
      anon_sym_SEMI,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    ACTIONS(11570), 1,
      sym_assign_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446657] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11574), 1,
      sym_pow_operator,
    ACTIONS(11576), 1,
      sym_mult_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446716] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      sym_pow_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446769] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      sym_pow_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446822] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11574), 1,
      sym_pow_operator,
    ACTIONS(11576), 1,
      sym_mult_operator,
    ACTIONS(11578), 1,
      sym_concat_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446883] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11574), 1,
      sym_pow_operator,
    ACTIONS(11576), 1,
      sym_mult_operator,
    ACTIONS(11578), 1,
      sym_concat_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446944] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11574), 1,
      sym_pow_operator,
    ACTIONS(11576), 1,
      sym_mult_operator,
    ACTIONS(11578), 1,
      sym_concat_operator,
    ACTIONS(11580), 1,
      sym_rel_operator,
    ACTIONS(11582), 1,
      sym_and_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447009] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11574), 1,
      sym_pow_operator,
    ACTIONS(11576), 1,
      sym_mult_operator,
    ACTIONS(11578), 1,
      sym_concat_operator,
    ACTIONS(11580), 1,
      sym_rel_operator,
    ACTIONS(11582), 1,
      sym_and_operator,
    ACTIONS(11584), 1,
      sym_or_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447076] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11574), 1,
      sym_pow_operator,
    ACTIONS(11576), 1,
      sym_mult_operator,
    ACTIONS(11578), 1,
      sym_concat_operator,
    ACTIONS(11580), 1,
      sym_rel_operator,
    ACTIONS(11582), 1,
      sym_and_operator,
    ACTIONS(11584), 1,
      sym_or_operator,
    ACTIONS(11586), 1,
      anon_sym_COMMA,
    ACTIONS(11588), 1,
      sym_assign_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447147] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      sym_pow_operator,
    ACTIONS(11576), 1,
      sym_mult_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447202] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11574), 1,
      sym_pow_operator,
    ACTIONS(11576), 1,
      sym_mult_operator,
    ACTIONS(11578), 1,
      sym_concat_operator,
    ACTIONS(11580), 1,
      sym_rel_operator,
    ACTIONS(11582), 1,
      sym_and_operator,
    ACTIONS(11584), 1,
      sym_or_operator,
    ACTIONS(11586), 1,
      anon_sym_COMMA,
    ACTIONS(11588), 1,
      sym_assign_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447273] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11590), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447326] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11574), 1,
      sym_pow_operator,
    ACTIONS(11576), 1,
      sym_mult_operator,
    ACTIONS(11578), 1,
      sym_concat_operator,
    ACTIONS(11580), 1,
      sym_rel_operator,
    ACTIONS(11582), 1,
      sym_and_operator,
    ACTIONS(11584), 1,
      sym_or_operator,
    ACTIONS(11586), 1,
      anon_sym_COMMA,
    ACTIONS(11588), 1,
      sym_assign_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447397] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      anon_sym_COMMA,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    ACTIONS(11570), 1,
      sym_assign_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447468] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10900), 1,
      anon_sym_RPAREN,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11592), 1,
      anon_sym_module,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9416), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15762), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447559] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447610] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11574), 1,
      sym_pow_operator,
    ACTIONS(11576), 1,
      sym_mult_operator,
    ACTIONS(11578), 1,
      sym_concat_operator,
    ACTIONS(11580), 1,
      sym_rel_operator,
    ACTIONS(11582), 1,
      sym_and_operator,
    ACTIONS(11584), 1,
      sym_or_operator,
    ACTIONS(11586), 1,
      anon_sym_COMMA,
    ACTIONS(11588), 1,
      sym_assign_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11474), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11472), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447681] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447732] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11590), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447785] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11598), 1,
      sym_pow_operator,
    ACTIONS(11600), 1,
      sym_mult_operator,
    ACTIONS(11602), 1,
      sym_concat_operator,
    ACTIONS(11604), 1,
      sym_rel_operator,
    ACTIONS(11606), 1,
      sym_and_operator,
    ACTIONS(11608), 1,
      sym_or_operator,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447852] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11598), 1,
      sym_pow_operator,
    ACTIONS(11600), 1,
      sym_mult_operator,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447911] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11598), 1,
      sym_pow_operator,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447964] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11598), 1,
      sym_pow_operator,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448017] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11598), 1,
      sym_pow_operator,
    ACTIONS(11600), 1,
      sym_mult_operator,
    ACTIONS(11602), 1,
      sym_concat_operator,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448078] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11598), 1,
      sym_pow_operator,
    ACTIONS(11600), 1,
      sym_mult_operator,
    ACTIONS(11602), 1,
      sym_concat_operator,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448139] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11598), 1,
      sym_pow_operator,
    ACTIONS(11600), 1,
      sym_mult_operator,
    ACTIONS(11602), 1,
      sym_concat_operator,
    ACTIONS(11604), 1,
      sym_rel_operator,
    ACTIONS(11606), 1,
      sym_and_operator,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448204] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11598), 1,
      sym_pow_operator,
    ACTIONS(11600), 1,
      sym_mult_operator,
    ACTIONS(11602), 1,
      sym_concat_operator,
    ACTIONS(11604), 1,
      sym_rel_operator,
    ACTIONS(11606), 1,
      sym_and_operator,
    ACTIONS(11608), 1,
      sym_or_operator,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448271] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11598), 1,
      sym_pow_operator,
    ACTIONS(11600), 1,
      sym_mult_operator,
    ACTIONS(11602), 1,
      sym_concat_operator,
    ACTIONS(11604), 1,
      sym_rel_operator,
    ACTIONS(11606), 1,
      sym_and_operator,
    ACTIONS(11608), 1,
      sym_or_operator,
    ACTIONS(11610), 1,
      anon_sym_COMMA,
    ACTIONS(11612), 1,
      sym_assign_operator,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448342] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11598), 1,
      sym_pow_operator,
    ACTIONS(11600), 1,
      sym_mult_operator,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448397] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11598), 1,
      sym_pow_operator,
    ACTIONS(11600), 1,
      sym_mult_operator,
    ACTIONS(11602), 1,
      sym_concat_operator,
    ACTIONS(11604), 1,
      sym_rel_operator,
    ACTIONS(11606), 1,
      sym_and_operator,
    ACTIONS(11608), 1,
      sym_or_operator,
    ACTIONS(11610), 1,
      anon_sym_COMMA,
    ACTIONS(11612), 1,
      sym_assign_operator,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448468] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10966), 1,
      anon_sym_RPAREN,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11614), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9432), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15680), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448559] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448612] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11618), 1,
      anon_sym_PIPE,
    STATE(9434), 1,
      sym_attribute,
    STATE(9437), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448665] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11618), 1,
      anon_sym_PIPE,
    STATE(9435), 1,
      sym_attribute,
    STATE(9437), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448718] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_COMMA,
    ACTIONS(11622), 1,
      anon_sym_SEMI,
    ACTIONS(11624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11626), 1,
      sym_pow_operator,
    ACTIONS(11628), 1,
      sym_mult_operator,
    ACTIONS(11630), 1,
      sym_concat_operator,
    ACTIONS(11632), 1,
      sym_rel_operator,
    ACTIONS(11634), 1,
      sym_and_operator,
    ACTIONS(11636), 1,
      sym_or_operator,
    ACTIONS(11638), 1,
      sym_assign_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448791] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9437), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448842] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_PIPE,
    STATE(9438), 1,
      sym_attribute,
    STATE(9530), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448895] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11618), 1,
      anon_sym_PIPE,
    STATE(9434), 1,
      aux_sym__match_cases_repeat1,
    STATE(9439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448948] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11626), 1,
      sym_pow_operator,
    ACTIONS(11628), 1,
      sym_mult_operator,
    ACTIONS(11630), 1,
      sym_concat_operator,
    ACTIONS(11632), 1,
      sym_rel_operator,
    ACTIONS(11634), 1,
      sym_and_operator,
    ACTIONS(11636), 1,
      sym_or_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449015] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11626), 1,
      sym_pow_operator,
    ACTIONS(11628), 1,
      sym_mult_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449074] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11626), 1,
      sym_pow_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449127] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11598), 1,
      sym_pow_operator,
    ACTIONS(11600), 1,
      sym_mult_operator,
    ACTIONS(11602), 1,
      sym_concat_operator,
    ACTIONS(11604), 1,
      sym_rel_operator,
    ACTIONS(11606), 1,
      sym_and_operator,
    ACTIONS(11608), 1,
      sym_or_operator,
    ACTIONS(11610), 1,
      anon_sym_COMMA,
    ACTIONS(11612), 1,
      sym_assign_operator,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449198] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11626), 1,
      sym_pow_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449251] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11626), 1,
      sym_pow_operator,
    ACTIONS(11628), 1,
      sym_mult_operator,
    ACTIONS(11630), 1,
      sym_concat_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449312] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11550), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(11645), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [449361] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11626), 1,
      sym_pow_operator,
    ACTIONS(11628), 1,
      sym_mult_operator,
    ACTIONS(11630), 1,
      sym_concat_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449422] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11626), 1,
      sym_pow_operator,
    ACTIONS(11628), 1,
      sym_mult_operator,
    ACTIONS(11630), 1,
      sym_concat_operator,
    ACTIONS(11632), 1,
      sym_rel_operator,
    ACTIONS(11634), 1,
      sym_and_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449487] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11647), 1,
      anon_sym_COMMA,
    ACTIONS(11649), 1,
      anon_sym_SEMI,
    ACTIONS(11651), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_pow_operator,
    ACTIONS(11655), 1,
      sym_mult_operator,
    ACTIONS(11657), 1,
      sym_concat_operator,
    ACTIONS(11659), 1,
      sym_rel_operator,
    ACTIONS(11661), 1,
      sym_and_operator,
    ACTIONS(11663), 1,
      sym_or_operator,
    ACTIONS(11665), 1,
      sym_assign_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449560] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11626), 1,
      sym_pow_operator,
    ACTIONS(11628), 1,
      sym_mult_operator,
    ACTIONS(11630), 1,
      sym_concat_operator,
    ACTIONS(11632), 1,
      sym_rel_operator,
    ACTIONS(11634), 1,
      sym_and_operator,
    ACTIONS(11636), 1,
      sym_or_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449627] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_COMMA,
    ACTIONS(11624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11626), 1,
      sym_pow_operator,
    ACTIONS(11628), 1,
      sym_mult_operator,
    ACTIONS(11630), 1,
      sym_concat_operator,
    ACTIONS(11632), 1,
      sym_rel_operator,
    ACTIONS(11634), 1,
      sym_and_operator,
    ACTIONS(11636), 1,
      sym_or_operator,
    ACTIONS(11638), 1,
      sym_assign_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449698] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11626), 1,
      sym_pow_operator,
    ACTIONS(11628), 1,
      sym_mult_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449753] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_COMMA,
    ACTIONS(11624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11626), 1,
      sym_pow_operator,
    ACTIONS(11628), 1,
      sym_mult_operator,
    ACTIONS(11630), 1,
      sym_concat_operator,
    ACTIONS(11632), 1,
      sym_rel_operator,
    ACTIONS(11634), 1,
      sym_and_operator,
    ACTIONS(11636), 1,
      sym_or_operator,
    ACTIONS(11638), 1,
      sym_assign_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449824] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11667), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449877] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_COMMA,
    ACTIONS(11624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11626), 1,
      sym_pow_operator,
    ACTIONS(11628), 1,
      sym_mult_operator,
    ACTIONS(11630), 1,
      sym_concat_operator,
    ACTIONS(11632), 1,
      sym_rel_operator,
    ACTIONS(11634), 1,
      sym_and_operator,
    ACTIONS(11636), 1,
      sym_or_operator,
    ACTIONS(11638), 1,
      sym_assign_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449948] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11618), 1,
      anon_sym_PIPE,
    STATE(9435), 1,
      aux_sym__match_cases_repeat1,
    STATE(9456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450001] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450052] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450119] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_COLON,
    STATE(9459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [450170] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11651), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_pow_operator,
    ACTIONS(11655), 1,
      sym_mult_operator,
    ACTIONS(11657), 1,
      sym_concat_operator,
    ACTIONS(11659), 1,
      sym_rel_operator,
    ACTIONS(11661), 1,
      sym_and_operator,
    ACTIONS(11663), 1,
      sym_or_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450237] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11651), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_pow_operator,
    ACTIONS(11655), 1,
      sym_mult_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450296] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11653), 1,
      sym_pow_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450349] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11653), 1,
      sym_pow_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450402] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11548), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(11546), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [450451] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11651), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_pow_operator,
    ACTIONS(11655), 1,
      sym_mult_operator,
    ACTIONS(11657), 1,
      sym_concat_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450512] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      anon_sym_RPAREN,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11671), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9466), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15713), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450603] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11651), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_pow_operator,
    ACTIONS(11655), 1,
      sym_mult_operator,
    ACTIONS(11657), 1,
      sym_concat_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450664] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11651), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_pow_operator,
    ACTIONS(11655), 1,
      sym_mult_operator,
    ACTIONS(11657), 1,
      sym_concat_operator,
    ACTIONS(11659), 1,
      sym_rel_operator,
    ACTIONS(11661), 1,
      sym_and_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450729] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11651), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_pow_operator,
    ACTIONS(11655), 1,
      sym_mult_operator,
    ACTIONS(11657), 1,
      sym_concat_operator,
    ACTIONS(11659), 1,
      sym_rel_operator,
    ACTIONS(11661), 1,
      sym_and_operator,
    ACTIONS(11663), 1,
      sym_or_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450796] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11647), 1,
      anon_sym_COMMA,
    ACTIONS(11651), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_pow_operator,
    ACTIONS(11655), 1,
      sym_mult_operator,
    ACTIONS(11657), 1,
      sym_concat_operator,
    ACTIONS(11659), 1,
      sym_rel_operator,
    ACTIONS(11661), 1,
      sym_and_operator,
    ACTIONS(11663), 1,
      sym_or_operator,
    ACTIONS(11665), 1,
      sym_assign_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450867] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11653), 1,
      sym_pow_operator,
    ACTIONS(11655), 1,
      sym_mult_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450922] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11647), 1,
      anon_sym_COMMA,
    ACTIONS(11651), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_pow_operator,
    ACTIONS(11655), 1,
      sym_mult_operator,
    ACTIONS(11657), 1,
      sym_concat_operator,
    ACTIONS(11659), 1,
      sym_rel_operator,
    ACTIONS(11661), 1,
      sym_and_operator,
    ACTIONS(11663), 1,
      sym_or_operator,
    ACTIONS(11665), 1,
      sym_assign_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450993] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11673), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451046] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11647), 1,
      anon_sym_COMMA,
    ACTIONS(11651), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_pow_operator,
    ACTIONS(11655), 1,
      sym_mult_operator,
    ACTIONS(11657), 1,
      sym_concat_operator,
    ACTIONS(11659), 1,
      sym_rel_operator,
    ACTIONS(11661), 1,
      sym_and_operator,
    ACTIONS(11663), 1,
      sym_or_operator,
    ACTIONS(11665), 1,
      sym_assign_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451117] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_PIPE,
    STATE(9475), 1,
      sym_attribute,
    STATE(9477), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451170] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_PIPE,
    STATE(9476), 1,
      sym_attribute,
    STATE(9477), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451223] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11677), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9477), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451274] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451333] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      sym_pow_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451386] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11680), 1,
      anon_sym_COMMA,
    ACTIONS(11682), 1,
      anon_sym_SEMI,
    ACTIONS(11684), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11686), 1,
      sym_pow_operator,
    ACTIONS(11688), 1,
      sym_mult_operator,
    ACTIONS(11690), 1,
      sym_concat_operator,
    ACTIONS(11692), 1,
      sym_rel_operator,
    ACTIONS(11694), 1,
      sym_and_operator,
    ACTIONS(11696), 1,
      sym_or_operator,
    ACTIONS(11698), 1,
      sym_assign_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451459] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      sym_pow_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451512] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451573] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451634] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_PIPE,
    STATE(9475), 1,
      aux_sym__match_cases_repeat1,
    STATE(9484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451687] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(11700), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [451736] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451801] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_PIPE,
    STATE(9476), 1,
      aux_sym__match_cases_repeat1,
    STATE(9487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451854] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451921] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      anon_sym_COMMA,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    ACTIONS(11570), 1,
      sym_assign_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451992] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452047] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_COMMA,
    ACTIONS(11624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11626), 1,
      sym_pow_operator,
    ACTIONS(11628), 1,
      sym_mult_operator,
    ACTIONS(11630), 1,
      sym_concat_operator,
    ACTIONS(11632), 1,
      sym_rel_operator,
    ACTIONS(11634), 1,
      sym_and_operator,
    ACTIONS(11636), 1,
      sym_or_operator,
    ACTIONS(11638), 1,
      sym_assign_operator,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11474), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11472), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452118] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2152), 1,
      sym_add_operator,
    STATE(9492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452169] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11667), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452222] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11684), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11686), 1,
      sym_pow_operator,
    ACTIONS(11688), 1,
      sym_mult_operator,
    ACTIONS(11690), 1,
      sym_concat_operator,
    ACTIONS(11692), 1,
      sym_rel_operator,
    ACTIONS(11694), 1,
      sym_and_operator,
    ACTIONS(11696), 1,
      sym_or_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452289] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11684), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11686), 1,
      sym_pow_operator,
    ACTIONS(11688), 1,
      sym_mult_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452348] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11686), 1,
      sym_pow_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452401] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11686), 1,
      sym_pow_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452454] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11684), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11686), 1,
      sym_pow_operator,
    ACTIONS(11688), 1,
      sym_mult_operator,
    ACTIONS(11690), 1,
      sym_concat_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452515] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11684), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11686), 1,
      sym_pow_operator,
    ACTIONS(11688), 1,
      sym_mult_operator,
    ACTIONS(11690), 1,
      sym_concat_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452576] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11684), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11686), 1,
      sym_pow_operator,
    ACTIONS(11688), 1,
      sym_mult_operator,
    ACTIONS(11690), 1,
      sym_concat_operator,
    ACTIONS(11692), 1,
      sym_rel_operator,
    ACTIONS(11694), 1,
      sym_and_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452641] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11684), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11686), 1,
      sym_pow_operator,
    ACTIONS(11688), 1,
      sym_mult_operator,
    ACTIONS(11690), 1,
      sym_concat_operator,
    ACTIONS(11692), 1,
      sym_rel_operator,
    ACTIONS(11694), 1,
      sym_and_operator,
    ACTIONS(11696), 1,
      sym_or_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452708] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11680), 1,
      anon_sym_COMMA,
    ACTIONS(11684), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11686), 1,
      sym_pow_operator,
    ACTIONS(11688), 1,
      sym_mult_operator,
    ACTIONS(11690), 1,
      sym_concat_operator,
    ACTIONS(11692), 1,
      sym_rel_operator,
    ACTIONS(11694), 1,
      sym_and_operator,
    ACTIONS(11696), 1,
      sym_or_operator,
    ACTIONS(11698), 1,
      sym_assign_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452779] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11686), 1,
      sym_pow_operator,
    ACTIONS(11688), 1,
      sym_mult_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452834] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11680), 1,
      anon_sym_COMMA,
    ACTIONS(11684), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11686), 1,
      sym_pow_operator,
    ACTIONS(11688), 1,
      sym_mult_operator,
    ACTIONS(11690), 1,
      sym_concat_operator,
    ACTIONS(11692), 1,
      sym_rel_operator,
    ACTIONS(11694), 1,
      sym_and_operator,
    ACTIONS(11696), 1,
      sym_or_operator,
    ACTIONS(11698), 1,
      sym_assign_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452905] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11680), 1,
      anon_sym_COMMA,
    ACTIONS(11684), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11686), 1,
      sym_pow_operator,
    ACTIONS(11688), 1,
      sym_mult_operator,
    ACTIONS(11690), 1,
      sym_concat_operator,
    ACTIONS(11692), 1,
      sym_rel_operator,
    ACTIONS(11694), 1,
      sym_and_operator,
    ACTIONS(11696), 1,
      sym_or_operator,
    ACTIONS(11698), 1,
      sym_assign_operator,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452976] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11704), 1,
      anon_sym_PIPE,
    STATE(9506), 1,
      sym_attribute,
    STATE(9508), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453029] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11704), 1,
      anon_sym_PIPE,
    STATE(9507), 1,
      sym_attribute,
    STATE(9508), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453082] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11706), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9508), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453133] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11598), 1,
      sym_pow_operator,
    ACTIONS(11600), 1,
      sym_mult_operator,
    ACTIONS(11602), 1,
      sym_concat_operator,
    ACTIONS(11604), 1,
      sym_rel_operator,
    ACTIONS(11606), 1,
      sym_and_operator,
    ACTIONS(11608), 1,
      sym_or_operator,
    ACTIONS(11610), 1,
      anon_sym_COMMA,
    ACTIONS(11612), 1,
      sym_assign_operator,
    ACTIONS(11709), 1,
      anon_sym_SEMI,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453206] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11711), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453259] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11704), 1,
      anon_sym_PIPE,
    STATE(9506), 1,
      aux_sym__match_cases_repeat1,
    STATE(9511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453312] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11704), 1,
      anon_sym_PIPE,
    STATE(9507), 1,
      aux_sym__match_cases_repeat1,
    STATE(9512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453365] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11713), 1,
      anon_sym_PIPE,
    STATE(9513), 1,
      sym_attribute,
    STATE(9515), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453418] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11713), 1,
      anon_sym_PIPE,
    STATE(9514), 1,
      sym_attribute,
    STATE(9515), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453471] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11715), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9515), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453522] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11718), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453575] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11713), 1,
      anon_sym_PIPE,
    STATE(9513), 1,
      aux_sym__match_cases_repeat1,
    STATE(9517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453628] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11720), 1,
      anon_sym_PIPE,
    STATE(9518), 1,
      sym_attribute,
    STATE(9523), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453681] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11713), 1,
      anon_sym_PIPE,
    STATE(9514), 1,
      aux_sym__match_cases_repeat1,
    STATE(9519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453734] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11647), 1,
      anon_sym_COMMA,
    ACTIONS(11651), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_pow_operator,
    ACTIONS(11655), 1,
      sym_mult_operator,
    ACTIONS(11657), 1,
      sym_concat_operator,
    ACTIONS(11659), 1,
      sym_rel_operator,
    ACTIONS(11661), 1,
      sym_and_operator,
    ACTIONS(11663), 1,
      sym_or_operator,
    ACTIONS(11665), 1,
      sym_assign_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11474), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11472), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453805] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11574), 1,
      sym_pow_operator,
    ACTIONS(11576), 1,
      sym_mult_operator,
    ACTIONS(11578), 1,
      sym_concat_operator,
    ACTIONS(11580), 1,
      sym_rel_operator,
    ACTIONS(11582), 1,
      sym_and_operator,
    ACTIONS(11584), 1,
      sym_or_operator,
    ACTIONS(11586), 1,
      anon_sym_COMMA,
    ACTIONS(11588), 1,
      sym_assign_operator,
    ACTIONS(11722), 1,
      anon_sym_SEMI,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453878] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11720), 1,
      anon_sym_PIPE,
    STATE(9522), 1,
      sym_attribute,
    STATE(9523), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453931] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11724), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9523), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453982] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454033] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11673), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454086] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      anon_sym_RPAREN,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11727), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9526), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15672), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454177] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454228] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11720), 1,
      anon_sym_PIPE,
    STATE(9518), 1,
      aux_sym__match_cases_repeat1,
    STATE(9528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454281] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_PIPE,
    STATE(9529), 1,
      sym_attribute,
    STATE(9531), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454334] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_PIPE,
    STATE(9530), 1,
      sym_attribute,
    STATE(9531), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454387] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11729), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9531), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454438] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11720), 1,
      anon_sym_PIPE,
    STATE(9522), 1,
      aux_sym__match_cases_repeat1,
    STATE(9532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454491] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454544] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11718), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454597] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      anon_sym_COMMA,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    ACTIONS(11570), 1,
      sym_assign_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454668] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11711), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454721] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_PIPE,
    STATE(9529), 1,
      aux_sym__match_cases_repeat1,
    STATE(9537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454774] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11574), 1,
      sym_pow_operator,
    ACTIONS(11576), 1,
      sym_mult_operator,
    ACTIONS(11578), 1,
      sym_concat_operator,
    ACTIONS(11580), 1,
      sym_rel_operator,
    ACTIONS(11582), 1,
      sym_and_operator,
    ACTIONS(11584), 1,
      sym_or_operator,
    STATE(2096), 1,
      sym_add_operator,
    STATE(9538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454841] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_PIPE,
    STATE(9539), 1,
      sym_attribute,
    STATE(9615), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454893] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11736), 1,
      sym_pow_operator,
    ACTIONS(11738), 1,
      sym_mult_operator,
    ACTIONS(11740), 1,
      sym_concat_operator,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454953] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11736), 1,
      sym_pow_operator,
    ACTIONS(11738), 1,
      sym_mult_operator,
    ACTIONS(11740), 1,
      sym_concat_operator,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455013] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11742), 1,
      anon_sym_PIPE,
    STATE(9542), 1,
      sym_attribute,
    STATE(9578), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455065] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11736), 1,
      sym_pow_operator,
    ACTIONS(11738), 1,
      sym_mult_operator,
    ACTIONS(11740), 1,
      sym_concat_operator,
    ACTIONS(11744), 1,
      sym_rel_operator,
    ACTIONS(11746), 1,
      sym_and_operator,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455129] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11736), 1,
      sym_pow_operator,
    ACTIONS(11738), 1,
      sym_mult_operator,
    ACTIONS(11740), 1,
      sym_concat_operator,
    ACTIONS(11744), 1,
      sym_rel_operator,
    ACTIONS(11746), 1,
      sym_and_operator,
    ACTIONS(11748), 1,
      sym_or_operator,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455195] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11750), 1,
      anon_sym_PIPE,
    STATE(9545), 1,
      sym_attribute,
    STATE(9547), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455247] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11750), 1,
      anon_sym_PIPE,
    STATE(9546), 1,
      sym_attribute,
    STATE(9547), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455299] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11752), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9547), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455349] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11755), 1,
      anon_sym_COMMA,
    ACTIONS(11757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11759), 1,
      sym_pow_operator,
    ACTIONS(11761), 1,
      sym_mult_operator,
    ACTIONS(11763), 1,
      sym_concat_operator,
    ACTIONS(11765), 1,
      sym_rel_operator,
    ACTIONS(11767), 1,
      sym_and_operator,
    ACTIONS(11769), 1,
      sym_or_operator,
    ACTIONS(11771), 1,
      sym_assign_operator,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455419] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11750), 1,
      anon_sym_PIPE,
    STATE(9545), 1,
      aux_sym__match_cases_repeat1,
    STATE(9549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455471] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11773), 1,
      anon_sym_COMMA,
    ACTIONS(11775), 1,
      anon_sym_SEMI,
    ACTIONS(11777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11779), 1,
      sym_pow_operator,
    ACTIONS(11781), 1,
      sym_mult_operator,
    ACTIONS(11783), 1,
      sym_concat_operator,
    ACTIONS(11785), 1,
      sym_rel_operator,
    ACTIONS(11787), 1,
      sym_and_operator,
    ACTIONS(11789), 1,
      sym_or_operator,
    ACTIONS(11791), 1,
      sym_assign_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455543] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11736), 1,
      sym_pow_operator,
    ACTIONS(11738), 1,
      sym_mult_operator,
    ACTIONS(11740), 1,
      sym_concat_operator,
    ACTIONS(11744), 1,
      sym_rel_operator,
    ACTIONS(11746), 1,
      sym_and_operator,
    ACTIONS(11748), 1,
      sym_or_operator,
    ACTIONS(11793), 1,
      anon_sym_COMMA,
    ACTIONS(11795), 1,
      sym_assign_operator,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455613] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11750), 1,
      anon_sym_PIPE,
    STATE(9546), 1,
      aux_sym__match_cases_repeat1,
    STATE(9552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455665] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(731), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(793), 1,
      aux_sym_directive_token1,
    ACTIONS(905), 1,
      anon_sym_end,
    ACTIONS(11797), 1,
      anon_sym_let,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11801), 1,
      anon_sym_type,
    ACTIONS(11803), 1,
      anon_sym_exception,
    ACTIONS(11805), 1,
      anon_sym_module,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(11809), 1,
      anon_sym_include,
    ACTIONS(11811), 1,
      anon_sym_class,
    ACTIONS(11813), 1,
      sym_let_operator,
    STATE(118), 1,
      aux_sym__structure_repeat1,
    STATE(9054), 1,
      sym_directive,
    STATE(9553), 1,
      sym_attribute,
    STATE(9597), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [455749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10704), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10706), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [455797] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11823), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9555), 1,
      sym_attribute,
    STATE(10193), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11817), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11815), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455855] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      ts_builtin_sym_end,
    ACTIONS(11827), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11830), 1,
      anon_sym_let,
    ACTIONS(11833), 1,
      anon_sym_external,
    ACTIONS(11836), 1,
      anon_sym_type,
    ACTIONS(11839), 1,
      anon_sym_exception,
    ACTIONS(11842), 1,
      anon_sym_module,
    ACTIONS(11845), 1,
      anon_sym_open,
    ACTIONS(11848), 1,
      anon_sym_include,
    ACTIONS(11851), 1,
      anon_sym_class,
    ACTIONS(11854), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11857), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11860), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11863), 1,
      sym_let_operator,
    ACTIONS(11866), 1,
      aux_sym_directive_token1,
    STATE(125), 1,
      aux_sym__structure_repeat1,
    STATE(8828), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9556), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [455937] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11736), 1,
      sym_pow_operator,
    ACTIONS(11738), 1,
      sym_mult_operator,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455991] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11736), 1,
      sym_pow_operator,
    ACTIONS(11738), 1,
      sym_mult_operator,
    ACTIONS(11740), 1,
      sym_concat_operator,
    ACTIONS(11744), 1,
      sym_rel_operator,
    ACTIONS(11746), 1,
      sym_and_operator,
    ACTIONS(11748), 1,
      sym_or_operator,
    ACTIONS(11793), 1,
      anon_sym_COMMA,
    ACTIONS(11795), 1,
      sym_assign_operator,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456061] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456111] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(911), 1,
      ts_builtin_sym_end,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(11809), 1,
      anon_sym_include,
    ACTIONS(11869), 1,
      anon_sym_let,
    ACTIONS(11871), 1,
      anon_sym_type,
    ACTIONS(11873), 1,
      anon_sym_exception,
    ACTIONS(11875), 1,
      anon_sym_module,
    ACTIONS(11877), 1,
      anon_sym_class,
    ACTIONS(11879), 1,
      sym_let_operator,
    STATE(110), 1,
      aux_sym__structure_repeat1,
    STATE(8828), 1,
      sym_directive,
    STATE(9560), 1,
      sym_attribute,
    STATE(9570), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [456195] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11736), 1,
      sym_pow_operator,
    ACTIONS(11738), 1,
      sym_mult_operator,
    ACTIONS(11740), 1,
      sym_concat_operator,
    ACTIONS(11744), 1,
      sym_rel_operator,
    ACTIONS(11746), 1,
      sym_and_operator,
    ACTIONS(11748), 1,
      sym_or_operator,
    ACTIONS(11793), 1,
      anon_sym_COMMA,
    ACTIONS(11795), 1,
      sym_assign_operator,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456265] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11779), 1,
      sym_pow_operator,
    ACTIONS(11781), 1,
      sym_mult_operator,
    ACTIONS(11783), 1,
      sym_concat_operator,
    ACTIONS(11785), 1,
      sym_rel_operator,
    ACTIONS(11787), 1,
      sym_and_operator,
    ACTIONS(11789), 1,
      sym_or_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456331] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(9563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9126), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [456381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9672), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [456429] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11779), 1,
      sym_pow_operator,
    ACTIONS(11781), 1,
      sym_mult_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456487] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11779), 1,
      sym_pow_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456539] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(907), 1,
      anon_sym_RBRACK,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(11809), 1,
      anon_sym_include,
    ACTIONS(11871), 1,
      anon_sym_type,
    ACTIONS(11873), 1,
      anon_sym_exception,
    ACTIONS(11875), 1,
      anon_sym_module,
    ACTIONS(11881), 1,
      anon_sym_let,
    ACTIONS(11883), 1,
      anon_sym_class,
    ACTIONS(11885), 1,
      sym_let_operator,
    STATE(109), 1,
      aux_sym__structure_repeat1,
    STATE(8828), 1,
      sym_directive,
    STATE(9567), 1,
      sym_attribute,
    STATE(9590), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [456623] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11779), 1,
      sym_pow_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456675] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11779), 1,
      sym_pow_operator,
    ACTIONS(11781), 1,
      sym_mult_operator,
    ACTIONS(11783), 1,
      sym_concat_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456735] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(907), 1,
      ts_builtin_sym_end,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(11809), 1,
      anon_sym_include,
    ACTIONS(11869), 1,
      anon_sym_let,
    ACTIONS(11871), 1,
      anon_sym_type,
    ACTIONS(11873), 1,
      anon_sym_exception,
    ACTIONS(11875), 1,
      anon_sym_module,
    ACTIONS(11877), 1,
      anon_sym_class,
    ACTIONS(11879), 1,
      sym_let_operator,
    STATE(123), 1,
      aux_sym__structure_repeat1,
    STATE(8828), 1,
      sym_directive,
    STATE(9556), 1,
      aux_sym__structure_repeat2,
    STATE(9570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [456819] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11779), 1,
      sym_pow_operator,
    ACTIONS(11781), 1,
      sym_mult_operator,
    ACTIONS(11783), 1,
      sym_concat_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456879] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11779), 1,
      sym_pow_operator,
    ACTIONS(11781), 1,
      sym_mult_operator,
    ACTIONS(11783), 1,
      sym_concat_operator,
    ACTIONS(11785), 1,
      sym_rel_operator,
    ACTIONS(11787), 1,
      sym_and_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456943] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11779), 1,
      sym_pow_operator,
    ACTIONS(11781), 1,
      sym_mult_operator,
    ACTIONS(11783), 1,
      sym_concat_operator,
    ACTIONS(11785), 1,
      sym_rel_operator,
    ACTIONS(11787), 1,
      sym_and_operator,
    ACTIONS(11789), 1,
      sym_or_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457009] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457059] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11773), 1,
      anon_sym_COMMA,
    ACTIONS(11777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11779), 1,
      sym_pow_operator,
    ACTIONS(11781), 1,
      sym_mult_operator,
    ACTIONS(11783), 1,
      sym_concat_operator,
    ACTIONS(11785), 1,
      sym_rel_operator,
    ACTIONS(11787), 1,
      sym_and_operator,
    ACTIONS(11789), 1,
      sym_or_operator,
    ACTIONS(11791), 1,
      sym_assign_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457129] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11779), 1,
      sym_pow_operator,
    ACTIONS(11781), 1,
      sym_mult_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457183] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(907), 1,
      anon_sym_RBRACK,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(11809), 1,
      anon_sym_include,
    ACTIONS(11871), 1,
      anon_sym_type,
    ACTIONS(11873), 1,
      anon_sym_exception,
    ACTIONS(11875), 1,
      anon_sym_module,
    ACTIONS(11881), 1,
      anon_sym_let,
    ACTIONS(11883), 1,
      anon_sym_class,
    ACTIONS(11885), 1,
      sym_let_operator,
    STATE(109), 1,
      aux_sym__structure_repeat1,
    STATE(8828), 1,
      sym_directive,
    STATE(9577), 1,
      sym_attribute,
    STATE(9616), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [457267] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11887), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9578), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457317] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11755), 1,
      anon_sym_COMMA,
    ACTIONS(11757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11759), 1,
      sym_pow_operator,
    ACTIONS(11761), 1,
      sym_mult_operator,
    ACTIONS(11763), 1,
      sym_concat_operator,
    ACTIONS(11765), 1,
      sym_rel_operator,
    ACTIONS(11767), 1,
      sym_and_operator,
    ACTIONS(11769), 1,
      sym_or_operator,
    ACTIONS(11771), 1,
      sym_assign_operator,
    ACTIONS(11890), 1,
      anon_sym_SEMI,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457389] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11773), 1,
      anon_sym_COMMA,
    ACTIONS(11777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11779), 1,
      sym_pow_operator,
    ACTIONS(11781), 1,
      sym_mult_operator,
    ACTIONS(11783), 1,
      sym_concat_operator,
    ACTIONS(11785), 1,
      sym_rel_operator,
    ACTIONS(11787), 1,
      sym_and_operator,
    ACTIONS(11789), 1,
      sym_or_operator,
    ACTIONS(11791), 1,
      sym_assign_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457459] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(907), 1,
      ts_builtin_sym_end,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(11809), 1,
      anon_sym_include,
    ACTIONS(11869), 1,
      anon_sym_let,
    ACTIONS(11871), 1,
      anon_sym_type,
    ACTIONS(11873), 1,
      anon_sym_exception,
    ACTIONS(11875), 1,
      anon_sym_module,
    ACTIONS(11877), 1,
      anon_sym_class,
    ACTIONS(11879), 1,
      sym_let_operator,
    STATE(123), 1,
      aux_sym__structure_repeat1,
    STATE(8828), 1,
      sym_directive,
    STATE(9581), 1,
      sym_attribute,
    STATE(9598), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [457543] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11773), 1,
      anon_sym_COMMA,
    ACTIONS(11777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11779), 1,
      sym_pow_operator,
    ACTIONS(11781), 1,
      sym_mult_operator,
    ACTIONS(11783), 1,
      sym_concat_operator,
    ACTIONS(11785), 1,
      sym_rel_operator,
    ACTIONS(11787), 1,
      sym_and_operator,
    ACTIONS(11789), 1,
      sym_or_operator,
    ACTIONS(11791), 1,
      sym_assign_operator,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457613] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11823), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9583), 1,
      sym_attribute,
    STATE(10193), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11894), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11892), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [457671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10692), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10694), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [457719] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(731), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(793), 1,
      aux_sym_directive_token1,
    ACTIONS(907), 1,
      anon_sym_end,
    ACTIONS(11797), 1,
      anon_sym_let,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11801), 1,
      anon_sym_type,
    ACTIONS(11803), 1,
      anon_sym_exception,
    ACTIONS(11805), 1,
      anon_sym_module,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(11809), 1,
      anon_sym_include,
    ACTIONS(11811), 1,
      anon_sym_class,
    ACTIONS(11813), 1,
      sym_let_operator,
    STATE(117), 1,
      aux_sym__structure_repeat1,
    STATE(9054), 1,
      sym_directive,
    STATE(9553), 1,
      aux_sym__structure_repeat2,
    STATE(9585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [457803] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11736), 1,
      sym_pow_operator,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10708), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10710), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [457903] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(9588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9126), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [457953] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11736), 1,
      sym_pow_operator,
    ACTIONS(11738), 1,
      sym_mult_operator,
    ACTIONS(11740), 1,
      sym_concat_operator,
    ACTIONS(11744), 1,
      sym_rel_operator,
    ACTIONS(11746), 1,
      sym_and_operator,
    ACTIONS(11748), 1,
      sym_or_operator,
    ACTIONS(11793), 1,
      anon_sym_COMMA,
    ACTIONS(11795), 1,
      sym_assign_operator,
    ACTIONS(11896), 1,
      anon_sym_SEMI,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458025] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      anon_sym_RBRACK,
    ACTIONS(11827), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11833), 1,
      anon_sym_external,
    ACTIONS(11836), 1,
      anon_sym_type,
    ACTIONS(11839), 1,
      anon_sym_exception,
    ACTIONS(11842), 1,
      anon_sym_module,
    ACTIONS(11845), 1,
      anon_sym_open,
    ACTIONS(11848), 1,
      anon_sym_include,
    ACTIONS(11854), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11857), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11860), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11866), 1,
      aux_sym_directive_token1,
    ACTIONS(11898), 1,
      anon_sym_let,
    ACTIONS(11901), 1,
      anon_sym_class,
    ACTIONS(11904), 1,
      sym_let_operator,
    STATE(126), 1,
      aux_sym__structure_repeat1,
    STATE(8828), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9590), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [458107] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(911), 1,
      anon_sym_RBRACK,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(11809), 1,
      anon_sym_include,
    ACTIONS(11871), 1,
      anon_sym_type,
    ACTIONS(11873), 1,
      anon_sym_exception,
    ACTIONS(11875), 1,
      anon_sym_module,
    ACTIONS(11881), 1,
      anon_sym_let,
    ACTIONS(11883), 1,
      anon_sym_class,
    ACTIONS(11885), 1,
      sym_let_operator,
    STATE(113), 1,
      aux_sym__structure_repeat1,
    STATE(8828), 1,
      sym_directive,
    STATE(9567), 1,
      aux_sym__structure_repeat2,
    STATE(9591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [458191] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11680), 1,
      anon_sym_COMMA,
    ACTIONS(11684), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11686), 1,
      sym_pow_operator,
    ACTIONS(11688), 1,
      sym_mult_operator,
    ACTIONS(11690), 1,
      sym_concat_operator,
    ACTIONS(11692), 1,
      sym_rel_operator,
    ACTIONS(11694), 1,
      sym_and_operator,
    ACTIONS(11696), 1,
      sym_or_operator,
    ACTIONS(11698), 1,
      sym_assign_operator,
    ACTIONS(11907), 1,
      anon_sym_SEMI,
    STATE(2512), 1,
      sym_add_operator,
    STATE(9592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10712), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10714), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [458311] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11759), 1,
      sym_pow_operator,
    ACTIONS(11761), 1,
      sym_mult_operator,
    ACTIONS(11763), 1,
      sym_concat_operator,
    ACTIONS(11765), 1,
      sym_rel_operator,
    ACTIONS(11767), 1,
      sym_and_operator,
    ACTIONS(11769), 1,
      sym_or_operator,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458377] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_PIPE,
    STATE(9595), 1,
      sym_attribute,
    STATE(9621), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10660), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10662), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [458477] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      anon_sym_end,
    ACTIONS(11827), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11833), 1,
      anon_sym_external,
    ACTIONS(11845), 1,
      anon_sym_open,
    ACTIONS(11848), 1,
      anon_sym_include,
    ACTIONS(11854), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11857), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11860), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11909), 1,
      anon_sym_let,
    ACTIONS(11912), 1,
      anon_sym_type,
    ACTIONS(11915), 1,
      anon_sym_exception,
    ACTIONS(11918), 1,
      anon_sym_module,
    ACTIONS(11921), 1,
      anon_sym_class,
    ACTIONS(11924), 1,
      sym_let_operator,
    ACTIONS(11927), 1,
      aux_sym_directive_token1,
    STATE(124), 1,
      aux_sym__structure_repeat1,
    STATE(9054), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9597), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [458559] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(905), 1,
      ts_builtin_sym_end,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(11809), 1,
      anon_sym_include,
    ACTIONS(11869), 1,
      anon_sym_let,
    ACTIONS(11871), 1,
      anon_sym_type,
    ACTIONS(11873), 1,
      anon_sym_exception,
    ACTIONS(11875), 1,
      anon_sym_module,
    ACTIONS(11877), 1,
      anon_sym_class,
    ACTIONS(11879), 1,
      sym_let_operator,
    STATE(114), 1,
      aux_sym__structure_repeat1,
    STATE(8828), 1,
      sym_directive,
    STATE(9556), 1,
      aux_sym__structure_repeat2,
    STATE(9598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [458643] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11759), 1,
      sym_pow_operator,
    ACTIONS(11761), 1,
      sym_mult_operator,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458701] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11742), 1,
      anon_sym_PIPE,
    STATE(9578), 1,
      aux_sym__match_cases_repeat1,
    STATE(9600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458753] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11759), 1,
      sym_pow_operator,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458805] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11759), 1,
      sym_pow_operator,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458857] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11759), 1,
      sym_pow_operator,
    ACTIONS(11761), 1,
      sym_mult_operator,
    ACTIONS(11763), 1,
      sym_concat_operator,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458917] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11759), 1,
      sym_pow_operator,
    ACTIONS(11761), 1,
      sym_mult_operator,
    ACTIONS(11763), 1,
      sym_concat_operator,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458977] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11759), 1,
      sym_pow_operator,
    ACTIONS(11761), 1,
      sym_mult_operator,
    ACTIONS(11763), 1,
      sym_concat_operator,
    ACTIONS(11765), 1,
      sym_rel_operator,
    ACTIONS(11767), 1,
      sym_and_operator,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459041] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11759), 1,
      sym_pow_operator,
    ACTIONS(11761), 1,
      sym_mult_operator,
    ACTIONS(11763), 1,
      sym_concat_operator,
    ACTIONS(11765), 1,
      sym_rel_operator,
    ACTIONS(11767), 1,
      sym_and_operator,
    ACTIONS(11769), 1,
      sym_or_operator,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459107] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11755), 1,
      anon_sym_COMMA,
    ACTIONS(11757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11759), 1,
      sym_pow_operator,
    ACTIONS(11761), 1,
      sym_mult_operator,
    ACTIONS(11763), 1,
      sym_concat_operator,
    ACTIONS(11765), 1,
      sym_rel_operator,
    ACTIONS(11767), 1,
      sym_and_operator,
    ACTIONS(11769), 1,
      sym_or_operator,
    ACTIONS(11771), 1,
      sym_assign_operator,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459177] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11759), 1,
      sym_pow_operator,
    ACTIONS(11761), 1,
      sym_mult_operator,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459231] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11742), 1,
      anon_sym_PIPE,
    STATE(9542), 1,
      aux_sym__match_cases_repeat1,
    STATE(9609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459283] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11755), 1,
      anon_sym_COMMA,
    ACTIONS(11757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11759), 1,
      sym_pow_operator,
    ACTIONS(11761), 1,
      sym_mult_operator,
    ACTIONS(11763), 1,
      sym_concat_operator,
    ACTIONS(11765), 1,
      sym_rel_operator,
    ACTIONS(11767), 1,
      sym_and_operator,
    ACTIONS(11769), 1,
      sym_or_operator,
    ACTIONS(11771), 1,
      sym_assign_operator,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459353] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11736), 1,
      sym_pow_operator,
    ACTIONS(11738), 1,
      sym_mult_operator,
    ACTIONS(11740), 1,
      sym_concat_operator,
    ACTIONS(11744), 1,
      sym_rel_operator,
    ACTIONS(11746), 1,
      sym_and_operator,
    ACTIONS(11748), 1,
      sym_or_operator,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [459467] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(731), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(793), 1,
      aux_sym_directive_token1,
    ACTIONS(911), 1,
      anon_sym_end,
    ACTIONS(11797), 1,
      anon_sym_let,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11801), 1,
      anon_sym_type,
    ACTIONS(11803), 1,
      anon_sym_exception,
    ACTIONS(11805), 1,
      anon_sym_module,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(11809), 1,
      anon_sym_include,
    ACTIONS(11811), 1,
      anon_sym_class,
    ACTIONS(11813), 1,
      sym_let_operator,
    STATE(116), 1,
      aux_sym__structure_repeat1,
    STATE(9054), 1,
      sym_directive,
    STATE(9613), 1,
      sym_attribute,
    STATE(9625), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [459551] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(9614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9126), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459601] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_PIPE,
    STATE(9615), 1,
      sym_attribute,
    STATE(9622), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459653] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(905), 1,
      anon_sym_RBRACK,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(11809), 1,
      anon_sym_include,
    ACTIONS(11871), 1,
      anon_sym_type,
    ACTIONS(11873), 1,
      anon_sym_exception,
    ACTIONS(11875), 1,
      anon_sym_module,
    ACTIONS(11881), 1,
      anon_sym_let,
    ACTIONS(11883), 1,
      anon_sym_class,
    ACTIONS(11885), 1,
      sym_let_operator,
    STATE(111), 1,
      aux_sym__structure_repeat1,
    STATE(8828), 1,
      sym_directive,
    STATE(9590), 1,
      aux_sym__structure_repeat2,
    STATE(9616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [459737] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(9617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9126), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459787] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459837] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11736), 1,
      sym_pow_operator,
    ACTIONS(11738), 1,
      sym_mult_operator,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459895] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11598), 1,
      sym_pow_operator,
    ACTIONS(11600), 1,
      sym_mult_operator,
    ACTIONS(11602), 1,
      sym_concat_operator,
    ACTIONS(11604), 1,
      sym_rel_operator,
    ACTIONS(11606), 1,
      sym_and_operator,
    ACTIONS(11608), 1,
      sym_or_operator,
    ACTIONS(11610), 1,
      anon_sym_COMMA,
    ACTIONS(11612), 1,
      sym_assign_operator,
    ACTIONS(11930), 1,
      anon_sym_SEMI,
    STATE(2428), 1,
      sym_add_operator,
    STATE(9620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459967] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_PIPE,
    STATE(9621), 1,
      sym_attribute,
    STATE(9622), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460019] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11932), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9622), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460069] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11736), 1,
      sym_pow_operator,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460121] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      anon_sym_COMMA,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    ACTIONS(11570), 1,
      sym_assign_operator,
    ACTIONS(11935), 1,
      anon_sym_SEMI,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10232), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460193] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(731), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(793), 1,
      aux_sym_directive_token1,
    ACTIONS(907), 1,
      anon_sym_end,
    ACTIONS(11797), 1,
      anon_sym_let,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11801), 1,
      anon_sym_type,
    ACTIONS(11803), 1,
      anon_sym_exception,
    ACTIONS(11805), 1,
      anon_sym_module,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(11809), 1,
      anon_sym_include,
    ACTIONS(11811), 1,
      anon_sym_class,
    ACTIONS(11813), 1,
      sym_let_operator,
    STATE(117), 1,
      aux_sym__structure_repeat1,
    STATE(9054), 1,
      sym_directive,
    STATE(9597), 1,
      aux_sym__structure_repeat2,
    STATE(9625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13499), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13357), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [460277] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11742), 1,
      anon_sym_PIPE,
    STATE(9600), 1,
      aux_sym__match_cases_repeat1,
    STATE(9626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9132), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [460376] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9164), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [460423] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_PIPE,
    STATE(9629), 1,
      sym_attribute,
    STATE(9643), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [460474] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10494), 1,
      sym__lowercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11941), 1,
      anon_sym_private,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9630), 1,
      sym_attribute,
    STATE(10473), 1,
      sym__simple_type,
    STATE(11793), 1,
      sym__tuple_type,
    STATE(12095), 1,
      sym__type,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21818), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460559] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(9631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9126), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [460608] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9132), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [460655] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11945), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [460706] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11947), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9634), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15802), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460791] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11949), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [460842] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11951), 1,
      anon_sym_AMP,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9636), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(14968), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460927] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11953), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [460978] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11671), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9638), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15713), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461063] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11947), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9639), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16959), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461148] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11955), 1,
      anon_sym_COMMA,
    ACTIONS(11957), 1,
      anon_sym_SEMI,
    ACTIONS(11959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11961), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      sym_mult_operator,
    ACTIONS(11965), 1,
      sym_concat_operator,
    ACTIONS(11967), 1,
      sym_rel_operator,
    ACTIONS(11969), 1,
      sym_and_operator,
    ACTIONS(11971), 1,
      sym_or_operator,
    ACTIONS(11973), 1,
      sym_assign_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9278), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [461266] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11975), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9642), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16835), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461351] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_PIPE,
    STATE(9643), 1,
      sym_attribute,
    STATE(9658), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [461402] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9158), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [461449] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9158), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [461496] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11977), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9646), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17734), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461581] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11736), 1,
      sym_pow_operator,
    ACTIONS(11738), 1,
      sym_mult_operator,
    ACTIONS(11740), 1,
      sym_concat_operator,
    ACTIONS(11744), 1,
      sym_rel_operator,
    ACTIONS(11746), 1,
      sym_and_operator,
    ACTIONS(11748), 1,
      sym_or_operator,
    ACTIONS(11793), 1,
      anon_sym_COMMA,
    ACTIONS(11795), 1,
      sym_assign_operator,
    ACTIONS(11979), 1,
      anon_sym_SEMI,
    STATE(2658), 1,
      sym_add_operator,
    STATE(9647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461652] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11981), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9648), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15645), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461737] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11773), 1,
      anon_sym_COMMA,
    ACTIONS(11777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11779), 1,
      sym_pow_operator,
    ACTIONS(11781), 1,
      sym_mult_operator,
    ACTIONS(11783), 1,
      sym_concat_operator,
    ACTIONS(11785), 1,
      sym_rel_operator,
    ACTIONS(11787), 1,
      sym_and_operator,
    ACTIONS(11789), 1,
      sym_or_operator,
    ACTIONS(11791), 1,
      sym_assign_operator,
    ACTIONS(11983), 1,
      anon_sym_SEMI,
    STATE(2696), 1,
      sym_add_operator,
    STATE(9649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461808] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11985), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9650), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15676), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461893] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11987), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9651), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17267), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461978] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_PIPE,
    STATE(9652), 1,
      sym_attribute,
    STATE(9658), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [462029] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10606), 1,
      sym__lowercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11991), 1,
      anon_sym_private,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9653), 1,
      sym_attribute,
    STATE(10966), 1,
      sym__simple_type,
    STATE(12271), 1,
      sym__tuple_type,
    STATE(12953), 1,
      sym__type,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(20998), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462114] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11995), 1,
      sym__lowercase_identifier,
    ACTIONS(11997), 1,
      anon_sym_LPAREN,
    ACTIONS(11999), 1,
      anon_sym_private,
    ACTIONS(12001), 1,
      anon_sym_LBRACK,
    ACTIONS(12003), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12005), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12007), 1,
      anon_sym_LT,
    ACTIONS(12009), 1,
      anon_sym_POUND,
    ACTIONS(12011), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12013), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12015), 1,
      aux_sym_type_variable_token1,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9654), 1,
      sym_attribute,
    STATE(10461), 1,
      sym__simple_type,
    STATE(11712), 1,
      sym__tuple_type,
    STATE(12019), 1,
      sym__type,
    STATE(18638), 1,
      sym_extended_module_path,
    STATE(21945), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10784), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462199] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11987), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9655), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15682), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462284] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12017), 1,
      anon_sym_COMMA,
    ACTIONS(12019), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12021), 1,
      sym_pow_operator,
    ACTIONS(12023), 1,
      sym_mult_operator,
    ACTIONS(12025), 1,
      sym_concat_operator,
    ACTIONS(12027), 1,
      sym_rel_operator,
    ACTIONS(12029), 1,
      sym_and_operator,
    ACTIONS(12031), 1,
      sym_or_operator,
    ACTIONS(12033), 1,
      sym_assign_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11474), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11472), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [462353] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_PIPE,
    STATE(9652), 1,
      aux_sym__match_cases_repeat1,
    STATE(9657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [462404] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12035), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9658), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [462453] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12038), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9659), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15785), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462538] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12040), 1,
      anon_sym_COMMA,
    ACTIONS(12042), 1,
      anon_sym_SEMI,
    ACTIONS(12044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12046), 1,
      sym_pow_operator,
    ACTIONS(12048), 1,
      sym_mult_operator,
    ACTIONS(12050), 1,
      sym_concat_operator,
    ACTIONS(12052), 1,
      sym_rel_operator,
    ACTIONS(12054), 1,
      sym_and_operator,
    ACTIONS(12056), 1,
      sym_or_operator,
    ACTIONS(12058), 1,
      sym_assign_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [462609] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11671), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9661), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17954), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462694] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12038), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9662), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17565), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462779] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11614), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9663), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15680), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462864] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(9664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9126), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [462913] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11614), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9665), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17292), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462998] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12060), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9666), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15657), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463083] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12062), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9667), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15723), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463168] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11981), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9668), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17393), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463253] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12064), 1,
      anon_sym_PIPE,
    STATE(9669), 1,
      sym_attribute,
    STATE(9705), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [463304] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12066), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9670), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15856), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463389] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11961), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      sym_mult_operator,
    ACTIONS(11965), 1,
      sym_concat_operator,
    ACTIONS(11967), 1,
      sym_rel_operator,
    ACTIONS(11969), 1,
      sym_and_operator,
    ACTIONS(11971), 1,
      sym_or_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [463454] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12060), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9672), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16620), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463539] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10574), 1,
      sym__lowercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12070), 1,
      anon_sym_private,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9673), 1,
      sym_attribute,
    STATE(10892), 1,
      sym__simple_type,
    STATE(12233), 1,
      sym__tuple_type,
    STATE(12774), 1,
      sym__type,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(22431), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463624] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12074), 1,
      anon_sym_PIPE,
    STATE(9674), 1,
      sym_attribute,
    STATE(9678), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [463675] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [463724] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12076), 1,
      sym__lowercase_identifier,
    ACTIONS(12078), 1,
      anon_sym_LPAREN,
    ACTIONS(12080), 1,
      anon_sym_private,
    ACTIONS(12082), 1,
      anon_sym_LBRACK,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12086), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12088), 1,
      anon_sym_LT,
    ACTIONS(12090), 1,
      anon_sym_POUND,
    ACTIONS(12092), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12094), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12096), 1,
      aux_sym_type_variable_token1,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9676), 1,
      sym_attribute,
    STATE(10149), 1,
      sym__simple_type,
    STATE(10925), 1,
      sym__tuple_type,
    STATE(11284), 1,
      sym__type,
    STATE(18448), 1,
      sym_extended_module_path,
    STATE(20256), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10228), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463809] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12074), 1,
      anon_sym_PIPE,
    STATE(9677), 1,
      sym_attribute,
    STATE(9678), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [463860] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12098), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9678), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [463909] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11961), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      sym_mult_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [463966] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11945), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464017] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12101), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9681), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15729), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464102] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(9682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9126), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [464151] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12040), 1,
      anon_sym_COMMA,
    ACTIONS(12044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12046), 1,
      sym_pow_operator,
    ACTIONS(12048), 1,
      sym_mult_operator,
    ACTIONS(12050), 1,
      sym_concat_operator,
    ACTIONS(12052), 1,
      sym_rel_operator,
    ACTIONS(12054), 1,
      sym_and_operator,
    ACTIONS(12056), 1,
      sym_or_operator,
    ACTIONS(12058), 1,
      sym_assign_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464220] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11961), 1,
      sym_pow_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464271] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12101), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9685), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16714), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464356] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12074), 1,
      anon_sym_PIPE,
    STATE(9674), 1,
      aux_sym__match_cases_repeat1,
    STATE(9686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9278), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [464454] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12103), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9688), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15805), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464539] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11961), 1,
      sym_pow_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464590] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11961), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      sym_mult_operator,
    ACTIONS(11965), 1,
      sym_concat_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464649] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12074), 1,
      anon_sym_PIPE,
    STATE(9677), 1,
      aux_sym__match_cases_repeat1,
    STATE(9691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464700] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11985), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9692), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17723), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464785] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12064), 1,
      anon_sym_PIPE,
    STATE(9693), 1,
      sym_attribute,
    STATE(9705), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464836] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12105), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9694), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15778), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464921] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12046), 1,
      sym_pow_operator,
    ACTIONS(12048), 1,
      sym_mult_operator,
    ACTIONS(12050), 1,
      sym_concat_operator,
    ACTIONS(12052), 1,
      sym_rel_operator,
    ACTIONS(12054), 1,
      sym_and_operator,
    ACTIONS(12056), 1,
      sym_or_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464986] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12107), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [465037] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11961), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      sym_mult_operator,
    ACTIONS(11965), 1,
      sym_concat_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [465096] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11955), 1,
      anon_sym_COMMA,
    ACTIONS(11959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11961), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      sym_mult_operator,
    ACTIONS(11965), 1,
      sym_concat_operator,
    ACTIONS(11967), 1,
      sym_rel_operator,
    ACTIONS(11969), 1,
      sym_and_operator,
    ACTIONS(11971), 1,
      sym_or_operator,
    ACTIONS(11973), 1,
      sym_assign_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11474), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11472), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [465165] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11961), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      sym_mult_operator,
    ACTIONS(11965), 1,
      sym_concat_operator,
    ACTIONS(11967), 1,
      sym_rel_operator,
    ACTIONS(11969), 1,
      sym_and_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [465228] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11961), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      sym_mult_operator,
    ACTIONS(11965), 1,
      sym_concat_operator,
    ACTIONS(11967), 1,
      sym_rel_operator,
    ACTIONS(11969), 1,
      sym_and_operator,
    ACTIONS(11971), 1,
      sym_or_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [465293] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12046), 1,
      sym_pow_operator,
    ACTIONS(12048), 1,
      sym_mult_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [465350] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11955), 1,
      anon_sym_COMMA,
    ACTIONS(11959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11961), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      sym_mult_operator,
    ACTIONS(11965), 1,
      sym_concat_operator,
    ACTIONS(11967), 1,
      sym_rel_operator,
    ACTIONS(11969), 1,
      sym_and_operator,
    ACTIONS(11971), 1,
      sym_or_operator,
    ACTIONS(11973), 1,
      sym_assign_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [465419] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12109), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [465470] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12105), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9704), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16790), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465555] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12111), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9705), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [465604] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12114), 1,
      sym__lowercase_identifier,
    ACTIONS(12116), 1,
      anon_sym_LPAREN,
    ACTIONS(12118), 1,
      anon_sym_private,
    ACTIONS(12120), 1,
      anon_sym_LBRACK,
    ACTIONS(12122), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12126), 1,
      anon_sym_LT,
    ACTIONS(12128), 1,
      anon_sym_POUND,
    ACTIONS(12130), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12132), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12134), 1,
      aux_sym_type_variable_token1,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9706), 1,
      sym_attribute,
    STATE(10398), 1,
      sym__simple_type,
    STATE(11698), 1,
      sym__tuple_type,
    STATE(11972), 1,
      sym__type,
    STATE(19089), 1,
      sym_extended_module_path,
    STATE(22288), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10799), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465689] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12107), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [465740] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12103), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9708), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16910), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465825] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12046), 1,
      sym_pow_operator,
    ACTIONS(12048), 1,
      sym_mult_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [465878] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12136), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9710), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15818), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465963] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11592), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9711), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15762), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466048] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12040), 1,
      anon_sym_COMMA,
    ACTIONS(12044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12046), 1,
      sym_pow_operator,
    ACTIONS(12048), 1,
      sym_mult_operator,
    ACTIONS(12050), 1,
      sym_concat_operator,
    ACTIONS(12052), 1,
      sym_rel_operator,
    ACTIONS(12054), 1,
      sym_and_operator,
    ACTIONS(12056), 1,
      sym_or_operator,
    ACTIONS(12058), 1,
      sym_assign_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466117] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12062), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9713), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17397), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466202] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12136), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9714), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16865), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466287] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12046), 1,
      sym_pow_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [466338] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12046), 1,
      sym_pow_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [466389] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12138), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9717), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15860), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466474] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [466523] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON,
    STATE(9719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 15,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 16,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [466572] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12142), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9720), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15803), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466657] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12144), 1,
      sym__lowercase_identifier,
    ACTIONS(12146), 1,
      anon_sym_LPAREN,
    ACTIONS(12148), 1,
      anon_sym_private,
    ACTIONS(12150), 1,
      anon_sym_LBRACK,
    ACTIONS(12152), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12154), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12156), 1,
      anon_sym_LT,
    ACTIONS(12158), 1,
      anon_sym_POUND,
    ACTIONS(12160), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12162), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12164), 1,
      aux_sym_type_variable_token1,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9721), 1,
      sym_attribute,
    STATE(10200), 1,
      sym__simple_type,
    STATE(11325), 1,
      sym__tuple_type,
    STATE(11596), 1,
      sym__type,
    STATE(19066), 1,
      sym_extended_module_path,
    STATE(20986), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10554), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466742] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12064), 1,
      anon_sym_PIPE,
    STATE(9669), 1,
      aux_sym__match_cases_repeat1,
    STATE(9722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [466793] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11592), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9723), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16803), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466878] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12138), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9724), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16961), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466963] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(9725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9126), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [467012] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12166), 1,
      sym__lowercase_identifier,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12170), 1,
      anon_sym_private,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12174), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12176), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12178), 1,
      anon_sym_LT,
    ACTIONS(12180), 1,
      anon_sym_POUND,
    ACTIONS(12182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      aux_sym_type_variable_token1,
    STATE(9726), 1,
      sym_attribute,
    STATE(14091), 1,
      sym__simple_type,
    STATE(14254), 1,
      sym_tuple_type,
    STATE(14604), 1,
      sym__tuple_type,
    STATE(14765), 1,
      sym__type,
    STATE(18499), 1,
      sym_extended_module_path,
    STATE(21144), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14489), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14274), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467097] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12142), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9727), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17750), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467182] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12188), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9728), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15647), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467267] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11977), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9729), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15787), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467352] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12109), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467403] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12019), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12021), 1,
      sym_pow_operator,
    ACTIONS(12023), 1,
      sym_mult_operator,
    ACTIONS(12025), 1,
      sym_concat_operator,
    ACTIONS(12027), 1,
      sym_rel_operator,
    ACTIONS(12029), 1,
      sym_and_operator,
    ACTIONS(12031), 1,
      sym_or_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467468] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12019), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12021), 1,
      sym_pow_operator,
    ACTIONS(12023), 1,
      sym_mult_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467525] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12021), 1,
      sym_pow_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467576] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12021), 1,
      sym_pow_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467627] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11955), 1,
      anon_sym_COMMA,
    ACTIONS(11959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11961), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      sym_mult_operator,
    ACTIONS(11965), 1,
      sym_concat_operator,
    ACTIONS(11967), 1,
      sym_rel_operator,
    ACTIONS(11969), 1,
      sym_and_operator,
    ACTIONS(11971), 1,
      sym_or_operator,
    ACTIONS(11973), 1,
      sym_assign_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [467696] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12019), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12021), 1,
      sym_pow_operator,
    ACTIONS(12023), 1,
      sym_mult_operator,
    ACTIONS(12025), 1,
      sym_concat_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467755] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12019), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12021), 1,
      sym_pow_operator,
    ACTIONS(12023), 1,
      sym_mult_operator,
    ACTIONS(12025), 1,
      sym_concat_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467814] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11953), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467865] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11955), 1,
      anon_sym_COMMA,
    ACTIONS(11959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11961), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      sym_mult_operator,
    ACTIONS(11965), 1,
      sym_concat_operator,
    ACTIONS(11967), 1,
      sym_rel_operator,
    ACTIONS(11969), 1,
      sym_and_operator,
    ACTIONS(11971), 1,
      sym_or_operator,
    ACTIONS(11973), 1,
      sym_assign_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [467934] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12019), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12021), 1,
      sym_pow_operator,
    ACTIONS(12023), 1,
      sym_mult_operator,
    ACTIONS(12025), 1,
      sym_concat_operator,
    ACTIONS(12027), 1,
      sym_rel_operator,
    ACTIONS(12029), 1,
      sym_and_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467997] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12046), 1,
      sym_pow_operator,
    ACTIONS(12048), 1,
      sym_mult_operator,
    ACTIONS(12050), 1,
      sym_concat_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [468056] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12019), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12021), 1,
      sym_pow_operator,
    ACTIONS(12023), 1,
      sym_mult_operator,
    ACTIONS(12025), 1,
      sym_concat_operator,
    ACTIONS(12027), 1,
      sym_rel_operator,
    ACTIONS(12029), 1,
      sym_and_operator,
    ACTIONS(12031), 1,
      sym_or_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [468121] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12017), 1,
      anon_sym_COMMA,
    ACTIONS(12019), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12021), 1,
      sym_pow_operator,
    ACTIONS(12023), 1,
      sym_mult_operator,
    ACTIONS(12025), 1,
      sym_concat_operator,
    ACTIONS(12027), 1,
      sym_rel_operator,
    ACTIONS(12029), 1,
      sym_and_operator,
    ACTIONS(12031), 1,
      sym_or_operator,
    ACTIONS(12033), 1,
      sym_assign_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [468190] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12021), 1,
      sym_pow_operator,
    ACTIONS(12023), 1,
      sym_mult_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [468243] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12017), 1,
      anon_sym_COMMA,
    ACTIONS(12019), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12021), 1,
      sym_pow_operator,
    ACTIONS(12023), 1,
      sym_mult_operator,
    ACTIONS(12025), 1,
      sym_concat_operator,
    ACTIONS(12027), 1,
      sym_rel_operator,
    ACTIONS(12029), 1,
      sym_and_operator,
    ACTIONS(12031), 1,
      sym_or_operator,
    ACTIONS(12033), 1,
      sym_assign_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [468312] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12046), 1,
      sym_pow_operator,
    ACTIONS(12048), 1,
      sym_mult_operator,
    ACTIONS(12050), 1,
      sym_concat_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [468371] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11975), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9747), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15865), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468456] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [468507] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12017), 1,
      anon_sym_COMMA,
    ACTIONS(12019), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12021), 1,
      sym_pow_operator,
    ACTIONS(12023), 1,
      sym_mult_operator,
    ACTIONS(12025), 1,
      sym_concat_operator,
    ACTIONS(12027), 1,
      sym_rel_operator,
    ACTIONS(12029), 1,
      sym_and_operator,
    ACTIONS(12031), 1,
      sym_or_operator,
    ACTIONS(12033), 1,
      sym_assign_operator,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [468576] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12066), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9750), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(18026), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468661] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12188), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9751), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17032), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468746] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11727), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9752), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15672), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468831] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12040), 1,
      anon_sym_COMMA,
    ACTIONS(12044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12046), 1,
      sym_pow_operator,
    ACTIONS(12048), 1,
      sym_mult_operator,
    ACTIONS(12050), 1,
      sym_concat_operator,
    ACTIONS(12052), 1,
      sym_rel_operator,
    ACTIONS(12054), 1,
      sym_and_operator,
    ACTIONS(12056), 1,
      sym_or_operator,
    ACTIONS(12058), 1,
      sym_assign_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11474), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11472), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [468900] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10528), 1,
      sym__lowercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_private,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9754), 1,
      sym_attribute,
    STATE(10244), 1,
      sym__simple_type,
    STATE(11411), 1,
      sym__tuple_type,
    STATE(11655), 1,
      sym__type,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(21434), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468985] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12046), 1,
      sym_pow_operator,
    ACTIONS(12048), 1,
      sym_mult_operator,
    ACTIONS(12050), 1,
      sym_concat_operator,
    ACTIONS(12052), 1,
      sym_rel_operator,
    ACTIONS(12054), 1,
      sym_and_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469048] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9164), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [469095] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12046), 1,
      sym_pow_operator,
    ACTIONS(12048), 1,
      sym_mult_operator,
    ACTIONS(12050), 1,
      sym_concat_operator,
    ACTIONS(12052), 1,
      sym_rel_operator,
    ACTIONS(12054), 1,
      sym_and_operator,
    ACTIONS(12056), 1,
      sym_or_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469160] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12198), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9758), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15663), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469245] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12064), 1,
      anon_sym_PIPE,
    STATE(9693), 1,
      aux_sym__match_cases_repeat1,
    STATE(9759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469296] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11755), 1,
      anon_sym_COMMA,
    ACTIONS(11757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11759), 1,
      sym_pow_operator,
    ACTIONS(11761), 1,
      sym_mult_operator,
    ACTIONS(11763), 1,
      sym_concat_operator,
    ACTIONS(11765), 1,
      sym_rel_operator,
    ACTIONS(11767), 1,
      sym_and_operator,
    ACTIONS(11769), 1,
      sym_or_operator,
    ACTIONS(11771), 1,
      sym_assign_operator,
    ACTIONS(12200), 1,
      anon_sym_SEMI,
    STATE(2486), 1,
      sym_add_operator,
    STATE(9760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469367] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12040), 1,
      anon_sym_COMMA,
    ACTIONS(12044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12046), 1,
      sym_pow_operator,
    ACTIONS(12048), 1,
      sym_mult_operator,
    ACTIONS(12050), 1,
      sym_concat_operator,
    ACTIONS(12052), 1,
      sym_rel_operator,
    ACTIONS(12054), 1,
      sym_and_operator,
    ACTIONS(12056), 1,
      sym_or_operator,
    ACTIONS(12058), 1,
      sym_assign_operator,
    STATE(2455), 1,
      sym_add_operator,
    STATE(9761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [469436] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11949), 1,
      anon_sym_else,
    STATE(9102), 1,
      sym_else_clause,
    STATE(9762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469487] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12017), 1,
      anon_sym_COMMA,
    ACTIONS(12019), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12021), 1,
      sym_pow_operator,
    ACTIONS(12023), 1,
      sym_mult_operator,
    ACTIONS(12025), 1,
      sym_concat_operator,
    ACTIONS(12027), 1,
      sym_rel_operator,
    ACTIONS(12029), 1,
      sym_and_operator,
    ACTIONS(12031), 1,
      sym_or_operator,
    ACTIONS(12033), 1,
      sym_assign_operator,
    ACTIONS(12202), 1,
      anon_sym_SEMI,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [469558] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2547), 1,
      sym_add_operator,
    STATE(9764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469607] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12204), 1,
      sym__lowercase_identifier,
    ACTIONS(12206), 1,
      anon_sym_LPAREN,
    ACTIONS(12208), 1,
      anon_sym_private,
    ACTIONS(12210), 1,
      anon_sym_LBRACK,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12214), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12216), 1,
      anon_sym_LT,
    ACTIONS(12218), 1,
      anon_sym_POUND,
    ACTIONS(12220), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12222), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      aux_sym_type_variable_token1,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9765), 1,
      sym_attribute,
    STATE(14227), 1,
      sym__simple_type,
    STATE(14873), 1,
      sym__tuple_type,
    STATE(14921), 1,
      sym__type,
    STATE(19001), 1,
      sym_extended_module_path,
    STATE(19429), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14547), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469692] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11727), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9766), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17315), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469777] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      sym__lowercase_identifier,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12198), 1,
      anon_sym_module,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9767), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17131), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469862] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_else_clause,
    STATE(9768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469913] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11961), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      sym_mult_operator,
    STATE(2609), 1,
      sym_add_operator,
    STATE(9769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9270), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [470012] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9771), 1,
      sym_attribute,
    STATE(10966), 1,
      sym__simple_type,
    STATE(12271), 1,
      sym__tuple_type,
    STATE(12704), 1,
      sym__type,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(20998), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470094] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9772), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17944), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470176] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9773), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17975), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470258] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12228), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9774), 1,
      sym_attribute,
    STATE(10892), 1,
      sym__simple_type,
    STATE(12233), 1,
      sym__tuple_type,
    STATE(12614), 1,
      sym__type,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(22431), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470340] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11355), 1,
      anon_sym_LPAREN,
    ACTIONS(11357), 1,
      anon_sym_LBRACK,
    ACTIONS(11359), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11361), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11363), 1,
      anon_sym_LT,
    ACTIONS(11365), 1,
      anon_sym_POUND,
    ACTIONS(11367), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11369), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11371), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12230), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9775), 1,
      sym_attribute,
    STATE(13437), 1,
      sym__simple_type,
    STATE(14235), 1,
      sym__type,
    STATE(14402), 1,
      sym__tuple_type,
    STATE(19051), 1,
      sym_extended_module_path,
    STATE(20902), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14167), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470422] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9776), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14254), 1,
      sym_tuple_type,
    STATE(15237), 1,
      sym__tuple_type,
    STATE(15324), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(20540), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14489), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470504] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11997), 1,
      anon_sym_LPAREN,
    ACTIONS(12001), 1,
      anon_sym_LBRACK,
    ACTIONS(12003), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12005), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12007), 1,
      anon_sym_LT,
    ACTIONS(12009), 1,
      anon_sym_POUND,
    ACTIONS(12011), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12013), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12015), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12232), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9777), 1,
      sym_attribute,
    STATE(10461), 1,
      sym__simple_type,
    STATE(11712), 1,
      sym__tuple_type,
    STATE(12044), 1,
      sym__type,
    STATE(18638), 1,
      sym_extended_module_path,
    STATE(21945), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10784), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470586] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12228), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9778), 1,
      sym_attribute,
    STATE(10892), 1,
      sym__simple_type,
    STATE(12233), 1,
      sym__tuple_type,
    STATE(13190), 1,
      sym__type,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(22431), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470668] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9779), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17758), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470750] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11355), 1,
      anon_sym_LPAREN,
    ACTIONS(11357), 1,
      anon_sym_LBRACK,
    ACTIONS(11359), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11361), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11363), 1,
      anon_sym_LT,
    ACTIONS(11365), 1,
      anon_sym_POUND,
    ACTIONS(11367), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11369), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11371), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12230), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9780), 1,
      sym_attribute,
    STATE(13437), 1,
      sym__simple_type,
    STATE(14402), 1,
      sym__tuple_type,
    STATE(14554), 1,
      sym__type,
    STATE(19051), 1,
      sym_extended_module_path,
    STATE(20902), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14167), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470832] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9781), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(18111), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470914] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9782), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17627), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470996] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12234), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9783), 1,
      sym_attribute,
    STATE(12302), 1,
      sym__simple_type,
    STATE(13978), 1,
      sym__tuple_type,
    STATE(13989), 1,
      sym__type,
    STATE(18184), 1,
      sym_extended_module_path,
    STATE(20546), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471078] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9784), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(18127), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471160] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(9785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9126), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [471208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10292), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10378), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471300] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12236), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9788), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [471348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10750), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10748), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471394] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9790), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16612), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471476] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12239), 1,
      anon_sym_PIPE,
    STATE(9791), 1,
      sym_attribute,
    STATE(9796), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [471526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9248), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10770), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471618] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9794), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16618), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10828), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471746] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12241), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9796), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [471794] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9797), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17767), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471876] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9798), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17395), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471958] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9799), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17022), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472040] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9800), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17494), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10776), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10774), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [472168] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9802), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16637), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472250] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9803), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14254), 1,
      sym_tuple_type,
    STATE(15237), 1,
      sym__tuple_type,
    STATE(15695), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(20540), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14489), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472332] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9804), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14254), 1,
      sym_tuple_type,
    STATE(15237), 1,
      sym__tuple_type,
    STATE(15696), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(20540), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14489), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472414] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9805), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16641), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472496] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12244), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9806), 1,
      sym_attribute,
    STATE(10473), 1,
      sym__simple_type,
    STATE(11793), 1,
      sym__tuple_type,
    STATE(12307), 1,
      sym__type,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21818), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10836), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [472624] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9808), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17472), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472706] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12248), 1,
      sym_pow_operator,
    ACTIONS(12250), 1,
      sym_mult_operator,
    STATE(2317), 1,
      sym_add_operator,
    STATE(9809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [472762] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9810), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16655), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472844] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9811), 1,
      sym_attribute,
    STATE(10966), 1,
      sym__simple_type,
    STATE(12271), 1,
      sym__tuple_type,
    STATE(12968), 1,
      sym__type,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(20998), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472926] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9812), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16662), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473008] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12234), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9813), 1,
      sym_attribute,
    STATE(12302), 1,
      sym__simple_type,
    STATE(13978), 1,
      sym__tuple_type,
    STATE(14214), 1,
      sym__type,
    STATE(18184), 1,
      sym_extended_module_path,
    STATE(20546), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9252), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [473136] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12248), 1,
      sym_pow_operator,
    STATE(2317), 1,
      sym_add_operator,
    STATE(9815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [473186] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12254), 1,
      sym_pow_operator,
    ACTIONS(12256), 1,
      sym_mult_operator,
    ACTIONS(12258), 1,
      sym_concat_operator,
    ACTIONS(12260), 1,
      sym_rel_operator,
    ACTIONS(12262), 1,
      sym_and_operator,
    ACTIONS(12264), 1,
      sym_or_operator,
    STATE(2614), 1,
      sym_add_operator,
    STATE(9816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [473250] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12266), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9817), 1,
      sym_attribute,
    STATE(10244), 1,
      sym__simple_type,
    STATE(11411), 1,
      sym__tuple_type,
    STATE(11616), 1,
      sym__type,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(21434), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473332] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9818), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16681), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473414] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12239), 1,
      anon_sym_PIPE,
    STATE(9819), 1,
      sym_attribute,
    STATE(9941), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [473464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9282), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [473510] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9821), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16684), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473592] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9822), 1,
      sym_attribute,
    STATE(10966), 1,
      sym__simple_type,
    STATE(12271), 1,
      sym__tuple_type,
    STATE(13224), 1,
      sym__type,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(20998), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473674] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12116), 1,
      anon_sym_LPAREN,
    ACTIONS(12120), 1,
      anon_sym_LBRACK,
    ACTIONS(12122), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12126), 1,
      anon_sym_LT,
    ACTIONS(12128), 1,
      anon_sym_POUND,
    ACTIONS(12130), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12132), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12134), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12268), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9823), 1,
      sym_attribute,
    STATE(10398), 1,
      sym__simple_type,
    STATE(11698), 1,
      sym__tuple_type,
    STATE(12026), 1,
      sym__type,
    STATE(19089), 1,
      sym_extended_module_path,
    STATE(22288), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10799), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473756] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9824), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17185), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9228), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [473884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10780), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10778), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [473930] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9827), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17038), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474012] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9828), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17412), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474094] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12239), 1,
      anon_sym_PIPE,
    STATE(9791), 1,
      aux_sym__match_cases_repeat1,
    STATE(9829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [474144] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9830), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17853), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474226] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9831), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15777), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474308] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9832), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16730), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474390] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9833), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17234), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10782), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [474518] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9835), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16731), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474600] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9836), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16735), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474682] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9837), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17877), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474764] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9838), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17235), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474846] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11355), 1,
      anon_sym_LPAREN,
    ACTIONS(11357), 1,
      anon_sym_LBRACK,
    ACTIONS(11359), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11361), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11363), 1,
      anon_sym_LT,
    ACTIONS(11365), 1,
      anon_sym_POUND,
    ACTIONS(11367), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11369), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11371), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12230), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9839), 1,
      sym_attribute,
    STATE(13437), 1,
      sym__simple_type,
    STATE(14402), 1,
      sym__tuple_type,
    STATE(14562), 1,
      sym__type,
    STATE(19051), 1,
      sym_extended_module_path,
    STATE(20902), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14167), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474928] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9840), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15768), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475010] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11355), 1,
      anon_sym_LPAREN,
    ACTIONS(11357), 1,
      anon_sym_LBRACK,
    ACTIONS(11359), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11361), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11363), 1,
      anon_sym_LT,
    ACTIONS(11365), 1,
      anon_sym_POUND,
    ACTIONS(11367), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11369), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11371), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12230), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9841), 1,
      sym_attribute,
    STATE(13437), 1,
      sym__simple_type,
    STATE(14402), 1,
      sym__tuple_type,
    STATE(14581), 1,
      sym__type,
    STATE(19051), 1,
      sym_extended_module_path,
    STATE(20902), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14167), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475092] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      anon_sym_LPAREN,
    ACTIONS(12150), 1,
      anon_sym_LBRACK,
    ACTIONS(12152), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12154), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12156), 1,
      anon_sym_LT,
    ACTIONS(12158), 1,
      anon_sym_POUND,
    ACTIONS(12160), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12162), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12164), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9842), 1,
      sym_attribute,
    STATE(10200), 1,
      sym__simple_type,
    STATE(11325), 1,
      sym__tuple_type,
    STATE(11398), 1,
      sym__type,
    STATE(19066), 1,
      sym_extended_module_path,
    STATE(20986), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10554), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9158), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [475220] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9844), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16745), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475302] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9845), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17551), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475384] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9846), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16754), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475466] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9847), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15699), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475548] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11823), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12274), 1,
      anon_sym_let,
    STATE(9848), 1,
      sym_attribute,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11628), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12272), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [475610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9210), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [475656] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9850), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(18089), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9164), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [475784] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12174), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12176), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12178), 1,
      anon_sym_LT,
    ACTIONS(12180), 1,
      anon_sym_POUND,
    ACTIONS(12182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12276), 1,
      sym__lowercase_identifier,
    STATE(9852), 1,
      sym_attribute,
    STATE(14091), 1,
      sym__simple_type,
    STATE(14254), 1,
      sym_tuple_type,
    STATE(14604), 1,
      sym__tuple_type,
    STATE(14750), 1,
      sym__type,
    STATE(18499), 1,
      sym_extended_module_path,
    STATE(21144), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14489), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14274), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10808), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [475912] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9854), 1,
      sym_attribute,
    STATE(11740), 1,
      sym__simple_type,
    STATE(13565), 1,
      sym__tuple_type,
    STATE(13583), 1,
      sym__type,
    STATE(18262), 1,
      sym_extended_module_path,
    STATE(20028), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475994] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9855), 1,
      sym_attribute,
    STATE(11740), 1,
      sym__simple_type,
    STATE(13565), 1,
      sym__tuple_type,
    STATE(13671), 1,
      sym__type,
    STATE(18262), 1,
      sym_extended_module_path,
    STATE(20028), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476076] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9856), 1,
      sym_attribute,
    STATE(11740), 1,
      sym__simple_type,
    STATE(13565), 1,
      sym__tuple_type,
    STATE(13672), 1,
      sym__type,
    STATE(18262), 1,
      sym_extended_module_path,
    STATE(20028), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476158] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2317), 1,
      sym_add_operator,
    STATE(9857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [476206] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9858), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(18098), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476288] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9859), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(18080), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476370] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9860), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16870), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476452] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9861), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16873), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476534] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12206), 1,
      anon_sym_LPAREN,
    ACTIONS(12210), 1,
      anon_sym_LBRACK,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12214), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12216), 1,
      anon_sym_LT,
    ACTIONS(12218), 1,
      anon_sym_POUND,
    ACTIONS(12220), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12222), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12280), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9862), 1,
      sym_attribute,
    STATE(14227), 1,
      sym__simple_type,
    STATE(14873), 1,
      sym__tuple_type,
    STATE(15001), 1,
      sym__type,
    STATE(19001), 1,
      sym_extended_module_path,
    STATE(19429), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14547), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476616] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9863), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15835), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476698] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9864), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16883), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476780] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9865), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16892), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476862] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9866), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17360), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9214), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [476990] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12254), 1,
      sym_pow_operator,
    ACTIONS(12256), 1,
      sym_mult_operator,
    ACTIONS(12258), 1,
      sym_concat_operator,
    ACTIONS(12260), 1,
      sym_rel_operator,
    ACTIONS(12262), 1,
      sym_and_operator,
    ACTIONS(12264), 1,
      sym_or_operator,
    ACTIONS(12282), 1,
      anon_sym_COMMA,
    ACTIONS(12284), 1,
      sym_assign_operator,
    STATE(2614), 1,
      sym_add_operator,
    STATE(9868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [477058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10226), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [477104] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9870), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16932), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477186] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9871), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16936), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477268] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12286), 1,
      anon_sym_PIPE,
    STATE(9872), 1,
      sym_attribute,
    STATE(10061), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [477318] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9873), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15873), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9220), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [477446] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9875), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16946), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477528] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9876), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16951), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477610] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9877), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16742), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9224), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [477738] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9879), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16595), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477820] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9880), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16987), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477902] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9881), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16988), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9132), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [478030] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9883), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15641), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478112] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9884), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16995), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478194] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9885), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17000), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478276] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12234), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9886), 1,
      sym_attribute,
    STATE(12302), 1,
      sym__simple_type,
    STATE(13978), 1,
      sym__tuple_type,
    STATE(14200), 1,
      sym__type,
    STATE(18184), 1,
      sym_extended_module_path,
    STATE(20546), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478358] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9887), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17522), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478440] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12248), 1,
      sym_pow_operator,
    ACTIONS(12250), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    STATE(2317), 1,
      sym_add_operator,
    STATE(9888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [478504] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9889), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16831), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10768), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10766), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [478632] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9891), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17137), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478714] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9892), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17034), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478796] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9893), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17036), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478878] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12254), 1,
      sym_pow_operator,
    ACTIONS(12256), 1,
      sym_mult_operator,
    ACTIONS(12258), 1,
      sym_concat_operator,
    STATE(2614), 1,
      sym_add_operator,
    STATE(9894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [478936] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9895), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15653), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479018] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12254), 1,
      sym_pow_operator,
    ACTIONS(12256), 1,
      sym_mult_operator,
    ACTIONS(12258), 1,
      sym_concat_operator,
    ACTIONS(12260), 1,
      sym_rel_operator,
    ACTIONS(12262), 1,
      sym_and_operator,
    STATE(2614), 1,
      sym_add_operator,
    STATE(9896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [479080] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12248), 1,
      sym_pow_operator,
    STATE(2317), 1,
      sym_add_operator,
    STATE(9897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [479130] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9898), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17041), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479212] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9899), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17046), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479294] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12248), 1,
      sym_pow_operator,
    ACTIONS(12250), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    STATE(2317), 1,
      sym_add_operator,
    STATE(9900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [479352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10850), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10848), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9228), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10822), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10820), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479490] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9904), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17079), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479572] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9905), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17081), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10742), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10740), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10226), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479746] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9908), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17087), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479828] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9909), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17091), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479910] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9910), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17526), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479992] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9911), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17160), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9244), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [480120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9244), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [480166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10868), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10866), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [480212] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9915), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17107), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10800), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [480340] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9917), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16689), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480422] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11823), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12298), 1,
      anon_sym_let,
    STATE(9918), 1,
      sym_attribute,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11697), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12296), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10814), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10812), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [480530] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12248), 1,
      sym_pow_operator,
    ACTIONS(12250), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    STATE(2317), 1,
      sym_add_operator,
    STATE(9920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [480588] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9921), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17136), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10336), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [480716] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      anon_sym_LPAREN,
    ACTIONS(12150), 1,
      anon_sym_LBRACK,
    ACTIONS(12152), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12154), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12156), 1,
      anon_sym_LT,
    ACTIONS(12158), 1,
      anon_sym_POUND,
    ACTIONS(12160), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12162), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12164), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9923), 1,
      sym_attribute,
    STATE(10200), 1,
      sym__simple_type,
    STATE(11325), 1,
      sym__tuple_type,
    STATE(11391), 1,
      sym__type,
    STATE(19066), 1,
      sym_extended_module_path,
    STATE(20986), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10554), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10296), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [480844] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12248), 1,
      sym_pow_operator,
    ACTIONS(12250), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    STATE(2317), 1,
      sym_add_operator,
    STATE(9925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [480906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8183), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8179), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [480952] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9927), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16700), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10324), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [481080] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9929), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17165), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481162] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12078), 1,
      anon_sym_LPAREN,
    ACTIONS(12082), 1,
      anon_sym_LBRACK,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12086), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12088), 1,
      anon_sym_LT,
    ACTIONS(12090), 1,
      anon_sym_POUND,
    ACTIONS(12092), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12094), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12096), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9930), 1,
      sym_attribute,
    STATE(10149), 1,
      sym__simple_type,
    STATE(10925), 1,
      sym__tuple_type,
    STATE(11297), 1,
      sym__type,
    STATE(18448), 1,
      sym_extended_module_path,
    STATE(20256), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10228), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481244] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12248), 1,
      sym_pow_operator,
    ACTIONS(12250), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    STATE(2317), 1,
      sym_add_operator,
    STATE(9931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [481308] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12248), 1,
      sym_pow_operator,
    ACTIONS(12250), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    ACTIONS(12302), 1,
      anon_sym_COMMA,
    ACTIONS(12304), 1,
      sym_assign_operator,
    STATE(2317), 1,
      sym_add_operator,
    STATE(9932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [481376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10746), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10744), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [481422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10656), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10654), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [481468] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12248), 1,
      sym_pow_operator,
    ACTIONS(12250), 1,
      sym_mult_operator,
    STATE(2317), 1,
      sym_add_operator,
    STATE(9935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [481520] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9936), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16801), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481602] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12078), 1,
      anon_sym_LPAREN,
    ACTIONS(12082), 1,
      anon_sym_LBRACK,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12086), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12088), 1,
      anon_sym_LT,
    ACTIONS(12090), 1,
      anon_sym_POUND,
    ACTIONS(12092), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12094), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12096), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9937), 1,
      sym_attribute,
    STATE(10149), 1,
      sym__simple_type,
    STATE(10925), 1,
      sym__tuple_type,
    STATE(11099), 1,
      sym__type,
    STATE(18448), 1,
      sym_extended_module_path,
    STATE(20256), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10228), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10362), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [481730] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9939), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17247), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481812] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9940), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16853), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481894] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12239), 1,
      anon_sym_PIPE,
    STATE(9796), 1,
      aux_sym__match_cases_repeat1,
    STATE(9941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [481944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10220), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [481990] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9943), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17272), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482072] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12244), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9944), 1,
      sym_attribute,
    STATE(10473), 1,
      sym__simple_type,
    STATE(11793), 1,
      sym__tuple_type,
    STATE(11959), 1,
      sym__type,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21818), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482154] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9945), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16768), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482236] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9946), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17375), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9132), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [482364] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9948), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16938), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482446] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9949), 1,
      sym_attribute,
    STATE(11899), 1,
      sym__simple_type,
    STATE(13271), 1,
      sym__tuple_type,
    STATE(13877), 1,
      sym__type,
    STATE(18364), 1,
      sym_extended_module_path,
    STATE(20928), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482528] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9950), 1,
      sym_attribute,
    STATE(11899), 1,
      sym__simple_type,
    STATE(13271), 1,
      sym__tuple_type,
    STATE(13878), 1,
      sym__type,
    STATE(18364), 1,
      sym_extended_module_path,
    STATE(20928), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482610] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12254), 1,
      sym_pow_operator,
    ACTIONS(12256), 1,
      sym_mult_operator,
    ACTIONS(12258), 1,
      sym_concat_operator,
    ACTIONS(12260), 1,
      sym_rel_operator,
    ACTIONS(12262), 1,
      sym_and_operator,
    ACTIONS(12264), 1,
      sym_or_operator,
    STATE(2614), 1,
      sym_add_operator,
    STATE(9951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [482674] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12254), 1,
      sym_pow_operator,
    ACTIONS(12256), 1,
      sym_mult_operator,
    ACTIONS(12258), 1,
      sym_concat_operator,
    ACTIONS(12260), 1,
      sym_rel_operator,
    ACTIONS(12262), 1,
      sym_and_operator,
    ACTIONS(12264), 1,
      sym_or_operator,
    ACTIONS(12282), 1,
      anon_sym_COMMA,
    ACTIONS(12284), 1,
      sym_assign_operator,
    STATE(2614), 1,
      sym_add_operator,
    STATE(9952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482742] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9953), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15369), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482824] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(9954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9126), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482872] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11823), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12310), 1,
      anon_sym_let,
    STATE(9955), 1,
      sym_attribute,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11708), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12308), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482934] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9956), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16766), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10214), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10212), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [483062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9162), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10218), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10216), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [483154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10756), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10754), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [483200] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9961), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16857), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483282] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9962), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16624), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483364] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12254), 1,
      sym_pow_operator,
    ACTIONS(12256), 1,
      sym_mult_operator,
    ACTIONS(12258), 1,
      sym_concat_operator,
    ACTIONS(12260), 1,
      sym_rel_operator,
    ACTIONS(12262), 1,
      sym_and_operator,
    ACTIONS(12264), 1,
      sym_or_operator,
    ACTIONS(12282), 1,
      anon_sym_COMMA,
    ACTIONS(12284), 1,
      sym_assign_operator,
    ACTIONS(12314), 1,
      anon_sym_SEMI,
    STATE(2614), 1,
      sym_add_operator,
    STATE(9963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483434] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12316), 1,
      anon_sym_PIPE,
    STATE(9964), 1,
      sym_attribute,
    STATE(9972), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [483484] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9965), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16776), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483566] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9966), 1,
      sym_attribute,
    STATE(11899), 1,
      sym__simple_type,
    STATE(13271), 1,
      sym__tuple_type,
    STATE(13922), 1,
      sym__type,
    STATE(18364), 1,
      sym_extended_module_path,
    STATE(20928), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483648] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12316), 1,
      anon_sym_PIPE,
    STATE(9967), 1,
      sym_attribute,
    STATE(9972), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [483698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9270), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [483744] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12320), 1,
      anon_sym_SEMI,
    ACTIONS(12322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12324), 1,
      sym_pow_operator,
    ACTIONS(12326), 1,
      sym_mult_operator,
    ACTIONS(12328), 1,
      sym_concat_operator,
    ACTIONS(12330), 1,
      sym_rel_operator,
    ACTIONS(12332), 1,
      sym_and_operator,
    ACTIONS(12334), 1,
      sym_or_operator,
    ACTIONS(12336), 1,
      sym_assign_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(9969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483814] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9970), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17082), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483896] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9971), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17369), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483978] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12338), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9972), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [484026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10764), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10762), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [484072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9278), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [484118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9248), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [484164] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9976), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19292), 1,
      sym__type,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484246] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12234), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9977), 1,
      sym_attribute,
    STATE(12302), 1,
      sym__simple_type,
    STATE(13978), 1,
      sym__tuple_type,
    STATE(14217), 1,
      sym__type,
    STATE(18184), 1,
      sym_extended_module_path,
    STATE(20546), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484328] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9978), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14254), 1,
      sym_tuple_type,
    STATE(15237), 1,
      sym__tuple_type,
    STATE(15876), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(20540), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14489), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484410] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      sym_pow_operator,
    STATE(2614), 1,
      sym_add_operator,
    STATE(9979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [484460] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9980), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17392), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9198), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [484588] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11997), 1,
      anon_sym_LPAREN,
    ACTIONS(12001), 1,
      anon_sym_LBRACK,
    ACTIONS(12003), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12005), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12007), 1,
      anon_sym_LT,
    ACTIONS(12009), 1,
      anon_sym_POUND,
    ACTIONS(12011), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12013), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12015), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12232), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9982), 1,
      sym_attribute,
    STATE(10461), 1,
      sym__simple_type,
    STATE(11712), 1,
      sym__tuple_type,
    STATE(12050), 1,
      sym__type,
    STATE(18638), 1,
      sym_extended_module_path,
    STATE(21945), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10784), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484670] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9983), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16679), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484752] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12324), 1,
      sym_pow_operator,
    ACTIONS(12326), 1,
      sym_mult_operator,
    ACTIONS(12328), 1,
      sym_concat_operator,
    ACTIONS(12330), 1,
      sym_rel_operator,
    ACTIONS(12332), 1,
      sym_and_operator,
    ACTIONS(12334), 1,
      sym_or_operator,
    ACTIONS(12336), 1,
      sym_assign_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(9984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [484820] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12254), 1,
      sym_pow_operator,
    ACTIONS(12256), 1,
      sym_mult_operator,
    STATE(2614), 1,
      sym_add_operator,
    STATE(9985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [484876] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9986), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17981), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10218), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10216), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [485004] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      sym_pow_operator,
    ACTIONS(12256), 1,
      sym_mult_operator,
    STATE(2614), 1,
      sym_add_operator,
    STATE(9988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [485056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9252), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [485102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9282), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [485148] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9991), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(14632), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485230] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12234), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9992), 1,
      sym_attribute,
    STATE(12302), 1,
      sym__simple_type,
    STATE(13978), 1,
      sym__tuple_type,
    STATE(14017), 1,
      sym__type,
    STATE(18184), 1,
      sym_extended_module_path,
    STATE(20546), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9130), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [485358] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12206), 1,
      anon_sym_LPAREN,
    ACTIONS(12210), 1,
      anon_sym_LBRACK,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12214), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12216), 1,
      anon_sym_LT,
    ACTIONS(12218), 1,
      anon_sym_POUND,
    ACTIONS(12220), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12222), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12280), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9994), 1,
      sym_attribute,
    STATE(14227), 1,
      sym__simple_type,
    STATE(14873), 1,
      sym__tuple_type,
    STATE(14937), 1,
      sym__type,
    STATE(19001), 1,
      sym_extended_module_path,
    STATE(19429), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14547), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10844), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [485486] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9996), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16838), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485568] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9997), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(18109), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485650] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12116), 1,
      anon_sym_LPAREN,
    ACTIONS(12120), 1,
      anon_sym_LBRACK,
    ACTIONS(12122), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12126), 1,
      anon_sym_LT,
    ACTIONS(12128), 1,
      anon_sym_POUND,
    ACTIONS(12130), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12132), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12134), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12268), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9998), 1,
      sym_attribute,
    STATE(10398), 1,
      sym__simple_type,
    STATE(11698), 1,
      sym__tuple_type,
    STATE(11989), 1,
      sym__type,
    STATE(19089), 1,
      sym_extended_module_path,
    STATE(22288), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10799), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485732] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(9999), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16846), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485814] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12286), 1,
      anon_sym_PIPE,
    STATE(10000), 1,
      sym_attribute,
    STATE(10079), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [485864] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10001), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17057), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9158), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [485992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10760), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10758), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486038] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10004), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17135), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486120] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12116), 1,
      anon_sym_LPAREN,
    ACTIONS(12120), 1,
      anon_sym_LBRACK,
    ACTIONS(12122), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12126), 1,
      anon_sym_LT,
    ACTIONS(12128), 1,
      anon_sym_POUND,
    ACTIONS(12130), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12132), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12134), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12268), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10005), 1,
      sym_attribute,
    STATE(10398), 1,
      sym__simple_type,
    STATE(11698), 1,
      sym__tuple_type,
    STATE(12034), 1,
      sym__type,
    STATE(19089), 1,
      sym_extended_module_path,
    STATE(22288), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10799), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486202] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10006), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16644), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9302), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486330] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2614), 1,
      sym_add_operator,
    STATE(10008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [486378] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10009), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17206), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10788), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10786), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10720), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10718), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486552] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10012), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17467), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486634] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10013), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17465), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10858), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10856), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10860), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486808] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12234), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10016), 1,
      sym_attribute,
    STATE(12302), 1,
      sym__simple_type,
    STATE(13978), 1,
      sym__tuple_type,
    STATE(14067), 1,
      sym__type,
    STATE(18184), 1,
      sym_extended_module_path,
    STATE(20546), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486890] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10017), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16918), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9278), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487018] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10019), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17561), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487100] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10020), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17067), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9306), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487228] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10022), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16933), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9310), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10796), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10794), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487402] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12316), 1,
      anon_sym_PIPE,
    STATE(9964), 1,
      aux_sym__match_cases_repeat1,
    STATE(10025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [487452] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10026), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17480), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487534] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10027), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17443), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487616] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10028), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17638), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487698] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10029), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17581), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487780] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12347), 1,
      anon_sym_DOT,
    STATE(10030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12345), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12343), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [487828] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11355), 1,
      anon_sym_LPAREN,
    ACTIONS(11357), 1,
      anon_sym_LBRACK,
    ACTIONS(11359), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11361), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11363), 1,
      anon_sym_LT,
    ACTIONS(11365), 1,
      anon_sym_POUND,
    ACTIONS(11367), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11369), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11371), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12230), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10031), 1,
      sym_attribute,
    STATE(13437), 1,
      sym__simple_type,
    STATE(14402), 1,
      sym__tuple_type,
    STATE(14565), 1,
      sym__type,
    STATE(19051), 1,
      sym_extended_module_path,
    STATE(20902), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14167), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487910] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12316), 1,
      anon_sym_PIPE,
    STATE(9967), 1,
      aux_sym__match_cases_repeat1,
    STATE(10032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [487960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9314), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488006] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12206), 1,
      anon_sym_LPAREN,
    ACTIONS(12210), 1,
      anon_sym_LBRACK,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12214), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12216), 1,
      anon_sym_LT,
    ACTIONS(12218), 1,
      anon_sym_POUND,
    ACTIONS(12220), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12222), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12280), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10034), 1,
      sym_attribute,
    STATE(14227), 1,
      sym__simple_type,
    STATE(14873), 1,
      sym__tuple_type,
    STATE(14931), 1,
      sym__type,
    STATE(19001), 1,
      sym_extended_module_path,
    STATE(19429), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14547), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488088] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10035), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17059), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488170] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10036), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16429), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488252] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12248), 1,
      sym_pow_operator,
    ACTIONS(12250), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    ACTIONS(12302), 1,
      anon_sym_COMMA,
    ACTIONS(12304), 1,
      sym_assign_operator,
    ACTIONS(12349), 1,
      anon_sym_SEMI,
    STATE(2317), 1,
      sym_add_operator,
    STATE(10037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488322] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10038), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16437), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488404] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12234), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10039), 1,
      sym_attribute,
    STATE(12302), 1,
      sym__simple_type,
    STATE(13978), 1,
      sym__tuple_type,
    STATE(14275), 1,
      sym__type,
    STATE(18184), 1,
      sym_extended_module_path,
    STATE(20546), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488486] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12234), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10040), 1,
      sym_attribute,
    STATE(12302), 1,
      sym__simple_type,
    STATE(13978), 1,
      sym__tuple_type,
    STATE(14290), 1,
      sym__type,
    STATE(18184), 1,
      sym_extended_module_path,
    STATE(20546), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488568] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10041), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17610), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9202), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488696] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12254), 1,
      sym_pow_operator,
    ACTIONS(12256), 1,
      sym_mult_operator,
    ACTIONS(12258), 1,
      sym_concat_operator,
    STATE(2614), 1,
      sym_add_operator,
    STATE(10043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [488754] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10044), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17451), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488836] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12254), 1,
      sym_pow_operator,
    ACTIONS(12256), 1,
      sym_mult_operator,
    ACTIONS(12258), 1,
      sym_concat_operator,
    ACTIONS(12260), 1,
      sym_rel_operator,
    ACTIONS(12262), 1,
      sym_and_operator,
    ACTIONS(12264), 1,
      sym_or_operator,
    ACTIONS(12282), 1,
      anon_sym_COMMA,
    ACTIONS(12284), 1,
      sym_assign_operator,
    STATE(2614), 1,
      sym_add_operator,
    STATE(10045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10818), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10816), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9224), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488996] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      sym_pow_operator,
    STATE(2614), 1,
      sym_add_operator,
    STATE(10048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [489046] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10049), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17580), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489128] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10050), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17417), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489210] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10051), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15050), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489292] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10052), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16602), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9164), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489420] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10054), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17633), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489502] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12248), 1,
      sym_pow_operator,
    ACTIONS(12250), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    ACTIONS(12302), 1,
      anon_sym_COMMA,
    ACTIONS(12304), 1,
      sym_assign_operator,
    STATE(2317), 1,
      sym_add_operator,
    STATE(10055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [489570] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10056), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17703), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489652] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10057), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17008), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489734] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12234), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10058), 1,
      sym_attribute,
    STATE(12302), 1,
      sym__simple_type,
    STATE(13978), 1,
      sym__tuple_type,
    STATE(14034), 1,
      sym__type,
    STATE(18184), 1,
      sym_extended_module_path,
    STATE(20546), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489816] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10059), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17541), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489898] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10060), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16623), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489980] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12286), 1,
      anon_sym_PIPE,
    STATE(9788), 1,
      aux_sym__match_cases_repeat1,
    STATE(10061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [490030] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10062), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17557), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490112] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10063), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15739), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10354), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10230), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9180), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490332] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      anon_sym_LPAREN,
    ACTIONS(12150), 1,
      anon_sym_LBRACK,
    ACTIONS(12152), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12154), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12156), 1,
      anon_sym_LT,
    ACTIONS(12158), 1,
      anon_sym_POUND,
    ACTIONS(12160), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12162), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12164), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10067), 1,
      sym_attribute,
    STATE(10200), 1,
      sym__simple_type,
    STATE(11325), 1,
      sym__tuple_type,
    STATE(11422), 1,
      sym__type,
    STATE(19066), 1,
      sym_extended_module_path,
    STATE(20986), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10554), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490414] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10068), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17576), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490496] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10069), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17717), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10806), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10804), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490624] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12174), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12176), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12178), 1,
      anon_sym_LT,
    ACTIONS(12180), 1,
      anon_sym_POUND,
    ACTIONS(12182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12276), 1,
      sym__lowercase_identifier,
    STATE(10071), 1,
      sym_attribute,
    STATE(14091), 1,
      sym__simple_type,
    STATE(14254), 1,
      sym_tuple_type,
    STATE(14604), 1,
      sym__tuple_type,
    STATE(14642), 1,
      sym__type,
    STATE(18499), 1,
      sym_extended_module_path,
    STATE(21144), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14489), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14274), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490706] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10072), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19008), 1,
      sym__type,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490788] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10073), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15812), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490870] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10074), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17016), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490952] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10075), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17728), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491034] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12174), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12176), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12178), 1,
      anon_sym_LT,
    ACTIONS(12180), 1,
      anon_sym_POUND,
    ACTIONS(12182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12276), 1,
      sym__lowercase_identifier,
    STATE(10076), 1,
      sym_attribute,
    STATE(14091), 1,
      sym__simple_type,
    STATE(14254), 1,
      sym_tuple_type,
    STATE(14604), 1,
      sym__tuple_type,
    STATE(14684), 1,
      sym__type,
    STATE(18499), 1,
      sym_extended_module_path,
    STATE(21144), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14489), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14274), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491116] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10077), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17740), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491198] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10078), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16917), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491280] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12286), 1,
      anon_sym_PIPE,
    STATE(9788), 1,
      aux_sym__match_cases_repeat1,
    STATE(10079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [491330] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10080), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17146), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491412] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12234), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10081), 1,
      sym_attribute,
    STATE(12302), 1,
      sym__simple_type,
    STATE(13978), 1,
      sym__tuple_type,
    STATE(14001), 1,
      sym__type,
    STATE(18184), 1,
      sym_extended_module_path,
    STATE(20546), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491494] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10082), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17147), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10826), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10824), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491622] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12228), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10084), 1,
      sym_attribute,
    STATE(10892), 1,
      sym__simple_type,
    STATE(12233), 1,
      sym__tuple_type,
    STATE(12787), 1,
      sym__type,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(22431), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491704] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10085), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16808), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491786] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10086), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(15753), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491868] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10087), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16711), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491950] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12266), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10088), 1,
      sym_attribute,
    STATE(10244), 1,
      sym__simple_type,
    STATE(11411), 1,
      sym__tuple_type,
    STATE(12123), 1,
      sym__type,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(21434), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492032] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12324), 1,
      sym_pow_operator,
    ACTIONS(12326), 1,
      sym_mult_operator,
    ACTIONS(12328), 1,
      sym_concat_operator,
    ACTIONS(12330), 1,
      sym_rel_operator,
    ACTIONS(12332), 1,
      sym_and_operator,
    ACTIONS(12334), 1,
      sym_or_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11494), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10792), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10790), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492142] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12078), 1,
      anon_sym_LPAREN,
    ACTIONS(12082), 1,
      anon_sym_LBRACK,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12086), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12088), 1,
      anon_sym_LT,
    ACTIONS(12090), 1,
      anon_sym_POUND,
    ACTIONS(12092), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12094), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12096), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10091), 1,
      sym_attribute,
    STATE(10149), 1,
      sym__simple_type,
    STATE(10925), 1,
      sym__tuple_type,
    STATE(11152), 1,
      sym__type,
    STATE(18448), 1,
      sym_extended_module_path,
    STATE(20256), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10228), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492224] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12324), 1,
      sym_pow_operator,
    ACTIONS(12326), 1,
      sym_mult_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492280] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10093), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16774), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492362] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12324), 1,
      sym_pow_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492412] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12324), 1,
      sym_pow_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492462] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12324), 1,
      sym_pow_operator,
    ACTIONS(12326), 1,
      sym_mult_operator,
    ACTIONS(12328), 1,
      sym_concat_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492520] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10097), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16934), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492602] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12324), 1,
      sym_pow_operator,
    ACTIONS(12326), 1,
      sym_mult_operator,
    ACTIONS(12328), 1,
      sym_concat_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492660] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12324), 1,
      sym_pow_operator,
    ACTIONS(12326), 1,
      sym_mult_operator,
    ACTIONS(12328), 1,
      sym_concat_operator,
    ACTIONS(12330), 1,
      sym_rel_operator,
    ACTIONS(12332), 1,
      sym_and_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492722] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12324), 1,
      sym_pow_operator,
    ACTIONS(12326), 1,
      sym_mult_operator,
    ACTIONS(12328), 1,
      sym_concat_operator,
    ACTIONS(12330), 1,
      sym_rel_operator,
    ACTIONS(12332), 1,
      sym_and_operator,
    ACTIONS(12334), 1,
      sym_or_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492786] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12324), 1,
      sym_pow_operator,
    ACTIONS(12326), 1,
      sym_mult_operator,
    ACTIONS(12328), 1,
      sym_concat_operator,
    ACTIONS(12330), 1,
      sym_rel_operator,
    ACTIONS(12332), 1,
      sym_and_operator,
    ACTIONS(12334), 1,
      sym_or_operator,
    ACTIONS(12336), 1,
      sym_assign_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492854] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12324), 1,
      sym_pow_operator,
    ACTIONS(12326), 1,
      sym_mult_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492906] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12324), 1,
      sym_pow_operator,
    ACTIONS(12326), 1,
      sym_mult_operator,
    ACTIONS(12328), 1,
      sym_concat_operator,
    ACTIONS(12330), 1,
      sym_rel_operator,
    ACTIONS(12332), 1,
      sym_and_operator,
    ACTIONS(12334), 1,
      sym_or_operator,
    ACTIONS(12336), 1,
      sym_assign_operator,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11444), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492974] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12244), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10104), 1,
      sym_attribute,
    STATE(10473), 1,
      sym__simple_type,
    STATE(11793), 1,
      sym__tuple_type,
    STATE(12105), 1,
      sym__type,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21818), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493056] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10105), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17798), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493138] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12248), 1,
      sym_pow_operator,
    ACTIONS(12250), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    ACTIONS(12302), 1,
      anon_sym_COMMA,
    ACTIONS(12304), 1,
      sym_assign_operator,
    STATE(2317), 1,
      sym_add_operator,
    STATE(10106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493206] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10107), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17097), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493288] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12234), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10108), 1,
      sym_attribute,
    STATE(12302), 1,
      sym__simple_type,
    STATE(13978), 1,
      sym__tuple_type,
    STATE(14141), 1,
      sym__type,
    STATE(18184), 1,
      sym_extended_module_path,
    STATE(20546), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493370] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10109), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(16721), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493452] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10110), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17192), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493534] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10111), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17822), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493616] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10112), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17113), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493698] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10113), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17510), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493780] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12351), 1,
      anon_sym_DOT_DOT,
    STATE(10114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5885), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(5881), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493828] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [493876] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11997), 1,
      anon_sym_LPAREN,
    ACTIONS(12001), 1,
      anon_sym_LBRACK,
    ACTIONS(12003), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12005), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12007), 1,
      anon_sym_LT,
    ACTIONS(12009), 1,
      anon_sym_POUND,
    ACTIONS(12011), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12013), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12015), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12232), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10116), 1,
      sym_attribute,
    STATE(10461), 1,
      sym__simple_type,
    STATE(11712), 1,
      sym__tuple_type,
    STATE(12119), 1,
      sym__type,
    STATE(18638), 1,
      sym_extended_module_path,
    STATE(21945), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10784), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12355), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12353), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494004] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10118), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17436), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494086] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10119), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(14571), 1,
      sym__tuple_type,
    STATE(17933), 1,
      sym__type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(21003), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494168] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8887), 1,
      anon_sym_QMARK,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12266), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10120), 1,
      sym_attribute,
    STATE(10244), 1,
      sym__simple_type,
    STATE(11411), 1,
      sym__tuple_type,
    STATE(11635), 1,
      sym__type,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(21434), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9231), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9220), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10242), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10240), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10292), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9314), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12359), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12357), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9210), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12345), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12343), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9214), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12361), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9306), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9310), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494746] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11823), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12367), 1,
      anon_sym_let,
    STATE(10132), 1,
      sym_attribute,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12047), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12365), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9170), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12369), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10384), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10382), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10296), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10308), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495032] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8885), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(12373), 1,
      anon_sym_type,
    ACTIONS(12375), 1,
      anon_sym_exception,
    ACTIONS(12377), 1,
      anon_sym_module,
    ACTIONS(12379), 1,
      anon_sym_include,
    ACTIONS(12381), 1,
      anon_sym_class,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12385), 1,
      anon_sym_end,
    STATE(10138), 1,
      sym_attribute,
    STATE(10206), 1,
      aux_sym__signature_repeat1,
    STATE(10238), 1,
      aux_sym__structure_repeat1,
    STATE(14209), 1,
      sym__signature_item,
    STATE(21382), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14205), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [495109] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8775), 1,
      anon_sym_COLON_COLON,
    STATE(10139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10332), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10262), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9302), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10288), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9132), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495336] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8775), 1,
      anon_sym_COLON_COLON,
    STATE(10144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10388), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10386), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495383] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11823), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12389), 1,
      anon_sym_let,
    STATE(10145), 1,
      sym_attribute,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12027), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12387), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10340), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12393), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12391), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10350), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495579] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12395), 1,
      sym__lowercase_identifier,
    ACTIONS(12397), 1,
      anon_sym_POUND,
    STATE(10149), 1,
      sym_attribute,
    STATE(10222), 1,
      sym_type_constructor_path,
    STATE(19276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11192), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [495634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10316), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10370), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10272), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10270), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10346), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12401), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12399), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495859] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11823), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12405), 1,
      anon_sym_let,
    STATE(10155), 1,
      sym_attribute,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12149), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12403), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12409), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12407), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9164), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12413), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12411), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10250), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10248), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9314), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10378), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496190] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12248), 1,
      sym_pow_operator,
    ACTIONS(12250), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    ACTIONS(12302), 1,
      anon_sym_COMMA,
    ACTIONS(12304), 1,
      sym_assign_operator,
    ACTIONS(12415), 1,
      anon_sym_SEMI,
    STATE(2317), 1,
      sym_add_operator,
    STATE(10162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9202), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9180), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8969), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12419), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12417), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10300), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9302), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496574] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8769), 1,
      anon_sym_COMMA,
    ACTIONS(8775), 1,
      anon_sym_COLON_COLON,
    STATE(10170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10392), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10390), 18,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12423), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12421), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12427), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12425), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9198), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10336), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10362), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10358), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496938] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8885), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(12373), 1,
      anon_sym_type,
    ACTIONS(12375), 1,
      anon_sym_exception,
    ACTIONS(12377), 1,
      anon_sym_module,
    ACTIONS(12379), 1,
      anon_sym_include,
    ACTIONS(12381), 1,
      anon_sym_class,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12429), 1,
      anon_sym_end,
    STATE(10178), 1,
      sym_attribute,
    STATE(10206), 1,
      aux_sym__signature_repeat1,
    STATE(10238), 1,
      aux_sym__structure_repeat1,
    STATE(14209), 1,
      sym__signature_item,
    STATE(22264), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14205), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [497015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10306), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10304), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497060] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12395), 1,
      sym__lowercase_identifier,
    ACTIONS(12397), 1,
      anon_sym_POUND,
    STATE(10180), 1,
      sym_attribute,
    STATE(10222), 1,
      sym_type_constructor_path,
    STATE(19276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12433), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [497115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10354), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5885), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(5881), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10258), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10256), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10268), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10266), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10374), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10328), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10280), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10244), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10252), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10276), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497565] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12395), 1,
      sym__lowercase_identifier,
    ACTIONS(12439), 1,
      anon_sym_POUND,
    STATE(10191), 1,
      sym_attribute,
    STATE(10229), 1,
      sym_type_constructor_path,
    STATE(19276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12437), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [497620] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12324), 1,
      sym_pow_operator,
    ACTIONS(12326), 1,
      sym_mult_operator,
    ACTIONS(12328), 1,
      sym_concat_operator,
    ACTIONS(12330), 1,
      sym_rel_operator,
    ACTIONS(12332), 1,
      sym_and_operator,
    ACTIONS(12334), 1,
      sym_or_operator,
    ACTIONS(12336), 1,
      sym_assign_operator,
    ACTIONS(12441), 1,
      anon_sym_SEMI,
    STATE(2272), 1,
      sym_add_operator,
    STATE(10192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12445), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12443), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10366), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10312), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10324), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497869] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12254), 1,
      sym_pow_operator,
    ACTIONS(12256), 1,
      sym_mult_operator,
    ACTIONS(12258), 1,
      sym_concat_operator,
    ACTIONS(12260), 1,
      sym_rel_operator,
    ACTIONS(12262), 1,
      sym_and_operator,
    ACTIONS(12264), 1,
      sym_or_operator,
    ACTIONS(12282), 1,
      anon_sym_COMMA,
    ACTIONS(12284), 1,
      sym_assign_operator,
    ACTIONS(12447), 1,
      anon_sym_SEMI,
    STATE(2614), 1,
      sym_add_operator,
    STATE(10197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10284), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10320), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [498028] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12451), 1,
      anon_sym_POUND,
    STATE(10200), 1,
      sym_attribute,
    STATE(10558), 1,
      sym_type_constructor_path,
    STATE(18225), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11192), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [498082] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12453), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12456), 1,
      anon_sym_external,
    ACTIONS(12459), 1,
      anon_sym_type,
    ACTIONS(12462), 1,
      anon_sym_exception,
    ACTIONS(12465), 1,
      anon_sym_module,
    ACTIONS(12468), 1,
      anon_sym_open,
    ACTIONS(12471), 1,
      anon_sym_include,
    ACTIONS(12474), 1,
      anon_sym_class,
    ACTIONS(12477), 1,
      anon_sym_val,
    ACTIONS(12480), 1,
      anon_sym_end,
    ACTIONS(12482), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12485), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12488), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(10520), 1,
      aux_sym__structure_repeat1,
    STATE(14209), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10201), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(14205), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [498154] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12493), 1,
      anon_sym_POUND,
    STATE(10202), 1,
      sym_attribute,
    STATE(10377), 1,
      sym_type_constructor_path,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12437), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [498208] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8885), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(12495), 1,
      anon_sym_type,
    ACTIONS(12497), 1,
      anon_sym_RBRACK,
    ACTIONS(12499), 1,
      anon_sym_exception,
    ACTIONS(12501), 1,
      anon_sym_module,
    ACTIONS(12503), 1,
      anon_sym_include,
    ACTIONS(12505), 1,
      anon_sym_class,
    ACTIONS(12507), 1,
      anon_sym_val,
    STATE(10203), 1,
      sym_attribute,
    STATE(10204), 1,
      aux_sym__signature_repeat1,
    STATE(10250), 1,
      aux_sym__structure_repeat1,
    STATE(14209), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14205), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [498282] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12453), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12456), 1,
      anon_sym_external,
    ACTIONS(12468), 1,
      anon_sym_open,
    ACTIONS(12480), 1,
      anon_sym_RBRACK,
    ACTIONS(12482), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12485), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12488), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12509), 1,
      anon_sym_type,
    ACTIONS(12512), 1,
      anon_sym_exception,
    ACTIONS(12515), 1,
      anon_sym_module,
    ACTIONS(12518), 1,
      anon_sym_include,
    ACTIONS(12521), 1,
      anon_sym_class,
    ACTIONS(12524), 1,
      anon_sym_val,
    STATE(10495), 1,
      aux_sym__structure_repeat1,
    STATE(14209), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10204), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(14205), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [498354] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_COLON2,
    STATE(10205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10338), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [498400] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8885), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(12373), 1,
      anon_sym_type,
    ACTIONS(12375), 1,
      anon_sym_exception,
    ACTIONS(12377), 1,
      anon_sym_module,
    ACTIONS(12379), 1,
      anon_sym_include,
    ACTIONS(12381), 1,
      anon_sym_class,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12497), 1,
      anon_sym_end,
    STATE(10201), 1,
      aux_sym__signature_repeat1,
    STATE(10206), 1,
      sym_attribute,
    STATE(10214), 1,
      aux_sym__structure_repeat1,
    STATE(14209), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14205), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [498474] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12451), 1,
      anon_sym_POUND,
    STATE(10207), 1,
      sym_attribute,
    STATE(10558), 1,
      sym_type_constructor_path,
    STATE(18225), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12433), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [498528] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11823), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12531), 1,
      anon_sym_let,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(10208), 1,
      sym_attribute,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12244), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12529), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498588] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_POUND,
    STATE(10209), 1,
      sym_attribute,
    STATE(10569), 1,
      sym_type_constructor_path,
    STATE(18225), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12437), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [498642] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11823), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12537), 1,
      anon_sym_let,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(10210), 1,
      sym_attribute,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12228), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12535), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12355), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(12353), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [498746] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10212), 1,
      sym_attribute,
    STATE(10771), 1,
      sym__simple_type,
    STATE(11112), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16542), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(22040), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [498823] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10213), 1,
      sym_attribute,
    STATE(10673), 1,
      sym__simple_type,
    STATE(10805), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16193), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18974), 1,
      sym_extended_module_path,
    STATE(21314), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [498900] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8885), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(12373), 1,
      anon_sym_type,
    ACTIONS(12375), 1,
      anon_sym_exception,
    ACTIONS(12377), 1,
      anon_sym_module,
    ACTIONS(12379), 1,
      anon_sym_include,
    ACTIONS(12381), 1,
      anon_sym_class,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12557), 1,
      anon_sym_end,
    STATE(10214), 1,
      sym_attribute,
    STATE(14120), 1,
      aux_sym__structure_repeat1,
    STATE(14204), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14205), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [498971] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10215), 1,
      sym_attribute,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12561), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [499030] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(10216), 1,
      sym_attribute,
    STATE(10614), 1,
      sym__simple_type,
    STATE(10661), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16140), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21114), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [499107] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10217), 1,
      sym_attribute,
    STATE(10722), 1,
      sym__simple_type,
    STATE(10805), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16208), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18974), 1,
      sym_extended_module_path,
    STATE(21342), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [499184] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10218), 1,
      sym_attribute,
    STATE(11155), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11545), 1,
      sym_type_variable,
    STATE(16191), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18447), 1,
      sym_extended_module_path,
    STATE(20230), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [499261] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(10219), 1,
      sym_attribute,
    STATE(11088), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11464), 1,
      sym_type_variable,
    STATE(15893), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18186), 1,
      sym_extended_module_path,
    STATE(22244), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [499338] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(10220), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11649), 1,
      sym_type_variable,
    STATE(11812), 1,
      sym__simple_type,
    STATE(16083), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18364), 1,
      sym_extended_module_path,
    STATE(20975), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [499415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12615), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499501] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10223), 1,
      sym_attribute,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12619), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [499560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12623), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499603] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10225), 1,
      sym_attribute,
    STATE(11156), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11545), 1,
      sym_type_variable,
    STATE(16215), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18447), 1,
      sym_extended_module_path,
    STATE(20235), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [499680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12627), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499723] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10227), 1,
      sym_attribute,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12631), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [499782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12639), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12643), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12647), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12645), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12651), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499997] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(10233), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(14625), 1,
      sym__simple_type,
    STATE(14653), 1,
      sym_type_variable,
    STATE(16123), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18979), 1,
      sym_extended_module_path,
    STATE(20908), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500074] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10234), 1,
      sym_attribute,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12671), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [500133] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(10235), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(14603), 1,
      sym__simple_type,
    STATE(14653), 1,
      sym_type_variable,
    STATE(16107), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18979), 1,
      sym_extended_module_path,
    STATE(20735), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500210] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8885), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(12495), 1,
      anon_sym_type,
    ACTIONS(12497), 1,
      anon_sym_RBRACK,
    ACTIONS(12499), 1,
      anon_sym_exception,
    ACTIONS(12501), 1,
      anon_sym_module,
    ACTIONS(12503), 1,
      anon_sym_include,
    ACTIONS(12505), 1,
      anon_sym_class,
    ACTIONS(12507), 1,
      anon_sym_val,
    STATE(10236), 1,
      sym_attribute,
    STATE(14120), 1,
      aux_sym__structure_repeat1,
    STATE(14204), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14205), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [500281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12675), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [500324] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8885), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(12373), 1,
      anon_sym_type,
    ACTIONS(12375), 1,
      anon_sym_exception,
    ACTIONS(12377), 1,
      anon_sym_module,
    ACTIONS(12379), 1,
      anon_sym_include,
    ACTIONS(12381), 1,
      anon_sym_class,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12497), 1,
      anon_sym_end,
    STATE(10238), 1,
      sym_attribute,
    STATE(14120), 1,
      aux_sym__structure_repeat1,
    STATE(14204), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14205), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [500395] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10239), 1,
      sym_attribute,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12679), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [500454] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10240), 1,
      sym_attribute,
    STATE(10767), 1,
      sym__simple_type,
    STATE(11112), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16530), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(22014), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500531] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(10241), 1,
      sym_attribute,
    STATE(10773), 1,
      sym__simple_type,
    STATE(11368), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16288), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(21560), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500608] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10242), 1,
      sym_attribute,
    STATE(10768), 1,
      sym__simple_type,
    STATE(11112), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16531), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(22020), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12685), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [500728] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10244), 1,
      sym_attribute,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11192), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [500781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9308), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [500824] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(10246), 1,
      sym_attribute,
    STATE(10776), 1,
      sym__simple_type,
    STATE(11368), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16292), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(21564), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12355), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [500944] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(10248), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__simple_type,
    STATE(11118), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16313), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18380), 1,
      sym_extended_module_path,
    STATE(20661), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501021] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12711), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12707), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501066] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8885), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(12495), 1,
      anon_sym_type,
    ACTIONS(12499), 1,
      anon_sym_exception,
    ACTIONS(12501), 1,
      anon_sym_module,
    ACTIONS(12503), 1,
      anon_sym_include,
    ACTIONS(12505), 1,
      anon_sym_class,
    ACTIONS(12507), 1,
      anon_sym_val,
    ACTIONS(12557), 1,
      anon_sym_RBRACK,
    STATE(10250), 1,
      sym_attribute,
    STATE(14120), 1,
      aux_sym__structure_repeat1,
    STATE(14204), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14205), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [501137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9304), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [501180] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_DOT,
    STATE(10252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12715), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12713), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [501270] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(10254), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11853), 1,
      sym__simple_type,
    STATE(11906), 1,
      sym_type_variable,
    STATE(15939), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18262), 1,
      sym_extended_module_path,
    STATE(20611), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501347] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(10255), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11854), 1,
      sym__simple_type,
    STATE(11906), 1,
      sym_type_variable,
    STATE(15945), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18262), 1,
      sym_extended_module_path,
    STATE(20615), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501424] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10256), 1,
      sym_attribute,
    STATE(10703), 1,
      sym__simple_type,
    STATE(10805), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16195), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18974), 1,
      sym_extended_module_path,
    STATE(21321), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501501] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(10257), 1,
      sym_attribute,
    STATE(10759), 1,
      sym__simple_type,
    STATE(11118), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16243), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18380), 1,
      sym_extended_module_path,
    STATE(20750), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10356), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [501621] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(10259), 1,
      sym_attribute,
    STATE(11371), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11464), 1,
      sym_type_variable,
    STATE(15889), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18186), 1,
      sym_extended_module_path,
    STATE(22215), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501698] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10260), 1,
      sym_attribute,
    STATE(11159), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11545), 1,
      sym_type_variable,
    STATE(16323), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18447), 1,
      sym_extended_module_path,
    STATE(20272), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12725), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [501818] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_COLON2,
    STATE(10262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10338), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [501863] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(10263), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(14617), 1,
      sym__simple_type,
    STATE(14653), 1,
      sym_type_variable,
    STATE(16110), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18979), 1,
      sym_extended_module_path,
    STATE(20745), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501940] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(10264), 1,
      sym_attribute,
    STATE(11372), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11464), 1,
      sym_type_variable,
    STATE(15890), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18186), 1,
      sym_extended_module_path,
    STATE(22220), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12729), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [502060] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(10266), 1,
      sym_attribute,
    STATE(10484), 1,
      sym__simple_type,
    STATE(10714), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16548), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18826), 1,
      sym_extended_module_path,
    STATE(19842), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502137] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12749), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12751), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12747), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10338), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [502225] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(10269), 1,
      sym_attribute,
    STATE(10482), 1,
      sym__simple_type,
    STATE(10714), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16535), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18826), 1,
      sym_extended_module_path,
    STATE(19783), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502302] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12755), 1,
      anon_sym_POUND,
    STATE(10270), 1,
      sym_attribute,
    STATE(10688), 1,
      sym_type_constructor_path,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12437), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [502355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12757), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12751), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502398] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(10272), 1,
      sym_attribute,
    STATE(10804), 1,
      sym__simple_type,
    STATE(11368), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16318), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(21595), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502475] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(10273), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11649), 1,
      sym_type_variable,
    STATE(11788), 1,
      sym__simple_type,
    STATE(16053), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18364), 1,
      sym_extended_module_path,
    STATE(20952), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502552] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(10274), 1,
      sym_attribute,
    STATE(10742), 1,
      sym__simple_type,
    STATE(11118), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16170), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18380), 1,
      sym_extended_module_path,
    STATE(20219), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12761), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [502672] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(10276), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11649), 1,
      sym_type_variable,
    STATE(11789), 1,
      sym__simple_type,
    STATE(16060), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18364), 1,
      sym_extended_module_path,
    STATE(20954), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502749] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(10277), 1,
      sym_attribute,
    STATE(11209), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11522), 1,
      sym_type_variable,
    STATE(16423), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19203), 1,
      sym_extended_module_path,
    STATE(21819), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12781), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [502869] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(10279), 1,
      sym_attribute,
    STATE(11229), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11522), 1,
      sym_type_variable,
    STATE(16434), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19203), 1,
      sym_extended_module_path,
    STATE(21840), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12785), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [502989] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(10281), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11640), 1,
      sym__simple_type,
    STATE(11906), 1,
      sym_type_variable,
    STATE(15962), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18262), 1,
      sym_extended_module_path,
    STATE(20654), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [503066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12789), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12793), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12797), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9312), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503238] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(10286), 1,
      sym_attribute,
    STATE(10483), 1,
      sym__simple_type,
    STATE(10714), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16536), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18826), 1,
      sym_extended_module_path,
    STATE(19785), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [503315] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10287), 1,
      sym_attribute,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [503374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12805), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503417] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10234), 1,
      sym__simple_type,
    STATE(10289), 1,
      sym_attribute,
    STATE(10497), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16373), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(19405), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [503494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12711), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12813), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12817), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503666] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(10294), 1,
      sym_attribute,
    STATE(10608), 1,
      sym__simple_type,
    STATE(10661), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16125), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21086), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [503743] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(10295), 1,
      sym_attribute,
    STATE(10609), 1,
      sym__simple_type,
    STATE(10661), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16127), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21088), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [503820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503863] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(10297), 1,
      sym_attribute,
    STATE(11208), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11522), 1,
      sym_type_variable,
    STATE(16419), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19203), 1,
      sym_extended_module_path,
    STATE(21811), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [503940] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10215), 1,
      sym__simple_type,
    STATE(10298), 1,
      sym_attribute,
    STATE(10497), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16351), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(19365), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [504017] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10227), 1,
      sym__simple_type,
    STATE(10299), 1,
      sym_attribute,
    STATE(10497), 1,
      sym_type_variable,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(16352), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(19368), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [504094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [504137] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10301), 1,
      sym_attribute,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12433), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [504190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [504233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9316), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [504276] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12837), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12839), 1,
      anon_sym_GT,
    STATE(10304), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [504390] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10306), 1,
      sym_attribute,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [504448] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10307), 1,
      sym_attribute,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12679), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [504506] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10308), 1,
      sym_attribute,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12619), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [504564] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9198), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504606] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9202), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504648] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9210), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504690] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9214), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504732] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10313), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11550), 1,
      sym__simple_type,
    STATE(11696), 1,
      sym__constructor_argument,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504804] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10314), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11550), 1,
      sym__simple_type,
    STATE(11722), 1,
      sym__constructor_argument,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504876] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12845), 1,
      anon_sym_GT,
    STATE(10315), 1,
      sym_attribute,
    STATE(14867), 1,
      sym__simple_type,
    STATE(17149), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10338), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [504990] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10317), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11550), 1,
      sym__simple_type,
    STATE(11611), 1,
      sym__constructor_argument,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505062] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10318), 1,
      sym_attribute,
    STATE(11163), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18447), 1,
      sym_extended_module_path,
    STATE(20306), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505134] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10319), 1,
      sym_attribute,
    STATE(11164), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18447), 1,
      sym_extended_module_path,
    STATE(20308), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505206] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12847), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12849), 1,
      anon_sym_GT,
    STATE(10320), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505278] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10321), 1,
      sym_attribute,
    STATE(11182), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18447), 1,
      sym_extended_module_path,
    STATE(20314), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505350] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12851), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12853), 1,
      anon_sym_GT,
    STATE(10322), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505422] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9220), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505464] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9224), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505506] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9228), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505548] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(10326), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11696), 1,
      sym__constructor_argument,
    STATE(12038), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505620] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(10327), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11722), 1,
      sym__constructor_argument,
    STATE(12038), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505692] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12855), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12857), 1,
      anon_sym_GT,
    STATE(10328), 1,
      sym_attribute,
    STATE(14872), 1,
      sym__simple_type,
    STATE(17208), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505764] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9248), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505806] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(10330), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11611), 1,
      sym__constructor_argument,
    STATE(12038), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505878] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9252), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12685), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [505962] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(10333), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11679), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    STATE(20691), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506034] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(10334), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11681), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    STATE(20692), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506106] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12859), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12861), 1,
      anon_sym_GT,
    STATE(10335), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506178] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(10336), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11693), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    STATE(20704), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506250] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12863), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12865), 1,
      anon_sym_GT,
    STATE(10337), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12725), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12729), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12675), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12615), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506490] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(10342), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11696), 1,
      sym__constructor_argument,
    STATE(12135), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506562] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(10343), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11722), 1,
      sym__constructor_argument,
    STATE(12135), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506634] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9270), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506676] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12867), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12869), 1,
      anon_sym_GT,
    STATE(10345), 1,
      sym_attribute,
    STATE(14838), 1,
      sym__simple_type,
    STATE(17195), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506748] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(10346), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11611), 1,
      sym__constructor_argument,
    STATE(12135), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506820] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9282), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506862] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(10348), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11828), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    STATE(20994), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506934] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(10349), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11829), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    STATE(20995), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507006] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12873), 1,
      anon_sym_GT,
    STATE(10350), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507078] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(10351), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11833), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    STATE(20997), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507150] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12875), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12877), 1,
      anon_sym_GT,
    STATE(10352), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507222] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12711), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(9126), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12781), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12805), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12627), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507434] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(10358), 1,
      sym_attribute,
    STATE(10716), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11696), 1,
      sym__constructor_argument,
    STATE(18572), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507506] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(10359), 1,
      sym_attribute,
    STATE(10716), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11722), 1,
      sym__constructor_argument,
    STATE(18572), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507578] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12879), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12881), 1,
      anon_sym_GT,
    STATE(10360), 1,
      sym_attribute,
    STATE(14853), 1,
      sym__simple_type,
    STATE(16813), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507650] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(10361), 1,
      sym_attribute,
    STATE(10716), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11611), 1,
      sym__constructor_argument,
    STATE(18572), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507722] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(10306), 1,
      sym__simple_type,
    STATE(10362), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21136), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507794] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(10307), 1,
      sym__simple_type,
    STATE(10363), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21138), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507866] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12885), 1,
      anon_sym_GT,
    STATE(10364), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507938] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(10308), 1,
      sym__simple_type,
    STATE(10365), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18572), 1,
      sym_extended_module_path,
    STATE(21143), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508010] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12889), 1,
      anon_sym_GT,
    STATE(10366), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508082] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10367), 1,
      sym_attribute,
    STATE(10840), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11696), 1,
      sym__constructor_argument,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508154] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10368), 1,
      sym_attribute,
    STATE(10840), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11722), 1,
      sym__constructor_argument,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508226] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12891), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12893), 1,
      anon_sym_GT,
    STATE(10369), 1,
      sym_attribute,
    STATE(14903), 1,
      sym__simple_type,
    STATE(17163), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508298] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10370), 1,
      sym_attribute,
    STATE(10840), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11611), 1,
      sym__constructor_argument,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508370] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10371), 1,
      sym_attribute,
    STATE(10691), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18974), 1,
      sym_extended_module_path,
    STATE(21371), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508442] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10372), 1,
      sym_attribute,
    STATE(10701), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18974), 1,
      sym_extended_module_path,
    STATE(21373), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508514] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12895), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12897), 1,
      anon_sym_GT,
    STATE(10373), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508586] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10374), 1,
      sym_attribute,
    STATE(10702), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18974), 1,
      sym_extended_module_path,
    STATE(21376), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508658] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12899), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12901), 1,
      anon_sym_GT,
    STATE(10375), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12623), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12639), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12643), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12651), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508940] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(10381), 1,
      sym_attribute,
    STATE(11184), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11611), 1,
      sym__constructor_argument,
    STATE(18380), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509012] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(10382), 1,
      sym_attribute,
    STATE(11137), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11696), 1,
      sym__constructor_argument,
    STATE(18165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509084] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(10383), 1,
      sym_attribute,
    STATE(11137), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11722), 1,
      sym__constructor_argument,
    STATE(18165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10356), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509198] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12903), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12905), 1,
      anon_sym_GT,
    STATE(10385), 1,
      sym_attribute,
    STATE(14885), 1,
      sym__simple_type,
    STATE(17563), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509270] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(10386), 1,
      sym_attribute,
    STATE(11137), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11611), 1,
      sym__constructor_argument,
    STATE(18165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12761), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12785), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509426] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(10389), 1,
      sym_attribute,
    STATE(10850), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(21617), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509498] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(10390), 1,
      sym_attribute,
    STATE(10890), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(21618), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509570] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12907), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12909), 1,
      anon_sym_GT,
    STATE(10391), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509642] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(10392), 1,
      sym_attribute,
    STATE(10898), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18165), 1,
      sym_extended_module_path,
    STATE(21621), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509714] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12911), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12913), 1,
      anon_sym_GT,
    STATE(10393), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12789), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12813), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12817), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509954] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12915), 1,
      sym__lowercase_identifier,
    ACTIONS(12917), 1,
      anon_sym_POUND,
    STATE(10398), 1,
      sym_attribute,
    STATE(10825), 1,
      sym_type_constructor_path,
    STATE(18137), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11192), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [510006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12793), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510132] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(10402), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11426), 1,
      sym__simple_type,
    STATE(11696), 1,
      sym__constructor_argument,
    STATE(19203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510204] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(10403), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11426), 1,
      sym__simple_type,
    STATE(11722), 1,
      sym__constructor_argument,
    STATE(19203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510276] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12919), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12921), 1,
      anon_sym_GT,
    STATE(10404), 1,
      sym_attribute,
    STATE(14831), 1,
      sym__simple_type,
    STATE(16591), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12797), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510390] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(10406), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11426), 1,
      sym__simple_type,
    STATE(11611), 1,
      sym__constructor_argument,
    STATE(19203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510462] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(10407), 1,
      sym_attribute,
    STATE(11241), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(19203), 1,
      sym_extended_module_path,
    STATE(21856), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510534] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(10408), 1,
      sym_attribute,
    STATE(11243), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(19203), 1,
      sym_extended_module_path,
    STATE(21859), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510606] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12923), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12925), 1,
      anon_sym_GT,
    STATE(10409), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510678] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(10410), 1,
      sym_attribute,
    STATE(11269), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(19203), 1,
      sym_extended_module_path,
    STATE(21865), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510750] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12927), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12929), 1,
      anon_sym_GT,
    STATE(10411), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510822] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12935), 1,
      anon_sym_LPAREN,
    STATE(10770), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10412), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(12933), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12931), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510868] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12915), 1,
      sym__lowercase_identifier,
    ACTIONS(12917), 1,
      anon_sym_POUND,
    STATE(10413), 1,
      sym_attribute,
    STATE(10825), 1,
      sym_type_constructor_path,
    STATE(18137), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12433), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [510920] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10414), 1,
      sym_attribute,
    STATE(11333), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11696), 1,
      sym__constructor_argument,
    STATE(19213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510992] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10415), 1,
      sym_attribute,
    STATE(11333), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11722), 1,
      sym__constructor_argument,
    STATE(19213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511064] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12938), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12940), 1,
      anon_sym_GT,
    STATE(10416), 1,
      sym_attribute,
    STATE(14836), 1,
      sym__simple_type,
    STATE(16796), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511136] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10417), 1,
      sym_attribute,
    STATE(11333), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11611), 1,
      sym__constructor_argument,
    STATE(19213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511208] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10418), 1,
      sym_attribute,
    STATE(10779), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(22064), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511280] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10419), 1,
      sym_attribute,
    STATE(10782), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(22068), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511352] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12942), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12944), 1,
      anon_sym_GT,
    STATE(10420), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511424] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10421), 1,
      sym_attribute,
    STATE(10783), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(19213), 1,
      sym_extended_module_path,
    STATE(22071), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511496] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12946), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12948), 1,
      anon_sym_GT,
    STATE(10422), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511568] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(10423), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11586), 1,
      sym__simple_type,
    STATE(11696), 1,
      sym__constructor_argument,
    STATE(18186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511640] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(10424), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11586), 1,
      sym__simple_type,
    STATE(11722), 1,
      sym__constructor_argument,
    STATE(18186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511712] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12950), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12952), 1,
      anon_sym_GT,
    STATE(10425), 1,
      sym_attribute,
    STATE(14840), 1,
      sym__simple_type,
    STATE(17425), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511784] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(10426), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11586), 1,
      sym__simple_type,
    STATE(11611), 1,
      sym__constructor_argument,
    STATE(18186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511856] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(10427), 1,
      sym_attribute,
    STATE(11089), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18186), 1,
      sym_extended_module_path,
    STATE(22255), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511928] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(10428), 1,
      sym_attribute,
    STATE(11090), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18186), 1,
      sym_extended_module_path,
    STATE(22256), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512000] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12954), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12956), 1,
      anon_sym_GT,
    STATE(10429), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512072] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(10430), 1,
      sym_attribute,
    STATE(11092), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18186), 1,
      sym_extended_module_path,
    STATE(22258), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512144] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12958), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12960), 1,
      anon_sym_GT,
    STATE(10431), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512216] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12962), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12964), 1,
      anon_sym_GT,
    STATE(10432), 1,
      sym_attribute,
    STATE(14845), 1,
      sym__simple_type,
    STATE(18110), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512288] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12966), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12968), 1,
      anon_sym_GT,
    STATE(10433), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512360] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12972), 1,
      anon_sym_let,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(12978), 1,
      anon_sym_COLON2,
    STATE(10434), 1,
      sym_attribute,
    STATE(10488), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11124), 1,
      sym__module_typed,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11617), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12974), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12970), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512420] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12980), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12982), 1,
      anon_sym_GT,
    STATE(10435), 1,
      sym_attribute,
    STATE(14849), 1,
      sym__simple_type,
    STATE(16696), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512492] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12986), 1,
      anon_sym_GT,
    STATE(10436), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512564] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12990), 1,
      anon_sym_GT,
    STATE(10437), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512636] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(12992), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12994), 1,
      anon_sym_GT,
    STATE(10438), 1,
      sym_attribute,
    STATE(14851), 1,
      sym__simple_type,
    STATE(16771), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512708] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12998), 1,
      anon_sym_STAR,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(10439), 1,
      sym_attribute,
    STATE(11849), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12996), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512764] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13000), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13002), 1,
      anon_sym_GT,
    STATE(10440), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512836] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13004), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13006), 1,
      anon_sym_GT,
    STATE(10441), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512908] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9266), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [512950] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13008), 1,
      anon_sym_DOT,
    ACTIONS(13010), 1,
      anon_sym_POUND,
    ACTIONS(13012), 1,
      sym_hash_operator,
    STATE(10443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9148), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [512998] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13014), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13016), 1,
      anon_sym_GT,
    STATE(10444), 1,
      sym_attribute,
    STATE(14854), 1,
      sym__simple_type,
    STATE(16843), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513070] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13018), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13020), 1,
      anon_sym_GT,
    STATE(10445), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513142] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13024), 1,
      anon_sym_GT,
    STATE(10446), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10356), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513256] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13026), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13028), 1,
      anon_sym_GT,
    STATE(10448), 1,
      sym_attribute,
    STATE(14858), 1,
      sym__simple_type,
    STATE(16928), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513328] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9094), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [513370] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13030), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13032), 1,
      anon_sym_GT,
    STATE(10450), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513442] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13034), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13036), 1,
      anon_sym_GT,
    STATE(10451), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513514] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13008), 1,
      anon_sym_DOT,
    ACTIONS(13010), 1,
      anon_sym_POUND,
    ACTIONS(13012), 1,
      sym_hash_operator,
    STATE(10452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9206), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [513562] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13040), 1,
      anon_sym_GT,
    STATE(10453), 1,
      sym_attribute,
    STATE(14862), 1,
      sym__simple_type,
    STATE(17013), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513634] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13044), 1,
      anon_sym_GT,
    STATE(10454), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513706] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13046), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13048), 1,
      anon_sym_GT,
    STATE(10455), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13052), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13050), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513820] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13056), 1,
      anon_sym_GT,
    STATE(10457), 1,
      sym_attribute,
    STATE(14866), 1,
      sym__simple_type,
    STATE(17103), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513892] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10336), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13060), 1,
      anon_sym_let,
    ACTIONS(13062), 1,
      anon_sym_EQ,
    ACTIONS(13064), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(10458), 1,
      sym_attribute,
    STATE(11127), 1,
      sym__type_equation,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11475), 1,
      aux_sym_type_binding_repeat1,
    STATE(11623), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13058), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513954] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13068), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13070), 1,
      anon_sym_GT,
    STATE(10459), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514026] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13074), 1,
      anon_sym_GT,
    STATE(10460), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514098] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13076), 1,
      sym__lowercase_identifier,
    ACTIONS(13078), 1,
      anon_sym_POUND,
    STATE(10461), 1,
      sym_attribute,
    STATE(10794), 1,
      sym_type_constructor_path,
    STATE(18205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11192), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [514150] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13080), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13082), 1,
      anon_sym_GT,
    STATE(10462), 1,
      sym_attribute,
    STATE(14874), 1,
      sym__simple_type,
    STATE(17223), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514222] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13084), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13086), 1,
      anon_sym_GT,
    STATE(10463), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514294] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13088), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13090), 1,
      anon_sym_GT,
    STATE(10464), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514366] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13076), 1,
      sym__lowercase_identifier,
    ACTIONS(13078), 1,
      anon_sym_POUND,
    STATE(10465), 1,
      sym_attribute,
    STATE(10794), 1,
      sym_type_constructor_path,
    STATE(18205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12433), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [514418] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13092), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13094), 1,
      anon_sym_GT,
    STATE(10466), 1,
      sym_attribute,
    STATE(14882), 1,
      sym__simple_type,
    STATE(17367), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514490] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13096), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13098), 1,
      anon_sym_GT,
    STATE(10467), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514562] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13100), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13102), 1,
      anon_sym_GT,
    STATE(10468), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514634] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(10469), 1,
      sym_attribute,
    STATE(11184), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11696), 1,
      sym__constructor_argument,
    STATE(18380), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514706] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9262), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [514748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10338), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514790] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9292), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [514832] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10473), 1,
      sym_attribute,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11192), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [514884] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(10474), 1,
      sym_attribute,
    STATE(11184), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11722), 1,
      sym__constructor_argument,
    STATE(18380), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514956] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9326), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [514998] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9098), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [515040] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9110), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [515082] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(10478), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18380), 1,
      sym_extended_module_path,
    STATE(22468), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515154] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(10479), 1,
      sym_attribute,
    STATE(10914), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18380), 1,
      sym_extended_module_path,
    STATE(22489), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515226] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9118), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [515268] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9122), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [515310] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(10482), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12561), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515368] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(10483), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12631), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515426] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(10484), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12671), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515484] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10485), 1,
      sym_attribute,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12433), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515536] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(10486), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515594] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(10487), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12679), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515652] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(12978), 1,
      anon_sym_COLON2,
    ACTIONS(13110), 1,
      anon_sym_let,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10488), 1,
      sym_attribute,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11228), 1,
      sym__module_typed,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11742), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13112), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13108), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515712] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(10489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9126), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [515756] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(10490), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12619), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515814] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13114), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13116), 1,
      anon_sym_GT,
    STATE(10491), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515886] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(10492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9126), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [515930] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12915), 1,
      sym__lowercase_identifier,
    ACTIONS(13118), 1,
      anon_sym_POUND,
    STATE(10493), 1,
      sym_attribute,
    STATE(10861), 1,
      sym_type_constructor_path,
    STATE(18137), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12437), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [515982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13122), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13120), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516024] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8885), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(12495), 1,
      anon_sym_type,
    ACTIONS(12499), 1,
      anon_sym_exception,
    ACTIONS(12501), 1,
      anon_sym_module,
    ACTIONS(12503), 1,
      anon_sym_include,
    ACTIONS(12505), 1,
      anon_sym_class,
    ACTIONS(12507), 1,
      anon_sym_val,
    STATE(10495), 1,
      sym_attribute,
    STATE(14120), 1,
      aux_sym__structure_repeat1,
    STATE(14204), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14205), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [516092] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13126), 1,
      anon_sym_GT,
    STATE(10496), 1,
      sym_attribute,
    STATE(14844), 1,
      sym__simple_type,
    STATE(17861), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516164] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516208] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8969), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516250] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(10499), 1,
      sym_attribute,
    STATE(10858), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18380), 1,
      sym_extended_module_path,
    STATE(20537), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516322] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8929), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516364] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9334), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516406] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9078), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516448] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9408), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9406), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516490] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9410), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516532] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9414), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516574] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9074), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516616] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9174), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516658] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9178), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516700] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9330), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516742] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9364), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516784] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9376), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516826] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8953), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8951), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516868] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9380), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516910] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13008), 1,
      anon_sym_DOT,
    STATE(10514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9388), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516954] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9422), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516996] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9286), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517038] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9338), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517080] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9342), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517122] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9106), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517164] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8885), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11799), 1,
      anon_sym_external,
    ACTIONS(11807), 1,
      anon_sym_open,
    ACTIONS(12373), 1,
      anon_sym_type,
    ACTIONS(12375), 1,
      anon_sym_exception,
    ACTIONS(12377), 1,
      anon_sym_module,
    ACTIONS(12379), 1,
      anon_sym_include,
    ACTIONS(12381), 1,
      anon_sym_class,
    ACTIONS(12383), 1,
      anon_sym_val,
    STATE(10520), 1,
      sym_attribute,
    STATE(14120), 1,
      aux_sym__structure_repeat1,
    STATE(14204), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14205), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [517232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9296), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517274] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9218), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517316] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9234), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517358] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9258), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517400] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9082), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517442] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9114), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517484] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9144), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517526] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9152), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517568] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9156), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517610] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9194), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517652] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8943), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8945), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517694] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8941), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517736] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8949), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517778] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9354), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517820] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9368), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517862] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9372), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517904] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9384), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517946] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8961), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8963), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517988] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8955), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8957), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [518030] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8977), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8975), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [518072] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9090), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [518114] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9102), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [518156] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13130), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13132), 1,
      anon_sym_GT,
    STATE(10543), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9304), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9190), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [518312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13136), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13134), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6645), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6643), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13140), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13138), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9308), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9312), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518522] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13076), 1,
      sym__lowercase_identifier,
    ACTIONS(13142), 1,
      anon_sym_POUND,
    STATE(10551), 1,
      sym_attribute,
    STATE(10808), 1,
      sym_type_constructor_path,
    STATE(18205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12437), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [518574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9316), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518616] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8965), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8967), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [518658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12685), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12725), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12675), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12615), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518868] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8981), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8983), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [518910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12781), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12805), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12627), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9304), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9308), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9312), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9316), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12623), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12639), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12643), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12651), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12761), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12785), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12789), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12813), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12817), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12793), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12797), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12355), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519876] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13144), 1,
      anon_sym_LBRACE,
    STATE(10583), 1,
      sym_attribute,
    STATE(14640), 1,
      sym__simple_type,
    STATE(18465), 1,
      sym__constructor_argument,
    STATE(18558), 1,
      sym_record_declaration,
    STATE(18979), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519948] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13144), 1,
      anon_sym_LBRACE,
    STATE(10584), 1,
      sym_attribute,
    STATE(14640), 1,
      sym__simple_type,
    STATE(18458), 1,
      sym__constructor_argument,
    STATE(18558), 1,
      sym_record_declaration,
    STATE(18979), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520020] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13146), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13148), 1,
      anon_sym_GT,
    STATE(10585), 1,
      sym_attribute,
    STATE(14871), 1,
      sym__simple_type,
    STATE(17203), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12729), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [520134] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13144), 1,
      anon_sym_LBRACE,
    STATE(10587), 1,
      sym_attribute,
    STATE(14640), 1,
      sym__simple_type,
    STATE(18231), 1,
      sym__constructor_argument,
    STATE(18558), 1,
      sym_record_declaration,
    STATE(18979), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [520248] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(10589), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(14634), 1,
      sym__simple_type,
    STATE(18979), 1,
      sym_extended_module_path,
    STATE(20974), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520320] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(10590), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(14615), 1,
      sym__simple_type,
    STATE(18979), 1,
      sym_extended_module_path,
    STATE(20976), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520392] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13150), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13152), 1,
      anon_sym_GT,
    STATE(10591), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520464] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(10592), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(14613), 1,
      sym__simple_type,
    STATE(18979), 1,
      sym_extended_module_path,
    STATE(21017), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520536] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13156), 1,
      anon_sym_GT,
    STATE(10593), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520608] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9170), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [520650] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9302), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [520692] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10439), 1,
      sym__simple_type,
    STATE(10596), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11696), 1,
      sym__constructor_argument,
    STATE(18479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520764] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10439), 1,
      sym__simple_type,
    STATE(10597), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11722), 1,
      sym__constructor_argument,
    STATE(18479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520836] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9306), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [520878] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9310), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [520920] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13158), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13160), 1,
      anon_sym_GT,
    STATE(10600), 1,
      sym_attribute,
    STATE(14886), 1,
      sym__simple_type,
    STATE(17593), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520992] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9314), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [521034] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10439), 1,
      sym__simple_type,
    STATE(10602), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11611), 1,
      sym__constructor_argument,
    STATE(18479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521106] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10287), 1,
      sym__simple_type,
    STATE(10603), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(19447), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521178] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10239), 1,
      sym__simple_type,
    STATE(10604), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(19449), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521250] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13162), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13164), 1,
      anon_sym_GT,
    STATE(10605), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521322] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10223), 1,
      sym__simple_type,
    STATE(10606), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18479), 1,
      sym_extended_module_path,
    STATE(19459), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521394] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13166), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13168), 1,
      anon_sym_GT,
    STATE(10607), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521466] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10608), 1,
      sym_attribute,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12561), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [521524] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10609), 1,
      sym_attribute,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12631), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [521582] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10336), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13064), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13172), 1,
      anon_sym_let,
    ACTIONS(13174), 1,
      anon_sym_EQ,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(10610), 1,
      sym_attribute,
    STATE(11094), 1,
      sym__type_equation,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11454), 1,
      aux_sym_type_binding_repeat1,
    STATE(11724), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13170), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521644] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(10611), 1,
      sym_attribute,
    STATE(10707), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11696), 1,
      sym__constructor_argument,
    STATE(18826), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521716] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(10612), 1,
      sym_attribute,
    STATE(10707), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11722), 1,
      sym__constructor_argument,
    STATE(18826), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521788] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13176), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13178), 1,
      anon_sym_GT,
    STATE(10613), 1,
      sym_attribute,
    STATE(14898), 1,
      sym__simple_type,
    STATE(17950), 1,
      sym_method_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521860] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10614), 1,
      sym_attribute,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12671), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [521918] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(10615), 1,
      sym_attribute,
    STATE(10707), 1,
      sym__simple_type,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(11611), 1,
      sym__constructor_argument,
    STATE(18826), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521990] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9180), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522032] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(10486), 1,
      sym__simple_type,
    STATE(10617), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18826), 1,
      sym_extended_module_path,
    STATE(19894), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522104] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(10487), 1,
      sym__simple_type,
    STATE(10618), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18826), 1,
      sym_extended_module_path,
    STATE(19897), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522176] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13180), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13182), 1,
      anon_sym_GT,
    STATE(10619), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522248] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_COLON2,
    STATE(10620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10338), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522292] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(10490), 1,
      sym__simple_type,
    STATE(10621), 1,
      sym_attribute,
    STATE(11404), 1,
      sym_record_declaration,
    STATE(18826), 1,
      sym_extended_module_path,
    STATE(19909), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522364] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    ACTIONS(13186), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13188), 1,
      anon_sym_GT,
    STATE(10622), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522436] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9244), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12675), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522519] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9132), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522560] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10626), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(18896), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522629] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9278), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522670] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10628), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(18954), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9202), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [522780] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13194), 1,
      anon_sym_POUND,
    STATE(10630), 1,
      sym_attribute,
    STATE(11334), 1,
      sym_type_constructor_path,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12437), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [522831] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13198), 1,
      sym_pow_operator,
    ACTIONS(13200), 1,
      sym_mult_operator,
    ACTIONS(13202), 1,
      sym_concat_operator,
    ACTIONS(13204), 1,
      sym_rel_operator,
    ACTIONS(13206), 1,
      sym_and_operator,
    ACTIONS(13208), 1,
      sym_or_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [522890] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13198), 1,
      sym_pow_operator,
    ACTIONS(13200), 1,
      sym_mult_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [522941] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13198), 1,
      sym_pow_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [522986] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13198), 1,
      sym_pow_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [523031] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13198), 1,
      sym_pow_operator,
    ACTIONS(13200), 1,
      sym_mult_operator,
    ACTIONS(13202), 1,
      sym_concat_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [523084] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13198), 1,
      sym_pow_operator,
    ACTIONS(13200), 1,
      sym_mult_operator,
    ACTIONS(13202), 1,
      sym_concat_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [523137] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13198), 1,
      sym_pow_operator,
    ACTIONS(13200), 1,
      sym_mult_operator,
    ACTIONS(13202), 1,
      sym_concat_operator,
    ACTIONS(13204), 1,
      sym_rel_operator,
    ACTIONS(13206), 1,
      sym_and_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [523194] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13198), 1,
      sym_pow_operator,
    ACTIONS(13200), 1,
      sym_mult_operator,
    ACTIONS(13202), 1,
      sym_concat_operator,
    ACTIONS(13204), 1,
      sym_rel_operator,
    ACTIONS(13206), 1,
      sym_and_operator,
    ACTIONS(13208), 1,
      sym_or_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [523253] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13198), 1,
      sym_pow_operator,
    ACTIONS(13200), 1,
      sym_mult_operator,
    ACTIONS(13202), 1,
      sym_concat_operator,
    ACTIONS(13204), 1,
      sym_rel_operator,
    ACTIONS(13206), 1,
      sym_and_operator,
    ACTIONS(13208), 1,
      sym_or_operator,
    ACTIONS(13210), 1,
      anon_sym_COMMA,
    ACTIONS(13212), 1,
      sym_assign_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [523316] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13198), 1,
      sym_pow_operator,
    ACTIONS(13200), 1,
      sym_mult_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [523363] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13198), 1,
      sym_pow_operator,
    ACTIONS(13200), 1,
      sym_mult_operator,
    ACTIONS(13202), 1,
      sym_concat_operator,
    ACTIONS(13204), 1,
      sym_rel_operator,
    ACTIONS(13206), 1,
      sym_and_operator,
    ACTIONS(13208), 1,
      sym_or_operator,
    ACTIONS(13210), 1,
      anon_sym_COMMA,
    ACTIONS(13212), 1,
      sym_assign_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11446), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [523426] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13198), 1,
      sym_pow_operator,
    ACTIONS(13200), 1,
      sym_mult_operator,
    ACTIONS(13202), 1,
      sym_concat_operator,
    ACTIONS(13204), 1,
      sym_rel_operator,
    ACTIONS(13206), 1,
      sym_and_operator,
    ACTIONS(13208), 1,
      sym_or_operator,
    ACTIONS(13210), 1,
      anon_sym_COMMA,
    ACTIONS(13212), 1,
      sym_assign_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [523489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9210), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [523530] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13214), 1,
      anon_sym_POUND,
    STATE(10644), 1,
      sym_attribute,
    STATE(11302), 1,
      sym_type_constructor_path,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12437), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [523581] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10645), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18370), 1,
      sym__tuple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [523691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9214), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [523732] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(13110), 1,
      anon_sym_let,
    ACTIONS(13216), 1,
      anon_sym_COLON2,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10648), 1,
      sym_attribute,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11228), 1,
      sym__module_typed,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11742), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13112), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13108), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523791] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9164), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [523832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9180), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [523873] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13222), 1,
      anon_sym_LPAREN,
    ACTIONS(13224), 1,
      anon_sym_LBRACK,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    STATE(10651), 1,
      sym_attribute,
    STATE(11409), 1,
      sym__constructor_name,
    STATE(12180), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13220), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13226), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13218), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9304), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523967] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9158), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [524008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9308), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9312), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524090] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10336), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13060), 1,
      anon_sym_let,
    ACTIONS(13230), 1,
      anon_sym_EQ,
    ACTIONS(13232), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(10656), 1,
      sym_attribute,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11563), 1,
      sym__type_equation,
    STATE(11623), 1,
      aux_sym_expression_item_repeat1,
    STATE(11863), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13058), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9316), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10356), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524233] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_COLON2,
    STATE(10659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10338), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524276] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13236), 1,
      anon_sym_else,
    STATE(9246), 1,
      sym_else_clause,
    STATE(10660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [524321] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524364] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_PIPE,
    STATE(10662), 1,
      sym_attribute,
    STATE(10664), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [524409] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_PIPE,
    STATE(10663), 1,
      sym_attribute,
    STATE(10665), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [524454] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_PIPE,
    STATE(10664), 1,
      sym_attribute,
    STATE(10666), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [524499] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_PIPE,
    STATE(10665), 1,
      sym_attribute,
    STATE(10666), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [524544] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13240), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [524587] = 20,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8133), 1,
      anon_sym_object,
    ACTIONS(9720), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9722), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13243), 1,
      sym__lowercase_identifier,
    ACTIONS(13245), 1,
      anon_sym_let,
    ACTIONS(13247), 1,
      anon_sym_LPAREN,
    ACTIONS(13249), 1,
      anon_sym_BANG,
    ACTIONS(13251), 1,
      anon_sym_LBRACK,
    ACTIONS(13253), 1,
      anon_sym_fun,
    STATE(2915), 1,
      sym__simple_class_expression,
    STATE(10667), 1,
      sym_attribute,
    STATE(14271), 1,
      sym__class_expression,
    STATE(19689), 1,
      sym_module_path,
    STATE(22006), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9554), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [524658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10338), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524699] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13257), 1,
      anon_sym_let,
    ACTIONS(13259), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10669), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(13255), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13264), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13262), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13268), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13266), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12749), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12747), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524867] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(10673), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12561), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [524924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13276), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13274), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12355), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(12353), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [525006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12685), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12725), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525129] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13278), 1,
      anon_sym_else,
    STATE(9246), 1,
      sym_else_clause,
    STATE(10679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [525174] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13282), 1,
      anon_sym_POUND,
    STATE(10680), 1,
      sym_attribute,
    STATE(11247), 1,
      sym_type_constructor_path,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12437), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [525225] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13236), 1,
      anon_sym_else,
    STATE(9347), 1,
      sym_else_clause,
    STATE(10681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [525270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13286), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13284), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12781), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12805), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12627), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12623), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12639), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12643), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12651), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525639] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(10691), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [525696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12761), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12785), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12789), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12813), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12817), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12793), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526065] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(10701), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12679), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526122] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(10702), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12619), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526179] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(10703), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12631), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526236] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_COLON2,
    STATE(10704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13290), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13288), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12797), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526361] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    ACTIONS(13292), 1,
      anon_sym_STAR,
    STATE(10707), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(12011), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12996), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526416] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10708), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(18748), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526485] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10709), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(18788), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526554] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10710), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19141), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526623] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10711), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(18781), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526692] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12972), 1,
      anon_sym_let,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(13216), 1,
      anon_sym_COLON2,
    STATE(10648), 1,
      aux_sym_module_binding_repeat1,
    STATE(10712), 1,
      sym_attribute,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11124), 1,
      sym__module_typed,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11617), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12974), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12970), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526751] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10336), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13172), 1,
      anon_sym_let,
    ACTIONS(13232), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13294), 1,
      anon_sym_EQ,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(10713), 1,
      sym_attribute,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11561), 1,
      sym__type_equation,
    STATE(11724), 1,
      aux_sym_expression_item_repeat1,
    STATE(11855), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13170), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526812] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13296), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(13298), 13,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      sym__lowercase_identifier,
  [526896] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    ACTIONS(13300), 1,
      anon_sym_STAR,
    STATE(10716), 1,
      sym_attribute,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(12064), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12996), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526992] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10718), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(18915), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12729), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [527102] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13198), 1,
      sym_pow_operator,
    ACTIONS(13200), 1,
      sym_mult_operator,
    ACTIONS(13202), 1,
      sym_concat_operator,
    ACTIONS(13204), 1,
      sym_rel_operator,
    ACTIONS(13206), 1,
      sym_and_operator,
    ACTIONS(13208), 1,
      sym_or_operator,
    ACTIONS(13210), 1,
      anon_sym_COMMA,
    ACTIONS(13212), 1,
      sym_assign_operator,
    ACTIONS(13302), 1,
      anon_sym_SEMI,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527167] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10721), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19130), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527236] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(10722), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12671), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [527293] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13198), 1,
      sym_pow_operator,
    ACTIONS(13200), 1,
      sym_mult_operator,
    ACTIONS(13202), 1,
      sym_concat_operator,
    ACTIONS(13204), 1,
      sym_rel_operator,
    ACTIONS(13206), 1,
      sym_and_operator,
    ACTIONS(13208), 1,
      sym_or_operator,
    ACTIONS(13210), 1,
      anon_sym_COMMA,
    ACTIONS(13212), 1,
      sym_assign_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11474), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [527397] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(9019), 1,
      sym_tuple_type,
    STATE(10725), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(18960), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527466] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13278), 1,
      anon_sym_else,
    STATE(9347), 1,
      sym_else_clause,
    STATE(10726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [527511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9198), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [527552] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(10728), 1,
      sym_attribute,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13306), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [527603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12707), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13310), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13308), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527685] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_COLON2,
    STATE(10731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527728] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2138), 1,
      sym_add_operator,
    STATE(10732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [527771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12615), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [527812] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13312), 1,
      anon_sym_LPAREN,
    ACTIONS(13314), 1,
      anon_sym_LBRACK,
    STATE(10734), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__constructor_name,
    STATE(12455), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13220), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13218), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527864] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10735), 1,
      sym_attribute,
    STATE(11618), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [527932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13336), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13334), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9110), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528012] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10738), 1,
      sym_attribute,
    STATE(11618), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9118), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9122), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528160] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13344), 1,
      sym_pow_operator,
    ACTIONS(13346), 1,
      sym_mult_operator,
    ACTIONS(13348), 1,
      sym_concat_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(10741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [528212] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(10742), 1,
      sym_attribute,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12561), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [528268] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10743), 1,
      sym_attribute,
    STATE(11738), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528336] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13344), 1,
      sym_pow_operator,
    ACTIONS(13346), 1,
      sym_mult_operator,
    ACTIONS(13348), 1,
      sym_concat_operator,
    ACTIONS(13354), 1,
      sym_rel_operator,
    ACTIONS(13356), 1,
      sym_and_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(10744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [528392] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10745), 1,
      sym_attribute,
    STATE(11670), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528460] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13344), 1,
      sym_pow_operator,
    ACTIONS(13346), 1,
      sym_mult_operator,
    ACTIONS(13348), 1,
      sym_concat_operator,
    ACTIONS(13354), 1,
      sym_rel_operator,
    ACTIONS(13356), 1,
      sym_and_operator,
    ACTIONS(13358), 1,
      sym_or_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(10746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [528518] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10747), 1,
      sym_attribute,
    STATE(11667), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528586] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10748), 1,
      sym_attribute,
    STATE(11673), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528654] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13344), 1,
      sym_pow_operator,
    ACTIONS(13346), 1,
      sym_mult_operator,
    ACTIONS(13348), 1,
      sym_concat_operator,
    ACTIONS(13354), 1,
      sym_rel_operator,
    ACTIONS(13356), 1,
      sym_and_operator,
    ACTIONS(13358), 1,
      sym_or_operator,
    ACTIONS(13360), 1,
      anon_sym_COMMA,
    ACTIONS(13362), 1,
      sym_assign_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(10749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [528716] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10750), 1,
      sym_attribute,
    STATE(11756), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528784] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10751), 1,
      sym_attribute,
    STATE(11761), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528852] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(10546), 1,
      sym__class_expression,
    STATE(10752), 1,
      sym_attribute,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528920] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10753), 1,
      sym_attribute,
    STATE(11786), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528988] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10754), 1,
      sym_attribute,
    STATE(11792), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [529056] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10755), 1,
      sym_attribute,
    STATE(11800), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [529124] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10756), 1,
      sym_attribute,
    STATE(11814), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [529192] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10757), 1,
      sym_attribute,
    STATE(11819), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [529260] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10758), 1,
      sym_attribute,
    STATE(11826), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [529328] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(10759), 1,
      sym_attribute,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12671), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [529384] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(10548), 1,
      sym__class_expression,
    STATE(10760), 1,
      sym_attribute,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [529452] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13344), 1,
      sym_pow_operator,
    ACTIONS(13346), 1,
      sym_mult_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(10761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [529498] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13344), 1,
      sym_pow_operator,
    ACTIONS(13346), 1,
      sym_mult_operator,
    ACTIONS(13348), 1,
      sym_concat_operator,
    ACTIONS(13354), 1,
      sym_rel_operator,
    ACTIONS(13356), 1,
      sym_and_operator,
    ACTIONS(13358), 1,
      sym_or_operator,
    ACTIONS(13360), 1,
      anon_sym_COMMA,
    ACTIONS(13362), 1,
      sym_assign_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(10762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529560] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13374), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(10763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [529604] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13376), 1,
      anon_sym_COLON,
    STATE(10764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9482), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [529646] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13344), 1,
      sym_pow_operator,
    ACTIONS(13346), 1,
      sym_mult_operator,
    ACTIONS(13348), 1,
      sym_concat_operator,
    ACTIONS(13354), 1,
      sym_rel_operator,
    ACTIONS(13356), 1,
      sym_and_operator,
    ACTIONS(13358), 1,
      sym_or_operator,
    ACTIONS(13360), 1,
      anon_sym_COMMA,
    ACTIONS(13362), 1,
      sym_assign_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(10765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529708] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13378), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(10766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [529752] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(10767), 1,
      sym_attribute,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12561), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [529808] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(10768), 1,
      sym_attribute,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12631), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [529864] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(10769), 1,
      sym_attribute,
    STATE(11814), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [529932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13394), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13392), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529972] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(10771), 1,
      sym_attribute,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12671), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [530028] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10772), 1,
      sym_attribute,
    STATE(11738), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [530096] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(10773), 1,
      sym_attribute,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12561), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [530152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13400), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13398), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530192] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(10775), 1,
      sym_attribute,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12631), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [530248] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(10776), 1,
      sym_attribute,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12631), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [530304] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10777), 1,
      sym_attribute,
    STATE(11670), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [530372] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11474), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13344), 1,
      sym_pow_operator,
    ACTIONS(13346), 1,
      sym_mult_operator,
    ACTIONS(13348), 1,
      sym_concat_operator,
    ACTIONS(13354), 1,
      sym_rel_operator,
    ACTIONS(13356), 1,
      sym_and_operator,
    ACTIONS(13358), 1,
      sym_or_operator,
    ACTIONS(13360), 1,
      anon_sym_COMMA,
    ACTIONS(13362), 1,
      sym_assign_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(10778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530434] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(10779), 1,
      sym_attribute,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [530490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13404), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13402), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530530] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8133), 1,
      anon_sym_object,
    ACTIONS(9720), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9722), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13243), 1,
      sym__lowercase_identifier,
    ACTIONS(13245), 1,
      anon_sym_let,
    ACTIONS(13247), 1,
      anon_sym_LPAREN,
    ACTIONS(13251), 1,
      anon_sym_LBRACK,
    ACTIONS(13253), 1,
      anon_sym_fun,
    STATE(2915), 1,
      sym__simple_class_expression,
    STATE(10781), 1,
      sym_attribute,
    STATE(14250), 1,
      sym__class_expression,
    STATE(19689), 1,
      sym_module_path,
    STATE(22006), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9554), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [530598] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(10782), 1,
      sym_attribute,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12679), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [530654] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(10783), 1,
      sym_attribute,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12619), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [530710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [530750] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8133), 1,
      anon_sym_object,
    ACTIONS(9720), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9722), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13243), 1,
      sym__lowercase_identifier,
    ACTIONS(13245), 1,
      anon_sym_let,
    ACTIONS(13247), 1,
      anon_sym_LPAREN,
    ACTIONS(13251), 1,
      anon_sym_LBRACK,
    ACTIONS(13253), 1,
      anon_sym_fun,
    STATE(2915), 1,
      sym__simple_class_expression,
    STATE(10494), 1,
      sym__class_expression,
    STATE(10785), 1,
      sym_attribute,
    STATE(19689), 1,
      sym_module_path,
    STATE(22006), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9554), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [530818] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [530860] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10494), 1,
      sym__class_expression,
    STATE(10787), 1,
      sym_attribute,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [530928] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(10788), 1,
      sym_attribute,
    STATE(11819), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [530996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9170), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [531036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12685), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8969), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [531116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12725), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12675), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12615), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13424), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13422), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531276] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(10796), 1,
      sym_attribute,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13306), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [531326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10356), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531366] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8855), 1,
      anon_sym_object,
    ACTIONS(8867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13426), 1,
      sym__lowercase_identifier,
    ACTIONS(13428), 1,
      anon_sym_let,
    ACTIONS(13430), 1,
      anon_sym_LPAREN,
    ACTIONS(13432), 1,
      anon_sym_LBRACK,
    ACTIONS(13434), 1,
      anon_sym_fun,
    STATE(3189), 1,
      sym__simple_class_expression,
    STATE(10798), 1,
      sym_attribute,
    STATE(17595), 1,
      sym__class_expression,
    STATE(19320), 1,
      sym_value_definition,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11323), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [531434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12781), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12805), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12627), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531634] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(10804), 1,
      sym_attribute,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12671), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [531690] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [531732] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(10806), 1,
      sym_attribute,
    STATE(11826), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [531800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12623), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12639), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12643), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12651), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12761), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12785), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12789), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12813), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12817), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12793), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12797), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532360] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8855), 1,
      anon_sym_object,
    ACTIONS(8867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13426), 1,
      sym__lowercase_identifier,
    ACTIONS(13428), 1,
      anon_sym_let,
    ACTIONS(13430), 1,
      anon_sym_LPAREN,
    ACTIONS(13432), 1,
      anon_sym_LBRACK,
    ACTIONS(13434), 1,
      anon_sym_fun,
    STATE(3189), 1,
      sym__simple_class_expression,
    STATE(10821), 1,
      sym_attribute,
    STATE(17953), 1,
      sym__class_expression,
    STATE(19320), 1,
      sym_value_definition,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11323), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [532428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12685), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12725), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12675), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12615), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12355), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532628] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8133), 1,
      anon_sym_object,
    ACTIONS(9720), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9722), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13243), 1,
      sym__lowercase_identifier,
    ACTIONS(13245), 1,
      anon_sym_let,
    ACTIONS(13247), 1,
      anon_sym_LPAREN,
    ACTIONS(13251), 1,
      anon_sym_LBRACK,
    ACTIONS(13253), 1,
      anon_sym_fun,
    STATE(2915), 1,
      sym__simple_class_expression,
    STATE(10546), 1,
      sym__class_expression,
    STATE(10827), 1,
      sym_attribute,
    STATE(19689), 1,
      sym_module_path,
    STATE(22006), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9554), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [532696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9220), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9224), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9228), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9244), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9180), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9248), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9252), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532976] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8855), 1,
      anon_sym_object,
    ACTIONS(8867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13426), 1,
      sym__lowercase_identifier,
    ACTIONS(13428), 1,
      anon_sym_let,
    ACTIONS(13430), 1,
      anon_sym_LPAREN,
    ACTIONS(13432), 1,
      anon_sym_LBRACK,
    ACTIONS(13434), 1,
      anon_sym_fun,
    STATE(3189), 1,
      sym__simple_class_expression,
    STATE(10835), 1,
      sym_attribute,
    STATE(17150), 1,
      sym__class_expression,
    STATE(19320), 1,
      sym_value_definition,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11323), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [533044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9198), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9202), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9210), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9214), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533204] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    ACTIONS(13436), 1,
      anon_sym_STAR,
    STATE(10840), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(12279), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12996), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [533258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9270), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9278), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12781), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12805), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9282), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12729), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12627), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533578] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8133), 1,
      anon_sym_object,
    ACTIONS(9720), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9722), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13243), 1,
      sym__lowercase_identifier,
    ACTIONS(13245), 1,
      anon_sym_let,
    ACTIONS(13247), 1,
      anon_sym_LPAREN,
    ACTIONS(13251), 1,
      anon_sym_LBRACK,
    ACTIONS(13253), 1,
      anon_sym_fun,
    STATE(2915), 1,
      sym__simple_class_expression,
    STATE(10548), 1,
      sym__class_expression,
    STATE(10849), 1,
      sym_attribute,
    STATE(19689), 1,
      sym_module_path,
    STATE(22006), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9554), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [533646] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(10850), 1,
      sym_attribute,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [533702] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(10851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9126), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9132), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9158), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533824] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(10854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9126), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9164), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533906] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13438), 1,
      anon_sym_DOT,
    ACTIONS(13440), 1,
      anon_sym_POUND,
    ACTIONS(13442), 1,
      sym_hash_operator,
    STATE(10856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10832), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533952] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13438), 1,
      anon_sym_DOT,
    ACTIONS(13440), 1,
      anon_sym_POUND,
    ACTIONS(13442), 1,
      sym_hash_operator,
    STATE(10857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10840), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533998] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(10858), 1,
      sym_attribute,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12619), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [534054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12623), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534094] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8855), 1,
      anon_sym_object,
    ACTIONS(8867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13426), 1,
      sym__lowercase_identifier,
    ACTIONS(13428), 1,
      anon_sym_let,
    ACTIONS(13430), 1,
      anon_sym_LPAREN,
    ACTIONS(13432), 1,
      anon_sym_LBRACK,
    ACTIONS(13434), 1,
      anon_sym_fun,
    STATE(3189), 1,
      sym__simple_class_expression,
    STATE(10860), 1,
      sym_attribute,
    STATE(17220), 1,
      sym__class_expression,
    STATE(19320), 1,
      sym_value_definition,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11323), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [534162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12639), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12643), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12651), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9304), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9308), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9312), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9316), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534442] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13444), 1,
      anon_sym_PIPE,
    STATE(10868), 1,
      sym_attribute,
    STATE(10870), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [534486] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13444), 1,
      anon_sym_PIPE,
    STATE(10869), 1,
      sym_attribute,
    STATE(10871), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [534530] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13444), 1,
      anon_sym_PIPE,
    STATE(10870), 1,
      sym_attribute,
    STATE(10872), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [534574] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13444), 1,
      anon_sym_PIPE,
    STATE(10871), 1,
      sym_attribute,
    STATE(10872), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [534618] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13446), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10872), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [534660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12761), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12785), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9304), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9308), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9312), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9316), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12789), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12813), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12817), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12793), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12797), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9158), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535260] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10888), 1,
      sym_attribute,
    STATE(11630), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [535328] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(10889), 1,
      sym_attribute,
    STATE(11761), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [535396] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(10890), 1,
      sym_attribute,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12679), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [535452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12355), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535492] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(10892), 1,
      sym_attribute,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11192), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [535542] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(10893), 1,
      sym_attribute,
    STATE(11792), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [535610] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13344), 1,
      sym_pow_operator,
    ACTIONS(13346), 1,
      sym_mult_operator,
    ACTIONS(13348), 1,
      sym_concat_operator,
    ACTIONS(13354), 1,
      sym_rel_operator,
    ACTIONS(13356), 1,
      sym_and_operator,
    ACTIONS(13358), 1,
      sym_or_operator,
    ACTIONS(13360), 1,
      anon_sym_COMMA,
    ACTIONS(13362), 1,
      sym_assign_operator,
    ACTIONS(13449), 1,
      anon_sym_SEMI,
    STATE(2639), 1,
      sym_add_operator,
    STATE(10894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535674] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13438), 1,
      anon_sym_DOT,
    ACTIONS(13440), 1,
      anon_sym_POUND,
    ACTIONS(13442), 1,
      sym_hash_operator,
    STATE(10895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10726), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10724), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535720] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13438), 1,
      anon_sym_DOT,
    ACTIONS(13440), 1,
      anon_sym_POUND,
    ACTIONS(13442), 1,
      sym_hash_operator,
    STATE(10896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10736), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10734), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535766] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13451), 1,
      anon_sym_POUND,
    STATE(10897), 1,
      sym_attribute,
    STATE(11480), 1,
      sym_type_constructor_path,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12437), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [535816] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(10898), 1,
      sym_attribute,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12619), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [535872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12729), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535952] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10546), 1,
      sym__class_expression,
    STATE(10901), 1,
      sym_attribute,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536020] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10548), 1,
      sym__class_expression,
    STATE(10902), 1,
      sym_attribute,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536088] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(10903), 1,
      sym_attribute,
    STATE(11800), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [536196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10356), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [536236] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(10906), 1,
      sym_attribute,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [536286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9302), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [536326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9306), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [536366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9310), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [536406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9314), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [536446] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(10911), 1,
      sym_attribute,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12433), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [536496] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(10912), 1,
      sym_attribute,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12679), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [536546] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(10913), 1,
      sym_attribute,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [536602] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(10914), 1,
      sym_attribute,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12679), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [536658] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10915), 1,
      sym_attribute,
    STATE(11756), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536726] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10916), 1,
      sym_attribute,
    STATE(11761), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13455), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13453), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13457), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13463), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13461), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536914] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13378), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(10920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [536958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9126), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536998] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(10922), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13306), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [537048] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10923), 1,
      sym_attribute,
    STATE(11630), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [537116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8929), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537156] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13465), 1,
      anon_sym_STAR,
    STATE(10925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11433), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11431), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537198] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(10926), 1,
      sym_attribute,
    STATE(11786), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [537266] = 18,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12835), 1,
      sym__lowercase_identifier,
    STATE(10927), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    STATE(19108), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [537332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9078), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537372] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10929), 1,
      sym_attribute,
    STATE(11909), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [537440] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10930), 1,
      sym_attribute,
    STATE(11618), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [537508] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10494), 1,
      sym__class_expression,
    STATE(10931), 1,
      sym_attribute,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [537576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9408), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9406), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9410), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9414), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9074), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9174), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9178), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9330), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9364), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537896] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10940), 1,
      sym_attribute,
    STATE(11738), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [537964] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10941), 1,
      sym_attribute,
    STATE(11670), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9376), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538072] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10546), 1,
      sym__class_expression,
    STATE(10943), 1,
      sym_attribute,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538140] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10548), 1,
      sym__class_expression,
    STATE(10944), 1,
      sym_attribute,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538208] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(10945), 1,
      sym_attribute,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12619), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [538258] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10946), 1,
      sym_attribute,
    STATE(11667), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538326] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10947), 1,
      sym_attribute,
    STATE(11673), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8953), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8951), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538434] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10949), 1,
      sym_attribute,
    STATE(11756), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538502] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10950), 1,
      sym_attribute,
    STATE(11761), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538570] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10951), 1,
      sym_attribute,
    STATE(11786), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538638] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10952), 1,
      sym_attribute,
    STATE(11792), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538706] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10953), 1,
      sym_attribute,
    STATE(11800), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538774] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10954), 1,
      sym_attribute,
    STATE(11814), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538842] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10955), 1,
      sym_attribute,
    STATE(11819), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538910] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13406), 1,
      sym__lowercase_identifier,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_LPAREN,
    ACTIONS(13412), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_object,
    ACTIONS(13416), 1,
      anon_sym_fun,
    ACTIONS(13418), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13420), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2853), 1,
      sym__simple_class_expression,
    STATE(10956), 1,
      sym_attribute,
    STATE(11826), 1,
      sym__class_expression,
    STATE(19764), 1,
      sym_module_path,
    STATE(20190), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8343), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9380), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539018] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13471), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(10958), 1,
      sym_attribute,
    STATE(10969), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13469), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13467), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13438), 1,
      anon_sym_DOT,
    STATE(10959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9388), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539106] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10960), 1,
      sym_attribute,
    STATE(11786), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [539174] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10961), 1,
      sym_attribute,
    STATE(11792), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [539242] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10962), 1,
      sym_attribute,
    STATE(11800), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [539310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13475), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13473), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13479), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13477), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9422), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539430] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(10966), 1,
      sym_attribute,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11192), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [539480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9286), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539520] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13471), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(10968), 1,
      sym_attribute,
    STATE(10993), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13483), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13481), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539566] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13471), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(10969), 1,
      sym_attribute,
    STATE(11048), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13483), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13481), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9338), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9342), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9106), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9296), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9302), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [539812] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13485), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13487), 1,
      sym_pow_operator,
    ACTIONS(13489), 1,
      sym_mult_operator,
    ACTIONS(13491), 1,
      sym_concat_operator,
    ACTIONS(13493), 1,
      sym_rel_operator,
    ACTIONS(13495), 1,
      sym_and_operator,
    ACTIONS(13497), 1,
      sym_or_operator,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [539870] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13485), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13487), 1,
      sym_pow_operator,
    ACTIONS(13489), 1,
      sym_mult_operator,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [539920] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13487), 1,
      sym_pow_operator,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [539964] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13487), 1,
      sym_pow_operator,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [540008] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13485), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13487), 1,
      sym_pow_operator,
    ACTIONS(13489), 1,
      sym_mult_operator,
    ACTIONS(13491), 1,
      sym_concat_operator,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [540060] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13485), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13487), 1,
      sym_pow_operator,
    ACTIONS(13489), 1,
      sym_mult_operator,
    ACTIONS(13491), 1,
      sym_concat_operator,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [540112] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13485), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13487), 1,
      sym_pow_operator,
    ACTIONS(13489), 1,
      sym_mult_operator,
    ACTIONS(13491), 1,
      sym_concat_operator,
    ACTIONS(13493), 1,
      sym_rel_operator,
    ACTIONS(13495), 1,
      sym_and_operator,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [540168] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13485), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13487), 1,
      sym_pow_operator,
    ACTIONS(13489), 1,
      sym_mult_operator,
    ACTIONS(13491), 1,
      sym_concat_operator,
    ACTIONS(13493), 1,
      sym_rel_operator,
    ACTIONS(13495), 1,
      sym_and_operator,
    ACTIONS(13497), 1,
      sym_or_operator,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [540226] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13485), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13487), 1,
      sym_pow_operator,
    ACTIONS(13489), 1,
      sym_mult_operator,
    ACTIONS(13491), 1,
      sym_concat_operator,
    ACTIONS(13493), 1,
      sym_rel_operator,
    ACTIONS(13495), 1,
      sym_and_operator,
    ACTIONS(13497), 1,
      sym_or_operator,
    ACTIONS(13499), 1,
      anon_sym_COMMA,
    ACTIONS(13501), 1,
      sym_assign_operator,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540288] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13487), 1,
      sym_pow_operator,
    ACTIONS(13489), 1,
      sym_mult_operator,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [540334] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13485), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13487), 1,
      sym_pow_operator,
    ACTIONS(13489), 1,
      sym_mult_operator,
    ACTIONS(13491), 1,
      sym_concat_operator,
    ACTIONS(13493), 1,
      sym_rel_operator,
    ACTIONS(13495), 1,
      sym_and_operator,
    ACTIONS(13497), 1,
      sym_or_operator,
    ACTIONS(13499), 1,
      anon_sym_COMMA,
    ACTIONS(13501), 1,
      sym_assign_operator,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11446), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540396] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10986), 1,
      sym_attribute,
    STATE(11814), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [540464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9218), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540504] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13485), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13487), 1,
      sym_pow_operator,
    ACTIONS(13489), 1,
      sym_mult_operator,
    ACTIONS(13491), 1,
      sym_concat_operator,
    ACTIONS(13493), 1,
      sym_rel_operator,
    ACTIONS(13495), 1,
      sym_and_operator,
    ACTIONS(13497), 1,
      sym_or_operator,
    ACTIONS(13499), 1,
      anon_sym_COMMA,
    ACTIONS(13501), 1,
      sym_assign_operator,
    STATE(2263), 1,
      sym_add_operator,
    STATE(10988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540566] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(10989), 1,
      sym_attribute,
    STATE(11819), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [540634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13505), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13503), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9306), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [540714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9310), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [540754] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13471), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(10993), 1,
      sym_attribute,
    STATE(11048), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13509), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13507), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9234), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9314), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [540880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9258), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9082), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9114), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541000] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(10999), 1,
      sym_attribute,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12433), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [541050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9144), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541090] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(11001), 1,
      sym_attribute,
    STATE(11826), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [541158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9152), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9156), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9194), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8943), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8945), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8941), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8949), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9354), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9368), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9372), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9384), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8961), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8963), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8955), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8957), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8977), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8975), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9090), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541718] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(10494), 1,
      sym__class_expression,
    STATE(11016), 1,
      sym_attribute,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [541786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541826] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11018), 1,
      sym_attribute,
    STATE(11630), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [541894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8965), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8967), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541934] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(11020), 1,
      sym_attribute,
    STATE(11667), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542002] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13344), 1,
      sym_pow_operator,
    ACTIONS(13346), 1,
      sym_mult_operator,
    ACTIONS(13348), 1,
      sym_concat_operator,
    ACTIONS(13354), 1,
      sym_rel_operator,
    ACTIONS(13356), 1,
      sym_and_operator,
    ACTIONS(13358), 1,
      sym_or_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(11021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [542060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [542100] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13344), 1,
      sym_pow_operator,
    ACTIONS(13346), 1,
      sym_mult_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(11023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [542150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9190), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [542190] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11025), 1,
      sym_attribute,
    STATE(11909), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542258] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11026), 1,
      sym_attribute,
    STATE(11618), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542326] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8855), 1,
      anon_sym_object,
    ACTIONS(8867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13426), 1,
      sym__lowercase_identifier,
    ACTIONS(13428), 1,
      anon_sym_let,
    ACTIONS(13430), 1,
      anon_sym_LPAREN,
    ACTIONS(13432), 1,
      anon_sym_LBRACK,
    ACTIONS(13434), 1,
      anon_sym_fun,
    STATE(3189), 1,
      sym__simple_class_expression,
    STATE(10494), 1,
      sym__class_expression,
    STATE(11027), 1,
      sym_attribute,
    STATE(19320), 1,
      sym_value_definition,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11323), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542394] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(10494), 1,
      sym__class_expression,
    STATE(11028), 1,
      sym_attribute,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542462] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(11029), 1,
      sym_attribute,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13513), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [542512] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11030), 1,
      sym_attribute,
    STATE(11738), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542580] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11031), 1,
      sym_attribute,
    STATE(11670), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8981), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8983), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [542688] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8855), 1,
      anon_sym_object,
    ACTIONS(8867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13426), 1,
      sym__lowercase_identifier,
    ACTIONS(13428), 1,
      anon_sym_let,
    ACTIONS(13430), 1,
      anon_sym_LPAREN,
    ACTIONS(13432), 1,
      anon_sym_LBRACK,
    ACTIONS(13434), 1,
      anon_sym_fun,
    STATE(3189), 1,
      sym__simple_class_expression,
    STATE(10546), 1,
      sym__class_expression,
    STATE(11033), 1,
      sym_attribute,
    STATE(19320), 1,
      sym_value_definition,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11323), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542756] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8855), 1,
      anon_sym_object,
    ACTIONS(8867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13426), 1,
      sym__lowercase_identifier,
    ACTIONS(13428), 1,
      anon_sym_let,
    ACTIONS(13430), 1,
      anon_sym_LPAREN,
    ACTIONS(13432), 1,
      anon_sym_LBRACK,
    ACTIONS(13434), 1,
      anon_sym_fun,
    STATE(3189), 1,
      sym__simple_class_expression,
    STATE(10548), 1,
      sym__class_expression,
    STATE(11034), 1,
      sym_attribute,
    STATE(19320), 1,
      sym_value_definition,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11323), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542824] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8855), 1,
      anon_sym_object,
    ACTIONS(8867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13426), 1,
      sym__lowercase_identifier,
    ACTIONS(13428), 1,
      anon_sym_let,
    ACTIONS(13430), 1,
      anon_sym_LPAREN,
    ACTIONS(13432), 1,
      anon_sym_LBRACK,
    ACTIONS(13434), 1,
      anon_sym_fun,
    STATE(3189), 1,
      sym__simple_class_expression,
    STATE(11035), 1,
      sym_attribute,
    STATE(16697), 1,
      sym__class_expression,
    STATE(19320), 1,
      sym_value_definition,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11323), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542892] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(11036), 1,
      sym_attribute,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13517), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [542942] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11037), 1,
      sym_attribute,
    STATE(11667), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543010] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11038), 1,
      sym_attribute,
    STATE(11673), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543078] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13344), 1,
      sym_pow_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(11039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [543122] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13519), 1,
      anon_sym_LPAREN,
    ACTIONS(13521), 1,
      anon_sym_LBRACK,
    STATE(11040), 1,
      sym_attribute,
    STATE(11643), 1,
      sym__constructor_name,
    STATE(12460), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13220), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13523), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13218), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543174] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11041), 1,
      sym_attribute,
    STATE(11756), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543242] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11042), 1,
      sym_attribute,
    STATE(11761), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543310] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11043), 1,
      sym_attribute,
    STATE(11786), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543378] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11044), 1,
      sym_attribute,
    STATE(11792), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543446] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11045), 1,
      sym_attribute,
    STATE(11800), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543514] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11046), 1,
      sym_attribute,
    STATE(11814), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543582] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11047), 1,
      sym_attribute,
    STATE(11819), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543650] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13529), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11048), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13525), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543694] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      anon_sym_object,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13364), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_fun,
    STATE(2873), 1,
      sym__simple_class_expression,
    STATE(11049), 1,
      sym_attribute,
    STATE(11826), 1,
      sym__class_expression,
    STATE(20134), 1,
      sym_module_path,
    STATE(20575), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8835), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13296), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(13298), 14,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      sym__lowercase_identifier,
  [543802] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13485), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13487), 1,
      sym_pow_operator,
    ACTIONS(13489), 1,
      sym_mult_operator,
    ACTIONS(13491), 1,
      sym_concat_operator,
    ACTIONS(13493), 1,
      sym_rel_operator,
    ACTIONS(13495), 1,
      sym_and_operator,
    ACTIONS(13497), 1,
      sym_or_operator,
    ACTIONS(13499), 1,
      anon_sym_COMMA,
    ACTIONS(13501), 1,
      sym_assign_operator,
    ACTIONS(13532), 1,
      anon_sym_SEMI,
    STATE(2263), 1,
      sym_add_operator,
    STATE(11051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [543866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [543906] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12491), 1,
      sym__lowercase_identifier,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    STATE(10341), 1,
      sym_type_constructor_path,
    STATE(11053), 1,
      sym_attribute,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13534), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13536), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [543956] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13344), 1,
      sym_pow_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(11054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [544000] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(10546), 1,
      sym__class_expression,
    STATE(11055), 1,
      sym_attribute,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9262), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [544108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9266), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [544148] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(10548), 1,
      sym__class_expression,
    STATE(11058), 1,
      sym_attribute,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544216] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13344), 1,
      sym_pow_operator,
    ACTIONS(13346), 1,
      sym_mult_operator,
    ACTIONS(13348), 1,
      sym_concat_operator,
    STATE(2639), 1,
      sym_add_operator,
    STATE(11059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [544268] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(11060), 1,
      sym_attribute,
    STATE(11630), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544336] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(11061), 1,
      sym_attribute,
    STATE(11630), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9292), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [544444] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8855), 1,
      anon_sym_object,
    ACTIONS(8867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13426), 1,
      sym__lowercase_identifier,
    ACTIONS(13428), 1,
      anon_sym_let,
    ACTIONS(13430), 1,
      anon_sym_LPAREN,
    ACTIONS(13432), 1,
      anon_sym_LBRACK,
    ACTIONS(13434), 1,
      anon_sym_fun,
    STATE(3189), 1,
      sym__simple_class_expression,
    STATE(11063), 1,
      sym_attribute,
    STATE(17207), 1,
      sym__class_expression,
    STATE(19320), 1,
      sym_value_definition,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11323), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544512] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2639), 1,
      sym_add_operator,
    STATE(11064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [544554] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(11065), 1,
      sym_attribute,
    STATE(11909), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544622] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(11066), 1,
      sym_attribute,
    STATE(11618), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544690] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10494), 1,
      sym__class_expression,
    STATE(11067), 1,
      sym_attribute,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [544798] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13374), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(11069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [544842] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(11070), 1,
      sym_attribute,
    STATE(11909), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544910] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_fun,
    STATE(2852), 1,
      sym__simple_class_expression,
    STATE(11071), 1,
      sym_attribute,
    STATE(11673), 1,
      sym__class_expression,
    STATE(20542), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544978] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(11072), 1,
      sym_attribute,
    STATE(11738), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [545046] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(11073), 1,
      sym_attribute,
    STATE(11670), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [545114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9326), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545154] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10546), 1,
      sym__class_expression,
    STATE(11075), 1,
      sym_attribute,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [545222] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10548), 1,
      sym__class_expression,
    STATE(11076), 1,
      sym_attribute,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [545290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9094), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545330] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      sym__lowercase_identifier,
    ACTIONS(13538), 1,
      anon_sym_COLON2,
    STATE(11078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12727), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12729), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [545376] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(11079), 1,
      sym_attribute,
    STATE(11667), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [545444] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(11080), 1,
      sym_attribute,
    STATE(11673), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [545512] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13318), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_let,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_LBRACK,
    ACTIONS(13326), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_fun,
    ACTIONS(13330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(11081), 1,
      sym_attribute,
    STATE(11909), 1,
      sym__class_expression,
    STATE(19736), 1,
      sym_value_definition,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [545580] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_object,
    ACTIONS(9724), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9726), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13382), 1,
      sym__lowercase_identifier,
    ACTIONS(13384), 1,
      anon_sym_let,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_fun,
    STATE(2875), 1,
      sym__simple_class_expression,
    STATE(11082), 1,
      sym_attribute,
    STATE(11756), 1,
      sym__class_expression,
    STATE(20487), 1,
      sym_module_path,
    STATE(20926), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10547), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8815), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [545648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9098), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9334), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12651), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [545767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10694), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10692), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [545806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12797), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [545845] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11088), 1,
      sym_attribute,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12671), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [545900] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11089), 1,
      sym_attribute,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [545955] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11090), 1,
      sym_attribute,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12679), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [546010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13546), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13544), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546049] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11092), 1,
      sym_attribute,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12619), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [546104] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(11093), 1,
      sym_attribute,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12619), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [546153] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13550), 1,
      anon_sym_let,
    ACTIONS(13552), 1,
      anon_sym_EQ,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11094), 1,
      sym_attribute,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11442), 1,
      aux_sym_type_binding_repeat1,
    STATE(11719), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13548), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546206] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(11095), 1,
      sym_attribute,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12679), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [546255] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10999), 1,
      sym__simple_type,
    STATE(11096), 1,
      sym_attribute,
    STATE(19213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546318] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10710), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10708), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [546357] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10714), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10712), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [546396] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_DASH_GT,
    ACTIONS(13560), 1,
      anon_sym_as,
    STATE(11099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13556), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13554), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546439] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11100), 1,
      sym_attribute,
    STATE(12175), 1,
      sym__simple_type,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546502] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(11101), 1,
      sym_attribute,
    STATE(12347), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546565] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10662), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10660), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [546604] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(11103), 1,
      sym_attribute,
    STATE(12721), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546667] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(11104), 1,
      sym_attribute,
    STATE(12724), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546730] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11105), 1,
      sym_attribute,
    STATE(12178), 1,
      sym__simple_type,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546793] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(11106), 1,
      sym_attribute,
    STATE(12735), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546856] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11107), 1,
      sym_attribute,
    STATE(12179), 1,
      sym__simple_type,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546919] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13564), 1,
      anon_sym_let,
    ACTIONS(13566), 1,
      anon_sym_DQUOTE,
    STATE(11108), 1,
      sym_attribute,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(11852), 1,
      aux_sym_external_repeat1,
    STATE(12114), 1,
      aux_sym_expression_item_repeat1,
    STATE(12371), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13562), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546970] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(11109), 1,
      sym_attribute,
    STATE(12748), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547033] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(11110), 1,
      sym_attribute,
    STATE(12750), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547096] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(11111), 1,
      sym_attribute,
    STATE(12761), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547159] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547200] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11113), 1,
      sym_attribute,
    STATE(11962), 1,
      sym__simple_type,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9302), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [547302] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(11115), 1,
      sym_attribute,
    STATE(11591), 1,
      sym__simple_type,
    STATE(18380), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547365] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(11116), 1,
      sym_attribute,
    STATE(11932), 1,
      sym__simple_type,
    STATE(18380), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547428] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(11117), 1,
      sym_attribute,
    STATE(11941), 1,
      sym__simple_type,
    STATE(18380), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547491] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [547532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12727), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10338), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [547610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9306), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [547649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9310), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [547688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547727] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13110), 1,
      anon_sym_let,
    STATE(11124), 1,
      sym_attribute,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11742), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13112), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13108), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9314), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [547813] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13570), 1,
      sym_pow_operator,
    ACTIONS(13572), 1,
      sym_mult_operator,
    ACTIONS(13574), 1,
      sym_concat_operator,
    ACTIONS(13576), 1,
      sym_rel_operator,
    ACTIONS(13578), 1,
      sym_and_operator,
    ACTIONS(13580), 1,
      sym_or_operator,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [547870] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13584), 1,
      anon_sym_let,
    ACTIONS(13586), 1,
      anon_sym_EQ,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11127), 1,
      sym_attribute,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11401), 1,
      aux_sym_type_binding_repeat1,
    STATE(11713), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13582), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547923] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(11128), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [547972] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(11129), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12679), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [548021] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13570), 1,
      sym_pow_operator,
    ACTIONS(13572), 1,
      sym_mult_operator,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [548070] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13570), 1,
      sym_pow_operator,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [548113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12611), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12609), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548152] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(11133), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12619), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [548201] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(11134), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13513), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [548250] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(11135), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13517), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [548299] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13104), 1,
      sym__lowercase_identifier,
    ACTIONS(13106), 1,
      anon_sym_POUND,
    STATE(11136), 1,
      sym_attribute,
    STATE(11244), 1,
      sym_type_constructor_path,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13534), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13536), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [548348] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    ACTIONS(13588), 1,
      anon_sym_STAR,
    STATE(11137), 1,
      sym_attribute,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(12925), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12996), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [548401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10356), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [548440] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(11139), 1,
      sym_attribute,
    STATE(11918), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12729), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548542] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11323), 1,
      anon_sym_LPAREN,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11331), 1,
      anon_sym_LT,
    ACTIONS(11333), 1,
      anon_sym_POUND,
    ACTIONS(11335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11339), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    STATE(11141), 1,
      sym_attribute,
    STATE(12246), 1,
      sym__simple_type,
    STATE(18364), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548605] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(11142), 1,
      sym_attribute,
    STATE(11199), 1,
      sym__simple_type,
    STATE(18572), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548668] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(11095), 1,
      sym__simple_type,
    STATE(11143), 1,
      sym_attribute,
    STATE(18572), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548731] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(11144), 1,
      sym_attribute,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13513), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [548780] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(11145), 1,
      sym_attribute,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13517), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [548829] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(11093), 1,
      sym__simple_type,
    STATE(11146), 1,
      sym_attribute,
    STATE(18572), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548892] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(11144), 1,
      sym__simple_type,
    STATE(11147), 1,
      sym_attribute,
    STATE(18572), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548955] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(11145), 1,
      sym__simple_type,
    STATE(11148), 1,
      sym_attribute,
    STATE(18572), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549018] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(11149), 1,
      sym_attribute,
    STATE(11175), 1,
      sym__simple_type,
    STATE(18572), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549081] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13570), 1,
      sym_pow_operator,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [549124] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_COLON2,
    STATE(11151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [549165] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_DASH_GT,
    STATE(11152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13592), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13590), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549206] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13570), 1,
      sym_pow_operator,
    ACTIONS(13572), 1,
      sym_mult_operator,
    ACTIONS(13574), 1,
      sym_concat_operator,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [549257] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(11154), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13306), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [549306] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(11155), 1,
      sym_attribute,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12561), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [549361] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(11156), 1,
      sym_attribute,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12631), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [549416] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13570), 1,
      sym_pow_operator,
    ACTIONS(13572), 1,
      sym_mult_operator,
    ACTIONS(13574), 1,
      sym_concat_operator,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [549467] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13566), 1,
      anon_sym_DQUOTE,
    ACTIONS(13600), 1,
      anon_sym_let,
    STATE(11158), 1,
      sym_attribute,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(11852), 1,
      aux_sym_external_repeat1,
    STATE(12037), 1,
      aux_sym_expression_item_repeat1,
    STATE(12371), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13598), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549518] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(11159), 1,
      sym_attribute,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12671), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [549573] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(11160), 1,
      sym_attribute,
    STATE(11600), 1,
      sym__simple_type,
    STATE(18380), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549636] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13570), 1,
      sym_pow_operator,
    ACTIONS(13572), 1,
      sym_mult_operator,
    ACTIONS(13574), 1,
      sym_concat_operator,
    ACTIONS(13576), 1,
      sym_rel_operator,
    ACTIONS(13578), 1,
      sym_and_operator,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [549691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [549730] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(11163), 1,
      sym_attribute,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [549785] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(11164), 1,
      sym_attribute,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12679), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [549840] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13570), 1,
      sym_pow_operator,
    ACTIONS(13572), 1,
      sym_mult_operator,
    ACTIONS(13574), 1,
      sym_concat_operator,
    ACTIONS(13576), 1,
      sym_rel_operator,
    ACTIONS(13578), 1,
      sym_and_operator,
    ACTIONS(13580), 1,
      sym_or_operator,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [549897] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11355), 1,
      anon_sym_LPAREN,
    ACTIONS(11357), 1,
      anon_sym_LBRACK,
    ACTIONS(11359), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11361), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11363), 1,
      anon_sym_LT,
    ACTIONS(11365), 1,
      anon_sym_POUND,
    ACTIONS(11367), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11369), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11371), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13602), 1,
      sym__lowercase_identifier,
    STATE(11166), 1,
      sym_attribute,
    STATE(13564), 1,
      sym__simple_type,
    STATE(19051), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14167), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549960] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(10796), 1,
      sym__simple_type,
    STATE(11167), 1,
      sym_attribute,
    STATE(18572), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550023] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11168), 1,
      sym_attribute,
    STATE(11494), 1,
      sym__simple_type,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550086] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13570), 1,
      sym_pow_operator,
    ACTIONS(13572), 1,
      sym_mult_operator,
    ACTIONS(13574), 1,
      sym_concat_operator,
    ACTIONS(13576), 1,
      sym_rel_operator,
    ACTIONS(13578), 1,
      sym_and_operator,
    ACTIONS(13580), 1,
      sym_or_operator,
    ACTIONS(13604), 1,
      anon_sym_COMMA,
    ACTIONS(13606), 1,
      sym_assign_operator,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550147] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11170), 1,
      sym_attribute,
    STATE(11513), 1,
      sym__simple_type,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550210] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13570), 1,
      sym_pow_operator,
    ACTIONS(13572), 1,
      sym_mult_operator,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [550255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9304), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [550294] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13570), 1,
      sym_pow_operator,
    ACTIONS(13572), 1,
      sym_mult_operator,
    ACTIONS(13574), 1,
      sym_concat_operator,
    ACTIONS(13576), 1,
      sym_rel_operator,
    ACTIONS(13578), 1,
      sym_and_operator,
    ACTIONS(13580), 1,
      sym_or_operator,
    ACTIONS(13604), 1,
      anon_sym_COMMA,
    ACTIONS(13606), 1,
      sym_assign_operator,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550355] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11174), 1,
      sym_attribute,
    STATE(11548), 1,
      sym__simple_type,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550418] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(11175), 1,
      sym_attribute,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13534), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13536), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [550467] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11176), 1,
      sym_attribute,
    STATE(11562), 1,
      sym__simple_type,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550530] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11177), 1,
      sym_attribute,
    STATE(11578), 1,
      sym__simple_type,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9308), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [550632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9312), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [550671] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11180), 1,
      sym_attribute,
    STATE(11472), 1,
      sym__simple_type,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9316), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [550773] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(11182), 1,
      sym_attribute,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12619), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [550828] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(11135), 1,
      sym__simple_type,
    STATE(11183), 1,
      sym_attribute,
    STATE(18826), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550891] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    ACTIONS(13608), 1,
      anon_sym_STAR,
    STATE(11184), 1,
      sym_attribute,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(12824), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12996), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [550944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12685), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551022] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12078), 1,
      anon_sym_LPAREN,
    ACTIONS(12082), 1,
      anon_sym_LBRACK,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12086), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12088), 1,
      anon_sym_LT,
    ACTIONS(12090), 1,
      anon_sym_POUND,
    ACTIONS(12092), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12094), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12096), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13610), 1,
      sym__lowercase_identifier,
    STATE(10180), 1,
      sym__simple_type,
    STATE(11187), 1,
      sym_attribute,
    STATE(18448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10228), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12725), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551124] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11154), 1,
      sym__simple_type,
    STATE(11189), 1,
      sym_attribute,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11388), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551187] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(11190), 1,
      sym_attribute,
    STATE(11830), 1,
      sym__simple_type,
    STATE(18165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551250] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(11191), 1,
      sym_attribute,
    STATE(11930), 1,
      sym__simple_type,
    STATE(18165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551313] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(11192), 1,
      sym_attribute,
    STATE(11757), 1,
      sym__simple_type,
    STATE(18165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12675), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12615), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10356), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551493] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(11196), 1,
      sym_attribute,
    STATE(11848), 1,
      sym__simple_type,
    STATE(18165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551556] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(11197), 1,
      sym_attribute,
    STATE(11851), 1,
      sym__simple_type,
    STATE(18165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551619] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(11198), 1,
      sym_attribute,
    STATE(11609), 1,
      sym__simple_type,
    STATE(18165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551682] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_POUND,
    STATE(10733), 1,
      sym_type_constructor_path,
    STATE(11199), 1,
      sym_attribute,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [551731] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(11200), 1,
      sym_attribute,
    STATE(11658), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551833] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      sym__lowercase_identifier,
    ACTIONS(13612), 1,
      anon_sym_COLON2,
    STATE(11202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12727), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12729), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [551878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9304), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9308), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9312), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9316), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552073] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(11208), 1,
      sym_attribute,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12561), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [552128] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(11209), 1,
      sym_attribute,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12631), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [552183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12685), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552222] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11211), 1,
      sym_attribute,
    STATE(11677), 1,
      sym__simple_type,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12725), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552324] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10356), 1,
      sym__lowercase_identifier,
    STATE(11213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12609), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12611), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [552367] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12116), 1,
      anon_sym_LPAREN,
    ACTIONS(12120), 1,
      anon_sym_LBRACK,
    ACTIONS(12122), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12126), 1,
      anon_sym_LT,
    ACTIONS(12128), 1,
      anon_sym_POUND,
    ACTIONS(12130), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12132), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12134), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13618), 1,
      sym__lowercase_identifier,
    STATE(10413), 1,
      sym__simple_type,
    STATE(11214), 1,
      sym_attribute,
    STATE(19089), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10799), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12675), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12615), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552508] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(11217), 1,
      sym_attribute,
    STATE(11461), 1,
      sym__simple_type,
    STATE(18165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552571] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(11218), 1,
      sym_attribute,
    STATE(12041), 1,
      sym__simple_type,
    STATE(19203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552634] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(11219), 1,
      sym_attribute,
    STATE(12973), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552697] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(11220), 1,
      sym_attribute,
    STATE(12043), 1,
      sym__simple_type,
    STATE(19203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552760] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(11221), 1,
      sym_attribute,
    STATE(12980), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552823] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(11222), 1,
      sym_attribute,
    STATE(12057), 1,
      sym__simple_type,
    STATE(19203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552886] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(11223), 1,
      sym_attribute,
    STATE(12061), 1,
      sym__simple_type,
    STATE(19203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552949] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10336), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13620), 1,
      anon_sym_EQ,
    ACTIONS(13622), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11224), 1,
      sym_attribute,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11724), 1,
      aux_sym_expression_item_repeat1,
    STATE(12156), 1,
      sym__type_equation,
    STATE(12388), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13170), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [553006] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(11225), 1,
      sym_attribute,
    STATE(12062), 1,
      sym__simple_type,
    STATE(19203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553069] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(11226), 1,
      sym_attribute,
    STATE(12063), 1,
      sym__simple_type,
    STATE(19203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [553171] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13628), 1,
      anon_sym_let,
    STATE(11228), 1,
      sym_attribute,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11726), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13630), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13626), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553218] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(11229), 1,
      sym_attribute,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12671), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [553273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12781), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12805), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12781), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12627), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553468] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10336), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13632), 1,
      anon_sym_EQ,
    ACTIONS(13634), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11235), 1,
      sym_attribute,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11724), 1,
      aux_sym_expression_item_repeat1,
    STATE(12158), 1,
      sym__type_equation,
    STATE(12409), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13170), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [553525] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13638), 1,
      anon_sym_COLON,
    STATE(11236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10656), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10654), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [553566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12805), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553605] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(11238), 1,
      sym_attribute,
    STATE(12478), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12685), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [553707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12725), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [553746] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(11241), 1,
      sym_attribute,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [553801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12675), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [553840] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(11243), 1,
      sym_attribute,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12679), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [553895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12615), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [553934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12623), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10356), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [554012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12639), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [554051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12643), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [554090] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(13640), 1,
      anon_sym_COLON2,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11124), 1,
      sym__module_typed,
    STATE(11249), 1,
      sym_attribute,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11385), 1,
      aux_sym_module_binding_repeat1,
    STATE(11617), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12974), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12970), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554145] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12174), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12176), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12178), 1,
      anon_sym_LT,
    ACTIONS(12180), 1,
      anon_sym_POUND,
    ACTIONS(12182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13642), 1,
      sym__lowercase_identifier,
    STATE(11250), 1,
      sym_attribute,
    STATE(14012), 1,
      sym__simple_type,
    STATE(18499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14274), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554208] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11198), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(12765), 1,
      anon_sym_LPAREN,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12773), 1,
      anon_sym_LT,
    ACTIONS(12775), 1,
      anon_sym_POUND,
    ACTIONS(12777), 1,
      aux_sym_type_variable_token1,
    STATE(11251), 1,
      sym_attribute,
    STATE(11801), 1,
      sym__simple_type,
    STATE(19203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11966), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554271] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11252), 1,
      sym_attribute,
    STATE(11802), 1,
      sym__simple_type,
    STATE(19213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554334] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11253), 1,
      sym_attribute,
    STATE(11806), 1,
      sym__simple_type,
    STATE(19213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554397] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(11254), 1,
      sym_attribute,
    STATE(12498), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554460] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11255), 1,
      sym_attribute,
    STATE(11817), 1,
      sym__simple_type,
    STATE(19213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554523] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(11256), 1,
      sym_attribute,
    STATE(12502), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9304), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [554625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9308), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [554664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9312), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [554703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9316), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [554742] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11261), 1,
      sym_attribute,
    STATE(11835), 1,
      sym__simple_type,
    STATE(19213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554805] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11262), 1,
      sym_attribute,
    STATE(11836), 1,
      sym__simple_type,
    STATE(19213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554868] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(11263), 1,
      sym_attribute,
    STATE(11750), 1,
      sym__simple_type,
    STATE(18380), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554931] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(11264), 1,
      sym_attribute,
    STATE(11751), 1,
      sym__simple_type,
    STATE(18380), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554994] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11265), 1,
      sym_attribute,
    STATE(11839), 1,
      sym__simple_type,
    STATE(19213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555057] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13570), 1,
      sym_pow_operator,
    ACTIONS(13572), 1,
      sym_mult_operator,
    ACTIONS(13574), 1,
      sym_concat_operator,
    ACTIONS(13576), 1,
      sym_rel_operator,
    ACTIONS(13578), 1,
      sym_and_operator,
    ACTIONS(13580), 1,
      sym_or_operator,
    ACTIONS(13604), 1,
      anon_sym_COMMA,
    ACTIONS(13606), 1,
      sym_assign_operator,
    ACTIONS(13644), 1,
      anon_sym_SEMI,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555120] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11274), 1,
      anon_sym_LT,
    ACTIONS(11276), 1,
      anon_sym_POUND,
    ACTIONS(11278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    STATE(11267), 1,
      sym_attribute,
    STATE(12519), 1,
      sym__simple_type,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555183] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13570), 1,
      sym_pow_operator,
    ACTIONS(13572), 1,
      sym_mult_operator,
    ACTIONS(13574), 1,
      sym_concat_operator,
    ACTIONS(13576), 1,
      sym_rel_operator,
    ACTIONS(13578), 1,
      sym_and_operator,
    ACTIONS(13580), 1,
      sym_or_operator,
    ACTIONS(13604), 1,
      anon_sym_COMMA,
    ACTIONS(13606), 1,
      sym_assign_operator,
    ACTIONS(13646), 1,
      anon_sym_SEMI,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555246] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(11269), 1,
      sym_attribute,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12619), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [555301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12761), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12785), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12789), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12813), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12817), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12793), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12797), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555691] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [555732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12627), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555771] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12635), 1,
      sym__lowercase_identifier,
    STATE(11282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(13334), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13336), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [555814] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13570), 1,
      sym_pow_operator,
    ACTIONS(13572), 1,
      sym_mult_operator,
    ACTIONS(13574), 1,
      sym_concat_operator,
    ACTIONS(13576), 1,
      sym_rel_operator,
    ACTIONS(13578), 1,
      sym_and_operator,
    ACTIONS(13580), 1,
      sym_or_operator,
    ACTIONS(13604), 1,
      anon_sym_COMMA,
    ACTIONS(13606), 1,
      sym_assign_operator,
    STATE(2339), 1,
      sym_add_operator,
    STATE(11283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555875] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_DASH_GT,
    ACTIONS(13560), 1,
      anon_sym_as,
    STATE(11284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13650), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13648), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [555918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13654), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13652), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [555957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [555996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12781), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [556035] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9148), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [556074] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12206), 1,
      anon_sym_LPAREN,
    ACTIONS(12210), 1,
      anon_sym_LBRACK,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12214), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12216), 1,
      anon_sym_LT,
    ACTIONS(12218), 1,
      anon_sym_POUND,
    ACTIONS(12220), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12222), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13656), 1,
      sym__lowercase_identifier,
    STATE(11289), 1,
      sym_attribute,
    STATE(14284), 1,
      sym__simple_type,
    STATE(19001), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14547), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556137] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LT,
    ACTIONS(10626), 1,
      anon_sym_POUND,
    ACTIONS(10628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10630), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10632), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11290), 1,
      sym_attribute,
    STATE(11443), 1,
      sym__simple_type,
    STATE(19213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12805), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [556239] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(11292), 1,
      sym_attribute,
    STATE(11991), 1,
      sym__simple_type,
    STATE(18186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556302] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LT,
    ACTIONS(10594), 1,
      anon_sym_POUND,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10600), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    STATE(10911), 1,
      sym__simple_type,
    STATE(11293), 1,
      sym_attribute,
    STATE(18165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11123), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556365] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(11294), 1,
      sym_attribute,
    STATE(12018), 1,
      sym__simple_type,
    STATE(18186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556428] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(11136), 1,
      sym__simple_type,
    STATE(11295), 1,
      sym_attribute,
    STATE(18826), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12627), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [556530] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_DASH_GT,
    ACTIONS(13560), 1,
      anon_sym_as,
    STATE(11297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13660), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13658), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556573] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(11298), 1,
      sym_attribute,
    STATE(11996), 1,
      sym__simple_type,
    STATE(18186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556636] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(10922), 1,
      sym__simple_type,
    STATE(11299), 1,
      sym_attribute,
    STATE(18826), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556699] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(11300), 1,
      sym_attribute,
    STATE(15486), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12623), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [556801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12639), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [556840] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(11303), 1,
      sym_attribute,
    STATE(12154), 1,
      sym__simple_type,
    STATE(18186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12643), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [556942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12651), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [556981] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(11306), 1,
      sym_attribute,
    STATE(12177), 1,
      sym__simple_type,
    STATE(18186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557044] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(11307), 1,
      sym_attribute,
    STATE(11973), 1,
      sym__simple_type,
    STATE(18186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12761), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12785), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12789), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12813), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12817), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557341] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10301), 1,
      sym__simple_type,
    STATE(11314), 1,
      sym_attribute,
    STATE(18479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12355), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(12353), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [557521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12793), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557560] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11319), 1,
      sym_attribute,
    STATE(12142), 1,
      sym__simple_type,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12797), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557662] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(11321), 1,
      sym_attribute,
    STATE(15013), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557725] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(11322), 1,
      sym_attribute,
    STATE(15015), 1,
      sym__simple_type,
    STATE(18979), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557788] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10706), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10704), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [557827] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(11324), 1,
      sym_attribute,
    STATE(15017), 1,
      sym__simple_type,
    STATE(18979), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557890] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13662), 1,
      anon_sym_STAR,
    STATE(11325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11433), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11431), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557931] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(11326), 1,
      sym_attribute,
    STATE(15141), 1,
      sym__simple_type,
    STATE(18979), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557994] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11997), 1,
      anon_sym_LPAREN,
    ACTIONS(12001), 1,
      anon_sym_LBRACK,
    ACTIONS(12003), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12005), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12007), 1,
      anon_sym_LT,
    ACTIONS(12009), 1,
      anon_sym_POUND,
    ACTIONS(12011), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12013), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12015), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13664), 1,
      sym__lowercase_identifier,
    STATE(10465), 1,
      sym__simple_type,
    STATE(11327), 1,
      sym_attribute,
    STATE(18638), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10784), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558057] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(12593), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12601), 1,
      anon_sym_LT,
    ACTIONS(12603), 1,
      anon_sym_POUND,
    ACTIONS(12605), 1,
      aux_sym_type_variable_token1,
    STATE(11328), 1,
      sym_attribute,
    STATE(11926), 1,
      sym__simple_type,
    STATE(18186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12195), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558120] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(11329), 1,
      sym_attribute,
    STATE(15202), 1,
      sym__simple_type,
    STATE(18979), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558183] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(11330), 1,
      sym_attribute,
    STATE(15203), 1,
      sym__simple_type,
    STATE(18979), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558246] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(11331), 1,
      sym_attribute,
    STATE(15233), 1,
      sym__simple_type,
    STATE(18979), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12623), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558348] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    ACTIONS(13666), 1,
      anon_sym_STAR,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(11333), 1,
      sym_attribute,
    STATE(12480), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12996), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [558401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12639), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12643), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558518] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12697), 1,
      anon_sym_LT,
    ACTIONS(12699), 1,
      anon_sym_POUND,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12705), 1,
      aux_sym_type_variable_token1,
    STATE(11337), 1,
      sym_attribute,
    STATE(11781), 1,
      sym__simple_type,
    STATE(18380), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11710), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12729), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558620] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8911), 1,
      anon_sym_LT,
    ACTIONS(8913), 1,
      anon_sym_POUND,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(11339), 1,
      sym_attribute,
    STATE(13099), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13645), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558683] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11340), 1,
      sym_attribute,
    STATE(12143), 1,
      sym__simple_type,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558746] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_COLON2,
    STATE(11341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12729), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [558826] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      anon_sym_LPAREN,
    ACTIONS(12150), 1,
      anon_sym_LBRACK,
    ACTIONS(12152), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12154), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12156), 1,
      anon_sym_LT,
    ACTIONS(12158), 1,
      anon_sym_POUND,
    ACTIONS(12160), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12162), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12164), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13668), 1,
      sym__lowercase_identifier,
    STATE(10207), 1,
      sym__simple_type,
    STATE(11343), 1,
      sym_attribute,
    STATE(19066), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10554), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558928] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9674), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9672), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [558967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12761), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12785), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [559084] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10336), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13622), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    ACTIONS(13670), 1,
      anon_sym_EQ,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11349), 1,
      sym_attribute,
    STATE(11623), 1,
      aux_sym_expression_item_repeat1,
    STATE(12157), 1,
      sym__type_equation,
    STATE(12392), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13058), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12789), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12813), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12817), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559258] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11232), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13672), 1,
      sym__lowercase_identifier,
    STATE(11353), 1,
      sym_attribute,
    STATE(12457), 1,
      sym__simple_type,
    STATE(18184), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559321] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8524), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_LPAREN,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12663), 1,
      anon_sym_LT,
    ACTIONS(12665), 1,
      anon_sym_POUND,
    ACTIONS(12667), 1,
      aux_sym_type_variable_token1,
    STATE(11354), 1,
      sym_attribute,
    STATE(14864), 1,
      sym__simple_type,
    STATE(18979), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559384] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10906), 1,
      sym__simple_type,
    STATE(11355), 1,
      sym_attribute,
    STATE(18479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559486] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10912), 1,
      sym__simple_type,
    STATE(11357), 1,
      sym_attribute,
    STATE(18479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559549] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10945), 1,
      sym__simple_type,
    STATE(11358), 1,
      sym_attribute,
    STATE(18479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559612] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(11029), 1,
      sym__simple_type,
    STATE(11359), 1,
      sym_attribute,
    STATE(18479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559675] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(11036), 1,
      sym__simple_type,
    STATE(11360), 1,
      sym_attribute,
    STATE(18479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559738] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13674), 1,
      anon_sym_LPAREN,
    ACTIONS(13676), 1,
      anon_sym_LBRACK,
    STATE(11361), 1,
      sym_attribute,
    STATE(12080), 1,
      sym__constructor_name,
    STATE(13007), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13220), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13678), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13218), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559789] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(11053), 1,
      sym__simple_type,
    STATE(11362), 1,
      sym_attribute,
    STATE(18479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559852] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(13680), 1,
      anon_sym_COLON2,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11124), 1,
      sym__module_typed,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11363), 1,
      sym_attribute,
    STATE(11386), 1,
      aux_sym_module_binding_repeat1,
    STATE(11617), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12974), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12970), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559907] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13682), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11715), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11364), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(13257), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13255), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [559950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559989] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10336), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13634), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    ACTIONS(13685), 1,
      anon_sym_EQ,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11366), 1,
      sym_attribute,
    STATE(11623), 1,
      aux_sym_expression_item_repeat1,
    STATE(12159), 1,
      sym__type_equation,
    STATE(12416), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13058), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [560046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13689), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13687), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560085] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [560126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [560165] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    STATE(10485), 1,
      sym__simple_type,
    STATE(11370), 1,
      sym_attribute,
    STATE(18572), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560228] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11371), 1,
      sym_attribute,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12561), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [560283] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11372), 1,
      sym_attribute,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12631), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [560338] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10546), 1,
      anon_sym_LT,
    ACTIONS(10548), 1,
      anon_sym_POUND,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10554), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    STATE(10728), 1,
      sym__simple_type,
    STATE(11373), 1,
      sym_attribute,
    STATE(18479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10305), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560401] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(11128), 1,
      sym__simple_type,
    STATE(11374), 1,
      sym_attribute,
    STATE(18826), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560464] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(11129), 1,
      sym__simple_type,
    STATE(11375), 1,
      sym_attribute,
    STATE(18826), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12793), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [560566] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(11133), 1,
      sym__simple_type,
    STATE(11377), 1,
      sym_attribute,
    STATE(18826), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560629] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13691), 1,
      anon_sym_POUND,
    STATE(11378), 1,
      sym_attribute,
    STATE(11601), 1,
      sym_type_constructor_path,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12437), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [560678] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13693), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11379), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13525), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560721] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12741), 1,
      anon_sym_LT,
    ACTIONS(12743), 1,
      anon_sym_POUND,
    ACTIONS(12745), 1,
      aux_sym_type_variable_token1,
    STATE(11134), 1,
      sym__simple_type,
    STATE(11380), 1,
      sym_attribute,
    STATE(18826), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11227), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560784] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13696), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11381), 1,
      sym_attribute,
    STATE(11383), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13469), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13467), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560829] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13696), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11382), 1,
      sym_attribute,
    STATE(11384), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13483), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13481), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560874] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13696), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11379), 1,
      aux_sym_type_binding_repeat1,
    STATE(11383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13483), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13481), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560919] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13696), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11379), 1,
      aux_sym_type_binding_repeat1,
    STATE(11384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13509), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13507), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560964] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(13640), 1,
      anon_sym_COLON2,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11228), 1,
      sym__module_typed,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11385), 1,
      sym_attribute,
    STATE(11742), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13112), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13108), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561019] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(13680), 1,
      anon_sym_COLON2,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11228), 1,
      sym__module_typed,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11386), 1,
      sym_attribute,
    STATE(11742), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13112), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13108), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12651), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [561113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [561151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8971), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(8969), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561189] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11390), 1,
      sym_attribute,
    STATE(11557), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13700), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13698), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [561233] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    STATE(11391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13660), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13658), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12785), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [561313] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13706), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11393), 1,
      sym_attribute,
    STATE(11565), 1,
      aux_sym_type_binding_repeat1,
    STATE(11876), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13704), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561363] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13710), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11394), 1,
      sym_attribute,
    STATE(11885), 1,
      aux_sym_expression_item_repeat1,
    STATE(12130), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13708), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12789), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [561451] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13716), 1,
      anon_sym_and,
    STATE(11396), 1,
      sym_attribute,
    STATE(11474), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13714), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13712), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12813), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [561531] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    STATE(11398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13556), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13554), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561573] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13720), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11399), 1,
      sym_attribute,
    STATE(11585), 1,
      aux_sym_type_binding_repeat1,
    STATE(11912), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13718), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12817), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [561661] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13724), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11401), 1,
      sym_attribute,
    STATE(11919), 1,
      aux_sym_expression_item_repeat1,
    STATE(12130), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13722), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561711] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10356), 1,
      sym__lowercase_identifier,
    STATE(11402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12609), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12611), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [561753] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9202), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12996), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12563), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561829] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8183), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8179), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561867] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10296), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561905] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9210), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561943] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13730), 1,
      anon_sym_EQ,
    ACTIONS(13732), 1,
      anon_sym_of,
    ACTIONS(13734), 1,
      anon_sym_COLON2,
    STATE(11408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13728), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13726), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561987] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_EQ,
    ACTIONS(13742), 1,
      anon_sym_of,
    ACTIONS(13744), 1,
      anon_sym_COLON2,
    STATE(11409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13738), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13736), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562031] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13750), 1,
      anon_sym_EQ,
    ACTIONS(13752), 1,
      anon_sym_of,
    ACTIONS(13754), 1,
      anon_sym_COLON2,
    STATE(11410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13748), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13746), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562075] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13756), 1,
      anon_sym_STAR,
    STATE(11411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11433), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11431), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9214), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [562153] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13762), 1,
      anon_sym_RPAREN,
    ACTIONS(13764), 1,
      anon_sym__,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13774), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11413), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17250), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [562219] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11414), 1,
      sym_attribute,
    STATE(11968), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17254), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [562285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [562323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [562361] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11417), 1,
      sym_attribute,
    STATE(11504), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13782), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13780), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [562405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [562443] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12635), 1,
      sym__lowercase_identifier,
    STATE(11419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(13334), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13336), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [562485] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13762), 1,
      anon_sym_RPAREN,
    ACTIONS(13764), 1,
      anon_sym__,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13774), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11420), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17762), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [562551] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13784), 1,
      anon_sym_POUND,
    STATE(11421), 1,
      sym_attribute,
    STATE(12071), 1,
      sym_type_constructor_path,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12437), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [562599] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    STATE(11422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13592), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13590), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562639] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13786), 1,
      anon_sym_POUND,
    STATE(11423), 1,
      sym_attribute,
    STATE(11993), 1,
      sym_type_constructor_path,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12437), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [562687] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [562727] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13788), 1,
      anon_sym_else,
    STATE(9246), 1,
      sym_else_clause,
    STATE(11425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [562769] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    ACTIONS(13790), 1,
      anon_sym_STAR,
    STATE(11426), 1,
      sym_attribute,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(13152), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12996), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [562821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12793), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [562859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12797), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [562897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [562935] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13794), 1,
      sym_pow_operator,
    ACTIONS(13796), 1,
      sym_mult_operator,
    ACTIONS(13798), 1,
      sym_concat_operator,
    ACTIONS(13800), 1,
      sym_rel_operator,
    ACTIONS(13802), 1,
      sym_and_operator,
    ACTIONS(13804), 1,
      sym_or_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11494), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [562991] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13794), 1,
      sym_pow_operator,
    ACTIONS(13796), 1,
      sym_mult_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [563039] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13794), 1,
      sym_pow_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [563081] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13794), 1,
      sym_pow_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [563123] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13794), 1,
      sym_pow_operator,
    ACTIONS(13796), 1,
      sym_mult_operator,
    ACTIONS(13798), 1,
      sym_concat_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [563173] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13794), 1,
      sym_pow_operator,
    ACTIONS(13796), 1,
      sym_mult_operator,
    ACTIONS(13798), 1,
      sym_concat_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [563223] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13794), 1,
      sym_pow_operator,
    ACTIONS(13796), 1,
      sym_mult_operator,
    ACTIONS(13798), 1,
      sym_concat_operator,
    ACTIONS(13800), 1,
      sym_rel_operator,
    ACTIONS(13802), 1,
      sym_and_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [563277] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13794), 1,
      sym_pow_operator,
    ACTIONS(13796), 1,
      sym_mult_operator,
    ACTIONS(13798), 1,
      sym_concat_operator,
    ACTIONS(13800), 1,
      sym_rel_operator,
    ACTIONS(13802), 1,
      sym_and_operator,
    ACTIONS(13804), 1,
      sym_or_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [563333] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13794), 1,
      sym_pow_operator,
    ACTIONS(13796), 1,
      sym_mult_operator,
    ACTIONS(13798), 1,
      sym_concat_operator,
    ACTIONS(13800), 1,
      sym_rel_operator,
    ACTIONS(13802), 1,
      sym_and_operator,
    ACTIONS(13804), 1,
      sym_or_operator,
    ACTIONS(13806), 1,
      anon_sym_COMMA,
    ACTIONS(13808), 1,
      sym_assign_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [563393] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13794), 1,
      sym_pow_operator,
    ACTIONS(13796), 1,
      sym_mult_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [563437] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13794), 1,
      sym_pow_operator,
    ACTIONS(13796), 1,
      sym_mult_operator,
    ACTIONS(13798), 1,
      sym_concat_operator,
    ACTIONS(13800), 1,
      sym_rel_operator,
    ACTIONS(13802), 1,
      sym_and_operator,
    ACTIONS(13804), 1,
      sym_or_operator,
    ACTIONS(13806), 1,
      anon_sym_COMMA,
    ACTIONS(13808), 1,
      sym_assign_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11444), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [563497] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13794), 1,
      sym_pow_operator,
    ACTIONS(13796), 1,
      sym_mult_operator,
    ACTIONS(13798), 1,
      sym_concat_operator,
    ACTIONS(13800), 1,
      sym_rel_operator,
    ACTIONS(13802), 1,
      sym_and_operator,
    ACTIONS(13804), 1,
      sym_or_operator,
    ACTIONS(13806), 1,
      anon_sym_COMMA,
    ACTIONS(13808), 1,
      sym_assign_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11454), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [563557] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13812), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11442), 1,
      sym_attribute,
    STATE(11706), 1,
      aux_sym_expression_item_repeat1,
    STATE(12130), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563607] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(11443), 1,
      sym_attribute,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13306), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [563655] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11444), 1,
      sym_attribute,
    STATE(12022), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17707), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [563721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10868), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10866), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12355), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(12353), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [563797] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13814), 1,
      aux_sym_attribute_id_token1,
    STATE(11447), 1,
      sym_attribute,
    STATE(11479), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9971), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9973), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563839] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10796), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10794), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563877] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9302), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563915] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10806), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10804), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563953] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10808), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10814), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10812), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564029] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11453), 1,
      sym_attribute,
    STATE(12030), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17992), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [564095] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13550), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11454), 1,
      sym_attribute,
    STATE(11719), 1,
      aux_sym_expression_item_repeat1,
    STATE(12130), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13548), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10818), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10816), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10338), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [564221] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11457), 1,
      sym_attribute,
    STATE(11715), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13818), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13816), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [564265] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11458), 1,
      sym_attribute,
    STATE(11526), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13822), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13820), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [564309] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10858), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10856), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13826), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13824), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564385] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(11461), 1,
      sym_attribute,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13306), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [564433] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11462), 1,
      sym_attribute,
    STATE(12046), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17763), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [564499] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13830), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11463), 1,
      sym_attribute,
    STATE(11744), 1,
      aux_sym_expression_item_repeat1,
    STATE(12130), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13828), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564549] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [564589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [564627] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13834), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11466), 1,
      sym_attribute,
    STATE(11746), 1,
      aux_sym_expression_item_repeat1,
    STATE(12130), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13832), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564677] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13836), 1,
      anon_sym_else,
    STATE(9347), 1,
      sym_else_clause,
    STATE(11467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [564719] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13840), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11468), 1,
      sym_attribute,
    STATE(11531), 1,
      aux_sym_type_binding_repeat1,
    STATE(11747), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13838), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564769] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9306), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9310), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564845] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11471), 1,
      sym_attribute,
    STATE(12059), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17429), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [564911] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(11472), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13534), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13536), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [564959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [564997] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13716), 1,
      anon_sym_and,
    STATE(11474), 1,
      sym_attribute,
    STATE(11533), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13844), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13842), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565039] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13584), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11475), 1,
      sym_attribute,
    STATE(11713), 1,
      aux_sym_expression_item_repeat1,
    STATE(12130), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13582), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565089] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13848), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11394), 1,
      aux_sym_type_binding_repeat1,
    STATE(11476), 1,
      sym_attribute,
    STATE(11709), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13846), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565139] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10860), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12623), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [565215] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13814), 1,
      aux_sym_attribute_id_token1,
    STATE(11479), 1,
      sym_attribute,
    STATE(11547), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10093), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12639), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [565295] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10324), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565333] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11482), 1,
      sym_attribute,
    STATE(12076), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17589), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [565399] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9220), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565437] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9224), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565475] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13850), 1,
      anon_sym_PIPE,
    STATE(11485), 1,
      sym_attribute,
    STATE(11487), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [565517] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13850), 1,
      anon_sym_PIPE,
    STATE(11486), 1,
      sym_attribute,
    STATE(11488), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [565559] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13850), 1,
      anon_sym_PIPE,
    STATE(11487), 1,
      sym_attribute,
    STATE(11489), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [565601] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13850), 1,
      anon_sym_PIPE,
    STATE(11488), 1,
      sym_attribute,
    STATE(11489), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [565643] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13852), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11489), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [565683] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11490), 1,
      sym_attribute,
    STATE(12082), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16886), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [565749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9314), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565787] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11492), 1,
      sym_attribute,
    STATE(12086), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17224), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [565853] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9228), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565891] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(11494), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [565939] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9244), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12643), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566015] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11497), 1,
      sym_attribute,
    STATE(12090), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17710), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [566081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9270), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [566119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12651), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566157] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10742), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10740), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [566195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12781), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566233] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11502), 1,
      sym_attribute,
    STATE(12096), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17481), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [566299] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11503), 1,
      sym_attribute,
    STATE(12009), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17021), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [566365] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11504), 1,
      sym_attribute,
    STATE(11715), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13857), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13855), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [566409] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11505), 1,
      sym_attribute,
    STATE(12103), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16872), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [566475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10292), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [566513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10746), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10744), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [566551] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11508), 1,
      sym_attribute,
    STATE(12107), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17500), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [566617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10750), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10748), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [566655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10768), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10766), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [566693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10850), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10848), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [566731] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10756), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10754), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [566769] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(11513), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12679), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [566817] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13836), 1,
      anon_sym_else,
    STATE(9246), 1,
      sym_else_clause,
    STATE(11514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [566859] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10378), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [566897] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11516), 1,
      sym_attribute,
    STATE(12111), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16598), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [566963] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9180), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567001] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11518), 1,
      sym_attribute,
    STATE(12112), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16702), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567067] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13859), 1,
      aux_sym_attribute_id_token1,
    STATE(11519), 1,
      sym_attribute,
    STATE(11535), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9971), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9973), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567109] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9248), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567147] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11521), 1,
      sym_attribute,
    STATE(12115), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16780), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567213] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [567253] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11523), 1,
      sym_attribute,
    STATE(12118), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16849), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567319] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10764), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10762), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567357] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10828), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567395] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11526), 1,
      sym_attribute,
    STATE(11715), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13863), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13861), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [567439] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11527), 1,
      sym_attribute,
    STATE(11544), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13867), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13865), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [567483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13871), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13869), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567521] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11529), 1,
      sym_attribute,
    STATE(12121), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16942), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567587] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9252), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567625] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13875), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11531), 1,
      sym_attribute,
    STATE(11780), 1,
      aux_sym_expression_item_repeat1,
    STATE(12130), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13873), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567675] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9282), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567713] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13877), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13276), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11533), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13274), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567753] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11534), 1,
      sym_attribute,
    STATE(12124), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17018), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567819] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13859), 1,
      aux_sym_attribute_id_token1,
    STATE(11535), 1,
      sym_attribute,
    STATE(11542), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10093), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567861] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11536), 1,
      sym_attribute,
    STATE(12125), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17120), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10356), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [567965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10656), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10654), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568003] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11539), 1,
      sym_attribute,
    STATE(12126), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17241), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [568069] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11540), 1,
      sym_attribute,
    STATE(12129), 1,
      sym__attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17377), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [568135] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10844), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568173] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13880), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11542), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10113), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10115), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10836), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568251] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11544), 1,
      sym_attribute,
    STATE(11715), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13885), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13883), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [568295] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [568335] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13788), 1,
      anon_sym_else,
    STATE(9347), 1,
      sym_else_clause,
    STATE(11546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [568377] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13887), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11547), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10113), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10115), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568417] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(11548), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12619), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [568465] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10788), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10786), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568503] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    ACTIONS(13890), 1,
      anon_sym_STAR,
    STATE(11550), 1,
      sym_attribute,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(13102), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12996), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [568555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12729), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [568593] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10720), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10718), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568631] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10226), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568669] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11457), 1,
      aux_sym_expression_item_repeat1,
    STATE(11554), 1,
      sym_attribute,
    STATE(11715), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13894), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13892), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [568713] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10354), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568751] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10822), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10820), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568789] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11557), 1,
      sym_attribute,
    STATE(11715), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13898), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13896), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [568833] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10826), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10824), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12805), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [568909] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13794), 1,
      sym_pow_operator,
    ACTIONS(13796), 1,
      sym_mult_operator,
    ACTIONS(13798), 1,
      sym_concat_operator,
    ACTIONS(13800), 1,
      sym_rel_operator,
    ACTIONS(13802), 1,
      sym_and_operator,
    ACTIONS(13804), 1,
      sym_or_operator,
    ACTIONS(13806), 1,
      anon_sym_COMMA,
    ACTIONS(13808), 1,
      sym_assign_operator,
    ACTIONS(13900), 1,
      anon_sym_SEMI,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [568971] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13550), 1,
      anon_sym_let,
    ACTIONS(13902), 1,
      anon_sym_EQ,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11561), 1,
      sym_attribute,
    STATE(11719), 1,
      aux_sym_expression_item_repeat1,
    STATE(11861), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13548), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569023] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(11562), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13513), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [569071] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13584), 1,
      anon_sym_let,
    ACTIONS(13904), 1,
      anon_sym_EQ,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11563), 1,
      sym_attribute,
    STATE(11713), 1,
      aux_sym_expression_item_repeat1,
    STATE(11867), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13582), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569123] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11564), 1,
      sym_attribute,
    STATE(11715), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13908), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13906), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [569167] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13912), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11565), 1,
      sym_attribute,
    STATE(11844), 1,
      aux_sym_expression_item_repeat1,
    STATE(12130), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13910), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569217] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10770), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13916), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13914), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569293] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13794), 1,
      sym_pow_operator,
    ACTIONS(13796), 1,
      sym_mult_operator,
    ACTIONS(13798), 1,
      sym_concat_operator,
    ACTIONS(13800), 1,
      sym_rel_operator,
    ACTIONS(13802), 1,
      sym_and_operator,
    ACTIONS(13804), 1,
      sym_or_operator,
    ACTIONS(13806), 1,
      anon_sym_COMMA,
    ACTIONS(13808), 1,
      sym_assign_operator,
    STATE(2758), 1,
      sym_add_operator,
    STATE(11568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11474), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11472), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [569353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10776), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10774), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569391] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10780), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10778), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569429] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13220), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13918), 1,
      anon_sym_LPAREN,
    ACTIONS(13920), 1,
      anon_sym_LBRACK,
    STATE(11571), 1,
      sym_attribute,
    STATE(12286), 1,
      sym__constructor_name,
    STATE(13227), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13922), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13218), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569479] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13220), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13924), 1,
      anon_sym_LPAREN,
    ACTIONS(13926), 1,
      anon_sym_LBRACK,
    STATE(11572), 1,
      sym_attribute,
    STATE(12295), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13928), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13218), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569529] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10782), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569567] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13932), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11463), 1,
      aux_sym_type_binding_repeat1,
    STATE(11574), 1,
      sym_attribute,
    STATE(11888), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13930), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10336), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10362), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10218), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10216), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569731] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13270), 1,
      sym__lowercase_identifier,
    ACTIONS(13272), 1,
      anon_sym_POUND,
    STATE(11578), 1,
      sym_attribute,
    STATE(11590), 1,
      sym_type_constructor_path,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13517), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [569779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12761), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [569817] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13936), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11466), 1,
      aux_sym_type_binding_repeat1,
    STATE(11580), 1,
      sym_attribute,
    STATE(11903), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13934), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569867] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13938), 1,
      anon_sym_DASH_GT,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13942), 1,
      anon_sym_functor,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11581), 1,
      sym_attribute,
    STATE(12045), 1,
      sym__attribute,
    STATE(13141), 1,
      sym__module_type,
    STATE(16555), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [569933] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10792), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10790), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569971] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13948), 1,
      anon_sym_POUND,
    STATE(11583), 1,
      sym_attribute,
    STATE(12016), 1,
      sym_type_constructor_path,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12437), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [570019] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10800), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [570057] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_constraint,
    ACTIONS(13952), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11585), 1,
      sym_attribute,
    STATE(11914), 1,
      aux_sym_expression_item_repeat1,
    STATE(12130), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13950), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570107] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    ACTIONS(13954), 1,
      anon_sym_STAR,
    STATE(11586), 1,
      sym_attribute,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(13159), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12996), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [570159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12685), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12725), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12675), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12615), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570311] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(11591), 1,
      sym_attribute,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13306), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [570359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12627), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9198), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [570435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570473] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13776), 1,
      anon_sym_PERCENT,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13956), 1,
      anon_sym_DASH_GT,
    ACTIONS(13958), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11595), 1,
      sym_attribute,
    STATE(12198), 1,
      sym__attribute,
    STATE(13229), 1,
      sym__module_type,
    STATE(16560), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [570539] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    STATE(11596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13650), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13648), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10760), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10758), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [570619] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13966), 1,
      anon_sym_end,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    STATE(11598), 1,
      sym_attribute,
    STATE(12275), 1,
      sym__attribute,
    STATE(12879), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9312), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570719] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(11600), 1,
      sym_attribute,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12619), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [570766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12639), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11303), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11301), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [570840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11307), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11305), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [570877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11210), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [570914] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(13980), 1,
      anon_sym_LPAREN,
    ACTIONS(13982), 1,
      anon_sym_end,
    STATE(11605), 1,
      sym_attribute,
    STATE(12315), 1,
      sym__attribute,
    STATE(12642), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11315), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11313), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11319), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11317), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11343), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11341), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571088] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(11609), 1,
      sym_attribute,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13534), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13536), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [571135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10220), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12671), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12669), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9316), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [571246] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13984), 1,
      anon_sym_COMMA,
    ACTIONS(13986), 1,
      anon_sym_SEMI,
    ACTIONS(13988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13990), 1,
      sym_pow_operator,
    ACTIONS(13992), 1,
      sym_mult_operator,
    ACTIONS(13994), 1,
      sym_concat_operator,
    ACTIONS(13996), 1,
      sym_rel_operator,
    ACTIONS(13998), 1,
      sym_and_operator,
    ACTIONS(14000), 1,
      sym_or_operator,
    ACTIONS(14002), 1,
      sym_assign_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [571307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12643), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [571344] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14008), 1,
      anon_sym_DASH_GT,
    ACTIONS(14010), 1,
      anon_sym_with,
    STATE(11615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14006), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14004), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571385] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14012), 1,
      anon_sym_DASH_GT,
    STATE(11616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13592), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13590), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571424] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13110), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13108), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571467] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14016), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11618), 1,
      sym_attribute,
    STATE(11664), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14014), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12651), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [571547] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14020), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14018), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [571627] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14022), 1,
      anon_sym_LPAREN,
    ACTIONS(14024), 1,
      anon_sym_end,
    STATE(11622), 1,
      sym_attribute,
    STATE(12445), 1,
      sym__attribute,
    STATE(12952), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571690] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13584), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13582), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571733] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14026), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(11624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [571774] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14028), 1,
      anon_sym_LPAREN,
    ACTIONS(14030), 1,
      anon_sym_end,
    STATE(11625), 1,
      sym_attribute,
    STATE(12300), 1,
      sym__attribute,
    STATE(12513), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14034), 1,
      anon_sym_let,
    STATE(11626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14032), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571874] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14038), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11627), 1,
      sym_attribute,
    STATE(11666), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14036), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571917] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14042), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14040), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571960] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8019), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8017), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572003] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14046), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11630), 1,
      sym_attribute,
    STATE(11927), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14044), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572046] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14048), 1,
      anon_sym_LPAREN,
    ACTIONS(14050), 1,
      anon_sym_end,
    STATE(11631), 1,
      sym_attribute,
    STATE(12263), 1,
      sym__attribute,
    STATE(12823), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572109] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14052), 1,
      aux_sym_attribute_id_token1,
    STATE(11632), 1,
      sym_attribute,
    STATE(11644), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10093), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [572150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14056), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14054), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14060), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14058), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572224] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(14012), 1,
      anon_sym_DASH_GT,
    STATE(11635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13660), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13658), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572265] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14064), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14062), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572308] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14068), 1,
      sym_pow_operator,
    ACTIONS(14070), 1,
      sym_mult_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [572355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11395), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [572392] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14074), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14072), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572435] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(11640), 1,
      sym_attribute,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12671), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [572488] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14080), 1,
      anon_sym_LPAREN,
    ACTIONS(14082), 1,
      anon_sym_end,
    STATE(11641), 1,
      sym_attribute,
    STATE(12323), 1,
      sym__attribute,
    STATE(12625), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572551] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13730), 1,
      anon_sym_EQ,
    ACTIONS(14084), 1,
      anon_sym_of,
    ACTIONS(14086), 1,
      anon_sym_COLON2,
    STATE(11642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13728), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13726), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572594] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_EQ,
    ACTIONS(14088), 1,
      anon_sym_of,
    ACTIONS(14090), 1,
      anon_sym_COLON2,
    STATE(11643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13738), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13736), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572637] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14092), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11644), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10113), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10115), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [572676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11154), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11152), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [572713] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [572752] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14068), 1,
      sym_pow_operator,
    ACTIONS(14070), 1,
      sym_mult_operator,
    ACTIONS(14095), 1,
      anon_sym_COMMA,
    ACTIONS(14097), 1,
      sym_concat_operator,
    ACTIONS(14099), 1,
      sym_rel_operator,
    ACTIONS(14101), 1,
      sym_and_operator,
    ACTIONS(14103), 1,
      sym_or_operator,
    ACTIONS(14105), 1,
      sym_assign_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [572811] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13750), 1,
      anon_sym_EQ,
    ACTIONS(14107), 1,
      anon_sym_of,
    ACTIONS(14109), 1,
      anon_sym_COLON2,
    STATE(11648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13748), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13746), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572854] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [572893] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14068), 1,
      sym_pow_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [572934] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14111), 1,
      anon_sym_LPAREN,
    ACTIONS(14113), 1,
      anon_sym_end,
    STATE(11651), 1,
      sym_attribute,
    STATE(12415), 1,
      sym__attribute,
    STATE(12921), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572997] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14117), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11652), 1,
      sym_attribute,
    STATE(11815), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14115), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11158), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11156), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10338), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [573114] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(14012), 1,
      anon_sym_DASH_GT,
    STATE(11655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13650), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13648), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573155] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14119), 1,
      anon_sym_LPAREN,
    ACTIONS(14121), 1,
      anon_sym_end,
    STATE(11656), 1,
      sym_attribute,
    STATE(12282), 1,
      sym__attribute,
    STATE(12904), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10230), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573255] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(11658), 1,
      sym_attribute,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12433), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [573302] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14123), 1,
      anon_sym_LPAREN,
    ACTIONS(14125), 1,
      anon_sym_end,
    STATE(11659), 1,
      sym_attribute,
    STATE(12453), 1,
      sym__attribute,
    STATE(12995), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573365] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14127), 1,
      anon_sym_PIPE,
    STATE(11660), 1,
      sym_attribute,
    STATE(11694), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [573406] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14129), 1,
      anon_sym_LPAREN,
    ACTIONS(14131), 1,
      anon_sym_end,
    STATE(11661), 1,
      sym_attribute,
    STATE(12374), 1,
      sym__attribute,
    STATE(13036), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14135), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14133), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573506] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14137), 1,
      anon_sym_LPAREN,
    ACTIONS(14139), 1,
      anon_sym_end,
    STATE(11663), 1,
      sym_attribute,
    STATE(12304), 1,
      sym__attribute,
    STATE(12539), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573569] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14143), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14141), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573612] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14145), 1,
      anon_sym_LPAREN,
    ACTIONS(14147), 1,
      anon_sym_end,
    STATE(11665), 1,
      sym_attribute,
    STATE(12470), 1,
      sym__attribute,
    STATE(13052), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573675] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14151), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14149), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573718] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14155), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11667), 1,
      sym_attribute,
    STATE(11755), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14153), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573761] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14159), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14157), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573804] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7953), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7951), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573847] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14163), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11670), 1,
      sym_attribute,
    STATE(11676), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14161), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11106), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11104), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573927] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14167), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14165), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573970] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14171), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11673), 1,
      sym_attribute,
    STATE(11766), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14169), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12761), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [574050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12785), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [574087] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14175), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14173), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574130] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(11677), 1,
      sym_attribute,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13306), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [574177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12789), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [574214] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(11679), 1,
      sym_attribute,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [574267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11108), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [574304] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(11681), 1,
      sym_attribute,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12679), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [574357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9304), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [574394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9308), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [574431] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14177), 1,
      anon_sym_LPAREN,
    ACTIONS(14179), 1,
      anon_sym_end,
    STATE(11684), 1,
      sym_attribute,
    STATE(12231), 1,
      sym__attribute,
    STATE(12727), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9312), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [574531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12813), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [574568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12817), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [574605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9316), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [574642] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14181), 1,
      anon_sym_LPAREN,
    ACTIONS(14183), 1,
      anon_sym_end,
    STATE(11689), 1,
      sym_attribute,
    STATE(12462), 1,
      sym__attribute,
    STATE(13014), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11174), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [574742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [574779] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14068), 1,
      sym_pow_operator,
    ACTIONS(14070), 1,
      sym_mult_operator,
    ACTIONS(14095), 1,
      anon_sym_COMMA,
    ACTIONS(14097), 1,
      sym_concat_operator,
    ACTIONS(14099), 1,
      sym_rel_operator,
    ACTIONS(14101), 1,
      sym_and_operator,
    ACTIONS(14103), 1,
      sym_or_operator,
    ACTIONS(14105), 1,
      sym_assign_operator,
    ACTIONS(14185), 1,
      anon_sym_SEMI,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [574840] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(11693), 1,
      sym_attribute,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12619), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [574893] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14187), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11694), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [574932] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14190), 1,
      anon_sym_LPAREN,
    ACTIONS(14192), 1,
      anon_sym_end,
    STATE(11695), 1,
      sym_attribute,
    STATE(12239), 1,
      sym__attribute,
    STATE(12507), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12559), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575032] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14196), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14194), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575075] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11433), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14198), 1,
      anon_sym_STAR,
    STATE(11698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [575114] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14008), 1,
      anon_sym_DASH_GT,
    ACTIONS(14010), 1,
      anon_sym_with,
    STATE(11699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14200), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575155] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14204), 1,
      anon_sym_LPAREN,
    ACTIONS(14206), 1,
      anon_sym_end,
    STATE(11700), 1,
      sym_attribute,
    STATE(12361), 1,
      sym__attribute,
    STATE(12791), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575218] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14068), 1,
      sym_pow_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [575259] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8031), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8029), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13689), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13687), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [575339] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14208), 1,
      anon_sym_LPAREN,
    ACTIONS(14210), 1,
      anon_sym_end,
    STATE(11704), 1,
      sym_attribute,
    STATE(12443), 1,
      sym__attribute,
    STATE(12955), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [575439] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14214), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14212), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575482] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14216), 1,
      anon_sym_LPAREN,
    ACTIONS(14218), 1,
      anon_sym_end,
    STATE(11707), 1,
      sym_attribute,
    STATE(12250), 1,
      sym__attribute,
    STATE(12683), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575545] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14222), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14220), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575588] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13710), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13708), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [575668] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14068), 1,
      sym_pow_operator,
    ACTIONS(14070), 1,
      sym_mult_operator,
    ACTIONS(14097), 1,
      sym_concat_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [575717] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11433), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14224), 1,
      anon_sym_STAR,
    STATE(11712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [575756] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13724), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13722), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575799] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14226), 1,
      anon_sym_LPAREN,
    ACTIONS(14228), 1,
      anon_sym_end,
    STATE(11714), 1,
      sym_attribute,
    STATE(12310), 1,
      sym__attribute,
    STATE(12676), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13654), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13652), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [575899] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14068), 1,
      sym_pow_operator,
    ACTIONS(14070), 1,
      sym_mult_operator,
    ACTIONS(14097), 1,
      sym_concat_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [575948] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14230), 1,
      anon_sym_LPAREN,
    ACTIONS(14232), 1,
      anon_sym_end,
    STATE(11717), 1,
      sym_attribute,
    STATE(12379), 1,
      sym__attribute,
    STATE(12844), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576011] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14234), 1,
      anon_sym_LPAREN,
    ACTIONS(14236), 1,
      anon_sym_end,
    STATE(11718), 1,
      sym_attribute,
    STATE(12305), 1,
      sym__attribute,
    STATE(12537), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576074] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13812), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576117] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14238), 1,
      anon_sym_LPAREN,
    ACTIONS(14240), 1,
      anon_sym_end,
    STATE(11720), 1,
      sym_attribute,
    STATE(12355), 1,
      sym__attribute,
    STATE(12640), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576180] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14242), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(11721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [576221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12629), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576258] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      sym__lowercase_identifier,
    ACTIONS(14244), 1,
      anon_sym_COLON2,
    STATE(11723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12727), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12729), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [576301] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13550), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13548), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576344] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14246), 1,
      anon_sym_LPAREN,
    ACTIONS(14248), 1,
      anon_sym_end,
    STATE(11725), 1,
      sym_attribute,
    STATE(12266), 1,
      sym__attribute,
    STATE(12837), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576407] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14252), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14250), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [576487] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13730), 1,
      anon_sym_EQ,
    ACTIONS(14254), 1,
      anon_sym_of,
    ACTIONS(14256), 1,
      anon_sym_COLON2,
    STATE(11728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13728), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13726), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576530] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14258), 1,
      anon_sym_POUND,
    STATE(11729), 1,
      sym_attribute,
    STATE(12334), 1,
      sym_type_constructor_path,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12437), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [576577] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_EQ,
    ACTIONS(14260), 1,
      anon_sym_of,
    ACTIONS(14262), 1,
      anon_sym_COLON2,
    STATE(11730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13738), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13736), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576620] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13750), 1,
      anon_sym_EQ,
    ACTIONS(14264), 1,
      anon_sym_of,
    ACTIONS(14266), 1,
      anon_sym_COLON2,
    STATE(11731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13748), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13746), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12793), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [576700] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8013), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8011), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576743] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14268), 1,
      anon_sym_LPAREN,
    ACTIONS(14270), 1,
      anon_sym_end,
    STATE(11734), 1,
      sym_attribute,
    STATE(12342), 1,
      sym__attribute,
    STATE(12697), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12627), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [576843] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14272), 1,
      anon_sym_LPAREN,
    ACTIONS(14274), 1,
      anon_sym_end,
    STATE(11736), 1,
      sym_attribute,
    STATE(12277), 1,
      sym__attribute,
    STATE(12914), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576906] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14278), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14276), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576949] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14282), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11672), 1,
      aux_sym_expression_item_repeat1,
    STATE(11738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14280), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576992] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14008), 1,
      anon_sym_DASH_GT,
    ACTIONS(14010), 1,
      anon_sym_with,
    STATE(11739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14286), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14284), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577033] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(11740), 1,
      sym_attribute,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11192), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [577080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11164), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11162), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [577117] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13628), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13626), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11206), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [577197] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14290), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14288), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577240] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14068), 1,
      sym_pow_operator,
    ACTIONS(14070), 1,
      sym_mult_operator,
    ACTIONS(14097), 1,
      sym_concat_operator,
    ACTIONS(14099), 1,
      sym_rel_operator,
    ACTIONS(14101), 1,
      sym_and_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [577293] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14294), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14292), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577336] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13875), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13873), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577379] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14296), 1,
      anon_sym_LPAREN,
    ACTIONS(14298), 1,
      anon_sym_end,
    STATE(11748), 1,
      sym_attribute,
    STATE(12447), 1,
      sym__attribute,
    STATE(12969), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577442] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14068), 1,
      sym_pow_operator,
    ACTIONS(14070), 1,
      sym_mult_operator,
    ACTIONS(14097), 1,
      sym_concat_operator,
    ACTIONS(14099), 1,
      sym_rel_operator,
    ACTIONS(14101), 1,
      sym_and_operator,
    ACTIONS(14103), 1,
      sym_or_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [577497] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(11750), 1,
      sym_attribute,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13513), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [577544] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(11751), 1,
      sym_attribute,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13517), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [577591] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14068), 1,
      sym_pow_operator,
    ACTIONS(14070), 1,
      sym_mult_operator,
    ACTIONS(14095), 1,
      anon_sym_COMMA,
    ACTIONS(14097), 1,
      sym_concat_operator,
    ACTIONS(14099), 1,
      sym_rel_operator,
    ACTIONS(14101), 1,
      sym_and_operator,
    ACTIONS(14103), 1,
      sym_or_operator,
    ACTIONS(14105), 1,
      sym_assign_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [577650] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14302), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11753), 1,
      sym_attribute,
    STATE(11783), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14300), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577693] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14068), 1,
      sym_pow_operator,
    ACTIONS(14070), 1,
      sym_mult_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [577736] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14306), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14304), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577779] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14310), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11756), 1,
      sym_attribute,
    STATE(11785), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14308), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577822] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(11757), 1,
      sym_attribute,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12619), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [577869] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14312), 1,
      anon_sym_LPAREN,
    ACTIONS(14314), 1,
      anon_sym_end,
    STATE(11758), 1,
      sym_attribute,
    STATE(12284), 1,
      sym__attribute,
    STATE(12950), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577932] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14318), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14316), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11214), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [578012] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14322), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11761), 1,
      sym_attribute,
    STATE(11787), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14320), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578055] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14326), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14324), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11218), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [578135] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7995), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7993), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578178] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14328), 1,
      anon_sym_LPAREN,
    ACTIONS(14330), 1,
      anon_sym_end,
    STATE(11765), 1,
      sym_attribute,
    STATE(12245), 1,
      sym__attribute,
    STATE(12757), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578241] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14334), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14332), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13546), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13544), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [578321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11242), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [578358] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14336), 1,
      anon_sym_LPAREN,
    ACTIONS(14338), 1,
      anon_sym_end,
    STATE(11769), 1,
      sym_attribute,
    STATE(12326), 1,
      sym__attribute,
    STATE(12655), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [578458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12797), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [578495] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14342), 1,
      anon_sym_POUND,
    STATE(11772), 1,
      sym_attribute,
    STATE(12340), 1,
      sym_type_constructor_path,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12437), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [578542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14346), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14344), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11254), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [578616] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14348), 1,
      anon_sym_LPAREN,
    ACTIONS(14350), 1,
      anon_sym_end,
    STATE(11775), 1,
      sym_attribute,
    STATE(12341), 1,
      sym__attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578679] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10113), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10115), 13,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [578716] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14068), 1,
      sym_pow_operator,
    ACTIONS(14070), 1,
      sym_mult_operator,
    ACTIONS(14095), 1,
      anon_sym_COMMA,
    ACTIONS(14097), 1,
      sym_concat_operator,
    ACTIONS(14099), 1,
      sym_rel_operator,
    ACTIONS(14101), 1,
      sym_and_operator,
    ACTIONS(14103), 1,
      sym_or_operator,
    ACTIONS(14105), 1,
      sym_assign_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11446), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [578775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11258), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [578812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10214), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10212), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [578849] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14354), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14352), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578892] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(11781), 1,
      sym_attribute,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13534), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13536), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [578939] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14358), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11782), 1,
      sym_attribute,
    STATE(11922), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14356), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578982] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14362), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14360), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579025] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14366), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11784), 1,
      sym_attribute,
    STATE(11809), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14364), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579068] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14370), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14368), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579111] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14374), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11786), 1,
      sym_attribute,
    STATE(11811), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14372), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579154] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14378), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14376), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579197] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(11788), 1,
      sym_attribute,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12561), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [579250] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(11789), 1,
      sym_attribute,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12631), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [579303] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14382), 1,
      anon_sym_LPAREN,
    ACTIONS(14384), 1,
      anon_sym_end,
    STATE(11790), 1,
      sym_attribute,
    STATE(12291), 1,
      sym__attribute,
    STATE(12476), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579366] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14068), 1,
      sym_pow_operator,
    ACTIONS(14070), 1,
      sym_mult_operator,
    ACTIONS(14095), 1,
      anon_sym_COMMA,
    ACTIONS(14097), 1,
      sym_concat_operator,
    ACTIONS(14099), 1,
      sym_rel_operator,
    ACTIONS(14101), 1,
      sym_and_operator,
    ACTIONS(14103), 1,
      sym_or_operator,
    ACTIONS(14105), 1,
      sym_assign_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11474), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [579425] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14388), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11792), 1,
      sym_attribute,
    STATE(11813), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14386), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579468] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14390), 1,
      anon_sym_STAR,
    STATE(11793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11433), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11431), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579507] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14392), 1,
      anon_sym_LPAREN,
    ACTIONS(14394), 1,
      anon_sym_end,
    STATE(11794), 1,
      sym_attribute,
    STATE(12345), 1,
      sym__attribute,
    STATE(12722), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579570] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10113), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10115), 14,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [579607] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14242), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(11796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [579648] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14396), 1,
      anon_sym_LPAREN,
    ACTIONS(14398), 1,
      anon_sym_end,
    STATE(11797), 1,
      sym_attribute,
    STATE(12386), 1,
      sym__attribute,
    STATE(12910), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579711] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14402), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14400), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579754] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14406), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11799), 1,
      sym_attribute,
    STATE(11923), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14404), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579797] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14410), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11800), 1,
      sym_attribute,
    STATE(11818), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14408), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579840] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(11801), 1,
      sym_attribute,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13306), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [579887] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(11802), 1,
      sym_attribute,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [579934] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14414), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14412), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14418), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14416), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11286), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11284), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [580051] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(11806), 1,
      sym_attribute,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12679), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [580098] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14127), 1,
      anon_sym_PIPE,
    STATE(11807), 1,
      sym_attribute,
    STATE(11933), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [580139] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14420), 1,
      anon_sym_LPAREN,
    ACTIONS(14422), 1,
      anon_sym_end,
    STATE(11808), 1,
      sym_attribute,
    STATE(12362), 1,
      sym__attribute,
    STATE(12802), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14426), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14424), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580245] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14430), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11810), 1,
      sym_attribute,
    STATE(11823), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14428), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580288] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14434), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14432), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580331] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(11812), 1,
      sym_attribute,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12671), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [580384] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14438), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14436), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580427] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14442), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11814), 1,
      sym_attribute,
    STATE(11824), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14440), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580470] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14446), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14444), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11170), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [580550] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(11817), 1,
      sym_attribute,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12619), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [580597] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14450), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14448), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580640] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14454), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11819), 1,
      sym_attribute,
    STATE(11825), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14452), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580683] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14456), 1,
      anon_sym_LPAREN,
    ACTIONS(14458), 1,
      anon_sym_end,
    STATE(11820), 1,
      sym_attribute,
    STATE(12301), 1,
      sym__attribute,
    STATE(12515), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580746] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14462), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14460), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580789] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14068), 1,
      sym_pow_operator,
    ACTIONS(14070), 1,
      sym_mult_operator,
    ACTIONS(14097), 1,
      sym_concat_operator,
    ACTIONS(14099), 1,
      sym_rel_operator,
    ACTIONS(14101), 1,
      sym_and_operator,
    ACTIONS(14103), 1,
      sym_or_operator,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [580844] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14466), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14464), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580887] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14470), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14468), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580930] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14474), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14472), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580973] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14478), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11826), 1,
      sym_attribute,
    STATE(11827), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14476), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581016] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14482), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14480), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581059] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(11828), 1,
      sym_attribute,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [581112] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(11829), 1,
      sym_attribute,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12679), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [581165] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(11830), 1,
      sym_attribute,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [581212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3539), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3535), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [581249] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14484), 1,
      anon_sym_LPAREN,
    ACTIONS(14486), 1,
      anon_sym_end,
    STATE(11832), 1,
      sym_attribute,
    STATE(12352), 1,
      sym__attribute,
    STATE(12740), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581312] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(11833), 1,
      sym_attribute,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12619), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [581365] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14488), 1,
      anon_sym_LPAREN,
    ACTIONS(14490), 1,
      anon_sym_end,
    STATE(11834), 1,
      sym_attribute,
    STATE(12358), 1,
      sym__attribute,
    STATE(12755), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581428] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(11835), 1,
      sym_attribute,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13513), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [581475] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(11836), 1,
      sym_attribute,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13517), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [581522] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      sym__lowercase_identifier,
    ACTIONS(14492), 1,
      anon_sym_COLON2,
    STATE(11837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12727), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12729), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [581565] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14494), 1,
      anon_sym_LPAREN,
    ACTIONS(14496), 1,
      anon_sym_end,
    STATE(11838), 1,
      sym_attribute,
    STATE(12235), 1,
      sym__attribute,
    STATE(12830), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581628] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13280), 1,
      sym__lowercase_identifier,
    ACTIONS(13380), 1,
      anon_sym_POUND,
    STATE(11216), 1,
      sym_type_constructor_path,
    STATE(11839), 1,
      sym_attribute,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13534), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13536), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [581675] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2582), 1,
      sym_add_operator,
    STATE(11840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [581714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11180), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [581751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14500), 1,
      anon_sym_let,
    STATE(11842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14498), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581788] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14502), 1,
      anon_sym_LPAREN,
    ACTIONS(14504), 1,
      anon_sym_end,
    STATE(11843), 1,
      sym_attribute,
    STATE(12308), 1,
      sym__attribute,
    STATE(12548), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581851] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14508), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14506), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9304), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [581931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10656), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10654), 20,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581968] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14127), 1,
      anon_sym_PIPE,
    STATE(11660), 1,
      aux_sym__match_cases_repeat1,
    STATE(11847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [582009] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(11848), 1,
      sym_attribute,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13513), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [582056] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12998), 1,
      anon_sym_STAR,
    STATE(11849), 1,
      sym_attribute,
    STATE(11878), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14510), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582097] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14514), 1,
      anon_sym_LPAREN,
    ACTIONS(14516), 1,
      anon_sym_end,
    STATE(11850), 1,
      sym_attribute,
    STATE(12311), 1,
      sym__attribute,
    STATE(12583), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582160] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(11851), 1,
      sym_attribute,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13517), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [582207] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14522), 1,
      anon_sym_DQUOTE,
    STATE(12371), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14520), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11852), 2,
      sym_attribute,
      aux_sym_external_repeat1,
    ACTIONS(14518), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582248] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(11853), 1,
      sym_attribute,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12561), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [582301] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(11854), 1,
      sym_attribute,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12631), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [582354] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13550), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11719), 1,
      aux_sym_expression_item_repeat1,
    STATE(11855), 1,
      sym_attribute,
    STATE(12365), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13548), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12685), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [582440] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13990), 1,
      sym_pow_operator,
    ACTIONS(13992), 1,
      sym_mult_operator,
    ACTIONS(13994), 1,
      sym_concat_operator,
    ACTIONS(13996), 1,
      sym_rel_operator,
    ACTIONS(13998), 1,
      sym_and_operator,
    ACTIONS(14000), 1,
      sym_or_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11496), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11494), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [582495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12725), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [582532] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13848), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11709), 1,
      aux_sym_expression_item_repeat1,
    STATE(11859), 1,
      sym_attribute,
    STATE(11865), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13846), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12729), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [582618] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13812), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11706), 1,
      aux_sym_expression_item_repeat1,
    STATE(11861), 1,
      sym_attribute,
    STATE(12365), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582667] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13990), 1,
      sym_pow_operator,
    ACTIONS(13992), 1,
      sym_mult_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [582714] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13584), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11713), 1,
      aux_sym_expression_item_repeat1,
    STATE(11863), 1,
      sym_attribute,
    STATE(12365), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13582), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582763] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13706), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11864), 1,
      sym_attribute,
    STATE(11868), 1,
      aux_sym_type_binding_repeat1,
    STATE(11876), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13704), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582812] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13710), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11865), 1,
      sym_attribute,
    STATE(11885), 1,
      aux_sym_expression_item_repeat1,
    STATE(12365), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13708), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582861] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13720), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11866), 1,
      sym_attribute,
    STATE(11871), 1,
      aux_sym_type_binding_repeat1,
    STATE(11912), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13718), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582910] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13724), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11867), 1,
      sym_attribute,
    STATE(11919), 1,
      aux_sym_expression_item_repeat1,
    STATE(12365), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13722), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582959] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13912), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11844), 1,
      aux_sym_expression_item_repeat1,
    STATE(11868), 1,
      sym_attribute,
    STATE(12365), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13910), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583008] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13932), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11869), 1,
      sym_attribute,
    STATE(11872), 1,
      aux_sym_type_binding_repeat1,
    STATE(11888), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13930), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583057] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13936), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11870), 1,
      sym_attribute,
    STATE(11873), 1,
      aux_sym_type_binding_repeat1,
    STATE(11903), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13934), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583106] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13952), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11871), 1,
      sym_attribute,
    STATE(11914), 1,
      aux_sym_expression_item_repeat1,
    STATE(12365), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13950), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583155] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13830), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11744), 1,
      aux_sym_expression_item_repeat1,
    STATE(11872), 1,
      sym_attribute,
    STATE(12365), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13828), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583204] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13834), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11746), 1,
      aux_sym_expression_item_repeat1,
    STATE(11873), 1,
      sym_attribute,
    STATE(12365), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13832), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583253] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13840), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11747), 1,
      aux_sym_expression_item_repeat1,
    STATE(11874), 1,
      sym_attribute,
    STATE(11875), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13838), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583302] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13234), 1,
      anon_sym_constraint,
    ACTIONS(13875), 1,
      anon_sym_let,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11780), 1,
      aux_sym_expression_item_repeat1,
    STATE(11875), 1,
      sym_attribute,
    STATE(12365), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13873), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583351] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13912), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13910), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12675), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [583431] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14525), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13306), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11878), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13304), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12615), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [583507] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13990), 1,
      sym_pow_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(11403), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [583548] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13990), 1,
      sym_pow_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(11403), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [583589] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14528), 1,
      anon_sym_LPAREN,
    ACTIONS(14530), 1,
      anon_sym_end,
    STATE(11882), 1,
      sym_attribute,
    STATE(12312), 1,
      sym__attribute,
    STATE(12582), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583652] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13990), 1,
      sym_pow_operator,
    ACTIONS(13992), 1,
      sym_mult_operator,
    ACTIONS(13994), 1,
      sym_concat_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [583701] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14532), 1,
      anon_sym_LPAREN,
    ACTIONS(14534), 1,
      anon_sym_end,
    STATE(11884), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__attribute,
    STATE(12908), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583764] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14538), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14536), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583807] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14540), 1,
      anon_sym_LPAREN,
    ACTIONS(14542), 1,
      anon_sym_end,
    STATE(11886), 1,
      sym_attribute,
    STATE(12431), 1,
      sym__attribute,
    STATE(12919), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583870] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13990), 1,
      sym_pow_operator,
    ACTIONS(13992), 1,
      sym_mult_operator,
    ACTIONS(13994), 1,
      sym_concat_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [583919] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13830), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13828), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583962] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13990), 1,
      sym_pow_operator,
    ACTIONS(13992), 1,
      sym_mult_operator,
    ACTIONS(13994), 1,
      sym_concat_operator,
    ACTIONS(13996), 1,
      sym_rel_operator,
    ACTIONS(13998), 1,
      sym_and_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [584015] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14026), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(11890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [584056] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14544), 1,
      anon_sym_and,
    STATE(11891), 1,
      sym_attribute,
    STATE(11892), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13844), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13842), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584097] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14546), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13276), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11892), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13274), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584136] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13220), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14549), 1,
      anon_sym_LPAREN,
    ACTIONS(14551), 1,
      anon_sym_LBRACK,
    STATE(11893), 1,
      sym_attribute,
    STATE(13045), 1,
      sym__constructor_name,
    STATE(13534), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13218), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [584185] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13527), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14555), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11894), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13525), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [584226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [584263] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13990), 1,
      sym_pow_operator,
    ACTIONS(13992), 1,
      sym_mult_operator,
    ACTIONS(13994), 1,
      sym_concat_operator,
    ACTIONS(13996), 1,
      sym_rel_operator,
    ACTIONS(13998), 1,
      sym_and_operator,
    ACTIONS(14000), 1,
      sym_or_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [584318] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13984), 1,
      anon_sym_COMMA,
    ACTIONS(13988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13990), 1,
      sym_pow_operator,
    ACTIONS(13992), 1,
      sym_mult_operator,
    ACTIONS(13994), 1,
      sym_concat_operator,
    ACTIONS(13996), 1,
      sym_rel_operator,
    ACTIONS(13998), 1,
      sym_and_operator,
    ACTIONS(14000), 1,
      sym_or_operator,
    ACTIONS(14002), 1,
      sym_assign_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [584377] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13220), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14558), 1,
      anon_sym_LPAREN,
    ACTIONS(14560), 1,
      anon_sym_LBRACK,
    STATE(11898), 1,
      sym_attribute,
    STATE(12505), 1,
      sym__constructor_name,
    STATE(13538), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14562), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13218), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [584426] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(11899), 1,
      sym_attribute,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11192), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [584473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14566), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14564), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584510] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13990), 1,
      sym_pow_operator,
    ACTIONS(13992), 1,
      sym_mult_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [584553] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14570), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584596] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13832), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584639] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14572), 1,
      anon_sym_LPAREN,
    ACTIONS(14574), 1,
      anon_sym_end,
    STATE(11904), 1,
      sym_attribute,
    STATE(12442), 1,
      sym__attribute,
    STATE(12935), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584702] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13984), 1,
      anon_sym_COMMA,
    ACTIONS(13988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13990), 1,
      sym_pow_operator,
    ACTIONS(13992), 1,
      sym_mult_operator,
    ACTIONS(13994), 1,
      sym_concat_operator,
    ACTIONS(13996), 1,
      sym_rel_operator,
    ACTIONS(13998), 1,
      sym_and_operator,
    ACTIONS(14000), 1,
      sym_or_operator,
    ACTIONS(14002), 1,
      sym_assign_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11446), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11444), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [584761] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [584800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [584837] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14578), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11639), 1,
      aux_sym_expression_item_repeat1,
    STATE(11908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14576), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584880] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14582), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11737), 1,
      aux_sym_expression_item_repeat1,
    STATE(11909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14580), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584923] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14584), 1,
      anon_sym_LPAREN,
    ACTIONS(14586), 1,
      anon_sym_end,
    STATE(11910), 1,
      sym_attribute,
    STATE(12237), 1,
      sym__attribute,
    STATE(13016), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584986] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14052), 1,
      aux_sym_attribute_id_token1,
    STATE(11632), 1,
      aux_sym_attribute_id_repeat1,
    STATE(11911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9971), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9973), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [585027] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13952), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13950), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585070] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14588), 1,
      anon_sym_LPAREN,
    ACTIONS(14590), 1,
      anon_sym_end,
    STATE(11913), 1,
      sym_attribute,
    STATE(12322), 1,
      sym__attribute,
    STATE(12618), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585133] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14594), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14592), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585176] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14598), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14596), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585219] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14600), 1,
      anon_sym_LPAREN,
    ACTIONS(14602), 1,
      anon_sym_end,
    STATE(11916), 1,
      sym_attribute,
    STATE(12440), 1,
      sym__attribute,
    STATE(12929), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585282] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14604), 1,
      anon_sym_LPAREN,
    ACTIONS(14606), 1,
      anon_sym_end,
    STATE(11917), 1,
      sym_attribute,
    STATE(12448), 1,
      sym__attribute,
    STATE(12974), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585345] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(11918), 1,
      sym_attribute,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12433), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [585392] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14610), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14608), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585435] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14612), 1,
      anon_sym_LPAREN,
    ACTIONS(14614), 1,
      anon_sym_end,
    STATE(11920), 1,
      sym_attribute,
    STATE(12444), 1,
      sym__attribute,
    STATE(12643), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585498] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14618), 1,
      anon_sym_let,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11921), 1,
      sym_attribute,
    STATE(11931), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14616), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585541] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14622), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14620), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585584] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14626), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14624), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585627] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14628), 1,
      anon_sym_LPAREN,
    ACTIONS(14630), 1,
      anon_sym_end,
    STATE(11924), 1,
      sym_attribute,
    STATE(12328), 1,
      sym__attribute,
    STATE(12646), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12623), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [585727] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11926), 1,
      sym_attribute,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13306), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [585774] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14634), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14632), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11290), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11288), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [585854] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14636), 1,
      anon_sym_LPAREN,
    ACTIONS(14638), 1,
      anon_sym_end,
    STATE(11929), 1,
      sym_attribute,
    STATE(12212), 1,
      sym__attribute,
    STATE(12512), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585917] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13192), 1,
      sym__lowercase_identifier,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(11194), 1,
      sym_type_constructor_path,
    STATE(11930), 1,
      sym_attribute,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12679), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [585964] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14642), 1,
      anon_sym_let,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14640), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586007] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(11932), 1,
      sym_attribute,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [586054] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14127), 1,
      anon_sym_PIPE,
    STATE(11694), 1,
      aux_sym__match_cases_repeat1,
    STATE(11933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [586095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [586132] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13469), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14644), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11935), 1,
      sym_attribute,
    STATE(11937), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13467), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586175] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13483), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14644), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11936), 1,
      sym_attribute,
    STATE(11938), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13481), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586218] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13483), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14644), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11894), 1,
      aux_sym_type_binding_repeat1,
    STATE(11937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13481), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586261] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13509), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14644), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11894), 1,
      aux_sym_type_binding_repeat1,
    STATE(11938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13507), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586304] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13527), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14646), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11939), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13525), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9308), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [586382] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13350), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_POUND,
    STATE(11879), 1,
      sym_type_constructor_path,
    STATE(11941), 1,
      sym_attribute,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12679), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [586429] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13469), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14649), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11942), 1,
      sym_attribute,
    STATE(11944), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13467), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586472] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13483), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14649), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11943), 1,
      sym_attribute,
    STATE(11945), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13481), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586515] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13483), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14649), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11939), 1,
      aux_sym_type_binding_repeat1,
    STATE(11944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13481), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586558] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13509), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14649), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11939), 1,
      aux_sym_type_binding_repeat1,
    STATE(11945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13507), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586601] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14544), 1,
      anon_sym_and,
    STATE(11891), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(11946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13714), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13712), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586642] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_PERCENT,
    ACTIONS(14651), 1,
      anon_sym_LPAREN,
    ACTIONS(14653), 1,
      anon_sym_end,
    STATE(11947), 1,
      sym_attribute,
    STATE(12338), 1,
      sym__attribute,
    STATE(12686), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9304), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [586742] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14008), 1,
      anon_sym_DASH_GT,
    ACTIONS(14010), 1,
      anon_sym_with,
    STATE(11949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14657), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14655), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586783] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13984), 1,
      anon_sym_COMMA,
    ACTIONS(13988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13990), 1,
      sym_pow_operator,
    ACTIONS(13992), 1,
      sym_mult_operator,
    ACTIONS(13994), 1,
      sym_concat_operator,
    ACTIONS(13996), 1,
      sym_rel_operator,
    ACTIONS(13998), 1,
      sym_and_operator,
    ACTIONS(14000), 1,
      sym_or_operator,
    ACTIONS(14002), 1,
      sym_assign_operator,
    STATE(2612), 1,
      sym_add_operator,
    STATE(11950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11456), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11454), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [586842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12781), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [586879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12805), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [586916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9308), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [586953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9312), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [586990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9316), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [587027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11250), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [587064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10356), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [587101] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14667), 1,
      sym_rel_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(11958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [587155] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14673), 1,
      anon_sym_DASH_GT,
    STATE(11959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13592), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13590), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12729), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [587229] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14667), 1,
      sym_rel_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(11961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [587283] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(11962), 1,
      sym_attribute,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13534), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13536), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [587329] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14677), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(11963), 1,
      sym_attribute,
    STATE(12209), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14675), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587371] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11964), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17280), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12685), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [587467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [587503] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(11967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [587549] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11968), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17284), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12725), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [587645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12675), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [587681] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11971), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17302), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587741] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(13650), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14679), 1,
      anon_sym_DASH_GT,
    STATE(11972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13648), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587781] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11973), 1,
      sym_attribute,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13534), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13536), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [587827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12615), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [587863] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14681), 1,
      anon_sym_DASH_GT,
    ACTIONS(14683), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11975), 1,
      sym_attribute,
    STATE(12100), 1,
      sym__module_type,
    STATE(16076), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587923] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14687), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(11976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14685), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587965] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14691), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(11977), 1,
      sym_attribute,
    STATE(12117), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14693), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14689), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12623), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [588081] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14667), 1,
      sym_rel_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14697), 1,
      anon_sym_SEMI,
    ACTIONS(14699), 1,
      sym_assign_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(11980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [588141] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14661), 1,
      sym_pow_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(11981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [588181] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14661), 1,
      sym_pow_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(11982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [588221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12781), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12805), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12627), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588365] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14701), 1,
      sym__lowercase_identifier,
    ACTIONS(14703), 1,
      anon_sym_LPAREN,
    ACTIONS(14705), 1,
      anon_sym_DASH_GT,
    ACTIONS(14707), 1,
      anon_sym_module,
    ACTIONS(14709), 1,
      anon_sym_sig,
    ACTIONS(14711), 1,
      anon_sym_functor,
    ACTIONS(14713), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11987), 1,
      sym_attribute,
    STATE(15244), 1,
      sym__module_type,
    STATE(16462), 1,
      aux_sym_module_binding_repeat1,
    STATE(18337), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14970), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588425] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(11988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [588473] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(13660), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14679), 1,
      anon_sym_DASH_GT,
    STATE(11989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13658), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [588513] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14681), 1,
      anon_sym_DASH_GT,
    ACTIONS(14683), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11699), 1,
      sym__module_type,
    STATE(11990), 1,
      sym_attribute,
    STATE(16076), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588573] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(11991), 1,
      sym_attribute,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [588619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12623), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12639), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12643), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12651), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588763] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(11996), 1,
      sym_attribute,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12619), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [588809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12761), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [588845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12761), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12785), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12789), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12813), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [588989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12817), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [589025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [589061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [589097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [589133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12793), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [589169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12797), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [589205] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10356), 1,
      sym__lowercase_identifier,
    STATE(12008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12609), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12611), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [589245] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12009), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16818), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [589305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12789), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [589341] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13292), 1,
      anon_sym_STAR,
    STATE(12011), 1,
      sym_attribute,
    STATE(12012), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14510), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589381] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14715), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13306), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12012), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13304), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589419] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14667), 1,
      sym_rel_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(12013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [589477] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(10354), 17,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [589513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10338), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [589549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12639), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [589585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12729), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [589621] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(12018), 1,
      sym_attribute,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12679), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [589667] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(13650), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14718), 1,
      anon_sym_DASH_GT,
    STATE(12019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13648), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589707] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_COLON2,
    STATE(12020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [589745] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(12021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [589793] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12022), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17743), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [589853] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14667), 1,
      sym_rel_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(12023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [589905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12813), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [589941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [589977] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13592), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14679), 1,
      anon_sym_DASH_GT,
    STATE(12026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13590), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590015] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12405), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12403), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12685), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [590093] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14722), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590135] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12030), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(18017), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [590195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12725), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [590231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12817), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [590267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12675), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [590303] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13556), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(14679), 1,
      anon_sym_DASH_GT,
    STATE(12034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [590379] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14726), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12036), 1,
      sym_attribute,
    STATE(12094), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590421] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14730), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590463] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    ACTIONS(14732), 1,
      anon_sym_STAR,
    STATE(12038), 1,
      sym_attribute,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(13782), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12996), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [590513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12615), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [590549] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14667), 1,
      sym_rel_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(12040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [590607] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(12041), 1,
      sym_attribute,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [590653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10356), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [590689] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(12043), 1,
      sym_attribute,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12679), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [590735] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(13660), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14718), 1,
      anon_sym_DASH_GT,
    STATE(12044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13658), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590775] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13938), 1,
      anon_sym_DASH_GT,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13942), 1,
      anon_sym_functor,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12045), 1,
      sym_attribute,
    STATE(13146), 1,
      sym__module_type,
    STATE(16555), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [590835] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12046), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17457), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [590895] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12389), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12387), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590937] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(12048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [590979] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14734), 1,
      anon_sym_PIPE,
    STATE(12049), 1,
      sym_attribute,
    STATE(12205), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13220), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13218), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591019] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13556), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(14718), 1,
      anon_sym_DASH_GT,
    STATE(12050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12785), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [591095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [591131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12781), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12805), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12627), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591275] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(12057), 1,
      sym_attribute,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12619), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [591321] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14738), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14736), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591363] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12059), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17582), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [591423] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(11702), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [591459] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(12061), 1,
      sym_attribute,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13513), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [591505] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(12062), 1,
      sym_attribute,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13517), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [591551] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13614), 1,
      sym__lowercase_identifier,
    ACTIONS(13616), 1,
      anon_sym_POUND,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(12063), 1,
      sym_attribute,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13534), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13536), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [591597] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13300), 1,
      anon_sym_STAR,
    STATE(12064), 1,
      sym_attribute,
    STATE(12065), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14510), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591637] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14740), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13306), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12065), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13304), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591675] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(11702), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [591711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [591747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12643), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [591783] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14667), 1,
      sym_rel_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(12069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11446), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [591841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12623), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12639), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12651), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [591949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12643), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12651), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [592021] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14745), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14743), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592063] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12076), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17879), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592123] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14749), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12029), 1,
      aux_sym_expression_item_repeat1,
    STATE(12077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14747), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592165] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14749), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14747), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592207] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13730), 1,
      anon_sym_EQ,
    ACTIONS(14751), 1,
      anon_sym_of,
    ACTIONS(14753), 1,
      anon_sym_COLON2,
    STATE(12079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13728), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13726), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592249] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_EQ,
    ACTIONS(14755), 1,
      anon_sym_of,
    ACTIONS(14757), 1,
      anon_sym_COLON2,
    STATE(12080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13738), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13736), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592291] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13750), 1,
      anon_sym_EQ,
    ACTIONS(14759), 1,
      anon_sym_of,
    ACTIONS(14761), 1,
      anon_sym_COLON2,
    STATE(12081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13748), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13746), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592333] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12082), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16903), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592393] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14701), 1,
      sym__lowercase_identifier,
    ACTIONS(14703), 1,
      anon_sym_LPAREN,
    ACTIONS(14705), 1,
      anon_sym_DASH_GT,
    ACTIONS(14707), 1,
      anon_sym_module,
    ACTIONS(14709), 1,
      anon_sym_sig,
    ACTIONS(14711), 1,
      anon_sym_functor,
    ACTIONS(14713), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12083), 1,
      sym_attribute,
    STATE(15145), 1,
      sym__module_type,
    STATE(16462), 1,
      aux_sym_module_binding_repeat1,
    STATE(18337), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14970), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [592489] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14701), 1,
      sym__lowercase_identifier,
    ACTIONS(14703), 1,
      anon_sym_LPAREN,
    ACTIONS(14705), 1,
      anon_sym_DASH_GT,
    ACTIONS(14707), 1,
      anon_sym_module,
    ACTIONS(14709), 1,
      anon_sym_sig,
    ACTIONS(14711), 1,
      anon_sym_functor,
    ACTIONS(14713), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12085), 1,
      sym_attribute,
    STATE(15027), 1,
      sym__module_type,
    STATE(16462), 1,
      aux_sym_module_binding_repeat1,
    STATE(18337), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14970), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592549] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12086), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17303), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592609] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14701), 1,
      sym__lowercase_identifier,
    ACTIONS(14703), 1,
      anon_sym_LPAREN,
    ACTIONS(14705), 1,
      anon_sym_DASH_GT,
    ACTIONS(14707), 1,
      anon_sym_module,
    ACTIONS(14709), 1,
      anon_sym_sig,
    ACTIONS(14711), 1,
      anon_sym_functor,
    ACTIONS(14713), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12087), 1,
      sym_attribute,
    STATE(14965), 1,
      sym__module_type,
    STATE(16462), 1,
      aux_sym_module_binding_repeat1,
    STATE(18337), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14970), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12761), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [592705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12785), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [592741] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12090), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17730), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12793), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [592837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9304), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [592873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12789), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [592909] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14677), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14675), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592951] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(14673), 1,
      anon_sym_DASH_GT,
    STATE(12095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13650), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13648), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592991] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12096), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16758), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593051] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14701), 1,
      sym__lowercase_identifier,
    ACTIONS(14703), 1,
      anon_sym_LPAREN,
    ACTIONS(14705), 1,
      anon_sym_DASH_GT,
    ACTIONS(14707), 1,
      anon_sym_module,
    ACTIONS(14709), 1,
      anon_sym_sig,
    ACTIONS(14711), 1,
      anon_sym_functor,
    ACTIONS(14713), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12097), 1,
      sym_attribute,
    STATE(14942), 1,
      sym__module_type,
    STATE(16462), 1,
      aux_sym_module_binding_repeat1,
    STATE(18337), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14970), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12817), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593183] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14008), 1,
      anon_sym_DASH_GT,
    ACTIONS(14010), 1,
      anon_sym_with,
    ACTIONS(14765), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12100), 1,
      sym_attribute,
    STATE(12137), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14763), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593265] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12635), 1,
      sym__lowercase_identifier,
    STATE(12102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(13334), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13336), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [593305] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12103), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16914), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9308), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593401] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(14673), 1,
      anon_sym_DASH_GT,
    STATE(12105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13660), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13658), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9312), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593477] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12107), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17542), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9316), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12793), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593645] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12111), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16611), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593705] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12112), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16709), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593765] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14681), 1,
      anon_sym_DASH_GT,
    ACTIONS(14683), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12113), 1,
      sym_attribute,
    STATE(12138), 1,
      sym__module_type,
    STATE(16076), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593825] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13600), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13598), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593867] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12115), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16786), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12797), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593963] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14769), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14767), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594005] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12118), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16858), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594065] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13592), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14718), 1,
      anon_sym_DASH_GT,
    STATE(12119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13590), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [594103] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14734), 1,
      anon_sym_PIPE,
    STATE(12120), 1,
      sym_attribute,
    STATE(12122), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14773), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14771), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594143] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12121), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16953), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594203] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14775), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14566), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12122), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14564), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594241] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(14012), 1,
      anon_sym_DASH_GT,
    STATE(12123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13556), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13554), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594281] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12124), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17026), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594341] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12125), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17127), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594401] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12126), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17263), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [594497] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14681), 1,
      anon_sym_DASH_GT,
    ACTIONS(14683), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11949), 1,
      sym__module_type,
    STATE(12128), 1,
      sym_attribute,
    STATE(16076), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594557] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12129), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17389), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594617] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14778), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12130), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13525), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10356), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [594693] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14681), 1,
      anon_sym_DASH_GT,
    ACTIONS(14683), 1,
      anon_sym_functor,
    STATE(10682), 1,
      sym__module_type,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12132), 1,
      sym_attribute,
    STATE(16076), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594753] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12635), 1,
      sym__lowercase_identifier,
    STATE(12133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(13334), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13336), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [594793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [594829] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    ACTIONS(14781), 1,
      anon_sym_STAR,
    STATE(12135), 1,
      sym_attribute,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(13883), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12996), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [594879] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14785), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(11976), 1,
      aux_sym_expression_item_repeat1,
    STATE(12136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14787), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14783), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594923] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14791), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14789), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594965] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14008), 1,
      anon_sym_DASH_GT,
    ACTIONS(14010), 1,
      anon_sym_with,
    ACTIONS(14795), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12058), 1,
      aux_sym_expression_item_repeat1,
    STATE(12138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14793), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595011] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14799), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14797), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595053] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12140), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(16692), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595113] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14681), 1,
      anon_sym_DASH_GT,
    ACTIONS(14683), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11615), 1,
      sym__module_type,
    STATE(12141), 1,
      sym_attribute,
    STATE(16076), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595173] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(12142), 1,
      sym_attribute,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [595219] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(12143), 1,
      sym_attribute,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12679), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [595265] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10356), 1,
      sym__lowercase_identifier,
    STATE(12144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12609), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12611), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [595305] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14799), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12075), 1,
      aux_sym_expression_item_repeat1,
    STATE(12145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14797), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595347] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14803), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12078), 1,
      aux_sym_expression_item_repeat1,
    STATE(12146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14801), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10356), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [595425] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14807), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12139), 1,
      aux_sym_expression_item_repeat1,
    STATE(12148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14805), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595467] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14811), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14809), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595509] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12150), 1,
      sym_attribute,
    STATE(16525), 1,
      sym__module_type,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595569] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12151), 1,
      sym_attribute,
    STATE(15866), 1,
      sym__module_type,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595629] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12152), 1,
      sym_attribute,
    STATE(15820), 1,
      sym__module_type,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595689] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12153), 1,
      sym_attribute,
    STATE(15822), 1,
      sym__module_type,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595749] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(12154), 1,
      sym_attribute,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13513), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [595795] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10682), 1,
      sym__module_type,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12155), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595855] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    ACTIONS(14813), 1,
      anon_sym_EQ,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11719), 1,
      aux_sym_expression_item_repeat1,
    STATE(12156), 1,
      sym_attribute,
    STATE(12391), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13548), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595903] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    ACTIONS(14815), 1,
      anon_sym_EQ,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11713), 1,
      aux_sym_expression_item_repeat1,
    STATE(12157), 1,
      sym_attribute,
    STATE(12397), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13582), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595951] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    ACTIONS(14817), 1,
      anon_sym_EQ,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11719), 1,
      aux_sym_expression_item_repeat1,
    STATE(12158), 1,
      sym_attribute,
    STATE(12414), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13548), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595999] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    ACTIONS(14819), 1,
      anon_sym_EQ,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11713), 1,
      aux_sym_expression_item_repeat1,
    STATE(12159), 1,
      sym_attribute,
    STATE(12420), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13582), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10113), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10115), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [596083] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_COLON2,
    STATE(12161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [596121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12635), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596157] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2386), 1,
      sym_add_operator,
    STATE(12163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [596195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12797), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12685), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12725), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12675), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12615), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12781), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12805), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12627), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596519] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13766), 1,
      anon_sym_DASH_GT,
    ACTIONS(13768), 1,
      anon_sym_module,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13772), 1,
      anon_sym_functor,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12173), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_module_binding_repeat1,
    STATE(17066), 1,
      sym__module_type,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596579] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14681), 1,
      anon_sym_DASH_GT,
    ACTIONS(14683), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(11739), 1,
      sym__module_type,
    STATE(12174), 1,
      sym_attribute,
    STATE(16076), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596639] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(12175), 1,
      sym_attribute,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12619), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [596685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12729), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [596721] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13540), 1,
      sym__lowercase_identifier,
    ACTIONS(13542), 1,
      anon_sym_POUND,
    STATE(11974), 1,
      sym_type_constructor_path,
    STATE(12177), 1,
      sym_attribute,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13517), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [596767] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(12178), 1,
      sym_attribute,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13513), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [596813] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13594), 1,
      sym__lowercase_identifier,
    ACTIONS(13596), 1,
      anon_sym_POUND,
    STATE(12168), 1,
      sym_type_constructor_path,
    STATE(12179), 1,
      sym_attribute,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13517), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [596859] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14734), 1,
      anon_sym_PIPE,
    STATE(12120), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14823), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14821), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596899] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14825), 1,
      anon_sym_DASH_GT,
    ACTIONS(14827), 1,
      anon_sym_with,
    STATE(12181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14286), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14284), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596939] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14829), 1,
      anon_sym_DASH_GT,
    ACTIONS(14831), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12182), 1,
      sym_attribute,
    STATE(12456), 1,
      sym__module_type,
    STATE(16568), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596999] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13938), 1,
      anon_sym_DASH_GT,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13942), 1,
      anon_sym_functor,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12183), 1,
      sym_attribute,
    STATE(12992), 1,
      sym__module_type,
    STATE(16555), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597059] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13938), 1,
      anon_sym_DASH_GT,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13942), 1,
      anon_sym_functor,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12184), 1,
      sym_attribute,
    STATE(12994), 1,
      sym__module_type,
    STATE(16555), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597119] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14825), 1,
      anon_sym_DASH_GT,
    ACTIONS(14827), 1,
      anon_sym_with,
    STATE(12185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14657), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14655), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597159] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14825), 1,
      anon_sym_DASH_GT,
    ACTIONS(14827), 1,
      anon_sym_with,
    STATE(12186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14006), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14004), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597199] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13938), 1,
      anon_sym_DASH_GT,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13942), 1,
      anon_sym_functor,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12187), 1,
      sym_attribute,
    STATE(13225), 1,
      sym__module_type,
    STATE(16555), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597259] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13956), 1,
      anon_sym_DASH_GT,
    ACTIONS(13958), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12188), 1,
      sym_attribute,
    STATE(13002), 1,
      sym__module_type,
    STATE(16560), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597319] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13956), 1,
      anon_sym_DASH_GT,
    ACTIONS(13958), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12189), 1,
      sym_attribute,
    STATE(13003), 1,
      sym__module_type,
    STATE(16560), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597379] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13956), 1,
      anon_sym_DASH_GT,
    ACTIONS(13958), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12190), 1,
      sym_attribute,
    STATE(13232), 1,
      sym__module_type,
    STATE(16560), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597439] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14825), 1,
      anon_sym_DASH_GT,
    ACTIONS(14827), 1,
      anon_sym_with,
    STATE(12191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14200), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597479] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14829), 1,
      anon_sym_DASH_GT,
    ACTIONS(14831), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12185), 1,
      sym__module_type,
    STATE(12192), 1,
      sym_attribute,
    STATE(16568), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597539] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14829), 1,
      anon_sym_DASH_GT,
    ACTIONS(14831), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12186), 1,
      sym__module_type,
    STATE(12193), 1,
      sym_attribute,
    STATE(16568), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597599] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14829), 1,
      anon_sym_DASH_GT,
    ACTIONS(14831), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12181), 1,
      sym__module_type,
    STATE(12194), 1,
      sym_attribute,
    STATE(16568), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597695] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14829), 1,
      anon_sym_DASH_GT,
    ACTIONS(14831), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12196), 1,
      sym_attribute,
    STATE(12464), 1,
      sym__module_type,
    STATE(16568), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597755] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13938), 1,
      anon_sym_DASH_GT,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13942), 1,
      anon_sym_functor,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12197), 1,
      sym_attribute,
    STATE(13022), 1,
      sym__module_type,
    STATE(16555), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597815] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13956), 1,
      anon_sym_DASH_GT,
    ACTIONS(13958), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12198), 1,
      sym_attribute,
    STATE(13231), 1,
      sym__module_type,
    STATE(16560), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597875] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13938), 1,
      anon_sym_DASH_GT,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13942), 1,
      anon_sym_functor,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10682), 1,
      sym__module_type,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12199), 1,
      sym_attribute,
    STATE(16555), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597935] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13938), 1,
      anon_sym_DASH_GT,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13942), 1,
      anon_sym_functor,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12200), 1,
      sym_attribute,
    STATE(13027), 1,
      sym__module_type,
    STATE(16555), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597995] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13938), 1,
      anon_sym_DASH_GT,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13942), 1,
      anon_sym_functor,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12201), 1,
      sym_attribute,
    STATE(13234), 1,
      sym__module_type,
    STATE(16555), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [598055] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13956), 1,
      anon_sym_DASH_GT,
    ACTIONS(13958), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12202), 1,
      sym_attribute,
    STATE(13029), 1,
      sym__module_type,
    STATE(16560), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [598115] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13956), 1,
      anon_sym_DASH_GT,
    ACTIONS(13958), 1,
      anon_sym_functor,
    STATE(10682), 1,
      sym__module_type,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12203), 1,
      sym_attribute,
    STATE(16560), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [598175] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13956), 1,
      anon_sym_DASH_GT,
    ACTIONS(13958), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12204), 1,
      sym_attribute,
    STATE(13032), 1,
      sym__module_type,
    STATE(16560), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [598235] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14734), 1,
      anon_sym_PIPE,
    STATE(12122), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14823), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14821), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598275] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13956), 1,
      anon_sym_DASH_GT,
    ACTIONS(13958), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12206), 1,
      sym_attribute,
    STATE(13235), 1,
      sym__module_type,
    STATE(16560), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [598335] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14829), 1,
      anon_sym_DASH_GT,
    ACTIONS(14831), 1,
      anon_sym_functor,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12191), 1,
      sym__module_type,
    STATE(12207), 1,
      sym_attribute,
    STATE(16568), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [598395] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13758), 1,
      sym__lowercase_identifier,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13770), 1,
      anon_sym_sig,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      anon_sym_module,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14829), 1,
      anon_sym_DASH_GT,
    ACTIONS(14831), 1,
      anon_sym_functor,
    STATE(10682), 1,
      sym__module_type,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(12208), 1,
      sym_attribute,
    STATE(16568), 1,
      aux_sym_module_binding_repeat1,
    STATE(18797), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [598455] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14835), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14833), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12813), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [598533] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14837), 1,
      anon_sym_and,
    STATE(12211), 1,
      sym_attribute,
    STATE(12376), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13712), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598572] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14839), 1,
      anon_sym_LPAREN,
    ACTIONS(14841), 1,
      anon_sym_end,
    STATE(12212), 1,
      sym_attribute,
    STATE(12622), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [598664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12685), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [598699] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14845), 1,
      sym_pow_operator,
    ACTIONS(14847), 1,
      sym_mult_operator,
    ACTIONS(14849), 1,
      sym_concat_operator,
    ACTIONS(14851), 1,
      sym_rel_operator,
    ACTIONS(14853), 1,
      sym_and_operator,
    ACTIONS(14855), 1,
      sym_or_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [598752] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14845), 1,
      sym_pow_operator,
    ACTIONS(14847), 1,
      sym_mult_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [598797] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14845), 1,
      sym_pow_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [598836] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14845), 1,
      sym_pow_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [598875] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14845), 1,
      sym_pow_operator,
    ACTIONS(14847), 1,
      sym_mult_operator,
    ACTIONS(14849), 1,
      sym_concat_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [598922] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14845), 1,
      sym_pow_operator,
    ACTIONS(14847), 1,
      sym_mult_operator,
    ACTIONS(14849), 1,
      sym_concat_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [598969] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14845), 1,
      sym_pow_operator,
    ACTIONS(14847), 1,
      sym_mult_operator,
    ACTIONS(14849), 1,
      sym_concat_operator,
    ACTIONS(14851), 1,
      sym_rel_operator,
    ACTIONS(14853), 1,
      sym_and_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [599020] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14845), 1,
      sym_pow_operator,
    ACTIONS(14847), 1,
      sym_mult_operator,
    ACTIONS(14849), 1,
      sym_concat_operator,
    ACTIONS(14851), 1,
      sym_rel_operator,
    ACTIONS(14853), 1,
      sym_and_operator,
    ACTIONS(14855), 1,
      sym_or_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [599073] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14845), 1,
      sym_pow_operator,
    ACTIONS(14847), 1,
      sym_mult_operator,
    ACTIONS(14849), 1,
      sym_concat_operator,
    ACTIONS(14851), 1,
      sym_rel_operator,
    ACTIONS(14853), 1,
      sym_and_operator,
    ACTIONS(14855), 1,
      sym_or_operator,
    ACTIONS(14857), 1,
      anon_sym_COMMA,
    ACTIONS(14859), 1,
      sym_assign_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [599130] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14845), 1,
      sym_pow_operator,
    ACTIONS(14847), 1,
      sym_mult_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [599171] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14845), 1,
      sym_pow_operator,
    ACTIONS(14847), 1,
      sym_mult_operator,
    ACTIONS(14849), 1,
      sym_concat_operator,
    ACTIONS(14851), 1,
      sym_rel_operator,
    ACTIONS(14853), 1,
      sym_and_operator,
    ACTIONS(14855), 1,
      sym_or_operator,
    ACTIONS(14857), 1,
      anon_sym_COMMA,
    ACTIONS(14859), 1,
      sym_assign_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11446), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [599228] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14861), 1,
      anon_sym_else,
    STATE(11602), 1,
      sym_else_clause,
    STATE(12226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [599267] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14845), 1,
      sym_pow_operator,
    ACTIONS(14847), 1,
      sym_mult_operator,
    ACTIONS(14849), 1,
      sym_concat_operator,
    ACTIONS(14851), 1,
      sym_rel_operator,
    ACTIONS(14853), 1,
      sym_and_operator,
    ACTIONS(14855), 1,
      sym_or_operator,
    ACTIONS(14857), 1,
      anon_sym_COMMA,
    ACTIONS(14859), 1,
      sym_assign_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [599324] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14865), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14863), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599365] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8019), 1,
      anon_sym_let,
    ACTIONS(8175), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11915), 1,
      aux_sym_expression_item_repeat1,
    STATE(12229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8017), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12725), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599443] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14867), 1,
      anon_sym_LPAREN,
    ACTIONS(14869), 1,
      anon_sym_end,
    STATE(12231), 1,
      sym_attribute,
    STATE(12762), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [599500] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14064), 1,
      anon_sym_let,
    ACTIONS(14871), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11620), 1,
      aux_sym_expression_item_repeat1,
    STATE(12232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14062), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599543] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11433), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14873), 1,
      anon_sym_STAR,
    STATE(12233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12675), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599615] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14875), 1,
      anon_sym_LPAREN,
    ACTIONS(14877), 1,
      anon_sym_end,
    STATE(12235), 1,
      sym_attribute,
    STATE(12639), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [599672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599707] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14879), 1,
      anon_sym_LPAREN,
    ACTIONS(14881), 1,
      anon_sym_end,
    STATE(12237), 1,
      sym_attribute,
    STATE(12545), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [599764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12615), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599799] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14883), 1,
      anon_sym_LPAREN,
    ACTIONS(14885), 1,
      anon_sym_end,
    STATE(12239), 1,
      sym_attribute,
    STATE(12544), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [599856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9304), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9308), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9312), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9316), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599996] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12537), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12535), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600037] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14887), 1,
      anon_sym_LPAREN,
    ACTIONS(14889), 1,
      anon_sym_end,
    STATE(12245), 1,
      sym_attribute,
    STATE(13051), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [600094] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(12246), 1,
      sym_attribute,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13306), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [600139] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14893), 1,
      anon_sym_let,
    ACTIONS(14895), 1,
      anon_sym_and,
    STATE(12247), 1,
      sym_attribute,
    STATE(12451), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14891), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600178] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14893), 1,
      anon_sym_let,
    ACTIONS(14895), 1,
      anon_sym_and,
    STATE(12248), 1,
      sym_attribute,
    STATE(12452), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14891), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9304), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600252] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14897), 1,
      anon_sym_LPAREN,
    ACTIONS(14899), 1,
      anon_sym_end,
    STATE(12250), 1,
      sym_attribute,
    STATE(12689), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [600309] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14895), 1,
      anon_sym_and,
    ACTIONS(14903), 1,
      anon_sym_let,
    STATE(12247), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14901), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600348] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14905), 1,
      anon_sym_PIPE,
    STATE(12252), 1,
      sym_attribute,
    STATE(12254), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [600387] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14905), 1,
      anon_sym_PIPE,
    STATE(12253), 1,
      sym_attribute,
    STATE(12255), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [600426] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14905), 1,
      anon_sym_PIPE,
    STATE(12254), 1,
      sym_attribute,
    STATE(12256), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [600465] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14905), 1,
      anon_sym_PIPE,
    STATE(12255), 1,
      sym_attribute,
    STATE(12256), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [600504] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14907), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12256), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [600541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9308), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9312), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600611] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8019), 1,
      anon_sym_let,
    ACTIONS(8117), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11915), 1,
      aux_sym_expression_item_repeat1,
    STATE(12259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8017), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9316), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600689] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14912), 1,
      anon_sym_BANG,
    ACTIONS(14914), 1,
      anon_sym_functor,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(10030), 1,
      sym_module_path,
    STATE(10132), 1,
      sym__module_expression,
    STATE(12261), 1,
      sym_attribute,
    STATE(13255), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [600746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12355), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(12353), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [600781] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14920), 1,
      anon_sym_LPAREN,
    ACTIONS(14922), 1,
      anon_sym_end,
    STATE(12263), 1,
      sym_attribute,
    STATE(12850), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [600838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600873] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14064), 1,
      anon_sym_let,
    ACTIONS(14924), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11620), 1,
      aux_sym_expression_item_repeat1,
    STATE(12265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14062), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600916] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14926), 1,
      anon_sym_LPAREN,
    ACTIONS(14928), 1,
      anon_sym_end,
    STATE(12266), 1,
      sym_attribute,
    STATE(12845), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [600973] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8013), 1,
      anon_sym_let,
    ACTIONS(8119), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11636), 1,
      aux_sym_expression_item_repeat1,
    STATE(12267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8011), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12781), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601086] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(10336), 16,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [601121] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11433), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14930), 1,
      anon_sym_STAR,
    STATE(12271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12805), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601193] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(14932), 1,
      anon_sym_LPAREN,
    ACTIONS(14934), 1,
      anon_sym_BANG,
    ACTIONS(14936), 1,
      anon_sym_functor,
    ACTIONS(14938), 1,
      anon_sym_struct,
    ACTIONS(14940), 1,
      sym__uppercase_identifier,
    STATE(12273), 1,
      sym_attribute,
    STATE(13419), 1,
      sym__attribute,
    STATE(14263), 1,
      sym__module_expression,
    STATE(14559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14631), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [601250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12627), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601285] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14942), 1,
      anon_sym_LPAREN,
    ACTIONS(14944), 1,
      anon_sym_end,
    STATE(12275), 1,
      sym_attribute,
    STATE(12882), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [601342] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14946), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12276), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10115), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10113), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [601379] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14949), 1,
      anon_sym_LPAREN,
    ACTIONS(14951), 1,
      anon_sym_end,
    STATE(12277), 1,
      sym_attribute,
    STATE(12608), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [601436] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14159), 1,
      anon_sym_let,
    ACTIONS(14953), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11759), 1,
      aux_sym_expression_item_repeat1,
    STATE(12278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14157), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601479] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13436), 1,
      anon_sym_STAR,
    STATE(12279), 1,
      sym_attribute,
    STATE(12280), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14510), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601518] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14955), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13306), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12280), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13304), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601555] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7953), 1,
      anon_sym_let,
    ACTIONS(8049), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11762), 1,
      aux_sym_expression_item_repeat1,
    STATE(12281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7951), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601598] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14958), 1,
      anon_sym_LPAREN,
    ACTIONS(14960), 1,
      anon_sym_end,
    STATE(12282), 1,
      sym_attribute,
    STATE(13037), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [601655] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14962), 1,
      anon_sym_else,
    STATE(11602), 1,
      sym_else_clause,
    STATE(12283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [601694] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14964), 1,
      anon_sym_LPAREN,
    ACTIONS(14966), 1,
      anon_sym_end,
    STATE(12284), 1,
      sym_attribute,
    STATE(12967), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [601751] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13728), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13730), 1,
      anon_sym_EQ,
    ACTIONS(14968), 1,
      anon_sym_of,
    ACTIONS(14970), 1,
      anon_sym_COLON2,
    STATE(12285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601792] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13738), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13740), 1,
      anon_sym_EQ,
    ACTIONS(14972), 1,
      anon_sym_of,
    ACTIONS(14974), 1,
      anon_sym_COLON2,
    STATE(12286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13736), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601833] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13748), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13750), 1,
      anon_sym_EQ,
    ACTIONS(14976), 1,
      anon_sym_of,
    ACTIONS(14978), 1,
      anon_sym_COLON2,
    STATE(12287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13746), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601874] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14980), 1,
      aux_sym_attribute_id_token1,
    STATE(12288), 1,
      sym_attribute,
    STATE(12449), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(9971), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [601913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12729), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601948] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14598), 1,
      anon_sym_let,
    ACTIONS(14982), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11902), 1,
      aux_sym_expression_item_repeat1,
    STATE(12290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14596), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601991] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14984), 1,
      anon_sym_LPAREN,
    ACTIONS(14986), 1,
      anon_sym_end,
    STATE(12291), 1,
      sym_attribute,
    STATE(12479), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [602048] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14990), 1,
      anon_sym_let,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14988), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10356), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602124] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13728), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13730), 1,
      anon_sym_EQ,
    ACTIONS(14992), 1,
      anon_sym_of,
    ACTIONS(14994), 1,
      anon_sym_COLON2,
    STATE(12294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602165] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13738), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13740), 1,
      anon_sym_EQ,
    ACTIONS(14996), 1,
      anon_sym_of,
    ACTIONS(14998), 1,
      anon_sym_COLON2,
    STATE(12295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13736), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602206] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13748), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13750), 1,
      anon_sym_EQ,
    ACTIONS(15000), 1,
      anon_sym_of,
    ACTIONS(15002), 1,
      anon_sym_COLON2,
    STATE(12296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13746), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602247] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14598), 1,
      anon_sym_let,
    ACTIONS(15004), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11902), 1,
      aux_sym_expression_item_repeat1,
    STATE(12297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14596), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602290] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_EQ,
    ACTIONS(15006), 1,
      anon_sym_of,
    ACTIONS(15008), 1,
      anon_sym_COLON2,
    STATE(12298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13738), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13736), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602331] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8031), 1,
      anon_sym_let,
    ACTIONS(8171), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11668), 1,
      aux_sym_expression_item_repeat1,
    STATE(12299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8029), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602374] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15010), 1,
      anon_sym_LPAREN,
    ACTIONS(15012), 1,
      anon_sym_end,
    STATE(12300), 1,
      sym_attribute,
    STATE(12520), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [602431] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15014), 1,
      anon_sym_LPAREN,
    ACTIONS(15016), 1,
      anon_sym_end,
    STATE(12301), 1,
      sym_attribute,
    STATE(12518), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [602488] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(15018), 1,
      sym__lowercase_identifier,
    ACTIONS(15020), 1,
      anon_sym_POUND,
    STATE(12302), 1,
      sym_attribute,
    STATE(13158), 1,
      sym_type_constructor_path,
    STATE(18818), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11192), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [602533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602568] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15022), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_end,
    STATE(12304), 1,
      sym_attribute,
    STATE(12557), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [602625] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15026), 1,
      anon_sym_LPAREN,
    ACTIONS(15028), 1,
      anon_sym_end,
    STATE(12305), 1,
      sym_attribute,
    STATE(12546), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [602682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602717] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(14673), 1,
      anon_sym_DASH_GT,
    STATE(12307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13556), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13554), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602756] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15030), 1,
      anon_sym_LPAREN,
    ACTIONS(15032), 1,
      anon_sym_end,
    STATE(12308), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [602813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602848] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15034), 1,
      anon_sym_LPAREN,
    ACTIONS(15036), 1,
      anon_sym_end,
    STATE(12310), 1,
      sym_attribute,
    STATE(12644), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [602905] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15038), 1,
      anon_sym_LPAREN,
    ACTIONS(15040), 1,
      anon_sym_end,
    STATE(12311), 1,
      sym_attribute,
    STATE(12620), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [602962] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15042), 1,
      anon_sym_LPAREN,
    ACTIONS(15044), 1,
      anon_sym_end,
    STATE(12312), 1,
      sym_attribute,
    STATE(12587), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12685), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12725), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603089] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15046), 1,
      anon_sym_LPAREN,
    ACTIONS(15048), 1,
      anon_sym_end,
    STATE(12315), 1,
      sym_attribute,
    STATE(12751), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603146] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(15018), 1,
      sym__lowercase_identifier,
    ACTIONS(15050), 1,
      anon_sym_POUND,
    STATE(12316), 1,
      sym_attribute,
    STATE(13173), 1,
      sym_type_constructor_path,
    STATE(18818), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12437), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [603191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12675), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603226] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14326), 1,
      anon_sym_let,
    ACTIONS(15052), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11798), 1,
      aux_sym_expression_item_repeat1,
    STATE(12318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14324), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603269] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(11702), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [603304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12615), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603339] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7995), 1,
      anon_sym_let,
    ACTIONS(8047), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11803), 1,
      aux_sym_expression_item_repeat1,
    STATE(12321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7993), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603382] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15054), 1,
      anon_sym_LPAREN,
    ACTIONS(15056), 1,
      anon_sym_end,
    STATE(12322), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603439] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15058), 1,
      anon_sym_LPAREN,
    ACTIONS(15060), 1,
      anon_sym_end,
    STATE(12323), 1,
      sym_attribute,
    STATE(12629), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603496] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14159), 1,
      anon_sym_let,
    ACTIONS(15062), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11759), 1,
      aux_sym_expression_item_repeat1,
    STATE(12324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14157), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603574] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15064), 1,
      anon_sym_LPAREN,
    ACTIONS(15066), 1,
      anon_sym_end,
    STATE(12326), 1,
      sym_attribute,
    STATE(12661), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10356), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603666] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15068), 1,
      anon_sym_LPAREN,
    ACTIONS(15070), 1,
      anon_sym_end,
    STATE(12328), 1,
      sym_attribute,
    STATE(12650), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603723] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7953), 1,
      anon_sym_let,
    ACTIONS(7955), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11762), 1,
      aux_sym_expression_item_repeat1,
    STATE(12329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7951), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12781), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12805), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12627), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12623), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12639), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12643), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603976] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14414), 1,
      anon_sym_let,
    ACTIONS(15072), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11821), 1,
      aux_sym_expression_item_repeat1,
    STATE(12336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14412), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12651), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604054] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15074), 1,
      anon_sym_LPAREN,
    ACTIONS(15076), 1,
      anon_sym_end,
    STATE(12338), 1,
      sym_attribute,
    STATE(12687), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12623), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12639), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604181] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15078), 1,
      anon_sym_LPAREN,
    ACTIONS(15080), 1,
      anon_sym_end,
    STATE(12341), 1,
      sym_attribute,
    STATE(12690), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604238] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15082), 1,
      anon_sym_LPAREN,
    ACTIONS(15084), 1,
      anon_sym_end,
    STATE(12342), 1,
      sym_attribute,
    STATE(12711), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12643), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12651), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604365] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15086), 1,
      anon_sym_LPAREN,
    ACTIONS(15088), 1,
      anon_sym_end,
    STATE(12345), 1,
      sym_attribute,
    STATE(12730), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604422] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15092), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12292), 1,
      aux_sym_expression_item_repeat1,
    STATE(12346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15090), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604463] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(12347), 1,
      sym_attribute,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13306), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [604508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12761), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12785), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12789), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12813), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604648] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15094), 1,
      anon_sym_LPAREN,
    ACTIONS(15096), 1,
      anon_sym_end,
    STATE(12352), 1,
      sym_attribute,
    STATE(12766), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12817), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604775] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15098), 1,
      anon_sym_LPAREN,
    ACTIONS(15100), 1,
      anon_sym_end,
    STATE(12355), 1,
      sym_attribute,
    STATE(12589), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604902] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15102), 1,
      anon_sym_LPAREN,
    ACTIONS(15104), 1,
      anon_sym_end,
    STATE(12358), 1,
      sym_attribute,
    STATE(12764), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12793), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12797), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605029] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15106), 1,
      anon_sym_LPAREN,
    ACTIONS(15108), 1,
      anon_sym_end,
    STATE(12361), 1,
      sym_attribute,
    STATE(12801), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605086] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15110), 1,
      anon_sym_LPAREN,
    ACTIONS(15112), 1,
      anon_sym_end,
    STATE(12362), 1,
      sym_attribute,
    STATE(12808), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605143] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8013), 1,
      anon_sym_let,
    ACTIONS(8015), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11636), 1,
      aux_sym_expression_item_repeat1,
    STATE(12363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8011), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605186] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14962), 1,
      anon_sym_else,
    STATE(11743), 1,
      sym_else_clause,
    STATE(12364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [605225] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15114), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12365), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13525), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605264] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8019), 1,
      anon_sym_let,
    ACTIONS(8021), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11915), 1,
      aux_sym_expression_item_repeat1,
    STATE(12366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8017), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605307] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14064), 1,
      anon_sym_let,
    ACTIONS(15117), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11620), 1,
      aux_sym_expression_item_repeat1,
    STATE(12367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14062), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605350] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15119), 1,
      anon_sym_PIPE,
    STATE(12368), 1,
      sym_attribute,
    STATE(12373), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14823), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14821), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605389] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14845), 1,
      sym_pow_operator,
    ACTIONS(14847), 1,
      sym_mult_operator,
    ACTIONS(14849), 1,
      sym_concat_operator,
    ACTIONS(14851), 1,
      sym_rel_operator,
    ACTIONS(14853), 1,
      sym_and_operator,
    ACTIONS(14855), 1,
      sym_or_operator,
    ACTIONS(14857), 1,
      anon_sym_COMMA,
    ACTIONS(14859), 1,
      sym_assign_operator,
    ACTIONS(15121), 1,
      anon_sym_SEMI,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [605448] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14598), 1,
      anon_sym_let,
    ACTIONS(15123), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11902), 1,
      aux_sym_expression_item_repeat1,
    STATE(12370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14596), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15127), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15125), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [605526] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15119), 1,
      anon_sym_PIPE,
    STATE(12372), 1,
      sym_attribute,
    STATE(12373), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14773), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14771), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605565] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15129), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14566), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12373), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14564), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605602] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15132), 1,
      anon_sym_LPAREN,
    ACTIONS(15134), 1,
      anon_sym_end,
    STATE(12374), 1,
      sym_attribute,
    STATE(12659), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605659] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8031), 1,
      anon_sym_let,
    ACTIONS(8033), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11668), 1,
      aux_sym_expression_item_repeat1,
    STATE(12375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8029), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605702] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13844), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14837), 1,
      anon_sym_and,
    STATE(12376), 1,
      sym_attribute,
    STATE(12380), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13842), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605741] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14159), 1,
      anon_sym_let,
    ACTIONS(15136), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11759), 1,
      aux_sym_expression_item_repeat1,
    STATE(12377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14157), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605784] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7953), 1,
      anon_sym_let,
    ACTIONS(8041), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11762), 1,
      aux_sym_expression_item_repeat1,
    STATE(12378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7951), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605827] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15138), 1,
      anon_sym_LPAREN,
    ACTIONS(15140), 1,
      anon_sym_end,
    STATE(12379), 1,
      sym_attribute,
    STATE(12854), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605884] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13276), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15142), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12380), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13274), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605921] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14326), 1,
      anon_sym_let,
    ACTIONS(15145), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11798), 1,
      aux_sym_expression_item_repeat1,
    STATE(12381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14324), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605964] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7995), 1,
      anon_sym_let,
    ACTIONS(8043), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11803), 1,
      aux_sym_expression_item_repeat1,
    STATE(12382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7993), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606007] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14414), 1,
      anon_sym_let,
    ACTIONS(15147), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11821), 1,
      aux_sym_expression_item_repeat1,
    STATE(12383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14412), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12761), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12785), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606120] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15149), 1,
      anon_sym_LPAREN,
    ACTIONS(15151), 1,
      anon_sym_end,
    STATE(12386), 1,
      sym_attribute,
    STATE(12747), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [606177] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14326), 1,
      anon_sym_let,
    ACTIONS(15153), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11798), 1,
      aux_sym_expression_item_repeat1,
    STATE(12387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14324), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606220] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11719), 1,
      aux_sym_expression_item_repeat1,
    STATE(12388), 1,
      sym_attribute,
    STATE(13196), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13548), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606265] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10770), 11,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [606300] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11709), 1,
      aux_sym_expression_item_repeat1,
    STATE(12390), 1,
      sym_attribute,
    STATE(12394), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13846), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606345] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11706), 1,
      aux_sym_expression_item_repeat1,
    STATE(12391), 1,
      sym_attribute,
    STATE(13196), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606390] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11713), 1,
      aux_sym_expression_item_repeat1,
    STATE(12392), 1,
      sym_attribute,
    STATE(13196), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13582), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606435] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11876), 1,
      aux_sym_expression_item_repeat1,
    STATE(12393), 1,
      sym_attribute,
    STATE(12398), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13704), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606480] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11885), 1,
      aux_sym_expression_item_repeat1,
    STATE(12394), 1,
      sym_attribute,
    STATE(13196), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13708), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606525] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15155), 1,
      anon_sym_PIPE,
    STATE(12395), 1,
      sym_attribute,
    STATE(12400), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14823), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14821), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606564] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11912), 1,
      aux_sym_expression_item_repeat1,
    STATE(12396), 1,
      sym_attribute,
    STATE(12403), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13718), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606609] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11919), 1,
      aux_sym_expression_item_repeat1,
    STATE(12397), 1,
      sym_attribute,
    STATE(13196), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13722), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606654] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11844), 1,
      aux_sym_expression_item_repeat1,
    STATE(12398), 1,
      sym_attribute,
    STATE(13196), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13910), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606699] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15155), 1,
      anon_sym_PIPE,
    STATE(12399), 1,
      sym_attribute,
    STATE(12400), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14773), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14771), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606738] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15157), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14566), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12400), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14564), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606775] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11888), 1,
      aux_sym_expression_item_repeat1,
    STATE(12401), 1,
      sym_attribute,
    STATE(12404), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13930), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606820] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11903), 1,
      aux_sym_expression_item_repeat1,
    STATE(12402), 1,
      sym_attribute,
    STATE(12405), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13934), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606865] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11914), 1,
      aux_sym_expression_item_repeat1,
    STATE(12403), 1,
      sym_attribute,
    STATE(13196), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13950), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606910] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11744), 1,
      aux_sym_expression_item_repeat1,
    STATE(12404), 1,
      sym_attribute,
    STATE(13196), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13828), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606955] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11746), 1,
      aux_sym_expression_item_repeat1,
    STATE(12405), 1,
      sym_attribute,
    STATE(13196), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13832), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607000] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11747), 1,
      aux_sym_expression_item_repeat1,
    STATE(12406), 1,
      sym_attribute,
    STATE(12407), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13838), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607045] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13624), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11780), 1,
      aux_sym_expression_item_repeat1,
    STATE(12407), 1,
      sym_attribute,
    STATE(13196), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13873), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12789), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [607125] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11719), 1,
      aux_sym_expression_item_repeat1,
    STATE(12409), 1,
      sym_attribute,
    STATE(13204), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13548), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12813), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [607205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12817), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [607240] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11709), 1,
      aux_sym_expression_item_repeat1,
    STATE(12412), 1,
      sym_attribute,
    STATE(12418), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13846), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [607320] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11706), 1,
      aux_sym_expression_item_repeat1,
    STATE(12414), 1,
      sym_attribute,
    STATE(13204), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607365] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15160), 1,
      anon_sym_LPAREN,
    ACTIONS(15162), 1,
      anon_sym_end,
    STATE(12415), 1,
      sym_attribute,
    STATE(12924), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [607422] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11713), 1,
      aux_sym_expression_item_repeat1,
    STATE(12416), 1,
      sym_attribute,
    STATE(13204), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13582), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607467] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11876), 1,
      aux_sym_expression_item_repeat1,
    STATE(12417), 1,
      sym_attribute,
    STATE(12421), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13704), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607512] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11885), 1,
      aux_sym_expression_item_repeat1,
    STATE(12418), 1,
      sym_attribute,
    STATE(13204), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13708), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607557] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11912), 1,
      aux_sym_expression_item_repeat1,
    STATE(12419), 1,
      sym_attribute,
    STATE(12424), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13718), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607602] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11919), 1,
      aux_sym_expression_item_repeat1,
    STATE(12420), 1,
      sym_attribute,
    STATE(13204), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13722), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607647] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11844), 1,
      aux_sym_expression_item_repeat1,
    STATE(12421), 1,
      sym_attribute,
    STATE(13204), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13910), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607692] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11888), 1,
      aux_sym_expression_item_repeat1,
    STATE(12422), 1,
      sym_attribute,
    STATE(12425), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13930), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607737] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11903), 1,
      aux_sym_expression_item_repeat1,
    STATE(12423), 1,
      sym_attribute,
    STATE(12426), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13934), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607782] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11914), 1,
      aux_sym_expression_item_repeat1,
    STATE(12424), 1,
      sym_attribute,
    STATE(13204), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13950), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607827] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11744), 1,
      aux_sym_expression_item_repeat1,
    STATE(12425), 1,
      sym_attribute,
    STATE(13204), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13828), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607872] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11746), 1,
      aux_sym_expression_item_repeat1,
    STATE(12426), 1,
      sym_attribute,
    STATE(13204), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13832), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607917] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11747), 1,
      aux_sym_expression_item_repeat1,
    STATE(12427), 1,
      sym_attribute,
    STATE(12429), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13838), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607962] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13844), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15164), 1,
      anon_sym_and,
    STATE(12428), 1,
      sym_attribute,
    STATE(12430), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13842), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608001] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13636), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11780), 1,
      aux_sym_expression_item_repeat1,
    STATE(12429), 1,
      sym_attribute,
    STATE(13204), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13873), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608046] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13276), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15166), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12430), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13274), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608083] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15169), 1,
      anon_sym_LPAREN,
    ACTIONS(15171), 1,
      anon_sym_end,
    STATE(12431), 1,
      sym_attribute,
    STATE(12949), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [608175] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15173), 1,
      anon_sym_LPAREN,
    ACTIONS(15175), 1,
      anon_sym_end,
    STATE(12433), 1,
      sym_attribute,
    STATE(12913), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [608267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9270), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [608302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12793), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [608337] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7995), 1,
      anon_sym_let,
    ACTIONS(7997), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11803), 1,
      aux_sym_expression_item_repeat1,
    STATE(12437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7993), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [608380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9282), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [608415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12797), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [608450] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15177), 1,
      anon_sym_LPAREN,
    ACTIONS(15179), 1,
      anon_sym_end,
    STATE(12440), 1,
      sym_attribute,
    STATE(12930), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608507] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14845), 1,
      sym_pow_operator,
    ACTIONS(14847), 1,
      sym_mult_operator,
    ACTIONS(14849), 1,
      sym_concat_operator,
    ACTIONS(14851), 1,
      sym_rel_operator,
    ACTIONS(14853), 1,
      sym_and_operator,
    ACTIONS(14855), 1,
      sym_or_operator,
    ACTIONS(14857), 1,
      anon_sym_COMMA,
    ACTIONS(14859), 1,
      sym_assign_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11474), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [608564] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15181), 1,
      anon_sym_LPAREN,
    ACTIONS(15183), 1,
      anon_sym_end,
    STATE(12442), 1,
      sym_attribute,
    STATE(12951), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608621] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15185), 1,
      anon_sym_LPAREN,
    ACTIONS(15187), 1,
      anon_sym_end,
    STATE(12443), 1,
      sym_attribute,
    STATE(13028), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608678] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15189), 1,
      anon_sym_LPAREN,
    ACTIONS(15191), 1,
      anon_sym_end,
    STATE(12444), 1,
      sym_attribute,
    STATE(13001), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608735] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15193), 1,
      anon_sym_LPAREN,
    ACTIONS(15195), 1,
      anon_sym_end,
    STATE(12445), 1,
      sym_attribute,
    STATE(12954), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608792] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14414), 1,
      anon_sym_let,
    ACTIONS(15197), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11821), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14412), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [608835] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15199), 1,
      anon_sym_LPAREN,
    ACTIONS(15201), 1,
      anon_sym_end,
    STATE(12447), 1,
      sym_attribute,
    STATE(12678), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608892] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15203), 1,
      anon_sym_LPAREN,
    ACTIONS(15205), 1,
      anon_sym_end,
    STATE(12448), 1,
      sym_attribute,
    STATE(12983), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608949] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14980), 1,
      aux_sym_attribute_id_token1,
    STATE(12276), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10091), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [608988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12729), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [609023] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15209), 1,
      anon_sym_let,
    ACTIONS(15211), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12451), 2,
      sym_attribute,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(15207), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609060] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14895), 1,
      anon_sym_and,
    ACTIONS(15216), 1,
      anon_sym_let,
    STATE(12451), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15214), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609099] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15218), 1,
      anon_sym_LPAREN,
    ACTIONS(15220), 1,
      anon_sym_end,
    STATE(12453), 1,
      sym_attribute,
    STATE(13046), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609156] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15119), 1,
      anon_sym_PIPE,
    STATE(12368), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13220), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13218), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609195] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15119), 1,
      anon_sym_PIPE,
    STATE(12372), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14823), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14821), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609234] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14795), 1,
      anon_sym_let,
    ACTIONS(14825), 1,
      anon_sym_DASH_GT,
    ACTIONS(14827), 1,
      anon_sym_with,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12058), 1,
      aux_sym_expression_item_repeat1,
    STATE(12456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14793), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609279] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(15018), 1,
      sym__lowercase_identifier,
    ACTIONS(15020), 1,
      anon_sym_POUND,
    STATE(12457), 1,
      sym_attribute,
    STATE(13158), 1,
      sym_type_constructor_path,
    STATE(18818), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12433), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [609324] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8031), 1,
      anon_sym_let,
    ACTIONS(8177), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11668), 1,
      aux_sym_expression_item_repeat1,
    STATE(12458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8029), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609367] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15155), 1,
      anon_sym_PIPE,
    STATE(12395), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13220), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13218), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609406] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15155), 1,
      anon_sym_PIPE,
    STATE(12399), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14823), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14821), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609445] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15164), 1,
      anon_sym_and,
    STATE(12428), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(12461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13712), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609484] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15222), 1,
      anon_sym_LPAREN,
    ACTIONS(15224), 1,
      anon_sym_end,
    STATE(12462), 1,
      sym_attribute,
    STATE(12677), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15228), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(15226), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [609576] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14765), 1,
      anon_sym_let,
    ACTIONS(14825), 1,
      anon_sym_DASH_GT,
    ACTIONS(14827), 1,
      anon_sym_with,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12137), 1,
      aux_sym_expression_item_repeat1,
    STATE(12464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14763), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609621] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [609658] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14861), 1,
      anon_sym_else,
    STATE(11743), 1,
      sym_else_clause,
    STATE(12466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [609697] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8013), 1,
      anon_sym_let,
    ACTIONS(8165), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11636), 1,
      aux_sym_expression_item_repeat1,
    STATE(12467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8011), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609740] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14691), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12117), 1,
      aux_sym_expression_item_repeat1,
    STATE(12468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15230), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14689), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609783] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13730), 1,
      anon_sym_EQ,
    ACTIONS(15232), 1,
      anon_sym_of,
    ACTIONS(15234), 1,
      anon_sym_COLON2,
    STATE(12469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13728), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13726), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609824] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15236), 1,
      anon_sym_LPAREN,
    ACTIONS(15238), 1,
      anon_sym_end,
    STATE(12470), 1,
      sym_attribute,
    STATE(13057), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609881] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14785), 1,
      anon_sym_let,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(11976), 1,
      aux_sym_expression_item_repeat1,
    STATE(12471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15240), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14783), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609924] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13750), 1,
      anon_sym_EQ,
    ACTIONS(15242), 1,
      anon_sym_of,
    ACTIONS(15244), 1,
      anon_sym_COLON2,
    STATE(12472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13748), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13746), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609965] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15246), 1,
      anon_sym_end,
    STATE(12473), 1,
      sym_attribute,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610019] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15248), 1,
      anon_sym_end,
    STATE(12474), 1,
      sym_attribute,
    STATE(12579), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610073] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15254), 1,
      anon_sym_and,
    ACTIONS(15256), 1,
      sym_let_and_operator,
    STATE(12475), 1,
      sym_attribute,
    STATE(12510), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15252), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15250), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610113] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14986), 1,
      anon_sym_end,
    STATE(12476), 1,
      sym_attribute,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9158), 17,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
  [610201] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(12478), 1,
      sym_attribute,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12619), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [610245] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15258), 1,
      anon_sym_end,
    STATE(12479), 1,
      sym_attribute,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610299] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13666), 1,
      anon_sym_STAR,
    ACTIONS(14512), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12480), 1,
      sym_attribute,
    STATE(12481), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14510), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610337] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13306), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15260), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12481), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13304), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610373] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15263), 1,
      anon_sym_end,
    STATE(12482), 1,
      sym_attribute,
    STATE(12529), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610427] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15265), 1,
      anon_sym_end,
    STATE(12483), 1,
      sym_attribute,
    STATE(12490), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610481] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12484), 1,
      sym_attribute,
    STATE(13306), 1,
      sym__attribute,
    STATE(14304), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610535] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15269), 1,
      anon_sym_end,
    STATE(12485), 1,
      sym_attribute,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610589] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15271), 1,
      anon_sym_constraint,
    ACTIONS(15274), 1,
      anon_sym_val,
    ACTIONS(15277), 1,
      anon_sym_end,
    ACTIONS(15279), 1,
      anon_sym_inherit,
    ACTIONS(15282), 1,
      anon_sym_method,
    ACTIONS(15285), 1,
      anon_sym_initializer,
    ACTIONS(15288), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(15291), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(15294), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12486), 2,
      sym_attribute,
      aux_sym_object_expression_repeat1,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610641] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15297), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610695] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_and,
    ACTIONS(15299), 1,
      anon_sym_COMMA,
    ACTIONS(15301), 1,
      anon_sym_SEMI,
    ACTIONS(15303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15305), 1,
      sym_pow_operator,
    ACTIONS(15307), 1,
      sym_mult_operator,
    ACTIONS(15309), 1,
      sym_concat_operator,
    ACTIONS(15311), 1,
      sym_rel_operator,
    ACTIONS(15313), 1,
      sym_and_operator,
    ACTIONS(15315), 1,
      sym_or_operator,
    ACTIONS(15317), 1,
      sym_assign_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(12488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [610753] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15319), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610807] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15321), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610861] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15321), 1,
      anon_sym_end,
    STATE(12491), 1,
      sym_attribute,
    STATE(12492), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610915] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15323), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610969] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15323), 1,
      anon_sym_end,
    STATE(12493), 1,
      sym_attribute,
    STATE(12499), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611023] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15269), 1,
      anon_sym_end,
    STATE(12494), 1,
      sym_attribute,
    STATE(12606), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611077] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15325), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611131] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15327), 1,
      anon_sym_end,
    STATE(12496), 1,
      sym_attribute,
    STATE(12506), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611185] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15329), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611239] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(12498), 1,
      sym_attribute,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13513), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [611283] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15331), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611337] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15333), 1,
      anon_sym_end,
    STATE(12500), 1,
      sym_attribute,
    STATE(12533), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611391] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15335), 1,
      anon_sym_end,
    STATE(12501), 1,
      sym_attribute,
    STATE(12534), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611445] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(12502), 1,
      sym_attribute,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13517), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [611489] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12503), 1,
      sym_attribute,
    STATE(13316), 1,
      sym__attribute,
    STATE(14529), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611543] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13728), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13730), 1,
      anon_sym_EQ,
    ACTIONS(15337), 1,
      anon_sym_of,
    ACTIONS(15339), 1,
      anon_sym_COLON2,
    STATE(12504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611583] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13738), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13740), 1,
      anon_sym_EQ,
    ACTIONS(15341), 1,
      anon_sym_of,
    ACTIONS(15343), 1,
      anon_sym_COLON2,
    STATE(12505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13736), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611623] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15345), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611677] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14885), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611731] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15345), 1,
      anon_sym_end,
    STATE(12508), 1,
      sym_attribute,
    STATE(12511), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611785] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13748), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13750), 1,
      anon_sym_EQ,
    ACTIONS(15347), 1,
      anon_sym_of,
    ACTIONS(15349), 1,
      anon_sym_COLON2,
    STATE(12509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13746), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611825] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15351), 1,
      anon_sym_and,
    ACTIONS(15354), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15228), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(12510), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15226), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611863] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15357), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611917] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14841), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611971] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15012), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612025] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15363), 1,
      anon_sym_and,
    ACTIONS(15365), 1,
      sym_let_and_operator,
    STATE(12514), 1,
      sym_attribute,
    STATE(13038), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15361), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15359), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612065] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15016), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612119] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_COLON2,
    STATE(12516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [612155] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15367), 1,
      anon_sym_end,
    STATE(12517), 1,
      sym_attribute,
    STATE(12831), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612209] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15369), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612263] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(12519), 1,
      sym_attribute,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13534), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13536), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [612307] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15371), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612361] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2744), 1,
      sym_add_operator,
    STATE(12521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [612397] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12522), 1,
      sym_attribute,
    STATE(13317), 1,
      sym__attribute,
    STATE(14363), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612451] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15373), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612505] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15373), 1,
      anon_sym_end,
    STATE(12524), 1,
      sym_attribute,
    STATE(12555), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612559] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15375), 1,
      anon_sym_end,
    STATE(12525), 1,
      sym_attribute,
    STATE(12526), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612613] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15377), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612667] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15377), 1,
      anon_sym_end,
    STATE(12527), 1,
      sym_attribute,
    STATE(12528), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612721] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15379), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612775] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15381), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612829] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15379), 1,
      anon_sym_end,
    STATE(12530), 1,
      sym_attribute,
    STATE(12531), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612883] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15383), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612937] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15385), 1,
      anon_sym_else,
    STATE(11743), 1,
      sym_else_clause,
    STATE(12532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [612975] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15387), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613029] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15389), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613083] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15389), 1,
      anon_sym_end,
    STATE(12535), 1,
      sym_attribute,
    STATE(12550), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613137] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12536), 1,
      sym_attribute,
    STATE(13319), 1,
      sym__attribute,
    STATE(14498), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613191] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15028), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613245] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15254), 1,
      anon_sym_and,
    ACTIONS(15256), 1,
      sym_let_and_operator,
    STATE(12538), 1,
      sym_attribute,
    STATE(12886), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15393), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15391), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613285] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15024), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613339] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15387), 1,
      anon_sym_end,
    STATE(12540), 1,
      sym_attribute,
    STATE(12593), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613393] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15254), 1,
      anon_sym_and,
    ACTIONS(15256), 1,
      sym_let_and_operator,
    STATE(12475), 1,
      aux_sym_value_definition_repeat1,
    STATE(12541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15361), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15359), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613433] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15395), 1,
      anon_sym_end,
    STATE(12473), 1,
      aux_sym_object_expression_repeat1,
    STATE(12542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613487] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12543), 1,
      sym_attribute,
    STATE(13320), 1,
      sym__attribute,
    STATE(14350), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613541] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15397), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613595] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15399), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613649] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15401), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613703] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15403), 1,
      anon_sym_end,
    STATE(12547), 1,
      sym_attribute,
    STATE(12559), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613757] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15032), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613811] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15254), 1,
      anon_sym_and,
    ACTIONS(15256), 1,
      sym_let_and_operator,
    STATE(12549), 1,
      sym_attribute,
    STATE(12563), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15252), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15250), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613851] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15405), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613905] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15407), 1,
      anon_sym_end,
    STATE(12551), 1,
      sym_attribute,
    STATE(12558), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613959] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15409), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614013] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15405), 1,
      anon_sym_end,
    STATE(12553), 1,
      sym_attribute,
    STATE(12562), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614067] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12554), 1,
      sym_attribute,
    STATE(13321), 1,
      sym__attribute,
    STATE(14342), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614121] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15411), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614175] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15413), 1,
      anon_sym_end,
    STATE(12556), 1,
      sym_attribute,
    STATE(12565), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614229] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15415), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614283] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15417), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614337] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15419), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614391] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15419), 1,
      anon_sym_end,
    STATE(12560), 1,
      sym_attribute,
    STATE(12566), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614445] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15421), 1,
      anon_sym_and,
    ACTIONS(15423), 1,
      sym_let_and_operator,
    STATE(12561), 1,
      sym_attribute,
    STATE(12842), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15252), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15250), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614485] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15425), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614539] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15254), 1,
      anon_sym_and,
    ACTIONS(15256), 1,
      sym_let_and_operator,
    STATE(12510), 1,
      aux_sym_value_definition_repeat1,
    STATE(12563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15429), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15427), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614579] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12564), 1,
      sym_attribute,
    STATE(13324), 1,
      sym__attribute,
    STATE(14458), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614633] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15431), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614687] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15433), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614741] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15433), 1,
      anon_sym_end,
    STATE(12567), 1,
      sym_attribute,
    STATE(12568), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614795] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15435), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614849] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15431), 1,
      anon_sym_end,
    STATE(12569), 1,
      sym_attribute,
    STATE(12570), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614903] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15437), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614957] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15439), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615011] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15437), 1,
      anon_sym_end,
    STATE(12572), 1,
      sym_attribute,
    STATE(12573), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615065] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15441), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615119] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15443), 1,
      anon_sym_else,
    STATE(11743), 1,
      sym_else_clause,
    STATE(12574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [615157] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15417), 1,
      anon_sym_end,
    STATE(12575), 1,
      sym_attribute,
    STATE(12578), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615211] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15329), 1,
      anon_sym_end,
    STATE(12576), 1,
      sym_attribute,
    STATE(12843), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615265] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12577), 1,
      sym_attribute,
    STATE(13329), 1,
      sym__attribute,
    STATE(14521), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615319] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15445), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615373] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15447), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615427] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15445), 1,
      anon_sym_end,
    STATE(12580), 1,
      sym_attribute,
    STATE(12585), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615481] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15449), 1,
      anon_sym_end,
    STATE(12581), 1,
      sym_attribute,
    STATE(12609), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615535] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15044), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615589] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15040), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615643] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [615679] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15451), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615733] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [615769] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15453), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615823] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15411), 1,
      anon_sym_end,
    STATE(12588), 1,
      sym_attribute,
    STATE(12610), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615877] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15455), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615931] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15457), 1,
      anon_sym_end,
    STATE(12590), 1,
      sym_attribute,
    STATE(12595), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615985] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12591), 1,
      sym_attribute,
    STATE(13336), 1,
      sym__attribute,
    STATE(14370), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616039] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12592), 1,
      sym_attribute,
    STATE(13554), 1,
      sym__attribute,
    STATE(14373), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616093] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15459), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616147] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15461), 1,
      anon_sym_end,
    STATE(12594), 1,
      sym_attribute,
    STATE(12731), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616201] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15463), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616255] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15465), 1,
      anon_sym_end,
    STATE(12596), 1,
      sym_attribute,
    STATE(12601), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616309] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15447), 1,
      anon_sym_end,
    STATE(12597), 1,
      sym_attribute,
    STATE(12626), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616363] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12598), 1,
      sym_attribute,
    STATE(13344), 1,
      sym__attribute,
    STATE(14383), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616417] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15463), 1,
      anon_sym_end,
    STATE(12599), 1,
      sym_attribute,
    STATE(12607), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616471] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15467), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616525] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15469), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616579] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15469), 1,
      anon_sym_end,
    STATE(12602), 1,
      sym_attribute,
    STATE(12603), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616633] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15471), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616687] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15471), 1,
      anon_sym_end,
    STATE(12604), 1,
      sym_attribute,
    STATE(12605), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616741] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15473), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616795] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15475), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616849] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15477), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616903] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15479), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616957] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15481), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617011] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15483), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617065] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15481), 1,
      anon_sym_end,
    STATE(12611), 1,
      sym_attribute,
    STATE(12612), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617119] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15485), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617173] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15485), 1,
      anon_sym_end,
    STATE(12613), 1,
      sym_attribute,
    STATE(12616), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617227] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13592), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15487), 1,
      anon_sym_DASH_GT,
    STATE(12614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13590), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617263] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15477), 1,
      anon_sym_end,
    STATE(12615), 1,
      sym_attribute,
    STATE(12619), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617317] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15489), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617371] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12617), 1,
      sym_attribute,
    STATE(13350), 1,
      sym__attribute,
    STATE(14452), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617425] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15056), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617479] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15491), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617533] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15493), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617587] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15495), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617641] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15497), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617695] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12623), 1,
      sym_attribute,
    STATE(13354), 1,
      sym__attribute,
    STATE(14398), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617749] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15499), 1,
      anon_sym_end,
    STATE(12624), 1,
      sym_attribute,
    STATE(12627), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617803] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15060), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617857] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15501), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617911] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15503), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617965] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15503), 1,
      anon_sym_end,
    STATE(12628), 1,
      sym_attribute,
    STATE(12632), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618019] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15505), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618073] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12630), 1,
      sym_attribute,
    STATE(13358), 1,
      sym__attribute,
    STATE(14421), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618127] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12631), 1,
      sym_attribute,
    STATE(13241), 1,
      sym__attribute,
    STATE(14493), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618181] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15507), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618235] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15507), 1,
      anon_sym_end,
    STATE(12633), 1,
      sym_attribute,
    STATE(12635), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618289] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12634), 1,
      sym_attribute,
    STATE(13363), 1,
      sym__attribute,
    STATE(14497), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618343] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15509), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618397] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14914), 1,
      anon_sym_functor,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(10030), 1,
      sym_module_path,
    STATE(10208), 1,
      sym__module_expression,
    STATE(12636), 1,
      sym_attribute,
    STATE(13471), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618451] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15511), 1,
      anon_sym_end,
    STATE(12637), 1,
      sym_attribute,
    STATE(12653), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618505] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15513), 1,
      anon_sym_end,
    STATE(12638), 1,
      sym_attribute,
    STATE(12654), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618559] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15515), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618613] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15100), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618667] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12641), 1,
      sym_attribute,
    STATE(13364), 1,
      sym__attribute,
    STATE(14338), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618721] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15048), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618775] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15191), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618829] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15517), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618883] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15325), 1,
      anon_sym_end,
    STATE(12645), 1,
      sym_attribute,
    STATE(13059), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618937] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15070), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618991] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15519), 1,
      anon_sym_end,
    STATE(12647), 1,
      sym_attribute,
    STATE(12811), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619045] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15521), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619099] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12649), 1,
      sym_attribute,
    STATE(13368), 1,
      sym__attribute,
    STATE(14406), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619153] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15523), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619207] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15525), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13306), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12651), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13304), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619243] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15521), 1,
      anon_sym_end,
    STATE(12652), 1,
      sym_attribute,
    STATE(12680), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619297] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15528), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619351] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15530), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619405] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15066), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619459] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15532), 1,
      anon_sym_end,
    STATE(12656), 1,
      sym_attribute,
    STATE(12684), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619513] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15534), 1,
      anon_sym_end,
    STATE(12657), 1,
      sym_attribute,
    STATE(12663), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619567] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15536), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619621] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15538), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619675] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15528), 1,
      anon_sym_end,
    STATE(12660), 1,
      sym_attribute,
    STATE(12688), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619729] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15540), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619783] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15467), 1,
      anon_sym_end,
    STATE(12662), 1,
      sym_attribute,
    STATE(12815), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619837] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15542), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619891] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15544), 1,
      anon_sym_end,
    STATE(12664), 1,
      sym_attribute,
    STATE(12668), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619945] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12665), 1,
      sym_attribute,
    STATE(13372), 1,
      sym__attribute,
    STATE(14470), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619999] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15542), 1,
      anon_sym_end,
    STATE(12666), 1,
      sym_attribute,
    STATE(12667), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620053] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15546), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620107] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15548), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620161] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15548), 1,
      anon_sym_end,
    STATE(12669), 1,
      sym_attribute,
    STATE(12671), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620215] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15546), 1,
      anon_sym_end,
    STATE(12670), 1,
      sym_attribute,
    STATE(12672), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620269] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15550), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620323] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15552), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620377] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15550), 1,
      anon_sym_end,
    STATE(12673), 1,
      sym_attribute,
    STATE(12674), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620431] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15554), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620485] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15530), 1,
      anon_sym_end,
    STATE(12675), 1,
      sym_attribute,
    STATE(12700), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620539] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15036), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620593] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15556), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620647] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15558), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620701] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15560), 1,
      anon_sym_end,
    STATE(12679), 1,
      sym_attribute,
    STATE(12794), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620755] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15562), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620809] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12681), 1,
      sym_attribute,
    STATE(13379), 1,
      sym__attribute,
    STATE(14500), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620863] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    ACTIONS(15564), 1,
      anon_sym_RPAREN,
    ACTIONS(15566), 1,
      anon_sym_val,
    STATE(10030), 1,
      sym_module_path,
    STATE(12682), 1,
      sym_attribute,
    STATE(14495), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620917] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14899), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620971] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15568), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621025] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12685), 1,
      sym_attribute,
    STATE(13381), 1,
      sym__attribute,
    STATE(14524), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [621079] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15076), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621133] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15570), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621187] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15572), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621241] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15574), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621295] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15576), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621349] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15568), 1,
      anon_sym_end,
    STATE(12691), 1,
      sym_attribute,
    STATE(12754), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621403] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15578), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621457] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15580), 1,
      anon_sym_end,
    STATE(12693), 1,
      sym_attribute,
    STATE(12958), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621511] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15582), 1,
      anon_sym_end,
    STATE(12495), 1,
      aux_sym_object_expression_repeat1,
    STATE(12694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621565] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15562), 1,
      anon_sym_end,
    STATE(12695), 1,
      sym_attribute,
    STATE(12803), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621619] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15584), 1,
      anon_sym_end,
    STATE(12696), 1,
      sym_attribute,
    STATE(12705), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621673] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15084), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621727] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12698), 1,
      sym_attribute,
    STATE(13384), 1,
      sym__attribute,
    STATE(14327), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [621781] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12699), 1,
      sym_attribute,
    STATE(13478), 1,
      sym__attribute,
    STATE(14422), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [621835] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15586), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621889] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15572), 1,
      anon_sym_end,
    STATE(12701), 1,
      sym_attribute,
    STATE(12712), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621943] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12702), 1,
      sym_attribute,
    STATE(13385), 1,
      sym__attribute,
    STATE(14515), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [621997] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14914), 1,
      anon_sym_functor,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(10030), 1,
      sym_module_path,
    STATE(10145), 1,
      sym__module_expression,
    STATE(12703), 1,
      sym_attribute,
    STATE(13312), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [622051] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13592), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15588), 1,
      anon_sym_DASH_GT,
    STATE(12704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13590), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622087] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15590), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622141] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15590), 1,
      anon_sym_end,
    STATE(12706), 1,
      sym_attribute,
    STATE(12707), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622195] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15592), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622249] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15592), 1,
      anon_sym_end,
    STATE(12708), 1,
      sym_attribute,
    STATE(12709), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622303] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15594), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622357] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12710), 1,
      sym_attribute,
    STATE(13380), 1,
      sym__attribute,
    STATE(14532), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [622411] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15596), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622465] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15598), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622519] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12713), 1,
      sym_attribute,
    STATE(13388), 1,
      sym__attribute,
    STATE(14337), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [622573] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15586), 1,
      anon_sym_end,
    STATE(12714), 1,
      sym_attribute,
    STATE(12725), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622627] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15600), 1,
      anon_sym_end,
    STATE(12715), 1,
      sym_attribute,
    STATE(12789), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622681] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11474), 1,
      anon_sym_and,
    ACTIONS(15299), 1,
      anon_sym_COMMA,
    ACTIONS(15303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15305), 1,
      sym_pow_operator,
    ACTIONS(15307), 1,
      sym_mult_operator,
    ACTIONS(15309), 1,
      sym_concat_operator,
    ACTIONS(15311), 1,
      sym_rel_operator,
    ACTIONS(15313), 1,
      sym_and_operator,
    ACTIONS(15315), 1,
      sym_or_operator,
    ACTIONS(15317), 1,
      sym_assign_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(12716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [622737] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12717), 1,
      sym_attribute,
    STATE(13401), 1,
      sym__attribute,
    STATE(14478), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [622791] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15602), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622845] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_COLON2,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15604), 1,
      anon_sym_SEMI,
    ACTIONS(15606), 1,
      sym_rel_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(12719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10230), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [622903] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15381), 1,
      anon_sym_end,
    STATE(12718), 1,
      aux_sym_object_expression_repeat1,
    STATE(12720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622957] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(12721), 1,
      sym_attribute,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [623001] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15088), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623055] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12723), 1,
      sym_attribute,
    STATE(13404), 1,
      sym__attribute,
    STATE(14465), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [623109] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(12724), 1,
      sym_attribute,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12679), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [623153] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15608), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623207] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15610), 1,
      anon_sym_end,
    STATE(12726), 1,
      sym_attribute,
    STATE(12828), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623261] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14869), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623315] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15612), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623369] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15614), 1,
      anon_sym_end,
    STATE(12729), 1,
      sym_attribute,
    STATE(12736), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623423] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15616), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623477] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15618), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623531] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12732), 1,
      sym_attribute,
    STATE(13405), 1,
      sym__attribute,
    STATE(14380), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [623585] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12733), 1,
      sym_attribute,
    STATE(13421), 1,
      sym__attribute,
    STATE(14518), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [623639] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12734), 1,
      sym_attribute,
    STATE(13406), 1,
      sym__attribute,
    STATE(14501), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [623693] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(12735), 1,
      sym_attribute,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12619), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [623737] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15620), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623791] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15622), 1,
      anon_sym_end,
    STATE(12737), 1,
      sym_attribute,
    STATE(12769), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623845] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12738), 1,
      sym_attribute,
    STATE(13407), 1,
      sym__attribute,
    STATE(14530), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [623899] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15620), 1,
      anon_sym_end,
    STATE(12739), 1,
      sym_attribute,
    STATE(12743), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623953] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15096), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624007] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15602), 1,
      anon_sym_end,
    STATE(12741), 1,
      sym_attribute,
    STATE(12790), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624061] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15624), 1,
      anon_sym_end,
    STATE(12742), 1,
      sym_attribute,
    STATE(12756), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624115] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15626), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624169] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15626), 1,
      anon_sym_end,
    STATE(12744), 1,
      sym_attribute,
    STATE(12752), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624223] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12745), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__attribute,
    STATE(14303), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [624277] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15582), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624331] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15628), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624385] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(12748), 1,
      sym_attribute,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13513), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [624429] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12749), 1,
      sym_attribute,
    STATE(13410), 1,
      sym__attribute,
    STATE(14319), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [624483] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(12750), 1,
      sym_attribute,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13517), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [624527] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15630), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624581] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15632), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624635] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12753), 1,
      sym_attribute,
    STATE(13412), 1,
      sym__attribute,
    STATE(14428), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [624689] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15634), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624743] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15104), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624797] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15636), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624851] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14889), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624905] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12758), 1,
      sym_attribute,
    STATE(13413), 1,
      sym__attribute,
    STATE(14395), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [624959] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15636), 1,
      anon_sym_end,
    STATE(12759), 1,
      sym_attribute,
    STATE(12760), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625013] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15638), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625067] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14340), 1,
      sym__lowercase_identifier,
    ACTIONS(14380), 1,
      anon_sym_POUND,
    STATE(12320), 1,
      sym_type_constructor_path,
    STATE(12761), 1,
      sym_attribute,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13534), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13536), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [625111] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15640), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625165] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15638), 1,
      anon_sym_end,
    STATE(12763), 1,
      sym_attribute,
    STATE(12765), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625219] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15642), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625273] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15644), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625327] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15646), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625381] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12767), 1,
      sym_attribute,
    STATE(13414), 1,
      sym__attribute,
    STATE(14321), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [625435] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15648), 1,
      anon_sym_end,
    STATE(12768), 1,
      sym_attribute,
    STATE(12776), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625489] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15650), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625543] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12770), 1,
      sym_attribute,
    STATE(13415), 1,
      sym__attribute,
    STATE(14410), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [625597] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15650), 1,
      anon_sym_end,
    STATE(12771), 1,
      sym_attribute,
    STATE(12778), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625651] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12772), 1,
      sym_attribute,
    STATE(13416), 1,
      sym__attribute,
    STATE(14486), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [625705] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12773), 1,
      sym_attribute,
    STATE(13417), 1,
      sym__attribute,
    STATE(14481), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [625759] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(13650), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15487), 1,
      anon_sym_DASH_GT,
    STATE(12774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13648), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625797] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12775), 1,
      sym_attribute,
    STATE(13418), 1,
      sym__attribute,
    STATE(14313), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [625851] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15652), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625905] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15652), 1,
      anon_sym_end,
    STATE(12777), 1,
      sym_attribute,
    STATE(12782), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625959] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15654), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626013] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15656), 1,
      anon_sym_end,
    STATE(12779), 1,
      sym_attribute,
    STATE(12798), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626067] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12780), 1,
      sym_attribute,
    STATE(13567), 1,
      sym__attribute,
    STATE(14391), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [626121] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15654), 1,
      anon_sym_end,
    STATE(12781), 1,
      sym_attribute,
    STATE(12785), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626175] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15658), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626229] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12783), 1,
      sym_attribute,
    STATE(13422), 1,
      sym__attribute,
    STATE(14491), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [626283] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15363), 1,
      anon_sym_and,
    ACTIONS(15365), 1,
      sym_let_and_operator,
    STATE(12784), 1,
      sym_attribute,
    STATE(13038), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15252), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15250), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626323] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15660), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626377] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12786), 1,
      sym_attribute,
    STATE(13424), 1,
      sym__attribute,
    STATE(14307), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [626431] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(13660), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15487), 1,
      anon_sym_DASH_GT,
    STATE(12787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13658), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626469] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15363), 1,
      anon_sym_and,
    ACTIONS(15365), 1,
      sym_let_and_operator,
    STATE(12788), 1,
      sym_attribute,
    STATE(13038), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15429), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15427), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626509] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15662), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626563] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15664), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626617] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15108), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626671] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15421), 1,
      anon_sym_and,
    ACTIONS(15423), 1,
      sym_let_and_operator,
    STATE(12792), 1,
      sym_attribute,
    STATE(13058), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15393), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15391), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626711] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15662), 1,
      anon_sym_end,
    STATE(12793), 1,
      sym_attribute,
    STATE(12807), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626765] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15666), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626819] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15658), 1,
      anon_sym_end,
    STATE(12795), 1,
      sym_attribute,
    STATE(12796), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626873] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15668), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626927] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15421), 1,
      anon_sym_and,
    ACTIONS(15423), 1,
      sym_let_and_operator,
    STATE(12797), 1,
      sym_attribute,
    STATE(12842), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15429), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15427), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626967] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15670), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627021] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15670), 1,
      anon_sym_end,
    STATE(12799), 1,
      sym_attribute,
    STATE(12849), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627075] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15421), 1,
      anon_sym_and,
    ACTIONS(15423), 1,
      sym_let_and_operator,
    STATE(12561), 1,
      aux_sym_value_definition_repeat1,
    STATE(12800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15361), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15359), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627115] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15672), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627169] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15112), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627223] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15674), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627277] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15634), 1,
      anon_sym_end,
    STATE(12804), 1,
      sym_attribute,
    STATE(12806), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627331] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15676), 1,
      anon_sym_end,
    STATE(12600), 1,
      aux_sym_object_expression_repeat1,
    STATE(12805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627385] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15678), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627439] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15680), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627493] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15682), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627547] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15680), 1,
      anon_sym_end,
    STATE(12809), 1,
      sym_attribute,
    STATE(12827), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627601] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15684), 1,
      anon_sym_end,
    STATE(12810), 1,
      sym_attribute,
    STATE(12813), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627655] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15686), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627709] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15578), 1,
      anon_sym_end,
    STATE(12812), 1,
      sym_attribute,
    STATE(13020), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627763] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15688), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627817] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15666), 1,
      anon_sym_end,
    STATE(12814), 1,
      sym_attribute,
    STATE(12856), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627871] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15690), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627925] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15612), 1,
      anon_sym_end,
    STATE(12658), 1,
      aux_sym_object_expression_repeat1,
    STATE(12816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627979] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15688), 1,
      anon_sym_end,
    STATE(12817), 1,
      sym_attribute,
    STATE(12818), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628033] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15692), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628087] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15694), 1,
      anon_sym_end,
    STATE(12487), 1,
      aux_sym_object_expression_repeat1,
    STATE(12819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628141] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15692), 1,
      anon_sym_end,
    STATE(12820), 1,
      sym_attribute,
    STATE(12821), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628195] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15696), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628249] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15080), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628303] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14922), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628357] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13608), 1,
      anon_sym_STAR,
    STATE(12651), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(12824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14510), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628395] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15698), 1,
      anon_sym_end,
    STATE(12523), 1,
      aux_sym_object_expression_repeat1,
    STATE(12825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628449] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15700), 1,
      anon_sym_end,
    STATE(12826), 1,
      sym_attribute,
    STATE(12918), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628503] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15702), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628557] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15704), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628611] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15706), 1,
      anon_sym_end,
    STATE(12829), 1,
      sym_attribute,
    STATE(12834), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628665] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14877), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628719] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15519), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628773] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15704), 1,
      anon_sym_end,
    STATE(12832), 1,
      sym_attribute,
    STATE(13009), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628827] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15246), 1,
      anon_sym_end,
    STATE(12833), 1,
      sym_attribute,
    STATE(12853), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628881] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15708), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628935] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15710), 1,
      anon_sym_end,
    STATE(12835), 1,
      sym_attribute,
    STATE(12847), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15714), 1,
      anon_sym_let,
    STATE(12836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15712), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629023] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14928), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629077] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15716), 1,
      anon_sym_end,
    STATE(12838), 1,
      sym_attribute,
    STATE(12867), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629131] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15718), 1,
      anon_sym_end,
    STATE(12839), 1,
      sym_attribute,
    STATE(12943), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629185] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12840), 1,
      sym_attribute,
    STATE(13262), 1,
      sym__attribute,
    STATE(14528), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [629239] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15676), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629293] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15720), 1,
      anon_sym_and,
    ACTIONS(15723), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15228), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(12842), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15226), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629331] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15461), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629385] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15140), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629439] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15726), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629493] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15728), 1,
      anon_sym_COMMA,
    ACTIONS(15730), 1,
      anon_sym_SEMI,
    ACTIONS(15732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15734), 1,
      sym_pow_operator,
    ACTIONS(15736), 1,
      sym_mult_operator,
    ACTIONS(15738), 1,
      sym_concat_operator,
    ACTIONS(15740), 1,
      sym_rel_operator,
    ACTIONS(15742), 1,
      sym_and_operator,
    ACTIONS(15744), 1,
      sym_or_operator,
    ACTIONS(15746), 1,
      sym_assign_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10230), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629551] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15748), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629605] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15734), 1,
      sym_pow_operator,
    ACTIONS(15736), 1,
      sym_mult_operator,
    ACTIONS(15738), 1,
      sym_concat_operator,
    ACTIONS(15740), 1,
      sym_rel_operator,
    ACTIONS(15742), 1,
      sym_and_operator,
    ACTIONS(15744), 1,
      sym_or_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [629657] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15750), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629711] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15752), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629765] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15734), 1,
      sym_pow_operator,
    ACTIONS(15736), 1,
      sym_mult_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [629809] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15754), 1,
      anon_sym_end,
    STATE(12852), 1,
      sym_attribute,
    STATE(12855), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629863] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15756), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629917] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15758), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629971] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15760), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630025] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15700), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630079] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15760), 1,
      anon_sym_end,
    STATE(12857), 1,
      sym_attribute,
    STATE(12861), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630133] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15762), 1,
      anon_sym_end,
    STATE(12746), 1,
      aux_sym_object_expression_repeat1,
    STATE(12858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630187] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15764), 1,
      anon_sym_end,
    STATE(12859), 1,
      sym_attribute,
    STATE(12884), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630241] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15748), 1,
      anon_sym_end,
    STATE(12860), 1,
      sym_attribute,
    STATE(12864), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630295] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15766), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630349] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15766), 1,
      anon_sym_end,
    STATE(12862), 1,
      sym_attribute,
    STATE(12863), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630403] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15768), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630457] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15770), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630511] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15734), 1,
      sym_pow_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [630549] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15734), 1,
      sym_pow_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [630587] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15333), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630641] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15536), 1,
      anon_sym_end,
    STATE(12868), 1,
      sym_attribute,
    STATE(12889), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630695] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15443), 1,
      anon_sym_else,
    STATE(11602), 1,
      sym_else_clause,
    STATE(12869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [630733] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15363), 1,
      anon_sym_and,
    ACTIONS(15365), 1,
      sym_let_and_operator,
    STATE(12784), 1,
      aux_sym_value_definition_repeat1,
    STATE(12870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15361), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15359), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [630773] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15734), 1,
      sym_pow_operator,
    ACTIONS(15736), 1,
      sym_mult_operator,
    ACTIONS(15738), 1,
      sym_concat_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [630819] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15734), 1,
      sym_pow_operator,
    ACTIONS(15736), 1,
      sym_mult_operator,
    ACTIONS(15738), 1,
      sym_concat_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [630865] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15750), 1,
      anon_sym_end,
    STATE(12873), 1,
      sym_attribute,
    STATE(12902), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630919] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15734), 1,
      sym_pow_operator,
    ACTIONS(15736), 1,
      sym_mult_operator,
    ACTIONS(15738), 1,
      sym_concat_operator,
    ACTIONS(15740), 1,
      sym_rel_operator,
    ACTIONS(15742), 1,
      sym_and_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [630969] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15421), 1,
      anon_sym_and,
    ACTIONS(15423), 1,
      sym_let_and_operator,
    STATE(12797), 1,
      aux_sym_value_definition_repeat1,
    STATE(12875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15252), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15250), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631009] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(10113), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [631043] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15772), 1,
      anon_sym_end,
    STATE(12877), 1,
      sym_attribute,
    STATE(12901), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631097] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15708), 1,
      anon_sym_end,
    STATE(12878), 1,
      sym_attribute,
    STATE(12903), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631151] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14944), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631205] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15770), 1,
      anon_sym_end,
    STATE(12880), 1,
      sym_attribute,
    STATE(12881), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631259] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15774), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631313] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15776), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631367] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15778), 1,
      anon_sym_end,
    STATE(12883), 1,
      sym_attribute,
    STATE(12885), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631421] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15780), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631475] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15782), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631529] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15254), 1,
      anon_sym_and,
    ACTIONS(15256), 1,
      sym_let_and_operator,
    STATE(12510), 1,
      aux_sym_value_definition_repeat1,
    STATE(12886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15361), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15359), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631569] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15784), 1,
      anon_sym_PIPE,
    STATE(12887), 1,
      sym_attribute,
    STATE(12892), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14823), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14821), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631607] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15780), 1,
      anon_sym_end,
    STATE(12888), 1,
      sym_attribute,
    STATE(12987), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631661] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15786), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631715] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15788), 1,
      anon_sym_end,
    STATE(12728), 1,
      aux_sym_object_expression_repeat1,
    STATE(12890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631769] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15784), 1,
      anon_sym_PIPE,
    STATE(12891), 1,
      sym_attribute,
    STATE(12892), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14773), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14771), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631807] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15790), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14566), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12892), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14564), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631843] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15756), 1,
      anon_sym_end,
    STATE(12489), 1,
      aux_sym_object_expression_repeat1,
    STATE(12893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631897] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12894), 1,
      sym_attribute,
    STATE(13269), 1,
      sym__attribute,
    STATE(14448), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [631951] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15734), 1,
      sym_pow_operator,
    ACTIONS(15736), 1,
      sym_mult_operator,
    ACTIONS(15738), 1,
      sym_concat_operator,
    ACTIONS(15740), 1,
      sym_rel_operator,
    ACTIONS(15742), 1,
      sym_and_operator,
    ACTIONS(15744), 1,
      sym_or_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [632003] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15728), 1,
      anon_sym_COMMA,
    ACTIONS(15732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15734), 1,
      sym_pow_operator,
    ACTIONS(15736), 1,
      sym_mult_operator,
    ACTIONS(15738), 1,
      sym_concat_operator,
    ACTIONS(15740), 1,
      sym_rel_operator,
    ACTIONS(15742), 1,
      sym_and_operator,
    ACTIONS(15744), 1,
      sym_or_operator,
    ACTIONS(15746), 1,
      sym_assign_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [632059] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15782), 1,
      anon_sym_end,
    STATE(12897), 1,
      sym_attribute,
    STATE(12900), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632113] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15734), 1,
      sym_pow_operator,
    ACTIONS(15736), 1,
      sym_mult_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [632153] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(14932), 1,
      anon_sym_LPAREN,
    ACTIONS(14936), 1,
      anon_sym_functor,
    ACTIONS(14938), 1,
      anon_sym_struct,
    ACTIONS(14940), 1,
      sym__uppercase_identifier,
    STATE(12899), 1,
      sym_attribute,
    STATE(13506), 1,
      sym__attribute,
    STATE(14292), 1,
      sym__module_expression,
    STATE(14559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14631), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [632207] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15793), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632261] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15795), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632315] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15797), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632369] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15799), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632423] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14960), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632477] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15801), 1,
      anon_sym_end,
    STATE(12905), 1,
      sym_attribute,
    STATE(12911), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632531] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15793), 1,
      anon_sym_end,
    STATE(12906), 1,
      sym_attribute,
    STATE(12909), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632585] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15728), 1,
      anon_sym_COMMA,
    ACTIONS(15732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15734), 1,
      sym_pow_operator,
    ACTIONS(15736), 1,
      sym_mult_operator,
    ACTIONS(15738), 1,
      sym_concat_operator,
    ACTIONS(15740), 1,
      sym_rel_operator,
    ACTIONS(15742), 1,
      sym_and_operator,
    ACTIONS(15744), 1,
      sym_or_operator,
    ACTIONS(15746), 1,
      sym_assign_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11446), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [632641] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632695] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15803), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632749] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15151), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632803] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15805), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632857] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15805), 1,
      anon_sym_end,
    STATE(12912), 1,
      sym_attribute,
    STATE(12915), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632911] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15807), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632965] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14951), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633019] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15809), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633073] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15809), 1,
      anon_sym_end,
    STATE(12916), 1,
      sym_attribute,
    STATE(12917), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633127] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15811), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633181] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15813), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633235] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15171), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633289] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15815), 1,
      anon_sym_end,
    STATE(12920), 1,
      sym_attribute,
    STATE(12936), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633343] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15162), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633397] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15817), 1,
      anon_sym_PIPE,
    STATE(12922), 1,
      sym_attribute,
    STATE(12939), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633435] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15799), 1,
      anon_sym_end,
    STATE(12923), 1,
      sym_attribute,
    STATE(12970), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633489] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15819), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633543] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13588), 1,
      anon_sym_STAR,
    ACTIONS(14512), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12925), 1,
      sym_attribute,
    STATE(12926), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14510), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [633581] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13306), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15821), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12926), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13304), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [633617] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15357), 1,
      anon_sym_end,
    STATE(12571), 1,
      aux_sym_object_expression_repeat1,
    STATE(12927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633671] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15728), 1,
      anon_sym_COMMA,
    ACTIONS(15732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15734), 1,
      sym_pow_operator,
    ACTIONS(15736), 1,
      sym_mult_operator,
    ACTIONS(15738), 1,
      sym_concat_operator,
    ACTIONS(15740), 1,
      sym_rel_operator,
    ACTIONS(15742), 1,
      sym_and_operator,
    ACTIONS(15744), 1,
      sym_or_operator,
    ACTIONS(15746), 1,
      sym_assign_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(12928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [633727] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15179), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633781] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15824), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633835] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15817), 1,
      anon_sym_PIPE,
    STATE(12931), 1,
      sym_attribute,
    STATE(12940), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633873] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15826), 1,
      anon_sym_end,
    STATE(12932), 1,
      sym_attribute,
    STATE(12933), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633927] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15828), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633981] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(12934), 1,
      sym_attribute,
    STATE(13283), 1,
      sym__attribute,
    STATE(14479), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [634035] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15183), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634089] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15830), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634143] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15830), 1,
      anon_sym_end,
    STATE(12937), 1,
      sym_attribute,
    STATE(12941), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634197] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15828), 1,
      anon_sym_end,
    STATE(12938), 1,
      sym_attribute,
    STATE(12944), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634251] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15817), 1,
      anon_sym_PIPE,
    STATE(12939), 1,
      sym_attribute,
    STATE(12956), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [634289] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15817), 1,
      anon_sym_PIPE,
    STATE(12940), 1,
      sym_attribute,
    STATE(12956), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [634327] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15832), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15836), 1,
      anon_sym_let,
    STATE(12942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15834), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634415] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15367), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634469] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15838), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634523] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15838), 1,
      anon_sym_end,
    STATE(12945), 1,
      sym_attribute,
    STATE(12947), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634577] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15832), 1,
      anon_sym_end,
    STATE(12946), 1,
      sym_attribute,
    STATE(12948), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634631] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15840), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634685] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15842), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634739] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15844), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634793] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14966), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634847] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15846), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634901] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15195), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634955] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(13650), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15588), 1,
      anon_sym_DASH_GT,
    STATE(12953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13648), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634993] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15848), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635047] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15187), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635101] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15850), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12956), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [635137] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15853), 1,
      anon_sym_end,
    STATE(12957), 1,
      sym_attribute,
    STATE(12959), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635191] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15855), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635245] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15857), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635299] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15857), 1,
      anon_sym_end,
    STATE(12960), 1,
      sym_attribute,
    STATE(12962), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635353] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15859), 1,
      anon_sym_end,
    STATE(12961), 1,
      sym_attribute,
    STATE(12976), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635407] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15861), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635461] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15861), 1,
      anon_sym_end,
    STATE(12963), 1,
      sym_attribute,
    STATE(12964), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635515] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15863), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635569] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15363), 1,
      anon_sym_and,
    ACTIONS(15365), 1,
      sym_let_and_operator,
    STATE(12514), 1,
      aux_sym_value_definition_repeat1,
    STATE(12965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15393), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15391), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [635609] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15865), 1,
      anon_sym_end,
    STATE(12966), 1,
      sym_attribute,
    STATE(13031), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635663] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15867), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635717] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(13660), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15588), 1,
      anon_sym_DASH_GT,
    STATE(12968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13658), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635755] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15201), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635809] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15869), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635863] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_and,
    ACTIONS(15303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15305), 1,
      sym_pow_operator,
    ACTIONS(15307), 1,
      sym_mult_operator,
    ACTIONS(15309), 1,
      sym_concat_operator,
    ACTIONS(15311), 1,
      sym_rel_operator,
    ACTIONS(15313), 1,
      sym_and_operator,
    ACTIONS(15315), 1,
      sym_or_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(12971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [635915] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15305), 1,
      sym_pow_operator,
    ACTIONS(15307), 1,
      sym_mult_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(12972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [635959] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(12973), 1,
      sym_attribute,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [636003] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15205), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636057] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15871), 1,
      anon_sym_end,
    STATE(12648), 1,
      aux_sym_object_expression_repeat1,
    STATE(12975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636111] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15873), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636165] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15873), 1,
      anon_sym_end,
    STATE(12977), 1,
      sym_attribute,
    STATE(12986), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636219] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15795), 1,
      anon_sym_end,
    STATE(12485), 1,
      aux_sym_object_expression_repeat1,
    STATE(12978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15209), 1,
      anon_sym_let,
    STATE(12979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15207), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636307] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(14076), 1,
      sym__lowercase_identifier,
    ACTIONS(14078), 1,
      anon_sym_POUND,
    STATE(12238), 1,
      sym_type_constructor_path,
    STATE(12980), 1,
      sym_attribute,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12679), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [636351] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15875), 1,
      anon_sym_end,
    STATE(12981), 1,
      sym_attribute,
    STATE(12990), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636405] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15877), 1,
      anon_sym_end,
    STATE(12982), 1,
      sym_attribute,
    STATE(12996), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636459] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15879), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15883), 1,
      anon_sym_let,
    STATE(12984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15881), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636547] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15305), 1,
      sym_pow_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(12985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [636585] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15885), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636639] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15887), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636693] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15885), 1,
      anon_sym_end,
    STATE(12988), 1,
      sym_attribute,
    STATE(13030), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636747] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15248), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636801] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15889), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636855] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15889), 1,
      anon_sym_end,
    STATE(12991), 1,
      sym_attribute,
    STATE(12993), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636909] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14657), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15891), 1,
      anon_sym_DASH_GT,
    ACTIONS(15893), 1,
      anon_sym_with,
    STATE(12992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14655), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636947] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15895), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637001] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14006), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15891), 1,
      anon_sym_DASH_GT,
    ACTIONS(15893), 1,
      anon_sym_with,
    STATE(12994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14004), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637039] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15220), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637093] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15897), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637147] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15887), 1,
      anon_sym_end,
    STATE(12997), 1,
      sym_attribute,
    STATE(13056), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637201] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15897), 1,
      anon_sym_end,
    STATE(12998), 1,
      sym_attribute,
    STATE(12999), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637255] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15899), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(12999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637309] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15895), 1,
      anon_sym_end,
    STATE(13000), 1,
      sym_attribute,
    STATE(13013), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637363] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15901), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637417] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14657), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15903), 1,
      anon_sym_DASH_GT,
    ACTIONS(15905), 1,
      anon_sym_with,
    STATE(13002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14655), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637455] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14006), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15903), 1,
      anon_sym_DASH_GT,
    ACTIONS(15905), 1,
      anon_sym_with,
    STATE(13003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14004), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637493] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15899), 1,
      anon_sym_end,
    STATE(13004), 1,
      sym_attribute,
    STATE(13006), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637547] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15784), 1,
      anon_sym_PIPE,
    STATE(12887), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13220), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13218), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637585] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15907), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637639] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15784), 1,
      anon_sym_PIPE,
    STATE(12891), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14823), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14821), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637677] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    ACTIONS(15909), 1,
      anon_sym_RPAREN,
    ACTIONS(15911), 1,
      anon_sym_val,
    STATE(10030), 1,
      sym_module_path,
    STATE(13008), 1,
      sym_attribute,
    STATE(14393), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [637731] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15694), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637785] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15305), 1,
      sym_pow_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(13010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [637823] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15305), 1,
      sym_pow_operator,
    ACTIONS(15307), 1,
      sym_mult_operator,
    ACTIONS(15309), 1,
      sym_concat_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(13011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [637869] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15305), 1,
      sym_pow_operator,
    ACTIONS(15307), 1,
      sym_mult_operator,
    ACTIONS(15309), 1,
      sym_concat_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(13012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [637915] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15913), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637969] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15224), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638023] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13015), 1,
      sym_attribute,
    STATE(13470), 1,
      sym__attribute,
    STATE(14401), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [638077] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14881), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638131] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15915), 1,
      anon_sym_RPAREN,
    ACTIONS(15917), 1,
      anon_sym_DOT,
    STATE(13017), 1,
      sym_attribute,
    STATE(21462), 1,
      sym_add_operator,
    STATE(21592), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(15919), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [638177] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15305), 1,
      sym_pow_operator,
    ACTIONS(15307), 1,
      sym_mult_operator,
    ACTIONS(15309), 1,
      sym_concat_operator,
    ACTIONS(15311), 1,
      sym_rel_operator,
    ACTIONS(15313), 1,
      sym_and_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(13018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [638227] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_and,
    ACTIONS(15303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15305), 1,
      sym_pow_operator,
    ACTIONS(15307), 1,
      sym_mult_operator,
    ACTIONS(15309), 1,
      sym_concat_operator,
    ACTIONS(15311), 1,
      sym_rel_operator,
    ACTIONS(15313), 1,
      sym_and_operator,
    ACTIONS(15315), 1,
      sym_or_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(13019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [638279] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15921), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638333] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_and,
    ACTIONS(15299), 1,
      anon_sym_COMMA,
    ACTIONS(15303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15305), 1,
      sym_pow_operator,
    ACTIONS(15307), 1,
      sym_mult_operator,
    ACTIONS(15309), 1,
      sym_concat_operator,
    ACTIONS(15311), 1,
      sym_rel_operator,
    ACTIONS(15313), 1,
      sym_and_operator,
    ACTIONS(15315), 1,
      sym_or_operator,
    ACTIONS(15317), 1,
      sym_assign_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(13021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [638389] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14202), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15891), 1,
      anon_sym_DASH_GT,
    ACTIONS(15893), 1,
      anon_sym_with,
    STATE(13022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14200), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638427] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15305), 1,
      sym_pow_operator,
    ACTIONS(15307), 1,
      sym_mult_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(13023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [638467] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_and,
    ACTIONS(15299), 1,
      anon_sym_COMMA,
    ACTIONS(15303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15305), 1,
      sym_pow_operator,
    ACTIONS(15307), 1,
      sym_mult_operator,
    ACTIONS(15309), 1,
      sym_concat_operator,
    ACTIONS(15311), 1,
      sym_rel_operator,
    ACTIONS(15313), 1,
      sym_and_operator,
    ACTIONS(15315), 1,
      sym_or_operator,
    ACTIONS(15317), 1,
      sym_assign_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(13024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [638523] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15385), 1,
      anon_sym_else,
    STATE(11602), 1,
      sym_else_clause,
    STATE(13025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [638561] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_and,
    ACTIONS(15299), 1,
      anon_sym_COMMA,
    ACTIONS(15303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15305), 1,
      sym_pow_operator,
    ACTIONS(15307), 1,
      sym_mult_operator,
    ACTIONS(15309), 1,
      sym_concat_operator,
    ACTIONS(15311), 1,
      sym_rel_operator,
    ACTIONS(15313), 1,
      sym_and_operator,
    ACTIONS(15315), 1,
      sym_or_operator,
    ACTIONS(15317), 1,
      sym_assign_operator,
    STATE(2744), 1,
      sym_add_operator,
    STATE(13026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [638617] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14286), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15891), 1,
      anon_sym_DASH_GT,
    ACTIONS(15893), 1,
      anon_sym_with,
    STATE(13027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14284), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638655] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15923), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638709] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14202), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15903), 1,
      anon_sym_DASH_GT,
    ACTIONS(15905), 1,
      anon_sym_with,
    STATE(13029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14200), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638747] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15925), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638801] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15927), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638855] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14286), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15903), 1,
      anon_sym_DASH_GT,
    ACTIONS(15905), 1,
      anon_sym_with,
    STATE(13032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14284), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638893] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15927), 1,
      anon_sym_end,
    STATE(13033), 1,
      sym_attribute,
    STATE(13034), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638947] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15929), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639001] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15929), 1,
      anon_sym_end,
    STATE(13035), 1,
      sym_attribute,
    STATE(13040), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639055] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15134), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639109] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15931), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639163] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15933), 1,
      anon_sym_and,
    ACTIONS(15936), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15228), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(13038), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15226), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639201] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13039), 1,
      sym_attribute,
    STATE(13295), 1,
      sym__attribute,
    STATE(14512), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [639255] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15939), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639309] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13728), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13730), 1,
      anon_sym_EQ,
    ACTIONS(15941), 1,
      anon_sym_of,
    ACTIONS(15943), 1,
      anon_sym_COLON2,
    STATE(13041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639349] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15855), 1,
      anon_sym_end,
    STATE(12692), 1,
      aux_sym_object_expression_repeat1,
    STATE(13042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639403] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15363), 1,
      anon_sym_and,
    ACTIONS(15365), 1,
      sym_let_and_operator,
    STATE(12788), 1,
      aux_sym_value_definition_repeat1,
    STATE(13043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15252), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15250), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639443] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15945), 1,
      anon_sym_end,
    STATE(12989), 1,
      aux_sym_object_expression_repeat1,
    STATE(13044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639497] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13738), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13740), 1,
      anon_sym_EQ,
    ACTIONS(15947), 1,
      anon_sym_of,
    ACTIONS(15949), 1,
      anon_sym_COLON2,
    STATE(13045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13736), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639537] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15951), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639591] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13047), 1,
      sym_attribute,
    STATE(13322), 1,
      sym__attribute,
    STATE(14468), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [639645] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13748), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13750), 1,
      anon_sym_EQ,
    ACTIONS(15953), 1,
      anon_sym_of,
    ACTIONS(15955), 1,
      anon_sym_COLON2,
    STATE(13048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13746), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639685] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13730), 1,
      anon_sym_EQ,
    ACTIONS(15957), 1,
      anon_sym_of,
    ACTIONS(15959), 1,
      anon_sym_COLON2,
    STATE(13049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13728), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13726), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639725] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_EQ,
    ACTIONS(15961), 1,
      anon_sym_of,
    ACTIONS(15963), 1,
      anon_sym_COLON2,
    STATE(13050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13738), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13736), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639765] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15965), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639819] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15238), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639873] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15967), 1,
      anon_sym_end,
    STATE(12841), 1,
      aux_sym_object_expression_repeat1,
    STATE(13053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639927] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13750), 1,
      anon_sym_EQ,
    ACTIONS(15969), 1,
      anon_sym_of,
    ACTIONS(15971), 1,
      anon_sym_COLON2,
    STATE(13054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13748), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13746), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639967] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15973), 1,
      anon_sym_end,
    STATE(12497), 1,
      aux_sym_object_expression_repeat1,
    STATE(13055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640021] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15975), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640075] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15977), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640129] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15421), 1,
      anon_sym_and,
    ACTIONS(15423), 1,
      sym_let_and_operator,
    STATE(12842), 1,
      aux_sym_value_definition_repeat1,
    STATE(13058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15361), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15359), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640169] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_constraint,
    ACTIONS(13964), 1,
      anon_sym_val,
    ACTIONS(13968), 1,
      anon_sym_inherit,
    ACTIONS(13970), 1,
      anon_sym_method,
    ACTIONS(13972), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15979), 1,
      anon_sym_end,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    STATE(13059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14827), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14788), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640223] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14823), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15981), 1,
      anon_sym_PIPE,
    STATE(13060), 1,
      sym_attribute,
    STATE(13214), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14821), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640260] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15983), 1,
      anon_sym_else,
    STATE(11602), 1,
      sym_else_clause,
    STATE(13061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [640297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [640330] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15987), 1,
      anon_sym_let,
    ACTIONS(15989), 1,
      anon_sym_and,
    STATE(13063), 1,
      sym_attribute,
    STATE(13147), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15985), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640367] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(15991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15993), 1,
      sym_pow_operator,
    ACTIONS(15995), 1,
      sym_mult_operator,
    ACTIONS(15997), 1,
      sym_concat_operator,
    ACTIONS(15999), 1,
      sym_rel_operator,
    ACTIONS(16001), 1,
      sym_and_operator,
    ACTIONS(16003), 1,
      sym_or_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [640418] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15993), 1,
      sym_pow_operator,
    ACTIONS(15995), 1,
      sym_mult_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [640461] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15993), 1,
      sym_pow_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [640498] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15993), 1,
      sym_pow_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [640535] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15993), 1,
      sym_pow_operator,
    ACTIONS(15995), 1,
      sym_mult_operator,
    ACTIONS(15997), 1,
      sym_concat_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [640580] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15993), 1,
      sym_pow_operator,
    ACTIONS(15995), 1,
      sym_mult_operator,
    ACTIONS(15997), 1,
      sym_concat_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [640625] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15993), 1,
      sym_pow_operator,
    ACTIONS(15995), 1,
      sym_mult_operator,
    ACTIONS(15997), 1,
      sym_concat_operator,
    ACTIONS(15999), 1,
      sym_rel_operator,
    ACTIONS(16001), 1,
      sym_and_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [640674] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(15991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15993), 1,
      sym_pow_operator,
    ACTIONS(15995), 1,
      sym_mult_operator,
    ACTIONS(15997), 1,
      sym_concat_operator,
    ACTIONS(15999), 1,
      sym_rel_operator,
    ACTIONS(16001), 1,
      sym_and_operator,
    ACTIONS(16003), 1,
      sym_or_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [640725] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(15991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15993), 1,
      sym_pow_operator,
    ACTIONS(15995), 1,
      sym_mult_operator,
    ACTIONS(15997), 1,
      sym_concat_operator,
    ACTIONS(15999), 1,
      sym_rel_operator,
    ACTIONS(16001), 1,
      sym_and_operator,
    ACTIONS(16003), 1,
      sym_or_operator,
    ACTIONS(16005), 1,
      anon_sym_COMMA,
    ACTIONS(16007), 1,
      sym_assign_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [640780] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15993), 1,
      sym_pow_operator,
    ACTIONS(15995), 1,
      sym_mult_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [640819] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(15991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15993), 1,
      sym_pow_operator,
    ACTIONS(15995), 1,
      sym_mult_operator,
    ACTIONS(15997), 1,
      sym_concat_operator,
    ACTIONS(15999), 1,
      sym_rel_operator,
    ACTIONS(16001), 1,
      sym_and_operator,
    ACTIONS(16003), 1,
      sym_or_operator,
    ACTIONS(16005), 1,
      anon_sym_COMMA,
    ACTIONS(16007), 1,
      sym_assign_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [640874] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16009), 1,
      anon_sym_else,
    STATE(11602), 1,
      sym_else_clause,
    STATE(13075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [640911] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(15991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15993), 1,
      sym_pow_operator,
    ACTIONS(15995), 1,
      sym_mult_operator,
    ACTIONS(15997), 1,
      sym_concat_operator,
    ACTIONS(15999), 1,
      sym_rel_operator,
    ACTIONS(16001), 1,
      sym_and_operator,
    ACTIONS(16003), 1,
      sym_or_operator,
    ACTIONS(16005), 1,
      anon_sym_COMMA,
    ACTIONS(16007), 1,
      sym_assign_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [640966] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [641001] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16009), 1,
      anon_sym_else,
    STATE(11743), 1,
      sym_else_clause,
    STATE(13078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [641038] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [641073] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12437), 1,
      anon_sym_as,
    ACTIONS(16011), 1,
      sym__lowercase_identifier,
    ACTIONS(16013), 1,
      anon_sym_POUND,
    STATE(13080), 1,
      sym_attribute,
    STATE(13958), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [641116] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16017), 1,
      anon_sym_let,
    ACTIONS(16019), 1,
      anon_sym_and,
    STATE(13081), 1,
      sym_attribute,
    STATE(13219), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16015), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641153] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15989), 1,
      anon_sym_and,
    ACTIONS(16023), 1,
      anon_sym_let,
    STATE(13063), 1,
      aux_sym_type_definition_repeat1,
    STATE(13082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16021), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641190] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15917), 1,
      anon_sym_DOT,
    STATE(13083), 1,
      sym_attribute,
    STATE(21462), 1,
      sym_add_operator,
    STATE(21592), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(15919), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [641233] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8235), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11636), 1,
      aux_sym_expression_item_repeat1,
    STATE(13084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8011), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641272] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8287), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11915), 1,
      aux_sym_expression_item_repeat1,
    STATE(13085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8017), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641311] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16025), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11620), 1,
      aux_sym_expression_item_repeat1,
    STATE(13086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14062), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641350] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16027), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11902), 1,
      aux_sym_expression_item_repeat1,
    STATE(13087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14596), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641389] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8350), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11668), 1,
      aux_sym_expression_item_repeat1,
    STATE(13088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8029), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641428] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16029), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11759), 1,
      aux_sym_expression_item_repeat1,
    STATE(13089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14157), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641467] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8348), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11762), 1,
      aux_sym_expression_item_repeat1,
    STATE(13090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7951), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641506] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16031), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11798), 1,
      aux_sym_expression_item_repeat1,
    STATE(13091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14324), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641545] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8275), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11803), 1,
      aux_sym_expression_item_repeat1,
    STATE(13092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7993), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641584] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16033), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11821), 1,
      aux_sym_expression_item_repeat1,
    STATE(13093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14412), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641623] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15361), 1,
      anon_sym_let,
    ACTIONS(16035), 1,
      anon_sym_and,
    ACTIONS(16037), 1,
      sym_let_and_operator,
    STATE(13094), 1,
      sym_attribute,
    STATE(13096), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15359), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641662] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15252), 1,
      anon_sym_let,
    ACTIONS(16035), 1,
      anon_sym_and,
    ACTIONS(16037), 1,
      sym_let_and_operator,
    STATE(13095), 1,
      sym_attribute,
    STATE(13096), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15250), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641701] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15228), 1,
      anon_sym_let,
    ACTIONS(16039), 1,
      anon_sym_and,
    ACTIONS(16042), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13096), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15226), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641738] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15252), 1,
      anon_sym_let,
    ACTIONS(16035), 1,
      anon_sym_and,
    ACTIONS(16037), 1,
      sym_let_and_operator,
    STATE(13097), 1,
      sym_attribute,
    STATE(13098), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15250), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641777] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15429), 1,
      anon_sym_let,
    ACTIONS(16035), 1,
      anon_sym_and,
    ACTIONS(16037), 1,
      sym_let_and_operator,
    STATE(13096), 1,
      aux_sym_value_definition_repeat1,
    STATE(13098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15427), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641816] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12433), 1,
      anon_sym_as,
    ACTIONS(16011), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    STATE(13099), 1,
      sym_attribute,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [641859] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15393), 1,
      anon_sym_let,
    ACTIONS(16035), 1,
      anon_sym_and,
    ACTIONS(16037), 1,
      sym_let_and_operator,
    STATE(13094), 1,
      aux_sym_value_definition_repeat1,
    STATE(13100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15391), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641898] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15361), 1,
      anon_sym_let,
    ACTIONS(16035), 1,
      anon_sym_and,
    ACTIONS(16037), 1,
      sym_let_and_operator,
    STATE(13095), 1,
      aux_sym_value_definition_repeat1,
    STATE(13101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15359), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641937] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13890), 1,
      anon_sym_STAR,
    STATE(13102), 1,
      sym_attribute,
    STATE(13103), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14510), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641974] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16047), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13306), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(13103), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13304), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642009] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6079), 1,
      anon_sym_DOT,
    STATE(13104), 1,
      sym_attribute,
    STATE(21462), 1,
      sym_add_operator,
    STATE(21601), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6085), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [642052] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8191), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11636), 1,
      aux_sym_expression_item_repeat1,
    STATE(13105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8011), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642091] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8283), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11915), 1,
      aux_sym_expression_item_repeat1,
    STATE(13106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8017), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642130] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16050), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11620), 1,
      aux_sym_expression_item_repeat1,
    STATE(13107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14062), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642169] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16052), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11902), 1,
      aux_sym_expression_item_repeat1,
    STATE(13108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14596), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642208] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8273), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11668), 1,
      aux_sym_expression_item_repeat1,
    STATE(13109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8029), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642247] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16054), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11759), 1,
      aux_sym_expression_item_repeat1,
    STATE(13110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14157), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642286] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8277), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11762), 1,
      aux_sym_expression_item_repeat1,
    STATE(13111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7951), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642325] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16056), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11798), 1,
      aux_sym_expression_item_repeat1,
    STATE(13112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14324), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642364] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8231), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11803), 1,
      aux_sym_expression_item_repeat1,
    STATE(13113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7993), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642403] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16058), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(11821), 1,
      aux_sym_expression_item_repeat1,
    STATE(13114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14412), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642442] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16060), 1,
      anon_sym_PIPE,
    STATE(13115), 1,
      sym_attribute,
    STATE(13117), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642479] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16060), 1,
      anon_sym_PIPE,
    STATE(13116), 1,
      sym_attribute,
    STATE(13118), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642516] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16060), 1,
      anon_sym_PIPE,
    STATE(13117), 1,
      sym_attribute,
    STATE(13119), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642553] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16060), 1,
      anon_sym_PIPE,
    STATE(13118), 1,
      sym_attribute,
    STATE(13119), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642590] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16062), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13119), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642625] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16067), 1,
      anon_sym_let,
    ACTIONS(16069), 1,
      anon_sym_DOT,
    STATE(13120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16065), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642660] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_and,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16073), 1,
      anon_sym_SEMI,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    ACTIONS(16089), 1,
      sym_assign_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [642717] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16091), 1,
      anon_sym_LPAREN,
    ACTIONS(16093), 1,
      anon_sym_constraint,
    ACTIONS(16095), 1,
      anon_sym_val,
    ACTIONS(16097), 1,
      anon_sym_end,
    ACTIONS(16099), 1,
      anon_sym_inherit,
    ACTIONS(16101), 1,
      anon_sym_method,
    STATE(13122), 1,
      sym_attribute,
    STATE(13558), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14832), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14833), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [642770] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7867), 1,
      anon_sym_DOT,
    STATE(13123), 1,
      sym_attribute,
    STATE(21462), 1,
      sym_add_operator,
    STATE(21498), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7873), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [642813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12729), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [642846] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12355), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12353), 16,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [642879] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15989), 1,
      anon_sym_and,
    ACTIONS(16023), 1,
      anon_sym_let,
    STATE(13126), 1,
      sym_attribute,
    STATE(13147), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16021), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642916] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(13127), 1,
      sym_attribute,
    STATE(20095), 1,
      sym__infix_operator,
    STATE(21462), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7903), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [642959] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15361), 1,
      anon_sym_let,
    ACTIONS(16103), 1,
      anon_sym_and,
    ACTIONS(16105), 1,
      sym_let_and_operator,
    STATE(13128), 1,
      sym_attribute,
    STATE(13179), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15359), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642998] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_and,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [643049] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643092] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16077), 1,
      sym_pow_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643129] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16077), 1,
      sym_pow_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [643199] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643244] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643289] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [643338] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_and,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [643389] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_and,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    ACTIONS(16089), 1,
      sym_assign_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [643444] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643483] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_and,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    ACTIONS(16089), 1,
      sym_assign_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [643538] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15891), 1,
      anon_sym_DASH_GT,
    ACTIONS(15893), 1,
      anon_sym_with,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(13141), 1,
      sym_attribute,
    STATE(13267), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16107), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643579] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15989), 1,
      anon_sym_and,
    ACTIONS(16111), 1,
      anon_sym_let,
    STATE(13126), 1,
      aux_sym_type_definition_repeat1,
    STATE(13142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16109), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [643616] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7877), 1,
      anon_sym_DOT,
    STATE(13143), 1,
      sym_attribute,
    STATE(19474), 1,
      sym__infix_operator,
    STATE(21462), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7883), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [643659] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15393), 1,
      anon_sym_let,
    ACTIONS(16103), 1,
      anon_sym_and,
    ACTIONS(16105), 1,
      sym_let_and_operator,
    STATE(13128), 1,
      aux_sym_value_definition_repeat1,
    STATE(13144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15391), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [643698] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7887), 1,
      anon_sym_DOT,
    STATE(13145), 1,
      sym_attribute,
    STATE(19570), 1,
      sym__infix_operator,
    STATE(21462), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7893), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [643741] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15891), 1,
      anon_sym_DASH_GT,
    ACTIONS(15893), 1,
      anon_sym_with,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(13146), 1,
      sym_attribute,
    STATE(13374), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16113), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643782] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15883), 1,
      anon_sym_let,
    ACTIONS(16115), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13147), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15881), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [643817] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15361), 1,
      anon_sym_let,
    ACTIONS(16103), 1,
      anon_sym_and,
    ACTIONS(16105), 1,
      sym_let_and_operator,
    STATE(13148), 1,
      sym_attribute,
    STATE(13177), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15359), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [643856] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(16118), 1,
      anon_sym_LPAREN,
    ACTIONS(16122), 1,
      anon_sym_LBRACE,
    ACTIONS(16124), 1,
      anon_sym_begin,
    STATE(13149), 1,
      sym_attribute,
    STATE(14377), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16120), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14273), 2,
      sym__constant,
      sym_signed_number,
    STATE(13273), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [643907] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11192), 1,
      anon_sym_as,
    ACTIONS(16011), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    STATE(13150), 1,
      sym_attribute,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [643950] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_and,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    ACTIONS(16089), 1,
      sym_assign_operator,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [644005] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13790), 1,
      anon_sym_STAR,
    ACTIONS(14512), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13152), 1,
      sym_attribute,
    STATE(13153), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14510), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644042] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13306), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16126), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13153), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13304), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12685), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644143] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(11976), 1,
      aux_sym_expression_item_repeat1,
    STATE(13156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16129), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14783), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12675), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12615), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644248] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13954), 1,
      anon_sym_STAR,
    ACTIONS(14512), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13159), 1,
      sym_attribute,
    STATE(13160), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14510), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644285] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13306), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16131), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13160), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13304), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12781), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12805), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12627), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644452] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15983), 1,
      anon_sym_else,
    STATE(11743), 1,
      sym_else_clause,
    STATE(13165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [644489] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16019), 1,
      anon_sym_and,
    ACTIONS(16136), 1,
      anon_sym_let,
    STATE(13081), 1,
      aux_sym_module_definition_repeat1,
    STATE(13166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16134), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [644526] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    ACTIONS(15566), 1,
      anon_sym_val,
    STATE(10030), 1,
      sym_module_path,
    STATE(13167), 1,
      sym_attribute,
    STATE(14495), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644577] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15989), 1,
      anon_sym_and,
    ACTIONS(16140), 1,
      anon_sym_let,
    STATE(13147), 1,
      aux_sym_type_definition_repeat1,
    STATE(13168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16138), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [644614] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16019), 1,
      anon_sym_and,
    ACTIONS(16144), 1,
      anon_sym_let,
    STATE(13169), 1,
      sym_attribute,
    STATE(13219), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16142), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [644651] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15987), 1,
      anon_sym_let,
    ACTIONS(15989), 1,
      anon_sym_and,
    STATE(13168), 1,
      aux_sym_type_definition_repeat1,
    STATE(13170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15985), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [644688] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(15991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15993), 1,
      sym_pow_operator,
    ACTIONS(15995), 1,
      sym_mult_operator,
    ACTIONS(15997), 1,
      sym_concat_operator,
    ACTIONS(15999), 1,
      sym_rel_operator,
    ACTIONS(16001), 1,
      sym_and_operator,
    ACTIONS(16003), 1,
      sym_or_operator,
    ACTIONS(16005), 1,
      anon_sym_COMMA,
    ACTIONS(16007), 1,
      sym_assign_operator,
    ACTIONS(16146), 1,
      anon_sym_SEMI,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [644745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12623), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12639), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12643), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12651), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644877] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16017), 1,
      anon_sym_let,
    ACTIONS(16019), 1,
      anon_sym_and,
    STATE(13169), 1,
      aux_sym_module_definition_repeat1,
    STATE(13176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16015), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [644914] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15252), 1,
      anon_sym_let,
    ACTIONS(16103), 1,
      anon_sym_and,
    ACTIONS(16105), 1,
      sym_let_and_operator,
    STATE(13177), 1,
      sym_attribute,
    STATE(13179), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15250), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [644953] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8526), 1,
      aux_sym_number_token1,
    ACTIONS(8528), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_SQUOTE,
    ACTIONS(8532), 1,
      anon_sym_DQUOTE,
    ACTIONS(16148), 1,
      anon_sym_LPAREN,
    ACTIONS(16152), 1,
      anon_sym_LBRACE,
    ACTIONS(16154), 1,
      anon_sym_begin,
    STATE(13178), 1,
      sym_attribute,
    STATE(15410), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16150), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15087), 2,
      sym__constant,
      sym_signed_number,
    STATE(14977), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [645004] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15228), 1,
      anon_sym_let,
    ACTIONS(16156), 1,
      anon_sym_and,
    ACTIONS(16159), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15226), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645041] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6109), 1,
      aux_sym_number_token1,
    ACTIONS(6111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6113), 1,
      anon_sym_SQUOTE,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(16162), 1,
      anon_sym_LPAREN,
    ACTIONS(16166), 1,
      anon_sym_LBRACE,
    ACTIONS(16168), 1,
      anon_sym_begin,
    STATE(6567), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16164), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 2,
      sym__constant,
      sym_signed_number,
    STATE(6403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [645092] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15252), 1,
      anon_sym_let,
    ACTIONS(16103), 1,
      anon_sym_and,
    ACTIONS(16105), 1,
      sym_let_and_operator,
    STATE(13181), 1,
      sym_attribute,
    STATE(13230), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15250), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9304), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [645164] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15361), 1,
      anon_sym_let,
    ACTIONS(16170), 1,
      anon_sym_and,
    ACTIONS(16172), 1,
      sym_let_and_operator,
    STATE(13183), 1,
      sym_attribute,
    STATE(13185), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15359), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645203] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15252), 1,
      anon_sym_let,
    ACTIONS(16170), 1,
      anon_sym_and,
    ACTIONS(16172), 1,
      sym_let_and_operator,
    STATE(13184), 1,
      sym_attribute,
    STATE(13185), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15250), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645242] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15228), 1,
      anon_sym_let,
    ACTIONS(16174), 1,
      anon_sym_and,
    ACTIONS(16177), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13185), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15226), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645279] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15252), 1,
      anon_sym_let,
    ACTIONS(16170), 1,
      anon_sym_and,
    ACTIONS(16172), 1,
      sym_let_and_operator,
    STATE(13186), 1,
      sym_attribute,
    STATE(13187), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15250), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645318] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15429), 1,
      anon_sym_let,
    ACTIONS(16170), 1,
      anon_sym_and,
    ACTIONS(16172), 1,
      sym_let_and_operator,
    STATE(13185), 1,
      aux_sym_value_definition_repeat1,
    STATE(13187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15427), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645357] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15393), 1,
      anon_sym_let,
    ACTIONS(16170), 1,
      anon_sym_and,
    ACTIONS(16172), 1,
      sym_let_and_operator,
    STATE(13183), 1,
      aux_sym_value_definition_repeat1,
    STATE(13188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15391), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645396] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15361), 1,
      anon_sym_let,
    ACTIONS(16170), 1,
      anon_sym_and,
    ACTIONS(16172), 1,
      sym_let_and_operator,
    STATE(13184), 1,
      aux_sym_value_definition_repeat1,
    STATE(13189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15359), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645435] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13556), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(15487), 1,
      anon_sym_DASH_GT,
    STATE(13190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12761), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [645505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12785), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [645538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12789), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [645571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12813), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [645604] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6065), 1,
      aux_sym_number_token1,
    ACTIONS(6067), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6069), 1,
      anon_sym_SQUOTE,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE,
    ACTIONS(16180), 1,
      anon_sym_LPAREN,
    ACTIONS(16184), 1,
      anon_sym_LBRACE,
    ACTIONS(16186), 1,
      anon_sym_begin,
    STATE(6559), 1,
      sym__signed_constant,
    STATE(13195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16182), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6460), 2,
      sym__constant,
      sym_signed_number,
    STATE(6442), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [645655] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13527), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16188), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13196), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13525), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12817), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [645725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [645758] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_and,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    ACTIONS(16089), 1,
      sym_assign_operator,
    ACTIONS(16191), 1,
      anon_sym_SEMI,
    STATE(2535), 1,
      sym_add_operator,
    STATE(13199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [645815] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16019), 1,
      anon_sym_and,
    ACTIONS(16195), 1,
      anon_sym_let,
    STATE(13200), 1,
      sym_attribute,
    STATE(13219), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16193), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645852] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7851), 1,
      anon_sym_DOT,
    STATE(13201), 1,
      sym_attribute,
    STATE(21039), 1,
      sym__infix_operator,
    STATE(21462), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7863), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [645895] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    ACTIONS(15911), 1,
      anon_sym_val,
    STATE(10030), 1,
      sym_module_path,
    STATE(13202), 1,
      sym_attribute,
    STATE(14393), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [645979] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13527), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16197), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13204), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13525), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [646049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12793), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [646082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9308), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [646115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9312), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [646148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9316), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [646181] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14823), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16200), 1,
      anon_sym_PIPE,
    STATE(13210), 1,
      sym_attribute,
    STATE(13212), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14821), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646218] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14773), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16200), 1,
      anon_sym_PIPE,
    STATE(13211), 1,
      sym_attribute,
    STATE(13212), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14771), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646255] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14566), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16202), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13212), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14564), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646290] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14823), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15981), 1,
      anon_sym_PIPE,
    STATE(13213), 1,
      sym_attribute,
    STATE(13215), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14821), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646327] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14773), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15981), 1,
      anon_sym_PIPE,
    STATE(13214), 1,
      sym_attribute,
    STATE(13215), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14771), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646364] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14566), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16205), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13215), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14564), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12797), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [646432] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2129), 1,
      anon_sym_DOT,
    STATE(13217), 1,
      sym_attribute,
    STATE(21462), 1,
      sym_add_operator,
    STATE(21668), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(2137), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [646475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11700), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [646508] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15836), 1,
      anon_sym_let,
    ACTIONS(16208), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13219), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15834), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [646543] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(16211), 1,
      anon_sym_LPAREN,
    ACTIONS(16215), 1,
      anon_sym_LBRACE,
    ACTIONS(16217), 1,
      anon_sym_begin,
    STATE(10142), 1,
      sym__signed_constant,
    STATE(13220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16213), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9907), 2,
      sym__constant,
      sym_signed_number,
    STATE(9825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [646594] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16019), 1,
      anon_sym_and,
    ACTIONS(16144), 1,
      anon_sym_let,
    STATE(13200), 1,
      aux_sym_module_definition_repeat1,
    STATE(13221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16142), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [646631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10356), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [646664] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5907), 1,
      aux_sym_number_token1,
    ACTIONS(5909), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5911), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    ACTIONS(16223), 1,
      anon_sym_LBRACE,
    ACTIONS(16225), 1,
      anon_sym_begin,
    STATE(6387), 1,
      sym__signed_constant,
    STATE(13223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16221), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6206), 2,
      sym__constant,
      sym_signed_number,
    STATE(6172), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [646715] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13556), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(15588), 1,
      anon_sym_DASH_GT,
    STATE(13224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646752] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15891), 1,
      anon_sym_DASH_GT,
    ACTIONS(15893), 1,
      anon_sym_with,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12058), 1,
      aux_sym_expression_item_repeat1,
    STATE(13225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14793), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646793] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13220), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16200), 1,
      anon_sym_PIPE,
    STATE(13210), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13218), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646830] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14823), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16200), 1,
      anon_sym_PIPE,
    STATE(13211), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14821), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646867] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13220), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15981), 1,
      anon_sym_PIPE,
    STATE(13213), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13218), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646904] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15903), 1,
      anon_sym_DASH_GT,
    ACTIONS(15905), 1,
      anon_sym_with,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(13229), 1,
      sym_attribute,
    STATE(13267), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16107), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646945] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15429), 1,
      anon_sym_let,
    ACTIONS(16103), 1,
      anon_sym_and,
    ACTIONS(16105), 1,
      sym_let_and_operator,
    STATE(13179), 1,
      aux_sym_value_definition_repeat1,
    STATE(13230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15427), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [646984] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15903), 1,
      anon_sym_DASH_GT,
    ACTIONS(15905), 1,
      anon_sym_with,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(13231), 1,
      sym_attribute,
    STATE(13374), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16113), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647025] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15903), 1,
      anon_sym_DASH_GT,
    ACTIONS(15905), 1,
      anon_sym_with,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12058), 1,
      aux_sym_expression_item_repeat1,
    STATE(13232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14793), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647066] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11474), 1,
      anon_sym_PIPE,
    ACTIONS(15991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15993), 1,
      sym_pow_operator,
    ACTIONS(15995), 1,
      sym_mult_operator,
    ACTIONS(15997), 1,
      sym_concat_operator,
    ACTIONS(15999), 1,
      sym_rel_operator,
    ACTIONS(16001), 1,
      sym_and_operator,
    ACTIONS(16003), 1,
      sym_or_operator,
    ACTIONS(16005), 1,
      anon_sym_COMMA,
    ACTIONS(16007), 1,
      sym_assign_operator,
    STATE(2730), 1,
      sym_add_operator,
    STATE(13233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [647121] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15891), 1,
      anon_sym_DASH_GT,
    ACTIONS(15893), 1,
      anon_sym_with,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12137), 1,
      aux_sym_expression_item_repeat1,
    STATE(13234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14763), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647162] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15903), 1,
      anon_sym_DASH_GT,
    ACTIONS(15905), 1,
      anon_sym_with,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12137), 1,
      aux_sym_expression_item_repeat1,
    STATE(13235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14763), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647203] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6263), 1,
      aux_sym_number_token1,
    ACTIONS(6265), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DQUOTE,
    ACTIONS(16227), 1,
      anon_sym_LPAREN,
    ACTIONS(16231), 1,
      anon_sym_LBRACE,
    ACTIONS(16233), 1,
      anon_sym_begin,
    STATE(6702), 1,
      sym__signed_constant,
    STATE(13236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16229), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6606), 2,
      sym__constant,
      sym_signed_number,
    STATE(6591), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [647254] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12117), 1,
      aux_sym_expression_item_repeat1,
    STATE(13237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16235), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14689), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647293] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(12117), 1,
      aux_sym_expression_item_repeat1,
    STATE(13238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16237), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14689), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647332] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(11976), 1,
      aux_sym_expression_item_repeat1,
    STATE(13239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16239), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14783), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12725), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [647404] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13241), 1,
      sym_attribute,
    STATE(14305), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647452] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14932), 1,
      anon_sym_LPAREN,
    ACTIONS(14936), 1,
      anon_sym_functor,
    ACTIONS(14938), 1,
      anon_sym_struct,
    ACTIONS(14940), 1,
      sym__uppercase_identifier,
    STATE(13242), 1,
      sym_attribute,
    STATE(14207), 1,
      sym__module_expression,
    STATE(14559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14631), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9268), 1,
      anon_sym_let,
    STATE(13243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [647532] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16243), 1,
      anon_sym_let,
    ACTIONS(16245), 1,
      anon_sym_and,
    STATE(13244), 1,
      sym_attribute,
    STATE(13250), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16241), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [647568] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16247), 1,
      anon_sym_COMMA,
    ACTIONS(16249), 1,
      anon_sym_SEMI,
    ACTIONS(16251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16253), 1,
      sym_pow_operator,
    ACTIONS(16255), 1,
      sym_mult_operator,
    ACTIONS(16257), 1,
      sym_concat_operator,
    ACTIONS(16259), 1,
      sym_rel_operator,
    ACTIONS(16261), 1,
      sym_and_operator,
    ACTIONS(16263), 1,
      sym_or_operator,
    ACTIONS(16265), 1,
      sym_assign_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [647624] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11474), 1,
      anon_sym_PIPE,
    ACTIONS(16247), 1,
      anon_sym_COMMA,
    ACTIONS(16251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16253), 1,
      sym_pow_operator,
    ACTIONS(16255), 1,
      sym_mult_operator,
    ACTIONS(16257), 1,
      sym_concat_operator,
    ACTIONS(16259), 1,
      sym_rel_operator,
    ACTIONS(16261), 1,
      sym_and_operator,
    ACTIONS(16263), 1,
      sym_or_operator,
    ACTIONS(16265), 1,
      sym_assign_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [647678] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_constraint,
    ACTIONS(16270), 1,
      anon_sym_val,
    ACTIONS(16273), 1,
      anon_sym_end,
    ACTIONS(16275), 1,
      anon_sym_inherit,
    ACTIONS(16278), 1,
      anon_sym_method,
    ACTIONS(16281), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(16284), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(16287), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13247), 2,
      sym_attribute,
      aux_sym_class_body_type_repeat1,
    STATE(14832), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14833), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [647726] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16290), 1,
      anon_sym_PIPE,
    STATE(13248), 1,
      sym_attribute,
    STATE(13252), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [647762] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16290), 1,
      anon_sym_PIPE,
    STATE(13249), 1,
      sym_attribute,
    STATE(13253), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [647798] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16245), 1,
      anon_sym_and,
    ACTIONS(16294), 1,
      anon_sym_let,
    STATE(13250), 1,
      sym_attribute,
    STATE(13500), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [647834] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16245), 1,
      anon_sym_and,
    ACTIONS(16294), 1,
      anon_sym_let,
    STATE(13251), 1,
      sym_attribute,
    STATE(13502), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [647870] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16290), 1,
      anon_sym_PIPE,
    STATE(13252), 1,
      sym_attribute,
    STATE(13254), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [647906] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16290), 1,
      anon_sym_PIPE,
    STATE(13253), 1,
      sym_attribute,
    STATE(13254), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [647942] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16296), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13254), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [647976] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14914), 1,
      anon_sym_functor,
    ACTIONS(14916), 1,
      anon_sym_struct,
    STATE(10030), 1,
      sym_module_path,
    STATE(10145), 1,
      sym__module_expression,
    STATE(13255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648024] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16299), 1,
      anon_sym_COMMA,
    ACTIONS(16301), 1,
      anon_sym_SEMI,
    ACTIONS(16303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16305), 1,
      sym_pow_operator,
    ACTIONS(16307), 1,
      sym_mult_operator,
    ACTIONS(16309), 1,
      sym_concat_operator,
    ACTIONS(16311), 1,
      sym_rel_operator,
    ACTIONS(16313), 1,
      sym_and_operator,
    ACTIONS(16315), 1,
      sym_or_operator,
    ACTIONS(16317), 1,
      sym_assign_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [648080] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16319), 1,
      anon_sym_COMMA,
    ACTIONS(16321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16323), 1,
      sym_pow_operator,
    ACTIONS(16325), 1,
      sym_mult_operator,
    ACTIONS(16327), 1,
      sym_concat_operator,
    ACTIONS(16329), 1,
      sym_rel_operator,
    ACTIONS(16331), 1,
      sym_and_operator,
    ACTIONS(16333), 1,
      sym_or_operator,
    ACTIONS(16335), 1,
      sym_assign_operator,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [648134] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16337), 1,
      anon_sym_else,
    STATE(9347), 1,
      sym_else_clause,
    STATE(13258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648170] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648204] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16339), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(13260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648240] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16341), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16343), 1,
      sym_pow_operator,
    ACTIONS(16345), 1,
      sym_mult_operator,
    ACTIONS(16347), 1,
      sym_concat_operator,
    ACTIONS(16349), 1,
      sym_rel_operator,
    ACTIONS(16351), 1,
      sym_and_operator,
    ACTIONS(16353), 1,
      sym_or_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [648290] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13262), 1,
      sym_attribute,
    STATE(14400), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648338] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9220), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [648370] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9224), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [648402] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16341), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16343), 1,
      sym_pow_operator,
    ACTIONS(16345), 1,
      sym_mult_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648444] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16343), 1,
      sym_pow_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648480] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(13267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16113), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648516] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16343), 1,
      sym_pow_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648552] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13269), 1,
      sym_attribute,
    STATE(14473), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648600] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(13270), 1,
      sym_attribute,
    STATE(13442), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16355), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648636] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11433), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16357), 1,
      anon_sym_STAR,
    STATE(13271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648670] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16341), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16343), 1,
      sym_pow_operator,
    ACTIONS(16345), 1,
      sym_mult_operator,
    ACTIONS(16347), 1,
      sym_concat_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [648714] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9228), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [648746] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16243), 1,
      anon_sym_let,
    ACTIONS(16359), 1,
      anon_sym_and,
    STATE(13274), 1,
      sym_attribute,
    STATE(13510), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16241), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [648782] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(16361), 1,
      sym__lowercase_identifier,
    ACTIONS(16363), 1,
      anon_sym_POUND,
    STATE(13275), 1,
      sym_attribute,
    STATE(14022), 1,
      sym_type_constructor_path,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12437), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [648824] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16365), 1,
      anon_sym_PIPE,
    STATE(13276), 1,
      sym_attribute,
    STATE(13278), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648860] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16365), 1,
      anon_sym_PIPE,
    STATE(13277), 1,
      sym_attribute,
    STATE(13279), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648896] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16365), 1,
      anon_sym_PIPE,
    STATE(13278), 1,
      sym_attribute,
    STATE(13280), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648932] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16365), 1,
      anon_sym_PIPE,
    STATE(13279), 1,
      sym_attribute,
    STATE(13280), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648968] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16367), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13280), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649002] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16093), 1,
      anon_sym_constraint,
    ACTIONS(16095), 1,
      anon_sym_val,
    ACTIONS(16099), 1,
      anon_sym_inherit,
    ACTIONS(16101), 1,
      anon_sym_method,
    ACTIONS(16370), 1,
      anon_sym_end,
    STATE(13281), 1,
      sym_attribute,
    STATE(13351), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14832), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14833), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [649052] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16341), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16343), 1,
      sym_pow_operator,
    ACTIONS(16345), 1,
      sym_mult_operator,
    ACTIONS(16347), 1,
      sym_concat_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [649096] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13283), 1,
      sym_attribute,
    STATE(14471), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649144] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_COLON2,
    STATE(13284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10336), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [649178] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16341), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16343), 1,
      sym_pow_operator,
    ACTIONS(16345), 1,
      sym_mult_operator,
    ACTIONS(16347), 1,
      sym_concat_operator,
    ACTIONS(16349), 1,
      sym_rel_operator,
    ACTIONS(16351), 1,
      sym_and_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [649226] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16341), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16343), 1,
      sym_pow_operator,
    ACTIONS(16345), 1,
      sym_mult_operator,
    ACTIONS(16347), 1,
      sym_concat_operator,
    ACTIONS(16349), 1,
      sym_rel_operator,
    ACTIONS(16351), 1,
      sym_and_operator,
    ACTIONS(16353), 1,
      sym_or_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [649276] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16372), 1,
      anon_sym_PIPE,
    STATE(13287), 1,
      sym_attribute,
    STATE(13289), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649312] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16372), 1,
      anon_sym_PIPE,
    STATE(13288), 1,
      sym_attribute,
    STATE(13290), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649348] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16372), 1,
      anon_sym_PIPE,
    STATE(13289), 1,
      sym_attribute,
    STATE(13291), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649384] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16372), 1,
      anon_sym_PIPE,
    STATE(13290), 1,
      sym_attribute,
    STATE(13291), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649420] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16374), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13291), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649454] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16341), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16343), 1,
      sym_pow_operator,
    ACTIONS(16345), 1,
      sym_mult_operator,
    ACTIONS(16347), 1,
      sym_concat_operator,
    ACTIONS(16349), 1,
      sym_rel_operator,
    ACTIONS(16351), 1,
      sym_and_operator,
    ACTIONS(16353), 1,
      sym_or_operator,
    ACTIONS(16377), 1,
      anon_sym_COMMA,
    ACTIONS(16379), 1,
      sym_assign_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [649508] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16343), 1,
      sym_pow_operator,
    ACTIONS(16345), 1,
      sym_mult_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649546] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16341), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16343), 1,
      sym_pow_operator,
    ACTIONS(16345), 1,
      sym_mult_operator,
    ACTIONS(16347), 1,
      sym_concat_operator,
    ACTIONS(16349), 1,
      sym_rel_operator,
    ACTIONS(16351), 1,
      sym_and_operator,
    ACTIONS(16353), 1,
      sym_or_operator,
    ACTIONS(16377), 1,
      anon_sym_COMMA,
    ACTIONS(16379), 1,
      sym_assign_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [649600] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13295), 1,
      sym_attribute,
    STATE(14459), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649648] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16341), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16343), 1,
      sym_pow_operator,
    ACTIONS(16345), 1,
      sym_mult_operator,
    ACTIONS(16347), 1,
      sym_concat_operator,
    ACTIONS(16349), 1,
      sym_rel_operator,
    ACTIONS(16351), 1,
      sym_and_operator,
    ACTIONS(16353), 1,
      sym_or_operator,
    ACTIONS(16377), 1,
      anon_sym_COMMA,
    ACTIONS(16379), 1,
      sym_assign_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [649702] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9244), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [649734] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16381), 1,
      anon_sym_PIPE,
    STATE(13298), 1,
      sym_attribute,
    STATE(13300), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649770] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16381), 1,
      anon_sym_PIPE,
    STATE(13299), 1,
      sym_attribute,
    STATE(13301), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649806] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16381), 1,
      anon_sym_PIPE,
    STATE(13300), 1,
      sym_attribute,
    STATE(13302), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649842] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16381), 1,
      anon_sym_PIPE,
    STATE(13301), 1,
      sym_attribute,
    STATE(13302), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649878] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16383), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13302), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649912] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16386), 1,
      anon_sym_else,
    STATE(9347), 1,
      sym_else_clause,
    STATE(13303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649948] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15714), 1,
      anon_sym_let,
    ACTIONS(16388), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13304), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15712), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [649982] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16393), 1,
      sym_pow_operator,
    ACTIONS(16395), 1,
      sym_mult_operator,
    ACTIONS(16397), 1,
      sym_concat_operator,
    ACTIONS(16399), 1,
      sym_rel_operator,
    ACTIONS(16401), 1,
      sym_and_operator,
    ACTIONS(16403), 1,
      sym_or_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [650032] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13306), 1,
      sym_attribute,
    STATE(14324), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650080] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16405), 1,
      anon_sym_PIPE,
    STATE(13307), 1,
      sym_attribute,
    STATE(13309), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650116] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16405), 1,
      anon_sym_PIPE,
    STATE(13308), 1,
      sym_attribute,
    STATE(13310), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650152] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16405), 1,
      anon_sym_PIPE,
    STATE(13309), 1,
      sym_attribute,
    STATE(13311), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650188] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16405), 1,
      anon_sym_PIPE,
    STATE(13310), 1,
      sym_attribute,
    STATE(13311), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650224] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16407), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13311), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650258] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14914), 1,
      anon_sym_functor,
    ACTIONS(14916), 1,
      anon_sym_struct,
    STATE(10030), 1,
      sym_module_path,
    STATE(10155), 1,
      sym__module_expression,
    STATE(13312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650306] = 18,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16410), 1,
      anon_sym_COLON_GT,
    ACTIONS(16412), 1,
      anon_sym_RPAREN,
    ACTIONS(16414), 1,
      anon_sym_COLON2,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13313), 1,
      sym_attribute,
    STATE(18805), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [650364] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16359), 1,
      anon_sym_and,
    ACTIONS(16418), 1,
      anon_sym_let,
    STATE(13304), 1,
      aux_sym_class_definition_repeat1,
    STATE(13314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16416), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [650400] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16420), 1,
      anon_sym_else,
    STATE(9246), 1,
      sym_else_clause,
    STATE(13315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650436] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13316), 1,
      sym_attribute,
    STATE(14352), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650484] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13317), 1,
      sym_attribute,
    STATE(14433), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650532] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9270), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [650564] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13319), 1,
      sym_attribute,
    STATE(14408), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650612] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13320), 1,
      sym_attribute,
    STATE(14450), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650660] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13321), 1,
      sym_attribute,
    STATE(14365), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650708] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13322), 1,
      sym_attribute,
    STATE(14477), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650756] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [650790] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13324), 1,
      sym_attribute,
    STATE(14476), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650838] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16393), 1,
      sym_pow_operator,
    ACTIONS(16395), 1,
      sym_mult_operator,
    ACTIONS(16397), 1,
      sym_concat_operator,
    ACTIONS(16399), 1,
      sym_rel_operator,
    ACTIONS(16401), 1,
      sym_and_operator,
    ACTIONS(16403), 1,
      sym_or_operator,
    ACTIONS(16422), 1,
      anon_sym_COMMA,
    ACTIONS(16424), 1,
      anon_sym_SEMI,
    ACTIONS(16426), 1,
      sym_assign_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [650894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9182), 1,
      anon_sym_let,
    STATE(13326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [650926] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16393), 1,
      sym_pow_operator,
    ACTIONS(16395), 1,
      sym_mult_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650968] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(13328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16428), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651004] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13329), 1,
      sym_attribute,
    STATE(14432), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651052] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16305), 1,
      sym_pow_operator,
    ACTIONS(16307), 1,
      sym_mult_operator,
    ACTIONS(16309), 1,
      sym_concat_operator,
    ACTIONS(16311), 1,
      sym_rel_operator,
    ACTIONS(16313), 1,
      sym_and_operator,
    ACTIONS(16315), 1,
      sym_or_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [651102] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16305), 1,
      sym_pow_operator,
    ACTIONS(16307), 1,
      sym_mult_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651144] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16305), 1,
      sym_pow_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651180] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16305), 1,
      sym_pow_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651216] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16305), 1,
      sym_pow_operator,
    ACTIONS(16307), 1,
      sym_mult_operator,
    ACTIONS(16309), 1,
      sym_concat_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [651260] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16305), 1,
      sym_pow_operator,
    ACTIONS(16307), 1,
      sym_mult_operator,
    ACTIONS(16309), 1,
      sym_concat_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [651304] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13336), 1,
      sym_attribute,
    STATE(14510), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651352] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16305), 1,
      sym_pow_operator,
    ACTIONS(16307), 1,
      sym_mult_operator,
    ACTIONS(16309), 1,
      sym_concat_operator,
    ACTIONS(16311), 1,
      sym_rel_operator,
    ACTIONS(16313), 1,
      sym_and_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [651400] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16305), 1,
      sym_pow_operator,
    ACTIONS(16307), 1,
      sym_mult_operator,
    ACTIONS(16309), 1,
      sym_concat_operator,
    ACTIONS(16311), 1,
      sym_rel_operator,
    ACTIONS(16313), 1,
      sym_and_operator,
    ACTIONS(16315), 1,
      sym_or_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [651450] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16430), 1,
      anon_sym_else,
    STATE(9246), 1,
      sym_else_clause,
    STATE(13339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651486] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16299), 1,
      anon_sym_COMMA,
    ACTIONS(16303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16305), 1,
      sym_pow_operator,
    ACTIONS(16307), 1,
      sym_mult_operator,
    ACTIONS(16309), 1,
      sym_concat_operator,
    ACTIONS(16311), 1,
      sym_rel_operator,
    ACTIONS(16313), 1,
      sym_and_operator,
    ACTIONS(16315), 1,
      sym_or_operator,
    ACTIONS(16317), 1,
      sym_assign_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [651540] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16305), 1,
      sym_pow_operator,
    ACTIONS(16307), 1,
      sym_mult_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651578] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16299), 1,
      anon_sym_COMMA,
    ACTIONS(16303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16305), 1,
      sym_pow_operator,
    ACTIONS(16307), 1,
      sym_mult_operator,
    ACTIONS(16309), 1,
      sym_concat_operator,
    ACTIONS(16311), 1,
      sym_rel_operator,
    ACTIONS(16313), 1,
      sym_and_operator,
    ACTIONS(16315), 1,
      sym_or_operator,
    ACTIONS(16317), 1,
      sym_assign_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [651632] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11474), 1,
      anon_sym_PIPE,
    ACTIONS(16432), 1,
      anon_sym_COMMA,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_pow_operator,
    ACTIONS(16438), 1,
      sym_mult_operator,
    ACTIONS(16440), 1,
      sym_concat_operator,
    ACTIONS(16442), 1,
      sym_rel_operator,
    ACTIONS(16444), 1,
      sym_and_operator,
    ACTIONS(16446), 1,
      sym_or_operator,
    ACTIONS(16448), 1,
      sym_assign_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [651686] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13344), 1,
      sym_attribute,
    STATE(14417), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651734] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16430), 1,
      anon_sym_else,
    STATE(9347), 1,
      sym_else_clause,
    STATE(13345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651770] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16341), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16343), 1,
      sym_pow_operator,
    ACTIONS(16345), 1,
      sym_mult_operator,
    ACTIONS(16347), 1,
      sym_concat_operator,
    ACTIONS(16349), 1,
      sym_rel_operator,
    ACTIONS(16351), 1,
      sym_and_operator,
    ACTIONS(16353), 1,
      sym_or_operator,
    ACTIONS(16377), 1,
      anon_sym_COMMA,
    ACTIONS(16379), 1,
      sym_assign_operator,
    ACTIONS(16450), 1,
      anon_sym_SEMI,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [651826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12355), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(12353), 9,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [651858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9248), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [651890] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651924] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13350), 1,
      sym_attribute,
    STATE(14390), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651972] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16093), 1,
      anon_sym_constraint,
    ACTIONS(16095), 1,
      anon_sym_val,
    ACTIONS(16099), 1,
      anon_sym_inherit,
    ACTIONS(16101), 1,
      anon_sym_method,
    ACTIONS(16452), 1,
      anon_sym_end,
    STATE(13247), 1,
      aux_sym_class_body_type_repeat1,
    STATE(13351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14832), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14833), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [652022] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14932), 1,
      anon_sym_LPAREN,
    ACTIONS(14936), 1,
      anon_sym_functor,
    ACTIONS(14938), 1,
      anon_sym_struct,
    ACTIONS(14940), 1,
      sym__uppercase_identifier,
    STATE(13352), 1,
      sym_attribute,
    STATE(13961), 1,
      sym__module_expression,
    STATE(14559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14631), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652070] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16454), 1,
      anon_sym_else,
    STATE(9347), 1,
      sym_else_clause,
    STATE(13353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [652106] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13354), 1,
      sym_attribute,
    STATE(14519), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652154] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16456), 1,
      anon_sym_else,
    STATE(9246), 1,
      sym_else_clause,
    STATE(13355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [652190] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16458), 1,
      anon_sym_else,
    STATE(11602), 1,
      sym_else_clause,
    STATE(13356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [652226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16462), 1,
      anon_sym_let,
    STATE(13357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16460), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [652258] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13358), 1,
      sym_attribute,
    STATE(14439), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652306] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16464), 1,
      anon_sym_else,
    STATE(11602), 1,
      sym_else_clause,
    STATE(13359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [652342] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16456), 1,
      anon_sym_else,
    STATE(9347), 1,
      sym_else_clause,
    STATE(13360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [652378] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16017), 1,
      anon_sym_let,
    ACTIONS(16466), 1,
      anon_sym_and,
    STATE(13361), 1,
      sym_attribute,
    STATE(13560), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16015), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [652414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9196), 1,
      anon_sym_let,
    STATE(13362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [652446] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13363), 1,
      sym_attribute,
    STATE(14517), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652494] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13364), 1,
      sym_attribute,
    STATE(14356), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652542] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16420), 1,
      anon_sym_else,
    STATE(9347), 1,
      sym_else_clause,
    STATE(13365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [652578] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16468), 1,
      anon_sym_COMMA,
    ACTIONS(16470), 1,
      anon_sym_SEMI,
    ACTIONS(16472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16474), 1,
      sym_pow_operator,
    ACTIONS(16476), 1,
      sym_mult_operator,
    ACTIONS(16478), 1,
      sym_concat_operator,
    ACTIONS(16480), 1,
      sym_rel_operator,
    ACTIONS(16482), 1,
      sym_and_operator,
    ACTIONS(16484), 1,
      sym_or_operator,
    ACTIONS(16486), 1,
      sym_assign_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [652634] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14914), 1,
      anon_sym_functor,
    ACTIONS(14916), 1,
      anon_sym_struct,
    STATE(9583), 1,
      sym__module_expression,
    STATE(10030), 1,
      sym_module_path,
    STATE(13367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652682] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13368), 1,
      sym_attribute,
    STATE(14412), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_let,
    STATE(13369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [652762] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16299), 1,
      anon_sym_COMMA,
    ACTIONS(16303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16305), 1,
      sym_pow_operator,
    ACTIONS(16307), 1,
      sym_mult_operator,
    ACTIONS(16309), 1,
      sym_concat_operator,
    ACTIONS(16311), 1,
      sym_rel_operator,
    ACTIONS(16313), 1,
      sym_and_operator,
    ACTIONS(16315), 1,
      sym_or_operator,
    ACTIONS(16317), 1,
      sym_assign_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [652816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9246), 1,
      anon_sym_let,
    STATE(13371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [652848] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13372), 1,
      sym_attribute,
    STATE(14480), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9208), 1,
      anon_sym_let,
    STATE(13373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [652928] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(13374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16488), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652964] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16464), 1,
      anon_sym_else,
    STATE(11743), 1,
      sym_else_clause,
    STATE(13375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [653000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9250), 1,
      anon_sym_let,
    STATE(13376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [653032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9212), 1,
      anon_sym_let,
    STATE(13377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [653064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9280), 1,
      anon_sym_let,
    STATE(13378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [653096] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13379), 1,
      sym_attribute,
    STATE(14502), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653144] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13380), 1,
      sym_attribute,
    STATE(14311), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653192] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13381), 1,
      sym_attribute,
    STATE(14531), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653240] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(13328), 1,
      aux_sym_expression_item_repeat1,
    STATE(13382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16490), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653276] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16393), 1,
      sym_pow_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [653312] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13384), 1,
      sym_attribute,
    STATE(14505), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653360] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13385), 1,
      sym_attribute,
    STATE(14320), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653408] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [653442] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9252), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [653474] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13388), 1,
      sym_attribute,
    STATE(14312), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653522] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_pow_operator,
    ACTIONS(16438), 1,
      sym_mult_operator,
    ACTIONS(16440), 1,
      sym_concat_operator,
    ACTIONS(16442), 1,
      sym_rel_operator,
    ACTIONS(16444), 1,
      sym_and_operator,
    ACTIONS(16446), 1,
      sym_or_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [653572] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_pow_operator,
    ACTIONS(16438), 1,
      sym_mult_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [653614] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16436), 1,
      sym_pow_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [653650] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16436), 1,
      sym_pow_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [653686] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_pow_operator,
    ACTIONS(16438), 1,
      sym_mult_operator,
    ACTIONS(16440), 1,
      sym_concat_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [653730] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_pow_operator,
    ACTIONS(16438), 1,
      sym_mult_operator,
    ACTIONS(16440), 1,
      sym_concat_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [653774] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_pow_operator,
    ACTIONS(16438), 1,
      sym_mult_operator,
    ACTIONS(16440), 1,
      sym_concat_operator,
    ACTIONS(16442), 1,
      sym_rel_operator,
    ACTIONS(16444), 1,
      sym_and_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [653822] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_pow_operator,
    ACTIONS(16438), 1,
      sym_mult_operator,
    ACTIONS(16440), 1,
      sym_concat_operator,
    ACTIONS(16442), 1,
      sym_rel_operator,
    ACTIONS(16444), 1,
      sym_and_operator,
    ACTIONS(16446), 1,
      sym_or_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [653872] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16432), 1,
      anon_sym_COMMA,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_pow_operator,
    ACTIONS(16438), 1,
      sym_mult_operator,
    ACTIONS(16440), 1,
      sym_concat_operator,
    ACTIONS(16442), 1,
      sym_rel_operator,
    ACTIONS(16444), 1,
      sym_and_operator,
    ACTIONS(16446), 1,
      sym_or_operator,
    ACTIONS(16448), 1,
      sym_assign_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [653926] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16436), 1,
      sym_pow_operator,
    ACTIONS(16438), 1,
      sym_mult_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [653964] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9282), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [653996] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16432), 1,
      anon_sym_COMMA,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_pow_operator,
    ACTIONS(16438), 1,
      sym_mult_operator,
    ACTIONS(16440), 1,
      sym_concat_operator,
    ACTIONS(16442), 1,
      sym_rel_operator,
    ACTIONS(16444), 1,
      sym_and_operator,
    ACTIONS(16446), 1,
      sym_or_operator,
    ACTIONS(16448), 1,
      sym_assign_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [654050] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13401), 1,
      sym_attribute,
    STATE(14513), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654098] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16492), 1,
      anon_sym_else,
    STATE(9347), 1,
      sym_else_clause,
    STATE(13402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [654134] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16432), 1,
      anon_sym_COMMA,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_pow_operator,
    ACTIONS(16438), 1,
      sym_mult_operator,
    ACTIONS(16440), 1,
      sym_concat_operator,
    ACTIONS(16442), 1,
      sym_rel_operator,
    ACTIONS(16444), 1,
      sym_and_operator,
    ACTIONS(16446), 1,
      sym_or_operator,
    ACTIONS(16448), 1,
      sym_assign_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [654188] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13404), 1,
      sym_attribute,
    STATE(14317), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654236] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13405), 1,
      sym_attribute,
    STATE(14404), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654284] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13406), 1,
      sym_attribute,
    STATE(14506), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654332] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13407), 1,
      sym_attribute,
    STATE(14440), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654380] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13408), 1,
      sym_attribute,
    STATE(14376), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654428] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16386), 1,
      anon_sym_else,
    STATE(9246), 1,
      sym_else_clause,
    STATE(13409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [654464] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13410), 1,
      sym_attribute,
    STATE(14371), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654512] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11474), 1,
      anon_sym_PIPE,
    ACTIONS(16468), 1,
      anon_sym_COMMA,
    ACTIONS(16472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16474), 1,
      sym_pow_operator,
    ACTIONS(16476), 1,
      sym_mult_operator,
    ACTIONS(16478), 1,
      sym_concat_operator,
    ACTIONS(16480), 1,
      sym_rel_operator,
    ACTIONS(16482), 1,
      sym_and_operator,
    ACTIONS(16484), 1,
      sym_or_operator,
    ACTIONS(16486), 1,
      sym_assign_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [654566] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13412), 1,
      sym_attribute,
    STATE(14494), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654614] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13413), 1,
      sym_attribute,
    STATE(14407), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654662] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13414), 1,
      sym_attribute,
    STATE(14345), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654710] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13415), 1,
      sym_attribute,
    STATE(14438), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654758] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13416), 1,
      sym_attribute,
    STATE(14496), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654806] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13417), 1,
      sym_attribute,
    STATE(14354), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654854] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13418), 1,
      sym_attribute,
    STATE(14325), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654902] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14932), 1,
      anon_sym_LPAREN,
    ACTIONS(14936), 1,
      anon_sym_functor,
    ACTIONS(14938), 1,
      anon_sym_struct,
    ACTIONS(14940), 1,
      sym__uppercase_identifier,
    STATE(13419), 1,
      sym_attribute,
    STATE(14292), 1,
      sym__module_expression,
    STATE(14559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14631), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654950] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16393), 1,
      sym_pow_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [654986] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13421), 1,
      sym_attribute,
    STATE(14348), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655034] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13422), 1,
      sym_attribute,
    STATE(14508), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9188), 1,
      anon_sym_let,
    STATE(13423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655114] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13424), 1,
      sym_attribute,
    STATE(14314), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655162] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(16494), 1,
      sym__lowercase_identifier,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16498), 1,
      anon_sym_nonrec,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    STATE(13425), 1,
      sym_attribute,
    STATE(13426), 1,
      sym_type_binding,
    STATE(14109), 1,
      sym__attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16071), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22266), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [655222] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16111), 1,
      anon_sym_let,
    ACTIONS(16506), 1,
      anon_sym_and,
    STATE(13426), 1,
      sym_attribute,
    STATE(13472), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16109), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655258] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16023), 1,
      anon_sym_let,
    ACTIONS(16506), 1,
      anon_sym_and,
    STATE(13427), 1,
      sym_attribute,
    STATE(13481), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16021), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9100), 1,
      anon_sym_let,
    STATE(13428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655326] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16294), 1,
      anon_sym_let,
    ACTIONS(16508), 1,
      anon_sym_and,
    STATE(13429), 1,
      sym_attribute,
    STATE(13433), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655362] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16294), 1,
      anon_sym_let,
    ACTIONS(16508), 1,
      anon_sym_and,
    STATE(13430), 1,
      sym_attribute,
    STATE(13434), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655398] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16393), 1,
      sym_pow_operator,
    ACTIONS(16395), 1,
      sym_mult_operator,
    ACTIONS(16397), 1,
      sym_concat_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [655442] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13432), 1,
      sym_attribute,
    STATE(14083), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655490] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15714), 1,
      anon_sym_let,
    ACTIONS(16510), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13433), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15712), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655524] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16418), 1,
      anon_sym_let,
    ACTIONS(16508), 1,
      anon_sym_and,
    STATE(13433), 1,
      aux_sym_class_definition_repeat1,
    STATE(13434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16416), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655560] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13435), 1,
      sym_attribute,
    STATE(14203), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655608] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16393), 1,
      sym_pow_operator,
    ACTIONS(16395), 1,
      sym_mult_operator,
    ACTIONS(16397), 1,
      sym_concat_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [655652] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(16361), 1,
      sym__lowercase_identifier,
    ACTIONS(16513), 1,
      anon_sym_POUND,
    STATE(13437), 1,
      sym_attribute,
    STATE(14045), 1,
      sym_type_constructor_path,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11192), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [655694] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(13438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [655730] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11474), 1,
      anon_sym_PIPE,
    ACTIONS(16391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16393), 1,
      sym_pow_operator,
    ACTIONS(16395), 1,
      sym_mult_operator,
    ACTIONS(16397), 1,
      sym_concat_operator,
    ACTIONS(16399), 1,
      sym_rel_operator,
    ACTIONS(16401), 1,
      sym_and_operator,
    ACTIONS(16403), 1,
      sym_or_operator,
    ACTIONS(16422), 1,
      anon_sym_COMMA,
    ACTIONS(16426), 1,
      sym_assign_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [655784] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16393), 1,
      sym_pow_operator,
    ACTIONS(16395), 1,
      sym_mult_operator,
    ACTIONS(16397), 1,
      sym_concat_operator,
    ACTIONS(16399), 1,
      sym_rel_operator,
    ACTIONS(16401), 1,
      sym_and_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [655832] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16393), 1,
      sym_pow_operator,
    ACTIONS(16395), 1,
      sym_mult_operator,
    ACTIONS(16397), 1,
      sym_concat_operator,
    ACTIONS(16399), 1,
      sym_rel_operator,
    ACTIONS(16401), 1,
      sym_and_operator,
    ACTIONS(16403), 1,
      sym_or_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [655882] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11364), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_item_attribute,
    STATE(13442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16490), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16067), 1,
      anon_sym_let,
    STATE(13443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16065), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655950] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16393), 1,
      sym_pow_operator,
    ACTIONS(16395), 1,
      sym_mult_operator,
    ACTIONS(16397), 1,
      sym_concat_operator,
    ACTIONS(16399), 1,
      sym_rel_operator,
    ACTIONS(16401), 1,
      sym_and_operator,
    ACTIONS(16403), 1,
      sym_or_operator,
    ACTIONS(16422), 1,
      anon_sym_COMMA,
    ACTIONS(16426), 1,
      sym_assign_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [656004] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16393), 1,
      sym_pow_operator,
    ACTIONS(16395), 1,
      sym_mult_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656042] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16393), 1,
      sym_pow_operator,
    ACTIONS(16395), 1,
      sym_mult_operator,
    ACTIONS(16397), 1,
      sym_concat_operator,
    ACTIONS(16399), 1,
      sym_rel_operator,
    ACTIONS(16401), 1,
      sym_and_operator,
    ACTIONS(16403), 1,
      sym_or_operator,
    ACTIONS(16422), 1,
      anon_sym_COMMA,
    ACTIONS(16426), 1,
      sym_assign_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [656096] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16253), 1,
      sym_pow_operator,
    ACTIONS(16255), 1,
      sym_mult_operator,
    ACTIONS(16257), 1,
      sym_concat_operator,
    ACTIONS(16259), 1,
      sym_rel_operator,
    ACTIONS(16261), 1,
      sym_and_operator,
    ACTIONS(16263), 1,
      sym_or_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [656146] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14932), 1,
      anon_sym_LPAREN,
    ACTIONS(14936), 1,
      anon_sym_functor,
    ACTIONS(14938), 1,
      anon_sym_struct,
    ACTIONS(14940), 1,
      sym__uppercase_identifier,
    STATE(13448), 1,
      sym_attribute,
    STATE(14216), 1,
      sym__module_expression,
    STATE(14559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14631), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656194] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16517), 1,
      sym__lowercase_identifier,
    ACTIONS(16519), 1,
      anon_sym_nonrec,
    STATE(13449), 1,
      sym_attribute,
    STATE(14009), 1,
      sym__attribute,
    STATE(14097), 1,
      sym_type_binding,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16310), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22300), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [656254] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16253), 1,
      sym_pow_operator,
    ACTIONS(16255), 1,
      sym_mult_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656296] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16253), 1,
      sym_pow_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656332] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16253), 1,
      sym_pow_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656368] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16253), 1,
      sym_pow_operator,
    ACTIONS(16255), 1,
      sym_mult_operator,
    ACTIONS(16257), 1,
      sym_concat_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [656412] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16253), 1,
      sym_pow_operator,
    ACTIONS(16255), 1,
      sym_mult_operator,
    ACTIONS(16257), 1,
      sym_concat_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [656456] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16253), 1,
      sym_pow_operator,
    ACTIONS(16255), 1,
      sym_mult_operator,
    ACTIONS(16257), 1,
      sym_concat_operator,
    ACTIONS(16259), 1,
      sym_rel_operator,
    ACTIONS(16261), 1,
      sym_and_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [656504] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16253), 1,
      sym_pow_operator,
    ACTIONS(16255), 1,
      sym_mult_operator,
    ACTIONS(16257), 1,
      sym_concat_operator,
    ACTIONS(16259), 1,
      sym_rel_operator,
    ACTIONS(16261), 1,
      sym_and_operator,
    ACTIONS(16263), 1,
      sym_or_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [656554] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16247), 1,
      anon_sym_COMMA,
    ACTIONS(16251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16253), 1,
      sym_pow_operator,
    ACTIONS(16255), 1,
      sym_mult_operator,
    ACTIONS(16257), 1,
      sym_concat_operator,
    ACTIONS(16259), 1,
      sym_rel_operator,
    ACTIONS(16261), 1,
      sym_and_operator,
    ACTIONS(16263), 1,
      sym_or_operator,
    ACTIONS(16265), 1,
      sym_assign_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [656608] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16253), 1,
      sym_pow_operator,
    ACTIONS(16255), 1,
      sym_mult_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656646] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16521), 1,
      sym__lowercase_identifier,
    ACTIONS(16523), 1,
      anon_sym_nonrec,
    STATE(13142), 1,
      sym_type_binding,
    STATE(13459), 1,
      sym_attribute,
    STATE(14126), 1,
      sym__attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16537), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(21401), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [656706] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14914), 1,
      anon_sym_functor,
    ACTIONS(14916), 1,
      anon_sym_struct,
    STATE(9848), 1,
      sym__module_expression,
    STATE(10030), 1,
      sym_module_path,
    STATE(13460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656754] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16247), 1,
      anon_sym_COMMA,
    ACTIONS(16251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16253), 1,
      sym_pow_operator,
    ACTIONS(16255), 1,
      sym_mult_operator,
    ACTIONS(16257), 1,
      sym_concat_operator,
    ACTIONS(16259), 1,
      sym_rel_operator,
    ACTIONS(16261), 1,
      sym_and_operator,
    ACTIONS(16263), 1,
      sym_or_operator,
    ACTIONS(16265), 1,
      sym_assign_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [656808] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16525), 1,
      sym__lowercase_identifier,
    ACTIONS(16527), 1,
      anon_sym_nonrec,
    STATE(13462), 1,
      sym_attribute,
    STATE(14030), 1,
      sym__attribute,
    STATE(14106), 1,
      sym_type_binding,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16480), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22318), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [656868] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16247), 1,
      anon_sym_COMMA,
    ACTIONS(16251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16253), 1,
      sym_pow_operator,
    ACTIONS(16255), 1,
      sym_mult_operator,
    ACTIONS(16257), 1,
      sym_concat_operator,
    ACTIONS(16259), 1,
      sym_rel_operator,
    ACTIONS(16261), 1,
      sym_and_operator,
    ACTIONS(16263), 1,
      sym_or_operator,
    ACTIONS(16265), 1,
      sym_assign_operator,
    STATE(2068), 1,
      sym_add_operator,
    STATE(13463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [656922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16529), 1,
      anon_sym_let,
    STATE(13464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11825), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [656954] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16531), 1,
      anon_sym_else,
    STATE(9347), 1,
      sym_else_clause,
    STATE(13465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_let,
    STATE(13466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657022] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657056] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16492), 1,
      anon_sym_else,
    STATE(9246), 1,
      sym_else_clause,
    STATE(13468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657092] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11474), 1,
      anon_sym_PIPE,
    ACTIONS(16299), 1,
      anon_sym_COMMA,
    ACTIONS(16303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16305), 1,
      sym_pow_operator,
    ACTIONS(16307), 1,
      sym_mult_operator,
    ACTIONS(16309), 1,
      sym_concat_operator,
    ACTIONS(16311), 1,
      sym_rel_operator,
    ACTIONS(16313), 1,
      sym_and_operator,
    ACTIONS(16315), 1,
      sym_or_operator,
    ACTIONS(16317), 1,
      sym_assign_operator,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [657146] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13470), 1,
      sym_attribute,
    STATE(14413), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657194] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14914), 1,
      anon_sym_functor,
    ACTIONS(14916), 1,
      anon_sym_struct,
    STATE(10030), 1,
      sym_module_path,
    STATE(10210), 1,
      sym__module_expression,
    STATE(13471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657242] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16023), 1,
      anon_sym_let,
    ACTIONS(16506), 1,
      anon_sym_and,
    STATE(13472), 1,
      sym_attribute,
    STATE(13482), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16021), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657278] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13728), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16533), 1,
      anon_sym_EQ,
    ACTIONS(16535), 1,
      anon_sym_of,
    ACTIONS(16537), 1,
      anon_sym_COLON2,
    STATE(13473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657316] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13738), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16539), 1,
      anon_sym_EQ,
    ACTIONS(16541), 1,
      anon_sym_of,
    ACTIONS(16543), 1,
      anon_sym_COLON2,
    STATE(13474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13736), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9222), 1,
      anon_sym_let,
    STATE(13475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657386] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9226), 1,
      anon_sym_let,
    STATE(13477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657452] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13478), 1,
      sym_attribute,
    STATE(14384), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657500] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13748), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16545), 1,
      anon_sym_EQ,
    ACTIONS(16547), 1,
      anon_sym_of,
    ACTIONS(16549), 1,
      anon_sym_COLON2,
    STATE(13479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13746), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657538] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14914), 1,
      anon_sym_functor,
    ACTIONS(14916), 1,
      anon_sym_struct,
    STATE(9918), 1,
      sym__module_expression,
    STATE(10030), 1,
      sym_module_path,
    STATE(13480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657586] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15987), 1,
      anon_sym_let,
    ACTIONS(16506), 1,
      anon_sym_and,
    STATE(13481), 1,
      sym_attribute,
    STATE(13482), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15985), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657622] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15883), 1,
      anon_sym_let,
    ACTIONS(16551), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13482), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15881), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657656] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14823), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16554), 1,
      anon_sym_PIPE,
    STATE(13483), 1,
      sym_attribute,
    STATE(13485), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14821), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657692] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14773), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16554), 1,
      anon_sym_PIPE,
    STATE(13484), 1,
      sym_attribute,
    STATE(13485), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14771), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657728] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14566), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16556), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13485), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14564), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657762] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15987), 1,
      anon_sym_let,
    ACTIONS(16506), 1,
      anon_sym_and,
    STATE(13486), 1,
      sym_attribute,
    STATE(13501), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15985), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657798] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16454), 1,
      anon_sym_else,
    STATE(9246), 1,
      sym_else_clause,
    STATE(13487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657834] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657868] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16531), 1,
      anon_sym_else,
    STATE(9246), 1,
      sym_else_clause,
    STATE(13489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657904] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16339), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(13490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657940] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2715), 1,
      sym_add_operator,
    STATE(13491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657974] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16458), 1,
      anon_sym_else,
    STATE(11743), 1,
      sym_else_clause,
    STATE(13492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [658010] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14823), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16559), 1,
      anon_sym_PIPE,
    STATE(13493), 1,
      sym_attribute,
    STATE(13495), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14821), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658046] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14773), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16559), 1,
      anon_sym_PIPE,
    STATE(13494), 1,
      sym_attribute,
    STATE(13495), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14771), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658082] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14566), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16561), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13495), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14564), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658116] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14914), 1,
      anon_sym_functor,
    ACTIONS(14916), 1,
      anon_sym_struct,
    STATE(9955), 1,
      sym__module_expression,
    STATE(10030), 1,
      sym_module_path,
    STATE(13496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      anon_sym_let,
    STATE(13497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658196] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16337), 1,
      anon_sym_else,
    STATE(9246), 1,
      sym_else_clause,
    STATE(13498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [658232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16566), 1,
      anon_sym_let,
    STATE(13499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16564), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658264] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15714), 1,
      anon_sym_let,
    ACTIONS(16568), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13500), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15712), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658298] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16140), 1,
      anon_sym_let,
    ACTIONS(16506), 1,
      anon_sym_and,
    STATE(13482), 1,
      aux_sym_type_definition_repeat1,
    STATE(13501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16138), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658334] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16245), 1,
      anon_sym_and,
    ACTIONS(16418), 1,
      anon_sym_let,
    STATE(13500), 1,
      aux_sym_class_definition_repeat1,
    STATE(13502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16416), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9242), 1,
      anon_sym_let,
    STATE(13503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658402] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16474), 1,
      sym_pow_operator,
    ACTIONS(16476), 1,
      sym_mult_operator,
    ACTIONS(16478), 1,
      sym_concat_operator,
    ACTIONS(16480), 1,
      sym_rel_operator,
    ACTIONS(16482), 1,
      sym_and_operator,
    ACTIONS(16484), 1,
      sym_or_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [658452] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14932), 1,
      anon_sym_LPAREN,
    ACTIONS(14936), 1,
      anon_sym_functor,
    ACTIONS(14938), 1,
      anon_sym_struct,
    ACTIONS(14940), 1,
      sym__uppercase_identifier,
    STATE(13505), 1,
      sym_attribute,
    STATE(14220), 1,
      sym__module_expression,
    STATE(14559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14631), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658500] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14932), 1,
      anon_sym_LPAREN,
    ACTIONS(14936), 1,
      anon_sym_functor,
    ACTIONS(14938), 1,
      anon_sym_struct,
    ACTIONS(14940), 1,
      sym__uppercase_identifier,
    STATE(13506), 1,
      sym_attribute,
    STATE(14260), 1,
      sym__module_expression,
    STATE(14559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14631), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658548] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16474), 1,
      sym_pow_operator,
    ACTIONS(16476), 1,
      sym_mult_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [658590] = 18,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16414), 1,
      anon_sym_COLON2,
    ACTIONS(16571), 1,
      anon_sym_COLON_GT,
    ACTIONS(16573), 1,
      anon_sym_RPAREN,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13508), 1,
      sym_attribute,
    STATE(18869), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [658648] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16474), 1,
      sym_pow_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [658684] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16294), 1,
      anon_sym_let,
    ACTIONS(16359), 1,
      anon_sym_and,
    STATE(13304), 1,
      aux_sym_class_definition_repeat1,
    STATE(13510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658720] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16294), 1,
      anon_sym_let,
    ACTIONS(16359), 1,
      anon_sym_and,
    STATE(13314), 1,
      aux_sym_class_definition_repeat1,
    STATE(13511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658756] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16432), 1,
      anon_sym_COMMA,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_pow_operator,
    ACTIONS(16438), 1,
      sym_mult_operator,
    ACTIONS(16440), 1,
      sym_concat_operator,
    ACTIONS(16442), 1,
      sym_rel_operator,
    ACTIONS(16444), 1,
      sym_and_operator,
    ACTIONS(16446), 1,
      sym_or_operator,
    ACTIONS(16448), 1,
      sym_assign_operator,
    ACTIONS(16575), 1,
      anon_sym_SEMI,
    STATE(2309), 1,
      sym_add_operator,
    STATE(13512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [658812] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16323), 1,
      sym_pow_operator,
    ACTIONS(16325), 1,
      sym_mult_operator,
    ACTIONS(16327), 1,
      sym_concat_operator,
    ACTIONS(16329), 1,
      sym_rel_operator,
    ACTIONS(16331), 1,
      sym_and_operator,
    ACTIONS(16333), 1,
      sym_or_operator,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [658862] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16474), 1,
      sym_pow_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [658898] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16323), 1,
      sym_pow_operator,
    ACTIONS(16325), 1,
      sym_mult_operator,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [658940] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16323), 1,
      sym_pow_operator,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [658976] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16323), 1,
      sym_pow_operator,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659012] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16243), 1,
      anon_sym_let,
    ACTIONS(16508), 1,
      anon_sym_and,
    STATE(13429), 1,
      aux_sym_class_definition_repeat1,
    STATE(13518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16241), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [659048] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16474), 1,
      sym_pow_operator,
    ACTIONS(16476), 1,
      sym_mult_operator,
    ACTIONS(16478), 1,
      sym_concat_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [659092] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(13520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659128] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16323), 1,
      sym_pow_operator,
    ACTIONS(16325), 1,
      sym_mult_operator,
    ACTIONS(16327), 1,
      sym_concat_operator,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [659172] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16323), 1,
      sym_pow_operator,
    ACTIONS(16325), 1,
      sym_mult_operator,
    ACTIONS(16327), 1,
      sym_concat_operator,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [659216] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16577), 1,
      anon_sym_PIPE,
    STATE(13523), 1,
      sym_attribute,
    STATE(13529), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659252] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16323), 1,
      sym_pow_operator,
    ACTIONS(16325), 1,
      sym_mult_operator,
    ACTIONS(16327), 1,
      sym_concat_operator,
    ACTIONS(16329), 1,
      sym_rel_operator,
    ACTIONS(16331), 1,
      sym_and_operator,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [659300] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16323), 1,
      sym_pow_operator,
    ACTIONS(16325), 1,
      sym_mult_operator,
    ACTIONS(16327), 1,
      sym_concat_operator,
    ACTIONS(16329), 1,
      sym_rel_operator,
    ACTIONS(16331), 1,
      sym_and_operator,
    ACTIONS(16333), 1,
      sym_or_operator,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [659350] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16474), 1,
      sym_pow_operator,
    ACTIONS(16476), 1,
      sym_mult_operator,
    ACTIONS(16478), 1,
      sym_concat_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [659394] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16474), 1,
      sym_pow_operator,
    ACTIONS(16476), 1,
      sym_mult_operator,
    ACTIONS(16478), 1,
      sym_concat_operator,
    ACTIONS(16480), 1,
      sym_rel_operator,
    ACTIONS(16482), 1,
      sym_and_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [659442] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16577), 1,
      anon_sym_PIPE,
    STATE(13528), 1,
      sym_attribute,
    STATE(13539), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659478] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16577), 1,
      anon_sym_PIPE,
    STATE(13529), 1,
      sym_attribute,
    STATE(13541), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659514] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16319), 1,
      anon_sym_COMMA,
    ACTIONS(16321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16323), 1,
      sym_pow_operator,
    ACTIONS(16325), 1,
      sym_mult_operator,
    ACTIONS(16327), 1,
      sym_concat_operator,
    ACTIONS(16329), 1,
      sym_rel_operator,
    ACTIONS(16331), 1,
      sym_and_operator,
    ACTIONS(16333), 1,
      sym_or_operator,
    ACTIONS(16335), 1,
      sym_assign_operator,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [659568] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16323), 1,
      sym_pow_operator,
    ACTIONS(16325), 1,
      sym_mult_operator,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659606] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16319), 1,
      anon_sym_COMMA,
    ACTIONS(16321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16323), 1,
      sym_pow_operator,
    ACTIONS(16325), 1,
      sym_mult_operator,
    ACTIONS(16327), 1,
      sym_concat_operator,
    ACTIONS(16329), 1,
      sym_rel_operator,
    ACTIONS(16331), 1,
      sym_and_operator,
    ACTIONS(16333), 1,
      sym_or_operator,
    ACTIONS(16335), 1,
      sym_assign_operator,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [659660] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13220), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16554), 1,
      anon_sym_PIPE,
    STATE(13483), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13218), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659696] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14823), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16554), 1,
      anon_sym_PIPE,
    STATE(13484), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14821), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659732] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16474), 1,
      sym_pow_operator,
    ACTIONS(16476), 1,
      sym_mult_operator,
    ACTIONS(16478), 1,
      sym_concat_operator,
    ACTIONS(16480), 1,
      sym_rel_operator,
    ACTIONS(16482), 1,
      sym_and_operator,
    ACTIONS(16484), 1,
      sym_or_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [659782] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11474), 1,
      anon_sym_PIPE,
    ACTIONS(16341), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16343), 1,
      sym_pow_operator,
    ACTIONS(16345), 1,
      sym_mult_operator,
    ACTIONS(16347), 1,
      sym_concat_operator,
    ACTIONS(16349), 1,
      sym_rel_operator,
    ACTIONS(16351), 1,
      sym_and_operator,
    ACTIONS(16353), 1,
      sym_or_operator,
    ACTIONS(16377), 1,
      anon_sym_COMMA,
    ACTIONS(16379), 1,
      sym_assign_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(13536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [659836] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13220), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16559), 1,
      anon_sym_PIPE,
    STATE(13493), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13218), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659872] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14823), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16559), 1,
      anon_sym_PIPE,
    STATE(13494), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14821), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659908] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16577), 1,
      anon_sym_PIPE,
    STATE(13539), 1,
      sym_attribute,
    STATE(13541), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659944] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16468), 1,
      anon_sym_COMMA,
    ACTIONS(16472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16474), 1,
      sym_pow_operator,
    ACTIONS(16476), 1,
      sym_mult_operator,
    ACTIONS(16478), 1,
      sym_concat_operator,
    ACTIONS(16480), 1,
      sym_rel_operator,
    ACTIONS(16482), 1,
      sym_and_operator,
    ACTIONS(16484), 1,
      sym_or_operator,
    ACTIONS(16486), 1,
      sym_assign_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [659998] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16579), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13541), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [660032] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16474), 1,
      sym_pow_operator,
    ACTIONS(16476), 1,
      sym_mult_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [660070] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16582), 1,
      anon_sym_PIPE,
    STATE(13543), 1,
      sym_attribute,
    STATE(13546), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [660106] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16582), 1,
      anon_sym_PIPE,
    STATE(13544), 1,
      sym_attribute,
    STATE(13549), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [660142] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16468), 1,
      anon_sym_COMMA,
    ACTIONS(16472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16474), 1,
      sym_pow_operator,
    ACTIONS(16476), 1,
      sym_mult_operator,
    ACTIONS(16478), 1,
      sym_concat_operator,
    ACTIONS(16480), 1,
      sym_rel_operator,
    ACTIONS(16482), 1,
      sym_and_operator,
    ACTIONS(16484), 1,
      sym_or_operator,
    ACTIONS(16486), 1,
      sym_assign_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [660196] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16582), 1,
      anon_sym_PIPE,
    STATE(13546), 1,
      sym_attribute,
    STATE(13550), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [660232] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16468), 1,
      anon_sym_COMMA,
    ACTIONS(16472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16474), 1,
      sym_pow_operator,
    ACTIONS(16476), 1,
      sym_mult_operator,
    ACTIONS(16478), 1,
      sym_concat_operator,
    ACTIONS(16480), 1,
      sym_rel_operator,
    ACTIONS(16482), 1,
      sym_and_operator,
    ACTIONS(16484), 1,
      sym_or_operator,
    ACTIONS(16486), 1,
      sym_assign_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(13547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [660286] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16393), 1,
      sym_pow_operator,
    ACTIONS(16395), 1,
      sym_mult_operator,
    ACTIONS(16397), 1,
      sym_concat_operator,
    ACTIONS(16399), 1,
      sym_rel_operator,
    ACTIONS(16401), 1,
      sym_and_operator,
    ACTIONS(16403), 1,
      sym_or_operator,
    ACTIONS(16422), 1,
      anon_sym_COMMA,
    ACTIONS(16426), 1,
      sym_assign_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(13548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [660340] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16582), 1,
      anon_sym_PIPE,
    STATE(13549), 1,
      sym_attribute,
    STATE(13550), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [660376] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16584), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13550), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [660410] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13728), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16533), 1,
      anon_sym_EQ,
    ACTIONS(16587), 1,
      anon_sym_of,
    ACTIONS(16589), 1,
      anon_sym_COLON2,
    STATE(13551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [660448] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14932), 1,
      anon_sym_LPAREN,
    ACTIONS(14936), 1,
      anon_sym_functor,
    ACTIONS(14938), 1,
      anon_sym_struct,
    ACTIONS(14940), 1,
      sym__uppercase_identifier,
    STATE(13552), 1,
      sym_attribute,
    STATE(13574), 1,
      sym__module_expression,
    STATE(14559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14631), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660496] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13738), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16539), 1,
      anon_sym_EQ,
    ACTIONS(16591), 1,
      anon_sym_of,
    ACTIONS(16593), 1,
      anon_sym_COLON2,
    STATE(13553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13736), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [660534] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13554), 1,
      sym_attribute,
    STATE(14463), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660582] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14914), 1,
      anon_sym_functor,
    ACTIONS(14916), 1,
      anon_sym_struct,
    STATE(9555), 1,
      sym__module_expression,
    STATE(10030), 1,
      sym_module_path,
    STATE(13555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660630] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16319), 1,
      anon_sym_COMMA,
    ACTIONS(16321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16323), 1,
      sym_pow_operator,
    ACTIONS(16325), 1,
      sym_mult_operator,
    ACTIONS(16327), 1,
      sym_concat_operator,
    ACTIONS(16329), 1,
      sym_rel_operator,
    ACTIONS(16331), 1,
      sym_and_operator,
    ACTIONS(16333), 1,
      sym_or_operator,
    ACTIONS(16335), 1,
      sym_assign_operator,
    ACTIONS(16595), 1,
      anon_sym_SEMI,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [660686] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13748), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16545), 1,
      anon_sym_EQ,
    ACTIONS(16597), 1,
      anon_sym_of,
    ACTIONS(16599), 1,
      anon_sym_COLON2,
    STATE(13557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13746), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [660724] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13974), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13976), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16093), 1,
      anon_sym_constraint,
    ACTIONS(16095), 1,
      anon_sym_val,
    ACTIONS(16099), 1,
      anon_sym_inherit,
    ACTIONS(16101), 1,
      anon_sym_method,
    ACTIONS(16601), 1,
      anon_sym_end,
    STATE(13247), 1,
      aux_sym_class_body_type_repeat1,
    STATE(13558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14832), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14833), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [660774] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16017), 1,
      anon_sym_let,
    ACTIONS(16466), 1,
      anon_sym_and,
    STATE(13559), 1,
      sym_attribute,
    STATE(13561), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16015), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [660810] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16144), 1,
      anon_sym_let,
    ACTIONS(16466), 1,
      anon_sym_and,
    STATE(13560), 1,
      sym_attribute,
    STATE(13561), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16142), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [660846] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15836), 1,
      anon_sym_let,
    ACTIONS(16603), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13561), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15834), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [660880] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16144), 1,
      anon_sym_let,
    ACTIONS(16466), 1,
      anon_sym_and,
    STATE(13562), 1,
      sym_attribute,
    STATE(13563), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16142), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [660916] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16195), 1,
      anon_sym_let,
    ACTIONS(16466), 1,
      anon_sym_and,
    STATE(13561), 1,
      aux_sym_module_definition_repeat1,
    STATE(13563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16193), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [660952] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(16361), 1,
      sym__lowercase_identifier,
    ACTIONS(16513), 1,
      anon_sym_POUND,
    STATE(13564), 1,
      sym_attribute,
    STATE(14045), 1,
      sym_type_constructor_path,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12433), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [660994] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11433), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16606), 1,
      anon_sym_STAR,
    STATE(13565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [661028] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16136), 1,
      anon_sym_let,
    ACTIONS(16466), 1,
      anon_sym_and,
    STATE(13559), 1,
      aux_sym_module_definition_repeat1,
    STATE(13566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16134), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [661064] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14910), 1,
      anon_sym_LPAREN,
    ACTIONS(14916), 1,
      anon_sym_struct,
    ACTIONS(15267), 1,
      anon_sym_functor,
    STATE(10030), 1,
      sym_module_path,
    STATE(13567), 1,
      sym_attribute,
    STATE(14423), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10127), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [661112] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      anon_sym_RBRACK,
    ACTIONS(16610), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13568), 1,
      sym_attribute,
    STATE(16629), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [661167] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16612), 1,
      anon_sym_COMMA,
    ACTIONS(16614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16616), 1,
      sym_pow_operator,
    ACTIONS(16618), 1,
      sym_mult_operator,
    ACTIONS(16620), 1,
      sym_concat_operator,
    ACTIONS(16622), 1,
      sym_rel_operator,
    ACTIONS(16624), 1,
      sym_and_operator,
    ACTIONS(16626), 1,
      sym_or_operator,
    ACTIONS(16628), 1,
      sym_assign_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [661218] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16630), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(13570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [661253] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12803), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [661284] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      anon_sym_COMMA,
    ACTIONS(16634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [661335] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16650), 1,
      anon_sym_DQUOTE,
    STATE(13573), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(22008), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [661376] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16658), 1,
      anon_sym_LPAREN,
    STATE(13574), 1,
      sym_attribute,
    STATE(14614), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11892), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [661415] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_then,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16660), 1,
      anon_sym_COMMA,
    ACTIONS(16662), 1,
      anon_sym_SEMI,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    ACTIONS(16676), 1,
      sym_or_operator,
    ACTIONS(16678), 1,
      sym_assign_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [661470] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16680), 1,
      anon_sym_RBRACK,
    ACTIONS(16682), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13576), 1,
      sym_attribute,
    STATE(17216), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [661525] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16686), 1,
      anon_sym_SEMI,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16690), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13577), 1,
      sym_attribute,
    STATE(17232), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [661580] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16708), 1,
      sym_pow_operator,
    ACTIONS(16710), 1,
      sym_mult_operator,
    ACTIONS(16712), 1,
      sym_concat_operator,
    ACTIONS(16714), 1,
      sym_rel_operator,
    ACTIONS(16716), 1,
      sym_and_operator,
    ACTIONS(16718), 1,
      sym_or_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [661627] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16708), 1,
      sym_pow_operator,
    ACTIONS(16710), 1,
      sym_mult_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11512), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [661668] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16720), 1,
      anon_sym_DQUOTE,
    STATE(13580), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20446), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [661709] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16722), 1,
      anon_sym_PIPE,
    STATE(13581), 1,
      sym_attribute,
    STATE(13659), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [661744] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16724), 1,
      anon_sym_DQUOTE,
    STATE(13582), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19516), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [661785] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13592), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16726), 1,
      anon_sym_DASH_GT,
    STATE(13583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13590), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [661818] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16728), 1,
      anon_sym_RBRACK,
    ACTIONS(16730), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13584), 1,
      sym_attribute,
    STATE(17342), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [661873] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16732), 1,
      anon_sym_SEMI,
    ACTIONS(16734), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13585), 1,
      sym_attribute,
    STATE(17353), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [661928] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16736), 1,
      anon_sym_DQUOTE,
    STATE(13586), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21200), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [661969] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16462), 1,
      anon_sym_let,
    ACTIONS(16738), 1,
      anon_sym_in,
    STATE(13587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16460), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [662002] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [662035] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_do,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16740), 1,
      anon_sym_COMMA,
    ACTIONS(16742), 1,
      anon_sym_SEMI,
    ACTIONS(16744), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16746), 1,
      sym_pow_operator,
    ACTIONS(16748), 1,
      sym_mult_operator,
    ACTIONS(16750), 1,
      sym_concat_operator,
    ACTIONS(16752), 1,
      sym_rel_operator,
    ACTIONS(16754), 1,
      sym_and_operator,
    ACTIONS(16756), 1,
      sym_or_operator,
    ACTIONS(16758), 1,
      sym_assign_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662090] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16708), 1,
      sym_pow_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [662125] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16708), 1,
      sym_pow_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [662160] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16760), 1,
      anon_sym_RBRACK,
    ACTIONS(16762), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13592), 1,
      sym_attribute,
    STATE(17142), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662215] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16708), 1,
      sym_pow_operator,
    ACTIONS(16710), 1,
      sym_mult_operator,
    ACTIONS(16712), 1,
      sym_concat_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [662258] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16708), 1,
      sym_pow_operator,
    ACTIONS(16710), 1,
      sym_mult_operator,
    ACTIONS(16712), 1,
      sym_concat_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [662301] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(16706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16708), 1,
      sym_pow_operator,
    ACTIONS(16710), 1,
      sym_mult_operator,
    ACTIONS(16712), 1,
      sym_concat_operator,
    ACTIONS(16714), 1,
      sym_rel_operator,
    ACTIONS(16716), 1,
      sym_and_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [662348] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16708), 1,
      sym_pow_operator,
    ACTIONS(16710), 1,
      sym_mult_operator,
    ACTIONS(16712), 1,
      sym_concat_operator,
    ACTIONS(16714), 1,
      sym_rel_operator,
    ACTIONS(16716), 1,
      sym_and_operator,
    ACTIONS(16718), 1,
      sym_or_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [662395] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12683), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [662426] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16708), 1,
      sym_pow_operator,
    ACTIONS(16710), 1,
      sym_mult_operator,
    ACTIONS(16712), 1,
      sym_concat_operator,
    ACTIONS(16714), 1,
      sym_rel_operator,
    ACTIONS(16716), 1,
      sym_and_operator,
    ACTIONS(16718), 1,
      sym_or_operator,
    ACTIONS(16764), 1,
      anon_sym_COMMA,
    ACTIONS(16766), 1,
      sym_assign_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662477] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16708), 1,
      sym_pow_operator,
    ACTIONS(16710), 1,
      sym_mult_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [662514] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16768), 1,
      anon_sym_DQUOTE,
    STATE(13600), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20768), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [662555] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16708), 1,
      sym_pow_operator,
    ACTIONS(16710), 1,
      sym_mult_operator,
    ACTIONS(16712), 1,
      sym_concat_operator,
    ACTIONS(16714), 1,
      sym_rel_operator,
    ACTIONS(16716), 1,
      sym_and_operator,
    ACTIONS(16718), 1,
      sym_or_operator,
    ACTIONS(16764), 1,
      anon_sym_COMMA,
    ACTIONS(16766), 1,
      sym_assign_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [662606] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16770), 1,
      anon_sym_SEMI,
    ACTIONS(16772), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13602), 1,
      sym_attribute,
    STATE(17164), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662661] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16774), 1,
      anon_sym_DQUOTE,
    STATE(13603), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19975), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [662702] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16776), 1,
      anon_sym_RBRACK,
    ACTIONS(16778), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13604), 1,
      sym_attribute,
    STATE(17448), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662757] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16780), 1,
      anon_sym_DQUOTE,
    STATE(13605), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19534), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [662798] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16782), 1,
      anon_sym_RBRACK,
    ACTIONS(16784), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13606), 1,
      sym_attribute,
    STATE(16732), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662853] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16786), 1,
      anon_sym_SEMI,
    ACTIONS(16788), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13607), 1,
      sym_attribute,
    STATE(17456), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662908] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16790), 1,
      anon_sym_RBRACK,
    ACTIONS(16792), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13608), 1,
      sym_attribute,
    STATE(16677), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662963] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16794), 1,
      anon_sym_DQUOTE,
    STATE(13609), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21789), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663004] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16796), 1,
      anon_sym_DQUOTE,
    STATE(13610), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19907), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12821), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12819), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663076] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16798), 1,
      anon_sym_RBRACK,
    ACTIONS(16800), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13612), 1,
      sym_attribute,
    STATE(17341), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [663131] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12723), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663162] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16802), 1,
      anon_sym_SEMI,
    ACTIONS(16804), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13614), 1,
      sym_attribute,
    STATE(18132), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [663217] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16806), 1,
      anon_sym_SEMI,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [663272] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16808), 1,
      anon_sym_RBRACK,
    ACTIONS(16810), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13616), 1,
      sym_attribute,
    STATE(17907), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [663327] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [663374] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12761), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12759), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663405] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16812), 1,
      anon_sym_DQUOTE,
    STATE(13619), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20471), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663446] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12783), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663477] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12787), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663508] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12813), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12811), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663539] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16814), 1,
      anon_sym_SEMI,
    ACTIONS(16816), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13623), 1,
      sym_attribute,
    STATE(16688), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [663594] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12817), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12815), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663625] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16818), 1,
      anon_sym_RBRACK,
    ACTIONS(16820), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13625), 1,
      sym_attribute,
    STATE(17534), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [663680] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11512), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [663721] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16822), 1,
      anon_sym_SEMI,
    ACTIONS(16824), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13627), 1,
      sym_attribute,
    STATE(17982), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [663776] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12825), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12823), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663807] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16826), 1,
      anon_sym_SEMI,
    ACTIONS(16828), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13629), 1,
      sym_attribute,
    STATE(17543), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [663862] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16830), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16832), 1,
      sym_pow_operator,
    ACTIONS(16834), 1,
      sym_mult_operator,
    ACTIONS(16836), 1,
      sym_concat_operator,
    ACTIONS(16838), 1,
      sym_rel_operator,
    ACTIONS(16840), 1,
      sym_and_operator,
    ACTIONS(16842), 1,
      sym_or_operator,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [663911] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16844), 1,
      anon_sym_DQUOTE,
    STATE(13631), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19811), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663952] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16846), 1,
      anon_sym_RBRACK,
    ACTIONS(16848), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13632), 1,
      sym_attribute,
    STATE(17474), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [664007] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16722), 1,
      anon_sym_PIPE,
    STATE(13633), 1,
      sym_attribute,
    STATE(13902), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [664042] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12625), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [664073] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16830), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16832), 1,
      sym_pow_operator,
    ACTIONS(16834), 1,
      sym_mult_operator,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [664114] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16636), 1,
      sym_pow_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [664149] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16850), 1,
      anon_sym_SEMI,
    ACTIONS(16852), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13637), 1,
      sym_attribute,
    STATE(16779), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [664204] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16854), 1,
      anon_sym_DQUOTE,
    STATE(13638), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21104), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [664245] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16832), 1,
      sym_pow_operator,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [664280] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16856), 1,
      anon_sym_RBRACK,
    ACTIONS(16858), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13640), 1,
      sym_attribute,
    STATE(17712), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [664335] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16832), 1,
      sym_pow_operator,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [664370] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16860), 1,
      anon_sym_PIPE,
    STATE(13642), 1,
      sym_attribute,
    STATE(13761), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [664405] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16862), 1,
      anon_sym_SEMI,
    ACTIONS(16864), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13643), 1,
      sym_attribute,
    STATE(17718), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [664460] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16866), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(13644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [664495] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12633), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [664526] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16830), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16832), 1,
      sym_pow_operator,
    ACTIONS(16834), 1,
      sym_mult_operator,
    ACTIONS(16836), 1,
      sym_concat_operator,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [664569] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16830), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16832), 1,
      sym_pow_operator,
    ACTIONS(16834), 1,
      sym_mult_operator,
    ACTIONS(16836), 1,
      sym_concat_operator,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [664612] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16830), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16832), 1,
      sym_pow_operator,
    ACTIONS(16834), 1,
      sym_mult_operator,
    ACTIONS(16836), 1,
      sym_concat_operator,
    ACTIONS(16838), 1,
      sym_rel_operator,
    ACTIONS(16840), 1,
      sym_and_operator,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [664659] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16830), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16832), 1,
      sym_pow_operator,
    ACTIONS(16834), 1,
      sym_mult_operator,
    ACTIONS(16836), 1,
      sym_concat_operator,
    ACTIONS(16838), 1,
      sym_rel_operator,
    ACTIONS(16840), 1,
      sym_and_operator,
    ACTIONS(16842), 1,
      sym_or_operator,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [664708] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16868), 1,
      anon_sym_DQUOTE,
    STATE(13650), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19917), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [664749] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16870), 1,
      anon_sym_RBRACK,
    ACTIONS(16872), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13651), 1,
      sym_attribute,
    STATE(17433), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [664804] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16874), 1,
      anon_sym_DQUOTE,
    STATE(13652), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21409), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [664845] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16876), 1,
      anon_sym_RBRACK,
    ACTIONS(16878), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13653), 1,
      sym_attribute,
    STATE(17783), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [664900] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16830), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16832), 1,
      sym_pow_operator,
    ACTIONS(16834), 1,
      sym_mult_operator,
    ACTIONS(16836), 1,
      sym_concat_operator,
    ACTIONS(16838), 1,
      sym_rel_operator,
    ACTIONS(16840), 1,
      sym_and_operator,
    ACTIONS(16842), 1,
      sym_or_operator,
    ACTIONS(16880), 1,
      anon_sym_COMMA,
    ACTIONS(16882), 1,
      sym_assign_operator,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [664953] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16832), 1,
      sym_pow_operator,
    ACTIONS(16834), 1,
      sym_mult_operator,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [664990] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16884), 1,
      anon_sym_SEMI,
    ACTIONS(16886), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13656), 1,
      sym_attribute,
    STATE(17437), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665045] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16888), 1,
      anon_sym_SEMI,
    ACTIONS(16890), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13657), 1,
      sym_attribute,
    STATE(17790), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665100] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16830), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16832), 1,
      sym_pow_operator,
    ACTIONS(16834), 1,
      sym_mult_operator,
    ACTIONS(16836), 1,
      sym_concat_operator,
    ACTIONS(16838), 1,
      sym_rel_operator,
    ACTIONS(16840), 1,
      sym_and_operator,
    ACTIONS(16842), 1,
      sym_or_operator,
    ACTIONS(16880), 1,
      anon_sym_COMMA,
    ACTIONS(16882), 1,
      sym_assign_operator,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11444), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665153] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16722), 1,
      anon_sym_PIPE,
    STATE(13659), 1,
      sym_attribute,
    STATE(13908), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [665188] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12727), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [665219] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16892), 1,
      anon_sym_RBRACK,
    ACTIONS(16894), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13661), 1,
      sym_attribute,
    STATE(18116), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665274] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [665307] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16896), 1,
      anon_sym_DQUOTE,
    STATE(13663), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21822), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [665348] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16708), 1,
      sym_pow_operator,
    ACTIONS(16710), 1,
      sym_mult_operator,
    ACTIONS(16712), 1,
      sym_concat_operator,
    ACTIONS(16714), 1,
      sym_rel_operator,
    ACTIONS(16716), 1,
      sym_and_operator,
    ACTIONS(16718), 1,
      sym_or_operator,
    ACTIONS(16764), 1,
      anon_sym_COMMA,
    ACTIONS(16766), 1,
      sym_assign_operator,
    ACTIONS(16898), 1,
      anon_sym_SEMI,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665401] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16900), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(13665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [665436] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16902), 1,
      anon_sym_RBRACK,
    ACTIONS(16904), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13666), 1,
      sym_attribute,
    STATE(17899), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665491] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(16908), 1,
      anon_sym_DASH_GT,
    ACTIONS(16910), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16906), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [665526] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_with,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16912), 1,
      anon_sym_COMMA,
    ACTIONS(16914), 1,
      anon_sym_SEMI,
    ACTIONS(16916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16918), 1,
      sym_pow_operator,
    ACTIONS(16920), 1,
      sym_mult_operator,
    ACTIONS(16922), 1,
      sym_concat_operator,
    ACTIONS(16924), 1,
      sym_rel_operator,
    ACTIONS(16926), 1,
      sym_and_operator,
    ACTIONS(16928), 1,
      sym_or_operator,
    ACTIONS(16930), 1,
      sym_assign_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665581] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16708), 1,
      sym_pow_operator,
    ACTIONS(16710), 1,
      sym_mult_operator,
    ACTIONS(16712), 1,
      sym_concat_operator,
    ACTIONS(16714), 1,
      sym_rel_operator,
    ACTIONS(16716), 1,
      sym_and_operator,
    ACTIONS(16718), 1,
      sym_or_operator,
    ACTIONS(16764), 1,
      anon_sym_COMMA,
    ACTIONS(16766), 1,
      sym_assign_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [665632] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12675), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12673), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [665663] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(16726), 1,
      anon_sym_DASH_GT,
    ACTIONS(16934), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16932), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [665698] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(16726), 1,
      anon_sym_DASH_GT,
    ACTIONS(16938), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16936), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [665733] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16940), 1,
      anon_sym_SEMI,
    ACTIONS(16942), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13673), 1,
      sym_attribute,
    STATE(17911), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665788] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16319), 1,
      anon_sym_COMMA,
    ACTIONS(16321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16323), 1,
      sym_pow_operator,
    ACTIONS(16325), 1,
      sym_mult_operator,
    ACTIONS(16327), 1,
      sym_concat_operator,
    ACTIONS(16329), 1,
      sym_rel_operator,
    ACTIONS(16331), 1,
      sym_and_operator,
    ACTIONS(16333), 1,
      sym_or_operator,
    ACTIONS(16335), 1,
      sym_assign_operator,
    ACTIONS(16944), 1,
      anon_sym_SEMI,
    STATE(2515), 1,
      sym_add_operator,
    STATE(13674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665841] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [665874] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16946), 1,
      anon_sym_SEMI,
    ACTIONS(16948), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13676), 1,
      sym_attribute,
    STATE(17498), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665929] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [665962] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [665995] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    ACTIONS(16676), 1,
      sym_or_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [666044] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666085] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16666), 1,
      sym_pow_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [666120] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16666), 1,
      sym_pow_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [666155] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [666198] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [666241] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [666288] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    ACTIONS(16676), 1,
      sym_or_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [666337] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16660), 1,
      anon_sym_COMMA,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    ACTIONS(16676), 1,
      sym_or_operator,
    ACTIONS(16678), 1,
      sym_assign_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [666390] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666427] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16660), 1,
      anon_sym_COMMA,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    ACTIONS(16676), 1,
      sym_or_operator,
    ACTIONS(16678), 1,
      sym_assign_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11444), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [666480] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(13690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666515] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16952), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(13691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666550] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16636), 1,
      sym_pow_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666585] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16660), 1,
      anon_sym_COMMA,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    ACTIONS(16676), 1,
      sym_or_operator,
    ACTIONS(16678), 1,
      sym_assign_operator,
    STATE(2193), 1,
      sym_add_operator,
    STATE(13693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [666638] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16954), 1,
      anon_sym_DQUOTE,
    STATE(13694), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(22315), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [666679] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12613), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [666710] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16956), 1,
      anon_sym_RBRACK,
    ACTIONS(16958), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13696), 1,
      sym_attribute,
    STATE(18097), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [666765] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16960), 1,
      anon_sym_DQUOTE,
    STATE(13697), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20216), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [666806] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16962), 1,
      anon_sym_SEMI,
    ACTIONS(16964), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13698), 1,
      sym_attribute,
    STATE(18103), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [666861] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16462), 1,
      anon_sym_let,
    ACTIONS(16966), 1,
      anon_sym_in,
    STATE(13699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16460), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [666894] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_COLON2,
    STATE(13700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [666927] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16744), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16746), 1,
      sym_pow_operator,
    ACTIONS(16748), 1,
      sym_mult_operator,
    ACTIONS(16750), 1,
      sym_concat_operator,
    ACTIONS(16752), 1,
      sym_rel_operator,
    ACTIONS(16754), 1,
      sym_and_operator,
    ACTIONS(16756), 1,
      sym_or_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [666976] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16744), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16746), 1,
      sym_pow_operator,
    ACTIONS(16748), 1,
      sym_mult_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [667017] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      sym_pow_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [667052] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      sym_pow_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [667087] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16744), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16746), 1,
      sym_pow_operator,
    ACTIONS(16748), 1,
      sym_mult_operator,
    ACTIONS(16750), 1,
      sym_concat_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [667130] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16744), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16746), 1,
      sym_pow_operator,
    ACTIONS(16748), 1,
      sym_mult_operator,
    ACTIONS(16750), 1,
      sym_concat_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [667173] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16744), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16746), 1,
      sym_pow_operator,
    ACTIONS(16748), 1,
      sym_mult_operator,
    ACTIONS(16750), 1,
      sym_concat_operator,
    ACTIONS(16752), 1,
      sym_rel_operator,
    ACTIONS(16754), 1,
      sym_and_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [667220] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16744), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16746), 1,
      sym_pow_operator,
    ACTIONS(16748), 1,
      sym_mult_operator,
    ACTIONS(16750), 1,
      sym_concat_operator,
    ACTIONS(16752), 1,
      sym_rel_operator,
    ACTIONS(16754), 1,
      sym_and_operator,
    ACTIONS(16756), 1,
      sym_or_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [667269] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16740), 1,
      anon_sym_COMMA,
    ACTIONS(16744), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16746), 1,
      sym_pow_operator,
    ACTIONS(16748), 1,
      sym_mult_operator,
    ACTIONS(16750), 1,
      sym_concat_operator,
    ACTIONS(16752), 1,
      sym_rel_operator,
    ACTIONS(16754), 1,
      sym_and_operator,
    ACTIONS(16756), 1,
      sym_or_operator,
    ACTIONS(16758), 1,
      sym_assign_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [667322] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      sym_pow_operator,
    ACTIONS(16748), 1,
      sym_mult_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [667359] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16740), 1,
      anon_sym_COMMA,
    ACTIONS(16744), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16746), 1,
      sym_pow_operator,
    ACTIONS(16748), 1,
      sym_mult_operator,
    ACTIONS(16750), 1,
      sym_concat_operator,
    ACTIONS(16752), 1,
      sym_rel_operator,
    ACTIONS(16754), 1,
      sym_and_operator,
    ACTIONS(16756), 1,
      sym_or_operator,
    ACTIONS(16758), 1,
      sym_assign_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11444), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [667412] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16740), 1,
      anon_sym_COMMA,
    ACTIONS(16744), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16746), 1,
      sym_pow_operator,
    ACTIONS(16748), 1,
      sym_mult_operator,
    ACTIONS(16750), 1,
      sym_concat_operator,
    ACTIONS(16752), 1,
      sym_rel_operator,
    ACTIONS(16754), 1,
      sym_and_operator,
    ACTIONS(16756), 1,
      sym_or_operator,
    ACTIONS(16758), 1,
      sym_assign_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [667465] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12829), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12827), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [667496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12833), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12831), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [667527] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12791), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [667558] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16918), 1,
      sym_pow_operator,
    ACTIONS(16920), 1,
      sym_mult_operator,
    ACTIONS(16922), 1,
      sym_concat_operator,
    ACTIONS(16924), 1,
      sym_rel_operator,
    ACTIONS(16926), 1,
      sym_and_operator,
    ACTIONS(16928), 1,
      sym_or_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [667607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11319), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11317), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [667638] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16918), 1,
      sym_pow_operator,
    ACTIONS(16920), 1,
      sym_mult_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [667679] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16918), 1,
      sym_pow_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [667714] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16918), 1,
      sym_pow_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [667749] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16918), 1,
      sym_pow_operator,
    ACTIONS(16920), 1,
      sym_mult_operator,
    ACTIONS(16922), 1,
      sym_concat_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [667792] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16918), 1,
      sym_pow_operator,
    ACTIONS(16920), 1,
      sym_mult_operator,
    ACTIONS(16922), 1,
      sym_concat_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [667835] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16918), 1,
      sym_pow_operator,
    ACTIONS(16920), 1,
      sym_mult_operator,
    ACTIONS(16922), 1,
      sym_concat_operator,
    ACTIONS(16924), 1,
      sym_rel_operator,
    ACTIONS(16926), 1,
      sym_and_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [667882] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16918), 1,
      sym_pow_operator,
    ACTIONS(16920), 1,
      sym_mult_operator,
    ACTIONS(16922), 1,
      sym_concat_operator,
    ACTIONS(16924), 1,
      sym_rel_operator,
    ACTIONS(16926), 1,
      sym_and_operator,
    ACTIONS(16928), 1,
      sym_or_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [667931] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16912), 1,
      anon_sym_COMMA,
    ACTIONS(16916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16918), 1,
      sym_pow_operator,
    ACTIONS(16920), 1,
      sym_mult_operator,
    ACTIONS(16922), 1,
      sym_concat_operator,
    ACTIONS(16924), 1,
      sym_rel_operator,
    ACTIONS(16926), 1,
      sym_and_operator,
    ACTIONS(16928), 1,
      sym_or_operator,
    ACTIONS(16930), 1,
      sym_assign_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [667984] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16918), 1,
      sym_pow_operator,
    ACTIONS(16920), 1,
      sym_mult_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [668021] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16912), 1,
      anon_sym_COMMA,
    ACTIONS(16916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16918), 1,
      sym_pow_operator,
    ACTIONS(16920), 1,
      sym_mult_operator,
    ACTIONS(16922), 1,
      sym_concat_operator,
    ACTIONS(16924), 1,
      sym_rel_operator,
    ACTIONS(16926), 1,
      sym_and_operator,
    ACTIONS(16928), 1,
      sym_or_operator,
    ACTIONS(16930), 1,
      sym_assign_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11444), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668074] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16968), 1,
      anon_sym_PIPE,
    STATE(13728), 1,
      sym_attribute,
    STATE(13734), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [668109] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16912), 1,
      anon_sym_COMMA,
    ACTIONS(16916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16918), 1,
      sym_pow_operator,
    ACTIONS(16920), 1,
      sym_mult_operator,
    ACTIONS(16922), 1,
      sym_concat_operator,
    ACTIONS(16924), 1,
      sym_rel_operator,
    ACTIONS(16926), 1,
      sym_and_operator,
    ACTIONS(16928), 1,
      sym_or_operator,
    ACTIONS(16930), 1,
      sym_assign_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668162] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(16970), 1,
      anon_sym_RBRACK,
    ACTIONS(16972), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13730), 1,
      sym_attribute,
    STATE(17490), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668217] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16974), 1,
      anon_sym_COLON_GT,
    ACTIONS(16976), 1,
      anon_sym_EQ,
    ACTIONS(16978), 1,
      anon_sym_COLON2,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(13731), 1,
      sym_attribute,
    STATE(14206), 1,
      sym__typed,
    STATE(14353), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16980), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [668260] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16968), 1,
      anon_sym_PIPE,
    STATE(13732), 1,
      sym_attribute,
    STATE(13745), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [668295] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(16982), 1,
      anon_sym_SEMI,
    ACTIONS(16984), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13733), 1,
      sym_attribute,
    STATE(17493), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668350] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16968), 1,
      anon_sym_PIPE,
    STATE(13734), 1,
      sym_attribute,
    STATE(13747), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [668385] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16986), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16988), 1,
      sym_pow_operator,
    ACTIONS(16990), 1,
      sym_mult_operator,
    ACTIONS(16992), 1,
      sym_concat_operator,
    ACTIONS(16994), 1,
      sym_rel_operator,
    ACTIONS(16996), 1,
      sym_and_operator,
    ACTIONS(16998), 1,
      sym_or_operator,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [668434] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16986), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16988), 1,
      sym_pow_operator,
    ACTIONS(16990), 1,
      sym_mult_operator,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [668475] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16988), 1,
      sym_pow_operator,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [668510] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16988), 1,
      sym_pow_operator,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [668545] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16986), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16988), 1,
      sym_pow_operator,
    ACTIONS(16990), 1,
      sym_mult_operator,
    ACTIONS(16992), 1,
      sym_concat_operator,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [668588] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16986), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16988), 1,
      sym_pow_operator,
    ACTIONS(16990), 1,
      sym_mult_operator,
    ACTIONS(16992), 1,
      sym_concat_operator,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [668631] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16986), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16988), 1,
      sym_pow_operator,
    ACTIONS(16990), 1,
      sym_mult_operator,
    ACTIONS(16992), 1,
      sym_concat_operator,
    ACTIONS(16994), 1,
      sym_rel_operator,
    ACTIONS(16996), 1,
      sym_and_operator,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [668678] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16986), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16988), 1,
      sym_pow_operator,
    ACTIONS(16990), 1,
      sym_mult_operator,
    ACTIONS(16992), 1,
      sym_concat_operator,
    ACTIONS(16994), 1,
      sym_rel_operator,
    ACTIONS(16996), 1,
      sym_and_operator,
    ACTIONS(16998), 1,
      sym_or_operator,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [668727] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16986), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16988), 1,
      sym_pow_operator,
    ACTIONS(16990), 1,
      sym_mult_operator,
    ACTIONS(16992), 1,
      sym_concat_operator,
    ACTIONS(16994), 1,
      sym_rel_operator,
    ACTIONS(16996), 1,
      sym_and_operator,
    ACTIONS(16998), 1,
      sym_or_operator,
    ACTIONS(17000), 1,
      anon_sym_COMMA,
    ACTIONS(17002), 1,
      sym_assign_operator,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668780] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16988), 1,
      sym_pow_operator,
    ACTIONS(16990), 1,
      sym_mult_operator,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [668817] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16968), 1,
      anon_sym_PIPE,
    STATE(13745), 1,
      sym_attribute,
    STATE(13747), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [668852] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16986), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16988), 1,
      sym_pow_operator,
    ACTIONS(16990), 1,
      sym_mult_operator,
    ACTIONS(16992), 1,
      sym_concat_operator,
    ACTIONS(16994), 1,
      sym_rel_operator,
    ACTIONS(16996), 1,
      sym_and_operator,
    ACTIONS(16998), 1,
      sym_or_operator,
    ACTIONS(17000), 1,
      anon_sym_COMMA,
    ACTIONS(17002), 1,
      sym_assign_operator,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11444), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668905] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17004), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13747), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [668938] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16986), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16988), 1,
      sym_pow_operator,
    ACTIONS(16990), 1,
      sym_mult_operator,
    ACTIONS(16992), 1,
      sym_concat_operator,
    ACTIONS(16994), 1,
      sym_rel_operator,
    ACTIONS(16996), 1,
      sym_and_operator,
    ACTIONS(16998), 1,
      sym_or_operator,
    ACTIONS(17000), 1,
      anon_sym_COMMA,
    ACTIONS(17002), 1,
      sym_assign_operator,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668991] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17007), 1,
      anon_sym_DQUOTE,
    STATE(13749), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19611), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [669032] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17009), 1,
      anon_sym_RBRACK,
    ACTIONS(17011), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13750), 1,
      sym_attribute,
    STATE(16605), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669087] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17013), 1,
      anon_sym_SEMI,
    ACTIONS(17015), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13751), 1,
      sym_attribute,
    STATE(16608), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669142] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17017), 1,
      anon_sym_DQUOTE,
    STATE(13752), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20763), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [669183] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17019), 1,
      anon_sym_DQUOTE,
    STATE(13753), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20179), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [669224] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17021), 1,
      anon_sym_RBRACK,
    ACTIONS(17023), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13754), 1,
      sym_attribute,
    STATE(16669), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669279] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17025), 1,
      anon_sym_SEMI,
    ACTIONS(17027), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13755), 1,
      sym_attribute,
    STATE(16676), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669334] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17029), 1,
      anon_sym_DQUOTE,
    STATE(13756), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21014), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [669375] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17031), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(13757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [669410] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12795), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [669441] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16860), 1,
      anon_sym_PIPE,
    STATE(13759), 1,
      sym_attribute,
    STATE(13870), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [669476] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16978), 1,
      anon_sym_COLON2,
    ACTIONS(17033), 1,
      anon_sym_COLON_GT,
    ACTIONS(17035), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(13760), 1,
      sym_attribute,
    STATE(14219), 1,
      sym__typed,
    STATE(14308), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17037), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [669519] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16860), 1,
      anon_sym_PIPE,
    STATE(13761), 1,
      sym_attribute,
    STATE(13871), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [669554] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17039), 1,
      anon_sym_SEMI,
    ACTIONS(17041), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13762), 1,
      sym_attribute,
    STATE(16633), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669609] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16830), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16832), 1,
      sym_pow_operator,
    ACTIONS(16834), 1,
      sym_mult_operator,
    ACTIONS(16836), 1,
      sym_concat_operator,
    ACTIONS(16838), 1,
      sym_rel_operator,
    ACTIONS(16840), 1,
      sym_and_operator,
    ACTIONS(16842), 1,
      sym_or_operator,
    ACTIONS(16880), 1,
      anon_sym_COMMA,
    ACTIONS(16882), 1,
      sym_assign_operator,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669662] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17045), 1,
      sym_pow_operator,
    ACTIONS(17047), 1,
      sym_mult_operator,
    ACTIONS(17049), 1,
      sym_concat_operator,
    ACTIONS(17051), 1,
      sym_rel_operator,
    ACTIONS(17053), 1,
      sym_and_operator,
    ACTIONS(17055), 1,
      sym_or_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [669709] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17045), 1,
      sym_pow_operator,
    ACTIONS(17047), 1,
      sym_mult_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11512), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [669750] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17045), 1,
      sym_pow_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [669785] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17045), 1,
      sym_pow_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [669820] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17045), 1,
      sym_pow_operator,
    ACTIONS(17047), 1,
      sym_mult_operator,
    ACTIONS(17049), 1,
      sym_concat_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [669863] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17045), 1,
      sym_pow_operator,
    ACTIONS(17047), 1,
      sym_mult_operator,
    ACTIONS(17049), 1,
      sym_concat_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [669906] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(17043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17045), 1,
      sym_pow_operator,
    ACTIONS(17047), 1,
      sym_mult_operator,
    ACTIONS(17049), 1,
      sym_concat_operator,
    ACTIONS(17051), 1,
      sym_rel_operator,
    ACTIONS(17053), 1,
      sym_and_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [669953] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17045), 1,
      sym_pow_operator,
    ACTIONS(17047), 1,
      sym_mult_operator,
    ACTIONS(17049), 1,
      sym_concat_operator,
    ACTIONS(17051), 1,
      sym_rel_operator,
    ACTIONS(17053), 1,
      sym_and_operator,
    ACTIONS(17055), 1,
      sym_or_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [670000] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17045), 1,
      sym_pow_operator,
    ACTIONS(17047), 1,
      sym_mult_operator,
    ACTIONS(17049), 1,
      sym_concat_operator,
    ACTIONS(17051), 1,
      sym_rel_operator,
    ACTIONS(17053), 1,
      sym_and_operator,
    ACTIONS(17055), 1,
      sym_or_operator,
    ACTIONS(17057), 1,
      anon_sym_COMMA,
    ACTIONS(17059), 1,
      sym_assign_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670051] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17045), 1,
      sym_pow_operator,
    ACTIONS(17047), 1,
      sym_mult_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [670088] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17045), 1,
      sym_pow_operator,
    ACTIONS(17047), 1,
      sym_mult_operator,
    ACTIONS(17049), 1,
      sym_concat_operator,
    ACTIONS(17051), 1,
      sym_rel_operator,
    ACTIONS(17053), 1,
      sym_and_operator,
    ACTIONS(17055), 1,
      sym_or_operator,
    ACTIONS(17057), 1,
      anon_sym_COMMA,
    ACTIONS(17059), 1,
      sym_assign_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [670139] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(13775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [670174] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17045), 1,
      sym_pow_operator,
    ACTIONS(17047), 1,
      sym_mult_operator,
    ACTIONS(17049), 1,
      sym_concat_operator,
    ACTIONS(17051), 1,
      sym_rel_operator,
    ACTIONS(17053), 1,
      sym_and_operator,
    ACTIONS(17055), 1,
      sym_or_operator,
    ACTIONS(17057), 1,
      anon_sym_COMMA,
    ACTIONS(17059), 1,
      sym_assign_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [670225] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17061), 1,
      anon_sym_SEMI,
    ACTIONS(17063), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13777), 1,
      sym_attribute,
    STATE(16993), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670280] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17065), 1,
      anon_sym_DQUOTE,
    STATE(13778), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21151), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [670321] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17067), 1,
      anon_sym_DQUOTE,
    STATE(13779), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20793), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [670362] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17069), 1,
      anon_sym_RBRACK,
    ACTIONS(17071), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13780), 1,
      sym_attribute,
    STATE(16794), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670417] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17073), 1,
      anon_sym_SEMI,
    ACTIONS(17075), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13781), 1,
      sym_attribute,
    STATE(16797), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670472] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14512), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14732), 1,
      anon_sym_STAR,
    STATE(13782), 1,
      sym_attribute,
    STATE(13783), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14510), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [670507] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13306), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17077), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13783), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13304), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [670540] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17080), 1,
      anon_sym_DQUOTE,
    STATE(13784), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19755), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [670581] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17082), 1,
      anon_sym_RBRACK,
    ACTIONS(17084), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13785), 1,
      sym_attribute,
    STATE(17613), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670636] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17086), 1,
      anon_sym_RBRACK,
    ACTIONS(17088), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13786), 1,
      sym_attribute,
    STATE(16648), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670691] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [670734] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [670777] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17090), 1,
      anon_sym_SEMI,
    ACTIONS(17092), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13789), 1,
      sym_attribute,
    STATE(17630), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670832] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17094), 1,
      anon_sym_SEMI,
    ACTIONS(17096), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13790), 1,
      sym_attribute,
    STATE(16651), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670887] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17098), 1,
      anon_sym_DQUOTE,
    STATE(13791), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20445), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [670928] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16462), 1,
      anon_sym_let,
    ACTIONS(17100), 1,
      anon_sym_in,
    STATE(13792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16460), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [670961] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16978), 1,
      anon_sym_COLON2,
    ACTIONS(17102), 1,
      anon_sym_COLON_GT,
    ACTIONS(17104), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(13793), 1,
      sym_attribute,
    STATE(14210), 1,
      sym__typed,
    STATE(14525), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17106), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671004] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17108), 1,
      anon_sym_DQUOTE,
    STATE(13794), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21924), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [671045] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17110), 1,
      anon_sym_RBRACK,
    ACTIONS(17112), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13795), 1,
      sym_attribute,
    STATE(17535), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671100] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17114), 1,
      anon_sym_SEMI,
    ACTIONS(17116), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13796), 1,
      sym_attribute,
    STATE(17196), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671155] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17045), 1,
      sym_pow_operator,
    ACTIONS(17047), 1,
      sym_mult_operator,
    ACTIONS(17049), 1,
      sym_concat_operator,
    ACTIONS(17051), 1,
      sym_rel_operator,
    ACTIONS(17053), 1,
      sym_and_operator,
    ACTIONS(17055), 1,
      sym_or_operator,
    ACTIONS(17057), 1,
      anon_sym_COMMA,
    ACTIONS(17059), 1,
      sym_assign_operator,
    ACTIONS(17118), 1,
      anon_sym_SEMI,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671208] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17120), 1,
      anon_sym_SEMI,
    ACTIONS(17122), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13798), 1,
      sym_attribute,
    STATE(17553), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671263] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17124), 1,
      anon_sym_SEMI,
    ACTIONS(17126), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13799), 1,
      sym_attribute,
    STATE(17231), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671318] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_end,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16986), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16988), 1,
      sym_pow_operator,
    ACTIONS(16990), 1,
      sym_mult_operator,
    ACTIONS(16992), 1,
      sym_concat_operator,
    ACTIONS(16994), 1,
      sym_rel_operator,
    ACTIONS(16996), 1,
      sym_and_operator,
    ACTIONS(16998), 1,
      sym_or_operator,
    ACTIONS(17000), 1,
      anon_sym_COMMA,
    ACTIONS(17002), 1,
      sym_assign_operator,
    ACTIONS(17128), 1,
      anon_sym_SEMI,
    STATE(2247), 1,
      sym_add_operator,
    STATE(13800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671373] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(16726), 1,
      anon_sym_DASH_GT,
    ACTIONS(16910), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16906), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671408] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17130), 1,
      anon_sym_SEMI,
    ACTIONS(17132), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13802), 1,
      sym_attribute,
    STATE(18085), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671463] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17134), 1,
      anon_sym_DQUOTE,
    STATE(13803), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20963), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [671504] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17136), 1,
      anon_sym_RBRACK,
    ACTIONS(17138), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13804), 1,
      sym_attribute,
    STATE(16673), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671559] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12779), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [671590] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17140), 1,
      anon_sym_SEMI,
    ACTIONS(17142), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13806), 1,
      sym_attribute,
    STATE(16675), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671645] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17144), 1,
      anon_sym_RBRACK,
    ACTIONS(17146), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13807), 1,
      sym_attribute,
    STATE(16992), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671700] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17148), 1,
      anon_sym_SEMI,
    ACTIONS(17150), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13808), 1,
      sym_attribute,
    STATE(16668), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671755] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17152), 1,
      anon_sym_DQUOTE,
    STATE(13809), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(22169), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [671796] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17154), 1,
      anon_sym_DQUOTE,
    STATE(13810), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21961), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [671837] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(16634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [671884] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16708), 1,
      sym_pow_operator,
    ACTIONS(16710), 1,
      sym_mult_operator,
    ACTIONS(16712), 1,
      sym_concat_operator,
    ACTIONS(16714), 1,
      sym_rel_operator,
    ACTIONS(16716), 1,
      sym_and_operator,
    ACTIONS(16718), 1,
      sym_or_operator,
    ACTIONS(16764), 1,
      anon_sym_COMMA,
    ACTIONS(16766), 1,
      sym_assign_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [671935] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [671982] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      anon_sym_COMMA,
    ACTIONS(16634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672033] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17156), 1,
      anon_sym_RBRACK,
    ACTIONS(17158), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13815), 1,
      sym_attribute,
    STATE(17297), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672088] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17160), 1,
      anon_sym_DQUOTE,
    STATE(13816), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21476), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672129] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12651), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12649), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [672160] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17162), 1,
      anon_sym_RBRACK,
    ACTIONS(17164), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13818), 1,
      sym_attribute,
    STATE(16921), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672215] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17166), 1,
      anon_sym_DQUOTE,
    STATE(13819), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20858), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672256] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17168), 1,
      anon_sym_DQUOTE,
    STATE(13820), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21273), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672297] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [672334] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17170), 1,
      anon_sym_RBRACK,
    ACTIONS(17172), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13822), 1,
      sym_attribute,
    STATE(16746), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672389] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17174), 1,
      anon_sym_RBRACK,
    ACTIONS(17176), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13823), 1,
      sym_attribute,
    STATE(17282), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672444] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17178), 1,
      anon_sym_RBRACK,
    ACTIONS(17180), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13824), 1,
      sym_attribute,
    STATE(17752), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672499] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17182), 1,
      anon_sym_SEMI,
    ACTIONS(17184), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13825), 1,
      sym_attribute,
    STATE(16981), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672554] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16866), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(13826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [672589] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17186), 1,
      anon_sym_DQUOTE,
    STATE(13827), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21839), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672630] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17188), 1,
      anon_sym_SEMI,
    ACTIONS(17190), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13828), 1,
      sym_attribute,
    STATE(17755), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672685] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17192), 1,
      anon_sym_SEMI,
    ACTIONS(17194), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13829), 1,
      sym_attribute,
    STATE(16755), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672740] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2230), 1,
      sym_add_operator,
    STATE(13830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [672773] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17196), 1,
      anon_sym_DQUOTE,
    STATE(13831), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21992), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672814] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17198), 1,
      anon_sym_DQUOTE,
    STATE(13832), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(22075), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672855] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17200), 1,
      anon_sym_DQUOTE,
    STATE(13833), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(22231), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672896] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17202), 1,
      anon_sym_DQUOTE,
    STATE(13834), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(22294), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672937] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17204), 1,
      anon_sym_DQUOTE,
    STATE(13835), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(22515), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672978] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17206), 1,
      anon_sym_DQUOTE,
    STATE(13836), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19342), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673019] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17208), 1,
      anon_sym_DQUOTE,
    STATE(13837), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19391), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673060] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17210), 1,
      anon_sym_DQUOTE,
    STATE(13838), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20884), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673101] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      anon_sym_DQUOTE,
    STATE(13839), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19452), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673142] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17214), 1,
      anon_sym_DQUOTE,
    STATE(13840), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21313), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673183] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17216), 1,
      anon_sym_DQUOTE,
    STATE(13841), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19532), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673224] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17218), 1,
      anon_sym_DQUOTE,
    STATE(13842), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19589), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673265] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17220), 1,
      anon_sym_DQUOTE,
    STATE(13843), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19645), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673306] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17222), 1,
      anon_sym_DQUOTE,
    STATE(13844), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19699), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673347] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17224), 1,
      anon_sym_DQUOTE,
    STATE(13845), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19770), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673388] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_DQUOTE,
    STATE(13846), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19801), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673429] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17228), 1,
      anon_sym_SEMI,
    ACTIONS(17230), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13847), 1,
      sym_attribute,
    STATE(17004), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673484] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17232), 1,
      anon_sym_SEMI,
    ACTIONS(17234), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13848), 1,
      sym_attribute,
    STATE(17322), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673539] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17236), 1,
      anon_sym_RBRACK,
    ACTIONS(17238), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13849), 1,
      sym_attribute,
    STATE(17075), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673594] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17240), 1,
      anon_sym_DQUOTE,
    STATE(13850), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19420), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673635] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17242), 1,
      anon_sym_SEMI,
    ACTIONS(17244), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13851), 1,
      sym_attribute,
    STATE(17083), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673690] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17246), 1,
      anon_sym_RBRACK,
    ACTIONS(17248), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13852), 1,
      sym_attribute,
    STATE(16898), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673745] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17250), 1,
      anon_sym_SEMI,
    ACTIONS(17252), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13853), 1,
      sym_attribute,
    STATE(16901), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673800] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [673833] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17031), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(13855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [673868] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16612), 1,
      anon_sym_COMMA,
    ACTIONS(16614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16616), 1,
      sym_pow_operator,
    ACTIONS(16618), 1,
      sym_mult_operator,
    ACTIONS(16620), 1,
      sym_concat_operator,
    ACTIONS(16622), 1,
      sym_rel_operator,
    ACTIONS(16624), 1,
      sym_and_operator,
    ACTIONS(16626), 1,
      sym_or_operator,
    ACTIONS(16628), 1,
      sym_assign_operator,
    ACTIONS(17254), 1,
      anon_sym_SEMI,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673921] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17256), 1,
      anon_sym_RBRACK,
    ACTIONS(17258), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13857), 1,
      sym_attribute,
    STATE(16685), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673976] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17260), 1,
      anon_sym_PIPE,
    STATE(13858), 1,
      sym_attribute,
    STATE(13860), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674011] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17260), 1,
      anon_sym_PIPE,
    STATE(13859), 1,
      sym_attribute,
    STATE(13861), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674046] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17260), 1,
      anon_sym_PIPE,
    STATE(13860), 1,
      sym_attribute,
    STATE(13862), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674081] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17260), 1,
      anon_sym_PIPE,
    STATE(13861), 1,
      sym_attribute,
    STATE(13862), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674116] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17262), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13862), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674149] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17265), 1,
      anon_sym_DQUOTE,
    STATE(13863), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21547), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [674190] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17267), 1,
      anon_sym_RBRACK,
    ACTIONS(17269), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13864), 1,
      sym_attribute,
    STATE(18012), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674245] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17271), 1,
      anon_sym_RBRACK,
    ACTIONS(17273), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13865), 1,
      sym_attribute,
    STATE(17821), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674300] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17275), 1,
      anon_sym_SEMI,
    ACTIONS(17277), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13866), 1,
      sym_attribute,
    STATE(17828), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674355] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17279), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(13867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674390] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674423] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17281), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(13869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674458] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16860), 1,
      anon_sym_PIPE,
    STATE(13870), 1,
      sym_attribute,
    STATE(13871), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674493] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17283), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13871), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674526] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17286), 1,
      anon_sym_SEMI,
    ACTIONS(17288), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13872), 1,
      sym_attribute,
    STATE(18105), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674581] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17279), 1,
      anon_sym_else,
    STATE(9121), 1,
      sym_else_clause,
    STATE(13873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11462), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674616] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      anon_sym_COMMA,
    ACTIONS(16634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [674667] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17290), 1,
      anon_sym_DQUOTE,
    STATE(13875), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20126), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [674708] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17045), 1,
      sym_pow_operator,
    ACTIONS(17047), 1,
      sym_mult_operator,
    ACTIONS(17049), 1,
      sym_concat_operator,
    ACTIONS(17051), 1,
      sym_rel_operator,
    ACTIONS(17053), 1,
      sym_and_operator,
    ACTIONS(17055), 1,
      sym_or_operator,
    ACTIONS(17057), 1,
      anon_sym_COMMA,
    ACTIONS(17059), 1,
      sym_assign_operator,
    STATE(2291), 1,
      sym_add_operator,
    STATE(13876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11472), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [674759] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(16908), 1,
      anon_sym_DASH_GT,
    ACTIONS(16934), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16932), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674794] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(16908), 1,
      anon_sym_DASH_GT,
    ACTIONS(16938), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16936), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674829] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_done,
    ACTIONS(10232), 1,
      anon_sym_PIPE,
    ACTIONS(16830), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16832), 1,
      sym_pow_operator,
    ACTIONS(16834), 1,
      sym_mult_operator,
    ACTIONS(16836), 1,
      sym_concat_operator,
    ACTIONS(16838), 1,
      sym_rel_operator,
    ACTIONS(16840), 1,
      sym_and_operator,
    ACTIONS(16842), 1,
      sym_or_operator,
    ACTIONS(16880), 1,
      anon_sym_COMMA,
    ACTIONS(16882), 1,
      sym_assign_operator,
    ACTIONS(17292), 1,
      anon_sym_SEMI,
    STATE(2474), 1,
      sym_add_operator,
    STATE(13879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674884] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2213), 1,
      sym_add_operator,
    STATE(13880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674917] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17294), 1,
      anon_sym_DQUOTE,
    STATE(13881), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20154), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [674958] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17296), 1,
      anon_sym_DQUOTE,
    STATE(13882), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21796), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [674999] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14512), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14781), 1,
      anon_sym_STAR,
    STATE(13883), 1,
      sym_attribute,
    STATE(13886), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14510), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [675034] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9302), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [675065] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16900), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(13885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675100] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13306), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17298), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13886), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13304), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [675133] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17301), 1,
      anon_sym_RBRACK,
    ACTIONS(17303), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13887), 1,
      sym_attribute,
    STATE(16990), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675188] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17305), 1,
      anon_sym_RBRACK,
    ACTIONS(17307), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13888), 1,
      sym_attribute,
    STATE(16828), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675243] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16616), 1,
      sym_pow_operator,
    ACTIONS(16618), 1,
      sym_mult_operator,
    ACTIONS(16620), 1,
      sym_concat_operator,
    ACTIONS(16622), 1,
      sym_rel_operator,
    ACTIONS(16624), 1,
      sym_and_operator,
    ACTIONS(16626), 1,
      sym_or_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [675290] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16616), 1,
      sym_pow_operator,
    ACTIONS(16618), 1,
      sym_mult_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11512), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675331] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16616), 1,
      sym_pow_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675366] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16616), 1,
      sym_pow_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675401] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16616), 1,
      sym_pow_operator,
    ACTIONS(16618), 1,
      sym_mult_operator,
    ACTIONS(16620), 1,
      sym_concat_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [675444] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16616), 1,
      sym_pow_operator,
    ACTIONS(16618), 1,
      sym_mult_operator,
    ACTIONS(16620), 1,
      sym_concat_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [675487] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(16614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16616), 1,
      sym_pow_operator,
    ACTIONS(16618), 1,
      sym_mult_operator,
    ACTIONS(16620), 1,
      sym_concat_operator,
    ACTIONS(16622), 1,
      sym_rel_operator,
    ACTIONS(16624), 1,
      sym_and_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [675534] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16616), 1,
      sym_pow_operator,
    ACTIONS(16618), 1,
      sym_mult_operator,
    ACTIONS(16620), 1,
      sym_concat_operator,
    ACTIONS(16622), 1,
      sym_rel_operator,
    ACTIONS(16624), 1,
      sym_and_operator,
    ACTIONS(16626), 1,
      sym_or_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [675581] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16612), 1,
      anon_sym_COMMA,
    ACTIONS(16614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16616), 1,
      sym_pow_operator,
    ACTIONS(16618), 1,
      sym_mult_operator,
    ACTIONS(16620), 1,
      sym_concat_operator,
    ACTIONS(16622), 1,
      sym_rel_operator,
    ACTIONS(16624), 1,
      sym_and_operator,
    ACTIONS(16626), 1,
      sym_or_operator,
    ACTIONS(16628), 1,
      sym_assign_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675632] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16616), 1,
      sym_pow_operator,
    ACTIONS(16618), 1,
      sym_mult_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675669] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16612), 1,
      anon_sym_COMMA,
    ACTIONS(16614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16616), 1,
      sym_pow_operator,
    ACTIONS(16618), 1,
      sym_mult_operator,
    ACTIONS(16620), 1,
      sym_concat_operator,
    ACTIONS(16622), 1,
      sym_rel_operator,
    ACTIONS(16624), 1,
      sym_and_operator,
    ACTIONS(16626), 1,
      sym_or_operator,
    ACTIONS(16628), 1,
      sym_assign_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11444), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [675720] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17309), 1,
      anon_sym_SEMI,
    ACTIONS(17311), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13900), 1,
      sym_attribute,
    STATE(16833), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675775] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16952), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(13901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675810] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16722), 1,
      anon_sym_PIPE,
    STATE(13902), 1,
      sym_attribute,
    STATE(13908), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675845] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16612), 1,
      anon_sym_COMMA,
    ACTIONS(16614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16616), 1,
      sym_pow_operator,
    ACTIONS(16618), 1,
      sym_mult_operator,
    ACTIONS(16620), 1,
      sym_concat_operator,
    ACTIONS(16622), 1,
      sym_rel_operator,
    ACTIONS(16624), 1,
      sym_and_operator,
    ACTIONS(16626), 1,
      sym_or_operator,
    ACTIONS(16628), 1,
      sym_assign_operator,
    STATE(2417), 1,
      sym_add_operator,
    STATE(13903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [675896] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17313), 1,
      anon_sym_DQUOTE,
    STATE(13904), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21742), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [675937] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675968] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17315), 1,
      anon_sym_RBRACK,
    ACTIONS(17317), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13906), 1,
      sym_attribute,
    STATE(17884), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676023] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17319), 1,
      anon_sym_DQUOTE,
    STATE(13907), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(22275), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [676064] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17321), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [676097] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17324), 1,
      anon_sym_SEMI,
    ACTIONS(17326), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13909), 1,
      sym_attribute,
    STATE(17900), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676152] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17281), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(13910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [676187] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17328), 1,
      anon_sym_SEMI,
    ACTIONS(17330), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13911), 1,
      sym_attribute,
    STATE(16880), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676242] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17332), 1,
      anon_sym_RBRACK,
    ACTIONS(17334), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13912), 1,
      sym_attribute,
    STATE(18079), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676297] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11254), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [676328] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11258), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [676359] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12611), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12609), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [676390] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17336), 1,
      anon_sym_SEMI,
    ACTIONS(17338), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13916), 1,
      sym_attribute,
    STATE(18083), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676445] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17340), 1,
      anon_sym_PIPE,
    STATE(13917), 1,
      sym_attribute,
    STATE(13937), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [676480] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17340), 1,
      anon_sym_PIPE,
    STATE(13918), 1,
      sym_attribute,
    STATE(13949), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [676515] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17342), 1,
      anon_sym_RBRACK,
    ACTIONS(17344), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13919), 1,
      sym_attribute,
    STATE(17476), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676570] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17346), 1,
      anon_sym_DQUOTE,
    STATE(13920), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20829), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [676611] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17348), 1,
      anon_sym_DQUOTE,
    STATE(13921), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20734), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [676652] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13592), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16908), 1,
      anon_sym_DASH_GT,
    STATE(13922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13590), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [676685] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17350), 1,
      anon_sym_RBRACK,
    ACTIONS(17352), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13923), 1,
      sym_attribute,
    STATE(17061), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676740] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      anon_sym_COMMA,
    ACTIONS(16634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17354), 1,
      anon_sym_SEMI,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676793] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17356), 1,
      anon_sym_SEMI,
    ACTIONS(17358), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13925), 1,
      sym_attribute,
    STATE(16996), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676848] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17360), 1,
      anon_sym_PIPE,
    STATE(13926), 1,
      sym_attribute,
    STATE(13936), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11460), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11458), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [676883] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17362), 1,
      anon_sym_DQUOTE,
    STATE(13927), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21536), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [676924] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      anon_sym_COMMA,
    ACTIONS(16634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    STATE(2451), 1,
      sym_add_operator,
    STATE(13928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11454), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [676975] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17364), 1,
      anon_sym_DQUOTE,
    STATE(13929), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(22525), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [677016] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9306), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [677047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9310), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [677078] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17366), 1,
      anon_sym_RBRACK,
    ACTIONS(17368), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13932), 1,
      sym_attribute,
    STATE(17084), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677133] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677166] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17370), 1,
      anon_sym_SEMI,
    ACTIONS(17372), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13934), 1,
      sym_attribute,
    STATE(17830), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677221] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17360), 1,
      anon_sym_PIPE,
    STATE(13935), 1,
      sym_attribute,
    STATE(13951), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677256] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17360), 1,
      anon_sym_PIPE,
    STATE(13936), 1,
      sym_attribute,
    STATE(13952), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677291] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17340), 1,
      anon_sym_PIPE,
    STATE(13937), 1,
      sym_attribute,
    STATE(13950), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11421), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677326] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_PIPE,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [677375] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11512), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677416] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16692), 1,
      sym_pow_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [677451] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16692), 1,
      sym_pow_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [677486] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [677529] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [677572] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [677619] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [677668] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677721] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677758] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_PIPE,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11444), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677811] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17340), 1,
      anon_sym_PIPE,
    STATE(13949), 1,
      sym_attribute,
    STATE(13950), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677846] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17374), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13950), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677879] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17360), 1,
      anon_sym_PIPE,
    STATE(13951), 1,
      sym_attribute,
    STATE(13952), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677914] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17377), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13952), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11248), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11246), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677947] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11456), 1,
      anon_sym_PIPE,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678000] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16630), 1,
      anon_sym_else,
    STATE(9110), 1,
      sym_else_clause,
    STATE(13954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11448), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678035] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12621), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [678066] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17380), 1,
      anon_sym_RBRACK,
    ACTIONS(17382), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13956), 1,
      sym_attribute,
    STATE(16970), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678121] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17384), 1,
      anon_sym_SEMI,
    ACTIONS(17386), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13957), 1,
      sym_attribute,
    STATE(17515), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678176] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12639), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12637), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [678207] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17388), 1,
      anon_sym_DQUOTE,
    STATE(13959), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21766), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [678248] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17390), 1,
      anon_sym_DQUOTE,
    STATE(13960), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21061), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [678289] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16658), 1,
      anon_sym_LPAREN,
    STATE(13961), 1,
      sym_attribute,
    STATE(14614), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11815), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [678328] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17392), 1,
      anon_sym_DQUOTE,
    STATE(13962), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(21576), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [678369] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12643), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12641), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [678400] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9314), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [678431] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17394), 1,
      anon_sym_RBRACK,
    ACTIONS(17396), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13965), 1,
      sym_attribute,
    STATE(17110), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678486] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17398), 1,
      anon_sym_SEMI,
    ACTIONS(17400), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13966), 1,
      sym_attribute,
    STATE(17085), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678541] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17402), 1,
      anon_sym_DQUOTE,
    STATE(13967), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(19564), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [678582] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17404), 1,
      anon_sym_RBRACK,
    ACTIONS(17406), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13968), 1,
      sym_attribute,
    STATE(16650), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678637] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17408), 1,
      anon_sym_RBRACK,
    ACTIONS(17410), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13969), 1,
      sym_attribute,
    STATE(17186), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678692] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17412), 1,
      anon_sym_DQUOTE,
    STATE(13970), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_string_content_repeat1,
    STATE(14232), 1,
      sym_escape_sequence,
    STATE(20556), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [678733] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17414), 1,
      anon_sym_RBRACK,
    ACTIONS(17416), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13971), 1,
      sym_attribute,
    STATE(16908), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678788] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17418), 1,
      anon_sym_RBRACK,
    ACTIONS(17420), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13972), 1,
      sym_attribute,
    STATE(17744), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678843] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17422), 1,
      anon_sym_SEMI,
    ACTIONS(17424), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13973), 1,
      sym_attribute,
    STATE(16706), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678898] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17426), 1,
      anon_sym_SEMI,
    ACTIONS(17428), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13974), 1,
      sym_attribute,
    STATE(17780), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678953] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17430), 1,
      anon_sym_SEMI,
    ACTIONS(17432), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13975), 1,
      sym_attribute,
    STATE(17125), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [679008] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    ACTIONS(17434), 1,
      anon_sym_SEMI,
    ACTIONS(17436), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2350), 1,
      sym_add_operator,
    STATE(13976), 1,
      sym_attribute,
    STATE(16911), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [679063] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17438), 1,
      anon_sym_RBRACK,
    ACTIONS(17440), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13977), 1,
      sym_attribute,
    STATE(17965), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [679118] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11433), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17442), 1,
      anon_sym_STAR,
    STATE(13978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679150] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17444), 1,
      anon_sym_and,
    STATE(13979), 1,
      sym_attribute,
    STATE(14103), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679182] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(13980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [679228] = 14,
    ACTIONS(579), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(601), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17460), 1,
      sym__lowercase_identifier,
    ACTIONS(17462), 1,
      anon_sym_LPAREN,
    ACTIONS(17464), 1,
      anon_sym_LBRACE,
    ACTIONS(17466), 1,
      sym__uppercase_identifier,
    STATE(3956), 1,
      sym__value_name,
    STATE(3974), 1,
      sym_parenthesized_operator,
    STATE(4093), 1,
      sym__constructor_name,
    STATE(13981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3930), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679276] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2327), 1,
      anon_sym_LBRACK,
    ACTIONS(2337), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2349), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17468), 1,
      sym__lowercase_identifier,
    ACTIONS(17470), 1,
      anon_sym_LPAREN,
    ACTIONS(17472), 1,
      anon_sym_LBRACE,
    ACTIONS(17474), 1,
      sym__uppercase_identifier,
    STATE(7350), 1,
      sym__value_name,
    STATE(7358), 1,
      sym_parenthesized_operator,
    STATE(7431), 1,
      sym__constructor_name,
    STATE(13982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7469), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679324] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(13983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17476), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [679374] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(13984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11512), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [679414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12627), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [679444] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_and,
    STATE(13986), 1,
      sym_attribute,
    STATE(14108), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679476] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17448), 1,
      sym_pow_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(13987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [679510] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17444), 1,
      anon_sym_and,
    STATE(13988), 1,
      sym_attribute,
    STATE(14104), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679542] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(17480), 1,
      anon_sym_EQ,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(13989), 1,
      sym_attribute,
    STATE(14362), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17484), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679582] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17448), 1,
      sym_pow_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(13990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [679616] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(13991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [679658] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6885), 1,
      anon_sym_LBRACK,
    ACTIONS(6893), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6897), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17486), 1,
      sym__lowercase_identifier,
    ACTIONS(17488), 1,
      anon_sym_LPAREN,
    ACTIONS(17490), 1,
      anon_sym_LBRACE,
    ACTIONS(17492), 1,
      sym__uppercase_identifier,
    STATE(6962), 1,
      sym__constructor_name,
    STATE(7154), 1,
      sym__value_name,
    STATE(7184), 1,
      sym_parenthesized_operator,
    STATE(13992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7121), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679706] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17494), 1,
      anon_sym_and,
    STATE(13993), 1,
      sym_attribute,
    STATE(14189), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16015), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679738] = 14,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(63), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      sym__lowercase_identifier,
    ACTIONS(17498), 1,
      anon_sym_LPAREN,
    ACTIONS(17500), 1,
      anon_sym_LBRACE,
    ACTIONS(17502), 1,
      sym__uppercase_identifier,
    STATE(5308), 1,
      sym_parenthesized_operator,
    STATE(5367), 1,
      sym__value_name,
    STATE(5377), 1,
      sym__constructor_name,
    STATE(13994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5345), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679786] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17506), 1,
      sym_pow_operator,
    ACTIONS(17508), 1,
      sym_mult_operator,
    ACTIONS(17510), 1,
      sym_concat_operator,
    ACTIONS(17512), 1,
      sym_rel_operator,
    ACTIONS(17514), 1,
      sym_and_operator,
    ACTIONS(17516), 1,
      sym_or_operator,
    STATE(2558), 1,
      sym_add_operator,
    STATE(13995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [679832] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1837), 1,
      anon_sym_LBRACK,
    ACTIONS(1847), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1859), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17518), 1,
      sym__lowercase_identifier,
    ACTIONS(17520), 1,
      anon_sym_LPAREN,
    ACTIONS(17522), 1,
      anon_sym_LBRACE,
    ACTIONS(17524), 1,
      sym__uppercase_identifier,
    STATE(7368), 1,
      sym__constructor_name,
    STATE(7474), 1,
      sym__value_name,
    STATE(7636), 1,
      sym_parenthesized_operator,
    STATE(13996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7412), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17528), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17526), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12683), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12685), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [679940] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(13999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [679982] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(14000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [680028] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    ACTIONS(17530), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14001), 1,
      sym_attribute,
    STATE(14335), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680068] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17506), 1,
      sym_pow_operator,
    ACTIONS(17508), 1,
      sym_mult_operator,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11512), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [680108] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(11080), 1,
      anon_sym_let,
    ACTIONS(17534), 1,
      sym__lowercase_identifier,
    ACTIONS(17536), 1,
      anon_sym_LBRACK,
    STATE(10917), 1,
      sym__simple_class_type,
    STATE(14003), 1,
      sym_attribute,
    STATE(19295), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [680154] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17540), 1,
      anon_sym_LBRACK,
    STATE(11810), 1,
      sym__simple_class_type,
    STATE(14004), 1,
      sym_attribute,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [680200] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17506), 1,
      sym_pow_operator,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [680234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12725), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [680264] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17506), 1,
      sym_pow_operator,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [680298] = 14,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym__lowercase_identifier,
    ACTIONS(17544), 1,
      anon_sym_LPAREN,
    ACTIONS(17546), 1,
      anon_sym_LBRACE,
    ACTIONS(17548), 1,
      sym__uppercase_identifier,
    STATE(3436), 1,
      sym__value_name,
    STATE(3528), 1,
      sym__constructor_name,
    STATE(3702), 1,
      sym_parenthesized_operator,
    STATE(14008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3711), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [680346] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16517), 1,
      sym__lowercase_identifier,
    ACTIONS(17550), 1,
      anon_sym_nonrec,
    STATE(14009), 1,
      sym_attribute,
    STATE(14098), 1,
      sym_type_binding,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16310), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22300), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [680400] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17506), 1,
      sym_pow_operator,
    ACTIONS(17508), 1,
      sym_mult_operator,
    ACTIONS(17510), 1,
      sym_concat_operator,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [680442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10338), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [680472] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(17552), 1,
      sym__lowercase_identifier,
    ACTIONS(17554), 1,
      anon_sym_POUND,
    STATE(14012), 1,
      sym_attribute,
    STATE(14298), 1,
      sym_type_constructor_path,
    STATE(18152), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12433), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [680512] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8135), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8139), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17556), 1,
      sym__lowercase_identifier,
    ACTIONS(17558), 1,
      anon_sym_LPAREN,
    ACTIONS(17560), 1,
      anon_sym_LBRACE,
    ACTIONS(17562), 1,
      sym__uppercase_identifier,
    STATE(8983), 1,
      sym__constructor_name,
    STATE(9009), 1,
      sym_parenthesized_operator,
    STATE(9147), 1,
      sym__value_name,
    STATE(14013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9088), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [680560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10356), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [680590] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2185), 1,
      anon_sym_LBRACK,
    ACTIONS(2195), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2207), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17564), 1,
      sym__lowercase_identifier,
    ACTIONS(17566), 1,
      anon_sym_LPAREN,
    ACTIONS(17568), 1,
      anon_sym_LBRACE,
    ACTIONS(17570), 1,
      sym__uppercase_identifier,
    STATE(7285), 1,
      sym__value_name,
    STATE(7329), 1,
      sym_parenthesized_operator,
    STATE(7681), 1,
      sym__constructor_name,
    STATE(14015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7739), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [680638] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1729), 1,
      anon_sym_LBRACK,
    ACTIONS(1739), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1751), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17572), 1,
      sym__lowercase_identifier,
    ACTIONS(17574), 1,
      anon_sym_LPAREN,
    ACTIONS(17576), 1,
      anon_sym_LBRACE,
    ACTIONS(17578), 1,
      sym__uppercase_identifier,
    STATE(6959), 1,
      sym__value_name,
    STATE(6978), 1,
      sym__constructor_name,
    STATE(7080), 1,
      sym_parenthesized_operator,
    STATE(14016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6861), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [680686] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    ACTIONS(17580), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14017), 1,
      sym_attribute,
    STATE(14485), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17582), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680726] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17506), 1,
      sym_pow_operator,
    ACTIONS(17508), 1,
      sym_mult_operator,
    ACTIONS(17510), 1,
      sym_concat_operator,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [680768] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7409), 1,
      anon_sym_LBRACK,
    ACTIONS(7417), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7421), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17584), 1,
      sym__lowercase_identifier,
    ACTIONS(17586), 1,
      anon_sym_LPAREN,
    ACTIONS(17588), 1,
      anon_sym_LBRACE,
    ACTIONS(17590), 1,
      sym__uppercase_identifier,
    STATE(7793), 1,
      sym_parenthesized_operator,
    STATE(8083), 1,
      sym__constructor_name,
    STATE(8218), 1,
      sym__value_name,
    STATE(14019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8074), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [680816] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(17504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17506), 1,
      sym_pow_operator,
    ACTIONS(17508), 1,
      sym_mult_operator,
    ACTIONS(17510), 1,
      sym_concat_operator,
    ACTIONS(17512), 1,
      sym_rel_operator,
    ACTIONS(17514), 1,
      sym_and_operator,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [680862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12623), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [680892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12639), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [680922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12729), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [680952] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17506), 1,
      sym_pow_operator,
    ACTIONS(17508), 1,
      sym_mult_operator,
    ACTIONS(17510), 1,
      sym_concat_operator,
    ACTIONS(17512), 1,
      sym_rel_operator,
    ACTIONS(17514), 1,
      sym_and_operator,
    ACTIONS(17516), 1,
      sym_or_operator,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [680998] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17506), 1,
      sym_pow_operator,
    ACTIONS(17508), 1,
      sym_mult_operator,
    ACTIONS(17510), 1,
      sym_concat_operator,
    ACTIONS(17512), 1,
      sym_rel_operator,
    ACTIONS(17514), 1,
      sym_and_operator,
    ACTIONS(17516), 1,
      sym_or_operator,
    ACTIONS(17592), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 1,
      sym_assign_operator,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [681048] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17506), 1,
      sym_pow_operator,
    ACTIONS(17508), 1,
      sym_mult_operator,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681084] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17506), 1,
      sym_pow_operator,
    ACTIONS(17508), 1,
      sym_mult_operator,
    ACTIONS(17510), 1,
      sym_concat_operator,
    ACTIONS(17512), 1,
      sym_rel_operator,
    ACTIONS(17514), 1,
      sym_and_operator,
    ACTIONS(17516), 1,
      sym_or_operator,
    ACTIONS(17592), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 1,
      sym_assign_operator,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11444), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [681134] = 14,
    ACTIONS(1245), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1275), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17596), 1,
      sym__lowercase_identifier,
    ACTIONS(17598), 1,
      anon_sym_LPAREN,
    ACTIONS(17600), 1,
      anon_sym_LBRACE,
    ACTIONS(17602), 1,
      sym__uppercase_identifier,
    STATE(5794), 1,
      sym_parenthesized_operator,
    STATE(5866), 1,
      sym__value_name,
    STATE(5898), 1,
      sym__constructor_name,
    STATE(14028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5856), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681182] = 14,
    ACTIONS(1187), 1,
      anon_sym_LBRACK,
    ACTIONS(1197), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17604), 1,
      sym__lowercase_identifier,
    ACTIONS(17606), 1,
      anon_sym_LPAREN,
    ACTIONS(17608), 1,
      anon_sym_LBRACE,
    ACTIONS(17610), 1,
      sym__uppercase_identifier,
    STATE(4769), 1,
      sym_parenthesized_operator,
    STATE(4850), 1,
      sym__constructor_name,
    STATE(4896), 1,
      sym__value_name,
    STATE(14029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4975), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681230] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16525), 1,
      sym__lowercase_identifier,
    ACTIONS(17612), 1,
      anon_sym_nonrec,
    STATE(14030), 1,
      sym_attribute,
    STATE(14107), 1,
      sym_type_binding,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16480), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22318), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [681284] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_and,
    STATE(14031), 1,
      sym_attribute,
    STATE(14069), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16021), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [681316] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(14032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17616), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [681366] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17540), 1,
      anon_sym_LBRACK,
    STATE(11908), 1,
      sym__simple_class_type,
    STATE(14033), 1,
      sym_attribute,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [681412] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    ACTIONS(17618), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14034), 1,
      sym_attribute,
    STATE(14334), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17620), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [681452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16906), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [681482] = 14,
    ACTIONS(475), 1,
      anon_sym_LBRACK,
    ACTIONS(485), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(497), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      sym__lowercase_identifier,
    ACTIONS(17624), 1,
      anon_sym_LPAREN,
    ACTIONS(17626), 1,
      anon_sym_LBRACE,
    ACTIONS(17628), 1,
      sym__uppercase_identifier,
    STATE(3425), 1,
      sym_parenthesized_operator,
    STATE(3549), 1,
      sym__constructor_name,
    STATE(3574), 1,
      sym__value_name,
    STATE(14036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3818), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681530] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1907), 1,
      anon_sym_LBRACK,
    ACTIONS(1917), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1929), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17630), 1,
      sym__lowercase_identifier,
    ACTIONS(17632), 1,
      anon_sym_LPAREN,
    ACTIONS(17634), 1,
      anon_sym_LBRACE,
    ACTIONS(17636), 1,
      sym__uppercase_identifier,
    STATE(7366), 1,
      sym__constructor_name,
    STATE(7536), 1,
      sym__value_name,
    STATE(7671), 1,
      sym_parenthesized_operator,
    STATE(14037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7473), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681578] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17640), 1,
      sym_pow_operator,
    ACTIONS(17642), 1,
      sym_mult_operator,
    ACTIONS(17644), 1,
      sym_concat_operator,
    ACTIONS(17646), 1,
      sym_rel_operator,
    ACTIONS(17648), 1,
      sym_and_operator,
    ACTIONS(17650), 1,
      sym_or_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [681624] = 14,
    ACTIONS(805), 1,
      anon_sym_LBRACK,
    ACTIONS(815), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(827), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17652), 1,
      sym__lowercase_identifier,
    ACTIONS(17654), 1,
      anon_sym_LPAREN,
    ACTIONS(17656), 1,
      anon_sym_LBRACE,
    ACTIONS(17658), 1,
      sym__uppercase_identifier,
    STATE(4197), 1,
      sym__value_name,
    STATE(4203), 1,
      sym_parenthesized_operator,
    STATE(4226), 1,
      sym__constructor_name,
    STATE(14039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4172), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681672] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17662), 1,
      sym_pow_operator,
    ACTIONS(17664), 1,
      sym_mult_operator,
    ACTIONS(17666), 1,
      sym_concat_operator,
    ACTIONS(17668), 1,
      sym_rel_operator,
    ACTIONS(17670), 1,
      sym_and_operator,
    ACTIONS(17672), 1,
      sym_or_operator,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11494), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [681718] = 14,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1145), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17674), 1,
      sym__lowercase_identifier,
    ACTIONS(17676), 1,
      anon_sym_LPAREN,
    ACTIONS(17678), 1,
      anon_sym_LBRACE,
    ACTIONS(17680), 1,
      sym__uppercase_identifier,
    STATE(4787), 1,
      sym__constructor_name,
    STATE(4939), 1,
      sym_parenthesized_operator,
    STATE(5056), 1,
      sym__value_name,
    STATE(14041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5023), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12675), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [681796] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(14043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17682), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [681846] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_and,
    STATE(14044), 1,
      sym_attribute,
    STATE(14177), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16241), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [681878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12615), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [681908] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(14046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [681954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12643), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [681984] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17662), 1,
      sym_pow_operator,
    ACTIONS(17664), 1,
      sym_mult_operator,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11512), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682024] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3039), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17684), 1,
      sym__lowercase_identifier,
    ACTIONS(17686), 1,
      anon_sym_LPAREN,
    ACTIONS(17688), 1,
      anon_sym_LBRACE,
    ACTIONS(17690), 1,
      sym__uppercase_identifier,
    STATE(7831), 1,
      sym_parenthesized_operator,
    STATE(8051), 1,
      sym__value_name,
    STATE(8198), 1,
      sym__constructor_name,
    STATE(14049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8048), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [682072] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17662), 1,
      sym_pow_operator,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12651), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [682136] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    ACTIONS(17692), 1,
      anon_sym_COMMA,
    ACTIONS(17694), 1,
      sym_assign_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(14052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [682186] = 14,
    ACTIONS(739), 1,
      anon_sym_LBRACK,
    ACTIONS(757), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(769), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17696), 1,
      sym__lowercase_identifier,
    ACTIONS(17698), 1,
      anon_sym_LPAREN,
    ACTIONS(17700), 1,
      anon_sym_LBRACE,
    ACTIONS(17702), 1,
      sym__uppercase_identifier,
    STATE(5085), 1,
      sym_parenthesized_operator,
    STATE(5103), 1,
      sym__value_name,
    STATE(5231), 1,
      sym__constructor_name,
    STATE(14053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5420), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [682234] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17640), 1,
      sym_pow_operator,
    ACTIONS(17642), 1,
      sym_mult_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11512), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682274] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17662), 1,
      sym_pow_operator,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682308] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17662), 1,
      sym_pow_operator,
    ACTIONS(17664), 1,
      sym_mult_operator,
    ACTIONS(17666), 1,
      sym_concat_operator,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [682350] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17662), 1,
      sym_pow_operator,
    ACTIONS(17664), 1,
      sym_mult_operator,
    ACTIONS(17666), 1,
      sym_concat_operator,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [682392] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(14058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682428] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(17660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17662), 1,
      sym_pow_operator,
    ACTIONS(17664), 1,
      sym_mult_operator,
    ACTIONS(17666), 1,
      sym_concat_operator,
    ACTIONS(17668), 1,
      sym_rel_operator,
    ACTIONS(17670), 1,
      sym_and_operator,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [682474] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17662), 1,
      sym_pow_operator,
    ACTIONS(17664), 1,
      sym_mult_operator,
    ACTIONS(17666), 1,
      sym_concat_operator,
    ACTIONS(17668), 1,
      sym_rel_operator,
    ACTIONS(17670), 1,
      sym_and_operator,
    ACTIONS(17672), 1,
      sym_or_operator,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [682520] = 14,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(653), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17704), 1,
      sym__lowercase_identifier,
    ACTIONS(17706), 1,
      anon_sym_LPAREN,
    ACTIONS(17708), 1,
      anon_sym_LBRACE,
    ACTIONS(17710), 1,
      sym__uppercase_identifier,
    STATE(4026), 1,
      sym__value_name,
    STATE(4070), 1,
      sym_parenthesized_operator,
    STATE(4125), 1,
      sym__constructor_name,
    STATE(14061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3988), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [682568] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_and,
    STATE(14062), 1,
      sym_attribute,
    STATE(14069), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15985), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [682600] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17662), 1,
      sym_pow_operator,
    ACTIONS(17664), 1,
      sym_mult_operator,
    ACTIONS(17666), 1,
      sym_concat_operator,
    ACTIONS(17668), 1,
      sym_rel_operator,
    ACTIONS(17670), 1,
      sym_and_operator,
    ACTIONS(17672), 1,
      sym_or_operator,
    ACTIONS(17712), 1,
      anon_sym_COMMA,
    ACTIONS(17714), 1,
      sym_assign_operator,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [682650] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17662), 1,
      sym_pow_operator,
    ACTIONS(17664), 1,
      sym_mult_operator,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682686] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17662), 1,
      sym_pow_operator,
    ACTIONS(17664), 1,
      sym_mult_operator,
    ACTIONS(17666), 1,
      sym_concat_operator,
    ACTIONS(17668), 1,
      sym_rel_operator,
    ACTIONS(17670), 1,
      sym_and_operator,
    ACTIONS(17672), 1,
      sym_or_operator,
    ACTIONS(17712), 1,
      anon_sym_COMMA,
    ACTIONS(17714), 1,
      sym_assign_operator,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11444), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [682736] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17716), 1,
      sym__lowercase_identifier,
    ACTIONS(17718), 1,
      anon_sym_LPAREN,
    ACTIONS(17720), 1,
      anon_sym_LBRACE,
    ACTIONS(17722), 1,
      sym__uppercase_identifier,
    STATE(8426), 1,
      sym__constructor_name,
    STATE(8468), 1,
      sym__value_name,
    STATE(14066), 1,
      sym_attribute,
    STATE(14261), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8465), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [682784] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    ACTIONS(17724), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14067), 1,
      sym_attribute,
    STATE(14346), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17726), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [682824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [682854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17728), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14069), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15881), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [682884] = 14,
    ACTIONS(1031), 1,
      anon_sym_LBRACK,
    ACTIONS(1041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17731), 1,
      sym__lowercase_identifier,
    ACTIONS(17733), 1,
      anon_sym_LPAREN,
    ACTIONS(17735), 1,
      anon_sym_LBRACE,
    ACTIONS(17737), 1,
      sym__uppercase_identifier,
    STATE(4538), 1,
      sym__constructor_name,
    STATE(4679), 1,
      sym__value_name,
    STATE(4729), 1,
      sym_parenthesized_operator,
    STATE(14070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4578), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [682932] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_and,
    STATE(14071), 1,
      sym_attribute,
    STATE(14110), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15985), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [682964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12759), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12761), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [682994] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7509), 1,
      anon_sym_LBRACK,
    ACTIONS(7517), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17739), 1,
      sym__lowercase_identifier,
    ACTIONS(17741), 1,
      anon_sym_LPAREN,
    ACTIONS(17743), 1,
      anon_sym_LBRACE,
    ACTIONS(17745), 1,
      sym__uppercase_identifier,
    STATE(7949), 1,
      sym_parenthesized_operator,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(8028), 1,
      sym__value_name,
    STATE(14073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7851), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12785), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683072] = 14,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(705), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17747), 1,
      sym__lowercase_identifier,
    ACTIONS(17749), 1,
      anon_sym_LPAREN,
    ACTIONS(17751), 1,
      anon_sym_LBRACE,
    ACTIONS(17753), 1,
      sym__uppercase_identifier,
    STATE(4051), 1,
      sym__value_name,
    STATE(4072), 1,
      sym_parenthesized_operator,
    STATE(4130), 1,
      sym__constructor_name,
    STATE(14075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4025), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683120] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    ACTIONS(17692), 1,
      anon_sym_COMMA,
    ACTIONS(17694), 1,
      sym_assign_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(14076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11444), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [683170] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3081), 1,
      anon_sym_LBRACK,
    ACTIONS(3091), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3103), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17755), 1,
      sym__lowercase_identifier,
    ACTIONS(17757), 1,
      anon_sym_LPAREN,
    ACTIONS(17759), 1,
      anon_sym_LBRACE,
    ACTIONS(17761), 1,
      sym__uppercase_identifier,
    STATE(7976), 1,
      sym__constructor_name,
    STATE(8195), 1,
      sym__value_name,
    STATE(8263), 1,
      sym_parenthesized_operator,
    STATE(14077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8194), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12789), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683248] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16704), 1,
      sym_assign_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(14079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17682), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [683298] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9596), 1,
      anon_sym_LBRACK,
    ACTIONS(9604), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9608), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17763), 1,
      sym__lowercase_identifier,
    ACTIONS(17765), 1,
      anon_sym_LPAREN,
    ACTIONS(17767), 1,
      anon_sym_LBRACE,
    ACTIONS(17769), 1,
      sym__uppercase_identifier,
    STATE(10789), 1,
      sym_parenthesized_operator,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(11024), 1,
      sym__value_name,
    STATE(14080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10965), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683346] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17640), 1,
      sym_pow_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683380] = 14,
    ACTIONS(1083), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17771), 1,
      sym__lowercase_identifier,
    ACTIONS(17773), 1,
      anon_sym_LPAREN,
    ACTIONS(17775), 1,
      anon_sym_LBRACE,
    ACTIONS(17777), 1,
      sym__uppercase_identifier,
    STATE(4903), 1,
      sym__value_name,
    STATE(4926), 1,
      sym_parenthesized_operator,
    STATE(4956), 1,
      sym__constructor_name,
    STATE(14082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4872), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683428] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11817), 1,
      anon_sym_COLON2,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11815), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [683468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12813), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12817), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12793), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12797), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683678] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(17552), 1,
      sym__lowercase_identifier,
    ACTIONS(17554), 1,
      anon_sym_POUND,
    STATE(14091), 1,
      sym_attribute,
    STATE(14298), 1,
      sym_type_constructor_path,
    STATE(18152), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11192), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [683718] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17640), 1,
      sym_pow_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683752] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9558), 1,
      anon_sym_LBRACK,
    ACTIONS(9566), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9570), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17779), 1,
      sym__lowercase_identifier,
    ACTIONS(17781), 1,
      anon_sym_LPAREN,
    ACTIONS(17783), 1,
      anon_sym_LBRACE,
    ACTIONS(17785), 1,
      sym__uppercase_identifier,
    STATE(8575), 1,
      sym__constructor_name,
    STATE(8600), 1,
      sym_parenthesized_operator,
    STATE(8729), 1,
      sym__value_name,
    STATE(14093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8497), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683800] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17787), 1,
      anon_sym_DQUOTE,
    STATE(14232), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17792), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(14094), 2,
      sym_attribute,
      aux_sym_string_content_repeat1,
    ACTIONS(17795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17789), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [683836] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9494), 1,
      anon_sym_LBRACK,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9506), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17798), 1,
      sym__lowercase_identifier,
    ACTIONS(17800), 1,
      anon_sym_LPAREN,
    ACTIONS(17802), 1,
      anon_sym_LBRACE,
    ACTIONS(17804), 1,
      sym__uppercase_identifier,
    STATE(8202), 1,
      sym__constructor_name,
    STATE(8787), 1,
      sym_parenthesized_operator,
    STATE(8862), 1,
      sym__value_name,
    STATE(14095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8861), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683884] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14667), 1,
      sym_rel_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    STATE(2386), 1,
      sym_add_operator,
    STATE(14096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17806), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [683934] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_and,
    STATE(14031), 1,
      aux_sym_type_definition_repeat1,
    STATE(14097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16109), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [683966] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_and,
    STATE(14062), 1,
      aux_sym_type_definition_repeat1,
    STATE(14098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16021), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [683998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17528), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17526), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684028] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17808), 1,
      sym__lowercase_identifier,
    ACTIONS(17810), 1,
      anon_sym_LPAREN,
    ACTIONS(17812), 1,
      anon_sym_LBRACE,
    ACTIONS(17814), 1,
      sym__uppercase_identifier,
    STATE(6052), 1,
      sym__value_name,
    STATE(6070), 1,
      sym_parenthesized_operator,
    STATE(6158), 1,
      sym__constructor_name,
    STATE(14100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6022), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [684076] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_then,
    ACTIONS(17504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17506), 1,
      sym_pow_operator,
    ACTIONS(17508), 1,
      sym_mult_operator,
    ACTIONS(17510), 1,
      sym_concat_operator,
    ACTIONS(17512), 1,
      sym_rel_operator,
    ACTIONS(17514), 1,
      sym_and_operator,
    ACTIONS(17516), 1,
      sym_or_operator,
    ACTIONS(17592), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 1,
      sym_assign_operator,
    ACTIONS(17816), 1,
      anon_sym_SEMI,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [684128] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6597), 1,
      anon_sym_LBRACK,
    ACTIONS(6605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17818), 1,
      sym__lowercase_identifier,
    ACTIONS(17820), 1,
      anon_sym_LPAREN,
    ACTIONS(17822), 1,
      anon_sym_LBRACE,
    ACTIONS(17824), 1,
      sym__uppercase_identifier,
    STATE(7083), 1,
      sym_parenthesized_operator,
    STATE(7212), 1,
      sym__value_name,
    STATE(7236), 1,
      sym__constructor_name,
    STATE(14102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6948), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [684176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17826), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14103), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15712), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684206] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17444), 1,
      anon_sym_and,
    STATE(14103), 1,
      aux_sym_class_definition_repeat1,
    STATE(14104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16416), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17829), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15712), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684268] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17832), 1,
      anon_sym_and,
    STATE(14106), 1,
      sym_attribute,
    STATE(14121), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16109), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684300] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17832), 1,
      anon_sym_and,
    STATE(14107), 1,
      sym_attribute,
    STATE(14152), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16021), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684332] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_and,
    STATE(14105), 1,
      aux_sym_class_definition_repeat1,
    STATE(14108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16416), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684364] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16494), 1,
      sym__lowercase_identifier,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(17834), 1,
      anon_sym_nonrec,
    STATE(13427), 1,
      sym_type_binding,
    STATE(14109), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16071), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22266), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [684418] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_and,
    STATE(14069), 1,
      aux_sym_type_definition_repeat1,
    STATE(14110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16138), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684450] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17640), 1,
      sym_pow_operator,
    ACTIONS(17642), 1,
      sym_mult_operator,
    ACTIONS(17644), 1,
      sym_concat_operator,
    ACTIONS(17646), 1,
      sym_rel_operator,
    ACTIONS(17648), 1,
      sym_and_operator,
    ACTIONS(17650), 1,
      sym_or_operator,
    ACTIONS(17836), 1,
      anon_sym_COMMA,
    ACTIONS(17838), 1,
      sym_assign_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [684500] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1977), 1,
      anon_sym_LBRACK,
    ACTIONS(1987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1999), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17840), 1,
      sym__lowercase_identifier,
    ACTIONS(17842), 1,
      anon_sym_LPAREN,
    ACTIONS(17844), 1,
      anon_sym_LBRACE,
    ACTIONS(17846), 1,
      sym__uppercase_identifier,
    STATE(7502), 1,
      sym__constructor_name,
    STATE(7601), 1,
      sym__value_name,
    STATE(7696), 1,
      sym_parenthesized_operator,
    STATE(14112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7535), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [684548] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_end,
    ACTIONS(17638), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17640), 1,
      sym_pow_operator,
    ACTIONS(17642), 1,
      sym_mult_operator,
    ACTIONS(17644), 1,
      sym_concat_operator,
    ACTIONS(17646), 1,
      sym_rel_operator,
    ACTIONS(17648), 1,
      sym_and_operator,
    ACTIONS(17650), 1,
      sym_or_operator,
    ACTIONS(17836), 1,
      anon_sym_COMMA,
    ACTIONS(17838), 1,
      sym_assign_operator,
    ACTIONS(17848), 1,
      anon_sym_SEMI,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [684600] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17850), 1,
      sym__lowercase_identifier,
    ACTIONS(17852), 1,
      anon_sym_LPAREN,
    ACTIONS(17854), 1,
      anon_sym_LBRACE,
    ACTIONS(17856), 1,
      sym__uppercase_identifier,
    STATE(6632), 1,
      sym__value_name,
    STATE(6680), 1,
      sym__constructor_name,
    STATE(6718), 1,
      sym_parenthesized_operator,
    STATE(14114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6729), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [684648] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8849), 1,
      anon_sym_LBRACK,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17858), 1,
      sym__lowercase_identifier,
    ACTIONS(17860), 1,
      anon_sym_LPAREN,
    ACTIONS(17862), 1,
      anon_sym_LBRACE,
    ACTIONS(17864), 1,
      sym__uppercase_identifier,
    STATE(9228), 1,
      sym__constructor_name,
    STATE(10545), 1,
      sym__value_name,
    STATE(10594), 1,
      sym_parenthesized_operator,
    STATE(14115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10515), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [684696] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_do,
    ACTIONS(17660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17662), 1,
      sym_pow_operator,
    ACTIONS(17664), 1,
      sym_mult_operator,
    ACTIONS(17666), 1,
      sym_concat_operator,
    ACTIONS(17668), 1,
      sym_rel_operator,
    ACTIONS(17670), 1,
      sym_and_operator,
    ACTIONS(17672), 1,
      sym_or_operator,
    ACTIONS(17712), 1,
      anon_sym_COMMA,
    ACTIONS(17714), 1,
      sym_assign_operator,
    ACTIONS(17866), 1,
      anon_sym_SEMI,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [684748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8973), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17868), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684778] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684810] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1499), 1,
      anon_sym_LBRACK,
    ACTIONS(1509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17870), 1,
      sym__lowercase_identifier,
    ACTIONS(17872), 1,
      anon_sym_LPAREN,
    ACTIONS(17874), 1,
      anon_sym_LBRACE,
    ACTIONS(17876), 1,
      sym__uppercase_identifier,
    STATE(6444), 1,
      sym__value_name,
    STATE(6473), 1,
      sym__constructor_name,
    STATE(6487), 1,
      sym_parenthesized_operator,
    STATE(14119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6414), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [684858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17878), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14120), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(10178), 13,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684888] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17832), 1,
      anon_sym_and,
    STATE(14121), 1,
      sym_attribute,
    STATE(14158), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16021), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684920] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_done,
    ACTIONS(16830), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16832), 1,
      sym_pow_operator,
    ACTIONS(16834), 1,
      sym_mult_operator,
    ACTIONS(16836), 1,
      sym_concat_operator,
    ACTIONS(16838), 1,
      sym_rel_operator,
    ACTIONS(16840), 1,
      sym_and_operator,
    ACTIONS(16842), 1,
      sym_or_operator,
    ACTIONS(16880), 1,
      anon_sym_COMMA,
    ACTIONS(16882), 1,
      sym_assign_operator,
    ACTIONS(17881), 1,
      anon_sym_SEMI,
    STATE(2474), 1,
      sym_add_operator,
    STATE(14122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [684972] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17883), 1,
      anon_sym_DQUOTE,
    STATE(14094), 1,
      aux_sym_string_content_repeat1,
    STATE(14123), 1,
      sym_attribute,
    STATE(14232), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16656), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16652), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [685010] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_with,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    ACTIONS(17692), 1,
      anon_sym_COMMA,
    ACTIONS(17694), 1,
      sym_assign_operator,
    ACTIONS(17885), 1,
      anon_sym_SEMI,
    STATE(2177), 1,
      sym_add_operator,
    STATE(14124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [685062] = 14,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    ACTIONS(125), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(141), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17887), 1,
      sym__lowercase_identifier,
    ACTIONS(17889), 1,
      anon_sym_LPAREN,
    ACTIONS(17891), 1,
      anon_sym_LBRACE,
    ACTIONS(17893), 1,
      sym__uppercase_identifier,
    STATE(5144), 1,
      sym__constructor_name,
    STATE(5297), 1,
      sym_parenthesized_operator,
    STATE(5421), 1,
      sym__value_name,
    STATE(14125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5336), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [685110] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16521), 1,
      sym__lowercase_identifier,
    ACTIONS(17895), 1,
      anon_sym_nonrec,
    STATE(13082), 1,
      sym_type_binding,
    STATE(14126), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16537), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(21401), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [685164] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17506), 1,
      sym_pow_operator,
    ACTIONS(17508), 1,
      sym_mult_operator,
    ACTIONS(17510), 1,
      sym_concat_operator,
    ACTIONS(17512), 1,
      sym_rel_operator,
    ACTIONS(17514), 1,
      sym_and_operator,
    ACTIONS(17516), 1,
      sym_or_operator,
    ACTIONS(17592), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 1,
      sym_assign_operator,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [685214] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_do,
    ACTIONS(17660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17662), 1,
      sym_pow_operator,
    ACTIONS(17664), 1,
      sym_mult_operator,
    ACTIONS(17666), 1,
      sym_concat_operator,
    ACTIONS(17668), 1,
      sym_rel_operator,
    ACTIONS(17670), 1,
      sym_and_operator,
    ACTIONS(17672), 1,
      sym_or_operator,
    ACTIONS(17712), 1,
      anon_sym_COMMA,
    ACTIONS(17714), 1,
      sym_assign_operator,
    ACTIONS(17897), 1,
      anon_sym_SEMI,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [685266] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_then,
    ACTIONS(17504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17506), 1,
      sym_pow_operator,
    ACTIONS(17508), 1,
      sym_mult_operator,
    ACTIONS(17510), 1,
      sym_concat_operator,
    ACTIONS(17512), 1,
      sym_rel_operator,
    ACTIONS(17514), 1,
      sym_and_operator,
    ACTIONS(17516), 1,
      sym_or_operator,
    ACTIONS(17592), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 1,
      sym_assign_operator,
    ACTIONS(17899), 1,
      anon_sym_SEMI,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [685318] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3307), 1,
      anon_sym_LBRACK,
    ACTIONS(3317), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3329), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17901), 1,
      sym__lowercase_identifier,
    ACTIONS(17903), 1,
      anon_sym_LPAREN,
    ACTIONS(17905), 1,
      anon_sym_LBRACE,
    ACTIONS(17907), 1,
      sym__uppercase_identifier,
    STATE(7783), 1,
      sym__value_name,
    STATE(7854), 1,
      sym_parenthesized_operator,
    STATE(8193), 1,
      sym__constructor_name,
    STATE(14130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8285), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [685366] = 14,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(537), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(549), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17909), 1,
      sym__lowercase_identifier,
    ACTIONS(17911), 1,
      anon_sym_LPAREN,
    ACTIONS(17913), 1,
      anon_sym_LBRACE,
    ACTIONS(17915), 1,
      sym__uppercase_identifier,
    STATE(3843), 1,
      sym__value_name,
    STATE(3853), 1,
      sym_parenthesized_operator,
    STATE(3957), 1,
      sym__constructor_name,
    STATE(14131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4411), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [685414] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2558), 1,
      sym_add_operator,
    STATE(14132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685446] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17640), 1,
      sym_pow_operator,
    ACTIONS(17642), 1,
      sym_mult_operator,
    ACTIONS(17644), 1,
      sym_concat_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [685488] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17444), 1,
      anon_sym_and,
    STATE(13979), 1,
      aux_sym_class_definition_repeat1,
    STATE(14134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16241), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685520] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685552] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17640), 1,
      sym_pow_operator,
    ACTIONS(17642), 1,
      sym_mult_operator,
    ACTIONS(17644), 1,
      sym_concat_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [685594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16906), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685624] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3147), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3169), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17917), 1,
      sym__lowercase_identifier,
    ACTIONS(17919), 1,
      anon_sym_LPAREN,
    ACTIONS(17921), 1,
      anon_sym_LBRACE,
    ACTIONS(17923), 1,
      sym__uppercase_identifier,
    STATE(7872), 1,
      sym__value_name,
    STATE(8000), 1,
      sym_parenthesized_operator,
    STATE(8307), 1,
      sym__constructor_name,
    STATE(14138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7871), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [685672] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2069), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17925), 1,
      sym__lowercase_identifier,
    ACTIONS(17927), 1,
      anon_sym_LPAREN,
    ACTIONS(17929), 1,
      anon_sym_LBRACE,
    ACTIONS(17931), 1,
      sym__uppercase_identifier,
    STATE(7645), 1,
      sym__value_name,
    STATE(7723), 1,
      sym__constructor_name,
    STATE(7730), 1,
      sym_parenthesized_operator,
    STATE(14139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7600), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [685720] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17540), 1,
      anon_sym_LBRACK,
    STATE(11627), 1,
      sym__simple_class_type,
    STATE(14140), 1,
      sym_attribute,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [685766] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    ACTIONS(17933), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14141), 1,
      sym_attribute,
    STATE(14457), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17935), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685806] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(17552), 1,
      sym__lowercase_identifier,
    ACTIONS(17937), 1,
      anon_sym_POUND,
    STATE(14142), 1,
      sym_attribute,
    STATE(14249), 1,
      sym_type_constructor_path,
    STATE(18152), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12437), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [685846] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17540), 1,
      anon_sym_LBRACK,
    STATE(11753), 1,
      sym__simple_class_type,
    STATE(14143), 1,
      sym_attribute,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [685892] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17540), 1,
      anon_sym_LBRACK,
    STATE(10917), 1,
      sym__simple_class_type,
    STATE(14144), 1,
      sym_attribute,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [685938] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_with,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    ACTIONS(17692), 1,
      anon_sym_COMMA,
    ACTIONS(17694), 1,
      sym_assign_operator,
    ACTIONS(17939), 1,
      anon_sym_SEMI,
    STATE(2177), 1,
      sym_add_operator,
    STATE(14145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [685990] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(17638), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17640), 1,
      sym_pow_operator,
    ACTIONS(17642), 1,
      sym_mult_operator,
    ACTIONS(17644), 1,
      sym_concat_operator,
    ACTIONS(17646), 1,
      sym_rel_operator,
    ACTIONS(17648), 1,
      sym_and_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [686036] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3227), 1,
      anon_sym_LBRACK,
    ACTIONS(3237), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3249), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17941), 1,
      sym__lowercase_identifier,
    ACTIONS(17943), 1,
      anon_sym_LPAREN,
    ACTIONS(17945), 1,
      anon_sym_LBRACE,
    ACTIONS(17947), 1,
      sym__uppercase_identifier,
    STATE(7849), 1,
      sym__constructor_name,
    STATE(7973), 1,
      sym__value_name,
    STATE(8008), 1,
      sym_parenthesized_operator,
    STATE(14147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7970), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686084] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10232), 1,
      anon_sym_DASH_GT,
    ACTIONS(14659), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14661), 1,
      sym_pow_operator,
    ACTIONS(14663), 1,
      sym_mult_operator,
    ACTIONS(14665), 1,
      sym_concat_operator,
    ACTIONS(14669), 1,
      sym_and_operator,
    ACTIONS(14671), 1,
      sym_or_operator,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14699), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      sym_rel_operator,
    ACTIONS(17949), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_add_operator,
    STATE(14148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [686136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9304), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [686166] = 14,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1403), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1415), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17951), 1,
      sym__lowercase_identifier,
    ACTIONS(17953), 1,
      anon_sym_LPAREN,
    ACTIONS(17955), 1,
      anon_sym_LBRACE,
    ACTIONS(17957), 1,
      sym__uppercase_identifier,
    STATE(6207), 1,
      sym_parenthesized_operator,
    STATE(6316), 1,
      sym__constructor_name,
    STATE(6322), 1,
      sym__value_name,
    STATE(14150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6288), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9308), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [686244] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17832), 1,
      anon_sym_and,
    STATE(14152), 1,
      sym_attribute,
    STATE(14158), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15985), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9312), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [686306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9316), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [686336] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17640), 1,
      sym_pow_operator,
    ACTIONS(17642), 1,
      sym_mult_operator,
    ACTIONS(17644), 1,
      sym_concat_operator,
    ACTIONS(17646), 1,
      sym_rel_operator,
    ACTIONS(17648), 1,
      sym_and_operator,
    ACTIONS(17650), 1,
      sym_or_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [686382] = 14,
    ACTIONS(979), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1001), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17959), 1,
      sym__lowercase_identifier,
    ACTIONS(17961), 1,
      anon_sym_LPAREN,
    ACTIONS(17963), 1,
      anon_sym_LBRACE,
    ACTIONS(17965), 1,
      sym__uppercase_identifier,
    STATE(4464), 1,
      sym__value_name,
    STATE(4637), 1,
      sym_parenthesized_operator,
    STATE(4715), 1,
      sym__constructor_name,
    STATE(14156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4625), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686430] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17640), 1,
      sym_pow_operator,
    ACTIONS(17642), 1,
      sym_mult_operator,
    ACTIONS(17644), 1,
      sym_concat_operator,
    ACTIONS(17646), 1,
      sym_rel_operator,
    ACTIONS(17648), 1,
      sym_and_operator,
    ACTIONS(17650), 1,
      sym_or_operator,
    ACTIONS(17836), 1,
      anon_sym_COMMA,
    ACTIONS(17838), 1,
      sym_assign_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [686480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17967), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14158), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15881), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686510] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17832), 1,
      anon_sym_and,
    STATE(14159), 1,
      sym_attribute,
    STATE(14170), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15985), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [686572] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17540), 1,
      anon_sym_LBRACK,
    STATE(11784), 1,
      sym__simple_class_type,
    STATE(14161), 1,
      sym_attribute,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [686618] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17640), 1,
      sym_pow_operator,
    ACTIONS(17642), 1,
      sym_mult_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [686654] = 14,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17970), 1,
      sym__lowercase_identifier,
    ACTIONS(17972), 1,
      anon_sym_LPAREN,
    ACTIONS(17974), 1,
      anon_sym_LBRACE,
    ACTIONS(17976), 1,
      sym__uppercase_identifier,
    STATE(4592), 1,
      sym__value_name,
    STATE(4699), 1,
      sym__constructor_name,
    STATE(4704), 1,
      sym_parenthesized_operator,
    STATE(14163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4511), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686702] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17978), 1,
      sym__lowercase_identifier,
    ACTIONS(17980), 1,
      anon_sym_LPAREN,
    ACTIONS(17982), 1,
      anon_sym_LBRACE,
    ACTIONS(17984), 1,
      sym__uppercase_identifier,
    STATE(6788), 1,
      sym_parenthesized_operator,
    STATE(6790), 1,
      sym__constructor_name,
    STATE(6802), 1,
      sym__value_name,
    STATE(14164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6807), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12781), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [686780] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17640), 1,
      sym_pow_operator,
    ACTIONS(17642), 1,
      sym_mult_operator,
    ACTIONS(17644), 1,
      sym_concat_operator,
    ACTIONS(17646), 1,
      sym_rel_operator,
    ACTIONS(17648), 1,
      sym_and_operator,
    ACTIONS(17650), 1,
      sym_or_operator,
    ACTIONS(17836), 1,
      anon_sym_COMMA,
    ACTIONS(17838), 1,
      sym_assign_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11444), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [686830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12635), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [686860] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17718), 1,
      anon_sym_LPAREN,
    ACTIONS(17720), 1,
      anon_sym_LBRACE,
    ACTIONS(17722), 1,
      sym__uppercase_identifier,
    ACTIONS(17986), 1,
      sym__lowercase_identifier,
    STATE(8426), 1,
      sym__constructor_name,
    STATE(8468), 1,
      sym__value_name,
    STATE(14168), 1,
      sym_attribute,
    STATE(14261), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8465), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686908] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6713), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6725), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17988), 1,
      sym__lowercase_identifier,
    ACTIONS(17990), 1,
      anon_sym_LPAREN,
    ACTIONS(17992), 1,
      anon_sym_LBRACE,
    ACTIONS(17994), 1,
      sym__uppercase_identifier,
    STATE(6946), 1,
      sym_parenthesized_operator,
    STATE(6950), 1,
      sym__constructor_name,
    STATE(7176), 1,
      sym__value_name,
    STATE(14169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7024), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686956] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17832), 1,
      anon_sym_and,
    STATE(14158), 1,
      aux_sym_type_definition_repeat1,
    STATE(14170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16138), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12805), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [687018] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17996), 1,
      sym__lowercase_identifier,
    ACTIONS(17998), 1,
      anon_sym_LPAREN,
    ACTIONS(18000), 1,
      anon_sym_LBRACE,
    ACTIONS(18002), 1,
      sym__uppercase_identifier,
    STATE(6225), 1,
      sym_parenthesized_operator,
    STATE(6252), 1,
      sym__value_name,
    STATE(6298), 1,
      sym__constructor_name,
    STATE(14172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6239), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [687066] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17662), 1,
      sym_pow_operator,
    ACTIONS(17664), 1,
      sym_mult_operator,
    ACTIONS(17666), 1,
      sym_concat_operator,
    ACTIONS(17668), 1,
      sym_rel_operator,
    ACTIONS(17670), 1,
      sym_and_operator,
    ACTIONS(17672), 1,
      sym_or_operator,
    ACTIONS(17712), 1,
      anon_sym_COMMA,
    ACTIONS(17714), 1,
      sym_assign_operator,
    STATE(2703), 1,
      sym_add_operator,
    STATE(14173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [687116] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9634), 1,
      anon_sym_LBRACK,
    ACTIONS(9642), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9646), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18004), 1,
      sym__lowercase_identifier,
    ACTIONS(18006), 1,
      anon_sym_LPAREN,
    ACTIONS(18008), 1,
      anon_sym_LBRACE,
    ACTIONS(18010), 1,
      sym__uppercase_identifier,
    STATE(8536), 1,
      sym__constructor_name,
    STATE(8715), 1,
      sym_parenthesized_operator,
    STATE(8724), 1,
      sym__value_name,
    STATE(14174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8728), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [687164] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17720), 1,
      anon_sym_LBRACE,
    ACTIONS(17722), 1,
      sym__uppercase_identifier,
    ACTIONS(18012), 1,
      sym__lowercase_identifier,
    ACTIONS(18014), 1,
      anon_sym_LPAREN,
    STATE(8396), 1,
      sym_parenthesized_operator,
    STATE(8426), 1,
      sym__constructor_name,
    STATE(8468), 1,
      sym__value_name,
    STATE(14175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8465), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [687212] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2177), 1,
      sym_add_operator,
    STATE(14176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11527), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687244] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_and,
    STATE(14105), 1,
      aux_sym_class_definition_repeat1,
    STATE(14177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687276] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(11044), 1,
      anon_sym_let,
    ACTIONS(11050), 1,
      anon_sym_object,
    ACTIONS(13944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17540), 1,
      anon_sym_LBRACK,
    STATE(14178), 1,
      sym_attribute,
    STATE(14564), 1,
      sym__simple_class_type,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [687322] = 14,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(881), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18016), 1,
      sym__lowercase_identifier,
    ACTIONS(18018), 1,
      anon_sym_LPAREN,
    ACTIONS(18020), 1,
      anon_sym_LBRACE,
    ACTIONS(18022), 1,
      sym__uppercase_identifier,
    STATE(3849), 1,
      sym_parenthesized_operator,
    STATE(3905), 1,
      sym__constructor_name,
    STATE(4350), 1,
      sym__value_name,
    STATE(14179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4294), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [687370] = 14,
    ACTIONS(1327), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1349), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18024), 1,
      sym__lowercase_identifier,
    ACTIONS(18026), 1,
      anon_sym_LPAREN,
    ACTIONS(18028), 1,
      anon_sym_LBRACE,
    ACTIONS(18030), 1,
      sym__uppercase_identifier,
    STATE(5915), 1,
      sym__value_name,
    STATE(5954), 1,
      sym_parenthesized_operator,
    STATE(5986), 1,
      sym__constructor_name,
    STATE(14180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5952), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [687418] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    ACTIONS(17692), 1,
      anon_sym_COMMA,
    ACTIONS(17694), 1,
      sym_assign_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(14181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [687468] = 14,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(445), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18032), 1,
      sym__lowercase_identifier,
    ACTIONS(18034), 1,
      anon_sym_LPAREN,
    ACTIONS(18036), 1,
      anon_sym_LBRACE,
    ACTIONS(18038), 1,
      sym__uppercase_identifier,
    STATE(3423), 1,
      sym__constructor_name,
    STATE(3443), 1,
      sym_parenthesized_operator,
    STATE(3795), 1,
      sym__value_name,
    STATE(14182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3735), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [687516] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18040), 1,
      anon_sym_and,
    STATE(14183), 1,
      sym_attribute,
    STATE(14185), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16015), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687548] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18040), 1,
      anon_sym_and,
    STATE(14184), 1,
      sym_attribute,
    STATE(14185), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16142), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18042), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14185), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15834), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687610] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18040), 1,
      anon_sym_and,
    STATE(14186), 1,
      sym_attribute,
    STATE(14187), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16142), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687642] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18040), 1,
      anon_sym_and,
    STATE(14185), 1,
      aux_sym_module_definition_repeat1,
    STATE(14187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16193), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687674] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17494), 1,
      anon_sym_and,
    STATE(14188), 1,
      sym_attribute,
    STATE(14190), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16015), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687706] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17494), 1,
      anon_sym_and,
    STATE(14189), 1,
      sym_attribute,
    STATE(14190), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16142), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18045), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14190), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15834), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687768] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17494), 1,
      anon_sym_and,
    STATE(14191), 1,
      sym_attribute,
    STATE(14192), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16142), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687800] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17494), 1,
      anon_sym_and,
    STATE(14190), 1,
      aux_sym_module_definition_repeat1,
    STATE(14192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16193), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687832] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18040), 1,
      anon_sym_and,
    STATE(14183), 1,
      aux_sym_module_definition_repeat1,
    STATE(14193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16134), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687864] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18040), 1,
      anon_sym_and,
    STATE(14184), 1,
      aux_sym_module_definition_repeat1,
    STATE(14194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16015), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687896] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17494), 1,
      anon_sym_and,
    STATE(14188), 1,
      aux_sym_module_definition_repeat1,
    STATE(14195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16134), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687928] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_end,
    ACTIONS(17638), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17640), 1,
      sym_pow_operator,
    ACTIONS(17642), 1,
      sym_mult_operator,
    ACTIONS(17644), 1,
      sym_concat_operator,
    ACTIONS(17646), 1,
      sym_rel_operator,
    ACTIONS(17648), 1,
      sym_and_operator,
    ACTIONS(17650), 1,
      sym_or_operator,
    ACTIONS(17836), 1,
      anon_sym_COMMA,
    ACTIONS(17838), 1,
      sym_assign_operator,
    ACTIONS(18048), 1,
      anon_sym_SEMI,
    STATE(2217), 1,
      sym_add_operator,
    STATE(14196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [687980] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16494), 1,
      sym__lowercase_identifier,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    STATE(13427), 1,
      sym_type_binding,
    STATE(14197), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16071), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22266), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688031] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16521), 1,
      sym__lowercase_identifier,
    STATE(13170), 1,
      sym_type_binding,
    STATE(14198), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16537), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(21401), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688082] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16525), 1,
      sym__lowercase_identifier,
    STATE(14159), 1,
      sym_type_binding,
    STATE(14199), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16480), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22318), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688133] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    ACTIONS(18052), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18050), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688166] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16521), 1,
      sym__lowercase_identifier,
    STATE(13082), 1,
      sym_type_binding,
    STATE(14201), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16537), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(21401), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688217] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10199), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688244] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688281] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12480), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688308] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18054), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688335] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18056), 1,
      anon_sym_COLON_GT,
    ACTIONS(18058), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14206), 1,
      sym_attribute,
    STATE(14511), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18060), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688372] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16658), 1,
      anon_sym_LPAREN,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14207), 1,
      sym_attribute,
    STATE(14614), 1,
      sym__simple_module_expression,
    STATE(15782), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12272), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9276), 1,
      anon_sym_COLON2,
    STATE(14208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 13,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [688444] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18064), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688471] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18066), 1,
      anon_sym_COLON_GT,
    ACTIONS(18068), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14210), 1,
      sym_attribute,
    STATE(14451), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18070), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688508] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16517), 1,
      sym__lowercase_identifier,
    STATE(14098), 1,
      sym_type_binding,
    STATE(14211), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16310), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22300), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688559] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_COLON2,
    STATE(14212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10336), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [688590] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16517), 1,
      sym__lowercase_identifier,
    STATE(12984), 1,
      sym_type_binding,
    STATE(14213), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16310), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22300), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688641] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13592), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    STATE(14214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13590), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688672] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16525), 1,
      sym__lowercase_identifier,
    STATE(14107), 1,
      sym_type_binding,
    STATE(14215), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16480), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22318), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688723] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16658), 1,
      anon_sym_LPAREN,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14216), 1,
      sym_attribute,
    STATE(14614), 1,
      sym__simple_module_expression,
    STATE(15668), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12308), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688766] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14217), 1,
      sym_attribute,
    STATE(14467), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18072), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688803] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16517), 1,
      sym__lowercase_identifier,
    STATE(14071), 1,
      sym_type_binding,
    STATE(14218), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16310), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22300), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688854] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18074), 1,
      anon_sym_COLON_GT,
    ACTIONS(18076), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14219), 1,
      sym_attribute,
    STATE(14328), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18078), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688891] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16658), 1,
      anon_sym_LPAREN,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14220), 1,
      sym_attribute,
    STATE(14614), 1,
      sym__simple_module_expression,
    STATE(15700), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12296), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688934] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16525), 1,
      sym__lowercase_identifier,
    STATE(12984), 1,
      sym_type_binding,
    STATE(14221), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16480), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22318), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688985] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16494), 1,
      sym__lowercase_identifier,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    STATE(12984), 1,
      sym_type_binding,
    STATE(14222), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16071), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22266), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [689036] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16494), 1,
      sym__lowercase_identifier,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    STATE(13486), 1,
      sym_type_binding,
    STATE(14223), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16071), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(22266), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [689087] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    ACTIONS(16521), 1,
      sym__lowercase_identifier,
    STATE(12984), 1,
      sym_type_binding,
    STATE(14224), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16537), 1,
      sym__type_params,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    STATE(21401), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [689138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12779), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9306), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689194] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(18080), 1,
      sym__lowercase_identifier,
    ACTIONS(18082), 1,
      anon_sym_POUND,
    STATE(14227), 1,
      sym_attribute,
    STATE(14590), 1,
      sym_type_constructor_path,
    STATE(18168), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(11192), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [689232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10336), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10354), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12817), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12815), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689316] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8705), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14231), 1,
      sym_attribute,
    STATE(14461), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8709), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18086), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(18084), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [689378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12611), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12609), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12795), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689434] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(18088), 1,
      anon_sym_DASH_GT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14235), 1,
      sym_attribute,
    STATE(14467), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18072), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9310), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689498] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(16910), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    STATE(14237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16906), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689530] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16011), 1,
      sym__lowercase_identifier,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    STATE(14238), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(15967), 1,
      sym__type_params,
    STATE(17054), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [689578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12825), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12823), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689606] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16011), 1,
      sym__lowercase_identifier,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    STATE(14240), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16287), 1,
      sym__type_params,
    STATE(16759), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [689654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12821), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12819), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12675), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12673), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689710] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8183), 1,
      anon_sym_COLON2,
    ACTIONS(18090), 1,
      anon_sym_DOT_DOT,
    STATE(14243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [689740] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8733), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14244), 1,
      sym_attribute,
    STATE(14394), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8737), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689774] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10582), 1,
      anon_sym_PIPE,
    ACTIONS(10686), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13918), 1,
      anon_sym_LPAREN,
    ACTIONS(13920), 1,
      anon_sym_LBRACK,
    ACTIONS(18092), 1,
      anon_sym_private,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    STATE(12286), 1,
      sym__constructor_name,
    STATE(13226), 1,
      sym_constructor_declaration,
    STATE(14245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13922), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12393), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [689820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12727), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12723), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689876] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10582), 1,
      anon_sym_PIPE,
    ACTIONS(10688), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13918), 1,
      anon_sym_LPAREN,
    ACTIONS(13920), 1,
      anon_sym_LBRACK,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18096), 1,
      anon_sym_private,
    STATE(12286), 1,
      sym__constructor_name,
    STATE(13226), 1,
      sym_constructor_declaration,
    STATE(14248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13922), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12402), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [689922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12639), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12637), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689950] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18100), 1,
      anon_sym_as,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14250), 1,
      sym_attribute,
    STATE(14316), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18098), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689984] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8727), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14251), 1,
      sym_attribute,
    STATE(14396), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8731), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690018] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10666), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13519), 1,
      anon_sym_LPAREN,
    ACTIONS(13521), 1,
      anon_sym_LBRACK,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18102), 1,
      anon_sym_private,
    STATE(11643), 1,
      sym__constructor_name,
    STATE(12459), 1,
      sym_constructor_declaration,
    STATE(14252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13523), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11864), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [690064] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16011), 1,
      sym__lowercase_identifier,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    STATE(14253), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16316), 1,
      sym__type_params,
    STATE(16895), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [690112] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 13,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [690138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10354), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12803), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9302), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12625), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690250] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10218), 1,
      anon_sym_COLON2,
    STATE(14259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10216), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [690278] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12403), 1,
      anon_sym_in,
    ACTIONS(16658), 1,
      anon_sym_LPAREN,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14260), 1,
      sym_attribute,
    STATE(14614), 1,
      sym__simple_module_expression,
    STATE(15969), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690320] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9170), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      sym_hash_operator,
  [690348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12787), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690376] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12365), 1,
      anon_sym_in,
    ACTIONS(16658), 1,
      anon_sym_LPAREN,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14263), 1,
      sym_attribute,
    STATE(14614), 1,
      sym__simple_module_expression,
    STATE(16482), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10336), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9314), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690474] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10614), 1,
      anon_sym_PIPE,
    ACTIONS(10698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13924), 1,
      anon_sym_LPAREN,
    ACTIONS(13926), 1,
      anon_sym_LBRACK,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18104), 1,
      anon_sym_private,
    STATE(12295), 1,
      sym__constructor_name,
    STATE(13228), 1,
      sym_constructor_declaration,
    STATE(14266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13928), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12417), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [690520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12833), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12831), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9302), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9306), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9310), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690632] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18108), 1,
      anon_sym_as,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14271), 1,
      sym_attribute,
    STATE(14369), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18106), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12813), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12811), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690694] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10228), 1,
      anon_sym_COLON2,
    STATE(14273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10226), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [690722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12633), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690750] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(16934), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    STATE(14275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16932), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690782] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16011), 1,
      sym__lowercase_identifier,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    STATE(14276), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16147), 1,
      sym__type_params,
    STATE(17299), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [690830] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18110), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14277), 1,
      sym_attribute,
    STATE(14445), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18112), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690864] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10614), 1,
      anon_sym_PIPE,
    ACTIONS(10700), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13924), 1,
      anon_sym_LPAREN,
    ACTIONS(13926), 1,
      anon_sym_LBRACK,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18114), 1,
      anon_sym_private,
    STATE(12295), 1,
      sym__constructor_name,
    STATE(13228), 1,
      sym_constructor_declaration,
    STATE(14278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13928), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12423), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [690910] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10670), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13519), 1,
      anon_sym_LPAREN,
    ACTIONS(13521), 1,
      anon_sym_LBRACK,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18116), 1,
      anon_sym_private,
    STATE(11643), 1,
      sym__constructor_name,
    STATE(12459), 1,
      sym_constructor_declaration,
    STATE(14279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13523), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11870), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [690956] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10536), 1,
      anon_sym_PIPE,
    ACTIONS(10664), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13222), 1,
      anon_sym_LPAREN,
    ACTIONS(13224), 1,
      anon_sym_LBRACK,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18118), 1,
      anon_sym_private,
    STATE(11409), 1,
      sym__constructor_name,
    STATE(12049), 1,
      sym_constructor_declaration,
    STATE(14280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13226), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11393), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [691002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12791), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691030] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(18080), 1,
      sym__lowercase_identifier,
    ACTIONS(18120), 1,
      anon_sym_POUND,
    STATE(14282), 1,
      sym_attribute,
    STATE(14544), 1,
      sym_type_constructor_path,
    STATE(18168), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(12437), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [691068] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10536), 1,
      anon_sym_PIPE,
    ACTIONS(10716), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13222), 1,
      anon_sym_LPAREN,
    ACTIONS(13224), 1,
      anon_sym_LBRACK,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18122), 1,
      anon_sym_private,
    STATE(11409), 1,
      sym__constructor_name,
    STATE(12049), 1,
      sym_constructor_declaration,
    STATE(14283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13226), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11580), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [691114] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(18080), 1,
      sym__lowercase_identifier,
    ACTIONS(18082), 1,
      anon_sym_POUND,
    STATE(14284), 1,
      sym_attribute,
    STATE(14590), 1,
      sym_type_constructor_path,
    STATE(18168), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(12433), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [691152] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16011), 1,
      sym__lowercase_identifier,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    STATE(14285), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16337), 1,
      sym__type_params,
    STATE(16955), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [691200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12683), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691228] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [691258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9314), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12643), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12641), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691314] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(16938), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    STATE(14290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16936), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [691346] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16011), 1,
      sym__lowercase_identifier,
    ACTIONS(16496), 1,
      anon_sym_LPAREN,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(16504), 1,
      anon_sym__,
    STATE(14291), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16354), 1,
      sym__type_params,
    STATE(17002), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(18673), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [691394] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12387), 1,
      anon_sym_in,
    ACTIONS(16658), 1,
      anon_sym_LPAREN,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14292), 1,
      sym_attribute,
    STATE(14614), 1,
      sym__simple_module_expression,
    STATE(16049), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14593), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12761), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12759), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12651), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12649), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12783), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18126), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(18124), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [691548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12621), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12613), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12355), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12353), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691632] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18128), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14300), 1,
      sym_attribute,
    STATE(14466), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18130), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [691666] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18132), 1,
      anon_sym_EQ,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14301), 1,
      sym_attribute,
    STATE(14378), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18134), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [691700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12829), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12827), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691728] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18136), 1,
      anon_sym_RPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14303), 1,
      sym_attribute,
    STATE(22246), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691767] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18140), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14304), 1,
      sym_attribute,
    STATE(22461), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691806] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18142), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14305), 1,
      sym_attribute,
    STATE(20423), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691845] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14306), 1,
      sym_attribute,
    STATE(14339), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18144), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [691876] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18146), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14307), 1,
      sym_attribute,
    STATE(21084), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691915] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18078), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [691946] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18150), 1,
      anon_sym_COLON2,
    STATE(14309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18148), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [691973] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18154), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      anon_sym_COLON2,
    STATE(14310), 1,
      sym_attribute,
    STATE(14474), 1,
      aux_sym_module_binding_repeat1,
    STATE(15230), 1,
      sym_module_parameter,
    STATE(15231), 1,
      sym__module_typed,
    STATE(15853), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(18152), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [692016] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18158), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14311), 1,
      sym_attribute,
    STATE(20855), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692055] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18160), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14312), 1,
      sym_attribute,
    STATE(20707), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692094] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18162), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14313), 1,
      sym_attribute,
    STATE(21158), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692133] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18164), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14314), 1,
      sym_attribute,
    STATE(21233), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692172] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14315), 1,
      sym_attribute,
    STATE(14355), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18166), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692203] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18168), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692234] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18170), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14317), 1,
      sym_attribute,
    STATE(21878), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692273] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8183), 1,
      anon_sym_COLON2,
    STATE(14318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [692300] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18172), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14319), 1,
      sym_attribute,
    STATE(19641), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692339] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18174), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14320), 1,
      sym_attribute,
    STATE(20887), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692378] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18176), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14321), 1,
      sym_attribute,
    STATE(21180), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10802), 1,
      anon_sym_COLON2,
    STATE(14322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10800), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [692444] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14323), 1,
      sym_attribute,
    STATE(14331), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14805), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692475] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18178), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14324), 1,
      sym_attribute,
    STATE(20836), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692514] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18180), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14325), 1,
      sym_attribute,
    STATE(19336), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692553] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14326), 1,
      sym_attribute,
    STATE(14357), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18182), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692584] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18184), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14327), 1,
      sym_attribute,
    STATE(20725), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692623] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17726), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692654] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14329), 1,
      sym_attribute,
    STATE(14403), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18186), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692685] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14330), 1,
      sym_attribute,
    STATE(14341), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18168), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692716] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14797), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692747] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14332), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14797), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692778] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14333), 1,
      sym_attribute,
    STATE(14389), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14801), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692809] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18188), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692840] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18190), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692871] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18192), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692902] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18194), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14337), 1,
      sym_attribute,
    STATE(21339), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692941] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18196), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14338), 1,
      sym_attribute,
    STATE(21317), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692980] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18198), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693011] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18200), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693042] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18144), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693073] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18202), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14342), 1,
      sym_attribute,
    STATE(21051), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693112] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13519), 1,
      anon_sym_LPAREN,
    ACTIONS(13521), 1,
      anon_sym_LBRACK,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18204), 1,
      anon_sym_DOT_DOT,
    STATE(11643), 1,
      sym__constructor_name,
    STATE(12459), 1,
      sym_constructor_declaration,
    STATE(14343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13523), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11869), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [693155] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18208), 1,
      anon_sym_COLON2,
    STATE(14344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18206), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [693182] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18210), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14345), 1,
      sym_attribute,
    STATE(21242), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693221] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17484), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693252] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18212), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693283] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18214), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14348), 1,
      sym_attribute,
    STATE(19932), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693322] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14349), 1,
      sym_attribute,
    STATE(14420), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18216), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693353] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18218), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14350), 1,
      sym_attribute,
    STATE(21340), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693392] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13519), 1,
      anon_sym_LPAREN,
    ACTIONS(13521), 1,
      anon_sym_LBRACK,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18220), 1,
      anon_sym_DOT_DOT,
    STATE(11643), 1,
      sym__constructor_name,
    STATE(12459), 1,
      sym_constructor_declaration,
    STATE(14351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13523), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [693435] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18222), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14352), 1,
      sym_attribute,
    STATE(22248), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693474] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18060), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693505] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18224), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14354), 1,
      sym_attribute,
    STATE(22521), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693544] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18226), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693575] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18228), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14356), 1,
      sym_attribute,
    STATE(21353), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693614] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18230), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693645] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8709), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18232), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14359), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10115), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693703] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14360), 1,
      sym_attribute,
    STATE(14535), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18235), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693734] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14361), 1,
      sym_attribute,
    STATE(14437), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18237), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693765] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18239), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693796] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18241), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14363), 1,
      sym_attribute,
    STATE(19680), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693835] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18243), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693866] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18245), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14365), 1,
      sym_attribute,
    STATE(21145), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693905] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18247), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693936] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18249), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693967] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      aux_sym_attribute_id_token1,
    STATE(14368), 1,
      sym_attribute,
    STATE(14503), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693996] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18098), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694027] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18253), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14370), 1,
      sym_attribute,
    STATE(20377), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694066] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18255), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14371), 1,
      sym_attribute,
    STATE(19722), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694105] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18257), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694136] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18259), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14373), 1,
      sym_attribute,
    STATE(21038), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694175] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14374), 1,
      sym_attribute,
    STATE(14426), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18261), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694206] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14375), 1,
      sym_attribute,
    STATE(14443), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18263), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694237] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18265), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14376), 1,
      sym_attribute,
    STATE(22464), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694276] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10290), 1,
      anon_sym_COLON2,
    STATE(14377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [694303] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18267), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694334] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10582), 1,
      anon_sym_PIPE,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13918), 1,
      anon_sym_LPAREN,
    ACTIONS(13920), 1,
      anon_sym_LBRACK,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18269), 1,
      anon_sym_DOT_DOT,
    STATE(12286), 1,
      sym__constructor_name,
    STATE(13226), 1,
      sym_constructor_declaration,
    STATE(14379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13922), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12401), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [694377] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18271), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14380), 1,
      sym_attribute,
    STATE(19634), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694416] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14364), 1,
      aux_sym_expression_item_repeat1,
    STATE(14381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18273), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694447] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_COLON2,
    STATE(14382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [694474] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18275), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14383), 1,
      sym_attribute,
    STATE(21020), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694513] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18277), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14384), 1,
      sym_attribute,
    STATE(20552), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694552] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14385), 1,
      sym_attribute,
    STATE(14430), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18279), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694583] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14743), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694614] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10582), 1,
      anon_sym_PIPE,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13918), 1,
      anon_sym_LPAREN,
    ACTIONS(13920), 1,
      anon_sym_LBRACK,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18281), 1,
      anon_sym_DOT_DOT,
    STATE(12286), 1,
      sym__constructor_name,
    STATE(13226), 1,
      sym_constructor_declaration,
    STATE(14387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13922), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12406), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [694657] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14388), 1,
      sym_attribute,
    STATE(14429), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14747), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694688] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14747), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694719] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18283), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14390), 1,
      sym_attribute,
    STATE(22162), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694758] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18285), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14391), 1,
      sym_attribute,
    STATE(21306), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694797] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14392), 1,
      sym_attribute,
    STATE(14492), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18287), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694828] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18289), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14393), 1,
      sym_attribute,
    STATE(21897), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694867] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18130), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694898] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18291), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14395), 1,
      sym_attribute,
    STATE(20582), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694937] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18112), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694968] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10756), 1,
      anon_sym_COLON2,
    STATE(14397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10754), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [694995] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18293), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14398), 1,
      sym_attribute,
    STATE(19613), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695034] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10614), 1,
      anon_sym_PIPE,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13924), 1,
      anon_sym_LPAREN,
    ACTIONS(13926), 1,
      anon_sym_LBRACK,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18295), 1,
      anon_sym_DOT_DOT,
    STATE(12295), 1,
      sym__constructor_name,
    STATE(13228), 1,
      sym_constructor_declaration,
    STATE(14399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13928), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12422), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [695077] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18297), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14400), 1,
      sym_attribute,
    STATE(20267), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695116] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18299), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14401), 1,
      sym_attribute,
    STATE(21805), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695155] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11433), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18301), 1,
      anon_sym_STAR,
    STATE(14402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 10,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695184] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18303), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695215] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18305), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14404), 1,
      sym_attribute,
    STATE(19732), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695254] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10614), 1,
      anon_sym_PIPE,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13924), 1,
      anon_sym_LPAREN,
    ACTIONS(13926), 1,
      anon_sym_LBRACK,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18307), 1,
      anon_sym_DOT_DOT,
    STATE(12295), 1,
      sym__constructor_name,
    STATE(13228), 1,
      sym_constructor_declaration,
    STATE(14405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13928), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12427), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [695297] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18309), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14406), 1,
      sym_attribute,
    STATE(21667), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695336] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18311), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14407), 1,
      sym_attribute,
    STATE(20666), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695375] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18313), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14408), 1,
      sym_attribute,
    STATE(21734), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695414] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8731), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695445] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18315), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14410), 1,
      sym_attribute,
    STATE(21479), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695484] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18317), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695515] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18319), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14412), 1,
      sym_attribute,
    STATE(21773), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695554] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18321), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14413), 1,
      sym_attribute,
    STATE(22173), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695593] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10796), 1,
      anon_sym_COLON2,
    STATE(14414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [695620] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON2,
    STATE(14415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10804), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [695647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON2,
    STATE(14416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [695674] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18323), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14417), 1,
      sym_attribute,
    STATE(21117), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695713] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14366), 1,
      aux_sym_expression_item_repeat1,
    STATE(14418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18325), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695744] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14347), 1,
      aux_sym_expression_item_repeat1,
    STATE(14419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18327), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695775] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18329), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695806] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18331), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14421), 1,
      sym_attribute,
    STATE(19987), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695845] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18333), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14422), 1,
      sym_attribute,
    STATE(19595), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695884] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18335), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14423), 1,
      sym_attribute,
    STATE(21848), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695923] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10810), 1,
      anon_sym_COLON2,
    STATE(14424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [695950] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14367), 1,
      aux_sym_expression_item_repeat1,
    STATE(14425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18337), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695981] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18339), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696012] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14427), 1,
      sym_attribute,
    STATE(14454), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18341), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696043] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18343), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14428), 1,
      sym_attribute,
    STATE(20112), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696082] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14720), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696113] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18345), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696144] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10814), 1,
      anon_sym_COLON2,
    STATE(14431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [696171] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18347), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14432), 1,
      sym_attribute,
    STATE(19773), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696210] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18349), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14433), 1,
      sym_attribute,
    STATE(20146), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10364), 1,
      anon_sym_COLON2,
    STATE(14434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [696276] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_COLON2,
    STATE(14435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [696303] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18353), 1,
      anon_sym_COLON2,
    STATE(14436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18351), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [696330] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18355), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696361] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18357), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14438), 1,
      sym_attribute,
    STATE(21578), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696400] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18359), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14439), 1,
      sym_attribute,
    STATE(20032), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696439] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18361), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14440), 1,
      sym_attribute,
    STATE(21478), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696478] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14441), 1,
      sym_attribute,
    STATE(14453), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18363), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696509] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14411), 1,
      aux_sym_expression_item_repeat1,
    STATE(14442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18365), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696540] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18367), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696571] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14372), 1,
      aux_sym_expression_item_repeat1,
    STATE(14444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18369), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696602] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18371), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696633] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10858), 1,
      anon_sym_COLON2,
    STATE(14446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10856), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [696660] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10750), 1,
      anon_sym_COLON2,
    STATE(14447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [696687] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18373), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14448), 1,
      sym_attribute,
    STATE(21396), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10768), 1,
      anon_sym_COLON2,
    STATE(14449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10766), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [696753] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18375), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14450), 1,
      sym_attribute,
    STATE(21932), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696792] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17582), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696823] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18377), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14452), 1,
      sym_attribute,
    STATE(21964), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696862] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18379), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696893] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18381), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696924] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14455), 1,
      sym_attribute,
    STATE(14469), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18383), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696955] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10850), 1,
      anon_sym_COLON2,
    STATE(14456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [696982] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17620), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697013] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18385), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14458), 1,
      sym_attribute,
    STATE(22031), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697052] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18387), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14459), 1,
      sym_attribute,
    STATE(20903), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697091] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18389), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697122] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18134), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697153] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10536), 1,
      anon_sym_PIPE,
    ACTIONS(13222), 1,
      anon_sym_LPAREN,
    ACTIONS(13224), 1,
      anon_sym_LBRACK,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18391), 1,
      anon_sym_DOT_DOT,
    STATE(11409), 1,
      sym__constructor_name,
    STATE(12049), 1,
      sym_constructor_declaration,
    STATE(14462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13226), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11468), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [697196] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18393), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14463), 1,
      sym_attribute,
    STATE(19796), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697235] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10380), 1,
      anon_sym_COLON2,
    STATE(14464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [697262] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18395), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14465), 1,
      sym_attribute,
    STATE(21481), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697301] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18397), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697332] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18399), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697363] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18401), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14468), 1,
      sym_attribute,
    STATE(21913), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697402] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18403), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697433] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18405), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14470), 1,
      sym_attribute,
    STATE(22338), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697472] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18407), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14471), 1,
      sym_attribute,
    STATE(21868), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697511] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_COLON2,
    STATE(14472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10336), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [697540] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18409), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14473), 1,
      sym_attribute,
    STATE(22250), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697579] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18154), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      anon_sym_COLON2,
    STATE(14474), 1,
      sym_attribute,
    STATE(14727), 1,
      aux_sym_module_binding_repeat1,
    STATE(15014), 1,
      sym__module_typed,
    STATE(15230), 1,
      sym_module_parameter,
    STATE(15838), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13108), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(18411), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [697622] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18415), 1,
      anon_sym_COLON2,
    STATE(14475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18413), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [697649] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18417), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14476), 1,
      sym_attribute,
    STATE(22205), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697688] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18419), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14477), 1,
      sym_attribute,
    STATE(22041), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697727] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18421), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14478), 1,
      sym_attribute,
    STATE(19695), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697766] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18423), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14479), 1,
      sym_attribute,
    STATE(21384), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697805] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18425), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14480), 1,
      sym_attribute,
    STATE(22425), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697844] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18427), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14481), 1,
      sym_attribute,
    STATE(22469), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697883] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18431), 1,
      anon_sym_COLON2,
    STATE(14482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18429), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [697910] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14340), 1,
      aux_sym_expression_item_repeat1,
    STATE(14483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18433), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697941] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18437), 1,
      anon_sym_COLON2,
    STATE(14484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18435), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [697968] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697999] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18439), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14486), 1,
      sym_attribute,
    STATE(21942), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698038] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10326), 1,
      anon_sym_COLON2,
    STATE(14487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [698065] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10776), 1,
      anon_sym_COLON2,
    STATE(14488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10774), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [698092] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [698117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18443), 1,
      anon_sym_COLON2,
    STATE(14490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18441), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [698144] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18445), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14491), 1,
      sym_attribute,
    STATE(20291), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698183] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18447), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698214] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18449), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14493), 1,
      sym_attribute,
    STATE(20355), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698253] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18451), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14494), 1,
      sym_attribute,
    STATE(20198), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698292] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18453), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14495), 1,
      sym_attribute,
    STATE(21115), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698331] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18455), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14496), 1,
      sym_attribute,
    STATE(22030), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698370] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18457), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14497), 1,
      sym_attribute,
    STATE(21099), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698409] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18459), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14498), 1,
      sym_attribute,
    STATE(22292), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698448] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10536), 1,
      anon_sym_PIPE,
    ACTIONS(13222), 1,
      anon_sym_LPAREN,
    ACTIONS(13224), 1,
      anon_sym_LBRACK,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(18094), 1,
      anon_sym_LBRACE,
    ACTIONS(18461), 1,
      anon_sym_DOT_DOT,
    STATE(11409), 1,
      sym__constructor_name,
    STATE(12049), 1,
      sym_constructor_declaration,
    STATE(14499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13226), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11574), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [698491] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18463), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14500), 1,
      sym_attribute,
    STATE(19807), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698530] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18465), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14501), 1,
      sym_attribute,
    STATE(20461), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698569] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18467), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14502), 1,
      sym_attribute,
    STATE(20784), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698608] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      aux_sym_attribute_id_token1,
    STATE(14359), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698637] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14460), 1,
      aux_sym_expression_item_repeat1,
    STATE(14504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18469), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698668] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18471), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14505), 1,
      sym_attribute,
    STATE(21260), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698707] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18473), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14506), 1,
      sym_attribute,
    STATE(20631), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10780), 1,
      anon_sym_COLON2,
    STATE(14507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10778), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [698773] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18475), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14508), 1,
      sym_attribute,
    STATE(20522), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698812] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10838), 1,
      anon_sym_COLON2,
    STATE(14509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10836), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [698839] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18477), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14510), 1,
      sym_attribute,
    STATE(20444), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698878] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17935), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698909] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18479), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14512), 1,
      sym_attribute,
    STATE(20526), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698948] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18481), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14513), 1,
      sym_attribute,
    STATE(20283), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698987] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [699012] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18483), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14515), 1,
      sym_attribute,
    STATE(20569), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699051] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10784), 1,
      anon_sym_COLON2,
    STATE(14516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10782), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [699078] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18485), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14517), 1,
      sym_attribute,
    STATE(21141), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699117] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18487), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14518), 1,
      sym_attribute,
    STATE(22497), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699156] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18489), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14519), 1,
      sym_attribute,
    STATE(19669), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699195] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10862), 1,
      anon_sym_COLON2,
    STATE(14520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10860), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [699222] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18491), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14521), 1,
      sym_attribute,
    STATE(19644), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699261] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10830), 1,
      anon_sym_COLON2,
    STATE(14522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [699288] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14336), 1,
      aux_sym_expression_item_repeat1,
    STATE(14523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18493), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699319] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18495), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14524), 1,
      sym_attribute,
    STATE(21880), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699358] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18070), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18499), 1,
      anon_sym_COLON2,
    STATE(14526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18497), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [699416] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_COLON2,
    STATE(14527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10790), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [699443] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18501), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14528), 1,
      sym_attribute,
    STATE(20807), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699482] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18503), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14529), 1,
      sym_attribute,
    STATE(20754), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699521] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18505), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14530), 1,
      sym_attribute,
    STATE(21323), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699560] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18507), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14531), 1,
      sym_attribute,
    STATE(21045), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699599] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(18509), 1,
      anon_sym_RPAREN,
    STATE(10193), 1,
      sym__simple_module_expression,
    STATE(14532), 1,
      sym_attribute,
    STATE(20678), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10172), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699638] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8737), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18513), 1,
      anon_sym_COLON2,
    STATE(14534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18511), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [699696] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18515), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699727] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12803), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [699753] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18517), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699783] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14538), 1,
      sym_attribute,
    STATE(14542), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18519), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699813] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12723), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [699839] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12621), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [699865] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12791), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [699891] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18521), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699921] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(16910), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18088), 1,
      anon_sym_DASH_GT,
    STATE(14543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16906), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699951] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12639), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12637), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [699977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12727), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700003] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12779), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700029] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12633), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700055] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14548), 1,
      sym_attribute,
    STATE(14569), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18523), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700085] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12355), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12353), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700111] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12813), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12811), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700137] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12829), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12827), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700163] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12795), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700189] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12817), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12815), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700215] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(18052), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18088), 1,
      anon_sym_DASH_GT,
    STATE(14554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18050), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700245] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12643), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12641), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700271] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10354), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700297] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12651), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12649), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700323] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12761), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12759), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18525), 1,
      anon_sym_DOT,
    STATE(14559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12343), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [700375] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14560), 1,
      sym_attribute,
    STATE(14579), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18527), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700405] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12683), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700431] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(16934), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18088), 1,
      anon_sym_DASH_GT,
    STATE(14562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16932), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700461] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14563), 1,
      sym_attribute,
    STATE(14570), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18529), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700491] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14537), 1,
      aux_sym_expression_item_repeat1,
    STATE(14564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18531), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700521] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13592), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18088), 1,
      anon_sym_DASH_GT,
    STATE(14565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13590), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700549] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [700573] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18533), 1,
      aux_sym_attribute_id_token1,
    STATE(14567), 1,
      sym_attribute,
    STATE(14578), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(10093), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [700603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12611), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12609), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700629] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18535), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700659] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18537), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700689] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    STATE(14571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 10,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [700715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8971), 1,
      anon_sym_POUND,
    STATE(14572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 10,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      sym_hash_operator,
  [700741] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_attribute_id_token1,
  [700765] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12625), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700791] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [700815] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10336), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12821), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12819), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700867] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18541), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14578), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10113), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(10115), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [700895] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_item_attribute,
    STATE(14579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18523), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700925] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9302), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700951] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(16938), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18088), 1,
      anon_sym_DASH_GT,
    STATE(14581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16936), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12833), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12831), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701007] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9306), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701033] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18533), 1,
      aux_sym_attribute_id_token1,
    STATE(14567), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9971), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(9973), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [701063] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12675), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12673), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12787), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9310), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9314), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701167] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12825), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12823), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701193] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12613), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12783), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701245] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13312), 1,
      anon_sym_LPAREN,
    ACTIONS(13314), 1,
      anon_sym_LBRACK,
    ACTIONS(18544), 1,
      anon_sym_private,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    STATE(11652), 1,
      sym_variant_declaration,
    STATE(11730), 1,
      sym__constructor_name,
    STATE(12454), 1,
      sym_constructor_declaration,
    STATE(14592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13316), 2,
      anon_sym_true,
      anon_sym_false,
  [701284] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12425), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701307] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12417), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701330] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12357), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701353] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701376] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14549), 1,
      anon_sym_LPAREN,
    ACTIONS(14551), 1,
      anon_sym_LBRACK,
    ACTIONS(18548), 1,
      anon_sym_private,
    ACTIONS(18550), 1,
      anon_sym_PIPE,
    STATE(11652), 1,
      sym_variant_declaration,
    STATE(13045), 1,
      sym__constructor_name,
    STATE(13533), 1,
      sym_constructor_declaration,
    STATE(14597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 2,
      anon_sym_true,
      anon_sym_false,
  [701415] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13674), 1,
      anon_sym_LPAREN,
    ACTIONS(13676), 1,
      anon_sym_LBRACK,
    ACTIONS(18552), 1,
      anon_sym_private,
    ACTIONS(18554), 1,
      anon_sym_PIPE,
    STATE(11652), 1,
      sym_variant_declaration,
    STATE(12080), 1,
      sym__constructor_name,
    STATE(13005), 1,
      sym_constructor_declaration,
    STATE(14598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13678), 2,
      anon_sym_true,
      anon_sym_false,
  [701454] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14549), 1,
      anon_sym_LPAREN,
    ACTIONS(14551), 1,
      anon_sym_LBRACK,
    ACTIONS(18550), 1,
      anon_sym_PIPE,
    ACTIONS(18556), 1,
      anon_sym_private,
    STATE(11782), 1,
      sym_variant_declaration,
    STATE(13045), 1,
      sym__constructor_name,
    STATE(13533), 1,
      sym_constructor_declaration,
    STATE(14599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 2,
      anon_sym_true,
      anon_sym_false,
  [701493] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12421), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701516] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5885), 1,
      anon_sym_COLON2,
    ACTIONS(18090), 1,
      anon_sym_DOT_DOT,
    STATE(14601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5881), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [701543] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10113), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(10115), 6,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_attribute_id_token1,
  [701568] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12559), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12561), 1,
      anon_sym_in,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(14603), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_STAR,
    STATE(14604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [701634] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18570), 1,
      anon_sym_COLON2,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    STATE(14605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18564), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [701667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(14606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [701692] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18576), 1,
      anon_sym_constraint,
    STATE(14607), 1,
      sym_attribute,
    STATE(14633), 1,
      aux_sym_type_binding_repeat1,
    STATE(14897), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13467), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [701721] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13674), 1,
      anon_sym_LPAREN,
    ACTIONS(13676), 1,
      anon_sym_LBRACK,
    ACTIONS(18554), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_private,
    STATE(11782), 1,
      sym_variant_declaration,
    STATE(12080), 1,
      sym__constructor_name,
    STATE(13005), 1,
      sym_constructor_declaration,
    STATE(14608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13678), 2,
      anon_sym_true,
      anon_sym_false,
  [701760] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12411), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701783] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12369), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701806] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18582), 1,
      anon_sym_COLON2,
    STATE(14611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18580), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [701835] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18586), 1,
      anon_sym_COLON2,
    STATE(14612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18584), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [701868] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12619), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(14613), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701909] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12443), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701932] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12677), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12679), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(14615), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701973] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14558), 1,
      anon_sym_LPAREN,
    ACTIONS(14560), 1,
      anon_sym_LBRACK,
    ACTIONS(18588), 1,
      anon_sym_private,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    STATE(11652), 1,
      sym_variant_declaration,
    STATE(12505), 1,
      sym__constructor_name,
    STATE(13537), 1,
      sym_constructor_declaration,
    STATE(14616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14562), 2,
      anon_sym_true,
      anon_sym_false,
  [702012] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12629), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12631), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(14617), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702053] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14558), 1,
      anon_sym_LPAREN,
    ACTIONS(14560), 1,
      anon_sym_LBRACK,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_private,
    STATE(11782), 1,
      sym_variant_declaration,
    STATE(12505), 1,
      sym__constructor_name,
    STATE(13537), 1,
      sym_constructor_declaration,
    STATE(14618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14562), 2,
      anon_sym_true,
      anon_sym_false,
  [702092] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12407), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [702115] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18594), 1,
      anon_sym_constraint,
    STATE(14897), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14620), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13525), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [702142] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [702165] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18599), 1,
      anon_sym_COLON2,
    STATE(14622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18597), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [702192] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12391), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [702215] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12361), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [702238] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12669), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12671), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(14625), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702279] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13312), 1,
      anon_sym_LPAREN,
    ACTIONS(13314), 1,
      anon_sym_LBRACK,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18601), 1,
      anon_sym_private,
    STATE(11730), 1,
      sym__constructor_name,
    STATE(11782), 1,
      sym_variant_declaration,
    STATE(12454), 1,
      sym_constructor_declaration,
    STATE(14626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13316), 2,
      anon_sym_true,
      anon_sym_false,
  [702318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(14627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [702343] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18576), 1,
      anon_sym_constraint,
    STATE(14628), 1,
      sym_attribute,
    STATE(14629), 1,
      aux_sym_type_binding_repeat1,
    STATE(14897), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13481), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [702372] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18576), 1,
      anon_sym_constraint,
    STATE(14620), 1,
      aux_sym_type_binding_repeat1,
    STATE(14629), 1,
      sym_attribute,
    STATE(14897), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13507), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [702401] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18605), 1,
      anon_sym_COLON2,
    STATE(14630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18603), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [702428] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12343), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [702451] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    STATE(14632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13590), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [702476] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18576), 1,
      anon_sym_constraint,
    STATE(14620), 1,
      aux_sym_type_binding_repeat1,
    STATE(14633), 1,
      sym_attribute,
    STATE(14897), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13481), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [702505] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_DASH_GT,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12801), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(14634), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(17242), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702546] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18609), 1,
      sym__lowercase_identifier,
    ACTIONS(18611), 1,
      anon_sym_LPAREN,
    ACTIONS(18613), 1,
      anon_sym_LBRACK,
    ACTIONS(18615), 1,
      anon_sym_LBRACE,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    STATE(7020), 1,
      sym_field_path,
    STATE(14635), 1,
      sym_attribute,
    STATE(17963), 1,
      sym_indexing_operator_path,
    STATE(20424), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702584] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18619), 1,
      sym__lowercase_identifier,
    ACTIONS(18621), 1,
      anon_sym_LPAREN,
    ACTIONS(18623), 1,
      anon_sym_LBRACK,
    ACTIONS(18625), 1,
      anon_sym_LBRACE,
    STATE(5941), 1,
      sym_field_path,
    STATE(14636), 1,
      sym_attribute,
    STATE(17858), 1,
      sym_indexing_operator_path,
    STATE(19615), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702622] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14637), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21544), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [702652] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10322), 1,
      anon_sym_COLON2,
    STATE(14638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [702676] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18633), 1,
      anon_sym_LPAREN,
    ACTIONS(18635), 1,
      anon_sym_DOT,
    STATE(14639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [702702] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12996), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    ACTIONS(18637), 1,
      anon_sym_STAR,
    STATE(14640), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(15923), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702740] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18639), 1,
      sym__lowercase_identifier,
    ACTIONS(18641), 1,
      anon_sym_LPAREN,
    ACTIONS(18643), 1,
      anon_sym_LBRACK,
    ACTIONS(18645), 1,
      anon_sym_LBRACE,
    STATE(6240), 1,
      sym_field_path,
    STATE(14641), 1,
      sym_attribute,
    STATE(17862), 1,
      sym_indexing_operator_path,
    STATE(19670), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702778] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18647), 1,
      anon_sym_DASH_GT,
    ACTIONS(18649), 1,
      anon_sym_as,
    STATE(14642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13658), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [702804] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10360), 1,
      anon_sym_COLON2,
    STATE(14643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [702828] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14549), 1,
      anon_sym_LPAREN,
    ACTIONS(14551), 1,
      anon_sym_LBRACK,
    ACTIONS(18550), 1,
      anon_sym_PIPE,
    STATE(11921), 1,
      sym_variant_declaration,
    STATE(13045), 1,
      sym__constructor_name,
    STATE(13533), 1,
      sym_constructor_declaration,
    STATE(14644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 2,
      anon_sym_true,
      anon_sym_false,
  [702864] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14645), 1,
      sym_attribute,
    STATE(20544), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [702894] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18651), 1,
      sym__lowercase_identifier,
    ACTIONS(18653), 1,
      anon_sym_LPAREN,
    ACTIONS(18655), 1,
      anon_sym_LBRACK,
    ACTIONS(18657), 1,
      anon_sym_LBRACE,
    STATE(5693), 1,
      sym_field_path,
    STATE(14646), 1,
      sym_attribute,
    STATE(17940), 1,
      sym_indexing_operator_path,
    STATE(20268), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702932] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18659), 1,
      sym__lowercase_identifier,
    ACTIONS(18661), 1,
      anon_sym_LPAREN,
    ACTIONS(18663), 1,
      anon_sym_LBRACK,
    ACTIONS(18665), 1,
      anon_sym_LBRACE,
    STATE(3635), 1,
      sym_field_path,
    STATE(14647), 1,
      sym_attribute,
    STATE(17831), 1,
      sym_indexing_operator_path,
    STATE(22450), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702970] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14648), 1,
      sym_attribute,
    STATE(19563), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703000] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14649), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(22314), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703030] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14650), 1,
      sym_attribute,
    STATE(19741), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703060] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18667), 1,
      sym__lowercase_identifier,
    ACTIONS(18669), 1,
      anon_sym_LPAREN,
    ACTIONS(18671), 1,
      anon_sym_LBRACK,
    ACTIONS(18673), 1,
      anon_sym_LBRACE,
    STATE(7668), 1,
      sym_field_path,
    STATE(14651), 1,
      sym_attribute,
    STATE(17764), 1,
      sym_indexing_operator_path,
    STATE(19759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703098] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14652), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21923), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703128] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12633), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [703154] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    ACTIONS(6253), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18675), 1,
      anon_sym_LPAREN,
    ACTIONS(18677), 1,
      anon_sym_LBRACE,
    ACTIONS(18679), 1,
      sym__uppercase_identifier,
    STATE(6504), 1,
      sym__constructor_name,
    STATE(14654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6713), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [703188] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_COLON2,
    STATE(14655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10248), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [703212] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18681), 1,
      sym__lowercase_identifier,
    ACTIONS(18683), 1,
      anon_sym_LPAREN,
    ACTIONS(18685), 1,
      anon_sym_LBRACK,
    ACTIONS(18687), 1,
      anon_sym_LBRACE,
    STATE(3644), 1,
      sym_field_path,
    STATE(14656), 1,
      sym_attribute,
    STATE(17930), 1,
      sym_indexing_operator_path,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703250] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18689), 1,
      anon_sym_LPAREN,
    ACTIONS(18691), 1,
      anon_sym_LBRACE,
    ACTIONS(18693), 1,
      sym__uppercase_identifier,
    STATE(9851), 1,
      sym__constructor_name,
    STATE(14657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10153), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [703284] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14658), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21812), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703314] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13674), 1,
      anon_sym_LPAREN,
    ACTIONS(13676), 1,
      anon_sym_LBRACK,
    ACTIONS(18554), 1,
      anon_sym_PIPE,
    STATE(11799), 1,
      sym_variant_declaration,
    STATE(12080), 1,
      sym__constructor_name,
    STATE(13005), 1,
      sym_constructor_declaration,
    STATE(14659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13678), 2,
      anon_sym_true,
      anon_sym_false,
  [703350] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18695), 1,
      sym__lowercase_identifier,
    ACTIONS(18697), 1,
      anon_sym_LPAREN,
    ACTIONS(18699), 1,
      anon_sym_LBRACK,
    ACTIONS(18701), 1,
      anon_sym_LBRACE,
    STATE(7195), 1,
      sym_field_path,
    STATE(14660), 1,
      sym_attribute,
    STATE(17896), 1,
      sym_indexing_operator_path,
    STATE(19983), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703388] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14661), 1,
      sym_attribute,
    STATE(20767), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703418] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7961), 1,
      anon_sym_LBRACK,
    ACTIONS(7971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18703), 1,
      anon_sym_LPAREN,
    ACTIONS(18705), 1,
      anon_sym_LBRACE,
    ACTIONS(18707), 1,
      sym__uppercase_identifier,
    STATE(8595), 1,
      sym__constructor_name,
    STATE(14662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8539), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [703452] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14663), 1,
      sym_attribute,
    STATE(21194), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703482] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18709), 1,
      sym__lowercase_identifier,
    ACTIONS(18711), 1,
      anon_sym_LPAREN,
    ACTIONS(18713), 1,
      anon_sym_LBRACK,
    ACTIONS(18715), 1,
      anon_sym_LBRACE,
    STATE(10948), 1,
      sym_field_path,
    STATE(14664), 1,
      sym_attribute,
    STATE(17888), 1,
      sym_indexing_operator_path,
    STATE(19901), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703520] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10286), 1,
      anon_sym_COLON2,
    STATE(14665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [703544] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14666), 1,
      sym_attribute,
    STATE(20124), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703574] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18717), 1,
      sym__lowercase_identifier,
    ACTIONS(18719), 1,
      anon_sym_LPAREN,
    ACTIONS(18721), 1,
      anon_sym_LBRACK,
    ACTIONS(18723), 1,
      anon_sym_LBRACE,
    STATE(8063), 1,
      sym_field_path,
    STATE(14667), 1,
      sym_attribute,
    STATE(18007), 1,
      sym_indexing_operator_path,
    STATE(20766), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703612] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18725), 1,
      anon_sym_LPAREN,
    ACTIONS(18727), 1,
      anon_sym_LBRACE,
    ACTIONS(18729), 1,
      sym__uppercase_identifier,
    STATE(10649), 1,
      sym__constructor_name,
    STATE(14668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15555), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [703646] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10342), 1,
      anon_sym_COLON2,
    STATE(14669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [703670] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14670), 1,
      sym_attribute,
    STATE(21408), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703700] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18731), 1,
      sym__lowercase_identifier,
    ACTIONS(18733), 1,
      anon_sym_LPAREN,
    ACTIONS(18735), 1,
      anon_sym_LBRACK,
    ACTIONS(18737), 1,
      anon_sym_LBRACE,
    STATE(4652), 1,
      sym_field_path,
    STATE(14671), 1,
      sym_attribute,
    STATE(17914), 1,
      sym_indexing_operator_path,
    STATE(20106), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703738] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(18739), 1,
      anon_sym_LPAREN,
    ACTIONS(18741), 1,
      anon_sym_LBRACK,
    STATE(12036), 1,
      sym_constructor_declaration,
    STATE(13553), 1,
      sym__constructor_name,
    STATE(14672), 1,
      sym_attribute,
    STATE(15197), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18743), 2,
      anon_sym_true,
      anon_sym_false,
  [703774] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(18745), 1,
      anon_sym_LPAREN,
    ACTIONS(18747), 1,
      anon_sym_LBRACK,
    ACTIONS(18751), 1,
      sym__uppercase_identifier,
    STATE(14673), 1,
      sym_attribute,
    STATE(15162), 1,
      sym__attribute,
    STATE(15795), 1,
      sym__constructor_name,
    STATE(16192), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18749), 2,
      anon_sym_true,
      anon_sym_false,
  [703810] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18753), 1,
      anon_sym_LPAREN,
    ACTIONS(18755), 1,
      anon_sym_LBRACE,
    ACTIONS(18757), 1,
      sym__uppercase_identifier,
    STATE(9756), 1,
      sym__constructor_name,
    STATE(14674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14702), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [703844] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10352), 1,
      anon_sym_COLON2,
    STATE(14675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [703868] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [703890] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18759), 1,
      sym__lowercase_identifier,
    ACTIONS(18761), 1,
      anon_sym_LPAREN,
    ACTIONS(18763), 1,
      anon_sym_LBRACK,
    ACTIONS(18765), 1,
      anon_sym_LBRACE,
    STATE(3337), 1,
      sym_field_path,
    STATE(14677), 1,
      sym_attribute,
    STATE(18004), 1,
      sym_indexing_operator_path,
    STATE(20728), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703928] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14678), 1,
      sym_attribute,
    STATE(20755), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703958] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14679), 1,
      sym_attribute,
    STATE(20786), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703988] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14680), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21763), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704018] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14681), 1,
      sym_attribute,
    STATE(19784), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704048] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(5897), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18767), 1,
      anon_sym_LPAREN,
    ACTIONS(18769), 1,
      anon_sym_LBRACE,
    ACTIONS(18771), 1,
      sym__uppercase_identifier,
    STATE(6253), 1,
      sym__constructor_name,
    STATE(14682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6464), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [704082] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18773), 1,
      sym__lowercase_identifier,
    ACTIONS(18775), 1,
      anon_sym_LPAREN,
    ACTIONS(18777), 1,
      anon_sym_LBRACK,
    ACTIONS(18779), 1,
      anon_sym_LBRACE,
    STATE(8858), 1,
      sym_field_path,
    STATE(14683), 1,
      sym_attribute,
    STATE(17795), 1,
      sym_indexing_operator_path,
    STATE(20937), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704120] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18647), 1,
      anon_sym_DASH_GT,
    ACTIONS(18649), 1,
      anon_sym_as,
    STATE(14684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [704146] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18781), 1,
      sym__lowercase_identifier,
    ACTIONS(18783), 1,
      anon_sym_LPAREN,
    ACTIONS(18785), 1,
      anon_sym_LBRACK,
    ACTIONS(18787), 1,
      anon_sym_LBRACE,
    STATE(4745), 1,
      sym_field_path,
    STATE(14685), 1,
      sym_attribute,
    STATE(17839), 1,
      sym_indexing_operator_path,
    STATE(19380), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704184] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14686), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21960), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704214] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    ACTIONS(6055), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18789), 1,
      anon_sym_LPAREN,
    ACTIONS(18791), 1,
      anon_sym_LBRACE,
    ACTIONS(18793), 1,
      sym__uppercase_identifier,
    STATE(6347), 1,
      sym__constructor_name,
    STATE(14687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6561), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [704248] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18799), 1,
      sym__right_quoted_string_delimiter,
    STATE(14688), 1,
      sym_attribute,
    STATE(14877), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(19415), 1,
      sym_quoted_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18797), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(18795), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [704278] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14689), 1,
      sym_attribute,
    STATE(21111), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704308] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18801), 1,
      sym__lowercase_identifier,
    ACTIONS(18803), 1,
      anon_sym_LPAREN,
    ACTIONS(18805), 1,
      anon_sym_LBRACK,
    ACTIONS(18807), 1,
      anon_sym_LBRACE,
    STATE(6768), 1,
      sym_field_path,
    STATE(14690), 1,
      sym_attribute,
    STATE(17979), 1,
      sym_indexing_operator_path,
    STATE(20538), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704346] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18809), 1,
      sym__lowercase_identifier,
    ACTIONS(18811), 1,
      anon_sym_LPAREN,
    ACTIONS(18813), 1,
      anon_sym_LBRACK,
    ACTIONS(18815), 1,
      anon_sym_LBRACE,
    STATE(3516), 1,
      sym_field_path,
    STATE(14691), 1,
      sym_attribute,
    STATE(18001), 1,
      sym_indexing_operator_path,
    STATE(20690), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704384] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13312), 1,
      anon_sym_LPAREN,
    ACTIONS(13314), 1,
      anon_sym_LBRACK,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    STATE(11730), 1,
      sym__constructor_name,
    STATE(11799), 1,
      sym_variant_declaration,
    STATE(12454), 1,
      sym_constructor_declaration,
    STATE(14692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13316), 2,
      anon_sym_true,
      anon_sym_false,
  [704420] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14693), 1,
      sym_attribute,
    STATE(21249), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704450] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18817), 1,
      anon_sym_LPAREN,
    ACTIONS(18819), 1,
      anon_sym_LBRACE,
    ACTIONS(18821), 1,
      sym__uppercase_identifier,
    STATE(6386), 1,
      sym__constructor_name,
    STATE(14694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6603), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [704484] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14695), 1,
      sym_attribute,
    STATE(20953), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704514] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18823), 1,
      sym__lowercase_identifier,
    ACTIONS(18825), 1,
      anon_sym_LPAREN,
    ACTIONS(18827), 1,
      anon_sym_LBRACK,
    ACTIONS(18829), 1,
      anon_sym_LBRACE,
    STATE(3854), 1,
      sym_field_path,
    STATE(14696), 1,
      sym_attribute,
    STATE(17951), 1,
      sym_indexing_operator_path,
    STATE(20346), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704552] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10258), 1,
      anon_sym_COLON2,
    STATE(14697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [704576] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10264), 1,
      anon_sym_COLON2,
    STATE(14698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10262), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [704600] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14699), 1,
      sym_attribute,
    STATE(21047), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704630] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18831), 1,
      sym__lowercase_identifier,
    ACTIONS(18833), 1,
      anon_sym_LPAREN,
    ACTIONS(18835), 1,
      anon_sym_LBRACK,
    ACTIONS(18837), 1,
      anon_sym_LBRACE,
    STATE(6146), 1,
      sym_field_path,
    STATE(14700), 1,
      sym_attribute,
    STATE(17995), 1,
      sym_indexing_operator_path,
    STATE(20652), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704668] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18839), 1,
      sym__lowercase_identifier,
    ACTIONS(18841), 1,
      anon_sym_LPAREN,
    ACTIONS(18843), 1,
      anon_sym_LBRACK,
    ACTIONS(18845), 1,
      anon_sym_LBRACE,
    STATE(7159), 1,
      sym_field_path,
    STATE(14701), 1,
      sym_attribute,
    STATE(17876), 1,
      sym_indexing_operator_path,
    STATE(19819), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704706] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10348), 1,
      anon_sym_COLON2,
    STATE(14702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [704730] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10384), 1,
      anon_sym_COLON2,
    STATE(14703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10382), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [704754] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14704), 1,
      sym_attribute,
    STATE(21100), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704784] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12437), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18847), 1,
      anon_sym_POUND,
    STATE(14705), 1,
      sym_attribute,
    STATE(14997), 1,
      sym_type_constructor_path,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 3,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [704818] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [704840] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [704862] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18849), 1,
      sym__lowercase_identifier,
    ACTIONS(18851), 1,
      anon_sym_LPAREN,
    ACTIONS(18853), 1,
      anon_sym_LBRACK,
    ACTIONS(18855), 1,
      anon_sym_LBRACE,
    STATE(7175), 1,
      sym_field_path,
    STATE(14708), 1,
      sym_attribute,
    STATE(17882), 1,
      sym_indexing_operator_path,
    STATE(19860), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704900] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18857), 1,
      sym__lowercase_identifier,
    ACTIONS(18859), 1,
      anon_sym_LPAREN,
    ACTIONS(18861), 1,
      anon_sym_LBRACK,
    ACTIONS(18863), 1,
      anon_sym_LBRACE,
    STATE(3364), 1,
      sym_field_path,
    STATE(14709), 1,
      sym_attribute,
    STATE(18011), 1,
      sym_indexing_operator_path,
    STATE(20803), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704938] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18865), 1,
      sym__lowercase_identifier,
    ACTIONS(18867), 1,
      anon_sym_LPAREN,
    ACTIONS(18869), 1,
      anon_sym_LBRACK,
    ACTIONS(18871), 1,
      anon_sym_LBRACE,
    STATE(7118), 1,
      sym_field_path,
    STATE(14710), 1,
      sym_attribute,
    STATE(17866), 1,
      sym_indexing_operator_path,
    STATE(19725), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704976] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10268), 1,
      anon_sym_COLON2,
    STATE(14711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10266), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [705000] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14712), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21761), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705030] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14713), 1,
      sym_attribute,
    STATE(19418), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705060] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14714), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21919), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705090] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14715), 1,
      sym_attribute,
    STATE(20178), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705120] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7917), 1,
      anon_sym_LBRACK,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18873), 1,
      anon_sym_LPAREN,
    ACTIONS(18875), 1,
      anon_sym_LBRACE,
    ACTIONS(18877), 1,
      sym__uppercase_identifier,
    STATE(8472), 1,
      sym__constructor_name,
    STATE(14716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8414), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [705154] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14558), 1,
      anon_sym_LPAREN,
    ACTIONS(14560), 1,
      anon_sym_LBRACK,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    STATE(11799), 1,
      sym_variant_declaration,
    STATE(12505), 1,
      sym__constructor_name,
    STATE(13537), 1,
      sym_constructor_declaration,
    STATE(14717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14562), 2,
      anon_sym_true,
      anon_sym_false,
  [705190] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18879), 1,
      sym__lowercase_identifier,
    ACTIONS(18881), 1,
      anon_sym_LPAREN,
    ACTIONS(18883), 1,
      anon_sym_LBRACK,
    ACTIONS(18885), 1,
      anon_sym_LBRACE,
    STATE(6934), 1,
      sym_field_path,
    STATE(14718), 1,
      sym_attribute,
    STATE(17945), 1,
      sym_indexing_operator_path,
    STATE(20307), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705228] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14719), 1,
      sym_attribute,
    STATE(21012), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705258] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14720), 1,
      sym_attribute,
    STATE(20433), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705288] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18887), 1,
      sym__lowercase_identifier,
    ACTIONS(18889), 1,
      anon_sym_LPAREN,
    ACTIONS(18891), 1,
      anon_sym_LBRACK,
    ACTIONS(18893), 1,
      anon_sym_LBRACE,
    STATE(9080), 1,
      sym_field_path,
    STATE(14721), 1,
      sym_attribute,
    STATE(17835), 1,
      sym_indexing_operator_path,
    STATE(19317), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705326] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14722), 1,
      sym_attribute,
    STATE(21448), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705356] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13674), 1,
      anon_sym_LPAREN,
    ACTIONS(13676), 1,
      anon_sym_LBRACK,
    ACTIONS(18554), 1,
      anon_sym_PIPE,
    STATE(11921), 1,
      sym_variant_declaration,
    STATE(12080), 1,
      sym__constructor_name,
    STATE(13005), 1,
      sym_constructor_declaration,
    STATE(14723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13678), 2,
      anon_sym_true,
      anon_sym_false,
  [705392] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14724), 1,
      sym_attribute,
    STATE(20145), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705422] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18895), 1,
      sym__lowercase_identifier,
    ACTIONS(18897), 1,
      anon_sym_LPAREN,
    ACTIONS(18899), 1,
      anon_sym_LBRACK,
    ACTIONS(18901), 1,
      anon_sym_LBRACE,
    STATE(7186), 1,
      sym_field_path,
    STATE(14725), 1,
      sym_attribute,
    STATE(17891), 1,
      sym_indexing_operator_path,
    STATE(19942), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705460] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18903), 1,
      anon_sym_LPAREN,
    ACTIONS(18905), 1,
      anon_sym_LBRACE,
    ACTIONS(18907), 1,
      sym__uppercase_identifier,
    STATE(9628), 1,
      sym__constructor_name,
    STATE(14726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14322), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [705494] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12933), 1,
      anon_sym_COLON2,
    ACTIONS(18909), 1,
      anon_sym_LPAREN,
    STATE(15230), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14727), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(12931), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [705522] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18912), 1,
      sym__lowercase_identifier,
    ACTIONS(18914), 1,
      anon_sym_LPAREN,
    ACTIONS(18916), 1,
      anon_sym_LBRACK,
    ACTIONS(18918), 1,
      anon_sym_LBRACE,
    STATE(4725), 1,
      sym_field_path,
    STATE(14728), 1,
      sym_attribute,
    STATE(17935), 1,
      sym_indexing_operator_path,
    STATE(20228), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705560] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [705582] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14558), 1,
      anon_sym_LPAREN,
    ACTIONS(14560), 1,
      anon_sym_LBRACK,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    STATE(11921), 1,
      sym_variant_declaration,
    STATE(12505), 1,
      sym__constructor_name,
    STATE(13537), 1,
      sym_constructor_declaration,
    STATE(14730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14562), 2,
      anon_sym_true,
      anon_sym_false,
  [705618] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18920), 1,
      sym__lowercase_identifier,
    ACTIONS(18922), 1,
      anon_sym_LPAREN,
    ACTIONS(18924), 1,
      anon_sym_LBRACK,
    ACTIONS(18926), 1,
      anon_sym_LBRACE,
    STATE(4236), 1,
      sym_field_path,
    STATE(14731), 1,
      sym_attribute,
    STATE(17902), 1,
      sym_indexing_operator_path,
    STATE(20024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705656] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8207), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18928), 1,
      anon_sym_LPAREN,
    ACTIONS(18930), 1,
      anon_sym_LBRACE,
    ACTIONS(18932), 1,
      sym__uppercase_identifier,
    STATE(8954), 1,
      sym__constructor_name,
    STATE(14732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8913), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [705690] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12711), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [705712] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14734), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21836), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705742] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8504), 1,
      anon_sym_LBRACK,
    ACTIONS(8514), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18727), 1,
      anon_sym_LBRACE,
    ACTIONS(18934), 1,
      anon_sym_LPAREN,
    ACTIONS(18936), 1,
      sym__uppercase_identifier,
    STATE(14735), 1,
      sym_attribute,
    STATE(15561), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15555), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [705776] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14736), 1,
      sym_attribute,
    STATE(21055), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705806] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14737), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(22070), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705836] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14738), 1,
      sym_attribute,
    STATE(20212), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705866] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18757), 1,
      sym__uppercase_identifier,
    ACTIONS(18938), 1,
      anon_sym_LPAREN,
    ACTIONS(18940), 1,
      anon_sym_LBRACE,
    STATE(9756), 1,
      sym__constructor_name,
    STATE(14739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11584), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [705900] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14740), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(22211), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705930] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10330), 1,
      anon_sym_COLON2,
    STATE(14741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [705954] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(11702), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [705978] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(18942), 1,
      anon_sym_LPAREN,
    ACTIONS(18944), 1,
      anon_sym_LBRACK,
    STATE(12036), 1,
      sym_constructor_declaration,
    STATE(13474), 1,
      sym__constructor_name,
    STATE(14743), 1,
      sym_attribute,
    STATE(15192), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18946), 2,
      anon_sym_true,
      anon_sym_false,
  [706014] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14744), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(22285), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706044] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18948), 1,
      sym__lowercase_identifier,
    ACTIONS(18950), 1,
      anon_sym_LPAREN,
    ACTIONS(18952), 1,
      anon_sym_LBRACK,
    ACTIONS(18954), 1,
      anon_sym_LBRACE,
    STATE(7308), 1,
      sym_field_path,
    STATE(14745), 1,
      sym_attribute,
    STATE(17804), 1,
      sym_indexing_operator_path,
    STATE(21078), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706082] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14746), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(22513), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706112] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14747), 1,
      sym_attribute,
    STATE(19341), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706142] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14748), 1,
      sym_attribute,
    STATE(19533), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706172] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14749), 1,
      sym_attribute,
    STATE(21272), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18647), 1,
      anon_sym_DASH_GT,
    STATE(14750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13590), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [706226] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14751), 1,
      sym_attribute,
    STATE(19388), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706256] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14752), 1,
      sym_attribute,
    STATE(20882), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706286] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18956), 1,
      sym__lowercase_identifier,
    ACTIONS(18958), 1,
      anon_sym_LPAREN,
    ACTIONS(18960), 1,
      anon_sym_LBRACK,
    ACTIONS(18962), 1,
      anon_sym_LBRACE,
    STATE(6764), 1,
      sym_field_path,
    STATE(14753), 1,
      sym_attribute,
    STATE(17852), 1,
      sym_indexing_operator_path,
    STATE(19560), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706324] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14754), 1,
      sym_attribute,
    STATE(20731), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706354] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14549), 1,
      anon_sym_LPAREN,
    ACTIONS(14551), 1,
      anon_sym_LBRACK,
    ACTIONS(18550), 1,
      anon_sym_PIPE,
    STATE(11799), 1,
      sym_variant_declaration,
    STATE(13045), 1,
      sym__constructor_name,
    STATE(13533), 1,
      sym_constructor_declaration,
    STATE(14755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 2,
      anon_sym_true,
      anon_sym_false,
  [706390] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18964), 1,
      sym__lowercase_identifier,
    ACTIONS(18966), 1,
      anon_sym_LPAREN,
    ACTIONS(18968), 1,
      anon_sym_LBRACK,
    ACTIONS(18970), 1,
      anon_sym_LBRACE,
    STATE(8354), 1,
      sym_field_path,
    STATE(14756), 1,
      sym_attribute,
    STATE(17749), 1,
      sym_indexing_operator_path,
    STATE(21542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706428] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14757), 1,
      sym_attribute,
    STATE(19916), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706458] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18972), 1,
      sym__lowercase_identifier,
    ACTIONS(18974), 1,
      anon_sym_LPAREN,
    ACTIONS(18976), 1,
      anon_sym_LBRACK,
    ACTIONS(18978), 1,
      anon_sym_LBRACE,
    STATE(6533), 1,
      sym_field_path,
    STATE(14758), 1,
      sym_attribute,
    STATE(17989), 1,
      sym_indexing_operator_path,
    STATE(20614), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706496] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14759), 1,
      sym_attribute,
    STATE(19442), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706526] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13312), 1,
      anon_sym_LPAREN,
    ACTIONS(13314), 1,
      anon_sym_LBRACK,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    STATE(11730), 1,
      sym__constructor_name,
    STATE(11921), 1,
      sym_variant_declaration,
    STATE(12454), 1,
      sym_constructor_declaration,
    STATE(14760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13316), 2,
      anon_sym_true,
      anon_sym_false,
  [706562] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14761), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(22520), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706592] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10242), 1,
      anon_sym_COLON2,
    STATE(14762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10240), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [706616] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14763), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21735), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706646] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8635), 1,
      anon_sym_LBRACK,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18980), 1,
      anon_sym_LPAREN,
    ACTIONS(18982), 1,
      anon_sym_LBRACE,
    ACTIONS(18984), 1,
      sym__uppercase_identifier,
    STATE(10053), 1,
      sym__constructor_name,
    STATE(14764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9916), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [706680] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18647), 1,
      anon_sym_DASH_GT,
    ACTIONS(18649), 1,
      anon_sym_as,
    STATE(14765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13648), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [706706] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18986), 1,
      sym__lowercase_identifier,
    ACTIONS(18988), 1,
      anon_sym_LPAREN,
    ACTIONS(18990), 1,
      anon_sym_LBRACK,
    ACTIONS(18992), 1,
      anon_sym_LBRACE,
    STATE(10512), 1,
      sym_field_path,
    STATE(14766), 1,
      sym_attribute,
    STATE(17870), 1,
      sym_indexing_operator_path,
    STATE(19777), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706744] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_COLON2,
    STATE(14767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [706768] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14768), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21983), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706798] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14769), 1,
      sym_attribute,
    STATE(19531), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706828] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14770), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21525), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706858] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(18994), 1,
      anon_sym_LPAREN,
    ACTIONS(18996), 1,
      anon_sym_LBRACK,
    STATE(12036), 1,
      sym_constructor_declaration,
    STATE(12298), 1,
      sym__constructor_name,
    STATE(14771), 1,
      sym_attribute,
    STATE(14923), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18998), 2,
      anon_sym_true,
      anon_sym_false,
  [706894] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19000), 1,
      sym__lowercase_identifier,
    ACTIONS(19002), 1,
      anon_sym_LPAREN,
    ACTIONS(19004), 1,
      anon_sym_LBRACK,
    ACTIONS(19006), 1,
      anon_sym_LBRACE,
    STATE(3877), 1,
      sym_field_path,
    STATE(14772), 1,
      sym_attribute,
    STATE(17968), 1,
      sym_indexing_operator_path,
    STATE(20462), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706932] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14773), 1,
      sym_attribute,
    STATE(19588), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706962] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19008), 1,
      sym__lowercase_identifier,
    ACTIONS(19010), 1,
      anon_sym_LPAREN,
    ACTIONS(19012), 1,
      anon_sym_LBRACK,
    ACTIONS(19014), 1,
      anon_sym_LBRACE,
    STATE(8651), 1,
      sym_field_path,
    STATE(14774), 1,
      sym_attribute,
    STATE(17923), 1,
      sym_indexing_operator_path,
    STATE(20147), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707000] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5885), 1,
      anon_sym_COLON2,
    STATE(14775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5881), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [707024] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14776), 1,
      sym_attribute,
    STATE(19640), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707054] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10306), 1,
      anon_sym_COLON2,
    STATE(14777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [707078] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10246), 1,
      anon_sym_COLON2,
    STATE(14778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10244), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [707102] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10254), 1,
      anon_sym_COLON2,
    STATE(14779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10252), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [707126] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14780), 1,
      sym_attribute,
    STATE(19877), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707156] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14781), 1,
      sym_attribute,
    STATE(19697), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707186] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19016), 1,
      sym__lowercase_identifier,
    ACTIONS(19018), 1,
      anon_sym_LPAREN,
    ACTIONS(19020), 1,
      anon_sym_LBRACK,
    ACTIONS(19022), 1,
      anon_sym_LBRACE,
    STATE(7566), 1,
      sym_field_path,
    STATE(14782), 1,
      sym_attribute,
    STATE(17844), 1,
      sym_indexing_operator_path,
    STATE(19443), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707224] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19024), 1,
      sym__lowercase_identifier,
    ACTIONS(19026), 1,
      anon_sym_LPAREN,
    ACTIONS(19028), 1,
      anon_sym_LBRACK,
    ACTIONS(19030), 1,
      anon_sym_LBRACE,
    STATE(4797), 1,
      sym_field_path,
    STATE(14783), 1,
      sym_attribute,
    STATE(17809), 1,
      sym_indexing_operator_path,
    STATE(21295), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12355), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12353), 7,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [707286] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_COLON2,
    STATE(14785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [707310] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON2,
    STATE(14786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [707334] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10314), 1,
      anon_sym_COLON2,
    STATE(14787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10312), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [707358] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19032), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [707380] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14789), 1,
      sym_attribute,
    STATE(19768), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707410] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10368), 1,
      anon_sym_COLON2,
    STATE(14790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [707434] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14791), 1,
      sym_attribute,
    STATE(19505), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707464] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19034), 1,
      sym__lowercase_identifier,
    ACTIONS(19036), 1,
      anon_sym_LPAREN,
    ACTIONS(19038), 1,
      anon_sym_LBRACK,
    ACTIONS(19040), 1,
      anon_sym_LBRACE,
    STATE(5776), 1,
      sym_field_path,
    STATE(14792), 1,
      sym_attribute,
    STATE(17819), 1,
      sym_indexing_operator_path,
    STATE(21994), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12747), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [707526] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18966), 1,
      anon_sym_LPAREN,
    ACTIONS(18968), 1,
      anon_sym_LBRACK,
    ACTIONS(18970), 1,
      anon_sym_LBRACE,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(8354), 1,
      sym_field_path,
    STATE(14794), 1,
      sym_attribute,
    STATE(17749), 1,
      sym_indexing_operator_path,
    STATE(19333), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707564] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19044), 1,
      sym__lowercase_identifier,
    ACTIONS(19046), 1,
      anon_sym_LPAREN,
    ACTIONS(19048), 1,
      anon_sym_LBRACK,
    ACTIONS(19050), 1,
      anon_sym_LBRACE,
    STATE(7644), 1,
      sym_field_path,
    STATE(14795), 1,
      sym_attribute,
    STATE(17791), 1,
      sym_indexing_operator_path,
    STATE(20593), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707602] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19052), 1,
      sym__lowercase_identifier,
    ACTIONS(19054), 1,
      anon_sym_LPAREN,
    ACTIONS(19056), 1,
      anon_sym_LBRACK,
    ACTIONS(19058), 1,
      anon_sym_LBRACE,
    STATE(3607), 1,
      sym_field_path,
    STATE(14796), 1,
      sym_attribute,
    STATE(17909), 1,
      sym_indexing_operator_path,
    STATE(20065), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707640] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(19060), 1,
      anon_sym_LPAREN,
    ACTIONS(19062), 1,
      anon_sym_LBRACK,
    STATE(12036), 1,
      sym_constructor_declaration,
    STATE(13050), 1,
      sym__constructor_name,
    STATE(14797), 1,
      sym_attribute,
    STATE(14952), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19064), 2,
      anon_sym_true,
      anon_sym_false,
  [707676] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14798), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21780), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707706] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_COLON2,
    STATE(14799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [707730] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [707752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12711), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12707), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [707776] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14802), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(21523), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707806] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19066), 1,
      sym__lowercase_identifier,
    ACTIONS(19068), 1,
      anon_sym_LPAREN,
    ACTIONS(19070), 1,
      anon_sym_LBRACK,
    ACTIONS(19072), 1,
      anon_sym_LBRACE,
    STATE(8677), 1,
      sym_field_path,
    STATE(14803), 1,
      sym_attribute,
    STATE(17825), 1,
      sym_indexing_operator_path,
    STATE(22200), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707844] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10372), 1,
      anon_sym_COLON2,
    STATE(14804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [707868] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19074), 1,
      sym__lowercase_identifier,
    ACTIONS(19076), 1,
      anon_sym_LPAREN,
    ACTIONS(19078), 1,
      anon_sym_LBRACK,
    ACTIONS(19080), 1,
      anon_sym_LBRACE,
    STATE(3333), 1,
      sym_field_path,
    STATE(14805), 1,
      sym_attribute,
    STATE(17956), 1,
      sym_indexing_operator_path,
    STATE(20385), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707906] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14806), 1,
      sym_attribute,
    STATE(19967), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707936] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18905), 1,
      anon_sym_LBRACE,
    ACTIONS(19082), 1,
      anon_sym_LPAREN,
    ACTIONS(19084), 1,
      sym__uppercase_identifier,
    STATE(14676), 1,
      sym__constructor_name,
    STATE(14807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14322), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [707970] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14808), 1,
      sym_attribute,
    STATE(20440), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [708000] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19086), 1,
      sym__lowercase_identifier,
    ACTIONS(19088), 1,
      anon_sym_LPAREN,
    ACTIONS(19090), 1,
      anon_sym_LBRACK,
    ACTIONS(19092), 1,
      anon_sym_LBRACE,
    STATE(7830), 1,
      sym_field_path,
    STATE(14809), 1,
      sym_attribute,
    STATE(17984), 1,
      sym_indexing_operator_path,
    STATE(20576), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708038] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14810), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(22268), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [708068] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9466), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17864), 1,
      sym__uppercase_identifier,
    ACTIONS(19094), 1,
      anon_sym_LPAREN,
    ACTIONS(19096), 1,
      anon_sym_LBRACE,
    STATE(9228), 1,
      sym__constructor_name,
    STATE(14811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15411), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [708102] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14812), 1,
      sym_attribute,
    STATE(20842), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [708132] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14813), 1,
      sym_attribute,
    STATE(21518), 1,
      sym_escape_sequence,
    STATE(22084), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [708162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10272), 1,
      anon_sym_COLON2,
    STATE(14814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [708186] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19098), 1,
      sym__lowercase_identifier,
    ACTIONS(19100), 1,
      anon_sym_LPAREN,
    ACTIONS(19102), 1,
      anon_sym_LBRACK,
    ACTIONS(19104), 1,
      anon_sym_LBRACE,
    STATE(4813), 1,
      sym_field_path,
    STATE(14815), 1,
      sym_attribute,
    STATE(17814), 1,
      sym_indexing_operator_path,
    STATE(21792), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708224] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19106), 1,
      sym__lowercase_identifier,
    ACTIONS(19108), 1,
      anon_sym_LPAREN,
    ACTIONS(19110), 1,
      anon_sym_LBRACK,
    ACTIONS(19112), 1,
      anon_sym_LBRACE,
    STATE(7081), 1,
      sym_field_path,
    STATE(14816), 1,
      sym_attribute,
    STATE(17848), 1,
      sym_indexing_operator_path,
    STATE(19506), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_COLON2,
    STATE(14817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [708286] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10278), 1,
      anon_sym_COLON2,
    STATE(14818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [708310] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19114), 1,
      sym__lowercase_identifier,
    ACTIONS(19116), 1,
      anon_sym_LPAREN,
    ACTIONS(19118), 1,
      anon_sym_LBRACK,
    ACTIONS(19120), 1,
      anon_sym_LBRACE,
    STATE(7098), 1,
      sym_field_path,
    STATE(14819), 1,
      sym_attribute,
    STATE(17972), 1,
      sym_indexing_operator_path,
    STATE(20500), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708348] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19122), 1,
      sym__lowercase_identifier,
    ACTIONS(19124), 1,
      anon_sym_LPAREN,
    ACTIONS(19126), 1,
      anon_sym_LBRACK,
    ACTIONS(19128), 1,
      anon_sym_LBRACE,
    STATE(7311), 1,
      sym_field_path,
    STATE(14820), 1,
      sym_attribute,
    STATE(17781), 1,
      sym_indexing_operator_path,
    STATE(20207), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708386] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14821), 1,
      sym_attribute,
    STATE(20469), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [708416] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14822), 1,
      sym_attribute,
    STATE(19573), 1,
      sym_character_content,
    STATE(21518), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [708446] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19130), 1,
      sym__lowercase_identifier,
    ACTIONS(19132), 1,
      anon_sym_LPAREN,
    ACTIONS(19134), 1,
      anon_sym_LBRACK,
    ACTIONS(19136), 1,
      anon_sym_LBRACE,
    STATE(3567), 1,
      sym_field_path,
    STATE(14823), 1,
      sym_attribute,
    STATE(18016), 1,
      sym_indexing_operator_path,
    STATE(20840), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708484] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19138), 1,
      sym__lowercase_identifier,
    ACTIONS(19140), 1,
      anon_sym_LPAREN,
    ACTIONS(19142), 1,
      anon_sym_LBRACK,
    ACTIONS(19144), 1,
      anon_sym_LBRACE,
    STATE(5011), 1,
      sym_field_path,
    STATE(14824), 1,
      sym_attribute,
    STATE(17797), 1,
      sym_indexing_operator_path,
    STATE(21497), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708522] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19146), 1,
      sym__lowercase_identifier,
    ACTIONS(19148), 1,
      anon_sym_LPAREN,
    ACTIONS(19150), 1,
      anon_sym_LBRACK,
    ACTIONS(19152), 1,
      anon_sym_LBRACE,
    STATE(3808), 1,
      sym_field_path,
    STATE(14825), 1,
      sym_attribute,
    STATE(18023), 1,
      sym_indexing_operator_path,
    STATE(20865), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708560] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18905), 1,
      anon_sym_LBRACE,
    ACTIONS(19082), 1,
      anon_sym_LPAREN,
    ACTIONS(19154), 1,
      sym__uppercase_identifier,
    STATE(10157), 1,
      sym__constructor_name,
    STATE(14826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14322), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [708594] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19156), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [708616] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8241), 1,
      anon_sym_LBRACK,
    ACTIONS(8251), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19158), 1,
      anon_sym_LPAREN,
    ACTIONS(19160), 1,
      anon_sym_LBRACE,
    ACTIONS(19162), 1,
      sym__uppercase_identifier,
    STATE(9041), 1,
      sym__constructor_name,
    STATE(14828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9051), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [708650] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19164), 1,
      sym__lowercase_identifier,
    ACTIONS(19166), 1,
      anon_sym_LPAREN,
    ACTIONS(19168), 1,
      anon_sym_LBRACK,
    ACTIONS(19170), 1,
      anon_sym_LBRACE,
    STATE(6002), 1,
      sym_field_path,
    STATE(14829), 1,
      sym_attribute,
    STATE(17716), 1,
      sym_indexing_operator_path,
    STATE(20603), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708688] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_EQ,
    ACTIONS(19174), 1,
      anon_sym_RPAREN,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    STATE(14830), 1,
      sym_attribute,
    STATE(18771), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708723] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19178), 1,
      anon_sym_SEMI,
    ACTIONS(19180), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14831), 1,
      sym_attribute,
    STATE(17770), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708758] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19182), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [708779] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19184), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [708800] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19186), 1,
      sym__lowercase_identifier,
    ACTIONS(19188), 1,
      anon_sym_LPAREN,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    STATE(14834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13634), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [708833] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11325), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11329), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19192), 1,
      sym__lowercase_identifier,
    ACTIONS(19194), 1,
      anon_sym_LPAREN,
    STATE(14835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [708866] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19196), 1,
      anon_sym_SEMI,
    ACTIONS(19198), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14836), 1,
      sym_attribute,
    STATE(16881), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708901] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19200), 1,
      sym__lowercase_identifier,
    ACTIONS(19202), 1,
      anon_sym_LPAREN,
    STATE(14837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11592), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [708934] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19204), 1,
      anon_sym_SEMI,
    ACTIONS(19206), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14838), 1,
      sym_attribute,
    STATE(17726), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708969] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12735), 1,
      anon_sym_LBRACK,
    ACTIONS(12737), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12739), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19208), 1,
      sym__lowercase_identifier,
    ACTIONS(19210), 1,
      anon_sym_LPAREN,
    STATE(14839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11296), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709002] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19212), 1,
      anon_sym_SEMI,
    ACTIONS(19214), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14840), 1,
      sym_attribute,
    STATE(17516), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709037] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19216), 1,
      anon_sym_EQ,
    ACTIONS(19218), 1,
      anon_sym_RPAREN,
    STATE(14841), 1,
      sym_attribute,
    STATE(18367), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709072] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11357), 1,
      anon_sym_LBRACK,
    ACTIONS(11359), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11361), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19220), 1,
      sym__lowercase_identifier,
    ACTIONS(19222), 1,
      anon_sym_LPAREN,
    STATE(14842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13985), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709105] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11226), 1,
      anon_sym_LBRACK,
    ACTIONS(11228), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11230), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19224), 1,
      sym__lowercase_identifier,
    ACTIONS(19226), 1,
      anon_sym_LPAREN,
    STATE(14843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13164), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709138] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19228), 1,
      anon_sym_SEMI,
    ACTIONS(19230), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14844), 1,
      sym_attribute,
    STATE(17906), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709173] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19232), 1,
      anon_sym_SEMI,
    ACTIONS(19234), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14845), 1,
      sym_attribute,
    STATE(16604), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709208] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19236), 1,
      sym__lowercase_identifier,
    ACTIONS(19238), 1,
      anon_sym_LPAREN,
    STATE(14846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12056), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709241] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19240), 1,
      sym__lowercase_identifier,
    ACTIONS(19242), 1,
      anon_sym_LPAREN,
    STATE(14847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12172), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709274] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19188), 1,
      anon_sym_LPAREN,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19244), 1,
      sym__lowercase_identifier,
    STATE(14848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13634), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709307] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19246), 1,
      anon_sym_SEMI,
    ACTIONS(19248), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14849), 1,
      sym_attribute,
    STATE(16707), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709342] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12082), 1,
      anon_sym_LBRACK,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12086), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19250), 1,
      sym__lowercase_identifier,
    ACTIONS(19252), 1,
      anon_sym_LPAREN,
    STATE(14850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10226), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709375] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19254), 1,
      anon_sym_SEMI,
    ACTIONS(19256), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14851), 1,
      sym_attribute,
    STATE(16784), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709410] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12120), 1,
      anon_sym_LBRACK,
    ACTIONS(12122), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19258), 1,
      sym__lowercase_identifier,
    ACTIONS(19260), 1,
      anon_sym_LPAREN,
    STATE(14852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10848), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709443] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19262), 1,
      anon_sym_SEMI,
    ACTIONS(19264), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14853), 1,
      sym_attribute,
    STATE(16893), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709478] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19266), 1,
      anon_sym_SEMI,
    ACTIONS(19268), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14854), 1,
      sym_attribute,
    STATE(16854), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709513] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12174), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12176), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19270), 1,
      sym__lowercase_identifier,
    ACTIONS(19272), 1,
      anon_sym_LPAREN,
    STATE(14855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14258), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709546] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19274), 1,
      anon_sym_EQ,
    ACTIONS(19276), 1,
      anon_sym_RPAREN,
    STATE(14856), 1,
      sym_attribute,
    STATE(19182), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709581] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19278), 1,
      anon_sym_EQ,
    ACTIONS(19280), 1,
      anon_sym_RPAREN,
    STATE(14857), 1,
      sym_attribute,
    STATE(18991), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709616] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19282), 1,
      anon_sym_SEMI,
    ACTIONS(19284), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14858), 1,
      sym_attribute,
    STATE(16945), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709651] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10590), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12072), 1,
      anon_sym_LBRACK,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19286), 1,
      sym__lowercase_identifier,
    ACTIONS(19288), 1,
      anon_sym_LPAREN,
    STATE(14859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11281), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709684] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19296), 1,
      sym__right_quoted_string_delimiter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19293), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(14860), 2,
      sym_attribute,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(19290), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [709709] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12210), 1,
      anon_sym_LBRACK,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12214), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19298), 1,
      sym__lowercase_identifier,
    ACTIONS(19300), 1,
      anon_sym_LPAREN,
    STATE(14861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14574), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709742] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19302), 1,
      anon_sym_SEMI,
    ACTIONS(19304), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14862), 1,
      sym_attribute,
    STATE(17023), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709777] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12595), 1,
      anon_sym_LBRACK,
    ACTIONS(12597), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12599), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19306), 1,
      sym__lowercase_identifier,
    ACTIONS(19308), 1,
      anon_sym_LPAREN,
    STATE(14863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709810] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13306), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(14864), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [709843] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19310), 1,
      anon_sym_and,
    STATE(14865), 1,
      sym_attribute,
    STATE(14884), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13712), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [709868] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19312), 1,
      anon_sym_SEMI,
    ACTIONS(19314), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14866), 1,
      sym_attribute,
    STATE(17123), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709903] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19316), 1,
      anon_sym_SEMI,
    ACTIONS(19318), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14867), 1,
      sym_attribute,
    STATE(17785), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709938] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12001), 1,
      anon_sym_LBRACK,
    ACTIONS(12003), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12005), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19320), 1,
      sym__lowercase_identifier,
    ACTIONS(19322), 1,
      anon_sym_LPAREN,
    STATE(14868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10803), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709971] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8971), 1,
      anon_sym_POUND,
    STATE(14869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(8983), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [709996] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19324), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(14870), 1,
      sym_attribute,
    STATE(14894), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13507), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [710023] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19326), 1,
      anon_sym_SEMI,
    ACTIONS(19328), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14871), 1,
      sym_attribute,
    STATE(17259), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710058] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19330), 1,
      anon_sym_SEMI,
    ACTIONS(19332), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14872), 1,
      sym_attribute,
    STATE(17461), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19334), 1,
      anon_sym_STAR,
    STATE(14873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 7,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [710116] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19336), 1,
      anon_sym_SEMI,
    ACTIONS(19338), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14874), 1,
      sym_attribute,
    STATE(17252), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710151] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19188), 1,
      anon_sym_LPAREN,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19340), 1,
      sym__lowercase_identifier,
    STATE(14875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13634), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710184] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12150), 1,
      anon_sym_LBRACK,
    ACTIONS(12152), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12154), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19342), 1,
      sym__lowercase_identifier,
    ACTIONS(19344), 1,
      anon_sym_LPAREN,
    STATE(14876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10563), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710217] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19346), 1,
      sym__right_quoted_string_delimiter,
    STATE(14860), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(14877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18797), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(18795), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [710244] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12691), 1,
      anon_sym_LBRACK,
    ACTIONS(12693), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12695), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19348), 1,
      sym__lowercase_identifier,
    ACTIONS(19350), 1,
      anon_sym_LPAREN,
    STATE(14878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11735), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710277] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19352), 1,
      anon_sym_EQ,
    ACTIONS(19354), 1,
      anon_sym_RPAREN,
    STATE(14879), 1,
      sym_attribute,
    STATE(19018), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710312] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8981), 1,
      anon_sym_POUND,
    STATE(14880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8983), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [710335] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19356), 1,
      sym__lowercase_identifier,
    ACTIONS(19358), 1,
      anon_sym_LPAREN,
    STATE(14881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12274), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710368] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19360), 1,
      anon_sym_SEMI,
    ACTIONS(19362), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14882), 1,
      sym_attribute,
    STATE(17384), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8965), 1,
      anon_sym_POUND,
    STATE(14883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8967), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [710426] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19310), 1,
      anon_sym_and,
    STATE(14884), 1,
      sym_attribute,
    STATE(14890), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13842), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [710451] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19364), 1,
      anon_sym_SEMI,
    ACTIONS(19366), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14885), 1,
      sym_attribute,
    STATE(17725), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710486] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19368), 1,
      anon_sym_SEMI,
    ACTIONS(19370), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14886), 1,
      sym_attribute,
    STATE(17715), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710521] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19188), 1,
      anon_sym_LPAREN,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19372), 1,
      sym__lowercase_identifier,
    STATE(14887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13634), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710554] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10620), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10622), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11993), 1,
      anon_sym_LBRACK,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19374), 1,
      sym__lowercase_identifier,
    ACTIONS(19376), 1,
      anon_sym_LPAREN,
    STATE(14888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11234), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710587] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19188), 1,
      anon_sym_LPAREN,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19378), 1,
      sym__lowercase_identifier,
    STATE(14889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13634), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19380), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14890), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13274), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [710643] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11943), 1,
      anon_sym_LBRACK,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19383), 1,
      sym__lowercase_identifier,
    ACTIONS(19385), 1,
      anon_sym_LPAREN,
    STATE(14891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710676] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12657), 1,
      anon_sym_LBRACK,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12661), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19387), 1,
      sym__lowercase_identifier,
    ACTIONS(19389), 1,
      anon_sym_LPAREN,
    STATE(14892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15247), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710709] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19391), 1,
      anon_sym_EQ,
    ACTIONS(19393), 1,
      anon_sym_RPAREN,
    STATE(14893), 1,
      sym_attribute,
    STATE(18843), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710744] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19395), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14894), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13525), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [710769] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10544), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12196), 1,
      anon_sym_LBRACK,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19398), 1,
      sym__lowercase_identifier,
    ACTIONS(19400), 1,
      anon_sym_LPAREN,
    STATE(14895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10357), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710802] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8971), 1,
      anon_sym_POUND,
    STATE(14896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(8967), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [710827] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13050), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [710848] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19402), 1,
      anon_sym_SEMI,
    ACTIONS(19404), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14898), 1,
      sym_attribute,
    STATE(17998), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710883] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8893), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8909), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19188), 1,
      anon_sym_LPAREN,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19406), 1,
      sym__lowercase_identifier,
    STATE(14899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13634), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710916] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19324), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(14900), 1,
      sym_attribute,
    STATE(14902), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13467), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [710943] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19324), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(14870), 1,
      aux_sym_type_binding_repeat1,
    STATE(14901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13481), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [710970] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19324), 1,
      anon_sym_constraint,
    STATE(10456), 1,
      sym_type_constraint,
    STATE(14894), 1,
      aux_sym_type_binding_repeat1,
    STATE(14902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13481), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [710997] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(19408), 1,
      anon_sym_SEMI,
    ACTIONS(19410), 1,
      anon_sym_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14903), 1,
      sym_attribute,
    STATE(17262), 1,
      aux_sym_object_type_repeat1,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711032] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19412), 1,
      anon_sym_DASH_GT,
    ACTIONS(19414), 1,
      anon_sym_when,
    STATE(14904), 1,
      sym_attribute,
    STATE(21653), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711064] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19416), 1,
      anon_sym_DASH_GT,
    STATE(14905), 1,
      sym_attribute,
    STATE(20220), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711096] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    ACTIONS(19420), 1,
      anon_sym_PIPE,
    ACTIONS(19422), 1,
      anon_sym_SEMI,
    ACTIONS(19424), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19428), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14906), 1,
      sym_attribute,
    STATE(17960), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711128] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    ACTIONS(19420), 1,
      anon_sym_PIPE,
    ACTIONS(19424), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19430), 1,
      anon_sym_SEMI,
    ACTIONS(19432), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14907), 1,
      sym_attribute,
    STATE(17053), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711160] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19434), 1,
      anon_sym_DASH_GT,
    STATE(14908), 1,
      sym_attribute,
    STATE(21419), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711192] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19436), 1,
      anon_sym_DASH_GT,
    STATE(14909), 1,
      sym_attribute,
    STATE(21393), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711224] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(14910), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(18029), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [711254] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19276), 1,
      anon_sym_RPAREN,
    STATE(14911), 1,
      sym_attribute,
    STATE(22032), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711286] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19444), 1,
      anon_sym_RBRACK,
    ACTIONS(19446), 1,
      anon_sym_SEMI,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    STATE(14912), 1,
      sym_attribute,
    STATE(17257), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711318] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    ACTIONS(19452), 1,
      anon_sym_PIPE,
    ACTIONS(19454), 1,
      anon_sym_SEMI,
    ACTIONS(19456), 1,
      anon_sym_as,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19460), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14913), 1,
      sym_attribute,
    STATE(17294), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711350] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19462), 1,
      anon_sym_DASH_GT,
    STATE(14914), 1,
      sym_attribute,
    STATE(19549), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711382] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(14915), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16717), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [711412] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19464), 1,
      anon_sym_DASH_GT,
    STATE(14916), 1,
      sym_attribute,
    STATE(20342), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711444] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19468), 1,
      anon_sym__,
    ACTIONS(19470), 1,
      anon_sym_RBRACE,
    STATE(14917), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711476] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(14918), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(17078), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [711506] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19472), 1,
      anon_sym__,
    ACTIONS(19474), 1,
      anon_sym_RBRACE,
    STATE(14919), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711538] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(14920), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(17442), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [711568] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(19476), 1,
      anon_sym_DASH_GT,
    STATE(14921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13648), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [711592] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19478), 1,
      anon_sym_DASH_GT,
    STATE(14922), 1,
      sym_attribute,
    STATE(21253), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711624] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(18994), 1,
      anon_sym_LPAREN,
    ACTIONS(18996), 1,
      anon_sym_LBRACK,
    STATE(11963), 1,
      sym_constructor_declaration,
    STATE(12298), 1,
      sym__constructor_name,
    STATE(14923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18998), 2,
      anon_sym_true,
      anon_sym_false,
  [711654] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(19480), 1,
      sym__lowercase_identifier,
    ACTIONS(19482), 1,
      anon_sym_type,
    ACTIONS(19484), 1,
      anon_sym_LBRACK,
    ACTIONS(19486), 1,
      anon_sym_virtual,
    STATE(13244), 1,
      sym_class_binding,
    STATE(14924), 1,
      sym_attribute,
    STATE(16478), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711686] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19488), 1,
      anon_sym_RPAREN,
    STATE(14925), 1,
      sym_attribute,
    STATE(20877), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711718] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19490), 1,
      anon_sym_DASH_GT,
    STATE(14926), 1,
      sym_attribute,
    STATE(19542), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711750] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(14927), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(17014), 1,
      sym_field_pattern,
    STATE(21287), 1,
      sym__quoted_string,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711782] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19492), 1,
      anon_sym__,
    ACTIONS(19494), 1,
      anon_sym_RBRACE,
    STATE(14928), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711814] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19496), 1,
      anon_sym__,
    ACTIONS(19498), 1,
      anon_sym_RBRACE,
    STATE(14929), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711846] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19500), 1,
      anon_sym_RPAREN,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    STATE(14930), 1,
      sym_attribute,
    STATE(21300), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711878] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(19476), 1,
      anon_sym_DASH_GT,
    STATE(14931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13658), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [711902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12727), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [711924] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19510), 1,
      anon_sym_COMMA,
    ACTIONS(19512), 1,
      anon_sym_PIPE,
    ACTIONS(19514), 1,
      anon_sym_RBRACK,
    ACTIONS(19516), 1,
      anon_sym_SEMI,
    ACTIONS(19518), 1,
      anon_sym_as,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    STATE(14933), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711956] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    ACTIONS(19420), 1,
      anon_sym_PIPE,
    ACTIONS(19424), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19522), 1,
      anon_sym_SEMI,
    ACTIONS(19524), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14934), 1,
      sym_attribute,
    STATE(16866), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711988] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19526), 1,
      anon_sym__,
    ACTIONS(19528), 1,
      anon_sym_RBRACE,
    STATE(14935), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712020] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19530), 1,
      anon_sym_COLON2,
    STATE(14936), 1,
      sym_attribute,
    STATE(18800), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 5,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [712044] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_as,
    ACTIONS(19476), 1,
      anon_sym_DASH_GT,
    STATE(14937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [712068] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19532), 1,
      anon_sym_DASH_GT,
    STATE(14938), 1,
      sym_attribute,
    STATE(22111), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712100] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19534), 1,
      anon_sym_DASH_GT,
    STATE(14939), 1,
      sym_attribute,
    STATE(21155), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712132] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19536), 1,
      anon_sym_DASH_GT,
    STATE(14940), 1,
      sym_attribute,
    STATE(21648), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12611), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12609), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [712186] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19538), 1,
      anon_sym_DASH_GT,
    ACTIONS(19540), 1,
      anon_sym_with,
    STATE(14942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14200), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [712210] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13288), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [712230] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19354), 1,
      anon_sym_RPAREN,
    STATE(14944), 1,
      sym_attribute,
    STATE(21633), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712262] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19542), 1,
      anon_sym_RBRACK,
    ACTIONS(19544), 1,
      anon_sym_SEMI,
    STATE(14945), 1,
      sym_attribute,
    STATE(17213), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712294] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    ACTIONS(19452), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_as,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19546), 1,
      anon_sym_SEMI,
    ACTIONS(19548), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14946), 1,
      sym_attribute,
    STATE(17337), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712326] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19550), 1,
      anon_sym_DASH_GT,
    STATE(14947), 1,
      sym_attribute,
    STATE(21146), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712358] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19552), 1,
      anon_sym__,
    ACTIONS(19554), 1,
      anon_sym_RBRACE,
    STATE(14948), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712390] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(14949), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(17133), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    STATE(21685), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13424), 1,
      anon_sym_COLON2,
    STATE(14950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13422), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [712444] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19556), 1,
      anon_sym_DASH_GT,
    STATE(14951), 1,
      sym_attribute,
    STATE(21299), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712476] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(19060), 1,
      anon_sym_LPAREN,
    ACTIONS(19062), 1,
      anon_sym_LBRACK,
    STATE(11963), 1,
      sym_constructor_declaration,
    STATE(13050), 1,
      sym__constructor_name,
    STATE(14952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19064), 2,
      anon_sym_true,
      anon_sym_false,
  [712506] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(14953), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(17159), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    STATE(21685), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712538] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19558), 1,
      anon_sym_RPAREN,
    STATE(14954), 1,
      sym_attribute,
    STATE(20837), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712570] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12707), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [712590] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19560), 1,
      anon_sym_DASH_GT,
    STATE(14956), 1,
      sym_attribute,
    STATE(21005), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712622] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19562), 1,
      anon_sym_RPAREN,
    STATE(14957), 1,
      sym_attribute,
    STATE(20947), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712654] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19218), 1,
      anon_sym_RPAREN,
    STATE(14958), 1,
      sym_attribute,
    STATE(21663), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712686] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19564), 1,
      anon_sym_RBRACK,
    ACTIONS(19566), 1,
      anon_sym_SEMI,
    STATE(14959), 1,
      sym_attribute,
    STATE(16816), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712718] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    ACTIONS(19452), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_as,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19568), 1,
      anon_sym_SEMI,
    ACTIONS(19570), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14960), 1,
      sym_attribute,
    STATE(16827), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712750] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12727), 1,
      anon_sym_RPAREN,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    STATE(14961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [712774] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19574), 1,
      anon_sym__,
    ACTIONS(19576), 1,
      anon_sym_RBRACE,
    STATE(14962), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712806] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19578), 1,
      anon_sym_RPAREN,
    STATE(14963), 1,
      sym_attribute,
    STATE(21915), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712838] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19580), 1,
      anon_sym_RPAREN,
    STATE(14964), 1,
      sym_attribute,
    STATE(19540), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712870] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19538), 1,
      anon_sym_DASH_GT,
    ACTIONS(19540), 1,
      anon_sym_with,
    STATE(14965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14284), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [712894] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19582), 1,
      anon_sym_DASH_GT,
    STATE(14966), 1,
      sym_attribute,
    STATE(20628), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712926] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19584), 1,
      anon_sym_DASH_GT,
    STATE(14967), 1,
      sym_attribute,
    STATE(21970), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712958] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(19590), 1,
      anon_sym_AMP,
    STATE(14968), 1,
      sym_attribute,
    STATE(15675), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19586), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [712986] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19592), 1,
      anon_sym__,
    ACTIONS(19594), 1,
      anon_sym_RBRACE,
    STATE(14969), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713018] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13308), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [713038] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(14971), 1,
      sym_attribute,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19596), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [713068] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19598), 1,
      anon_sym__,
    ACTIONS(19600), 1,
      anon_sym_RBRACE,
    STATE(14972), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713100] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(14973), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(17529), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    STATE(21767), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713132] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(14974), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(17548), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    STATE(21627), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713164] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9222), 1,
      anon_sym_PIPE,
    STATE(14975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [713186] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9226), 1,
      anon_sym_PIPE,
    STATE(14976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [713208] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      anon_sym_PIPE,
    STATE(14977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [713230] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19602), 1,
      anon_sym_RPAREN,
    STATE(14978), 1,
      sym_attribute,
    STATE(19379), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9242), 1,
      anon_sym_PIPE,
    STATE(14979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [713284] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9246), 1,
      anon_sym_PIPE,
    STATE(14980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [713306] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9250), 1,
      anon_sym_PIPE,
    STATE(14981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [713328] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19604), 1,
      anon_sym_RPAREN,
    STATE(14982), 1,
      sym_attribute,
    STATE(20854), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713360] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19606), 1,
      anon_sym_RPAREN,
    STATE(14983), 1,
      sym_attribute,
    STATE(19431), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713392] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19510), 1,
      anon_sym_COMMA,
    ACTIONS(19512), 1,
      anon_sym_PIPE,
    ACTIONS(19518), 1,
      anon_sym_as,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19608), 1,
      anon_sym_RBRACK,
    ACTIONS(19610), 1,
      anon_sym_SEMI,
    STATE(14984), 1,
      sym_attribute,
    STATE(17072), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713424] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    ACTIONS(19420), 1,
      anon_sym_PIPE,
    ACTIONS(19424), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19612), 1,
      anon_sym_SEMI,
    ACTIONS(19614), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14985), 1,
      sym_attribute,
    STATE(17080), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713456] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19616), 1,
      anon_sym__,
    ACTIONS(19618), 1,
      anon_sym_RBRACE,
    STATE(14986), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713488] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    STATE(14987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [713510] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9280), 1,
      anon_sym_PIPE,
    STATE(14988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [713532] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19620), 1,
      anon_sym_DASH_GT,
    STATE(14989), 1,
      sym_attribute,
    STATE(19617), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713564] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(19622), 1,
      anon_sym_rec,
    ACTIONS(19624), 1,
      anon_sym_type,
    STATE(13166), 1,
      sym_module_binding,
    STATE(14990), 1,
      sym_attribute,
    STATE(15899), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19626), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [713594] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(14991), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(17872), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    STATE(21645), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713626] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(14992), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(17895), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    STATE(21767), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12621), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [713680] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19628), 1,
      anon_sym_RPAREN,
    STATE(14994), 1,
      sym_attribute,
    STATE(19803), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713712] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19630), 1,
      anon_sym_RPAREN,
    STATE(14995), 1,
      sym_attribute,
    STATE(19879), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713744] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19632), 1,
      anon_sym_DASH_GT,
    STATE(14996), 1,
      sym_attribute,
    STATE(20421), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12639), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12637), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [713798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12643), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12641), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [713820] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19280), 1,
      anon_sym_RPAREN,
    STATE(14999), 1,
      sym_attribute,
    STATE(21535), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713852] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9128), 1,
      anon_sym_PIPE,
    ACTIONS(9130), 1,
      anon_sym_DOT,
    STATE(15000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [713876] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19476), 1,
      anon_sym_DASH_GT,
    STATE(15001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13590), 6,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [713898] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19634), 1,
      anon_sym_RBRACK,
    ACTIONS(19636), 1,
      anon_sym_SEMI,
    STATE(15002), 1,
      sym_attribute,
    STATE(16815), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713930] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9128), 1,
      anon_sym_PIPE,
    ACTIONS(9162), 1,
      anon_sym_DOT,
    STATE(15003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [713954] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19510), 1,
      anon_sym_COMMA,
    ACTIONS(19512), 1,
      anon_sym_PIPE,
    ACTIONS(19518), 1,
      anon_sym_as,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19638), 1,
      anon_sym_RBRACK,
    ACTIONS(19640), 1,
      anon_sym_SEMI,
    STATE(15004), 1,
      sym_attribute,
    STATE(16672), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713986] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19393), 1,
      anon_sym_RPAREN,
    STATE(15005), 1,
      sym_attribute,
    STATE(19364), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714018] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(15006), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(17031), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [714048] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19642), 1,
      anon_sym_RBRACK,
    ACTIONS(19644), 1,
      anon_sym_SEMI,
    STATE(15007), 1,
      sym_attribute,
    STATE(17298), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714080] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    ACTIONS(19452), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_as,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19646), 1,
      anon_sym_SEMI,
    ACTIONS(19648), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15008), 1,
      sym_attribute,
    STATE(17324), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714112] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15009), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(17562), 1,
      sym_field_binding_pattern,
    STATE(20125), 1,
      sym__quoted_string,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714144] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15010), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(16658), 1,
      sym_field_pattern,
    STATE(20187), 1,
      sym__quoted_string,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714176] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19650), 1,
      anon_sym_DASH_GT,
    STATE(15011), 1,
      sym_attribute,
    STATE(20347), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714208] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19652), 1,
      anon_sym_RPAREN,
    STATE(15012), 1,
      sym_attribute,
    STATE(20246), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714240] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(15013), 1,
      sym_attribute,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
  [714270] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15014), 1,
      sym_attribute,
    STATE(15710), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13626), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(19654), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [714298] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12801), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(15015), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714330] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19656), 1,
      anon_sym_RPAREN,
    STATE(15016), 1,
      sym_attribute,
    STATE(20296), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714362] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12677), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12679), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(15017), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13463), 1,
      anon_sym_COLON2,
    STATE(15018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13461), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [714416] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13262), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [714436] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15020), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(16884), 1,
      sym_field_binding_pattern,
    STATE(19500), 1,
      sym__quoted_string,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714468] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15021), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(16976), 1,
      sym_field_pattern,
    STATE(19383), 1,
      sym__quoted_string,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714500] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19658), 1,
      anon_sym_RPAREN,
    STATE(15022), 1,
      sym_attribute,
    STATE(20617), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12651), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12649), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [714554] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19660), 1,
      anon_sym_RPAREN,
    STATE(15024), 1,
      sym_attribute,
    STATE(20674), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714586] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19662), 1,
      anon_sym_DASH_GT,
    STATE(15025), 1,
      sym_attribute,
    STATE(21031), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714618] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13266), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [714638] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19538), 1,
      anon_sym_DASH_GT,
    ACTIONS(19540), 1,
      anon_sym_with,
    STATE(15027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14655), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [714662] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12747), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [714682] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19664), 1,
      anon_sym_DASH_GT,
    STATE(15029), 1,
      sym_attribute,
    STATE(20982), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714714] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15030), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(16639), 1,
      sym_field_binding_pattern,
    STATE(19769), 1,
      sym__quoted_string,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714746] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15031), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(16860), 1,
      sym_field_pattern,
    STATE(20416), 1,
      sym__quoted_string,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714778] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19666), 1,
      anon_sym__,
    ACTIONS(19668), 1,
      anon_sym_RBRACE,
    STATE(15032), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714810] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19670), 1,
      anon_sym_RPAREN,
    STATE(15033), 1,
      sym_attribute,
    STATE(20956), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714842] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(19482), 1,
      anon_sym_type,
    ACTIONS(19672), 1,
      sym__lowercase_identifier,
    ACTIONS(19674), 1,
      anon_sym_LBRACK,
    ACTIONS(19676), 1,
      anon_sym_virtual,
    STATE(13274), 1,
      sym_class_binding,
    STATE(15034), 1,
      sym_attribute,
    STATE(16226), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714874] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19678), 1,
      anon_sym_RPAREN,
    STATE(15035), 1,
      sym_attribute,
    STATE(20985), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714906] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15036), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(16765), 1,
      sym_field_pattern,
    STATE(21422), 1,
      sym__quoted_string,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714938] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19680), 1,
      anon_sym_RPAREN,
    STATE(15037), 1,
      sym_attribute,
    STATE(21094), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714970] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    ACTIONS(19452), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_as,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19682), 1,
      anon_sym_SEMI,
    ACTIONS(19684), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15038), 1,
      sym_attribute,
    STATE(16871), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715002] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19686), 1,
      anon_sym_RPAREN,
    STATE(15039), 1,
      sym_attribute,
    STATE(21128), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715034] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19688), 1,
      anon_sym_RPAREN,
    STATE(15040), 1,
      sym_attribute,
    STATE(21705), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715066] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19510), 1,
      anon_sym_COMMA,
    ACTIONS(19512), 1,
      anon_sym_PIPE,
    ACTIONS(19518), 1,
      anon_sym_as,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19690), 1,
      anon_sym_RBRACK,
    ACTIONS(19692), 1,
      anon_sym_SEMI,
    STATE(15041), 1,
      sym_attribute,
    STATE(17178), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715098] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19694), 1,
      anon_sym_RPAREN,
    STATE(15042), 1,
      sym_attribute,
    STATE(21325), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715130] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    ACTIONS(19420), 1,
      anon_sym_PIPE,
    ACTIONS(19424), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19696), 1,
      anon_sym_SEMI,
    ACTIONS(19698), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15043), 1,
      sym_attribute,
    STATE(17182), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715162] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19700), 1,
      anon_sym_RPAREN,
    STATE(15044), 1,
      sym_attribute,
    STATE(21361), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715194] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19702), 1,
      anon_sym_RPAREN,
    STATE(15045), 1,
      sym_attribute,
    STATE(21988), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715226] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19704), 1,
      anon_sym_RBRACK,
    ACTIONS(19706), 1,
      anon_sym_SEMI,
    STATE(15046), 1,
      sym_attribute,
    STATE(17210), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715258] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    ACTIONS(19452), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_as,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19708), 1,
      anon_sym_SEMI,
    ACTIONS(19710), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15047), 1,
      sym_attribute,
    STATE(17214), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715290] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19712), 1,
      anon_sym_RPAREN,
    STATE(15048), 1,
      sym_attribute,
    STATE(21568), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715322] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19714), 1,
      anon_sym_RPAREN,
    STATE(15049), 1,
      sym_attribute,
    STATE(21610), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715354] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(19590), 1,
      anon_sym_AMP,
    STATE(15050), 1,
      sym_attribute,
    STATE(15728), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19716), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [715382] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19718), 1,
      anon_sym_DASH_GT,
    STATE(15051), 1,
      sym_attribute,
    STATE(21910), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715414] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19720), 1,
      anon_sym__,
    ACTIONS(19722), 1,
      anon_sym_RBRACE,
    STATE(15052), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715446] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19724), 1,
      anon_sym_RPAREN,
    STATE(15053), 1,
      sym_attribute,
    STATE(21824), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715478] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19726), 1,
      anon_sym_RPAREN,
    STATE(15054), 1,
      sym_attribute,
    STATE(21852), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715510] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19728), 1,
      anon_sym_RPAREN,
    STATE(15055), 1,
      sym_attribute,
    STATE(22026), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715542] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19730), 1,
      anon_sym__,
    ACTIONS(19732), 1,
      anon_sym_RBRACE,
    STATE(15056), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715574] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19734), 1,
      anon_sym_RPAREN,
    STATE(15057), 1,
      sym_attribute,
    STATE(22054), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715606] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19736), 1,
      anon_sym_DASH_GT,
    STATE(15058), 1,
      sym_attribute,
    STATE(20352), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715638] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19738), 1,
      anon_sym__,
    ACTIONS(19740), 1,
      anon_sym_RBRACE,
    STATE(15059), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715670] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19742), 1,
      anon_sym_RPAREN,
    STATE(15060), 1,
      sym_attribute,
    STATE(22225), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715702] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19744), 1,
      anon_sym_RPAREN,
    STATE(15061), 1,
      sym_attribute,
    STATE(22251), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715734] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19746), 1,
      anon_sym__,
    ACTIONS(19748), 1,
      anon_sym_RBRACE,
    STATE(15062), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715766] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19750), 1,
      anon_sym_DASH_GT,
    STATE(15063), 1,
      sym_attribute,
    STATE(19952), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715798] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19752), 1,
      anon_sym_RPAREN,
    STATE(15064), 1,
      sym_attribute,
    STATE(22457), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715830] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19754), 1,
      anon_sym__,
    ACTIONS(19756), 1,
      anon_sym_RBRACE,
    STATE(15065), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715862] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19758), 1,
      anon_sym_RPAREN,
    STATE(15066), 1,
      sym_attribute,
    STATE(22490), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715894] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19760), 1,
      anon_sym_RPAREN,
    STATE(15067), 1,
      sym_attribute,
    STATE(19322), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715926] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19762), 1,
      anon_sym_RPAREN,
    STATE(15068), 1,
      sym_attribute,
    STATE(19337), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715958] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19764), 1,
      anon_sym_RPAREN,
    STATE(15069), 1,
      sym_attribute,
    STATE(19385), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19768), 3,
      sym__right_quoted_string_delimiter,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(19766), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [716012] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19770), 1,
      anon_sym_RPAREN,
    STATE(15071), 1,
      sym_attribute,
    STATE(19400), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12761), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12759), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [716066] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19772), 1,
      anon_sym_RPAREN,
    STATE(15073), 1,
      sym_attribute,
    STATE(19448), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716098] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19774), 1,
      anon_sym__,
    ACTIONS(19776), 1,
      anon_sym_RBRACE,
    STATE(15074), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716130] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19778), 1,
      anon_sym_RPAREN,
    STATE(15075), 1,
      sym_attribute,
    STATE(19463), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    STATE(15076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10386), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [716184] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19510), 1,
      anon_sym_COMMA,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    STATE(15077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [716208] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    STATE(15078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [716230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12783), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [716252] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19780), 1,
      anon_sym_RPAREN,
    STATE(15080), 1,
      sym_attribute,
    STATE(19511), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12787), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [716306] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19782), 1,
      anon_sym_RPAREN,
    STATE(15082), 1,
      sym_attribute,
    STATE(19526), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716338] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19784), 1,
      anon_sym_DASH_GT,
    STATE(15083), 1,
      sym_attribute,
    STATE(19593), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716370] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19786), 1,
      anon_sym_RPAREN,
    STATE(15084), 1,
      sym_attribute,
    STATE(19565), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716402] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19788), 1,
      anon_sym_RPAREN,
    STATE(15085), 1,
      sym_attribute,
    STATE(19580), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716434] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19790), 1,
      anon_sym__,
    ACTIONS(19792), 1,
      anon_sym_RBRACE,
    STATE(15086), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716466] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10228), 1,
      anon_sym_PIPE,
    STATE(15087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10226), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [716488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12813), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12811), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [716510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12817), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12815), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [716532] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19794), 1,
      anon_sym_RPAREN,
    STATE(15090), 1,
      sym_attribute,
    STATE(19620), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716564] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19796), 1,
      anon_sym_RPAREN,
    STATE(15091), 1,
      sym_attribute,
    STATE(19635), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12825), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12823), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [716618] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15093), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(17418), 1,
      sym_field_binding_pattern,
    STATE(21068), 1,
      sym__quoted_string,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716650] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19798), 1,
      anon_sym_RPAREN,
    STATE(15094), 1,
      sym_attribute,
    STATE(19675), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716682] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19800), 1,
      anon_sym_RPAREN,
    STATE(15095), 1,
      sym_attribute,
    STATE(19690), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716714] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19510), 1,
      anon_sym_COMMA,
    ACTIONS(19512), 1,
      anon_sym_PIPE,
    ACTIONS(19518), 1,
      anon_sym_as,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19802), 1,
      anon_sym_RBRACK,
    ACTIONS(19804), 1,
      anon_sym_SEMI,
    STATE(15096), 1,
      sym_attribute,
    STATE(17040), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716746] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19806), 1,
      anon_sym_RPAREN,
    STATE(15097), 1,
      sym_attribute,
    STATE(19745), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716778] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19808), 1,
      anon_sym_RPAREN,
    STATE(15098), 1,
      sym_attribute,
    STATE(19782), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716810] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19810), 1,
      anon_sym__,
    ACTIONS(19812), 1,
      anon_sym_RBRACE,
    STATE(15099), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716842] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19814), 1,
      anon_sym_RPAREN,
    STATE(15100), 1,
      sym_attribute,
    STATE(19789), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716874] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19816), 1,
      anon_sym_RPAREN,
    STATE(15101), 1,
      sym_attribute,
    STATE(19824), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716906] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19818), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      sym_attribute,
    STATE(19830), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716938] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19820), 1,
      anon_sym_RPAREN,
    STATE(15103), 1,
      sym_attribute,
    STATE(19865), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716970] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19822), 1,
      anon_sym_RPAREN,
    STATE(15104), 1,
      sym_attribute,
    STATE(19871), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717002] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19824), 1,
      anon_sym_RPAREN,
    STATE(15105), 1,
      sym_attribute,
    STATE(19906), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717034] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19826), 1,
      anon_sym_DASH_GT,
    STATE(15106), 1,
      sym_attribute,
    STATE(19962), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717066] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19828), 1,
      anon_sym_RPAREN,
    STATE(15107), 1,
      sym_attribute,
    STATE(19912), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717098] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19830), 1,
      anon_sym_RPAREN,
    STATE(15108), 1,
      sym_attribute,
    STATE(19947), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717130] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19832), 1,
      anon_sym_RPAREN,
    STATE(15109), 1,
      sym_attribute,
    STATE(19953), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717162] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19834), 1,
      anon_sym_RPAREN,
    STATE(15110), 1,
      sym_attribute,
    STATE(19988), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717194] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19836), 1,
      anon_sym_RPAREN,
    STATE(15111), 1,
      sym_attribute,
    STATE(19994), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717226] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19838), 1,
      anon_sym_RPAREN,
    STATE(15112), 1,
      sym_attribute,
    STATE(20029), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717258] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19840), 1,
      anon_sym_RPAREN,
    STATE(15113), 1,
      sym_attribute,
    STATE(20035), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717290] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19842), 1,
      anon_sym_DASH_GT,
    STATE(15114), 1,
      sym_attribute,
    STATE(20236), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717322] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19844), 1,
      anon_sym_RPAREN,
    STATE(15115), 1,
      sym_attribute,
    STATE(20070), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717354] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19846), 1,
      anon_sym_RPAREN,
    STATE(15116), 1,
      sym_attribute,
    STATE(20076), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717386] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10218), 1,
      anon_sym_PIPE,
    STATE(15117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10216), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [717408] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19848), 1,
      anon_sym_RPAREN,
    STATE(15118), 1,
      sym_attribute,
    STATE(20111), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717440] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13222), 1,
      anon_sym_LPAREN,
    ACTIONS(13224), 1,
      anon_sym_LBRACK,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    STATE(11409), 1,
      sym__constructor_name,
    STATE(11900), 1,
      sym_constructor_declaration,
    STATE(15119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13226), 2,
      anon_sym_true,
      anon_sym_false,
  [717470] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19850), 1,
      anon_sym_RPAREN,
    STATE(15120), 1,
      sym_attribute,
    STATE(20117), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717502] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19852), 1,
      anon_sym_DASH_GT,
    STATE(15121), 1,
      sym_attribute,
    STATE(20478), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717534] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19854), 1,
      anon_sym__,
    ACTIONS(19856), 1,
      anon_sym_RBRACE,
    STATE(15122), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717566] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19858), 1,
      anon_sym_RPAREN,
    STATE(15123), 1,
      sym_attribute,
    STATE(20152), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717598] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19860), 1,
      anon_sym_RPAREN,
    STATE(15124), 1,
      sym_attribute,
    STATE(20158), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717630] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19862), 1,
      anon_sym_RPAREN,
    STATE(15125), 1,
      sym_attribute,
    STATE(20193), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717662] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19864), 1,
      anon_sym_RPAREN,
    STATE(15126), 1,
      sym_attribute,
    STATE(20199), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717694] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19866), 1,
      anon_sym__,
    ACTIONS(19868), 1,
      anon_sym_RBRACE,
    STATE(15127), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717726] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19870), 1,
      anon_sym_DASH_GT,
    STATE(15128), 1,
      sym_attribute,
    STATE(20287), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12633), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [717780] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19872), 1,
      anon_sym_RPAREN,
    STATE(15130), 1,
      sym_attribute,
    STATE(20233), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717812] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19874), 1,
      anon_sym_RPAREN,
    STATE(15131), 1,
      sym_attribute,
    STATE(20239), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717844] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19876), 1,
      anon_sym_RPAREN,
    STATE(15132), 1,
      sym_attribute,
    STATE(20273), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717876] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19878), 1,
      anon_sym_RPAREN,
    STATE(15133), 1,
      sym_attribute,
    STATE(20279), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717908] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(19482), 1,
      anon_sym_type,
    ACTIONS(19880), 1,
      sym__lowercase_identifier,
    ACTIONS(19882), 1,
      anon_sym_LBRACK,
    ACTIONS(19884), 1,
      anon_sym_virtual,
    STATE(14044), 1,
      sym_class_binding,
    STATE(15134), 1,
      sym_attribute,
    STATE(15996), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717940] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19886), 1,
      anon_sym_RPAREN,
    STATE(15135), 1,
      sym_attribute,
    STATE(20312), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717972] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19888), 1,
      anon_sym_RPAREN,
    STATE(15136), 1,
      sym_attribute,
    STATE(20318), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718004] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19890), 1,
      anon_sym_RPAREN,
    STATE(15137), 1,
      sym_attribute,
    STATE(20351), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718036] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19892), 1,
      anon_sym_RPAREN,
    STATE(15138), 1,
      sym_attribute,
    STATE(20357), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718068] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19894), 1,
      anon_sym_RPAREN,
    STATE(15139), 1,
      sym_attribute,
    STATE(20390), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718100] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19896), 1,
      anon_sym_RPAREN,
    STATE(15140), 1,
      sym_attribute,
    STATE(20396), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718132] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12619), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(15141), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718164] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19898), 1,
      anon_sym_RPAREN,
    STATE(15142), 1,
      sym_attribute,
    STATE(20429), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718196] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19900), 1,
      anon_sym_DASH_GT,
    STATE(15143), 1,
      sym_attribute,
    STATE(20602), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718228] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19902), 1,
      anon_sym_RPAREN,
    STATE(15144), 1,
      sym_attribute,
    STATE(20434), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718260] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19538), 1,
      anon_sym_DASH_GT,
    ACTIONS(19540), 1,
      anon_sym_with,
    STATE(15145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14004), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [718284] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19904), 1,
      anon_sym_RPAREN,
    STATE(15146), 1,
      sym_attribute,
    STATE(20467), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718316] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19906), 1,
      anon_sym_RPAREN,
    STATE(15147), 1,
      sym_attribute,
    STATE(20640), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718348] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19908), 1,
      anon_sym_RPAREN,
    STATE(15148), 1,
      sym_attribute,
    STATE(20472), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718380] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19510), 1,
      anon_sym_COMMA,
    ACTIONS(19512), 1,
      anon_sym_PIPE,
    ACTIONS(19518), 1,
      anon_sym_as,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19910), 1,
      anon_sym_RBRACK,
    ACTIONS(19912), 1,
      anon_sym_SEMI,
    STATE(15149), 1,
      sym_attribute,
    STATE(17571), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718412] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    ACTIONS(19420), 1,
      anon_sym_PIPE,
    ACTIONS(19424), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19914), 1,
      anon_sym_SEMI,
    ACTIONS(19916), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15150), 1,
      sym_attribute,
    STATE(17573), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718444] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19918), 1,
      anon_sym_RPAREN,
    STATE(15151), 1,
      sym_attribute,
    STATE(20505), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718476] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19920), 1,
      anon_sym_RPAREN,
    STATE(15152), 1,
      sym_attribute,
    STATE(20510), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718508] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19922), 1,
      anon_sym_RPAREN,
    STATE(15153), 1,
      sym_attribute,
    STATE(20543), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718540] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19924), 1,
      anon_sym_RPAREN,
    STATE(15154), 1,
      sym_attribute,
    STATE(20548), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718572] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19174), 1,
      anon_sym_RPAREN,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    STATE(15155), 1,
      sym_attribute,
    STATE(20765), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718604] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19926), 1,
      anon_sym_RBRACK,
    ACTIONS(19928), 1,
      anon_sym_SEMI,
    STATE(15156), 1,
      sym_attribute,
    STATE(17597), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718636] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    ACTIONS(19452), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_as,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19930), 1,
      anon_sym_SEMI,
    ACTIONS(19932), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15157), 1,
      sym_attribute,
    STATE(17600), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718668] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19934), 1,
      anon_sym_RPAREN,
    STATE(15158), 1,
      sym_attribute,
    STATE(20581), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718700] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19936), 1,
      anon_sym_RPAREN,
    STATE(15159), 1,
      sym_attribute,
    STATE(20586), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718732] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19938), 1,
      anon_sym_RPAREN,
    STATE(15160), 1,
      sym_attribute,
    STATE(20619), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718764] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19940), 1,
      anon_sym_RPAREN,
    STATE(15161), 1,
      sym_attribute,
    STATE(20624), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718796] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18745), 1,
      anon_sym_LPAREN,
    ACTIONS(18747), 1,
      anon_sym_LBRACK,
    ACTIONS(18751), 1,
      sym__uppercase_identifier,
    STATE(15162), 1,
      sym_attribute,
    STATE(15795), 1,
      sym__constructor_name,
    STATE(16451), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18749), 2,
      anon_sym_true,
      anon_sym_false,
  [718826] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19942), 1,
      anon_sym_RPAREN,
    STATE(15163), 1,
      sym_attribute,
    STATE(20657), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718858] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19944), 1,
      anon_sym__,
    ACTIONS(19946), 1,
      anon_sym_RBRACE,
    STATE(15164), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718890] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19948), 1,
      anon_sym_RPAREN,
    STATE(15165), 1,
      sym_attribute,
    STATE(20662), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718922] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19950), 1,
      anon_sym_RPAREN,
    STATE(15166), 1,
      sym_attribute,
    STATE(20695), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718954] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19952), 1,
      anon_sym_RPAREN,
    STATE(15167), 1,
      sym_attribute,
    STATE(20700), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718986] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19954), 1,
      anon_sym_RPAREN,
    STATE(15168), 1,
      sym_attribute,
    STATE(20733), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719018] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19956), 1,
      anon_sym_RPAREN,
    STATE(15169), 1,
      sym_attribute,
    STATE(20738), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719050] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19958), 1,
      anon_sym_DASH_GT,
    STATE(15170), 1,
      sym_attribute,
    STATE(20993), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719082] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19960), 1,
      anon_sym_RPAREN,
    STATE(15171), 1,
      sym_attribute,
    STATE(20771), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719114] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19962), 1,
      anon_sym_RPAREN,
    STATE(15172), 1,
      sym_attribute,
    STATE(20776), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719146] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19964), 1,
      anon_sym__,
    ACTIONS(19966), 1,
      anon_sym_RBRACE,
    STATE(15173), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719178] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19968), 1,
      anon_sym_RPAREN,
    STATE(15174), 1,
      sym_attribute,
    STATE(20808), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719210] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19970), 1,
      anon_sym_RPAREN,
    STATE(15175), 1,
      sym_attribute,
    STATE(20813), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719242] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19972), 1,
      anon_sym_RPAREN,
    STATE(15176), 1,
      sym_attribute,
    STATE(20845), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719274] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19974), 1,
      anon_sym__,
    ACTIONS(19976), 1,
      anon_sym_RBRACE,
    STATE(15177), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719306] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19978), 1,
      anon_sym_RPAREN,
    STATE(15178), 1,
      sym_attribute,
    STATE(20850), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719338] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19980), 1,
      anon_sym_RPAREN,
    STATE(15179), 1,
      sym_attribute,
    STATE(20869), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719370] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19982), 1,
      anon_sym_RPAREN,
    STATE(15180), 1,
      sym_attribute,
    STATE(20871), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719402] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19984), 1,
      anon_sym_RPAREN,
    STATE(15181), 1,
      sym_attribute,
    STATE(20886), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719434] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19986), 1,
      anon_sym_RPAREN,
    STATE(15182), 1,
      sym_attribute,
    STATE(20888), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719466] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(15183), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16729), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [719496] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(15184), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16739), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [719526] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8183), 1,
      anon_sym_PIPE,
    ACTIONS(19988), 1,
      anon_sym_DOT_DOT,
    STATE(15185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [719550] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    STATE(15186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18584), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [719578] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    STATE(15187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18597), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [719600] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    STATE(15188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18580), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [719624] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    STATE(15189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18603), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [719646] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(19990), 1,
      anon_sym__,
    ACTIONS(19992), 1,
      anon_sym_RBRACE,
    STATE(15190), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719678] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13312), 1,
      anon_sym_LPAREN,
    ACTIONS(13314), 1,
      anon_sym_LBRACK,
    STATE(11730), 1,
      sym__constructor_name,
    STATE(11900), 1,
      sym_constructor_declaration,
    STATE(15191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13316), 2,
      anon_sym_true,
      anon_sym_false,
  [719708] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(18942), 1,
      anon_sym_LPAREN,
    ACTIONS(18944), 1,
      anon_sym_LBRACK,
    STATE(11963), 1,
      sym_constructor_declaration,
    STATE(13474), 1,
      sym__constructor_name,
    STATE(15192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18946), 2,
      anon_sym_true,
      anon_sym_false,
  [719738] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(15193), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16868), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [719768] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19994), 1,
      anon_sym_DASH_GT,
    STATE(15194), 1,
      sym_attribute,
    STATE(21302), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719800] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(15195), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16877), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [719830] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13519), 1,
      anon_sym_LPAREN,
    ACTIONS(13521), 1,
      anon_sym_LBRACK,
    STATE(11643), 1,
      sym__constructor_name,
    STATE(11900), 1,
      sym_constructor_declaration,
    STATE(15196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13523), 2,
      anon_sym_true,
      anon_sym_false,
  [719860] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(18739), 1,
      anon_sym_LPAREN,
    ACTIONS(18741), 1,
      anon_sym_LBRACK,
    STATE(11963), 1,
      sym_constructor_declaration,
    STATE(13553), 1,
      sym__constructor_name,
    STATE(15197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18743), 2,
      anon_sym_true,
      anon_sym_false,
  [719890] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(15198), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16929), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [719920] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    STATE(15199), 1,
      sym_attribute,
    STATE(21316), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12711), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12707), 3,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [719946] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(15200), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16941), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [719976] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13674), 1,
      anon_sym_LPAREN,
    ACTIONS(13676), 1,
      anon_sym_LBRACK,
    STATE(11900), 1,
      sym_constructor_declaration,
    STATE(12080), 1,
      sym__constructor_name,
    STATE(15201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13678), 2,
      anon_sym_true,
      anon_sym_false,
  [720006] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13511), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13513), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(15202), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720038] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13515), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13517), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(15203), 1,
      sym_attribute,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720070] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13274), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [720090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12683), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [720112] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13918), 1,
      anon_sym_LPAREN,
    ACTIONS(13920), 1,
      anon_sym_LBRACK,
    STATE(11900), 1,
      sym_constructor_declaration,
    STATE(12286), 1,
      sym__constructor_name,
    STATE(15206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13922), 2,
      anon_sym_true,
      anon_sym_false,
  [720142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12723), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [720164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12675), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12673), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [720186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12613), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [720208] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14549), 1,
      anon_sym_LPAREN,
    ACTIONS(14551), 1,
      anon_sym_LBRACK,
    STATE(11900), 1,
      sym_constructor_declaration,
    STATE(13045), 1,
      sym__constructor_name,
    STATE(15210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 2,
      anon_sym_true,
      anon_sym_false,
  [720238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12829), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12827), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [720260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12833), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12831), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [720282] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(13924), 1,
      anon_sym_LPAREN,
    ACTIONS(13926), 1,
      anon_sym_LBRACK,
    STATE(11900), 1,
      sym_constructor_declaration,
    STATE(12295), 1,
      sym__constructor_name,
    STATE(15213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13928), 2,
      anon_sym_true,
      anon_sym_false,
  [720312] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13228), 1,
      sym__uppercase_identifier,
    ACTIONS(14558), 1,
      anon_sym_LPAREN,
    ACTIONS(14560), 1,
      anon_sym_LBRACK,
    STATE(11900), 1,
      sym_constructor_declaration,
    STATE(12505), 1,
      sym__constructor_name,
    STATE(15214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14562), 2,
      anon_sym_true,
      anon_sym_false,
  [720342] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(19996), 1,
      anon_sym_DASH_GT,
    STATE(15215), 1,
      sym_attribute,
    STATE(21609), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720374] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(19482), 1,
      anon_sym_type,
    ACTIONS(19998), 1,
      sym__lowercase_identifier,
    ACTIONS(20000), 1,
      anon_sym_LBRACK,
    ACTIONS(20002), 1,
      anon_sym_virtual,
    STATE(14134), 1,
      sym_class_binding,
    STATE(15216), 1,
      sym_attribute,
    STATE(15985), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720406] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(15217), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(16968), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [720436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12791), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [720458] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(20004), 1,
      anon_sym_DASH_GT,
    STATE(15219), 1,
      sym_attribute,
    STATE(21857), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720490] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(20006), 1,
      anon_sym_DASH_GT,
    STATE(15220), 1,
      sym_attribute,
    STATE(22494), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720522] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20008), 1,
      anon_sym_RPAREN,
    STATE(15221), 1,
      sym_attribute,
    STATE(21884), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720554] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19510), 1,
      anon_sym_COMMA,
    ACTIONS(19512), 1,
      anon_sym_PIPE,
    ACTIONS(19518), 1,
      anon_sym_as,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20010), 1,
      anon_sym_RBRACK,
    ACTIONS(20012), 1,
      anon_sym_SEMI,
    STATE(15222), 1,
      sym_attribute,
    STATE(17922), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720586] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    ACTIONS(19420), 1,
      anon_sym_PIPE,
    ACTIONS(19424), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20014), 1,
      anon_sym_SEMI,
    ACTIONS(20016), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15223), 1,
      sym_attribute,
    STATE(17928), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720618] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20018), 1,
      anon_sym_RBRACK,
    ACTIONS(20020), 1,
      anon_sym_when,
    STATE(15224), 1,
      sym_attribute,
    STATE(21955), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720650] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5885), 1,
      anon_sym_PIPE,
    ACTIONS(19988), 1,
      anon_sym_DOT_DOT,
    STATE(15225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5881), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [720674] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(20022), 1,
      anon_sym_DASH_GT,
    STATE(15226), 1,
      sym_attribute,
    STATE(22346), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720706] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(20024), 1,
      anon_sym_RPAREN,
    STATE(15227), 1,
      sym_attribute,
    STATE(21975), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720738] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20026), 1,
      anon_sym_RBRACK,
    ACTIONS(20028), 1,
      anon_sym_SEMI,
    STATE(15228), 1,
      sym_attribute,
    STATE(17957), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720770] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    ACTIONS(19452), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_as,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20030), 1,
      anon_sym_SEMI,
    ACTIONS(20032), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15229), 1,
      sym_attribute,
    STATE(17961), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13394), 1,
      anon_sym_COLON2,
    STATE(15230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13392), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [720824] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15231), 1,
      sym_attribute,
    STATE(15838), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13108), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(18411), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [720852] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(20034), 1,
      anon_sym__,
    ACTIONS(20036), 1,
      anon_sym_RBRACE,
    STATE(15232), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720884] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13534), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_in,
    ACTIONS(18558), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_POUND,
    STATE(15209), 1,
      sym_type_constructor_path,
    STATE(15233), 1,
      sym_attribute,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720916] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(20038), 1,
      anon_sym__,
    ACTIONS(20040), 1,
      anon_sym_RBRACE,
    STATE(15234), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720948] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(20042), 1,
      anon_sym__,
    ACTIONS(20044), 1,
      anon_sym_RBRACE,
    STATE(15235), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_field_path,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720980] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(20046), 1,
      anon_sym__,
    ACTIONS(20048), 1,
      anon_sym_RBRACE,
    STATE(15236), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721012] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    STATE(15237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11431), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [721034] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19466), 1,
      sym__lowercase_identifier,
    ACTIONS(20050), 1,
      anon_sym__,
    ACTIONS(20052), 1,
      anon_sym_RBRACE,
    STATE(15238), 1,
      sym_attribute,
    STATE(15654), 1,
      sym_field_path,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721066] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(20054), 1,
      anon_sym_DASH_GT,
    STATE(15239), 1,
      sym_attribute,
    STATE(22324), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721098] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(19482), 1,
      anon_sym_type,
    ACTIONS(20056), 1,
      sym__lowercase_identifier,
    ACTIONS(20058), 1,
      anon_sym_LBRACK,
    ACTIONS(20060), 1,
      anon_sym_virtual,
    STATE(13518), 1,
      sym_class_binding,
    STATE(15240), 1,
      sym_attribute,
    STATE(16251), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721130] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    STATE(15241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18564), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [721158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12795), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [721180] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20062), 1,
      anon_sym_RPAREN,
    STATE(15243), 1,
      sym_attribute,
    STATE(20266), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721212] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13284), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [721232] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(15245), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(18092), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [721262] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16502), 1,
      anon_sym_BANG,
    ACTIONS(19438), 1,
      anon_sym__,
    STATE(15246), 1,
      sym_attribute,
    STATE(15711), 1,
      sym_type_variable,
    STATE(18094), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16500), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [721292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12625), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [721314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12821), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12819), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [721336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12779), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [721358] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      anon_sym_when,
    ACTIONS(20064), 1,
      anon_sym_DASH_GT,
    STATE(15250), 1,
      sym_attribute,
    STATE(19651), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12803), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [721412] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20066), 1,
      anon_sym_rec,
    ACTIONS(20068), 1,
      anon_sym_type,
    STATE(13566), 1,
      sym_module_binding,
    STATE(15252), 1,
      sym_attribute,
    STATE(16570), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20070), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [721442] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20072), 1,
      anon_sym_rec,
    ACTIONS(20074), 1,
      anon_sym_type,
    STATE(14193), 1,
      sym_module_binding,
    STATE(15253), 1,
      sym_attribute,
    STATE(16573), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20076), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [721472] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20078), 1,
      anon_sym_rec,
    ACTIONS(20080), 1,
      anon_sym_type,
    STATE(14195), 1,
      sym_module_binding,
    STATE(15254), 1,
      sym_attribute,
    STATE(16577), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20082), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [721502] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(20084), 1,
      anon_sym_RPAREN,
    STATE(15255), 1,
      sym_attribute,
    STATE(19730), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721534] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(15256), 1,
      sym_attribute,
    STATE(16558), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22426), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [721561] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20090), 1,
      sym__lowercase_identifier,
    STATE(6400), 1,
      sym_class_path,
    STATE(15257), 1,
      sym_attribute,
    STATE(16190), 1,
      sym__attribute,
    STATE(19709), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721590] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10796), 1,
      anon_sym_PIPE,
    STATE(15258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [721611] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20092), 1,
      anon_sym_RBRACE,
    STATE(15259), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721640] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20094), 1,
      anon_sym_RBRACE,
    STATE(15260), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_PIPE,
    STATE(15261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [721690] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20096), 1,
      anon_sym_RBRACE,
    STATE(15262), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721719] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20098), 1,
      anon_sym_RBRACE,
    STATE(15263), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721748] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20100), 1,
      anon_sym_RBRACE,
    STATE(15264), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721777] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20102), 1,
      anon_sym_RBRACE,
    STATE(15265), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721806] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20104), 1,
      anon_sym_RBRACE,
    STATE(15266), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721835] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20106), 1,
      sym__lowercase_identifier,
    STATE(3915), 1,
      sym_class_path,
    STATE(15267), 1,
      sym_attribute,
    STATE(16279), 1,
      sym__attribute,
    STATE(20753), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721864] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20108), 1,
      anon_sym_RBRACE,
    STATE(15268), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721893] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20110), 1,
      sym__lowercase_identifier,
    STATE(6313), 1,
      sym_class_path,
    STATE(15269), 1,
      sym_attribute,
    STATE(16361), 1,
      sym__attribute,
    STATE(20384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721922] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10242), 1,
      anon_sym_PIPE,
    STATE(15270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10240), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [721943] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20112), 1,
      anon_sym_RBRACE,
    STATE(15271), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721972] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20114), 1,
      anon_sym_RBRACE,
    STATE(15272), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722001] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20116), 1,
      anon_sym_RBRACE,
    STATE(15273), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722030] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20118), 1,
      anon_sym_RBRACE,
    STATE(15274), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722059] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20120), 1,
      anon_sym_RBRACE,
    STATE(15275), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722088] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20122), 1,
      anon_sym_RBRACE,
    STATE(15276), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722117] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20124), 1,
      anon_sym_RBRACE,
    STATE(15277), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722146] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20126), 1,
      anon_sym_RBRACE,
    STATE(15278), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722175] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20128), 1,
      anon_sym_RBRACE,
    STATE(15279), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722204] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20130), 1,
      anon_sym_RBRACE,
    STATE(15280), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722233] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13857), 1,
      anon_sym_and,
    STATE(15281), 1,
      sym_attribute,
    STATE(15512), 1,
      aux_sym_expression_item_repeat1,
    STATE(16065), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13855), 2,
      anon_sym_in,
      sym_let_and_operator,
  [722260] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20132), 1,
      anon_sym_RBRACE,
    STATE(15282), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722289] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20134), 1,
      sym__lowercase_identifier,
    STATE(3815), 1,
      sym_class_path,
    STATE(15283), 1,
      sym_attribute,
    STATE(16420), 1,
      sym__attribute,
    STATE(20790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722318] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_PIPE,
    STATE(15284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10804), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722339] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10810), 1,
      anon_sym_PIPE,
    STATE(15285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722360] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20136), 1,
      anon_sym_RBRACE,
    STATE(15286), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722389] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20138), 1,
      anon_sym_RBRACE,
    STATE(15287), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722418] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20140), 1,
      anon_sym_RBRACE,
    STATE(15288), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722447] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20142), 1,
      anon_sym_RBRACE,
    STATE(15289), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722476] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20144), 1,
      anon_sym_RBRACE,
    STATE(15290), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722505] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10272), 1,
      anon_sym_PIPE,
    STATE(15291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722526] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20146), 1,
      anon_sym_RBRACE,
    STATE(15292), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722555] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20148), 1,
      anon_sym_RBRACE,
    STATE(15293), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722584] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20150), 1,
      anon_sym_RBRACE,
    STATE(15294), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722613] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20152), 1,
      anon_sym_RBRACE,
    STATE(15295), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722642] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20154), 1,
      sym__lowercase_identifier,
    STATE(7109), 1,
      sym_class_path,
    STATE(15296), 1,
      sym_attribute,
    STATE(16347), 1,
      sym__attribute,
    STATE(19806), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722671] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20156), 1,
      anon_sym_RBRACE,
    STATE(15297), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722700] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20158), 1,
      anon_sym_RBRACE,
    STATE(15298), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722729] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20160), 1,
      sym__lowercase_identifier,
    STATE(7959), 1,
      sym_class_path,
    STATE(15299), 1,
      sym_attribute,
    STATE(16281), 1,
      sym__attribute,
    STATE(20487), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722758] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20162), 1,
      anon_sym_RBRACE,
    STATE(15300), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722787] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20164), 1,
      anon_sym_RBRACE,
    STATE(15301), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722816] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20166), 1,
      anon_sym_RBRACE,
    STATE(15302), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722845] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20168), 1,
      anon_sym_RBRACE,
    STATE(15303), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722874] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20170), 1,
      anon_sym_RBRACE,
    STATE(15304), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722903] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20172), 1,
      anon_sym_RBRACE,
    STATE(15305), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722932] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20174), 1,
      anon_sym_RBRACE,
    STATE(15306), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722961] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10814), 1,
      anon_sym_PIPE,
    STATE(15307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722982] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_PIPE,
    STATE(15308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [723003] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20176), 1,
      anon_sym_RBRACE,
    STATE(15309), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723032] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20178), 1,
      sym__lowercase_identifier,
    STATE(4388), 1,
      sym_class_path,
    STATE(15310), 1,
      sym_attribute,
    STATE(16553), 1,
      sym__attribute,
    STATE(20255), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723061] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20180), 1,
      anon_sym_RBRACE,
    STATE(15311), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723090] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20182), 1,
      anon_sym_RBRACE,
    STATE(15312), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723119] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20184), 1,
      anon_sym_RBRACE,
    STATE(15313), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723148] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20186), 1,
      sym__lowercase_identifier,
    STATE(3835), 1,
      sym_class_path,
    STATE(15314), 1,
      sym_attribute,
    STATE(16101), 1,
      sym__attribute,
    STATE(20827), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723177] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20188), 1,
      anon_sym_RBRACE,
    STATE(15315), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723206] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13700), 1,
      anon_sym_and,
    STATE(15316), 1,
      sym_attribute,
    STATE(15562), 1,
      aux_sym_expression_item_repeat1,
    STATE(16065), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13698), 2,
      anon_sym_in,
      sym_let_and_operator,
  [723233] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20190), 1,
      anon_sym_RBRACE,
    STATE(15317), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723262] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20192), 1,
      anon_sym_RBRACE,
    STATE(15318), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723291] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10750), 1,
      anon_sym_PIPE,
    STATE(15319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [723312] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20194), 1,
      anon_sym_RBRACE,
    STATE(15320), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723341] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    ACTIONS(20200), 1,
      anon_sym_RBRACK,
    STATE(15321), 1,
      sym_attribute,
    STATE(17283), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723370] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20202), 1,
      anon_sym_RBRACE,
    STATE(15322), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723399] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20204), 1,
      anon_sym_RBRACE,
    STATE(15323), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723428] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20206), 1,
      anon_sym_DASH_GT,
    STATE(15324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13590), 5,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [723449] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20208), 1,
      anon_sym_RBRACE,
    STATE(15325), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723478] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18208), 1,
      anon_sym_PIPE,
    STATE(15326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18206), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [723499] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20210), 1,
      anon_sym_RBRACE,
    STATE(15327), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723528] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20212), 1,
      anon_sym_RBRACE,
    STATE(15328), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723557] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    ACTIONS(19452), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_as,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    STATE(15329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18564), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [723584] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20214), 1,
      anon_sym_RBRACE,
    STATE(15330), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723613] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20216), 1,
      anon_sym_RBRACE,
    STATE(15331), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723642] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20218), 1,
      anon_sym_RBRACE,
    STATE(15332), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723671] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20220), 1,
      sym__lowercase_identifier,
    STATE(3977), 1,
      sym_class_path,
    STATE(15333), 1,
      sym_attribute,
    STATE(15933), 1,
      sym__attribute,
    STATE(20861), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723700] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20222), 1,
      sym__lowercase_identifier,
    STATE(7842), 1,
      sym_class_path,
    STATE(15334), 1,
      sym_attribute,
    STATE(15984), 1,
      sym__attribute,
    STATE(20535), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723729] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20224), 1,
      sym__lowercase_identifier,
    STATE(4857), 1,
      sym_class_path,
    STATE(15335), 1,
      sym_attribute,
    STATE(16221), 1,
      sym__attribute,
    STATE(19426), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723758] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20226), 1,
      anon_sym_RBRACE,
    STATE(15336), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723787] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19510), 1,
      anon_sym_COMMA,
    ACTIONS(19512), 1,
      anon_sym_PIPE,
    ACTIONS(19518), 1,
      anon_sym_as,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    STATE(15337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20228), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [723814] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20230), 1,
      anon_sym_RBRACE,
    STATE(15338), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723843] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18605), 1,
      anon_sym_PIPE,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    STATE(15339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18603), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [723866] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20232), 1,
      sym__lowercase_identifier,
    STATE(10503), 1,
      sym_class_path,
    STATE(15340), 1,
      sym_attribute,
    STATE(16580), 1,
      sym__attribute,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723895] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20234), 1,
      sym__lowercase_identifier,
    STATE(3701), 1,
      sym_class_path,
    STATE(15341), 1,
      sym_attribute,
    STATE(15964), 1,
      sym__attribute,
    STATE(20449), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723924] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    STATE(15342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20236), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [723951] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20238), 1,
      anon_sym_RBRACE,
    STATE(15343), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723980] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20240), 1,
      anon_sym_RBRACE,
    STATE(15344), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724009] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20242), 1,
      anon_sym_RBRACE,
    STATE(15345), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724038] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20244), 1,
      sym__lowercase_identifier,
    STATE(8841), 1,
      sym_class_path,
    STATE(15346), 1,
      sym_attribute,
    STATE(16100), 1,
      sym__attribute,
    STATE(21057), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724067] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20246), 1,
      anon_sym_RBRACE,
    STATE(15347), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724096] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18415), 1,
      anon_sym_PIPE,
    STATE(15348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18413), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724117] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20248), 1,
      sym__lowercase_identifier,
    STATE(4014), 1,
      sym_class_path,
    STATE(15349), 1,
      sym_attribute,
    STATE(16067), 1,
      sym__attribute,
    STATE(20879), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724146] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20250), 1,
      anon_sym_RBRACE,
    STATE(15350), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724175] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20252), 1,
      anon_sym_RBRACE,
    STATE(15351), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724204] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20254), 1,
      anon_sym_RBRACE,
    STATE(15352), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724233] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20256), 1,
      anon_sym_RBRACE,
    STATE(15353), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724262] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20258), 1,
      sym__lowercase_identifier,
    STATE(8216), 1,
      sym_class_path,
    STATE(15354), 1,
      sym_attribute,
    STATE(16509), 1,
      sym__attribute,
    STATE(21252), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724291] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18150), 1,
      anon_sym_PIPE,
    STATE(15355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18148), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724312] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20260), 1,
      anon_sym_RBRACE,
    STATE(15356), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724341] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19510), 1,
      anon_sym_COMMA,
    ACTIONS(19512), 1,
      anon_sym_PIPE,
    ACTIONS(19518), 1,
      anon_sym_as,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    STATE(15357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20262), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [724368] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20264), 1,
      anon_sym_RBRACE,
    STATE(15358), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724397] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20266), 1,
      anon_sym_RBRACE,
    STATE(15359), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724426] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20268), 1,
      sym__lowercase_identifier,
    STATE(8098), 1,
      sym_class_path,
    STATE(15360), 1,
      sym_attribute,
    STATE(16378), 1,
      sym__attribute,
    STATE(20898), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724455] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20270), 1,
      anon_sym_RBRACE,
    STATE(15361), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724484] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20272), 1,
      anon_sym_RBRACE,
    STATE(15362), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10768), 1,
      anon_sym_PIPE,
    STATE(15363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10766), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724534] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20274), 1,
      anon_sym_RBRACE,
    STATE(15364), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724563] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20276), 1,
      anon_sym_RBRACE,
    STATE(15365), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724592] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20278), 1,
      anon_sym_RBRACE,
    STATE(15366), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724621] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20280), 1,
      anon_sym_RBRACE,
    STATE(15367), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724650] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    STATE(15368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724671] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    STATE(15369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20282), 4,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
  [724694] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    STATE(15370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724715] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20284), 1,
      anon_sym_RBRACE,
    STATE(15371), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724744] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20286), 1,
      anon_sym_RBRACE,
    STATE(15372), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724773] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10306), 1,
      anon_sym_PIPE,
    STATE(15373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724794] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20288), 1,
      sym__lowercase_identifier,
    ACTIONS(20290), 1,
      anon_sym_BANG,
    STATE(13793), 1,
      sym__instance_variable_name,
    STATE(15374), 1,
      sym_attribute,
    STATE(15732), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20292), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [724821] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20294), 1,
      anon_sym_RBRACE,
    STATE(15375), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724850] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8183), 1,
      anon_sym_PIPE,
    STATE(15376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724871] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20296), 1,
      anon_sym_RBRACE,
    STATE(15377), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724900] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    STATE(15378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20298), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [724927] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20300), 1,
      anon_sym_RBRACE,
    STATE(15379), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724956] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20302), 1,
      sym__lowercase_identifier,
    STATE(5366), 1,
      sym_class_path,
    STATE(15380), 1,
      sym_attribute,
    STATE(16130), 1,
      sym__attribute,
    STATE(20362), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724985] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20304), 1,
      sym__lowercase_identifier,
    STATE(7397), 1,
      sym_class_path,
    STATE(15381), 1,
      sym_attribute,
    STATE(15952), 1,
      sym__attribute,
    STATE(19847), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725014] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    STATE(15382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725035] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20306), 1,
      anon_sym_RBRACE,
    STATE(15383), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725064] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20308), 1,
      sym__lowercase_identifier,
    STATE(5392), 1,
      sym_class_path,
    STATE(15384), 1,
      sym_attribute,
    STATE(16489), 1,
      sym__attribute,
    STATE(21750), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10314), 1,
      anon_sym_PIPE,
    STATE(15385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10312), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725114] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10322), 1,
      anon_sym_PIPE,
    STATE(15386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725135] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8971), 1,
      anon_sym_PIPE,
    STATE(15387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8969), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725156] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20310), 1,
      sym__lowercase_identifier,
    STATE(8217), 1,
      sym_class_path,
    STATE(15388), 1,
      sym_attribute,
    STATE(16064), 1,
      sym__attribute,
    STATE(19489), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725185] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20312), 1,
      anon_sym_RBRACE,
    STATE(15389), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725214] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20314), 1,
      anon_sym_rec,
    STATE(15390), 1,
      sym_attribute,
    STATE(16202), 1,
      sym__attribute,
    STATE(17574), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20316), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [725241] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10388), 1,
      anon_sym_PIPE,
    ACTIONS(19426), 1,
      anon_sym_COLON_COLON,
    STATE(15391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10386), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [725264] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20318), 1,
      anon_sym_RBRACE,
    STATE(15392), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725293] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    ACTIONS(19452), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_as,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    STATE(15393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20236), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [725320] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20320), 1,
      anon_sym_RBRACE,
    STATE(15394), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725349] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20322), 1,
      anon_sym_RBRACE,
    STATE(15395), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725378] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20324), 1,
      sym__lowercase_identifier,
    STATE(7239), 1,
      sym_class_path,
    STATE(15396), 1,
      sym_attribute,
    STATE(15956), 1,
      sym__attribute,
    STATE(20372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725407] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20326), 1,
      anon_sym_RBRACE,
    STATE(15397), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725436] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20328), 1,
      anon_sym_RBRACE,
    STATE(15398), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725465] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20330), 1,
      anon_sym_RBRACE,
    STATE(15399), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725494] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10392), 1,
      anon_sym_PIPE,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    ACTIONS(19426), 1,
      anon_sym_COLON_COLON,
    STATE(15400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [725519] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20332), 1,
      anon_sym_RBRACE,
    STATE(15401), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725548] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10364), 1,
      anon_sym_PIPE,
    STATE(15402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725569] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18437), 1,
      anon_sym_PIPE,
    STATE(15403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18435), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725590] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20334), 1,
      anon_sym_RBRACE,
    STATE(15404), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725619] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10384), 1,
      anon_sym_PIPE,
    STATE(15405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10382), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725640] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_PIPE,
    STATE(15406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725661] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10334), 1,
      anon_sym_PIPE,
    ACTIONS(19426), 1,
      anon_sym_COLON_COLON,
    STATE(15407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [725684] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20336), 1,
      sym__lowercase_identifier,
    STATE(7002), 1,
      sym_class_path,
    STATE(15408), 1,
      sym_attribute,
    STATE(16152), 1,
      sym__attribute,
    STATE(20525), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725713] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20338), 1,
      sym__lowercase_identifier,
    STATE(7455), 1,
      sym_class_path,
    STATE(15409), 1,
      sym_attribute,
    STATE(16204), 1,
      sym__attribute,
    STATE(19888), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725742] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    STATE(15410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725763] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10348), 1,
      anon_sym_PIPE,
    STATE(15411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725784] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13818), 1,
      anon_sym_and,
    STATE(15412), 1,
      sym_attribute,
    STATE(15512), 1,
      aux_sym_expression_item_repeat1,
    STATE(16065), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13816), 2,
      anon_sym_in,
      sym_let_and_operator,
  [725811] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20340), 1,
      sym__lowercase_identifier,
    STATE(5902), 1,
      sym_class_path,
    STATE(15413), 1,
      sym_attribute,
    STATE(16116), 1,
      sym__attribute,
    STATE(20333), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725840] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20342), 1,
      anon_sym_RBRACE,
    STATE(15414), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725869] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20344), 1,
      anon_sym_RBRACE,
    STATE(15415), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725898] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20346), 1,
      anon_sym_RBRACE,
    STATE(15416), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725927] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13822), 1,
      anon_sym_and,
    STATE(15417), 1,
      sym_attribute,
    STATE(15533), 1,
      aux_sym_expression_item_repeat1,
    STATE(16065), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13820), 2,
      anon_sym_in,
      sym_let_and_operator,
  [725954] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18443), 1,
      anon_sym_PIPE,
    STATE(15418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18441), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725975] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10380), 1,
      anon_sym_PIPE,
    STATE(15419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725996] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20348), 1,
      anon_sym_RBRACE,
    STATE(15420), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726025] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20350), 1,
      anon_sym_RBRACE,
    STATE(15421), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726054] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(17798), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15422), 1,
      sym_attribute,
    STATE(16389), 1,
      sym__attribute,
    STATE(18877), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726083] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20352), 1,
      anon_sym_RBRACE,
    STATE(15423), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726112] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20354), 1,
      anon_sym_RBRACE,
    STATE(15424), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726141] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20356), 1,
      anon_sym_RBRACE,
    STATE(15425), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726170] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10858), 1,
      anon_sym_PIPE,
    STATE(15426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10856), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726191] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13334), 1,
      anon_sym_RPAREN,
    STATE(15427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [726212] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10862), 1,
      anon_sym_PIPE,
    STATE(15428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10860), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726233] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20358), 1,
      sym__lowercase_identifier,
    STATE(8439), 1,
      sym_class_path,
    STATE(15429), 1,
      sym_attribute,
    STATE(15886), 1,
      sym__attribute,
    STATE(22483), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18353), 1,
      anon_sym_PIPE,
    STATE(15430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18351), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726283] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20360), 1,
      anon_sym_RBRACE,
    STATE(15431), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726312] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20362), 1,
      sym__lowercase_identifier,
    STATE(4161), 1,
      sym_class_path,
    STATE(15432), 1,
      sym_attribute,
    STATE(16306), 1,
      sym__attribute,
    STATE(19363), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726341] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20364), 1,
      anon_sym_RBRACE,
    STATE(15433), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726370] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20366), 1,
      anon_sym_RBRACE,
    STATE(15434), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726399] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20368), 1,
      anon_sym_RBRACE,
    STATE(15435), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726428] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20370), 1,
      anon_sym_RBRACE,
    STATE(15436), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726457] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20372), 1,
      sym__lowercase_identifier,
    STATE(7689), 1,
      sym_class_path,
    STATE(15437), 1,
      sym_attribute,
    STATE(16467), 1,
      sym__attribute,
    STATE(19545), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726486] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20374), 1,
      anon_sym_RBRACE,
    STATE(15438), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726515] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20376), 1,
      anon_sym_RBRACE,
    STATE(15439), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726544] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20378), 1,
      anon_sym_RBRACE,
    STATE(15440), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726573] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20380), 1,
      anon_sym_RBRACE,
    STATE(15441), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726602] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20382), 1,
      anon_sym_RBRACE,
    STATE(15442), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726631] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20384), 1,
      anon_sym_RBRACE,
    STATE(15443), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726660] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20386), 1,
      anon_sym_RBRACE,
    STATE(15444), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726689] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20388), 1,
      sym__lowercase_identifier,
    STATE(4544), 1,
      sym_class_path,
    STATE(15445), 1,
      sym_attribute,
    STATE(16348), 1,
      sym__attribute,
    STATE(20563), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726718] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    ACTIONS(20390), 1,
      anon_sym_RBRACK,
    STATE(15446), 1,
      sym_attribute,
    STATE(16772), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726747] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20392), 1,
      anon_sym_RBRACE,
    STATE(15447), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726776] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20394), 1,
      anon_sym_RBRACE,
    STATE(15448), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726805] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20396), 1,
      anon_sym_RBRACE,
    STATE(15449), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726834] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20398), 1,
      anon_sym_RBRACE,
    STATE(15450), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726863] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20400), 1,
      anon_sym_RBRACE,
    STATE(15451), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726892] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20402), 1,
      anon_sym_RBRACE,
    STATE(15452), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726921] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20404), 1,
      anon_sym_RBRACE,
    STATE(15453), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726950] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20406), 1,
      anon_sym_RBRACE,
    STATE(15454), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726979] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20408), 1,
      anon_sym_RBRACE,
    STATE(15455), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727008] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20410), 1,
      anon_sym_RBRACE,
    STATE(15456), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727037] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20412), 1,
      anon_sym_RBRACE,
    STATE(15457), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727066] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20414), 1,
      anon_sym_RBRACE,
    STATE(15458), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727095] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20416), 1,
      anon_sym_RBRACE,
    STATE(15459), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727124] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12609), 1,
      anon_sym_RPAREN,
    STATE(15460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [727145] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20418), 1,
      anon_sym_RBRACE,
    STATE(15461), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727174] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20420), 1,
      anon_sym_RBRACE,
    STATE(15462), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727203] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20422), 1,
      anon_sym_RBRACE,
    STATE(15463), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727232] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20424), 1,
      anon_sym_RBRACE,
    STATE(15464), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727261] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20426), 1,
      anon_sym_RBRACE,
    STATE(15465), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727290] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20428), 1,
      anon_sym_RBRACE,
    STATE(15466), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727319] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20430), 1,
      sym__lowercase_identifier,
    STATE(10932), 1,
      sym_class_path,
    STATE(15467), 1,
      sym_attribute,
    STATE(15925), 1,
      sym__attribute,
    STATE(19929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727348] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20432), 1,
      anon_sym_RBRACE,
    STATE(15468), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727377] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20434), 1,
      sym__lowercase_identifier,
    STATE(7721), 1,
      sym_class_path,
    STATE(15469), 1,
      sym_attribute,
    STATE(16541), 1,
      sym__attribute,
    STATE(20601), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727406] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10334), 1,
      anon_sym_COLON2,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    STATE(15470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [727429] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(15471), 1,
      sym_attribute,
    STATE(16565), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22085), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [727456] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13782), 1,
      anon_sym_and,
    STATE(15281), 1,
      aux_sym_expression_item_repeat1,
    STATE(15472), 1,
      sym_attribute,
    STATE(16065), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13780), 2,
      anon_sym_in,
      sym_let_and_operator,
  [727483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10330), 1,
      anon_sym_PIPE,
    STATE(15473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727504] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10656), 1,
      anon_sym_PIPE,
    STATE(15474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727525] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20436), 1,
      anon_sym_RBRACE,
    STATE(15475), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727554] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10342), 1,
      anon_sym_PIPE,
    STATE(15476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727575] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20438), 1,
      anon_sym_RBRACE,
    STATE(15477), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727604] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5885), 1,
      anon_sym_PIPE,
    STATE(15478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5881), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727625] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    STATE(15479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727646] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10372), 1,
      anon_sym_PIPE,
    STATE(15480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727667] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20440), 1,
      anon_sym_RBRACE,
    STATE(15481), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727696] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20442), 1,
      anon_sym_RBRACE,
    STATE(15482), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    STATE(15483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10286), 1,
      anon_sym_PIPE,
    STATE(15484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727767] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20444), 1,
      anon_sym_RBRACE,
    STATE(15485), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727796] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(16045), 1,
      anon_sym_POUND,
    ACTIONS(20446), 1,
      anon_sym_DASH_GT,
    STATE(13695), 1,
      sym_type_constructor_path,
    STATE(15486), 1,
      sym_attribute,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727825] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    STATE(6825), 1,
      sym_class_path,
    STATE(15487), 1,
      sym_attribute,
    STATE(16590), 1,
      sym__attribute,
    STATE(19599), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727854] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20450), 1,
      anon_sym_RBRACE,
    STATE(15488), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727883] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20452), 1,
      anon_sym_RBRACE,
    STATE(15489), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727912] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20454), 1,
      anon_sym_RBRACE,
    STATE(15490), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727941] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18431), 1,
      anon_sym_PIPE,
    STATE(15491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18429), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727962] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20456), 1,
      anon_sym_RBRACE,
    STATE(15492), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727991] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20458), 1,
      sym__lowercase_identifier,
    STATE(8693), 1,
      sym_class_path,
    STATE(15493), 1,
      sym_attribute,
    STATE(16465), 1,
      sym__attribute,
    STATE(20215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728020] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20460), 1,
      anon_sym_RBRACE,
    STATE(15494), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728049] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20462), 1,
      anon_sym_RBRACE,
    STATE(15495), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728078] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10368), 1,
      anon_sym_PIPE,
    STATE(15496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728099] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10246), 1,
      anon_sym_PIPE,
    STATE(15497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10244), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728120] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20464), 1,
      anon_sym_RBRACE,
    STATE(15498), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728149] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20466), 1,
      anon_sym_RBRACE,
    STATE(15499), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728178] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20468), 1,
      anon_sym_RBRACE,
    STATE(15500), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728207] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18513), 1,
      anon_sym_PIPE,
    STATE(15501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18511), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728228] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(17798), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15502), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__attribute,
    STATE(18389), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728257] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20470), 1,
      anon_sym_RBRACE,
    STATE(15503), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728286] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20472), 1,
      anon_sym_RBRACE,
    STATE(15504), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728315] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20474), 1,
      anon_sym_RBRACE,
    STATE(15505), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728344] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    STATE(15506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728365] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    ACTIONS(19442), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_COLON_COLON,
    STATE(15507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20476), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [728392] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9182), 1,
      anon_sym_PIPE,
    STATE(15508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728413] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20478), 1,
      sym__lowercase_identifier,
    STATE(6883), 1,
      sym_class_path,
    STATE(15509), 1,
      sym_attribute,
    STATE(15878), 1,
      sym__attribute,
    STATE(20639), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728442] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20480), 1,
      anon_sym_RBRACE,
    STATE(15510), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728471] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20482), 1,
      anon_sym_RBRACE,
    STATE(15511), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728500] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13257), 1,
      anon_sym_and,
    ACTIONS(20484), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16065), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13255), 2,
      anon_sym_in,
      sym_let_and_operator,
    STATE(15512), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [728525] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20487), 1,
      anon_sym_RBRACE,
    STATE(15513), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728554] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20489), 1,
      sym__lowercase_identifier,
    STATE(7746), 1,
      sym_class_path,
    STATE(15514), 1,
      sym_attribute,
    STATE(16020), 1,
      sym__attribute,
    STATE(19970), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728583] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20491), 1,
      anon_sym_RBRACE,
    STATE(15515), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728612] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20493), 1,
      anon_sym_RBRACE,
    STATE(15516), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728641] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10830), 1,
      anon_sym_PIPE,
    STATE(15517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728662] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9196), 1,
      anon_sym_PIPE,
    STATE(15518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728683] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20495), 1,
      anon_sym_RBRACE,
    STATE(15519), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728712] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    ACTIONS(19452), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_as,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    STATE(15520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18584), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [728739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_PIPE,
    STATE(15521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728760] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20497), 1,
      anon_sym_RBRACE,
    STATE(15522), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728789] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20499), 1,
      anon_sym_and,
    STATE(15523), 1,
      sym_attribute,
    STATE(15524), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13842), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [728812] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20501), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15524), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13274), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [728833] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9208), 1,
      anon_sym_PIPE,
    STATE(15525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728854] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10254), 1,
      anon_sym_PIPE,
    STATE(15526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10252), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728875] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9212), 1,
      anon_sym_PIPE,
    STATE(15527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728896] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20504), 1,
      anon_sym_RBRACE,
    STATE(15528), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728925] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20506), 1,
      anon_sym_RBRACE,
    STATE(15529), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728954] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9276), 1,
      anon_sym_PIPE,
    STATE(15530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728975] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20508), 1,
      anon_sym_RBRACE,
    STATE(15531), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729004] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20510), 1,
      anon_sym_RBRACE,
    STATE(15532), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729033] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13863), 1,
      anon_sym_and,
    STATE(15512), 1,
      aux_sym_expression_item_repeat1,
    STATE(15533), 1,
      sym_attribute,
    STATE(16065), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13861), 2,
      anon_sym_in,
      sym_let_and_operator,
  [729060] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20512), 1,
      anon_sym_RBRACE,
    STATE(15534), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729089] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13867), 1,
      anon_sym_and,
    STATE(15535), 1,
      sym_attribute,
    STATE(15577), 1,
      aux_sym_expression_item_repeat1,
    STATE(16065), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13865), 2,
      anon_sym_in,
      sym_let_and_operator,
  [729116] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20514), 1,
      anon_sym_RBRACE,
    STATE(15536), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729145] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19510), 1,
      anon_sym_COMMA,
    ACTIONS(19512), 1,
      anon_sym_PIPE,
    ACTIONS(19518), 1,
      anon_sym_as,
    ACTIONS(19520), 1,
      anon_sym_COLON_COLON,
    STATE(15537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20516), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [729172] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20518), 1,
      anon_sym_RBRACE,
    STATE(15538), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729201] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20520), 1,
      sym__lowercase_identifier,
    STATE(8698), 1,
      sym_class_path,
    STATE(15539), 1,
      sym_attribute,
    STATE(15989), 1,
      sym__attribute,
    STATE(22535), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729230] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10278), 1,
      anon_sym_PIPE,
    STATE(15540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729251] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20522), 1,
      anon_sym_RBRACE,
    STATE(15541), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729280] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20524), 1,
      sym__lowercase_identifier,
    ACTIONS(20526), 1,
      anon_sym_LBRACK,
    ACTIONS(20528), 1,
      anon_sym_virtual,
    STATE(12251), 1,
      sym_class_type_binding,
    STATE(15542), 1,
      sym_attribute,
    STATE(16203), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729309] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20530), 1,
      anon_sym_RBRACE,
    STATE(15543), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729338] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20532), 1,
      anon_sym_RBRACE,
    STATE(15544), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9134), 1,
      anon_sym_PIPE,
    STATE(15545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729388] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20534), 1,
      sym__lowercase_identifier,
    STATE(5993), 1,
      sym_class_path,
    STATE(15546), 1,
      sym_attribute,
    STATE(16576), 1,
      sym__attribute,
    STATE(22345), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10776), 1,
      anon_sym_PIPE,
    STATE(15547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10774), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729438] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10780), 1,
      anon_sym_PIPE,
    STATE(15548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10778), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10784), 1,
      anon_sym_PIPE,
    STATE(15549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10782), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729480] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20536), 1,
      sym__lowercase_identifier,
    STATE(7582), 1,
      sym_class_path,
    STATE(15550), 1,
      sym_attribute,
    STATE(16078), 1,
      sym__attribute,
    STATE(20011), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_PIPE,
    STATE(15551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10790), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729530] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20538), 1,
      sym__lowercase_identifier,
    STATE(5042), 1,
      sym_class_path,
    STATE(15552), 1,
      sym_attribute,
    STATE(15947), 1,
      sym__attribute,
    STATE(20294), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729559] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_PIPE,
    STATE(15553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729580] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18499), 1,
      anon_sym_PIPE,
    STATE(15554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18497), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729601] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10802), 1,
      anon_sym_PIPE,
    STATE(15555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10800), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729622] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20540), 1,
      anon_sym_RBRACE,
    STATE(15556), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729651] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13894), 1,
      anon_sym_and,
    STATE(15412), 1,
      aux_sym_expression_item_repeat1,
    STATE(15557), 1,
      sym_attribute,
    STATE(16065), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13892), 2,
      anon_sym_in,
      sym_let_and_operator,
  [729678] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    ACTIONS(19420), 1,
      anon_sym_PIPE,
    ACTIONS(19424), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COLON_COLON,
    STATE(15558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20228), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [729705] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20542), 1,
      anon_sym_RBRACE,
    STATE(15559), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729734] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20544), 1,
      anon_sym_RBRACE,
    STATE(15560), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729763] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9166), 1,
      anon_sym_PIPE,
    STATE(15561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729784] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13898), 1,
      anon_sym_and,
    STATE(15512), 1,
      aux_sym_expression_item_repeat1,
    STATE(15562), 1,
      sym_attribute,
    STATE(16065), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13896), 2,
      anon_sym_in,
      sym_let_and_operator,
  [729811] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20546), 1,
      sym__lowercase_identifier,
    STATE(7951), 1,
      sym_class_path,
    STATE(15563), 1,
      sym_attribute,
    STATE(16036), 1,
      sym__attribute,
    STATE(20149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729840] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20548), 1,
      sym__lowercase_identifier,
    STATE(7779), 1,
      sym_class_path,
    STATE(15564), 1,
      sym_attribute,
    STATE(15998), 1,
      sym__attribute,
    STATE(20134), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729869] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13908), 1,
      anon_sym_and,
    STATE(15512), 1,
      aux_sym_expression_item_repeat1,
    STATE(15565), 1,
      sym_attribute,
    STATE(16065), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13906), 2,
      anon_sym_in,
      sym_let_and_operator,
  [729896] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20550), 1,
      anon_sym_RBRACE,
    STATE(15566), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729925] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20552), 1,
      sym__lowercase_identifier,
    STATE(4476), 1,
      sym_class_path,
    STATE(15567), 1,
      sym_attribute,
    STATE(16275), 1,
      sym__attribute,
    STATE(20411), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729954] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20554), 1,
      sym__lowercase_identifier,
    STATE(6009), 1,
      sym_class_path,
    STATE(15568), 1,
      sym_attribute,
    STATE(16052), 1,
      sym__attribute,
    STATE(19654), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729983] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20556), 1,
      anon_sym_RBRACE,
    STATE(15569), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730012] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18599), 1,
      anon_sym_PIPE,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    STATE(15570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18597), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [730035] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20558), 1,
      anon_sym_RBRACE,
    STATE(15571), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730064] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20560), 1,
      anon_sym_RBRACE,
    STATE(15572), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730093] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20562), 1,
      anon_sym_RBRACE,
    STATE(15573), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730122] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10756), 1,
      anon_sym_PIPE,
    STATE(15574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10754), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [730143] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20564), 1,
      anon_sym_RBRACE,
    STATE(15575), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730172] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20566), 1,
      anon_sym_RBRACE,
    STATE(15576), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730201] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13885), 1,
      anon_sym_and,
    STATE(15512), 1,
      aux_sym_expression_item_repeat1,
    STATE(15577), 1,
      sym_attribute,
    STATE(16065), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13883), 2,
      anon_sym_in,
      sym_let_and_operator,
  [730228] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(17798), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15578), 1,
      sym_attribute,
    STATE(15924), 1,
      sym__attribute,
    STATE(18921), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730257] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18582), 1,
      anon_sym_PIPE,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    ACTIONS(19458), 1,
      anon_sym_COLON_COLON,
    STATE(15579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18580), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [730282] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20568), 1,
      anon_sym_RBRACE,
    STATE(15580), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730311] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20570), 1,
      anon_sym_RBRACE,
    STATE(15581), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730340] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20572), 1,
      anon_sym_RBRACE,
    STATE(15582), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730369] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20574), 1,
      sym__lowercase_identifier,
    STATE(6686), 1,
      sym_class_path,
    STATE(15583), 1,
      sym_attribute,
    STATE(16097), 1,
      sym__attribute,
    STATE(20677), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730398] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20576), 1,
      anon_sym_RBRACE,
    STATE(15584), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730427] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10360), 1,
      anon_sym_PIPE,
    STATE(15585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [730448] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20578), 1,
      anon_sym_RBRACE,
    STATE(15586), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730477] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20580), 1,
      anon_sym_RBRACE,
    STATE(15587), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730506] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10838), 1,
      anon_sym_PIPE,
    STATE(15588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10836), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [730527] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20582), 1,
      sym__lowercase_identifier,
    STATE(5302), 1,
      sym_class_path,
    STATE(15589), 1,
      sym_attribute,
    STATE(16376), 1,
      sym__attribute,
    STATE(21490), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730556] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20584), 1,
      sym__lowercase_identifier,
    STATE(4498), 1,
      sym_class_path,
    STATE(15590), 1,
      sym_attribute,
    STATE(16160), 1,
      sym__attribute,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730585] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20586), 1,
      anon_sym_RBRACE,
    STATE(15591), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730614] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_PIPE,
    STATE(15592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10248), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [730635] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20588), 1,
      anon_sym_RBRACE,
    STATE(15593), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730664] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20590), 1,
      anon_sym_RBRACE,
    STATE(15594), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730693] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10388), 1,
      anon_sym_COLON2,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    STATE(15595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10386), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [730716] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10258), 1,
      anon_sym_PIPE,
    STATE(15596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [730737] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20592), 1,
      anon_sym_RBRACE,
    STATE(15597), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730766] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20594), 1,
      anon_sym_RBRACE,
    STATE(15598), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730795] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10392), 1,
      anon_sym_COLON2,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    STATE(15599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_as,
  [730820] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20596), 1,
      anon_sym_RBRACE,
    STATE(15600), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730849] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10264), 1,
      anon_sym_PIPE,
    STATE(15601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10262), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [730870] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20598), 1,
      anon_sym_RBRACE,
    STATE(15602), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730899] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20600), 1,
      anon_sym_RBRACE,
    STATE(15603), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730928] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10326), 1,
      anon_sym_PIPE,
    STATE(15604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [730949] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20602), 1,
      anon_sym_RBRACE,
    STATE(15605), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730978] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20499), 1,
      anon_sym_and,
    STATE(15523), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(15606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13712), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [731001] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20604), 1,
      anon_sym_RBRACE,
    STATE(15607), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731030] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20606), 1,
      anon_sym_RBRACE,
    STATE(15608), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731059] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20608), 1,
      anon_sym_RBRACE,
    STATE(15609), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731088] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20610), 1,
      anon_sym_RBRACE,
    STATE(15610), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731117] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20612), 1,
      anon_sym_RBRACE,
    STATE(15611), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731146] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20614), 1,
      anon_sym_RBRACE,
    STATE(15612), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731175] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20616), 1,
      anon_sym_RBRACE,
    STATE(15613), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731204] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20618), 1,
      anon_sym_RBRACE,
    STATE(15614), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731233] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(15615), 1,
      sym_attribute,
    STATE(16551), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22407), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [731260] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20620), 1,
      anon_sym_RBRACE,
    STATE(15616), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731289] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20622), 1,
      sym__lowercase_identifier,
    STATE(5006), 1,
      sym_class_path,
    STATE(15617), 1,
      sym_attribute,
    STATE(16335), 1,
      sym__attribute,
    STATE(20175), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731318] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20624), 1,
      anon_sym_RBRACE,
    STATE(15618), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731347] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20626), 1,
      sym__lowercase_identifier,
    STATE(4273), 1,
      sym_class_path,
    STATE(15619), 1,
      sym_attribute,
    STATE(16277), 1,
      sym__attribute,
    STATE(20093), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731376] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(15620), 1,
      sym_attribute,
    STATE(16564), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22434), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [731403] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20628), 1,
      anon_sym_RBRACE,
    STATE(15621), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731432] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20630), 1,
      sym__lowercase_identifier,
    STATE(6274), 1,
      sym_class_path,
    STATE(15622), 1,
      sym_attribute,
    STATE(16155), 1,
      sym__attribute,
    STATE(20715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731461] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10268), 1,
      anon_sym_PIPE,
    STATE(15623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10266), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [731482] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    ACTIONS(20632), 1,
      sym__lowercase_identifier,
    STATE(9048), 1,
      sym_class_path,
    STATE(15624), 1,
      sym_attribute,
    STATE(16386), 1,
      sym__attribute,
    STATE(19689), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731511] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20634), 1,
      anon_sym_RBRACE,
    STATE(15625), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731540] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_PIPE,
    STATE(15626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [731561] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20636), 1,
      anon_sym_RBRACE,
    STATE(15627), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731590] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10850), 1,
      anon_sym_PIPE,
    STATE(15628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [731611] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    ACTIONS(20638), 1,
      anon_sym_RBRACE,
    STATE(15629), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731640] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20642), 1,
      anon_sym_SEMI,
    ACTIONS(20644), 1,
      anon_sym_GT_RBRACE,
    STATE(15630), 1,
      sym_attribute,
    STATE(17554), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731666] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20646), 1,
      anon_sym_RPAREN,
    STATE(15631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731692] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20648), 1,
      anon_sym_SEMI,
    ACTIONS(20650), 1,
      anon_sym_GT_RBRACE,
    STATE(15632), 1,
      sym_attribute,
    STATE(17778), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731718] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20652), 1,
      anon_sym_SEMI,
    ACTIONS(20654), 1,
      anon_sym_GT_RBRACE,
    STATE(15633), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(17868), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20656), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [731762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20658), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [731780] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12607), 1,
      sym__lowercase_identifier,
    ACTIONS(20660), 1,
      anon_sym_POUND,
    STATE(12350), 1,
      sym_type_constructor_path,
    STATE(15636), 1,
      sym_attribute,
    STATE(19177), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731806] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20662), 1,
      anon_sym_SEMI,
    ACTIONS(20664), 1,
      anon_sym_GT_RBRACE,
    STATE(15637), 1,
      sym_attribute,
    STATE(16983), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731832] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20666), 1,
      anon_sym_EQ,
    ACTIONS(20668), 1,
      anon_sym_COLON2,
    STATE(15638), 1,
      sym_attribute,
    STATE(16913), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20670), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [731856] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15639), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16967), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731882] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20672), 1,
      anon_sym_SEMI,
    ACTIONS(20674), 1,
      anon_sym_GT_RBRACE,
    STATE(15640), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731908] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20676), 1,
      anon_sym_RBRACK,
    STATE(15641), 1,
      sym_attribute,
    STATE(16999), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731934] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20678), 1,
      anon_sym_SEMI,
    ACTIONS(20680), 1,
      anon_sym_GT_RBRACE,
    STATE(15642), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(17887), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731960] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20288), 1,
      sym__lowercase_identifier,
    STATE(15643), 1,
      sym_attribute,
    STATE(15789), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(18749), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20292), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [731984] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20682), 1,
      anon_sym_SEMI,
    ACTIONS(20684), 1,
      anon_sym_GT_RBRACE,
    STATE(15644), 1,
      sym_attribute,
    STATE(17051), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732010] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20686), 1,
      anon_sym_RPAREN,
    STATE(15645), 1,
      sym_attribute,
    STATE(16997), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732036] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12569), 1,
      sym__lowercase_identifier,
    ACTIONS(20688), 1,
      anon_sym_POUND,
    STATE(10694), 1,
      sym_type_constructor_path,
    STATE(15646), 1,
      sym_attribute,
    STATE(18969), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732062] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20690), 1,
      anon_sym_RPAREN,
    STATE(15647), 1,
      sym_attribute,
    STATE(17345), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732088] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20692), 1,
      anon_sym_SEMI,
    ACTIONS(20694), 1,
      anon_sym_GT_RBRACE,
    STATE(15648), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(17927), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732114] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20696), 1,
      anon_sym_SEMI,
    ACTIONS(20698), 1,
      anon_sym_GT_RBRACE,
    STATE(15649), 1,
      sym_attribute,
    STATE(16978), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732140] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13656), 1,
      sym__lowercase_identifier,
    ACTIONS(20700), 1,
      anon_sym_POUND,
    STATE(14586), 1,
      sym_type_constructor_path,
    STATE(15650), 1,
      sym_attribute,
    STATE(18168), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732166] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15651), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17154), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732192] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20288), 1,
      sym__lowercase_identifier,
    STATE(13731), 1,
      sym__instance_variable_name,
    STATE(15652), 1,
      sym_attribute,
    STATE(15688), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20292), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [732216] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20702), 1,
      anon_sym_RBRACK,
    STATE(15653), 1,
      sym_attribute,
    STATE(17045), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732242] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20668), 1,
      anon_sym_COLON2,
    ACTIONS(20704), 1,
      anon_sym_EQ,
    STATE(15654), 1,
      sym_attribute,
    STATE(16844), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20706), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [732266] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20708), 1,
      anon_sym_SEMI,
    ACTIONS(20710), 1,
      anon_sym_GT_RBRACE,
    STATE(15655), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(18082), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732292] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20712), 1,
      anon_sym_type,
    ACTIONS(20714), 1,
      anon_sym_module,
    STATE(15656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10674), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [732314] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20716), 1,
      anon_sym_RPAREN,
    STATE(15657), 1,
      sym_attribute,
    STATE(17268), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732340] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20718), 1,
      anon_sym_SEMI,
    ACTIONS(20720), 1,
      anon_sym_GT_RBRACE,
    STATE(15658), 1,
      sym_attribute,
    STATE(17071), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732366] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15659), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17095), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732392] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20722), 1,
      anon_sym_SEMI,
    ACTIONS(20724), 1,
      anon_sym_GT_RBRACE,
    STATE(15660), 1,
      sym_attribute,
    STATE(17124), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732418] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15638), 1,
      sym_field_path,
    STATE(15661), 1,
      sym_attribute,
    STATE(16884), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732444] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20726), 1,
      anon_sym_SEMI,
    ACTIONS(20728), 1,
      anon_sym_GT_RBRACE,
    STATE(15662), 1,
      sym_attribute,
    STATE(16601), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732470] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20730), 1,
      anon_sym_RPAREN,
    STATE(15663), 1,
      sym_attribute,
    STATE(17362), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732496] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15664), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16804), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732522] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12591), 1,
      sym__lowercase_identifier,
    ACTIONS(20732), 1,
      anon_sym_POUND,
    STATE(12000), 1,
      sym_type_constructor_path,
    STATE(15665), 1,
      sym_attribute,
    STATE(18187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732548] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13602), 1,
      sym__lowercase_identifier,
    ACTIONS(20734), 1,
      anon_sym_POUND,
    STATE(14078), 1,
      sym_type_constructor_path,
    STATE(15666), 1,
      sym_attribute,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732574] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15667), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17151), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732600] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15668), 1,
      sym_attribute,
    STATE(15722), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14220), 2,
      anon_sym_and,
      anon_sym_in,
  [732624] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10412), 1,
      sym__uppercase_identifier,
    ACTIONS(20736), 1,
      anon_sym_LPAREN,
    STATE(14706), 1,
      sym__constructor_name,
    STATE(15669), 1,
      sym_attribute,
    STATE(18465), 1,
      sym_constructor_path,
    STATE(20730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732650] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10412), 1,
      sym__uppercase_identifier,
    ACTIONS(20736), 1,
      anon_sym_LPAREN,
    STATE(14706), 1,
      sym__constructor_name,
    STATE(15670), 1,
      sym_attribute,
    STATE(18458), 1,
      sym_constructor_path,
    STATE(20730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732676] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20738), 1,
      anon_sym_SEMI,
    ACTIONS(20740), 1,
      anon_sym_GT_RBRACE,
    STATE(15671), 1,
      sym_attribute,
    STATE(16627), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732702] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20742), 1,
      anon_sym_RPAREN,
    STATE(15672), 1,
      sym_attribute,
    STATE(17140), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732728] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15673), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17544), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732754] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20744), 1,
      anon_sym_SEMI,
    ACTIONS(20746), 1,
      anon_sym_GT_RBRACE,
    STATE(15674), 1,
      sym_attribute,
    STATE(17177), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732780] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19590), 1,
      anon_sym_AMP,
    STATE(15675), 1,
      sym_attribute,
    STATE(15730), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19716), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [732802] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20748), 1,
      anon_sym_RPAREN,
    STATE(15676), 1,
      sym_attribute,
    STATE(17043), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732828] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15677), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18112), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732854] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15638), 1,
      sym_field_path,
    STATE(15678), 1,
      sym_attribute,
    STATE(17133), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732880] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10412), 1,
      sym__uppercase_identifier,
    ACTIONS(20736), 1,
      anon_sym_LPAREN,
    STATE(14706), 1,
      sym__constructor_name,
    STATE(15679), 1,
      sym_attribute,
    STATE(18231), 1,
      sym_constructor_path,
    STATE(20730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732906] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20750), 1,
      anon_sym_RPAREN,
    STATE(15680), 1,
      sym_attribute,
    STATE(16749), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732932] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15681), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16752), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732958] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20752), 1,
      anon_sym_RPAREN,
    STATE(15682), 1,
      sym_attribute,
    STATE(17380), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732984] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15654), 1,
      sym_field_path,
    STATE(15683), 1,
      sym_attribute,
    STATE(17159), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733010] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20754), 1,
      anon_sym_RPAREN,
    STATE(15684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733036] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20756), 1,
      anon_sym_RPAREN,
    STATE(15685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733062] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15686), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17406), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733088] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15638), 1,
      sym_field_path,
    STATE(15687), 1,
      sym_attribute,
    STATE(16639), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733114] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20288), 1,
      sym__lowercase_identifier,
    STATE(13760), 1,
      sym__instance_variable_name,
    STATE(15688), 1,
      sym_attribute,
    STATE(16004), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20292), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [733138] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20758), 1,
      anon_sym_type,
    ACTIONS(20760), 1,
      anon_sym_module,
    STATE(15689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14865), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [733160] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20762), 1,
      anon_sym_SEMI,
    ACTIONS(20764), 1,
      anon_sym_GT_RBRACE,
    STATE(15690), 1,
      sym_attribute,
    STATE(17102), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733186] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15691), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18086), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733212] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20766), 1,
      anon_sym_SEMI,
    ACTIONS(20768), 1,
      anon_sym_GT_RBRACE,
    STATE(15692), 1,
      sym_attribute,
    STATE(16646), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733238] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13664), 1,
      sym__lowercase_identifier,
    ACTIONS(20770), 1,
      anon_sym_POUND,
    STATE(10813), 1,
      sym_type_constructor_path,
    STATE(15693), 1,
      sym_attribute,
    STATE(18205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733264] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20772), 1,
      anon_sym_RPAREN,
    STATE(15694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733290] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20206), 1,
      anon_sym_DASH_GT,
    ACTIONS(20774), 1,
      anon_sym_as,
    STATE(15695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16932), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [733312] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20206), 1,
      anon_sym_DASH_GT,
    ACTIONS(20774), 1,
      anon_sym_as,
    STATE(15696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16936), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [733334] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20776), 1,
      anon_sym_SEMI,
    ACTIONS(20778), 1,
      anon_sym_GT_RBRACE,
    STATE(15697), 1,
      sym_attribute,
    STATE(16665), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733360] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15698), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16691), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733386] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20200), 1,
      anon_sym_RBRACK,
    STATE(15699), 1,
      sym_attribute,
    STATE(17283), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733412] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15700), 1,
      sym_attribute,
    STATE(15722), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14194), 2,
      anon_sym_and,
      anon_sym_in,
  [733436] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12807), 1,
      sym__lowercase_identifier,
    ACTIONS(20780), 1,
      anon_sym_POUND,
    STATE(10394), 1,
      sym_type_constructor_path,
    STATE(15701), 1,
      sym_attribute,
    STATE(18280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20782), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [733480] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15703), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16767), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20784), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [733524] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20758), 1,
      anon_sym_type,
    ACTIONS(20760), 1,
      anon_sym_module,
    STATE(15705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15204), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [733546] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12681), 1,
      sym__lowercase_identifier,
    ACTIONS(20786), 1,
      anon_sym_POUND,
    STATE(11350), 1,
      sym_type_constructor_path,
    STATE(15706), 1,
      sym_attribute,
    STATE(19036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733572] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15707), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16966), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733598] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15708), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16839), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733624] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20788), 1,
      anon_sym_SEMI,
    ACTIONS(20790), 1,
      anon_sym_GT_RBRACE,
    STATE(15709), 1,
      sym_attribute,
    STATE(17333), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733650] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15710), 1,
      sym_attribute,
    STATE(15722), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14250), 2,
      anon_sym_and,
      anon_sym_in,
  [733674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20792), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [733692] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20794), 1,
      anon_sym_SEMI,
    ACTIONS(20796), 1,
      anon_sym_GT_RBRACE,
    STATE(15712), 1,
      sym_attribute,
    STATE(17211), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733718] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20798), 1,
      anon_sym_RPAREN,
    STATE(15713), 1,
      sym_attribute,
    STATE(17089), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733744] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15714), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16919), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733770] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20800), 1,
      anon_sym_SEMI,
    ACTIONS(20802), 1,
      anon_sym_GT_RBRACE,
    STATE(15715), 1,
      sym_attribute,
    STATE(16616), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733796] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20804), 1,
      anon_sym_SEMI,
    ACTIONS(20806), 1,
      anon_sym_GT_RBRACE,
    STATE(15716), 1,
      sym_attribute,
    STATE(16671), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733822] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15654), 1,
      sym_field_path,
    STATE(15717), 1,
      sym_attribute,
    STATE(16976), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733848] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15718), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17009), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733874] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15654), 1,
      sym_field_path,
    STATE(15719), 1,
      sym_attribute,
    STATE(16658), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733900] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20808), 1,
      anon_sym_SEMI,
    ACTIONS(20810), 1,
      anon_sym_GT_RBRACE,
    STATE(15720), 1,
      sym_attribute,
    STATE(16724), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733926] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15721), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17098), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733952] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20812), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13255), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(15722), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [733974] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20815), 1,
      anon_sym_RPAREN,
    STATE(15723), 1,
      sym_attribute,
    STATE(17396), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734000] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20817), 1,
      anon_sym_SEMI,
    ACTIONS(20819), 1,
      anon_sym_GT_RBRACE,
    STATE(15724), 1,
      sym_attribute,
    STATE(16664), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734026] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15725), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17209), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734052] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15726), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17361), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734078] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13668), 1,
      sym__lowercase_identifier,
    ACTIONS(20821), 1,
      anon_sym_POUND,
    STATE(10574), 1,
      sym_type_constructor_path,
    STATE(15727), 1,
      sym_attribute,
    STATE(18225), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734104] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19590), 1,
      anon_sym_AMP,
    STATE(15728), 1,
      sym_attribute,
    STATE(15730), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20823), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [734126] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20825), 1,
      anon_sym_RPAREN,
    STATE(15729), 1,
      sym_attribute,
    STATE(17286), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734152] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20827), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15730), 2,
      sym_attribute,
      aux_sym_tag_specification_repeat1,
    ACTIONS(20282), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [734172] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15731), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17444), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734198] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20288), 1,
      sym__lowercase_identifier,
    STATE(13731), 1,
      sym__instance_variable_name,
    STATE(15732), 1,
      sym_attribute,
    STATE(16004), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20292), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [734222] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20830), 1,
      anon_sym_RPAREN,
    STATE(15733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734248] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20832), 1,
      anon_sym_SEMI,
    ACTIONS(20834), 1,
      anon_sym_GT_RBRACE,
    STATE(15734), 1,
      sym_attribute,
    STATE(16826), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734274] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10458), 1,
      sym__uppercase_identifier,
    ACTIONS(20836), 1,
      anon_sym_LPAREN,
    STATE(10143), 1,
      sym__constructor_name,
    STATE(11611), 1,
      sym_constructor_path,
    STATE(15735), 1,
      sym_attribute,
    STATE(20042), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734300] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15736), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17511), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734326] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20838), 1,
      anon_sym_SEMI,
    ACTIONS(20840), 1,
      anon_sym_GT_RBRACE,
    STATE(15737), 1,
      sym_attribute,
    STATE(17205), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734352] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12763), 1,
      sym__lowercase_identifier,
    ACTIONS(20842), 1,
      anon_sym_POUND,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(15738), 1,
      sym_attribute,
    STATE(19248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734378] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20390), 1,
      anon_sym_RBRACK,
    STATE(15739), 1,
      sym_attribute,
    STATE(16772), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734404] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20844), 1,
      anon_sym_SEMI,
    ACTIONS(20846), 1,
      anon_sym_GT_RBRACE,
    STATE(15740), 1,
      sym_attribute,
    STATE(17428), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734430] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10458), 1,
      sym__uppercase_identifier,
    ACTIONS(20836), 1,
      anon_sym_LPAREN,
    STATE(10143), 1,
      sym__constructor_name,
    STATE(11696), 1,
      sym_constructor_path,
    STATE(15741), 1,
      sym_attribute,
    STATE(20042), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734456] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15742), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17705), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734482] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20848), 1,
      anon_sym_RPAREN,
    STATE(15743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734508] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20850), 1,
      anon_sym_SEMI,
    ACTIONS(20852), 1,
      anon_sym_GT_RBRACE,
    STATE(15744), 1,
      sym_attribute,
    STATE(17464), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734534] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15745), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17760), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734560] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    ACTIONS(20854), 1,
      anon_sym_POUND,
    STATE(11272), 1,
      sym_type_constructor_path,
    STATE(15746), 1,
      sym_attribute,
    STATE(19151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734586] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15747), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17855), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734612] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15748), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18090), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734638] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20856), 1,
      anon_sym_SEMI,
    ACTIONS(20858), 1,
      anon_sym_GT_RBRACE,
    STATE(15749), 1,
      sym_attribute,
    STATE(17416), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734664] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15750), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17701), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734690] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15751), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16628), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734716] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15752), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17060), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734742] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20860), 1,
      anon_sym_RBRACK,
    STATE(15753), 1,
      sym_attribute,
    STATE(16809), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734768] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15754), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17194), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734794] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15755), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17566), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734820] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20862), 1,
      anon_sym_SEMI,
    ACTIONS(20864), 1,
      anon_sym_GT_RBRACE,
    STATE(15756), 1,
      sym_attribute,
    STATE(16740), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734846] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20866), 1,
      anon_sym_SEMI,
    ACTIONS(20868), 1,
      anon_sym_GT_RBRACE,
    STATE(15757), 1,
      sym_attribute,
    STATE(17483), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734872] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15758), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16609), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734898] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15654), 1,
      sym_field_path,
    STATE(15759), 1,
      sym_attribute,
    STATE(16860), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734924] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20870), 1,
      anon_sym_SEMI,
    ACTIONS(20872), 1,
      anon_sym_GT_RBRACE,
    STATE(15760), 1,
      sym_attribute,
    STATE(17787), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734950] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20206), 1,
      anon_sym_DASH_GT,
    ACTIONS(20774), 1,
      anon_sym_as,
    STATE(15761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16906), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [734972] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20874), 1,
      anon_sym_RPAREN,
    STATE(15762), 1,
      sym_attribute,
    STATE(17187), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734998] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20876), 1,
      anon_sym_RPAREN,
    STATE(15763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735024] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15764), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16713), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735050] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20878), 1,
      anon_sym_SEMI,
    ACTIONS(20880), 1,
      anon_sym_GT_RBRACE,
    STATE(15765), 1,
      sym_attribute,
    STATE(17327), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735076] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20882), 1,
      anon_sym_RPAREN,
    STATE(15766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735102] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15767), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16811), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735128] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20884), 1,
      anon_sym_RBRACK,
    STATE(15768), 1,
      sym_attribute,
    STATE(16751), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735154] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10458), 1,
      sym__uppercase_identifier,
    ACTIONS(20836), 1,
      anon_sym_LPAREN,
    STATE(10143), 1,
      sym__constructor_name,
    STATE(11722), 1,
      sym_constructor_path,
    STATE(15769), 1,
      sym_attribute,
    STATE(20042), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735180] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20886), 1,
      anon_sym_SEMI,
    ACTIONS(20888), 1,
      anon_sym_GT_RBRACE,
    STATE(15770), 1,
      sym_attribute,
    STATE(17523), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735206] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15771), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16920), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735232] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15772), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17025), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735258] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15773), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17139), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735284] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20890), 1,
      sym__lowercase_identifier,
    ACTIONS(20894), 1,
      anon_sym_BANG,
    STATE(15774), 1,
      sym_attribute,
    STATE(16374), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20892), 2,
      anon_sym_private,
      anon_sym_virtual,
  [735308] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15775), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17251), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735334] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15776), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17371), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735360] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    STATE(15777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18050), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [735382] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20896), 1,
      anon_sym_RPAREN,
    STATE(15778), 1,
      sym_attribute,
    STATE(17305), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735408] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20898), 1,
      anon_sym_SEMI,
    ACTIONS(20900), 1,
      anon_sym_GT_RBRACE,
    STATE(15779), 1,
      sym_attribute,
    STATE(16770), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735434] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15780), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17469), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735460] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      sym__uppercase_identifier,
    ACTIONS(20836), 1,
      anon_sym_LPAREN,
    STATE(8111), 1,
      sym__constructor_name,
    STATE(11696), 1,
      sym_constructor_path,
    STATE(15781), 1,
      sym_attribute,
    STATE(19361), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735486] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15722), 1,
      aux_sym_expression_item_repeat1,
    STATE(15782), 1,
      sym_attribute,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14040), 2,
      anon_sym_and,
      anon_sym_in,
  [735510] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      sym__uppercase_identifier,
    ACTIONS(20836), 1,
      anon_sym_LPAREN,
    STATE(8111), 1,
      sym__constructor_name,
    STATE(11722), 1,
      sym_constructor_path,
    STATE(15783), 1,
      sym_attribute,
    STATE(19361), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735536] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15784), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17560), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735562] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20902), 1,
      anon_sym_RPAREN,
    STATE(15785), 1,
      sym_attribute,
    STATE(17245), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735588] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13610), 1,
      sym__lowercase_identifier,
    ACTIONS(20904), 1,
      anon_sym_POUND,
    STATE(10282), 1,
      sym_type_constructor_path,
    STATE(15786), 1,
      sym_attribute,
    STATE(19276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735614] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20906), 1,
      anon_sym_RPAREN,
    STATE(15787), 1,
      sym_attribute,
    STATE(17168), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735640] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15788), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17733), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735666] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20288), 1,
      sym__lowercase_identifier,
    STATE(15789), 1,
      sym_attribute,
    STATE(16004), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(18379), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20292), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [735690] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20908), 1,
      anon_sym_EQ,
    ACTIONS(20910), 1,
      anon_sym_of,
    ACTIONS(20912), 1,
      anon_sym_COLON2,
    STATE(15790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [735714] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15791), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17799), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735740] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 5,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [735758] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20914), 1,
      anon_sym_SEMI,
    ACTIONS(20916), 1,
      anon_sym_GT_RBRACE,
    STATE(15793), 1,
      sym_attribute,
    STATE(17435), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735784] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20918), 1,
      anon_sym_SEMI,
    ACTIONS(20920), 1,
      anon_sym_GT_RBRACE,
    STATE(15794), 1,
      sym_attribute,
    STATE(17596), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735810] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20922), 1,
      anon_sym_EQ,
    ACTIONS(20924), 1,
      anon_sym_of,
    ACTIONS(20926), 1,
      anon_sym_COLON2,
    STATE(15795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13736), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [735834] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15796), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17948), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735860] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15638), 1,
      sym_field_path,
    STATE(15797), 1,
      sym_attribute,
    STATE(17529), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735886] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15798), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18113), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735912] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15799), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(18859), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735938] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      sym__uppercase_identifier,
    ACTIONS(20836), 1,
      anon_sym_LPAREN,
    STATE(8111), 1,
      sym__constructor_name,
    STATE(11611), 1,
      sym_constructor_path,
    STATE(15800), 1,
      sym_attribute,
    STATE(19361), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735964] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15801), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16614), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735990] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20928), 1,
      anon_sym_RPAREN,
    STATE(15802), 1,
      sym_attribute,
    STATE(17215), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736016] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20930), 1,
      anon_sym_RPAREN,
    STATE(15803), 1,
      sym_attribute,
    STATE(16889), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736042] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15804), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16638), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736068] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20932), 1,
      anon_sym_RPAREN,
    STATE(15805), 1,
      sym_attribute,
    STATE(17111), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736094] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15654), 1,
      sym_field_path,
    STATE(15806), 1,
      sym_attribute,
    STATE(17548), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736120] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15807), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16656), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736146] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20934), 1,
      anon_sym_SEMI,
    ACTIONS(20936), 1,
      anon_sym_GT_RBRACE,
    STATE(15808), 1,
      sym_attribute,
    STATE(16817), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736172] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15809), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(16682), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736198] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15638), 1,
      sym_field_path,
    STATE(15810), 1,
      sym_attribute,
    STATE(19061), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736224] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20938), 1,
      anon_sym_RPAREN,
    STATE(15811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    STATE(15812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20940), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [736272] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    ACTIONS(20942), 1,
      anon_sym_POUND,
    STATE(13621), 1,
      sym_type_constructor_path,
    STATE(15813), 1,
      sym_attribute,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736298] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(20944), 1,
      anon_sym_POUND,
    STATE(11310), 1,
      sym_type_constructor_path,
    STATE(15814), 1,
      sym_attribute,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736324] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15654), 1,
      sym_field_path,
    STATE(15815), 1,
      sym_attribute,
    STATE(16765), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736350] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20946), 1,
      anon_sym_SEMI,
    ACTIONS(20948), 1,
      anon_sym_GT_RBRACE,
    STATE(15816), 1,
      sym_attribute,
    STATE(16925), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736376] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20950), 1,
      anon_sym_RPAREN,
    STATE(15817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736402] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20952), 1,
      anon_sym_RPAREN,
    STATE(15818), 1,
      sym_attribute,
    STATE(17318), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736428] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12721), 1,
      sym__lowercase_identifier,
    ACTIONS(20954), 1,
      anon_sym_POUND,
    STATE(12408), 1,
      sym_type_constructor_path,
    STATE(15819), 1,
      sym_attribute,
    STATE(19077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736454] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    STATE(15820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14655), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [736476] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20960), 1,
      anon_sym_RPAREN,
    STATE(15821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736502] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    STATE(15822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14004), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [736524] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20962), 1,
      anon_sym_type,
    ACTIONS(20964), 1,
      anon_sym_module,
    STATE(15823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10674), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [736546] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20966), 1,
      anon_sym_SEMI,
    ACTIONS(20968), 1,
      anon_sym_GT_RBRACE,
    STATE(15824), 1,
      sym_attribute,
    STATE(17748), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736572] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12687), 1,
      sym__lowercase_identifier,
    ACTIONS(20970), 1,
      anon_sym_POUND,
    STATE(11678), 1,
      sym_type_constructor_path,
    STATE(15825), 1,
      sym_attribute,
    STATE(18395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736598] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20972), 1,
      anon_sym_type,
    ACTIONS(20974), 1,
      anon_sym_module,
    STATE(15826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10674), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [736620] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13618), 1,
      sym__lowercase_identifier,
    ACTIONS(20976), 1,
      anon_sym_POUND,
    STATE(10879), 1,
      sym_type_constructor_path,
    STATE(15827), 1,
      sym_attribute,
    STATE(18137), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736646] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20978), 1,
      anon_sym_SEMI,
    ACTIONS(20980), 1,
      anon_sym_GT_RBRACE,
    STATE(15828), 1,
      sym_attribute,
    STATE(17528), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736672] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15829), 1,
      sym_attribute,
    STATE(15843), 1,
      sym_field_path,
    STATE(17583), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736698] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20982), 1,
      anon_sym_type,
    ACTIONS(20984), 1,
      anon_sym_module,
    STATE(15830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10674), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [736720] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20712), 1,
      anon_sym_type,
    ACTIONS(20714), 1,
      anon_sym_module,
    STATE(15831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11396), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [736742] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20986), 1,
      anon_sym_type,
    ACTIONS(20988), 1,
      anon_sym_module,
    STATE(15832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10674), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [736764] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(20990), 1,
      anon_sym_POUND,
    STATE(11395), 1,
      sym_type_constructor_path,
    STATE(15833), 1,
      sym_attribute,
    STATE(19199), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736790] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20992), 1,
      anon_sym_SEMI,
    ACTIONS(20994), 1,
      anon_sym_GT_RBRACE,
    STATE(15834), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(17915), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736816] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(20996), 1,
      anon_sym_RBRACK,
    STATE(15835), 1,
      sym_attribute,
    STATE(16891), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736842] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(20998), 1,
      anon_sym_SEMI,
    ACTIONS(21000), 1,
      anon_sym_GT_RBRACE,
    STATE(15836), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(17810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736868] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21002), 1,
      anon_sym_SEMI,
    ACTIONS(21004), 1,
      anon_sym_GT_RBRACE,
    STATE(15837), 1,
      sym_attribute,
    STATE(17501), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736894] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15722), 1,
      aux_sym_expression_item_repeat1,
    STATE(15838), 1,
      sym_attribute,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13626), 2,
      anon_sym_and,
      anon_sym_in,
  [736918] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15654), 1,
      sym_field_path,
    STATE(15839), 1,
      sym_attribute,
    STATE(17014), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736944] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21006), 1,
      anon_sym_SEMI,
    ACTIONS(21008), 1,
      anon_sym_GT_RBRACE,
    STATE(15840), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(17864), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736970] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21012), 1,
      anon_sym__,
    STATE(15635), 1,
      sym_type_variable,
    STATE(15841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [736994] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21014), 1,
      sym__lowercase_identifier,
    ACTIONS(21016), 1,
      anon_sym_LPAREN,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    STATE(13423), 1,
      sym__value_name,
    STATE(13466), 1,
      sym_parenthesized_operator,
    STATE(15842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737020] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20668), 1,
      anon_sym_COLON2,
    ACTIONS(21020), 1,
      anon_sym_EQ,
    STATE(15843), 1,
      sym_attribute,
    STATE(17410), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21022), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [737044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21024), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [737062] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21026), 1,
      anon_sym_RPAREN,
    STATE(15845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737088] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21028), 1,
      anon_sym_SEMI,
    ACTIONS(21030), 1,
      anon_sym_GT_RBRACE,
    STATE(15846), 1,
      sym_attribute,
    STATE(16904), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737114] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21032), 1,
      anon_sym_SEMI,
    ACTIONS(21034), 1,
      anon_sym_GT_RBRACE,
    STATE(15847), 1,
      sym_attribute,
    STATE(17693), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737140] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15638), 1,
      sym_field_path,
    STATE(15848), 1,
      sym_attribute,
    STATE(17562), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737166] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21036), 1,
      anon_sym_SEMI,
    ACTIONS(21038), 1,
      anon_sym_GT_RBRACE,
    STATE(15849), 1,
      sym_attribute,
    STATE(16882), 1,
      sym_instance_variable_expression,
    STATE(17788), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737192] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(21040), 1,
      anon_sym_POUND,
    STATE(12010), 1,
      sym_type_constructor_path,
    STATE(15850), 1,
      sym_attribute,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737218] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21042), 1,
      anon_sym_EQ,
    ACTIONS(21044), 1,
      anon_sym_of,
    ACTIONS(21046), 1,
      anon_sym_COLON2,
    STATE(15851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13746), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [737242] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15654), 1,
      sym_field_path,
    STATE(15852), 1,
      sym_attribute,
    STATE(18994), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737268] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15722), 1,
      aux_sym_expression_item_repeat1,
    STATE(15853), 1,
      sym_attribute,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13108), 2,
      anon_sym_and,
      anon_sym_in,
  [737292] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15638), 1,
      sym_field_path,
    STATE(15854), 1,
      sym_attribute,
    STATE(17872), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737318] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15638), 1,
      sym_field_path,
    STATE(15855), 1,
      sym_attribute,
    STATE(17418), 1,
      sym_field_binding_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737344] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(21048), 1,
      anon_sym_RPAREN,
    STATE(15856), 1,
      sym_attribute,
    STATE(16948), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737370] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13672), 1,
      sym__lowercase_identifier,
    ACTIONS(21050), 1,
      anon_sym_POUND,
    STATE(13193), 1,
      sym_type_constructor_path,
    STATE(15857), 1,
      sym_attribute,
    STATE(18818), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737396] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15654), 1,
      sym_field_path,
    STATE(15858), 1,
      sym_attribute,
    STATE(17895), 1,
      sym_field_pattern,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737422] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21052), 1,
      anon_sym_SEMI,
    ACTIONS(21054), 1,
      anon_sym_GT_RBRACE,
    STATE(15859), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(18015), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737448] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(21056), 1,
      anon_sym_RPAREN,
    STATE(15860), 1,
      sym_attribute,
    STATE(17332), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737474] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_as,
    ACTIONS(19508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21058), 1,
      anon_sym_RPAREN,
    STATE(15861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737500] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21060), 1,
      anon_sym_RPAREN,
    STATE(15862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737526] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(19042), 1,
      sym__lowercase_identifier,
    STATE(15843), 1,
      sym_field_path,
    STATE(15863), 1,
      sym_attribute,
    STATE(17938), 1,
      sym_field_expression,
    STATE(21581), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737552] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    ACTIONS(21062), 1,
      anon_sym_POUND,
    STATE(15081), 1,
      sym_type_constructor_path,
    STATE(15864), 1,
      sym_attribute,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737578] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(21064), 1,
      anon_sym_RPAREN,
    STATE(15865), 1,
      sym_attribute,
    STATE(17253), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737604] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    STATE(15866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14200), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [737626] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20962), 1,
      anon_sym_type,
    ACTIONS(20964), 1,
      anon_sym_module,
    STATE(15867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12211), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [737648] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21066), 1,
      anon_sym_RPAREN,
    STATE(15868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737674] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    STATE(15869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20198), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [737696] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20972), 1,
      anon_sym_type,
    ACTIONS(20974), 1,
      anon_sym_module,
    STATE(15870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15606), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [737718] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20982), 1,
      anon_sym_type,
    ACTIONS(20984), 1,
      anon_sym_module,
    STATE(15871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [737740] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20986), 1,
      anon_sym_type,
    ACTIONS(20988), 1,
      anon_sym_module,
    STATE(15872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11946), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [737762] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(21068), 1,
      anon_sym_RBRACK,
    STATE(15873), 1,
      sym_attribute,
    STATE(16950), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737788] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13642), 1,
      sym__lowercase_identifier,
    ACTIONS(21070), 1,
      anon_sym_POUND,
    STATE(14262), 1,
      sym_type_constructor_path,
    STATE(15874), 1,
      sym_attribute,
    STATE(18152), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737814] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21072), 1,
      anon_sym_SEMI,
    ACTIONS(21074), 1,
      anon_sym_GT_RBRACE,
    STATE(15875), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(18124), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737840] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20206), 1,
      anon_sym_DASH_GT,
    ACTIONS(20774), 1,
      anon_sym_as,
    STATE(15876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18050), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [737862] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21076), 1,
      sym__lowercase_identifier,
    STATE(15877), 1,
      sym_attribute,
    STATE(16209), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20892), 2,
      anon_sym_private,
      anon_sym_virtual,
  [737883] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20478), 1,
      sym__lowercase_identifier,
    STATE(6896), 1,
      sym_class_path,
    STATE(15878), 1,
      sym_attribute,
    STATE(20639), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737906] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21078), 1,
      anon_sym_GT_RBRACE,
    STATE(15879), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737929] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21080), 1,
      anon_sym_GT_RBRACE,
    STATE(15880), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737952] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21082), 1,
      sym__lowercase_identifier,
    STATE(11271), 1,
      sym_class_type_path,
    STATE(15881), 1,
      sym_attribute,
    STATE(18687), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737975] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11299), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21086), 1,
      anon_sym_GT,
    STATE(15882), 1,
      sym_attribute,
    STATE(15906), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737998] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(15883), 1,
      sym_attribute,
    STATE(18756), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21088), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [738019] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21090), 1,
      anon_sym_RBRACK,
    STATE(15884), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738042] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21092), 1,
      anon_sym_GT_RBRACE,
    STATE(15885), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738065] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20358), 1,
      sym__lowercase_identifier,
    STATE(8406), 1,
      sym_class_path,
    STATE(15886), 1,
      sym_attribute,
    STATE(22483), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738088] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21094), 1,
      anon_sym_RBRACK,
    ACTIONS(21096), 1,
      anon_sym_GT,
    STATE(15887), 1,
      sym_attribute,
    STATE(15943), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738111] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21098), 1,
      anon_sym_RBRACK,
    STATE(15888), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738134] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21100), 1,
      anon_sym_DOT,
    STATE(15889), 1,
      sym_attribute,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738157] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21102), 1,
      anon_sym_DOT,
    STATE(15890), 1,
      sym_attribute,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738180] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21094), 1,
      anon_sym_RBRACK,
    ACTIONS(21096), 1,
      anon_sym_GT,
    STATE(15891), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738203] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21104), 1,
      anon_sym_GT_RBRACE,
    STATE(15892), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738226] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21106), 1,
      anon_sym_DOT,
    STATE(15893), 1,
      sym_attribute,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738249] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21108), 1,
      anon_sym_RBRACK,
    ACTIONS(21110), 1,
      anon_sym_GT,
    STATE(15894), 1,
      sym_attribute,
    STATE(15910), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738272] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21108), 1,
      anon_sym_RBRACK,
    ACTIONS(21110), 1,
      anon_sym_GT,
    STATE(15895), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738295] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21112), 1,
      sym__lowercase_identifier,
    STATE(14171), 1,
      sym_class_type_path,
    STATE(15896), 1,
      sym_attribute,
    STATE(18899), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738318] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(21114), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(15897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738341] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21116), 1,
      anon_sym_GT_RBRACE,
    STATE(15898), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738364] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21118), 1,
      anon_sym_rec,
    STATE(13176), 1,
      sym_module_binding,
    STATE(15899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19626), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [738385] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9386), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    STATE(15900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 2,
      anon_sym_with,
      sym_hash_operator,
  [738406] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21122), 1,
      anon_sym_RBRACK,
    ACTIONS(21124), 1,
      anon_sym_GT,
    STATE(15901), 1,
      sym_attribute,
    STATE(15928), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738429] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21122), 1,
      anon_sym_RBRACK,
    ACTIONS(21124), 1,
      anon_sym_GT,
    STATE(15902), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738452] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21126), 1,
      sym__lowercase_identifier,
    STATE(13157), 1,
      sym_class_type_path,
    STATE(15903), 1,
      sym_attribute,
    STATE(19165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738475] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21112), 1,
      sym__lowercase_identifier,
    STATE(14042), 1,
      sym_class_type_path,
    STATE(15904), 1,
      sym_attribute,
    STATE(18899), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738498] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21128), 1,
      anon_sym_RBRACK,
    ACTIONS(21130), 1,
      anon_sym_GT,
    STATE(15905), 1,
      sym_attribute,
    STATE(15922), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738521] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21128), 1,
      anon_sym_RBRACK,
    ACTIONS(21130), 1,
      anon_sym_GT,
    STATE(15906), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738544] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(21132), 1,
      sym__lowercase_identifier,
    STATE(8298), 1,
      sym_class_path,
    STATE(15907), 1,
      sym_attribute,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738567] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21134), 1,
      sym__lowercase_identifier,
    STATE(12051), 1,
      sym_class_type_path,
    STATE(15908), 1,
      sym_attribute,
    STATE(18434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738590] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21136), 1,
      anon_sym_GT_RBRACE,
    STATE(15909), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738613] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21138), 1,
      anon_sym_RBRACK,
    ACTIONS(21140), 1,
      anon_sym_GT,
    STATE(15910), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738636] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21138), 1,
      anon_sym_RBRACK,
    STATE(15911), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738659] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21142), 1,
      anon_sym_GT_RBRACE,
    STATE(15912), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738682] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21144), 1,
      anon_sym_COLON_GT,
    ACTIONS(21146), 1,
      anon_sym_RPAREN,
    STATE(15913), 1,
      sym_attribute,
    STATE(18322), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738705] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21148), 1,
      anon_sym_GT_RBRACE,
    STATE(15914), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738728] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21150), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21153), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(15915), 2,
      sym_attribute,
      aux_sym__abstract_type_repeat1,
  [738747] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21155), 1,
      anon_sym_RBRACK,
    STATE(15916), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738770] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21157), 1,
      sym__lowercase_identifier,
    ACTIONS(21159), 1,
      anon_sym_RBRACE,
    ACTIONS(21161), 1,
      anon_sym_mutable,
    STATE(15917), 1,
      sym_attribute,
    STATE(18927), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738793] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21082), 1,
      sym__lowercase_identifier,
    STATE(11276), 1,
      sym_class_type_path,
    STATE(15918), 1,
      sym_attribute,
    STATE(18687), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738816] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(15919), 1,
      sym_attribute,
    STATE(19148), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21163), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [738837] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21165), 1,
      anon_sym_COLON_GT,
    ACTIONS(21167), 1,
      anon_sym_RPAREN,
    STATE(15920), 1,
      sym_attribute,
    STATE(18390), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738860] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21169), 1,
      anon_sym_RBRACK,
    STATE(15921), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738883] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21171), 1,
      anon_sym_RBRACK,
    ACTIONS(21173), 1,
      anon_sym_GT,
    STATE(15922), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738906] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18637), 1,
      anon_sym_STAR,
    STATE(15923), 1,
      sym_attribute,
    STATE(16179), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14510), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [738927] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17798), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(15924), 1,
      sym_attribute,
    STATE(19137), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738950] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20430), 1,
      sym__lowercase_identifier,
    STATE(10939), 1,
      sym_class_path,
    STATE(15925), 1,
      sym_attribute,
    STATE(19929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738973] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21171), 1,
      anon_sym_RBRACK,
    STATE(15926), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21175), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
    STATE(15927), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
  [739015] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21178), 1,
      anon_sym_RBRACK,
    ACTIONS(21180), 1,
      anon_sym_GT,
    STATE(15928), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739038] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21178), 1,
      anon_sym_RBRACK,
    STATE(15929), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739061] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(21132), 1,
      sym__lowercase_identifier,
    STATE(7767), 1,
      sym_class_path,
    STATE(15930), 1,
      sym_attribute,
    STATE(21957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739084] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21182), 1,
      anon_sym_EQ,
    ACTIONS(21184), 1,
      anon_sym_RPAREN,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(15931), 1,
      sym_attribute,
    STATE(18207), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739107] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21188), 1,
      anon_sym_COLON_GT,
    ACTIONS(21190), 1,
      anon_sym_RPAREN,
    STATE(15932), 1,
      sym_attribute,
    STATE(19247), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739130] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20220), 1,
      sym__lowercase_identifier,
    STATE(3984), 1,
      sym_class_path,
    STATE(15933), 1,
      sym_attribute,
    STATE(20861), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739153] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21192), 1,
      anon_sym_RBRACK,
    STATE(15934), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739176] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21157), 1,
      sym__lowercase_identifier,
    ACTIONS(21161), 1,
      anon_sym_mutable,
    ACTIONS(21194), 1,
      anon_sym_RBRACE,
    STATE(15935), 1,
      sym_attribute,
    STATE(18927), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739199] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21196), 1,
      anon_sym_RBRACK,
    STATE(15936), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739222] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21198), 1,
      sym__lowercase_identifier,
    STATE(15877), 1,
      aux_sym_method_specification_repeat1,
    STATE(15937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20892), 2,
      anon_sym_private,
      anon_sym_virtual,
  [739243] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21112), 1,
      sym__lowercase_identifier,
    STATE(14074), 1,
      sym_class_type_path,
    STATE(15938), 1,
      sym_attribute,
    STATE(18899), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739266] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21200), 1,
      anon_sym_DOT,
    STATE(15939), 1,
      sym_attribute,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739289] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21202), 1,
      anon_sym_RBRACK,
    STATE(15940), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739312] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21204), 1,
      anon_sym_COLON_GT,
    ACTIONS(21206), 1,
      anon_sym_RPAREN,
    STATE(15941), 1,
      sym_attribute,
    STATE(19067), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739335] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21208), 1,
      anon_sym_GT_RBRACE,
    STATE(15942), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739358] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21210), 1,
      anon_sym_RBRACK,
    ACTIONS(21212), 1,
      anon_sym_GT,
    STATE(15943), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739381] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21214), 1,
      anon_sym_RBRACK,
    STATE(15944), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739404] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21216), 1,
      anon_sym_DOT,
    STATE(15945), 1,
      sym_attribute,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739427] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21210), 1,
      anon_sym_RBRACK,
    STATE(15946), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739450] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20538), 1,
      sym__lowercase_identifier,
    STATE(4965), 1,
      sym_class_path,
    STATE(15947), 1,
      sym_attribute,
    STATE(20294), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739473] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21112), 1,
      sym__lowercase_identifier,
    STATE(14087), 1,
      sym_class_type_path,
    STATE(15948), 1,
      sym_attribute,
    STATE(18899), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739496] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21218), 1,
      sym__lowercase_identifier,
    STATE(10685), 1,
      sym_class_type_path,
    STATE(15949), 1,
      sym_attribute,
    STATE(18326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739519] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21220), 1,
      sym__lowercase_identifier,
    STATE(6563), 1,
      sym_type_constructor_path,
    STATE(15950), 1,
      sym_attribute,
    STATE(18148), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739542] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21222), 1,
      anon_sym_RBRACK,
    ACTIONS(21224), 1,
      anon_sym_GT,
    STATE(15951), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739565] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20304), 1,
      sym__lowercase_identifier,
    STATE(7407), 1,
      sym_class_path,
    STATE(15952), 1,
      sym_attribute,
    STATE(19847), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739588] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17986), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14703), 1,
      sym__value_name,
    STATE(15953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739611] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21226), 1,
      anon_sym_GT_RBRACE,
    STATE(15954), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739634] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21228), 1,
      anon_sym_GT_RBRACE,
    STATE(15955), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739657] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20324), 1,
      sym__lowercase_identifier,
    STATE(6925), 1,
      sym_class_path,
    STATE(15956), 1,
      sym_attribute,
    STATE(20372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739680] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21230), 1,
      sym__lowercase_identifier,
    STATE(10562), 1,
      sym_class_type_path,
    STATE(15957), 1,
      sym_attribute,
    STATE(19191), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739703] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21230), 1,
      sym__lowercase_identifier,
    STATE(10573), 1,
      sym_class_type_path,
    STATE(15958), 1,
      sym_attribute,
    STATE(19191), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739726] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21232), 1,
      anon_sym_COLON_GT,
    ACTIONS(21234), 1,
      anon_sym_RPAREN,
    STATE(15959), 1,
      sym_attribute,
    STATE(19045), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739749] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21236), 1,
      anon_sym_RBRACK,
    STATE(15960), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739772] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21230), 1,
      sym__lowercase_identifier,
    STATE(10578), 1,
      sym_class_type_path,
    STATE(15961), 1,
      sym_attribute,
    STATE(19191), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739795] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21238), 1,
      anon_sym_DOT,
    STATE(15962), 1,
      sym_attribute,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739818] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21240), 1,
      anon_sym_GT_RBRACE,
    STATE(15963), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739841] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20234), 1,
      sym__lowercase_identifier,
    STATE(3728), 1,
      sym_class_path,
    STATE(15964), 1,
      sym_attribute,
    STATE(20449), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739864] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21242), 1,
      anon_sym_GT_RBRACE,
    STATE(15965), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739887] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21244), 1,
      anon_sym_RBRACK,
    STATE(15966), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739910] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(15967), 1,
      sym_attribute,
    STATE(17339), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739933] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21246), 1,
      anon_sym_GT_RBRACE,
    STATE(15968), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739956] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14809), 1,
      anon_sym_in,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15722), 1,
      aux_sym_expression_item_repeat1,
    STATE(15969), 1,
      sym_attribute,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739979] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21248), 1,
      anon_sym_COLON_GT,
    ACTIONS(21250), 1,
      anon_sym_RPAREN,
    STATE(15970), 1,
      sym_attribute,
    STATE(19171), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740002] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21252), 1,
      sym__lowercase_identifier,
    STATE(9057), 1,
      sym_type_constructor_path,
    STATE(15971), 1,
      sym_attribute,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740025] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21254), 1,
      sym__lowercase_identifier,
    STATE(12033), 1,
      sym_class_type_path,
    STATE(15972), 1,
      sym_attribute,
    STATE(18950), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740048] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21230), 1,
      sym__lowercase_identifier,
    STATE(10557), 1,
      sym_class_type_path,
    STATE(15973), 1,
      sym_attribute,
    STATE(19191), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740071] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21256), 1,
      anon_sym_RBRACK,
    STATE(15974), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740094] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19480), 1,
      sym__lowercase_identifier,
    ACTIONS(19484), 1,
      anon_sym_LBRACK,
    ACTIONS(19486), 1,
      anon_sym_virtual,
    STATE(12836), 1,
      sym_class_binding,
    STATE(15975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740117] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21258), 1,
      anon_sym_COLON_GT,
    ACTIONS(21260), 1,
      anon_sym_RPAREN,
    STATE(15976), 1,
      sym_attribute,
    STATE(18715), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740140] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21262), 1,
      anon_sym_GT_RBRACE,
    STATE(15977), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740163] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21264), 1,
      anon_sym_GT_RBRACE,
    STATE(15978), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740186] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21266), 1,
      anon_sym_GT_RBRACE,
    STATE(15979), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740209] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21268), 1,
      anon_sym_GT_RBRACE,
    STATE(15980), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740232] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21222), 1,
      anon_sym_RBRACK,
    STATE(15981), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740255] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21270), 1,
      anon_sym_GT_RBRACE,
    STATE(15982), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740278] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21272), 1,
      anon_sym_GT_RBRACE,
    STATE(15983), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740301] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20222), 1,
      sym__lowercase_identifier,
    STATE(7866), 1,
      sym_class_path,
    STATE(15984), 1,
      sym_attribute,
    STATE(20535), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740324] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19998), 1,
      sym__lowercase_identifier,
    ACTIONS(20000), 1,
      anon_sym_LBRACK,
    ACTIONS(20002), 1,
      anon_sym_virtual,
    STATE(13988), 1,
      sym_class_binding,
    STATE(15985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740347] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21274), 1,
      anon_sym_RBRACK,
    ACTIONS(21276), 1,
      anon_sym_GT,
    STATE(15986), 1,
      sym_attribute,
    STATE(16143), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740370] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21278), 1,
      anon_sym_GT_RBRACE,
    STATE(15987), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740393] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21280), 1,
      anon_sym_COLON_GT,
    ACTIONS(21282), 1,
      anon_sym_RPAREN,
    STATE(15988), 1,
      sym_attribute,
    STATE(19235), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740416] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20520), 1,
      sym__lowercase_identifier,
    STATE(8609), 1,
      sym_class_path,
    STATE(15989), 1,
      sym_attribute,
    STATE(22535), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740439] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11090), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21284), 1,
      anon_sym_GT,
    STATE(15990), 1,
      sym_attribute,
    STATE(16001), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740462] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21286), 1,
      anon_sym_GT_RBRACE,
    STATE(15991), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740485] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21288), 1,
      anon_sym_COLON_GT,
    ACTIONS(21290), 1,
      anon_sym_RPAREN,
    STATE(15992), 1,
      sym_attribute,
    STATE(18956), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740508] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21292), 1,
      sym__lowercase_identifier,
    STATE(12331), 1,
      sym_class_type_path,
    STATE(15993), 1,
      sym_attribute,
    STATE(18775), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740531] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21294), 1,
      anon_sym_GT_RBRACE,
    STATE(15994), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740554] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(21296), 1,
      sym__lowercase_identifier,
    STATE(15995), 1,
      sym_attribute,
    STATE(18797), 1,
      sym_extended_module_path,
    STATE(19039), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740577] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19880), 1,
      sym__lowercase_identifier,
    ACTIONS(19882), 1,
      anon_sym_LBRACK,
    ACTIONS(19884), 1,
      anon_sym_virtual,
    STATE(13986), 1,
      sym_class_binding,
    STATE(15996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740600] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21298), 1,
      sym__lowercase_identifier,
    STATE(6605), 1,
      sym_type_constructor_path,
    STATE(15997), 1,
      sym_attribute,
    STATE(18489), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740623] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20548), 1,
      sym__lowercase_identifier,
    STATE(7818), 1,
      sym_class_path,
    STATE(15998), 1,
      sym_attribute,
    STATE(20134), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740646] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21292), 1,
      sym__lowercase_identifier,
    STATE(12349), 1,
      sym_class_type_path,
    STATE(15999), 1,
      sym_attribute,
    STATE(18775), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740669] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21300), 1,
      anon_sym_RBRACK,
    ACTIONS(21302), 1,
      anon_sym_GT,
    STATE(16000), 1,
      sym_attribute,
    STATE(16010), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740692] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21300), 1,
      anon_sym_RBRACK,
    ACTIONS(21302), 1,
      anon_sym_GT,
    STATE(16001), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740715] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21292), 1,
      sym__lowercase_identifier,
    STATE(12356), 1,
      sym_class_type_path,
    STATE(16002), 1,
      sym_attribute,
    STATE(18775), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740738] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21126), 1,
      sym__lowercase_identifier,
    STATE(13163), 1,
      sym_class_type_path,
    STATE(16003), 1,
      sym_attribute,
    STATE(19165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740761] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21304), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21306), 2,
      anon_sym_mutable,
      anon_sym_virtual,
    STATE(16004), 2,
      sym_attribute,
      aux_sym_instance_variable_specification_repeat1,
  [740780] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15250), 1,
      anon_sym_in,
    ACTIONS(21309), 1,
      anon_sym_and,
    ACTIONS(21311), 1,
      sym_let_and_operator,
    STATE(16005), 1,
      sym_attribute,
    STATE(16028), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740803] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11397), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21313), 1,
      anon_sym_GT,
    STATE(16006), 1,
      sym_attribute,
    STATE(16446), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740826] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21126), 1,
      sym__lowercase_identifier,
    STATE(13192), 1,
      sym_class_type_path,
    STATE(16007), 1,
      sym_attribute,
    STATE(19165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740849] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21126), 1,
      sym__lowercase_identifier,
    STATE(13203), 1,
      sym_class_type_path,
    STATE(16008), 1,
      sym_attribute,
    STATE(19165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740872] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21315), 1,
      anon_sym_GT_RBRACE,
    STATE(16009), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740895] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21317), 1,
      anon_sym_RBRACK,
    ACTIONS(21319), 1,
      anon_sym_GT,
    STATE(16010), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740918] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21317), 1,
      anon_sym_RBRACK,
    STATE(16011), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740941] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21321), 1,
      anon_sym_RBRACK,
    STATE(16012), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740964] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21323), 1,
      anon_sym_COLON_GT,
    ACTIONS(21325), 1,
      anon_sym_RPAREN,
    STATE(16013), 1,
      sym_attribute,
    STATE(18963), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740987] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11204), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21327), 1,
      anon_sym_GT,
    STATE(16014), 1,
      sym_attribute,
    STATE(16026), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741010] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21329), 1,
      anon_sym_COLON_GT,
    ACTIONS(21331), 1,
      anon_sym_RPAREN,
    STATE(16015), 1,
      sym_attribute,
    STATE(18986), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741033] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21333), 1,
      anon_sym_RBRACK,
    STATE(16016), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741056] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21335), 1,
      anon_sym_COLON_GT,
    ACTIONS(21337), 1,
      anon_sym_RPAREN,
    STATE(16017), 1,
      sym_attribute,
    STATE(18829), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741079] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21339), 1,
      anon_sym_RBRACK,
    STATE(16018), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741102] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21341), 1,
      anon_sym_RBRACK,
    STATE(16019), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741125] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20489), 1,
      sym__lowercase_identifier,
    STATE(7530), 1,
      sym_class_path,
    STATE(16020), 1,
      sym_attribute,
    STATE(19970), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741148] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21343), 1,
      sym__lowercase_identifier,
    STATE(11675), 1,
      sym_class_type_path,
    STATE(16021), 1,
      sym_attribute,
    STATE(18336), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741171] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21345), 1,
      anon_sym_GT_RBRACE,
    STATE(16022), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741194] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21347), 1,
      anon_sym_COLON_GT,
    ACTIONS(21349), 1,
      anon_sym_RPAREN,
    STATE(16023), 1,
      sym_attribute,
    STATE(18149), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741217] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(14008), 1,
      anon_sym_DASH_GT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16024), 1,
      sym_attribute,
    STATE(16340), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741240] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21351), 1,
      anon_sym_RBRACK,
    ACTIONS(21353), 1,
      anon_sym_GT,
    STATE(16025), 1,
      sym_attribute,
    STATE(16039), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741263] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21351), 1,
      anon_sym_RBRACK,
    ACTIONS(21353), 1,
      anon_sym_GT,
    STATE(16026), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741286] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21355), 1,
      sym__lowercase_identifier,
    STATE(10388), 1,
      sym_class_type_path,
    STATE(16027), 1,
      sym_attribute,
    STATE(18362), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741309] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15226), 1,
      anon_sym_in,
    ACTIONS(21357), 1,
      anon_sym_and,
    ACTIONS(21360), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16028), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
  [741330] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18413), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    STATE(16029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741353] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21363), 1,
      anon_sym_GT_RBRACE,
    STATE(16030), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741376] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11311), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21365), 1,
      anon_sym_GT,
    STATE(16031), 1,
      sym_attribute,
    STATE(16135), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741399] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21367), 1,
      anon_sym_COLON_GT,
    ACTIONS(21369), 1,
      anon_sym_RPAREN,
    STATE(16032), 1,
      sym_attribute,
    STATE(18166), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741422] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21371), 1,
      anon_sym_GT_RBRACE,
    STATE(16033), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741445] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21373), 1,
      sym__lowercase_identifier,
    STATE(8977), 1,
      sym_type_constructor_path,
    STATE(16034), 1,
      sym_attribute,
    STATE(18871), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741468] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21375), 1,
      anon_sym_DOT,
    ACTIONS(21377), 1,
      aux_sym_type_variable_token1,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16035), 2,
      sym_attribute,
      aux_sym_constructor_declaration_repeat1,
  [741489] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20546), 1,
      sym__lowercase_identifier,
    STATE(8015), 1,
      sym_class_path,
    STATE(16036), 1,
      sym_attribute,
    STATE(20149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741512] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21380), 1,
      anon_sym_COLON_GT,
    ACTIONS(21382), 1,
      anon_sym_RPAREN,
    STATE(16037), 1,
      sym_attribute,
    STATE(19132), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741535] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21384), 1,
      sym__lowercase_identifier,
    STATE(11193), 1,
      sym_class_type_path,
    STATE(16038), 1,
      sym_attribute,
    STATE(18537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741558] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21386), 1,
      anon_sym_RBRACK,
    ACTIONS(21388), 1,
      anon_sym_GT,
    STATE(16039), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741581] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16040), 1,
      sym_attribute,
    STATE(18188), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21390), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [741602] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21392), 1,
      anon_sym_GT_RBRACE,
    STATE(16041), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741625] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21394), 1,
      anon_sym_GT_RBRACE,
    STATE(16042), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741648] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21386), 1,
      anon_sym_RBRACK,
    STATE(16043), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741671] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21396), 1,
      anon_sym_RBRACK,
    STATE(16044), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741694] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21398), 1,
      anon_sym_COLON_GT,
    ACTIONS(21400), 1,
      anon_sym_RPAREN,
    STATE(16045), 1,
      sym_attribute,
    STATE(18722), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741717] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21402), 1,
      anon_sym_COLON_GT,
    ACTIONS(21404), 1,
      anon_sym_RPAREN,
    STATE(16046), 1,
      sym_attribute,
    STATE(19277), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741740] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21406), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741763] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21408), 1,
      anon_sym_GT_RBRACE,
    STATE(16048), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741786] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12403), 1,
      anon_sym_in,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15722), 1,
      aux_sym_expression_item_repeat1,
    STATE(16049), 1,
      sym_attribute,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741809] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21410), 1,
      anon_sym_COLON_GT,
    ACTIONS(21412), 1,
      anon_sym_RPAREN,
    STATE(16050), 1,
      sym_attribute,
    STATE(18171), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741832] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21414), 1,
      sym__lowercase_identifier,
    STATE(11970), 1,
      sym_class_type_path,
    STATE(16051), 1,
      sym_attribute,
    STATE(19134), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741855] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20554), 1,
      sym__lowercase_identifier,
    STATE(6017), 1,
      sym_class_path,
    STATE(16052), 1,
      sym_attribute,
    STATE(19654), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741878] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21416), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16053), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741901] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21418), 1,
      anon_sym_COLON_GT,
    ACTIONS(21420), 1,
      anon_sym_RPAREN,
    STATE(16054), 1,
      sym_attribute,
    STATE(18690), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741924] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21422), 1,
      sym__lowercase_identifier,
    STATE(14256), 1,
      sym_class_type_path,
    STATE(16055), 1,
      sym_attribute,
    STATE(19062), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741947] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21424), 1,
      sym__lowercase_identifier,
    STATE(8580), 1,
      sym_type_constructor_path,
    STATE(16056), 1,
      sym_attribute,
    STATE(18663), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741970] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21422), 1,
      sym__lowercase_identifier,
    STATE(14295), 1,
      sym_class_type_path,
    STATE(16057), 1,
      sym_attribute,
    STATE(19062), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741993] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21422), 1,
      sym__lowercase_identifier,
    STATE(14302), 1,
      sym_class_type_path,
    STATE(16058), 1,
      sym_attribute,
    STATE(19062), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742016] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21426), 1,
      anon_sym_GT_RBRACE,
    STATE(16059), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742039] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21428), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16060), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742062] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21430), 1,
      anon_sym_GT_RBRACE,
    STATE(16061), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742085] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21432), 1,
      anon_sym_RBRACK,
    STATE(16062), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742108] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21436), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21434), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(16063), 2,
      sym_attribute,
      aux_sym__type_params_repeat1,
  [742127] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20310), 1,
      sym__lowercase_identifier,
    STATE(8272), 1,
      sym_class_path,
    STATE(16064), 1,
      sym_attribute,
    STATE(19489), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13654), 1,
      anon_sym_and,
    STATE(16065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13652), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [742169] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21439), 1,
      anon_sym_GT_RBRACE,
    STATE(16066), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742192] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20248), 1,
      sym__lowercase_identifier,
    STATE(4021), 1,
      sym_class_path,
    STATE(16067), 1,
      sym_attribute,
    STATE(20879), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742215] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16068), 1,
      sym_attribute,
    STATE(18259), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21441), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [742236] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21443), 1,
      sym__lowercase_identifier,
    STATE(8332), 1,
      sym_type_constructor_path,
    STATE(16069), 1,
      sym_attribute,
    STATE(19107), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742259] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21445), 1,
      sym__lowercase_identifier,
    STATE(6478), 1,
      sym_type_constructor_path,
    STATE(16070), 1,
      sym_attribute,
    STATE(19166), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742282] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21447), 1,
      sym__lowercase_identifier,
    STATE(16071), 1,
      sym_attribute,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(22271), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742305] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21449), 1,
      anon_sym_GT_RBRACE,
    STATE(16072), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742328] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11349), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21451), 1,
      anon_sym_GT,
    STATE(16073), 1,
      sym_attribute,
    STATE(16344), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742351] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21453), 1,
      sym__lowercase_identifier,
    ACTIONS(21455), 1,
      anon_sym_LPAREN,
    STATE(6513), 1,
      sym__value_name,
    STATE(6590), 1,
      sym_parenthesized_operator,
    STATE(16074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742374] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21457), 1,
      anon_sym_RBRACK,
    ACTIONS(21459), 1,
      anon_sym_GT,
    STATE(16075), 1,
      sym_attribute,
    STATE(16252), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742397] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(14008), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742420] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21461), 1,
      anon_sym_COLON_GT,
    ACTIONS(21463), 1,
      anon_sym_RPAREN,
    STATE(16077), 1,
      sym_attribute,
    STATE(18221), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742443] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20536), 1,
      sym__lowercase_identifier,
    STATE(7593), 1,
      sym_class_path,
    STATE(16078), 1,
      sym_attribute,
    STATE(20011), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742466] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21457), 1,
      anon_sym_RBRACK,
    ACTIONS(21459), 1,
      anon_sym_GT,
    STATE(16079), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742489] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    STATE(16080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16906), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [742510] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21465), 1,
      anon_sym_RBRACK,
    STATE(16081), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742533] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21467), 1,
      anon_sym_GT_RBRACE,
    STATE(16082), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742556] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21469), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16083), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742579] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21292), 1,
      sym__lowercase_identifier,
    STATE(12317), 1,
      sym_class_type_path,
    STATE(16084), 1,
      sym_attribute,
    STATE(18775), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742602] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21471), 1,
      anon_sym_GT_RBRACE,
    STATE(16085), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742625] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21473), 1,
      anon_sym_COLON_GT,
    ACTIONS(21475), 1,
      anon_sym_RPAREN,
    STATE(16086), 1,
      sym_attribute,
    STATE(18183), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742648] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16087), 1,
      sym_attribute,
    STATE(18226), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21477), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [742669] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20160), 1,
      sym__lowercase_identifier,
    STATE(8827), 1,
      sym_class_path,
    STATE(16088), 1,
      sym_attribute,
    STATE(20487), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742692] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21479), 1,
      anon_sym_RBRACK,
    STATE(16089), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742715] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19998), 1,
      sym__lowercase_identifier,
    ACTIONS(20000), 1,
      anon_sym_LBRACK,
    ACTIONS(20002), 1,
      anon_sym_virtual,
    STATE(12836), 1,
      sym_class_binding,
    STATE(16090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742738] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20548), 1,
      sym__lowercase_identifier,
    STATE(8765), 1,
      sym_class_path,
    STATE(16091), 1,
      sym_attribute,
    STATE(20134), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742761] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21481), 1,
      sym__lowercase_identifier,
    STATE(10817), 1,
      sym_class_type_path,
    STATE(16092), 1,
      sym_attribute,
    STATE(19167), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742784] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16093), 1,
      sym_attribute,
    STATE(18940), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21483), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [742805] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21157), 1,
      sym__lowercase_identifier,
    ACTIONS(21161), 1,
      anon_sym_mutable,
    ACTIONS(21485), 1,
      anon_sym_RBRACE,
    STATE(16094), 1,
      sym_attribute,
    STATE(18927), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742828] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21487), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16095), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742851] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21218), 1,
      sym__lowercase_identifier,
    STATE(10693), 1,
      sym_class_type_path,
    STATE(16096), 1,
      sym_attribute,
    STATE(18326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742874] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20574), 1,
      sym__lowercase_identifier,
    STATE(6650), 1,
      sym_class_path,
    STATE(16097), 1,
      sym_attribute,
    STATE(20677), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742897] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21489), 1,
      anon_sym_COLON_GT,
    ACTIONS(21491), 1,
      anon_sym_RPAREN,
    STATE(16098), 1,
      sym_attribute,
    STATE(18255), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742920] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21493), 1,
      sym__lowercase_identifier,
    STATE(11576), 1,
      sym_type_constructor_path,
    STATE(16099), 1,
      sym_attribute,
    STATE(18150), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742943] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20244), 1,
      sym__lowercase_identifier,
    STATE(8855), 1,
      sym_class_path,
    STATE(16100), 1,
      sym_attribute,
    STATE(21057), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742966] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20186), 1,
      sym__lowercase_identifier,
    STATE(3804), 1,
      sym_class_path,
    STATE(16101), 1,
      sym_attribute,
    STATE(20827), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742989] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21495), 1,
      anon_sym_COLON_GT,
    ACTIONS(21497), 1,
      anon_sym_RPAREN,
    STATE(16102), 1,
      sym_attribute,
    STATE(18413), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743012] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11136), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21499), 1,
      anon_sym_GT,
    STATE(16103), 1,
      sym_attribute,
    STATE(16153), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743035] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21501), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16104), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743058] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21503), 1,
      anon_sym_COLON_GT,
    ACTIONS(21505), 1,
      anon_sym_RPAREN,
    STATE(16105), 1,
      sym_attribute,
    STATE(18500), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743081] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21507), 1,
      anon_sym_GT_RBRACE,
    STATE(16106), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743104] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21509), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16107), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743127] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21511), 1,
      anon_sym_GT_RBRACE,
    STATE(16108), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743150] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21513), 1,
      anon_sym_COLON_GT,
    ACTIONS(21515), 1,
      anon_sym_RPAREN,
    STATE(16109), 1,
      sym_attribute,
    STATE(18432), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743173] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21517), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16110), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743196] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(16111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14344), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [743217] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16112), 1,
      sym_attribute,
    STATE(18308), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21519), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [743238] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21521), 1,
      sym__lowercase_identifier,
    STATE(11589), 1,
      sym_class_type_path,
    STATE(16113), 1,
      sym_attribute,
    STATE(18850), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743261] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21523), 1,
      sym__lowercase_identifier,
    STATE(11242), 1,
      sym_class_type_path,
    STATE(16114), 1,
      sym_attribute,
    STATE(18211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743284] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21525), 1,
      sym__lowercase_identifier,
    STATE(12234), 1,
      sym_class_type_path,
    STATE(16115), 1,
      sym_attribute,
    STATE(18620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743307] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20340), 1,
      sym__lowercase_identifier,
    STATE(5904), 1,
      sym_class_path,
    STATE(16116), 1,
      sym_attribute,
    STATE(20333), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743330] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21527), 1,
      anon_sym_GT_RBRACE,
    STATE(16117), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743353] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21529), 1,
      anon_sym_RBRACK,
    STATE(16118), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743376] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21531), 1,
      anon_sym_RBRACK,
    ACTIONS(21533), 1,
      anon_sym_GT,
    STATE(16119), 1,
      sym_attribute,
    STATE(16180), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743399] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21535), 1,
      anon_sym_COLON_GT,
    ACTIONS(21537), 1,
      anon_sym_RPAREN,
    STATE(16120), 1,
      sym_attribute,
    STATE(19044), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743422] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21539), 1,
      anon_sym_GT_RBRACE,
    STATE(16121), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743445] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21134), 1,
      sym__lowercase_identifier,
    STATE(12167), 1,
      sym_class_type_path,
    STATE(16122), 1,
      sym_attribute,
    STATE(18434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743468] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21541), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16123), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743491] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(21543), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743514] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21545), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16125), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743537] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21547), 1,
      anon_sym_GT_RBRACE,
    STATE(16126), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743560] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21549), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16127), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743583] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21551), 1,
      sym__lowercase_identifier,
    STATE(10237), 1,
      sym_class_type_path,
    STATE(16128), 1,
      sym_attribute,
    STATE(18984), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743606] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21553), 1,
      anon_sym_COLON_GT,
    ACTIONS(21555), 1,
      anon_sym_RPAREN,
    STATE(16129), 1,
      sym_attribute,
    STATE(18487), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743629] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20302), 1,
      sym__lowercase_identifier,
    STATE(5123), 1,
      sym_class_path,
    STATE(16130), 1,
      sym_attribute,
    STATE(20362), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743652] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21557), 1,
      anon_sym_GT_RBRACE,
    STATE(16131), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743675] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21559), 1,
      aux_sym_attribute_id_token1,
    STATE(16132), 1,
      sym_attribute,
    STATE(16391), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [743696] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(14434), 1,
      sym_type_constructor_path,
    STATE(16133), 1,
      sym_attribute,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743719] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15391), 1,
      anon_sym_in,
    ACTIONS(21309), 1,
      anon_sym_and,
    ACTIONS(21311), 1,
      sym_let_and_operator,
    STATE(16134), 1,
      sym_attribute,
    STATE(16404), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743742] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21531), 1,
      anon_sym_RBRACK,
    ACTIONS(21533), 1,
      anon_sym_GT,
    STATE(16135), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743765] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21561), 1,
      anon_sym_GT_RBRACE,
    STATE(16136), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743788] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21563), 1,
      anon_sym_GT_RBRACE,
    STATE(16137), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743811] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21565), 1,
      anon_sym_COLON_GT,
    ACTIONS(21567), 1,
      anon_sym_RPAREN,
    STATE(16138), 1,
      sym_attribute,
    STATE(18352), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743834] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21569), 1,
      anon_sym_GT_RBRACE,
    STATE(16139), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743857] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21571), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16140), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743880] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21254), 1,
      sym__lowercase_identifier,
    STATE(12055), 1,
      sym_class_type_path,
    STATE(16141), 1,
      sym_attribute,
    STATE(18950), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743903] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21573), 1,
      anon_sym_GT_RBRACE,
    STATE(16142), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743926] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21575), 1,
      anon_sym_RBRACK,
    ACTIONS(21577), 1,
      anon_sym_GT,
    STATE(16143), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743949] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21579), 1,
      anon_sym_GT_RBRACE,
    STATE(16144), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743972] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21581), 1,
      anon_sym_GT_RBRACE,
    STATE(16145), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743995] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21583), 1,
      anon_sym_GT_RBRACE,
    STATE(16146), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744018] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(16147), 1,
      sym_attribute,
    STATE(17311), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744041] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(21296), 1,
      sym__lowercase_identifier,
    STATE(16148), 1,
      sym_attribute,
    STATE(18797), 1,
      sym_extended_module_path,
    STATE(18966), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744064] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21585), 1,
      anon_sym_GT_RBRACE,
    STATE(16149), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744087] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(16150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14330), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [744108] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21587), 1,
      anon_sym_RBRACK,
    ACTIONS(21589), 1,
      anon_sym_GT,
    STATE(16151), 1,
      sym_attribute,
    STATE(16166), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744131] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20336), 1,
      sym__lowercase_identifier,
    STATE(7018), 1,
      sym_class_path,
    STATE(16152), 1,
      sym_attribute,
    STATE(20525), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744154] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21587), 1,
      anon_sym_RBRACK,
    ACTIONS(21589), 1,
      anon_sym_GT,
    STATE(16153), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744177] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21591), 1,
      sym__lowercase_identifier,
    STATE(10963), 1,
      sym_class_type_path,
    STATE(16154), 1,
      sym_attribute,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744200] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20630), 1,
      sym__lowercase_identifier,
    STATE(6283), 1,
      sym_class_path,
    STATE(16155), 1,
      sym_attribute,
    STATE(20715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744223] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11096), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21593), 1,
      anon_sym_GT,
    STATE(16156), 1,
      sym_attribute,
    STATE(16172), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744246] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21591), 1,
      sym__lowercase_identifier,
    STATE(10918), 1,
      sym_class_type_path,
    STATE(16157), 1,
      sym_attribute,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744269] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21254), 1,
      sym__lowercase_identifier,
    STATE(12089), 1,
      sym_class_type_path,
    STATE(16158), 1,
      sym_attribute,
    STATE(18950), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744292] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21595), 1,
      anon_sym_GT_RBRACE,
    STATE(16159), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744315] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20584), 1,
      sym__lowercase_identifier,
    STATE(4506), 1,
      sym_class_path,
    STATE(16160), 1,
      sym_attribute,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744338] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21597), 1,
      anon_sym_GT_RBRACE,
    STATE(16161), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744361] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21599), 1,
      sym__lowercase_identifier,
    ACTIONS(21601), 1,
      anon_sym_LPAREN,
    STATE(6379), 1,
      sym_parenthesized_operator,
    STATE(6492), 1,
      sym__value_name,
    STATE(16162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744384] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21603), 1,
      sym__lowercase_identifier,
    STATE(16163), 1,
      sym_attribute,
    STATE(16209), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20892), 2,
      anon_sym_private,
      anon_sym_virtual,
  [744405] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21605), 1,
      anon_sym_GT_RBRACE,
    STATE(16164), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744428] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21157), 1,
      sym__lowercase_identifier,
    ACTIONS(21161), 1,
      anon_sym_mutable,
    ACTIONS(21607), 1,
      anon_sym_RBRACE,
    STATE(16165), 1,
      sym_attribute,
    STATE(18927), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744451] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21609), 1,
      anon_sym_RBRACK,
    ACTIONS(21611), 1,
      anon_sym_GT,
    STATE(16166), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744474] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21609), 1,
      anon_sym_RBRACK,
    STATE(16167), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744497] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21134), 1,
      sym__lowercase_identifier,
    STATE(12052), 1,
      sym_class_type_path,
    STATE(16168), 1,
      sym_attribute,
    STATE(18434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744520] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16169), 1,
      sym_attribute,
    STATE(18421), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21613), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [744541] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21615), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16170), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744564] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21617), 1,
      anon_sym_RBRACK,
    ACTIONS(21619), 1,
      anon_sym_GT,
    STATE(16171), 1,
      sym_attribute,
    STATE(16177), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744587] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21617), 1,
      anon_sym_RBRACK,
    ACTIONS(21619), 1,
      anon_sym_GT,
    STATE(16172), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744610] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21343), 1,
      sym__lowercase_identifier,
    STATE(11877), 1,
      sym_class_type_path,
    STATE(16173), 1,
      sym_attribute,
    STATE(18336), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744633] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21218), 1,
      sym__lowercase_identifier,
    STATE(10624), 1,
      sym_class_type_path,
    STATE(16174), 1,
      sym_attribute,
    STATE(18326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744656] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21621), 1,
      sym__lowercase_identifier,
    STATE(10963), 1,
      sym_class_type_path,
    STATE(16175), 1,
      sym_attribute,
    STATE(19295), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744679] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21254), 1,
      sym__lowercase_identifier,
    STATE(12101), 1,
      sym_class_type_path,
    STATE(16176), 1,
      sym_attribute,
    STATE(18950), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744702] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21623), 1,
      anon_sym_RBRACK,
    ACTIONS(21625), 1,
      anon_sym_GT,
    STATE(16177), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744725] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21623), 1,
      anon_sym_RBRACK,
    STATE(16178), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21627), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    STATE(16179), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [744767] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21630), 1,
      anon_sym_RBRACK,
    ACTIONS(21632), 1,
      anon_sym_GT,
    STATE(16180), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744790] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21630), 1,
      anon_sym_RBRACK,
    STATE(16181), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744813] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21634), 1,
      anon_sym_RBRACK,
    STATE(16182), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744836] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21636), 1,
      anon_sym_RBRACK,
    STATE(16183), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744859] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11166), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21638), 1,
      anon_sym_GT,
    STATE(16184), 1,
      sym_attribute,
    STATE(16269), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744882] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21575), 1,
      anon_sym_RBRACK,
    STATE(16185), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744905] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21640), 1,
      anon_sym_GT_RBRACE,
    STATE(16186), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744928] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21642), 1,
      anon_sym_RBRACK,
    STATE(16187), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744951] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21644), 1,
      anon_sym_GT_RBRACE,
    STATE(16188), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744974] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21646), 1,
      anon_sym_GT_RBRACE,
    STATE(16189), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744997] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20090), 1,
      sym__lowercase_identifier,
    STATE(6409), 1,
      sym_class_path,
    STATE(16190), 1,
      sym_attribute,
    STATE(19709), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745020] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21648), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16191), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745043] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14724), 1,
      anon_sym_in,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16192), 1,
      sym_attribute,
    STATE(16450), 1,
      aux_sym_expression_item_repeat1,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745066] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21650), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16193), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745089] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21652), 1,
      sym__lowercase_identifier,
    STATE(14536), 1,
      sym_class_type_path,
    STATE(16194), 1,
      sym_attribute,
    STATE(19098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745112] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21654), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16195), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745135] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21656), 1,
      anon_sym_RBRACK,
    STATE(16196), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745158] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21658), 1,
      anon_sym_GT_RBRACE,
    STATE(16197), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745181] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11184), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21660), 1,
      anon_sym_GT,
    STATE(16198), 1,
      sym_attribute,
    STATE(16326), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745204] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21652), 1,
      sym__lowercase_identifier,
    STATE(14591), 1,
      sym_class_type_path,
    STATE(16199), 1,
      sym_attribute,
    STATE(19098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745227] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21652), 1,
      sym__lowercase_identifier,
    STATE(14551), 1,
      sym_class_type_path,
    STATE(16200), 1,
      sym_attribute,
    STATE(19098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745250] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21662), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16201), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745273] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21664), 1,
      anon_sym_rec,
    STATE(16202), 1,
      sym_attribute,
    STATE(17903), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20316), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [745294] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      sym__lowercase_identifier,
    ACTIONS(20526), 1,
      anon_sym_LBRACK,
    ACTIONS(20528), 1,
      anon_sym_virtual,
    STATE(12248), 1,
      sym_class_type_binding,
    STATE(16203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745317] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20338), 1,
      sym__lowercase_identifier,
    STATE(7467), 1,
      sym_class_path,
    STATE(16204), 1,
      sym_attribute,
    STATE(19888), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745340] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21666), 1,
      anon_sym_COLON_GT,
    ACTIONS(21668), 1,
      anon_sym_RPAREN,
    STATE(16205), 1,
      sym_attribute,
    STATE(18750), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745363] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21343), 1,
      sym__lowercase_identifier,
    STATE(11952), 1,
      sym_class_type_path,
    STATE(16206), 1,
      sym_attribute,
    STATE(18336), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745386] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21621), 1,
      sym__lowercase_identifier,
    STATE(13670), 1,
      sym_class_type_path,
    STATE(16207), 1,
      sym_attribute,
    STATE(19295), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745409] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21670), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16208), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745432] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21672), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21674), 2,
      anon_sym_private,
      anon_sym_virtual,
    STATE(16209), 2,
      sym_attribute,
      aux_sym_method_specification_repeat1,
  [745451] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21677), 1,
      anon_sym_COLON_GT,
    ACTIONS(21679), 1,
      anon_sym_RPAREN,
    STATE(16210), 1,
      sym_attribute,
    STATE(18151), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745474] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21343), 1,
      sym__lowercase_identifier,
    STATE(11705), 1,
      sym_class_type_path,
    STATE(16211), 1,
      sym_attribute,
    STATE(18336), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745497] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21681), 1,
      anon_sym_COLON_GT,
    ACTIONS(21683), 1,
      anon_sym_RPAREN,
    STATE(16212), 1,
      sym_attribute,
    STATE(18492), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745520] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21685), 1,
      anon_sym_GT_RBRACE,
    STATE(16213), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745543] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21687), 1,
      anon_sym_RBRACK,
    STATE(16214), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745566] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21689), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16215), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745589] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21691), 1,
      anon_sym_GT_RBRACE,
    STATE(16216), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745612] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15250), 1,
      anon_sym_in,
    ACTIONS(21309), 1,
      anon_sym_and,
    ACTIONS(21311), 1,
      sym_let_and_operator,
    STATE(16217), 1,
      sym_attribute,
    STATE(16428), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745635] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11146), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21693), 1,
      anon_sym_GT,
    STATE(16218), 1,
      sym_attribute,
    STATE(16261), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745658] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    ACTIONS(21695), 1,
      anon_sym_EQ,
    ACTIONS(21697), 1,
      anon_sym_RPAREN,
    STATE(16219), 1,
      sym_attribute,
    STATE(18786), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745681] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21699), 1,
      anon_sym_RBRACK,
    ACTIONS(21701), 1,
      anon_sym_GT,
    STATE(16220), 1,
      sym_attribute,
    STATE(16258), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745704] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20224), 1,
      sym__lowercase_identifier,
    STATE(4867), 1,
      sym_class_path,
    STATE(16221), 1,
      sym_attribute,
    STATE(19426), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745727] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21481), 1,
      sym__lowercase_identifier,
    STATE(10812), 1,
      sym_class_type_path,
    STATE(16222), 1,
      sym_attribute,
    STATE(19167), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745750] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    ACTIONS(21703), 1,
      anon_sym_EQ,
    ACTIONS(21705), 1,
      anon_sym_RPAREN,
    STATE(16223), 1,
      sym_attribute,
    STATE(18693), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745773] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      sym__lowercase_identifier,
    STATE(15915), 1,
      aux_sym__abstract_type_repeat1,
    STATE(16224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21709), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [745794] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(21711), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745817] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19672), 1,
      sym__lowercase_identifier,
    ACTIONS(19674), 1,
      anon_sym_LBRACK,
    ACTIONS(19676), 1,
      anon_sym_virtual,
    STATE(13511), 1,
      sym_class_binding,
    STATE(16226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745840] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21713), 1,
      anon_sym_COLON_GT,
    ACTIONS(21715), 1,
      anon_sym_RPAREN,
    STATE(16227), 1,
      sym_attribute,
    STATE(18821), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745863] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21717), 1,
      anon_sym_RBRACK,
    STATE(16228), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745886] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21719), 1,
      anon_sym_GT_RBRACE,
    STATE(16229), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745909] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11351), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21721), 1,
      anon_sym_GT,
    STATE(16230), 1,
      sym_attribute,
    STATE(16402), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745932] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21723), 1,
      anon_sym_GT_RBRACE,
    STATE(16231), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745955] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21725), 1,
      sym__lowercase_identifier,
    ACTIONS(21727), 1,
      anon_sym_LPAREN,
    STATE(6633), 1,
      sym_parenthesized_operator,
    STATE(6708), 1,
      sym__value_name,
    STATE(16232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745978] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(16233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14306), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [745999] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11178), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21729), 1,
      anon_sym_GT,
    STATE(16234), 1,
      sym_attribute,
    STATE(16383), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746022] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21355), 1,
      sym__lowercase_identifier,
    STATE(10340), 1,
      sym_class_type_path,
    STATE(16235), 1,
      sym_attribute,
    STATE(18362), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746045] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11309), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21731), 1,
      anon_sym_GT,
    STATE(15891), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746068] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21733), 1,
      anon_sym_COLON_GT,
    ACTIONS(21735), 1,
      anon_sym_RPAREN,
    STATE(16237), 1,
      sym_attribute,
    STATE(19069), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746091] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21737), 1,
      sym__lowercase_identifier,
    STATE(10175), 1,
      sym_type_constructor_path,
    STATE(16238), 1,
      sym_attribute,
    STATE(18886), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746114] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21739), 1,
      anon_sym_GT_RBRACE,
    STATE(16239), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746137] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21621), 1,
      sym__lowercase_identifier,
    STATE(13620), 1,
      sym_class_type_path,
    STATE(16240), 1,
      sym_attribute,
    STATE(19295), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746160] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18497), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    STATE(16241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746183] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18435), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    STATE(16242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746206] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21741), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16243), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746229] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21355), 1,
      sym__lowercase_identifier,
    STATE(10399), 1,
      sym_class_type_path,
    STATE(16244), 1,
      sym_attribute,
    STATE(18362), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746252] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21743), 1,
      anon_sym_GT_RBRACE,
    STATE(16245), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746275] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21745), 1,
      anon_sym_GT_RBRACE,
    STATE(16246), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746298] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21747), 1,
      anon_sym_GT_RBRACE,
    STATE(16247), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746321] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21749), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20940), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(16248), 2,
      sym_attribute,
      aux_sym_instantiated_class_type_repeat1,
  [746340] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21752), 1,
      anon_sym_with,
    ACTIONS(21754), 1,
      sym_hash_operator,
    STATE(16249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746363] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21274), 1,
      anon_sym_RBRACK,
    ACTIONS(21276), 1,
      anon_sym_GT,
    STATE(16250), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746386] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20056), 1,
      sym__lowercase_identifier,
    ACTIONS(20058), 1,
      anon_sym_LBRACK,
    ACTIONS(20060), 1,
      anon_sym_virtual,
    STATE(13430), 1,
      sym_class_binding,
    STATE(16251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746409] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21756), 1,
      anon_sym_RBRACK,
    ACTIONS(21758), 1,
      anon_sym_GT,
    STATE(16252), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746432] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21760), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21763), 2,
      anon_sym_RBRACK,
      anon_sym_GT,
    STATE(16253), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat1,
  [746451] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11102), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21765), 1,
      anon_sym_GT,
    STATE(16254), 1,
      sym_attribute,
    STATE(16578), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746474] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21756), 1,
      anon_sym_RBRACK,
    STATE(16255), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746497] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21767), 1,
      anon_sym_GT_RBRACE,
    STATE(16256), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746520] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21769), 1,
      anon_sym_GT_RBRACE,
    STATE(16257), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746543] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21771), 1,
      anon_sym_RBRACK,
    ACTIONS(21773), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746566] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21775), 1,
      anon_sym_RBRACK,
    ACTIONS(21777), 1,
      anon_sym_GT,
    STATE(16259), 1,
      sym_attribute,
    STATE(16304), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746589] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20056), 1,
      sym__lowercase_identifier,
    ACTIONS(20058), 1,
      anon_sym_LBRACK,
    ACTIONS(20060), 1,
      anon_sym_virtual,
    STATE(12836), 1,
      sym_class_binding,
    STATE(16260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746612] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21775), 1,
      anon_sym_RBRACK,
    ACTIONS(21777), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746635] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20232), 1,
      sym__lowercase_identifier,
    STATE(11098), 1,
      sym_class_path,
    STATE(16262), 1,
      sym_attribute,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746658] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21779), 1,
      sym__lowercase_identifier,
    STATE(10824), 1,
      sym_class_type_path,
    STATE(16263), 1,
      sym_attribute,
    STATE(19021), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746681] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16264), 1,
      sym_attribute,
    STATE(18519), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21781), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [746702] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21771), 1,
      anon_sym_RBRACK,
    STATE(16265), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746725] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21783), 1,
      anon_sym_COLON_GT,
    ACTIONS(21785), 1,
      anon_sym_RPAREN,
    STATE(16266), 1,
      sym_attribute,
    STATE(18433), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746748] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21787), 1,
      sym__lowercase_identifier,
    STATE(15211), 1,
      sym_class_type_path,
    STATE(16267), 1,
      sym_attribute,
    STATE(18967), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746771] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21789), 1,
      anon_sym_RBRACK,
    ACTIONS(21791), 1,
      anon_sym_GT,
    STATE(16268), 1,
      sym_attribute,
    STATE(16283), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746794] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21789), 1,
      anon_sym_RBRACK,
    ACTIONS(21791), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746817] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21793), 1,
      anon_sym_COLON_GT,
    ACTIONS(21795), 1,
      anon_sym_RPAREN,
    STATE(16270), 1,
      sym_attribute,
    STATE(18133), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746840] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18148), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    STATE(16271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746863] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21797), 1,
      anon_sym_GT_RBRACE,
    STATE(16272), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746886] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21799), 1,
      anon_sym_GT_RBRACE,
    STATE(16273), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746909] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17798), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(16274), 1,
      sym_attribute,
    STATE(18477), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746932] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20552), 1,
      sym__lowercase_identifier,
    STATE(4607), 1,
      sym_class_path,
    STATE(16275), 1,
      sym_attribute,
    STATE(20411), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746955] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18441), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_PIPE,
    ACTIONS(18572), 1,
      anon_sym_as,
    ACTIONS(18574), 1,
      anon_sym_COLON_COLON,
    STATE(16276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746978] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20626), 1,
      sym__lowercase_identifier,
    STATE(4287), 1,
      sym_class_path,
    STATE(16277), 1,
      sym_attribute,
    STATE(20093), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747001] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11160), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21801), 1,
      anon_sym_GT,
    STATE(16278), 1,
      sym_attribute,
    STATE(16298), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747024] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20106), 1,
      sym__lowercase_identifier,
    STATE(3925), 1,
      sym_class_path,
    STATE(16279), 1,
      sym_attribute,
    STATE(20753), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747047] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20160), 1,
      sym__lowercase_identifier,
    STATE(8830), 1,
      sym_class_path,
    STATE(16280), 1,
      sym_attribute,
    STATE(20487), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747070] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20160), 1,
      sym__lowercase_identifier,
    STATE(8035), 1,
      sym_class_path,
    STATE(16281), 1,
      sym_attribute,
    STATE(20487), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747093] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21803), 1,
      anon_sym_COLON_GT,
    ACTIONS(21805), 1,
      anon_sym_RPAREN,
    STATE(16282), 1,
      sym_attribute,
    STATE(18988), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747116] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21807), 1,
      anon_sym_RBRACK,
    ACTIONS(21809), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747139] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21807), 1,
      anon_sym_RBRACK,
    STATE(16284), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747162] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    ACTIONS(21811), 1,
      anon_sym_EQ,
    ACTIONS(21813), 1,
      anon_sym_RPAREN,
    STATE(16285), 1,
      sym_attribute,
    STATE(19103), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747185] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21621), 1,
      sym__lowercase_identifier,
    STATE(13713), 1,
      sym_class_type_path,
    STATE(16286), 1,
      sym_attribute,
    STATE(19295), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747208] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(16287), 1,
      sym_attribute,
    STATE(16763), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747231] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21815), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16288), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747254] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21817), 1,
      anon_sym_COLON_GT,
    ACTIONS(21819), 1,
      anon_sym_RPAREN,
    STATE(16289), 1,
      sym_attribute,
    STATE(19056), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747277] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21821), 1,
      anon_sym_RBRACK,
    STATE(16290), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747300] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21823), 1,
      anon_sym_GT_RBRACE,
    STATE(16291), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747323] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21825), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16292), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747346] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21827), 1,
      anon_sym_RBRACK,
    STATE(16293), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747369] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      sym__lowercase_identifier,
    ACTIONS(20526), 1,
      anon_sym_LBRACK,
    ACTIONS(20528), 1,
      anon_sym_virtual,
    STATE(12979), 1,
      sym_class_type_binding,
    STATE(16294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747392] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21829), 1,
      anon_sym_RBRACK,
    ACTIONS(21831), 1,
      anon_sym_GT,
    STATE(16295), 1,
      sym_attribute,
    STATE(16320), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747415] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21833), 1,
      anon_sym_COLON_GT,
    ACTIONS(21835), 1,
      anon_sym_RPAREN,
    STATE(16296), 1,
      sym_attribute,
    STATE(18759), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747438] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21837), 1,
      anon_sym_RBRACK,
    STATE(16297), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747461] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21829), 1,
      anon_sym_RBRACK,
    ACTIONS(21831), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747484] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21839), 1,
      anon_sym_with,
    STATE(16299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747507] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20632), 1,
      sym__lowercase_identifier,
    STATE(9596), 1,
      sym_class_path,
    STATE(16300), 1,
      sym_attribute,
    STATE(19689), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747530] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21841), 1,
      sym__lowercase_identifier,
    STATE(16163), 1,
      aux_sym_method_specification_repeat1,
    STATE(16301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20892), 2,
      anon_sym_private,
      anon_sym_virtual,
  [747551] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21779), 1,
      sym__lowercase_identifier,
    STATE(10845), 1,
      sym_class_type_path,
    STATE(16302), 1,
      sym_attribute,
    STATE(19021), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747574] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21843), 1,
      anon_sym_GT_RBRACE,
    STATE(16303), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747597] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21845), 1,
      anon_sym_RBRACK,
    ACTIONS(21847), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747620] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21845), 1,
      anon_sym_RBRACK,
    STATE(16305), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747643] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20362), 1,
      sym__lowercase_identifier,
    STATE(4168), 1,
      sym_class_path,
    STATE(16306), 1,
      sym_attribute,
    STATE(19363), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747666] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21521), 1,
      sym__lowercase_identifier,
    STATE(11559), 1,
      sym_class_type_path,
    STATE(16307), 1,
      sym_attribute,
    STATE(18850), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747689] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20232), 1,
      sym__lowercase_identifier,
    STATE(11102), 1,
      sym_class_path,
    STATE(16308), 1,
      sym_attribute,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747712] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20632), 1,
      sym__lowercase_identifier,
    STATE(9593), 1,
      sym_class_path,
    STATE(16309), 1,
      sym_attribute,
    STATE(19689), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747735] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21849), 1,
      sym__lowercase_identifier,
    STATE(16310), 1,
      sym_attribute,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(22301), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747758] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21521), 1,
      sym__lowercase_identifier,
    STATE(11392), 1,
      sym_class_type_path,
    STATE(16311), 1,
      sym_attribute,
    STATE(18850), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747781] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21521), 1,
      sym__lowercase_identifier,
    STATE(11416), 1,
      sym_class_type_path,
    STATE(16312), 1,
      sym_attribute,
    STATE(18850), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747804] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21851), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16313), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747827] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21853), 1,
      anon_sym_RBRACK,
    STATE(16314), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747850] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21855), 1,
      anon_sym_GT_RBRACE,
    STATE(16315), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747873] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(16316), 1,
      sym_attribute,
    STATE(16897), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747896] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16317), 1,
      sym_attribute,
    STATE(18856), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21857), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [747917] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21859), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16318), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747940] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21861), 1,
      anon_sym_GT_RBRACE,
    STATE(16319), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747963] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21863), 1,
      anon_sym_RBRACK,
    ACTIONS(21865), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747986] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21863), 1,
      anon_sym_RBRACK,
    STATE(16321), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748009] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21867), 1,
      anon_sym_with,
    STATE(16322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748032] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21869), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16323), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748055] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21871), 1,
      anon_sym_RBRACK,
    ACTIONS(21873), 1,
      anon_sym_GT,
    STATE(16324), 1,
      sym_attribute,
    STATE(16366), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748078] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16325), 1,
      sym_attribute,
    STATE(18243), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21875), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [748099] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21871), 1,
      anon_sym_RBRACK,
    ACTIONS(21873), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748122] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21877), 1,
      anon_sym_GT_RBRACE,
    STATE(16327), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748145] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21879), 1,
      anon_sym_RBRACK,
    STATE(16328), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748168] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21881), 1,
      anon_sym_RBRACK,
    STATE(16329), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748191] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21883), 1,
      anon_sym_RBRACK,
    STATE(16330), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748214] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21885), 1,
      anon_sym_COLON_GT,
    ACTIONS(21887), 1,
      anon_sym_RPAREN,
    STATE(16331), 1,
      sym_attribute,
    STATE(18353), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748237] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21889), 1,
      anon_sym_GT_RBRACE,
    STATE(16332), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748260] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21891), 1,
      anon_sym_GT_RBRACE,
    STATE(16333), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748283] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21893), 1,
      sym__lowercase_identifier,
    ACTIONS(21895), 1,
      anon_sym_LPAREN,
    STATE(6556), 1,
      sym__value_name,
    STATE(6611), 1,
      sym_parenthesized_operator,
    STATE(16334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748306] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20622), 1,
      sym__lowercase_identifier,
    STATE(5018), 1,
      sym_class_path,
    STATE(16335), 1,
      sym_attribute,
    STATE(20175), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748329] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21897), 1,
      anon_sym_RBRACK,
    STATE(16336), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748352] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(16337), 1,
      sym_attribute,
    STATE(16960), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748375] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21899), 1,
      sym__lowercase_identifier,
    ACTIONS(21901), 1,
      anon_sym_LPAREN,
    STATE(16338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15326), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [748396] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21903), 1,
      anon_sym_RBRACK,
    STATE(16339), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748419] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(21905), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748442] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21621), 1,
      sym__lowercase_identifier,
    STATE(10918), 1,
      sym_class_type_path,
    STATE(16341), 1,
      sym_attribute,
    STATE(19295), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748465] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21907), 1,
      anon_sym_with,
    STATE(16342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748488] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21909), 1,
      anon_sym_RBRACK,
    ACTIONS(21911), 1,
      anon_sym_GT,
    STATE(16343), 1,
      sym_attribute,
    STATE(16365), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748511] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21909), 1,
      anon_sym_RBRACK,
    ACTIONS(21911), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748534] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21913), 1,
      anon_sym_RBRACK,
    STATE(16345), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748557] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21915), 1,
      anon_sym_GT_RBRACE,
    STATE(16346), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748580] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20154), 1,
      sym__lowercase_identifier,
    STATE(7116), 1,
      sym_class_path,
    STATE(16347), 1,
      sym_attribute,
    STATE(19806), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748603] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20388), 1,
      sym__lowercase_identifier,
    STATE(4555), 1,
      sym_class_path,
    STATE(16348), 1,
      sym_attribute,
    STATE(20563), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748626] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21917), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16349), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748649] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21414), 1,
      sym__lowercase_identifier,
    STATE(11985), 1,
      sym_class_type_path,
    STATE(16350), 1,
      sym_attribute,
    STATE(19134), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748672] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21919), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16351), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748695] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21921), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16352), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748718] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21787), 1,
      sym__lowercase_identifier,
    STATE(15251), 1,
      sym_class_type_path,
    STATE(16353), 1,
      sym_attribute,
    STATE(18967), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748741] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(13190), 1,
      sym__lowercase_identifier,
    STATE(16354), 1,
      sym_attribute,
    STATE(17005), 1,
      sym_type_constructor_path,
    STATE(18214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748764] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21923), 1,
      anon_sym_RBRACK,
    ACTIONS(21925), 1,
      aux_sym_tag_token1,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16355), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat2,
  [748785] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21414), 1,
      sym__lowercase_identifier,
    STATE(11999), 1,
      sym_class_type_path,
    STATE(16356), 1,
      sym_attribute,
    STATE(19134), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748808] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21355), 1,
      sym__lowercase_identifier,
    STATE(10356), 1,
      sym_class_type_path,
    STATE(16357), 1,
      sym_attribute,
    STATE(18362), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748831] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21414), 1,
      sym__lowercase_identifier,
    STATE(12004), 1,
      sym_class_type_path,
    STATE(16358), 1,
      sym_attribute,
    STATE(19134), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748854] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21928), 1,
      anon_sym_COLON_GT,
    ACTIONS(21930), 1,
      anon_sym_RPAREN,
    STATE(16359), 1,
      sym_attribute,
    STATE(18617), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748877] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21932), 1,
      anon_sym_with,
    STATE(16360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748900] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20110), 1,
      sym__lowercase_identifier,
    STATE(6300), 1,
      sym_class_path,
    STATE(16361), 1,
      sym_attribute,
    STATE(20384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748923] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21901), 1,
      anon_sym_LPAREN,
    ACTIONS(21934), 1,
      sym__lowercase_identifier,
    STATE(15405), 1,
      sym__value_name,
    STATE(15406), 1,
      sym_parenthesized_operator,
    STATE(16362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748946] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21936), 1,
      anon_sym_GT_RBRACE,
    STATE(16363), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748969] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21938), 1,
      anon_sym_GT_RBRACE,
    STATE(16364), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748992] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21479), 1,
      anon_sym_RBRACK,
    ACTIONS(21940), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749015] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21942), 1,
      anon_sym_RBRACK,
    ACTIONS(21944), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749038] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21946), 1,
      anon_sym_GT_RBRACE,
    STATE(16367), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749061] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21942), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16368), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749084] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21779), 1,
      sym__lowercase_identifier,
    STATE(10874), 1,
      sym_class_type_path,
    STATE(16369), 1,
      sym_attribute,
    STATE(19021), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749107] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21787), 1,
      sym__lowercase_identifier,
    STATE(15079), 1,
      sym_class_type_path,
    STATE(16370), 1,
      sym_attribute,
    STATE(18967), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749130] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21948), 1,
      anon_sym_with,
    STATE(16371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749153] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21950), 1,
      anon_sym_GT_RBRACE,
    STATE(16372), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749176] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21952), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16373), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749199] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21841), 1,
      sym__lowercase_identifier,
    STATE(16209), 1,
      aux_sym_method_specification_repeat1,
    STATE(16374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20892), 2,
      anon_sym_private,
      anon_sym_virtual,
  [749220] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21954), 1,
      anon_sym_RBRACK,
    ACTIONS(21956), 1,
      anon_sym_GT,
    STATE(16375), 1,
      sym_attribute,
    STATE(16444), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749243] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20582), 1,
      sym__lowercase_identifier,
    STATE(5330), 1,
      sym_class_path,
    STATE(16376), 1,
      sym_attribute,
    STATE(21490), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749266] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21958), 1,
      anon_sym_COLON_GT,
    ACTIONS(21960), 1,
      anon_sym_RPAREN,
    STATE(16377), 1,
      sym_attribute,
    STATE(18881), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749289] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20268), 1,
      sym__lowercase_identifier,
    STATE(8181), 1,
      sym_class_path,
    STATE(16378), 1,
      sym_attribute,
    STATE(20898), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749312] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21962), 1,
      anon_sym_with,
    STATE(16379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749335] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21964), 1,
      sym__lowercase_identifier,
    STATE(6674), 1,
      sym_type_constructor_path,
    STATE(16380), 1,
      sym_attribute,
    STATE(18723), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749358] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21523), 1,
      sym__lowercase_identifier,
    STATE(11291), 1,
      sym_class_type_path,
    STATE(16381), 1,
      sym_attribute,
    STATE(18211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749381] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21523), 1,
      sym__lowercase_identifier,
    STATE(11309), 1,
      sym_class_type_path,
    STATE(16382), 1,
      sym_attribute,
    STATE(18211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749404] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21954), 1,
      anon_sym_RBRACK,
    ACTIONS(21956), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749427] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21523), 1,
      sym__lowercase_identifier,
    STATE(11315), 1,
      sym_class_type_path,
    STATE(16384), 1,
      sym_attribute,
    STATE(18211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749450] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21966), 1,
      anon_sym_with,
    STATE(16385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749473] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20632), 1,
      sym__lowercase_identifier,
    STATE(9076), 1,
      sym_class_path,
    STATE(16386), 1,
      sym_attribute,
    STATE(19689), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749496] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21968), 1,
      anon_sym_with,
    STATE(16387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749519] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21970), 1,
      anon_sym_COLON_GT,
    ACTIONS(21972), 1,
      anon_sym_RPAREN,
    STATE(16388), 1,
      sym_attribute,
    STATE(18801), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749542] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17798), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(16389), 1,
      sym_attribute,
    STATE(18807), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749565] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21974), 1,
      anon_sym_with,
    STATE(16390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749588] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21559), 1,
      aux_sym_attribute_id_token1,
    STATE(15927), 1,
      aux_sym_attribute_id_repeat1,
    STATE(16391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [749609] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15359), 1,
      anon_sym_in,
    ACTIONS(21309), 1,
      anon_sym_and,
    ACTIONS(21311), 1,
      sym_let_and_operator,
    STATE(16005), 1,
      aux_sym_value_definition_repeat1,
    STATE(16392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749632] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21976), 1,
      anon_sym_with,
    STATE(16393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749655] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21779), 1,
      sym__lowercase_identifier,
    STATE(10883), 1,
      sym_class_type_path,
    STATE(16394), 1,
      sym_attribute,
    STATE(19021), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749678] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21384), 1,
      sym__lowercase_identifier,
    STATE(11237), 1,
      sym_class_type_path,
    STATE(16395), 1,
      sym_attribute,
    STATE(18537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749701] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21978), 1,
      anon_sym_with,
    STATE(16396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749724] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(21980), 1,
      anon_sym_COLON_GT,
    ACTIONS(21982), 1,
      anon_sym_RPAREN,
    STATE(16397), 1,
      sym_attribute,
    STATE(19060), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749747] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16398), 1,
      sym_attribute,
    STATE(18609), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21984), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [749768] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21986), 1,
      anon_sym_with,
    STATE(16399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749791] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21218), 1,
      sym__lowercase_identifier,
    STATE(10698), 1,
      sym_class_type_path,
    STATE(16400), 1,
      sym_attribute,
    STATE(18326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749814] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(21988), 1,
      anon_sym_GT_RBRACE,
    STATE(16401), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749837] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21699), 1,
      anon_sym_RBRACK,
    ACTIONS(21701), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749860] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21652), 1,
      sym__lowercase_identifier,
    STATE(14585), 1,
      sym_class_type_path,
    STATE(16403), 1,
      sym_attribute,
    STATE(19098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749883] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15359), 1,
      anon_sym_in,
    ACTIONS(21309), 1,
      anon_sym_and,
    ACTIONS(21311), 1,
      sym_let_and_operator,
    STATE(16028), 1,
      aux_sym_value_definition_repeat1,
    STATE(16404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749906] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21990), 1,
      anon_sym_with,
    STATE(16405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749929] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21010), 1,
      anon_sym_BANG,
    ACTIONS(21012), 1,
      anon_sym__,
    STATE(15635), 1,
      sym_type_variable,
    STATE(16406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749952] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21621), 1,
      sym__lowercase_identifier,
    STATE(13571), 1,
      sym_class_type_path,
    STATE(16407), 1,
      sym_attribute,
    STATE(19295), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749975] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(12653), 1,
      sym__lowercase_identifier,
    STATE(15402), 1,
      sym_type_constructor_path,
    STATE(16408), 1,
      sym_attribute,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749998] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21992), 1,
      anon_sym_with,
    STATE(16409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750021] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(21994), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16410), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750044] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(21996), 1,
      anon_sym_with,
    STATE(16411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750067] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    ACTIONS(21014), 1,
      sym__lowercase_identifier,
    STATE(14261), 1,
      sym_parenthesized_operator,
    STATE(14703), 1,
      sym__value_name,
    STATE(16412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750090] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21998), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16413), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750113] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(22000), 1,
      anon_sym_COLON_GT,
    ACTIONS(22002), 1,
      anon_sym_RPAREN,
    STATE(16414), 1,
      sym_attribute,
    STATE(18964), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750136] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22004), 1,
      anon_sym_with,
    STATE(16415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750159] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21384), 1,
      sym__lowercase_identifier,
    STATE(11347), 1,
      sym_class_type_path,
    STATE(16416), 1,
      sym_attribute,
    STATE(18537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750182] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22006), 1,
      anon_sym_with,
    STATE(16417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750205] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22008), 1,
      anon_sym_GT_RBRACE,
    STATE(16418), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750228] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22010), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16419), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750251] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20134), 1,
      sym__lowercase_identifier,
    STATE(3623), 1,
      sym_class_path,
    STATE(16420), 1,
      sym_attribute,
    STATE(20790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750274] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21384), 1,
      sym__lowercase_identifier,
    STATE(11365), 1,
      sym_class_type_path,
    STATE(16421), 1,
      sym_attribute,
    STATE(18537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750297] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22012), 1,
      anon_sym_with,
    STATE(16422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750320] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22014), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16423), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750343] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(22016), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16424), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750366] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22018), 1,
      anon_sym_GT_RBRACE,
    STATE(16425), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750389] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22020), 1,
      anon_sym_with,
    STATE(16426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750412] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22022), 1,
      anon_sym_with,
    STATE(16427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750435] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15427), 1,
      anon_sym_in,
    ACTIONS(21309), 1,
      anon_sym_and,
    ACTIONS(21311), 1,
      sym_let_and_operator,
    STATE(16028), 1,
      aux_sym_value_definition_repeat1,
    STATE(16428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750458] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    STATE(16429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16932), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [750479] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22024), 1,
      anon_sym_with,
    STATE(16430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750502] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22026), 1,
      anon_sym_GT_RBRACE,
    STATE(16431), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750525] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(22028), 1,
      anon_sym_COLON_GT,
    ACTIONS(22030), 1,
      anon_sym_RPAREN,
    STATE(16432), 1,
      sym_attribute,
    STATE(18468), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750548] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22032), 1,
      anon_sym_with,
    STATE(16433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750571] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22034), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16434), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750594] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22036), 1,
      anon_sym_RBRACK,
    ACTIONS(22038), 1,
      anon_sym_GT,
    STATE(16435), 1,
      sym_attribute,
    STATE(16550), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750617] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22040), 1,
      anon_sym_with,
    STATE(16436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750640] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    STATE(16437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16936), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [750661] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22042), 1,
      anon_sym_GT_RBRACE,
    STATE(16438), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750684] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21481), 1,
      sym__lowercase_identifier,
    STATE(10793), 1,
      sym_class_type_path,
    STATE(16439), 1,
      sym_attribute,
    STATE(19167), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750707] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14833), 1,
      anon_sym_in,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15722), 1,
      aux_sym_expression_item_repeat1,
    STATE(16440), 1,
      sym_attribute,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750730] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22044), 1,
      anon_sym_with,
    STATE(16441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750753] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21787), 1,
      sym__lowercase_identifier,
    STATE(15208), 1,
      sym_class_type_path,
    STATE(16442), 1,
      sym_attribute,
    STATE(18967), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750776] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22046), 1,
      anon_sym_with,
    STATE(16443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750799] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22048), 1,
      anon_sym_RBRACK,
    ACTIONS(22050), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750822] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(22048), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16445), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750845] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22036), 1,
      anon_sym_RBRACK,
    ACTIONS(22038), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750868] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21082), 1,
      sym__lowercase_identifier,
    STATE(11232), 1,
      sym_class_type_path,
    STATE(16447), 1,
      sym_attribute,
    STATE(18687), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750891] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21422), 1,
      sym__lowercase_identifier,
    STATE(14242), 1,
      sym_class_type_path,
    STATE(16448), 1,
      sym_attribute,
    STATE(19062), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750914] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22052), 1,
      anon_sym_with,
    STATE(16449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750937] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14675), 1,
      anon_sym_in,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15722), 1,
      aux_sym_expression_item_repeat1,
    STATE(16450), 1,
      sym_attribute,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750960] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14675), 1,
      anon_sym_in,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16440), 1,
      aux_sym_expression_item_repeat1,
    STATE(16451), 1,
      sym_attribute,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750983] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22054), 1,
      anon_sym_with,
    STATE(16452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751006] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(22056), 1,
      anon_sym_COLON_GT,
    ACTIONS(22058), 1,
      anon_sym_RPAREN,
    STATE(16453), 1,
      sym_attribute,
    STATE(18293), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751029] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(22060), 1,
      anon_sym_COLON_GT,
    ACTIONS(22062), 1,
      anon_sym_RPAREN,
    STATE(16454), 1,
      sym_attribute,
    STATE(18685), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751052] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(19538), 1,
      anon_sym_DASH_GT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(15897), 1,
      aux_sym_module_binding_repeat1,
    STATE(16455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751075] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22064), 1,
      anon_sym_GT_RBRACE,
    STATE(16456), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751098] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22066), 1,
      anon_sym_with,
    STATE(16457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751121] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22068), 1,
      anon_sym_with,
    STATE(16458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751144] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22070), 1,
      anon_sym_GT_RBRACE,
    STATE(16459), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751167] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22072), 1,
      anon_sym_with,
    STATE(16460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751190] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22074), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16461), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751213] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(19538), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751236] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22076), 1,
      anon_sym_with,
    STATE(16463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751259] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22078), 1,
      anon_sym_with,
    STATE(16464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751282] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20458), 1,
      sym__lowercase_identifier,
    STATE(8519), 1,
      sym_class_path,
    STATE(16465), 1,
      sym_attribute,
    STATE(20215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751305] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22080), 1,
      anon_sym_with,
    STATE(16466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751328] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20372), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_class_path,
    STATE(16467), 1,
      sym_attribute,
    STATE(19545), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751351] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11375), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22082), 1,
      anon_sym_GT,
    STATE(16079), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751374] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22084), 1,
      anon_sym_with,
    STATE(16469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751397] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21551), 1,
      sym__lowercase_identifier,
    STATE(10288), 1,
      sym_class_type_path,
    STATE(16470), 1,
      sym_attribute,
    STATE(18984), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751420] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(22086), 1,
      sym__lowercase_identifier,
    STATE(9938), 1,
      sym_type_constructor_path,
    STATE(16471), 1,
      sym_attribute,
    STATE(18585), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751443] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22088), 1,
      anon_sym_with,
    STATE(16472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751466] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11292), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22090), 1,
      anon_sym_GT,
    STATE(16473), 1,
      sym_attribute,
    STATE(16499), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751489] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(22092), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16474), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751512] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20548), 1,
      sym__lowercase_identifier,
    STATE(8760), 1,
      sym_class_path,
    STATE(16475), 1,
      sym_attribute,
    STATE(20134), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751535] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22094), 1,
      anon_sym_with,
    STATE(16476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751558] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    ACTIONS(22096), 1,
      anon_sym_EQ,
    ACTIONS(22098), 1,
      anon_sym_RPAREN,
    STATE(16477), 1,
      sym_attribute,
    STATE(19121), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751581] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19480), 1,
      sym__lowercase_identifier,
    ACTIONS(19484), 1,
      anon_sym_LBRACK,
    ACTIONS(19486), 1,
      anon_sym_virtual,
    STATE(13251), 1,
      sym_class_binding,
    STATE(16478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751604] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22100), 1,
      anon_sym_with,
    STATE(16479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751627] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(22102), 1,
      sym__lowercase_identifier,
    STATE(16480), 1,
      sym_attribute,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(22319), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751650] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22104), 1,
      anon_sym_GT_RBRACE,
    STATE(16481), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751673] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12387), 1,
      anon_sym_in,
    ACTIONS(18062), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15722), 1,
      aux_sym_expression_item_repeat1,
    STATE(16482), 1,
      sym_attribute,
    STATE(17815), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751696] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22106), 1,
      anon_sym_with,
    STATE(16483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751719] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11262), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22108), 1,
      anon_sym_GT,
    STATE(15902), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751742] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22110), 1,
      anon_sym_GT_RBRACE,
    STATE(16485), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751765] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22112), 1,
      anon_sym_with,
    STATE(16486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751788] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21551), 1,
      sym__lowercase_identifier,
    STATE(10280), 1,
      sym_class_type_path,
    STATE(16487), 1,
      sym_attribute,
    STATE(18984), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751811] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22114), 1,
      anon_sym_with,
    STATE(16488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751834] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20308), 1,
      sym__lowercase_identifier,
    STATE(5413), 1,
      sym_class_path,
    STATE(16489), 1,
      sym_attribute,
    STATE(21750), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751857] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19672), 1,
      sym__lowercase_identifier,
    ACTIONS(19674), 1,
      anon_sym_LBRACK,
    ACTIONS(19676), 1,
      anon_sym_virtual,
    STATE(12836), 1,
      sym_class_binding,
    STATE(16490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751880] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16491), 1,
      sym_attribute,
    STATE(18679), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22116), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [751901] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22118), 1,
      anon_sym_with,
    STATE(16492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751924] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21551), 1,
      sym__lowercase_identifier,
    STATE(10300), 1,
      sym_class_type_path,
    STATE(16493), 1,
      sym_attribute,
    STATE(18984), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751947] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22120), 1,
      anon_sym_with,
    STATE(16494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751970] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11186), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22122), 1,
      anon_sym_GT,
    STATE(16495), 1,
      sym_attribute,
    STATE(16543), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751993] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22124), 1,
      anon_sym_with,
    STATE(16496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752016] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(22126), 1,
      anon_sym_COLON_GT,
    ACTIONS(22128), 1,
      anon_sym_RPAREN,
    STATE(16497), 1,
      sym_attribute,
    STATE(19214), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752039] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22130), 1,
      anon_sym_RBRACK,
    ACTIONS(22132), 1,
      anon_sym_GT,
    STATE(16498), 1,
      sym_attribute,
    STATE(16518), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752062] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22130), 1,
      anon_sym_RBRACK,
    ACTIONS(22132), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752085] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22134), 1,
      anon_sym_with,
    STATE(16500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752108] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(22136), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16501), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752131] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(22138), 1,
      sym__lowercase_identifier,
    STATE(8363), 1,
      sym_class_path,
    STATE(16502), 1,
      sym_attribute,
    STATE(19764), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752154] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22140), 1,
      anon_sym_with,
    STATE(16503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752177] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16504), 1,
      sym_attribute,
    STATE(18647), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22142), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [752198] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(22144), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16505), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752221] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22146), 1,
      anon_sym_GT_RBRACE,
    STATE(16506), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752244] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22148), 1,
      anon_sym_with,
    STATE(16507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752267] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22150), 1,
      anon_sym_with,
    STATE(16508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752290] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20258), 1,
      sym__lowercase_identifier,
    STATE(7924), 1,
      sym_class_path,
    STATE(16509), 1,
      sym_attribute,
    STATE(21252), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752313] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(22152), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16510), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752336] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22154), 1,
      anon_sym_GT_RBRACE,
    STATE(16511), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752359] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21082), 1,
      sym__lowercase_identifier,
    STATE(11215), 1,
      sym_class_type_path,
    STATE(16512), 1,
      sym_attribute,
    STATE(18687), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752382] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22156), 1,
      anon_sym_GT_RBRACE,
    STATE(16513), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13689), 1,
      anon_sym_and,
    STATE(16514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13687), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [752424] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22158), 1,
      anon_sym_with,
    STATE(16515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752447] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21525), 1,
      sym__lowercase_identifier,
    STATE(12272), 1,
      sym_class_type_path,
    STATE(16516), 1,
      sym_attribute,
    STATE(18620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752470] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_POUND,
    ACTIONS(21120), 1,
      anon_sym_DOT,
    ACTIONS(21754), 1,
      sym_hash_operator,
    ACTIONS(22160), 1,
      anon_sym_with,
    STATE(16517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752493] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22162), 1,
      anon_sym_RBRACK,
    ACTIONS(22164), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752516] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(22162), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16519), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752539] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(22138), 1,
      sym__lowercase_identifier,
    STATE(8381), 1,
      sym_class_path,
    STATE(16520), 1,
      sym_attribute,
    STATE(19764), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752562] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(22166), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16521), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752585] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(22168), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752608] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22170), 1,
      anon_sym_GT_RBRACE,
    STATE(16523), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752631] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16524), 1,
      sym_attribute,
    STATE(16528), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752654] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    STATE(16525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14284), 2,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [752675] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752698] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    ACTIONS(22172), 1,
      anon_sym_EQ,
    ACTIONS(22174), 1,
      anon_sym_RPAREN,
    STATE(16527), 1,
      sym_attribute,
    STATE(18836), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752721] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(22176), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752744] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21525), 1,
      sym__lowercase_identifier,
    STATE(12385), 1,
      sym_class_type_path,
    STATE(16529), 1,
      sym_attribute,
    STATE(18620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752767] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22178), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16530), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752790] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22180), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16531), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752813] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(22182), 1,
      anon_sym_COLON_GT,
    ACTIONS(22184), 1,
      anon_sym_RPAREN,
    STATE(16532), 1,
      sym_attribute,
    STATE(18418), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752836] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22186), 1,
      anon_sym_GT_RBRACE,
    STATE(16533), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752859] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22190), 1,
      anon_sym_of,
    STATE(16534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22188), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [752878] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22192), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16535), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752901] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22194), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16536), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752924] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(22196), 1,
      sym__lowercase_identifier,
    STATE(16537), 1,
      sym_attribute,
    STATE(18214), 1,
      sym_extended_module_path,
    STATE(21063), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752947] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22198), 1,
      anon_sym_RBRACK,
    ACTIONS(22200), 1,
      anon_sym_GT,
    STATE(16538), 1,
      sym_attribute,
    STATE(16552), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752970] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21525), 1,
      sym__lowercase_identifier,
    STATE(12432), 1,
      sym_class_type_path,
    STATE(16539), 1,
      sym_attribute,
    STATE(18620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752993] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22202), 1,
      anon_sym_GT_RBRACE,
    STATE(16540), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753016] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20434), 1,
      sym__lowercase_identifier,
    STATE(7741), 1,
      sym_class_path,
    STATE(16541), 1,
      sym_attribute,
    STATE(20601), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753039] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22204), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16542), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753062] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22198), 1,
      anon_sym_RBRACK,
    ACTIONS(22200), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753085] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22206), 1,
      anon_sym_GT_RBRACE,
    STATE(16544), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753108] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(21296), 1,
      sym__lowercase_identifier,
    STATE(16545), 1,
      sym_attribute,
    STATE(18797), 1,
      sym_extended_module_path,
    STATE(19215), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753131] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22208), 1,
      anon_sym_GT_RBRACE,
    STATE(16546), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753154] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22210), 1,
      anon_sym_GT_RBRACE,
    STATE(16547), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753177] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22212), 1,
      anon_sym_DOT,
    STATE(16035), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16548), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753200] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22214), 1,
      anon_sym_RBRACK,
    ACTIONS(22216), 1,
      anon_sym_GT,
    STATE(15951), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753223] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21098), 1,
      anon_sym_RBRACK,
    ACTIONS(22218), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753246] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(16551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22409), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [753267] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22220), 1,
      anon_sym_RBRACK,
    ACTIONS(22222), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753290] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20178), 1,
      sym__lowercase_identifier,
    STATE(4403), 1,
      sym_class_path,
    STATE(16553), 1,
      sym_attribute,
    STATE(20255), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753313] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(15891), 1,
      anon_sym_DASH_GT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16554), 1,
      sym_attribute,
    STATE(16556), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753336] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(15891), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753359] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(22224), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753382] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(22220), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16557), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753405] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(16558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22427), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [753426] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(15903), 1,
      anon_sym_DASH_GT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16559), 1,
      sym_attribute,
    STATE(16561), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753449] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(15903), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753472] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(22226), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753495] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19880), 1,
      sym__lowercase_identifier,
    ACTIONS(19882), 1,
      anon_sym_LBRACK,
    ACTIONS(19884), 1,
      anon_sym_virtual,
    STATE(12836), 1,
      sym_class_binding,
    STATE(16562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753518] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(22228), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16563), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753541] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(16564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22435), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [753562] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
    STATE(16565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(19557), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [753583] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    ACTIONS(22230), 1,
      anon_sym_RBRACK,
    STATE(16355), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16566), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753606] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(14825), 1,
      anon_sym_DASH_GT,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16567), 1,
      sym_attribute,
    STATE(16569), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753629] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(14825), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753652] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    ACTIONS(22232), 1,
      anon_sym_DASH_GT,
    STATE(10412), 1,
      aux_sym_module_binding_repeat1,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753675] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22234), 1,
      anon_sym_rec,
    STATE(13361), 1,
      sym_module_binding,
    STATE(16570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20070), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [753696] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21134), 1,
      sym__lowercase_identifier,
    STATE(12171), 1,
      sym_class_type_path,
    STATE(16571), 1,
      sym_attribute,
    STATE(18434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753719] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22236), 1,
      sym__lowercase_identifier,
    ACTIONS(22238), 1,
      anon_sym_LPAREN,
    STATE(10133), 1,
      sym_parenthesized_operator,
    STATE(10135), 1,
      sym__value_name,
    STATE(16572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753742] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22240), 1,
      anon_sym_rec,
    STATE(14194), 1,
      sym_module_binding,
    STATE(16573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20076), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [753763] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    ACTIONS(22242), 1,
      anon_sym_COLON_GT,
    ACTIONS(22244), 1,
      anon_sym_RPAREN,
    STATE(16574), 1,
      sym_attribute,
    STATE(18894), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753786] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11373), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22246), 1,
      anon_sym_GT,
    STATE(15895), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753809] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20534), 1,
      sym__lowercase_identifier,
    STATE(5947), 1,
      sym_class_path,
    STATE(16576), 1,
      sym_attribute,
    STATE(22345), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753832] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22248), 1,
      anon_sym_rec,
    STATE(13993), 1,
      sym_module_binding,
    STATE(16577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20082), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [753853] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22214), 1,
      anon_sym_RBRACK,
    ACTIONS(22216), 1,
      anon_sym_GT,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13546), 1,
      anon_sym_and,
    STATE(16579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13544), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [753895] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20232), 1,
      sym__lowercase_identifier,
    STATE(10510), 1,
      sym_class_path,
    STATE(16580), 1,
      sym_attribute,
    STATE(22155), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753918] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16581), 1,
      sym_attribute,
    STATE(19269), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22250), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [753939] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(21296), 1,
      sym__lowercase_identifier,
    STATE(16582), 1,
      sym_attribute,
    STATE(18797), 1,
      sym_extended_module_path,
    STATE(19274), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753962] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    ACTIONS(21481), 1,
      sym__lowercase_identifier,
    STATE(10802), 1,
      sym_class_type_path,
    STATE(16583), 1,
      sym_attribute,
    STATE(19167), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753985] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16584), 1,
      sym_attribute,
    STATE(19275), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22252), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [754006] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(21296), 1,
      sym__lowercase_identifier,
    STATE(16585), 1,
      sym_attribute,
    STATE(18797), 1,
      sym_extended_module_path,
    STATE(19280), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754029] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    ACTIONS(22254), 1,
      anon_sym_GT_RBRACE,
    STATE(16586), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754052] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PERCENT,
    STATE(16587), 1,
      sym_attribute,
    STATE(19281), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22256), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [754073] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11379), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22258), 1,
      anon_sym_GT,
    STATE(16250), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754096] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13778), 1,
      sym__uppercase_identifier,
    ACTIONS(21296), 1,
      sym__lowercase_identifier,
    STATE(16589), 1,
      sym_attribute,
    STATE(18797), 1,
      sym_extended_module_path,
    STATE(19286), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754119] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    STATE(6832), 1,
      sym_class_path,
    STATE(16590), 1,
      sym_attribute,
    STATE(19599), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754142] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19178), 1,
      anon_sym_SEMI,
    ACTIONS(19180), 1,
      anon_sym_GT,
    STATE(16591), 1,
      sym_attribute,
    STATE(17770), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754162] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(22260), 1,
      anon_sym_type,
    STATE(16592), 1,
      sym_attribute,
    STATE(17055), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754182] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22042), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22262), 1,
      anon_sym_SEMI,
    STATE(16593), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754202] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym__lowercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    STATE(16594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754222] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22268), 1,
      anon_sym_RPAREN,
    STATE(16595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754242] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20162), 1,
      anon_sym_RBRACE,
    ACTIONS(22270), 1,
      anon_sym_SEMI,
    STATE(16596), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754262] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22272), 1,
      anon_sym_SEMI,
    ACTIONS(22274), 1,
      anon_sym_RBRACE,
    STATE(16597), 1,
      sym_attribute,
    STATE(16607), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754282] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22276), 1,
      anon_sym_RPAREN,
    STATE(16598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754302] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21531), 1,
      anon_sym_RBRACK,
    STATE(16599), 1,
      sym_attribute,
    STATE(16613), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754322] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21531), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754342] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22278), 1,
      anon_sym_SEMI,
    ACTIONS(22280), 1,
      anon_sym_GT_RBRACE,
    STATE(16601), 1,
      sym_attribute,
    STATE(16610), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754362] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22282), 1,
      anon_sym_RPAREN,
    STATE(16602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754382] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20164), 1,
      anon_sym_RBRACE,
    ACTIONS(22284), 1,
      anon_sym_SEMI,
    STATE(16603), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754402] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12968), 1,
      anon_sym_GT,
    ACTIONS(22286), 1,
      anon_sym_SEMI,
    STATE(16604), 1,
      sym_attribute,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754422] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3957), 1,
      anon_sym_RBRACK,
    ACTIONS(22288), 1,
      anon_sym_SEMI,
    STATE(16605), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754442] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22290), 1,
      anon_sym_SEMI,
    ACTIONS(22292), 1,
      anon_sym_RBRACE,
    STATE(16606), 1,
      sym_attribute,
    STATE(16657), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754462] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20166), 1,
      anon_sym_RBRACE,
    ACTIONS(22294), 1,
      anon_sym_SEMI,
    STATE(16607), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754482] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3959), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22296), 1,
      anon_sym_SEMI,
    STATE(16608), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754502] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20606), 1,
      anon_sym_RBRACE,
    ACTIONS(22298), 1,
      anon_sym_SEMI,
    STATE(16609), 1,
      sym_attribute,
    STATE(16625), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754522] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21597), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22300), 1,
      anon_sym_SEMI,
    STATE(16610), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754542] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22302), 1,
      anon_sym_RPAREN,
    STATE(16611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754562] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22304), 1,
      anon_sym_RPAREN,
    STATE(16612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754582] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21630), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754602] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20176), 1,
      anon_sym_RBRACE,
    ACTIONS(22306), 1,
      anon_sym_SEMI,
    STATE(16614), 1,
      sym_attribute,
    STATE(16619), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754622] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21630), 1,
      anon_sym_RBRACK,
    STATE(16615), 1,
      sym_attribute,
    STATE(16621), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754642] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22308), 1,
      anon_sym_SEMI,
    ACTIONS(22310), 1,
      anon_sym_GT_RBRACE,
    STATE(16616), 1,
      sym_attribute,
    STATE(16719), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754662] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22312), 1,
      sym__lowercase_identifier,
    STATE(16617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754682] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22314), 1,
      anon_sym_RPAREN,
    STATE(16618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754702] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20180), 1,
      anon_sym_RBRACE,
    ACTIONS(22316), 1,
      anon_sym_SEMI,
    STATE(16619), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754722] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22318), 1,
      anon_sym_RPAREN,
    STATE(16620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754742] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21687), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754762] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22320), 1,
      sym__lowercase_identifier,
    STATE(16622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754782] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22322), 1,
      anon_sym_RPAREN,
    STATE(16623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754802] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22324), 1,
      anon_sym_RPAREN,
    STATE(16624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754822] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20610), 1,
      anon_sym_RBRACE,
    ACTIONS(22326), 1,
      anon_sym_SEMI,
    STATE(16625), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754842] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22328), 1,
      anon_sym_SEMI,
    ACTIONS(22330), 1,
      anon_sym_RBRACE,
    STATE(16626), 1,
      sym_attribute,
    STATE(16630), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754862] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22332), 1,
      anon_sym_SEMI,
    ACTIONS(22334), 1,
      anon_sym_GT_RBRACE,
    STATE(16627), 1,
      sym_attribute,
    STATE(16635), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754882] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20354), 1,
      anon_sym_RBRACE,
    ACTIONS(22336), 1,
      anon_sym_SEMI,
    STATE(16628), 1,
      sym_attribute,
    STATE(16695), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754902] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3979), 1,
      anon_sym_RBRACK,
    ACTIONS(22338), 1,
      anon_sym_SEMI,
    STATE(16629), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754922] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20194), 1,
      anon_sym_RBRACE,
    ACTIONS(22340), 1,
      anon_sym_SEMI,
    STATE(16630), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754942] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22166), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754962] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19554), 1,
      anon_sym_RBRACE,
    ACTIONS(22342), 1,
      anon_sym_SEMI,
    STATE(16632), 1,
      sym_attribute,
    STATE(17350), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754982] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3981), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22344), 1,
      anon_sym_SEMI,
    STATE(16633), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755002] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16142), 1,
      anon_sym_in,
    ACTIONS(22346), 1,
      anon_sym_and,
    STATE(16634), 1,
      sym_attribute,
    STATE(17042), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755022] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22146), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22348), 1,
      anon_sym_SEMI,
    STATE(16635), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755042] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22350), 1,
      anon_sym_SEMI,
    ACTIONS(22352), 1,
      anon_sym_GT_RBRACE,
    STATE(16636), 1,
      sym_attribute,
    STATE(16728), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755062] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22354), 1,
      anon_sym_RPAREN,
    STATE(16637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755082] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20202), 1,
      anon_sym_RBRACE,
    ACTIONS(22356), 1,
      anon_sym_SEMI,
    STATE(16638), 1,
      sym_attribute,
    STATE(16642), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755102] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22358), 1,
      anon_sym_SEMI,
    ACTIONS(22360), 1,
      anon_sym_RBRACE,
    STATE(16639), 1,
      sym_attribute,
    STATE(17050), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755122] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22362), 1,
      sym__lowercase_identifier,
    STATE(16640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755142] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22364), 1,
      anon_sym_RPAREN,
    STATE(16641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755162] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20210), 1,
      anon_sym_RBRACE,
    ACTIONS(22366), 1,
      anon_sym_SEMI,
    STATE(16642), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755182] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(22368), 1,
      anon_sym_type,
    STATE(16643), 1,
      sym_attribute,
    STATE(17055), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755202] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22370), 1,
      anon_sym_EQ,
    STATE(16644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755222] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22372), 1,
      anon_sym_SEMI,
    ACTIONS(22374), 1,
      anon_sym_RBRACE,
    STATE(16645), 1,
      sym_attribute,
    STATE(16649), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755242] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22376), 1,
      anon_sym_SEMI,
    ACTIONS(22378), 1,
      anon_sym_GT_RBRACE,
    STATE(16646), 1,
      sym_attribute,
    STATE(16653), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22380), 3,
      anon_sym_mutable,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [755278] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4001), 1,
      anon_sym_RBRACK,
    ACTIONS(22382), 1,
      anon_sym_SEMI,
    STATE(16648), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755298] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20230), 1,
      anon_sym_RBRACE,
    ACTIONS(22384), 1,
      anon_sym_SEMI,
    STATE(16649), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755318] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4023), 1,
      anon_sym_RBRACK,
    ACTIONS(22386), 1,
      anon_sym_SEMI,
    STATE(16650), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755338] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4003), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22388), 1,
      anon_sym_SEMI,
    STATE(16651), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755358] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22390), 1,
      anon_sym_SEMI,
    ACTIONS(22392), 1,
      anon_sym_RBRACE,
    STATE(16652), 1,
      sym_attribute,
    STATE(16680), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755378] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21208), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22394), 1,
      anon_sym_SEMI,
    STATE(16653), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755398] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22396), 1,
      anon_sym_SEMI,
    ACTIONS(22398), 1,
      anon_sym_RBRACE,
    STATE(16654), 1,
      sym_attribute,
    STATE(16670), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755418] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22400), 1,
      anon_sym_RPAREN,
    STATE(16655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755438] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20238), 1,
      anon_sym_RBRACE,
    ACTIONS(22402), 1,
      anon_sym_SEMI,
    STATE(16656), 1,
      sym_attribute,
    STATE(16663), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755458] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20356), 1,
      anon_sym_RBRACE,
    ACTIONS(22404), 1,
      anon_sym_SEMI,
    STATE(16657), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755478] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22406), 1,
      anon_sym_SEMI,
    ACTIONS(22408), 1,
      anon_sym_RBRACE,
    STATE(16658), 1,
      sym_attribute,
    STATE(17296), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755498] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21432), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755518] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16193), 1,
      anon_sym_in,
    ACTIONS(22346), 1,
      anon_sym_and,
    STATE(16660), 1,
      sym_attribute,
    STATE(17042), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755538] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22410), 1,
      sym__lowercase_identifier,
    STATE(16661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755558] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22412), 1,
      anon_sym_RPAREN,
    STATE(16662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755578] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20242), 1,
      anon_sym_RBRACE,
    ACTIONS(22414), 1,
      anon_sym_SEMI,
    STATE(16663), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755598] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22416), 1,
      anon_sym_SEMI,
    ACTIONS(22418), 1,
      anon_sym_GT_RBRACE,
    STATE(16664), 1,
      sym_attribute,
    STATE(16698), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755618] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22420), 1,
      anon_sym_SEMI,
    ACTIONS(22422), 1,
      anon_sym_GT_RBRACE,
    STATE(16665), 1,
      sym_attribute,
    STATE(16687), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755638] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22424), 1,
      sym__lowercase_identifier,
    STATE(16666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755658] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22426), 1,
      anon_sym_SEMI,
    ACTIONS(22428), 1,
      anon_sym_RBRACE,
    STATE(16667), 1,
      sym_attribute,
    STATE(16674), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755678] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4065), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22430), 1,
      anon_sym_SEMI,
    STATE(16668), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755698] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4413), 1,
      anon_sym_RBRACK,
    ACTIONS(22432), 1,
      anon_sym_SEMI,
    STATE(16669), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755718] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20250), 1,
      anon_sym_RBRACE,
    ACTIONS(22434), 1,
      anon_sym_SEMI,
    STATE(16670), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755738] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22436), 1,
      anon_sym_SEMI,
    ACTIONS(22438), 1,
      anon_sym_GT_RBRACE,
    STATE(16671), 1,
      sym_attribute,
    STATE(16678), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755758] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9846), 1,
      anon_sym_RBRACK,
    ACTIONS(22440), 1,
      anon_sym_SEMI,
    STATE(16672), 1,
      sym_attribute,
    STATE(17329), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755778] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4027), 1,
      anon_sym_RBRACK,
    ACTIONS(22442), 1,
      anon_sym_SEMI,
    STATE(16673), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755798] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20256), 1,
      anon_sym_RBRACE,
    ACTIONS(22444), 1,
      anon_sym_SEMI,
    STATE(16674), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755818] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4029), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22446), 1,
      anon_sym_SEMI,
    STATE(16675), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755838] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4435), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22448), 1,
      anon_sym_SEMI,
    STATE(16676), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755858] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4381), 1,
      anon_sym_RBRACK,
    ACTIONS(22450), 1,
      anon_sym_SEMI,
    STATE(16677), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755878] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21264), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22452), 1,
      anon_sym_SEMI,
    STATE(16678), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755898] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22454), 1,
      anon_sym_RPAREN,
    STATE(16679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755918] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20624), 1,
      anon_sym_RBRACE,
    ACTIONS(22456), 1,
      anon_sym_SEMI,
    STATE(16680), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755938] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22458), 1,
      anon_sym_RPAREN,
    STATE(16681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755958] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20260), 1,
      anon_sym_RBRACE,
    ACTIONS(22460), 1,
      anon_sym_SEMI,
    STATE(16682), 1,
      sym_attribute,
    STATE(16686), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755978] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22462), 1,
      sym__lowercase_identifier,
    STATE(16683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755998] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22464), 1,
      anon_sym_RPAREN,
    STATE(16684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756018] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4455), 1,
      anon_sym_RBRACK,
    ACTIONS(22466), 1,
      anon_sym_SEMI,
    STATE(16685), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756038] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20264), 1,
      anon_sym_RBRACE,
    ACTIONS(22468), 1,
      anon_sym_SEMI,
    STATE(16686), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756058] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21278), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22470), 1,
      anon_sym_SEMI,
    STATE(16687), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756078] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4385), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22472), 1,
      anon_sym_SEMI,
    STATE(16688), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756098] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22474), 1,
      anon_sym_RPAREN,
    STATE(16689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756118] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22476), 1,
      sym__lowercase_identifier,
    STATE(16690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756138] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20272), 1,
      anon_sym_RBRACE,
    ACTIONS(22478), 1,
      anon_sym_SEMI,
    STATE(16691), 1,
      sym_attribute,
    STATE(16701), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756158] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22480), 1,
      anon_sym_RPAREN,
    STATE(16692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756178] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11204), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(16693), 1,
      sym_attribute,
    STATE(16704), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756198] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22482), 1,
      sym__lowercase_identifier,
    STATE(16694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756218] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20400), 1,
      anon_sym_RBRACE,
    ACTIONS(22484), 1,
      anon_sym_SEMI,
    STATE(16695), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756238] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19246), 1,
      anon_sym_SEMI,
    ACTIONS(19248), 1,
      anon_sym_GT,
    STATE(16696), 1,
      sym_attribute,
    STATE(16707), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756258] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22486), 1,
      anon_sym_RPAREN,
    ACTIONS(22488), 1,
      anon_sym_COLON2,
    STATE(16697), 1,
      sym_attribute,
    STATE(21062), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756278] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21507), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22490), 1,
      anon_sym_SEMI,
    STATE(16698), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756298] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22492), 1,
      sym__lowercase_identifier,
    STATE(16699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756318] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22494), 1,
      anon_sym_RPAREN,
    STATE(16700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756338] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20274), 1,
      anon_sym_RBRACE,
    ACTIONS(22496), 1,
      anon_sym_SEMI,
    STATE(16701), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756358] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22498), 1,
      anon_sym_RPAREN,
    STATE(16702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756378] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21351), 1,
      anon_sym_RBRACK,
    STATE(16703), 1,
      sym_attribute,
    STATE(16710), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756398] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21351), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756418] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20108), 1,
      anon_sym_RBRACE,
    ACTIONS(22500), 1,
      anon_sym_SEMI,
    STATE(16705), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756438] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4037), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22502), 1,
      anon_sym_SEMI,
    STATE(16706), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756458] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12986), 1,
      anon_sym_GT,
    ACTIONS(22504), 1,
      anon_sym_SEMI,
    STATE(16707), 1,
      sym_attribute,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756478] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22508), 1,
      anon_sym_RBRACK,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(16708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756498] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22510), 1,
      anon_sym_RPAREN,
    STATE(16709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756518] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21386), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756538] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22512), 1,
      anon_sym_RPAREN,
    STATE(16711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756558] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21386), 1,
      anon_sym_RBRACK,
    STATE(16712), 1,
      sym_attribute,
    STATE(16715), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756578] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20240), 1,
      anon_sym_RBRACE,
    ACTIONS(22514), 1,
      anon_sym_SEMI,
    STATE(16713), 1,
      sym_attribute,
    STATE(16722), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756598] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22516), 1,
      anon_sym_RPAREN,
    STATE(16714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756618] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21396), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756638] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22518), 1,
      anon_sym_SEMI,
    ACTIONS(22520), 1,
      anon_sym_RBRACE,
    STATE(16716), 1,
      sym_attribute,
    STATE(16736), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756658] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22522), 1,
      anon_sym_RBRACK,
    STATE(16717), 1,
      sym_attribute,
    STATE(17942), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756678] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6), 1,
      sym_attribute_id,
    STATE(16718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [756696] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21430), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22526), 1,
      anon_sym_SEMI,
    STATE(16719), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756716] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22528), 1,
      sym__lowercase_identifier,
    STATE(16720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756736] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22530), 1,
      anon_sym_RPAREN,
    STATE(16721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756756] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20294), 1,
      anon_sym_RBRACE,
    ACTIONS(22532), 1,
      anon_sym_SEMI,
    STATE(16722), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756776] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16225), 1,
      aux_sym_module_binding_repeat1,
    STATE(16723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756796] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22534), 1,
      anon_sym_SEMI,
    ACTIONS(22536), 1,
      anon_sym_GT_RBRACE,
    STATE(16724), 1,
      sym_attribute,
    STATE(16798), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756816] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22538), 1,
      aux_sym_quoted_extension_token1,
    STATE(16725), 1,
      sym_attribute,
    STATE(21681), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756836] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7), 1,
      sym_attribute_id,
    STATE(16726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [756854] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12319), 1,
      sym_attribute_id,
    STATE(16727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22540), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [756872] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21583), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22542), 1,
      anon_sym_SEMI,
    STATE(16728), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756892] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22544), 1,
      anon_sym_RBRACK,
    STATE(16729), 1,
      sym_attribute,
    STATE(16738), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756912] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22546), 1,
      anon_sym_EQ,
    STATE(16730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756932] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22548), 1,
      anon_sym_EQ,
    STATE(16731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756952] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4599), 1,
      anon_sym_RBRACK,
    ACTIONS(22550), 1,
      anon_sym_SEMI,
    STATE(16732), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756972] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22552), 1,
      anon_sym_SEMI,
    ACTIONS(22554), 1,
      anon_sym_RBRACE,
    STATE(16733), 1,
      sym_attribute,
    STATE(16748), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756992] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21157), 1,
      sym__lowercase_identifier,
    ACTIONS(21161), 1,
      anon_sym_mutable,
    STATE(16734), 1,
      sym_attribute,
    STATE(17236), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757012] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22556), 1,
      anon_sym_EQ,
    STATE(16735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757032] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20322), 1,
      anon_sym_RBRACE,
    ACTIONS(22558), 1,
      anon_sym_SEMI,
    STATE(16736), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757052] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(22560), 1,
      anon_sym_RPAREN,
    STATE(16737), 1,
      sym_attribute,
    STATE(21947), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757072] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22562), 1,
      anon_sym_RBRACK,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(16738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757092] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22562), 1,
      anon_sym_RBRACK,
    STATE(16739), 1,
      sym_attribute,
    STATE(16747), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757112] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22564), 1,
      anon_sym_SEMI,
    ACTIONS(22566), 1,
      anon_sym_GT_RBRACE,
    STATE(16740), 1,
      sym_attribute,
    STATE(16761), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757132] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21479), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757152] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22568), 1,
      anon_sym_RPAREN,
    STATE(16742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757172] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21479), 1,
      anon_sym_RBRACK,
    STATE(16659), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757192] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20228), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22570), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16744), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [757210] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22573), 1,
      anon_sym_EQ,
    STATE(16745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757230] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4159), 1,
      anon_sym_RBRACK,
    ACTIONS(22575), 1,
      anon_sym_SEMI,
    STATE(16746), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22577), 1,
      anon_sym_RBRACK,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(16747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757270] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_RBRACE,
    ACTIONS(22579), 1,
      anon_sym_SEMI,
    STATE(16748), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757290] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(22581), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757310] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15929), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16750), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757330] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(22583), 1,
      anon_sym_RBRACK,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757350] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20332), 1,
      anon_sym_RBRACE,
    ACTIONS(22585), 1,
      anon_sym_SEMI,
    STATE(16752), 1,
      sym_attribute,
    STATE(16856), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757370] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20236), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22587), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16753), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [757388] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22590), 1,
      anon_sym_EQ,
    STATE(16754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757408] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4169), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22592), 1,
      anon_sym_SEMI,
    STATE(16755), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757428] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(22594), 1,
      anon_sym_type,
    STATE(16756), 1,
      sym_attribute,
    STATE(17300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757448] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15940), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16757), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757468] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22596), 1,
      anon_sym_RPAREN,
    STATE(16758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757488] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11935), 1,
      sym__type_equation,
    STATE(16759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22598), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [757506] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22600), 1,
      anon_sym_SEMI,
    ACTIONS(22602), 1,
      anon_sym_RBRACE,
    STATE(16760), 1,
      sym_attribute,
    STATE(16795), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757526] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21585), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22604), 1,
      anon_sym_SEMI,
    STATE(16761), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757546] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15944), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16762), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757566] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11936), 1,
      sym__type_equation,
    STATE(16763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22598), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [757584] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16124), 1,
      aux_sym_module_binding_repeat1,
    STATE(16764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757604] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22606), 1,
      anon_sym_SEMI,
    ACTIONS(22608), 1,
      anon_sym_RBRACE,
    STATE(16765), 1,
      sym_attribute,
    STATE(16825), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757624] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22610), 1,
      anon_sym_RPAREN,
    STATE(16766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757644] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20346), 1,
      anon_sym_RBRACE,
    ACTIONS(22612), 1,
      anon_sym_SEMI,
    STATE(16767), 1,
      sym_attribute,
    STATE(16777), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757664] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22614), 1,
      anon_sym_RPAREN,
    STATE(16768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757684] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11096), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(16769), 1,
      sym_attribute,
    STATE(16782), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757704] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22616), 1,
      anon_sym_SEMI,
    ACTIONS(22618), 1,
      anon_sym_GT_RBRACE,
    STATE(16770), 1,
      sym_attribute,
    STATE(16805), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757724] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19254), 1,
      anon_sym_SEMI,
    ACTIONS(19256), 1,
      anon_sym_GT,
    STATE(16771), 1,
      sym_attribute,
    STATE(16784), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757744] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(22620), 1,
      anon_sym_RBRACK,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757764] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21575), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757784] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22622), 1,
      anon_sym_RPAREN,
    STATE(16774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757804] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22624), 1,
      sym__lowercase_identifier,
    STATE(16775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757824] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22626), 1,
      anon_sym_RPAREN,
    STATE(16776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757844] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20348), 1,
      anon_sym_RBRACE,
    ACTIONS(22628), 1,
      anon_sym_SEMI,
    STATE(16777), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757864] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22630), 1,
      anon_sym_SEMI,
    ACTIONS(22632), 1,
      anon_sym_RBRACE,
    STATE(16778), 1,
      sym_attribute,
    STATE(16937), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757884] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4601), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22634), 1,
      anon_sym_SEMI,
    STATE(16779), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757904] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22636), 1,
      anon_sym_RPAREN,
    STATE(16780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757924] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21617), 1,
      anon_sym_RBRACK,
    STATE(16781), 1,
      sym_attribute,
    STATE(16788), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757944] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21617), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757964] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11102), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(16783), 1,
      sym_attribute,
    STATE(16878), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757984] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13002), 1,
      anon_sym_GT,
    ACTIONS(22638), 1,
      anon_sym_SEMI,
    STATE(16784), 1,
      sym_attribute,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758004] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_DOT,
    ACTIONS(22640), 1,
      anon_sym_RPAREN,
    STATE(16785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758024] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22642), 1,
      anon_sym_RPAREN,
    STATE(16786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758044] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21575), 1,
      anon_sym_RBRACK,
    STATE(16787), 1,
      sym_attribute,
    STATE(16864), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758064] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21623), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758084] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21623), 1,
      anon_sym_RBRACK,
    STATE(16789), 1,
      sym_attribute,
    STATE(16792), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758104] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22644), 1,
      anon_sym_RPAREN,
    STATE(16790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758124] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(22646), 1,
      anon_sym_RPAREN,
    STATE(16791), 1,
      sym_attribute,
    STATE(19843), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758144] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21634), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758164] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20468), 1,
      anon_sym_RBRACE,
    ACTIONS(22648), 1,
      anon_sym_SEMI,
    STATE(16793), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758184] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4409), 1,
      anon_sym_RBRACK,
    ACTIONS(22650), 1,
      anon_sym_SEMI,
    STATE(16794), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758204] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20370), 1,
      anon_sym_RBRACE,
    ACTIONS(22652), 1,
      anon_sym_SEMI,
    STATE(16795), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758224] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19196), 1,
      anon_sym_SEMI,
    ACTIONS(19198), 1,
      anon_sym_GT,
    STATE(16796), 1,
      sym_attribute,
    STATE(16881), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758244] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4411), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22654), 1,
      anon_sym_SEMI,
    STATE(16797), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758264] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21644), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22656), 1,
      anon_sym_SEMI,
    STATE(16798), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758284] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22658), 1,
      sym__lowercase_identifier,
    ACTIONS(22660), 1,
      anon_sym_LPAREN,
    STATE(9068), 1,
      sym__simple_value_pattern,
    STATE(16799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758304] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(22662), 1,
      anon_sym_RPAREN,
    STATE(16800), 1,
      sym_attribute,
    STATE(22112), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758324] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22664), 1,
      anon_sym_RPAREN,
    STATE(16801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758344] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9774), 1,
      anon_sym_RBRACK,
    ACTIONS(22666), 1,
      anon_sym_SEMI,
    STATE(16802), 1,
      sym_attribute,
    STATE(17329), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758364] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22668), 1,
      anon_sym_RPAREN,
    STATE(16803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758384] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20368), 1,
      anon_sym_RBRACE,
    ACTIONS(22670), 1,
      anon_sym_SEMI,
    STATE(16804), 1,
      sym_attribute,
    STATE(16869), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758404] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21843), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22672), 1,
      anon_sym_SEMI,
    STATE(16805), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758424] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19576), 1,
      anon_sym_RBRACE,
    ACTIONS(22674), 1,
      anon_sym_SEMI,
    STATE(16806), 1,
      sym_attribute,
    STATE(17350), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22676), 3,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__lowercase_identifier,
  [758460] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22678), 1,
      anon_sym_RPAREN,
    STATE(16808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758480] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(22680), 1,
      anon_sym_RBRACK,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758500] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11178), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(16810), 1,
      sym_attribute,
    STATE(16888), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758520] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20392), 1,
      anon_sym_RBRACE,
    ACTIONS(22682), 1,
      anon_sym_SEMI,
    STATE(16811), 1,
      sym_attribute,
    STATE(16832), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758540] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14742), 1,
      sym_attribute_id,
    STATE(16812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22684), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [758558] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19262), 1,
      anon_sym_SEMI,
    ACTIONS(19264), 1,
      anon_sym_GT,
    STATE(16813), 1,
      sym_attribute,
    STATE(16893), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758578] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22686), 1,
      anon_sym_SEMI,
    ACTIONS(22688), 1,
      anon_sym_RBRACE,
    STATE(16814), 1,
      sym_attribute,
    STATE(16829), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758598] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9288), 1,
      anon_sym_RBRACK,
    ACTIONS(22690), 1,
      anon_sym_SEMI,
    STATE(16815), 1,
      sym_attribute,
    STATE(16977), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758618] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_RBRACK,
    ACTIONS(22692), 1,
      anon_sym_SEMI,
    STATE(16816), 1,
      sym_attribute,
    STATE(16977), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758638] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22694), 1,
      anon_sym_SEMI,
    ACTIONS(22696), 1,
      anon_sym_GT_RBRACE,
    STATE(16817), 1,
      sym_attribute,
    STATE(16836), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758658] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22698), 1,
      anon_sym_RPAREN,
    STATE(16818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758678] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22700), 1,
      sym__lowercase_identifier,
    STATE(16819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758698] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21771), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758718] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21771), 1,
      anon_sym_RBRACK,
    STATE(16821), 1,
      sym_attribute,
    STATE(17166), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758738] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12066), 1,
      sym_attribute_id,
    STATE(16822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22702), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [758756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21763), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [758772] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22704), 1,
      sym__lowercase_identifier,
    STATE(16824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758792] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_RBRACE,
    ACTIONS(22706), 1,
      anon_sym_SEMI,
    STATE(16825), 1,
      sym_attribute,
    STATE(17006), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758812] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22708), 1,
      anon_sym_SEMI,
    ACTIONS(22710), 1,
      anon_sym_GT_RBRACE,
    STATE(16826), 1,
      sym_attribute,
    STATE(17052), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758832] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9446), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22712), 1,
      anon_sym_SEMI,
    STATE(16753), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758852] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4563), 1,
      anon_sym_RBRACK,
    ACTIONS(22714), 1,
      anon_sym_SEMI,
    STATE(16828), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758872] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20386), 1,
      anon_sym_RBRACE,
    ACTIONS(22716), 1,
      anon_sym_SEMI,
    STATE(16829), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758892] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16329), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16830), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758912] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22718), 1,
      anon_sym_RPAREN,
    STATE(16831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758932] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20414), 1,
      anon_sym_RBRACE,
    ACTIONS(22720), 1,
      anon_sym_SEMI,
    STATE(16832), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758952] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4589), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22722), 1,
      anon_sym_SEMI,
    STATE(16833), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758972] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19596), 1,
      anon_sym_GT,
    ACTIONS(22724), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16834), 2,
      sym_attribute,
      aux_sym_object_type_repeat1,
  [758990] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22727), 1,
      anon_sym_RPAREN,
    STATE(16835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759010] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21799), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22729), 1,
      anon_sym_SEMI,
    STATE(16836), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759030] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19600), 1,
      anon_sym_RBRACE,
    ACTIONS(22731), 1,
      anon_sym_SEMI,
    STATE(16837), 1,
      sym_attribute,
    STATE(17006), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759050] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22733), 1,
      anon_sym_RPAREN,
    STATE(16838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759070] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20398), 1,
      anon_sym_RBRACE,
    ACTIONS(22735), 1,
      anon_sym_SEMI,
    STATE(16839), 1,
      sym_attribute,
    STATE(16847), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759090] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22737), 1,
      sym__lowercase_identifier,
    STATE(16840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759110] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11160), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(16841), 1,
      sym_attribute,
    STATE(16851), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759130] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(22739), 1,
      anon_sym_RPAREN,
    STATE(16842), 1,
      sym_attribute,
    STATE(19496), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759150] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19266), 1,
      anon_sym_SEMI,
    ACTIONS(19268), 1,
      anon_sym_GT,
    STATE(16843), 1,
      sym_attribute,
    STATE(16854), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759170] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22741), 1,
      anon_sym_EQ,
    STATE(16844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22743), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [759188] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22745), 1,
      sym__lowercase_identifier,
    STATE(16845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759208] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22747), 1,
      anon_sym_RPAREN,
    STATE(16846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759228] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20404), 1,
      anon_sym_RBRACE,
    ACTIONS(22749), 1,
      anon_sym_SEMI,
    STATE(16847), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759248] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(22751), 1,
      anon_sym_RPAREN,
    STATE(16848), 1,
      sym_attribute,
    STATE(19518), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759268] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22753), 1,
      anon_sym_RPAREN,
    STATE(16849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759288] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21829), 1,
      anon_sym_RBRACK,
    STATE(16850), 1,
      sym_attribute,
    STATE(16859), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759308] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21829), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22755), 3,
      anon_sym_private,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [759344] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22757), 1,
      anon_sym_RPAREN,
    STATE(16853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759364] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13020), 1,
      anon_sym_GT,
    ACTIONS(22759), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(16854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759384] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8), 1,
      sym_attribute_id,
    STATE(16855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759402] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20491), 1,
      anon_sym_RBRACE,
    ACTIONS(22761), 1,
      anon_sym_SEMI,
    STATE(16856), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759422] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22763), 1,
      anon_sym_RPAREN,
    STATE(16857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759442] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22765), 1,
      anon_sym_RPAREN,
    STATE(16858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759462] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21863), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759482] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22767), 1,
      anon_sym_SEMI,
    ACTIONS(22769), 1,
      anon_sym_RBRACE,
    STATE(16860), 1,
      sym_attribute,
    STATE(17278), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759502] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21863), 1,
      anon_sym_RBRACK,
    STATE(16861), 1,
      sym_attribute,
    STATE(16867), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759522] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22771), 1,
      aux_sym_quoted_extension_token1,
    STATE(16862), 1,
      sym_attribute,
    STATE(20623), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759542] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9), 1,
      sym_attribute_id,
    STATE(16863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759560] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21903), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759580] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22773), 1,
      anon_sym_RPAREN,
    STATE(16865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759600] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9776), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22775), 1,
      anon_sym_SEMI,
    STATE(16744), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759620] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21883), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759640] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22777), 1,
      anon_sym_RBRACK,
    STATE(16868), 1,
      sym_attribute,
    STATE(16876), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759660] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20426), 1,
      anon_sym_RBRACE,
    ACTIONS(22779), 1,
      anon_sym_SEMI,
    STATE(16869), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759680] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22781), 1,
      anon_sym_EQ,
    STATE(16870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759700] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9360), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22783), 1,
      anon_sym_SEMI,
    STATE(16753), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759720] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22785), 1,
      anon_sym_RPAREN,
    STATE(16872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759740] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22787), 1,
      anon_sym_EQ,
    STATE(16873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759760] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22214), 1,
      anon_sym_RBRACK,
    STATE(16874), 1,
      sym_attribute,
    STATE(16922), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759780] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22789), 1,
      anon_sym_SEMI,
    ACTIONS(22791), 1,
      anon_sym_RBRACE,
    STATE(16875), 1,
      sym_attribute,
    STATE(16899), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759800] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22793), 1,
      anon_sym_RBRACK,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(16876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759820] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22793), 1,
      anon_sym_RBRACK,
    STATE(16877), 1,
      sym_attribute,
    STATE(16885), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759840] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22214), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759860] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22795), 1,
      anon_sym_SEMI,
    ACTIONS(22797), 1,
      anon_sym_RBRACE,
    STATE(16879), 1,
      sym_attribute,
    STATE(16973), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759880] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4463), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22799), 1,
      anon_sym_SEMI,
    STATE(16880), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759900] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12944), 1,
      anon_sym_GT,
    ACTIONS(22801), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(16881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759920] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22803), 1,
      anon_sym_SEMI,
    ACTIONS(22805), 1,
      anon_sym_GT_RBRACE,
    STATE(16882), 1,
      sym_attribute,
    STATE(16907), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759940] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22807), 1,
      anon_sym_EQ,
    STATE(16883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759960] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22809), 1,
      anon_sym_SEMI,
    ACTIONS(22811), 1,
      anon_sym_RBRACE,
    STATE(16884), 1,
      sym_attribute,
    STATE(17077), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759980] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22813), 1,
      anon_sym_RBRACK,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(16885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760000] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22815), 1,
      anon_sym_RPAREN,
    STATE(16886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760020] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21954), 1,
      anon_sym_RBRACK,
    STATE(16887), 1,
      sym_attribute,
    STATE(16905), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760040] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21954), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760060] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(22817), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760080] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16305), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16890), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760100] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(22819), 1,
      anon_sym_RBRACK,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760120] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22821), 1,
      anon_sym_EQ,
    STATE(16892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760140] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12885), 1,
      anon_sym_GT,
    ACTIONS(22823), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(16893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760160] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16328), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16894), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760180] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14900), 1,
      sym__type_equation,
    STATE(16895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22825), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [760198] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16345), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16896), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760218] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14901), 1,
      sym__type_equation,
    STATE(16897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22825), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [760236] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4437), 1,
      anon_sym_RBRACK,
    ACTIONS(22827), 1,
      anon_sym_SEMI,
    STATE(16898), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760256] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20092), 1,
      anon_sym_RBRACE,
    ACTIONS(22829), 1,
      anon_sym_SEMI,
    STATE(16899), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760276] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22831), 1,
      anon_sym_LPAREN,
    ACTIONS(22833), 1,
      anon_sym_LBRACK,
    ACTIONS(22835), 1,
      anon_sym_LBRACE,
    STATE(16900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760296] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4439), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22837), 1,
      anon_sym_SEMI,
    STATE(16901), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760316] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22839), 1,
      anon_sym_SEMI,
    ACTIONS(22841), 1,
      anon_sym_RBRACE,
    STATE(16902), 1,
      sym_attribute,
    STATE(16909), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760336] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22843), 1,
      anon_sym_RPAREN,
    STATE(16903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760356] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22845), 1,
      anon_sym_SEMI,
    ACTIONS(22847), 1,
      anon_sym_GT_RBRACE,
    STATE(16904), 1,
      sym_attribute,
    STATE(16912), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760376] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22048), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760396] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22048), 1,
      anon_sym_RBRACK,
    STATE(16906), 1,
      sym_attribute,
    STATE(16915), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760416] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22008), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22849), 1,
      anon_sym_SEMI,
    STATE(16907), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760436] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4043), 1,
      anon_sym_RBRACK,
    ACTIONS(22851), 1,
      anon_sym_SEMI,
    STATE(16908), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760456] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20470), 1,
      anon_sym_RBRACE,
    ACTIONS(22853), 1,
      anon_sym_SEMI,
    STATE(16909), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760476] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22855), 1,
      anon_sym_RPAREN,
    STATE(16910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760496] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4055), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22857), 1,
      anon_sym_SEMI,
    STATE(16911), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760516] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22070), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22859), 1,
      anon_sym_SEMI,
    STATE(16912), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760536] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22861), 1,
      anon_sym_EQ,
    STATE(16913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22863), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [760554] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22865), 1,
      anon_sym_RPAREN,
    STATE(16914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760574] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22092), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760594] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10), 1,
      sym_attribute_id,
    STATE(16916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760612] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22867), 1,
      anon_sym_RPAREN,
    STATE(16917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760632] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22869), 1,
      anon_sym_RPAREN,
    STATE(16918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760652] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20480), 1,
      anon_sym_RBRACE,
    ACTIONS(22871), 1,
      anon_sym_SEMI,
    STATE(16919), 1,
      sym_attribute,
    STATE(16935), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760672] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20148), 1,
      anon_sym_RBRACE,
    ACTIONS(22873), 1,
      anon_sym_SEMI,
    STATE(16920), 1,
      sym_attribute,
    STATE(16939), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760692] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4297), 1,
      anon_sym_RBRACK,
    ACTIONS(22875), 1,
      anon_sym_SEMI,
    STATE(16921), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760712] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21222), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760732] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11186), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(16923), 1,
      sym_attribute,
    STATE(16944), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760752] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21222), 1,
      anon_sym_RBRACK,
    STATE(16924), 1,
      sym_attribute,
    STATE(16965), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760772] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22877), 1,
      anon_sym_SEMI,
    ACTIONS(22879), 1,
      anon_sym_GT_RBRACE,
    STATE(16925), 1,
      sym_attribute,
    STATE(17030), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760792] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22881), 1,
      aux_sym_quoted_extension_token1,
    STATE(16926), 1,
      sym_attribute,
    STATE(21872), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760812] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11), 1,
      sym_attribute_id,
    STATE(16927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760830] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19282), 1,
      anon_sym_SEMI,
    ACTIONS(19284), 1,
      anon_sym_GT,
    STATE(16928), 1,
      sym_attribute,
    STATE(16945), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760850] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22883), 1,
      anon_sym_RBRACK,
    STATE(16929), 1,
      sym_attribute,
    STATE(16940), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760870] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22885), 1,
      sym__lowercase_identifier,
    STATE(16930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760890] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22887), 1,
      sym__lowercase_identifier,
    STATE(16931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760910] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22889), 1,
      anon_sym_EQ,
    STATE(16932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760930] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22891), 1,
      anon_sym_RPAREN,
    STATE(16933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760950] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22893), 1,
      anon_sym_RPAREN,
    STATE(16934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760970] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20506), 1,
      anon_sym_RBRACE,
    ACTIONS(22895), 1,
      anon_sym_SEMI,
    STATE(16935), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760990] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22897), 1,
      anon_sym_EQ,
    STATE(16936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761010] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20495), 1,
      anon_sym_RBRACE,
    ACTIONS(22899), 1,
      anon_sym_SEMI,
    STATE(16937), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761030] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22901), 1,
      anon_sym_RPAREN,
    STATE(16938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761050] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20188), 1,
      anon_sym_RBRACE,
    ACTIONS(22903), 1,
      anon_sym_SEMI,
    STATE(16939), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761070] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22905), 1,
      anon_sym_RBRACK,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(16940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761090] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22905), 1,
      anon_sym_RBRACK,
    STATE(16941), 1,
      sym_attribute,
    STATE(16947), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761110] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22907), 1,
      anon_sym_RPAREN,
    STATE(16942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761130] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22198), 1,
      anon_sym_RBRACK,
    STATE(16943), 1,
      sym_attribute,
    STATE(16956), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761150] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22198), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761170] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13032), 1,
      anon_sym_GT,
    ACTIONS(22909), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(16945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761190] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22911), 1,
      anon_sym_EQ,
    STATE(16946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761210] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22913), 1,
      anon_sym_RBRACK,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(16947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761230] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(22915), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16519), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16949), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761270] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(22917), 1,
      anon_sym_RBRACK,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761290] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22919), 1,
      anon_sym_EQ,
    STATE(16951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761310] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17682), 1,
      anon_sym_RBRACK,
    ACTIONS(22921), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16952), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [761328] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(22924), 1,
      anon_sym_RPAREN,
    STATE(16953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761348] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16521), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16954), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761368] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11942), 1,
      sym__type_equation,
    STATE(16955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22926), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [761386] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22220), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761406] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22220), 1,
      anon_sym_RBRACK,
    STATE(16957), 1,
      sym_attribute,
    STATE(16962), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761426] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16081), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16958), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761446] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22928), 1,
      anon_sym_RPAREN,
    STATE(16959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761466] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11943), 1,
      sym__type_equation,
    STATE(16960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22926), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [761484] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22930), 1,
      anon_sym_RPAREN,
    STATE(16961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761504] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22228), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10113), 1,
      aux_sym_attribute_id_token1,
    STATE(16963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [761542] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13544), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [761558] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21090), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761578] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20558), 1,
      anon_sym_RBRACE,
    ACTIONS(22932), 1,
      anon_sym_SEMI,
    STATE(16966), 1,
      sym_attribute,
    STATE(17558), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761598] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20540), 1,
      anon_sym_RBRACE,
    ACTIONS(22934), 1,
      anon_sym_SEMI,
    STATE(16967), 1,
      sym_attribute,
    STATE(17729), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761618] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(22936), 1,
      anon_sym_RPAREN,
    STATE(16968), 1,
      sym_attribute,
    STATE(17056), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761638] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12060), 1,
      sym_attribute_id,
    STATE(16969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22938), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761656] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4281), 1,
      anon_sym_RBRACK,
    ACTIONS(22940), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(16970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761676] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(22942), 1,
      sym__lowercase_identifier,
    STATE(16971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761696] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22944), 1,
      anon_sym__,
    STATE(15704), 1,
      sym_type_variable,
    STATE(16972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761716] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20594), 1,
      anon_sym_RBRACE,
    ACTIONS(22946), 1,
      anon_sym_SEMI,
    STATE(16973), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761736] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21226), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22948), 1,
      anon_sym_SEMI,
    STATE(16974), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761756] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22950), 1,
      anon_sym_SEMI,
    ACTIONS(22952), 1,
      anon_sym_RBRACE,
    STATE(16975), 1,
      sym_attribute,
    STATE(16991), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761776] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22954), 1,
      anon_sym_SEMI,
    ACTIONS(22956), 1,
      anon_sym_RBRACE,
    STATE(16976), 1,
      sym_attribute,
    STATE(17316), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761796] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20236), 1,
      anon_sym_RBRACK,
    ACTIONS(22958), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16977), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [761814] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22961), 1,
      anon_sym_SEMI,
    ACTIONS(22963), 1,
      anon_sym_GT_RBRACE,
    STATE(16978), 1,
      sym_attribute,
    STATE(17011), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761834] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12), 1,
      sym_attribute_id,
    STATE(16979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761852] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22965), 1,
      anon_sym_SEMI,
    ACTIONS(22967), 1,
      anon_sym_RBRACE,
    STATE(16980), 1,
      sym_attribute,
    STATE(16994), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761872] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4299), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22969), 1,
      anon_sym_SEMI,
    STATE(16981), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761892] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22971), 1,
      aux_sym_quoted_extension_token1,
    STATE(16982), 1,
      sym_attribute,
    STATE(20875), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761912] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22973), 1,
      anon_sym_SEMI,
    ACTIONS(22975), 1,
      anon_sym_GT_RBRACE,
    STATE(16983), 1,
      sym_attribute,
    STATE(17007), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761932] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22977), 1,
      anon_sym_SEMI,
    ACTIONS(22980), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16984), 2,
      sym_attribute,
      aux_sym_record_expression_repeat1,
  [761950] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13566), 1,
      anon_sym_DQUOTE,
    STATE(11108), 1,
      aux_sym_external_repeat1,
    STATE(12371), 1,
      sym_string,
    STATE(16985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761970] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22982), 1,
      anon_sym_SEMI,
    ACTIONS(22985), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16986), 2,
      sym_attribute,
      aux_sym_record_declaration_repeat1,
  [761988] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22987), 1,
      anon_sym_EQ,
    STATE(16987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762008] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(22989), 1,
      anon_sym_EQ,
    STATE(16988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762028] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(22991), 1,
      anon_sym_RPAREN,
    STATE(16989), 1,
      sym_attribute,
    STATE(19735), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762048] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4465), 1,
      anon_sym_RBRACK,
    ACTIONS(22993), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(16990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762068] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20286), 1,
      anon_sym_RBRACE,
    ACTIONS(22995), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(16991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762088] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4395), 1,
      anon_sym_RBRACK,
    ACTIONS(22997), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(16992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762108] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4283), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22999), 1,
      anon_sym_SEMI,
    STATE(16993), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762128] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20580), 1,
      anon_sym_RBRACE,
    ACTIONS(23001), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(16994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762148] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23003), 1,
      anon_sym_EQ,
    STATE(16995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762168] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4467), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23005), 1,
      anon_sym_SEMI,
    STATE(16996), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762188] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23007), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762208] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16089), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16998), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762228] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23009), 1,
      anon_sym_RBRACK,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762248] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23011), 1,
      anon_sym_EQ,
    STATE(17000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762268] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16062), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17001), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11381), 1,
      sym__type_equation,
    STATE(17002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23013), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [762306] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16501), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17003), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762326] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4405), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23015), 1,
      anon_sym_SEMI,
    STATE(17004), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762346] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11382), 1,
      sym__type_equation,
    STATE(17005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23013), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [762364] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23017), 1,
      anon_sym_SEMI,
    ACTIONS(23020), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17006), 2,
      sym_attribute,
      aux_sym_record_pattern_repeat1,
  [762382] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22154), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23022), 1,
      anon_sym_SEMI,
    STATE(17007), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762402] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23024), 1,
      anon_sym_RPAREN,
    STATE(17008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762422] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20592), 1,
      anon_sym_RBRACE,
    ACTIONS(23026), 1,
      anon_sym_SEMI,
    STATE(17009), 1,
      sym_attribute,
    STATE(17017), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762442] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12942), 1,
      sym_module_binding,
    STATE(17010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19626), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [762460] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21511), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23028), 1,
      anon_sym_SEMI,
    STATE(17011), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762480] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11299), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17012), 1,
      sym_attribute,
    STATE(17020), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762500] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19302), 1,
      anon_sym_SEMI,
    ACTIONS(19304), 1,
      anon_sym_GT,
    STATE(17013), 1,
      sym_attribute,
    STATE(17023), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762520] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23030), 1,
      anon_sym_SEMI,
    ACTIONS(23032), 1,
      anon_sym_RBRACE,
    STATE(16837), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762540] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23034), 1,
      sym__lowercase_identifier,
    STATE(17015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762560] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23036), 1,
      anon_sym_RPAREN,
    STATE(17016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762580] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20598), 1,
      anon_sym_RBRACE,
    ACTIONS(23038), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762600] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23040), 1,
      anon_sym_RPAREN,
    STATE(17018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762620] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21128), 1,
      anon_sym_RBRACK,
    STATE(17019), 1,
      sym_attribute,
    STATE(17027), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762640] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21128), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762660] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23042), 1,
      anon_sym_RPAREN,
    STATE(17021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762680] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23044), 1,
      anon_sym_RPAREN,
    STATE(17022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762700] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13044), 1,
      anon_sym_GT,
    ACTIONS(23046), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762720] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13), 1,
      sym_attribute_id,
    STATE(17024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [762738] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20300), 1,
      anon_sym_RBRACE,
    ACTIONS(23048), 1,
      anon_sym_SEMI,
    STATE(17025), 1,
      sym_attribute,
    STATE(17039), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762758] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23050), 1,
      anon_sym_RPAREN,
    STATE(17026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762778] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21171), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762798] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21171), 1,
      anon_sym_RBRACK,
    STATE(17028), 1,
      sym_attribute,
    STATE(17033), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762818] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23052), 1,
      aux_sym_quoted_extension_token1,
    STATE(17029), 1,
      sym_attribute,
    STATE(20773), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762838] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21691), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23054), 1,
      anon_sym_SEMI,
    STATE(17030), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762858] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(23056), 1,
      anon_sym_RBRACK,
    STATE(17031), 1,
      sym_attribute,
    STATE(17073), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762878] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23058), 1,
      anon_sym_RPAREN,
    STATE(17032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762898] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21192), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762918] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23060), 1,
      anon_sym_EQ,
    STATE(17034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762938] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23062), 1,
      anon_sym_SEMI,
    ACTIONS(23064), 1,
      anon_sym_RBRACE,
    STATE(17035), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762958] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23066), 1,
      anon_sym_EQ,
    STATE(17036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762978] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23068), 1,
      sym__lowercase_identifier,
    STATE(17037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762998] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23070), 1,
      anon_sym_RPAREN,
    STATE(17038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763018] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20318), 1,
      anon_sym_RBRACE,
    ACTIONS(23072), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763038] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9804), 1,
      anon_sym_RBRACK,
    ACTIONS(23074), 1,
      anon_sym_SEMI,
    STATE(17040), 1,
      sym_attribute,
    STATE(17329), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763058] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23076), 1,
      anon_sym_EQ,
    STATE(17041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763078] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15834), 1,
      anon_sym_in,
    ACTIONS(23078), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17042), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
  [763096] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23081), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763116] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16255), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17044), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763136] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23083), 1,
      anon_sym_RBRACK,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763156] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23085), 1,
      anon_sym_EQ,
    STATE(17046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763176] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16297), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17047), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763196] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16314), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17048), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763216] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23087), 1,
      anon_sym_RPAREN,
    STATE(17049), 1,
      sym_attribute,
    STATE(21954), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763236] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19474), 1,
      anon_sym_RBRACE,
    ACTIONS(23089), 1,
      anon_sym_SEMI,
    STATE(17050), 1,
      sym_attribute,
    STATE(17350), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763256] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23091), 1,
      anon_sym_SEMI,
    ACTIONS(23093), 1,
      anon_sym_GT_RBRACE,
    STATE(17051), 1,
      sym_attribute,
    STATE(17119), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763276] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21246), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23095), 1,
      anon_sym_SEMI,
    STATE(17052), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763296] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9806), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23097), 1,
      anon_sym_SEMI,
    STATE(16744), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763316] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10958), 1,
      sym__type_equation,
    STATE(17054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23099), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [763334] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12347), 1,
      anon_sym_DOT,
    STATE(17055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23101), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [763352] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(23103), 1,
      anon_sym_RPAREN,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(17056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763372] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23105), 1,
      anon_sym_RPAREN,
    STATE(17057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763392] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23107), 1,
      anon_sym_SEMI,
    ACTIONS(23110), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17058), 2,
      sym_attribute,
      aux_sym_object_copy_expression_repeat1,
  [763410] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23112), 1,
      anon_sym_RPAREN,
    STATE(17059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763430] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20114), 1,
      anon_sym_RBRACE,
    ACTIONS(23114), 1,
      anon_sym_SEMI,
    STATE(17060), 1,
      sym_attribute,
    STATE(17138), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763450] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4547), 1,
      anon_sym_RBRACK,
    ACTIONS(23116), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763470] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20094), 1,
      anon_sym_RBRACE,
    ACTIONS(23118), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763490] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23120), 1,
      anon_sym_SEMI,
    ACTIONS(23122), 1,
      anon_sym_RBRACE,
    STATE(17063), 1,
      sym_attribute,
    STATE(17076), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763510] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16142), 1,
      anon_sym_in,
    ACTIONS(22346), 1,
      anon_sym_and,
    STATE(16660), 1,
      aux_sym_module_definition_repeat1,
    STATE(17064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763530] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23124), 1,
      anon_sym_RPAREN,
    STATE(17065), 1,
      sym_attribute,
    STATE(19758), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763550] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23126), 1,
      anon_sym_RPAREN,
    STATE(17066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763570] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23128), 1,
      anon_sym_RPAREN,
    STATE(17067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763590] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11349), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17068), 1,
      sym_attribute,
    STATE(17775), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763610] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14), 1,
      sym_attribute_id,
    STATE(17069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [763628] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23130), 1,
      sym__lowercase_identifier,
    ACTIONS(23132), 1,
      anon_sym_LPAREN,
    STATE(11455), 1,
      sym__simple_value_pattern,
    STATE(17070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763648] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23134), 1,
      anon_sym_SEMI,
    ACTIONS(23136), 1,
      anon_sym_GT_RBRACE,
    STATE(17071), 1,
      sym_attribute,
    STATE(17094), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763668] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9786), 1,
      anon_sym_RBRACK,
    ACTIONS(23138), 1,
      anon_sym_SEMI,
    STATE(17072), 1,
      sym_attribute,
    STATE(17329), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763688] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(23140), 1,
      anon_sym_RBRACK,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(17073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763708] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23142), 1,
      aux_sym_quoted_extension_token1,
    STATE(17074), 1,
      sym_attribute,
    STATE(20075), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763728] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4585), 1,
      anon_sym_RBRACK,
    ACTIONS(23144), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763748] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20104), 1,
      anon_sym_RBRACE,
    ACTIONS(23146), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763768] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19668), 1,
      anon_sym_RBRACE,
    ACTIONS(23148), 1,
      anon_sym_SEMI,
    STATE(17077), 1,
      sym_attribute,
    STATE(17350), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763788] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(23140), 1,
      anon_sym_RBRACK,
    STATE(17078), 1,
      sym_attribute,
    STATE(18104), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763808] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23150), 1,
      anon_sym_EQ,
    STATE(17079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763828] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9788), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23152), 1,
      anon_sym_SEMI,
    STATE(16744), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763848] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23154), 1,
      anon_sym_EQ,
    STATE(17081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763868] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23156), 1,
      anon_sym_RPAREN,
    STATE(17082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763888] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4587), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23158), 1,
      anon_sym_SEMI,
    STATE(17083), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763908] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4155), 1,
      anon_sym_RBRACK,
    ACTIONS(23160), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763928] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3945), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23162), 1,
      anon_sym_SEMI,
    STATE(17085), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763948] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22186), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23164), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763968] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23166), 1,
      anon_sym_EQ,
    STATE(17087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763988] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23168), 1,
      anon_sym_SEMI,
    ACTIONS(23170), 1,
      anon_sym_RBRACE,
    STATE(17088), 1,
      sym_attribute,
    STATE(17118), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764008] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23172), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764028] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15888), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17090), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764048] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23174), 1,
      anon_sym_EQ,
    STATE(17091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764068] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16012), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17092), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764088] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16118), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17093), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764108] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21471), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23176), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764128] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20344), 1,
      anon_sym_RBRACE,
    ACTIONS(23178), 1,
      anon_sym_SEMI,
    STATE(17095), 1,
      sym_attribute,
    STATE(17514), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764148] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20576), 1,
      anon_sym_RBRACE,
    ACTIONS(23180), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764168] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23182), 1,
      anon_sym_RPAREN,
    STATE(17097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764188] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20112), 1,
      anon_sym_RBRACE,
    ACTIONS(23184), 1,
      anon_sym_SEMI,
    STATE(17098), 1,
      sym_attribute,
    STATE(17117), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764208] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13218), 1,
      sym_attribute_id,
    STATE(17099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23186), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [764226] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15), 1,
      sym_attribute_id,
    STATE(17100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [764244] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11136), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17101), 1,
      sym_attribute,
    STATE(17122), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764264] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23188), 1,
      anon_sym_SEMI,
    ACTIONS(23190), 1,
      anon_sym_GT_RBRACE,
    STATE(17102), 1,
      sym_attribute,
    STATE(17132), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764284] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19312), 1,
      anon_sym_SEMI,
    ACTIONS(19314), 1,
      anon_sym_GT,
    STATE(17103), 1,
      sym_attribute,
    STATE(17123), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764304] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23192), 1,
      aux_sym_quoted_extension_token1,
    STATE(17104), 1,
      sym_attribute,
    STATE(21377), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764324] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23194), 1,
      anon_sym_SEMI,
    ACTIONS(23196), 1,
      anon_sym_RBRACE,
    STATE(17105), 1,
      sym_attribute,
    STATE(17148), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764344] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17106), 1,
      sym_attribute,
    STATE(17903), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20316), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [764362] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23198), 1,
      anon_sym_EQ,
    STATE(17107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764382] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23200), 1,
      sym__lowercase_identifier,
    STATE(17108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764402] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23202), 1,
      sym__lowercase_identifier,
    ACTIONS(23204), 1,
      anon_sym_LPAREN,
    STATE(8422), 1,
      sym__simple_value_pattern,
    STATE(17109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764422] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4493), 1,
      anon_sym_RBRACK,
    ACTIONS(23206), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764442] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23208), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764462] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16445), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17112), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764482] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23210), 1,
      anon_sym_RPAREN,
    STATE(17113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764502] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16474), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17114), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764522] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16510), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17115), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764542] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23212), 1,
      sym__lowercase_identifier,
    STATE(17116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764562] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20124), 1,
      anon_sym_RBRACE,
    ACTIONS(23214), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764582] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20364), 1,
      anon_sym_RBRACE,
    ACTIONS(23216), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764602] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21581), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23218), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764622] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23220), 1,
      anon_sym_RPAREN,
    STATE(17120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764642] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21587), 1,
      anon_sym_RBRACK,
    STATE(17121), 1,
      sym_attribute,
    STATE(17128), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764662] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21587), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764682] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13070), 1,
      anon_sym_GT,
    ACTIONS(23222), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764702] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23224), 1,
      anon_sym_SEMI,
    ACTIONS(23226), 1,
      anon_sym_GT_RBRACE,
    STATE(17124), 1,
      sym_attribute,
    STATE(17173), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764722] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4495), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23228), 1,
      anon_sym_SEMI,
    STATE(17125), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764742] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16), 1,
      sym_attribute_id,
    STATE(17126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [764760] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23230), 1,
      anon_sym_RPAREN,
    STATE(17127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764780] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21609), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764800] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21609), 1,
      anon_sym_RBRACK,
    STATE(17129), 1,
      sym_attribute,
    STATE(17134), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764820] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23232), 1,
      aux_sym_quoted_extension_token1,
    STATE(17130), 1,
      sym_attribute,
    STATE(21257), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764840] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23234), 1,
      anon_sym_RPAREN,
    STATE(17131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764860] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21240), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23236), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764880] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23238), 1,
      anon_sym_SEMI,
    ACTIONS(23240), 1,
      anon_sym_RBRACE,
    STATE(17133), 1,
      sym_attribute,
    STATE(17179), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764900] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21642), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764920] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23242), 1,
      anon_sym_RPAREN,
    STATE(17135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764940] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23244), 1,
      anon_sym_EQ,
    STATE(17136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764960] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23246), 1,
      anon_sym_RPAREN,
    STATE(17137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764980] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20142), 1,
      anon_sym_RBRACE,
    ACTIONS(23248), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765000] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20374), 1,
      anon_sym_RBRACE,
    ACTIONS(23250), 1,
      anon_sym_SEMI,
    STATE(17139), 1,
      sym_attribute,
    STATE(17162), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765020] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23252), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765040] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15946), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17141), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765060] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4341), 1,
      anon_sym_RBRACK,
    ACTIONS(23254), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765080] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15960), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17143), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765100] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15966), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17144), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765120] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23256), 1,
      anon_sym_RPAREN,
    STATE(17145), 1,
      sym_attribute,
    STATE(21790), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765140] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23258), 1,
      anon_sym_RPAREN,
    STATE(17146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765160] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23260), 1,
      anon_sym_RPAREN,
    STATE(17147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765180] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20138), 1,
      anon_sym_RBRACE,
    ACTIONS(23262), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765200] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19316), 1,
      anon_sym_SEMI,
    ACTIONS(19318), 1,
      anon_sym_GT,
    STATE(17149), 1,
      sym_attribute,
    STATE(17785), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765220] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22488), 1,
      anon_sym_COLON2,
    ACTIONS(23264), 1,
      anon_sym_RPAREN,
    STATE(17150), 1,
      sym_attribute,
    STATE(21457), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765240] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20140), 1,
      anon_sym_RBRACE,
    ACTIONS(23266), 1,
      anon_sym_SEMI,
    STATE(17151), 1,
      sym_attribute,
    STATE(17197), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765260] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23268), 1,
      anon_sym_RPAREN,
    STATE(17152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23270), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [765278] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      sym__lowercase_identifier,
    STATE(17153), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__instance_variable_name,
    STATE(19218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765298] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20144), 1,
      anon_sym_RBRACE,
    ACTIONS(23272), 1,
      anon_sym_SEMI,
    STATE(17154), 1,
      sym_attribute,
    STATE(17414), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765318] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23274), 1,
      sym__lowercase_identifier,
    STATE(17155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765338] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23276), 1,
      sym__lowercase_identifier,
    STATE(17156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765358] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17), 1,
      sym_attribute_id,
    STATE(17157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [765376] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11309), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17158), 1,
      sym_attribute,
    STATE(17226), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765396] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23278), 1,
      anon_sym_SEMI,
    ACTIONS(23280), 1,
      anon_sym_RBRACE,
    STATE(17159), 1,
      sym_attribute,
    STATE(17212), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765416] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23282), 1,
      anon_sym_RPAREN,
    STATE(17160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765436] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23284), 1,
      aux_sym_quoted_extension_token1,
    STATE(17161), 1,
      sym_attribute,
    STATE(20516), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765456] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20378), 1,
      anon_sym_RBRACE,
    ACTIONS(23286), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765476] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19408), 1,
      anon_sym_SEMI,
    ACTIONS(19410), 1,
      anon_sym_GT,
    STATE(17163), 1,
      sym_attribute,
    STATE(17262), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765496] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4345), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23288), 1,
      anon_sym_SEMI,
    STATE(17164), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765516] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23290), 1,
      anon_sym_EQ,
    STATE(17165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765536] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21881), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765556] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11397), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17167), 1,
      sym_attribute,
    STATE(17598), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765576] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23292), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765596] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16284), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17169), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765616] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16290), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17170), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765636] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16293), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17171), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765656] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16016), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17172), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765676] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21938), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23294), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765696] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23296), 1,
      anon_sym_SEMI,
    ACTIONS(23298), 1,
      anon_sym_RBRACE,
    STATE(17174), 1,
      sym_attribute,
    STATE(17189), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765716] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23300), 1,
      anon_sym_RPAREN,
    STATE(17175), 1,
      sym_attribute,
    STATE(22126), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765736] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18), 1,
      sym_attribute_id,
    STATE(17176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [765754] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23302), 1,
      anon_sym_SEMI,
    ACTIONS(23304), 1,
      anon_sym_GT_RBRACE,
    STATE(17177), 1,
      sym_attribute,
    STATE(17202), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765774] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9772), 1,
      anon_sym_RBRACK,
    ACTIONS(23306), 1,
      anon_sym_SEMI,
    STATE(17178), 1,
      sym_attribute,
    STATE(17329), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765794] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19722), 1,
      anon_sym_RBRACE,
    ACTIONS(23308), 1,
      anon_sym_SEMI,
    STATE(17179), 1,
      sym_attribute,
    STATE(17350), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765814] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23310), 1,
      sym__lowercase_identifier,
    STATE(17180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765834] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23312), 1,
      aux_sym_quoted_extension_token1,
    STATE(17181), 1,
      sym_attribute,
    STATE(22448), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765854] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9820), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23314), 1,
      anon_sym_SEMI,
    STATE(16744), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765874] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23316), 1,
      anon_sym_SEMI,
    ACTIONS(23318), 1,
      anon_sym_RBRACE,
    STATE(17183), 1,
      sym_attribute,
    STATE(17285), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765894] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23320), 1,
      anon_sym_RPAREN,
    STATE(17184), 1,
      sym_attribute,
    STATE(19346), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765914] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23322), 1,
      anon_sym_RPAREN,
    STATE(17185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765934] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3953), 1,
      anon_sym_RBRACK,
    ACTIONS(23324), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765954] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23326), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765974] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16185), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17188), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765994] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20170), 1,
      anon_sym_RBRACE,
    ACTIONS(23328), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766014] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16339), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17190), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766034] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16505), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766054] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23330), 1,
      anon_sym_RPAREN,
    STATE(17192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766074] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_DOT,
    ACTIONS(23332), 1,
      anon_sym_RPAREN,
    STATE(17193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766094] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20172), 1,
      anon_sym_RBRACE,
    ACTIONS(23334), 1,
      anon_sym_SEMI,
    STATE(17194), 1,
      sym_attribute,
    STATE(17239), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766114] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19204), 1,
      anon_sym_SEMI,
    ACTIONS(19206), 1,
      anon_sym_GT,
    STATE(17195), 1,
      sym_attribute,
    STATE(17726), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766134] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3955), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23336), 1,
      anon_sym_SEMI,
    STATE(17196), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766154] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20174), 1,
      anon_sym_RBRACE,
    ACTIONS(23338), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766174] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11375), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17198), 1,
      sym_attribute,
    STATE(17446), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766194] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23340), 1,
      anon_sym_SEMI,
    ACTIONS(23342), 1,
      anon_sym_RBRACE,
    STATE(17199), 1,
      sym_attribute,
    STATE(17222), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766214] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11262), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17200), 1,
      sym_attribute,
    STATE(17256), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766234] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19), 1,
      sym_attribute_id,
    STATE(17201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [766252] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22104), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23344), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766272] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19326), 1,
      anon_sym_SEMI,
    ACTIONS(19328), 1,
      anon_sym_GT,
    STATE(17203), 1,
      sym_attribute,
    STATE(17259), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766292] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23346), 1,
      aux_sym_quoted_extension_token1,
    STATE(17204), 1,
      sym_attribute,
    STATE(20645), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766312] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23348), 1,
      anon_sym_SEMI,
    ACTIONS(23350), 1,
      anon_sym_GT_RBRACE,
    STATE(17205), 1,
      sym_attribute,
    STATE(17238), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766332] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23352), 1,
      anon_sym_RPAREN,
    STATE(17206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766352] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22488), 1,
      anon_sym_COLON2,
    ACTIONS(23354), 1,
      anon_sym_RPAREN,
    STATE(17207), 1,
      sym_attribute,
    STATE(22421), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766372] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19330), 1,
      anon_sym_SEMI,
    ACTIONS(19332), 1,
      anon_sym_GT,
    STATE(17208), 1,
      sym_attribute,
    STATE(17461), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766392] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20182), 1,
      anon_sym_RBRACE,
    ACTIONS(23356), 1,
      anon_sym_SEMI,
    STATE(17209), 1,
      sym_attribute,
    STATE(17237), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766412] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9396), 1,
      anon_sym_RBRACK,
    ACTIONS(23358), 1,
      anon_sym_SEMI,
    STATE(16977), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766432] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23360), 1,
      anon_sym_SEMI,
    ACTIONS(23362), 1,
      anon_sym_GT_RBRACE,
    STATE(17211), 1,
      sym_attribute,
    STATE(17354), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766452] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19732), 1,
      anon_sym_RBRACE,
    ACTIONS(23364), 1,
      anon_sym_SEMI,
    STATE(17006), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766472] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9418), 1,
      anon_sym_RBRACK,
    ACTIONS(23366), 1,
      anon_sym_SEMI,
    STATE(16977), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766492] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23368), 1,
      anon_sym_SEMI,
    STATE(16753), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766512] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23370), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766532] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4523), 1,
      anon_sym_RBRACK,
    ACTIONS(23372), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766552] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15981), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17217), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766572] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15884), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17218), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766592] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15974), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17219), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766612] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22488), 1,
      anon_sym_COLON2,
    ACTIONS(23374), 1,
      anon_sym_RPAREN,
    STATE(17220), 1,
      sym_attribute,
    STATE(20115), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766632] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11373), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17221), 1,
      sym_attribute,
    STATE(17244), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766652] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20408), 1,
      anon_sym_RBRACE,
    ACTIONS(23376), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766672] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19336), 1,
      anon_sym_SEMI,
    ACTIONS(19338), 1,
      anon_sym_GT,
    STATE(17223), 1,
      sym_attribute,
    STATE(17252), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766692] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23378), 1,
      anon_sym_RPAREN,
    STATE(17224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766712] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21094), 1,
      anon_sym_RBRACK,
    STATE(17225), 1,
      sym_attribute,
    STATE(17310), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766732] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21094), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766752] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23380), 1,
      sym__lowercase_identifier,
    STATE(17227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766772] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23382), 1,
      anon_sym_RPAREN,
    STATE(17228), 1,
      sym_attribute,
    STATE(22507), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766792] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(20), 1,
      sym_attribute_id,
    STATE(17229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [766810] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23384), 1,
      sym__lowercase_identifier,
    STATE(17230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766830] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4441), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23386), 1,
      anon_sym_SEMI,
    STATE(17231), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766850] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4525), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23388), 1,
      anon_sym_SEMI,
    STATE(17232), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766870] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23390), 1,
      aux_sym_quoted_extension_token1,
    STATE(17233), 1,
      sym_attribute,
    STATE(19632), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766890] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23392), 1,
      anon_sym_RPAREN,
    STATE(17234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766910] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23394), 1,
      anon_sym_RPAREN,
    STATE(17235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766930] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23396), 1,
      anon_sym_SEMI,
    ACTIONS(23398), 1,
      anon_sym_RBRACE,
    STATE(17236), 1,
      sym_attribute,
    STATE(17276), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766950] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20190), 1,
      anon_sym_RBRACE,
    ACTIONS(23400), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766970] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21449), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23402), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766990] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20192), 1,
      anon_sym_RBRACE,
    ACTIONS(23404), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767010] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19084), 1,
      sym__uppercase_identifier,
    ACTIONS(20736), 1,
      anon_sym_LPAREN,
    STATE(14676), 1,
      sym__constructor_name,
    STATE(17240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767030] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23406), 1,
      anon_sym_RPAREN,
    STATE(17241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767050] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12565), 1,
      anon_sym_STAR,
    ACTIONS(14510), 1,
      anon_sym_DASH_GT,
    STATE(17242), 1,
      sym_attribute,
    STATE(17279), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767070] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21108), 1,
      anon_sym_RBRACK,
    STATE(17243), 1,
      sym_attribute,
    STATE(17264), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767090] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21108), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767110] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23408), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767130] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16368), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17246), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767150] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23410), 1,
      anon_sym_RPAREN,
    STATE(17247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767170] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16410), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17248), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767190] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16424), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17249), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767210] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23412), 1,
      anon_sym_RPAREN,
    STATE(17250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767230] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20416), 1,
      anon_sym_RBRACE,
    ACTIONS(23414), 1,
      anon_sym_SEMI,
    STATE(17251), 1,
      sym_attribute,
    STATE(17275), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13086), 1,
      anon_sym_GT,
    ACTIONS(23416), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767270] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23418), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767290] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23420), 1,
      anon_sym_RPAREN,
    STATE(17254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767310] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21122), 1,
      anon_sym_RBRACK,
    STATE(17255), 1,
      sym_attribute,
    STATE(17287), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767330] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21122), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767350] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_RBRACK,
    ACTIONS(23422), 1,
      anon_sym_SEMI,
    STATE(16977), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767370] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(96), 1,
      sym_attribute_id,
    STATE(17258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [767388] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13152), 1,
      anon_sym_GT,
    ACTIONS(23424), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767408] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21699), 1,
      anon_sym_RBRACK,
    STATE(16820), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767428] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23426), 1,
      aux_sym_quoted_extension_token1,
    STATE(17261), 1,
      sym_attribute,
    STATE(22277), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767448] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12897), 1,
      anon_sym_GT,
    ACTIONS(23428), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767468] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23430), 1,
      anon_sym_RPAREN,
    STATE(17263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767488] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21138), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767508] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21138), 1,
      anon_sym_RBRACK,
    STATE(17265), 1,
      sym_attribute,
    STATE(17274), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767528] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23432), 1,
      sym__lowercase_identifier,
    STATE(17266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767548] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23434), 1,
      anon_sym_RPAREN,
    STATE(17267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767568] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23436), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767588] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16181), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17269), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767608] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16214), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17270), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767628] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16228), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17271), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767648] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23438), 1,
      anon_sym_RPAREN,
    STATE(17272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767668] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(23), 1,
      sym_attribute_id,
    STATE(17273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [767686] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21155), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767706] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20418), 1,
      anon_sym_RBRACE,
    ACTIONS(23440), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767726] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21159), 1,
      anon_sym_RBRACE,
    ACTIONS(23442), 1,
      anon_sym_SEMI,
    STATE(16986), 1,
      aux_sym_record_declaration_repeat1,
    STATE(17276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767746] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23444), 1,
      aux_sym_quoted_extension_token1,
    STATE(17277), 1,
      sym_attribute,
    STATE(21291), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767766] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_RBRACE,
    ACTIONS(23446), 1,
      anon_sym_SEMI,
    STATE(17006), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767786] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13304), 1,
      anon_sym_DASH_GT,
    ACTIONS(23448), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17279), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [767804] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23451), 1,
      anon_sym_RPAREN,
    STATE(17280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767824] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13221), 1,
      sym_module_binding,
    STATE(17281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19626), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [767842] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4171), 1,
      anon_sym_RBRACK,
    ACTIONS(23453), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767862] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23455), 1,
      anon_sym_RBRACK,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767882] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23457), 1,
      anon_sym_RPAREN,
    STATE(17284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767902] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20428), 1,
      anon_sym_RBRACE,
    ACTIONS(23459), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767922] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23461), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767942] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21178), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767962] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16043), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17288), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767982] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21178), 1,
      anon_sym_RBRACK,
    STATE(17289), 1,
      sym_attribute,
    STATE(17304), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768002] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16044), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17290), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768022] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17291), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768042] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23463), 1,
      anon_sym_RPAREN,
    STATE(17292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(24), 1,
      sym_attribute_id,
    STATE(17293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [768080] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9348), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23465), 1,
      anon_sym_SEMI,
    STATE(16753), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768100] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23467), 1,
      aux_sym_quoted_extension_token1,
    STATE(17295), 1,
      sym_attribute,
    STATE(21041), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768120] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19748), 1,
      anon_sym_RBRACE,
    ACTIONS(23469), 1,
      anon_sym_SEMI,
    STATE(17006), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768140] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4379), 1,
      anon_sym_RBRACK,
    ACTIONS(23471), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768160] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9084), 1,
      anon_sym_RBRACK,
    ACTIONS(23473), 1,
      anon_sym_SEMI,
    STATE(16977), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768180] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14607), 1,
      sym__type_equation,
    STATE(17299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23475), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [768198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12347), 1,
      anon_sym_DOT,
    STATE(17300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23477), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [768216] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13687), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [768232] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23479), 1,
      anon_sym_RPAREN,
    STATE(17302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768252] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23481), 1,
      anon_sym_RPAREN,
    STATE(17303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768272] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21202), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768292] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23483), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768312] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16178), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17306), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768332] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16182), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17307), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768352] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16183), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17308), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768372] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23485), 1,
      anon_sym_RPAREN,
    STATE(17309), 1,
      sym_attribute,
    STATE(19935), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768392] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21210), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768412] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14628), 1,
      sym__type_equation,
    STATE(17311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23475), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [768430] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(25), 1,
      sym_attribute_id,
    STATE(17312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [768448] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21210), 1,
      anon_sym_RBRACK,
    STATE(17313), 1,
      sym_attribute,
    STATE(17325), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768468] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23487), 1,
      aux_sym_quoted_extension_token1,
    STATE(17314), 1,
      sym_attribute,
    STATE(22005), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768488] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23489), 1,
      anon_sym_RPAREN,
    STATE(17315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768508] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19776), 1,
      anon_sym_RBRACE,
    ACTIONS(23491), 1,
      anon_sym_SEMI,
    STATE(17006), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768528] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23493), 1,
      anon_sym_SEMI,
    ACTIONS(23495), 1,
      anon_sym_RBRACE,
    STATE(17317), 1,
      sym_attribute,
    STATE(17344), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768548] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23497), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768568] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16321), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17319), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768588] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17320), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768608] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16336), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17321), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768628] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4185), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23499), 1,
      anon_sym_SEMI,
    STATE(17322), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768648] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(26), 1,
      sym_attribute_id,
    STATE(17323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [768666] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9086), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23501), 1,
      anon_sym_SEMI,
    STATE(16753), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768686] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21236), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768706] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23503), 1,
      aux_sym_quoted_extension_token1,
    STATE(17326), 1,
      sym_attribute,
    STATE(19630), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768726] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23505), 1,
      anon_sym_SEMI,
    ACTIONS(23507), 1,
      anon_sym_GT_RBRACE,
    STATE(17327), 1,
      sym_attribute,
    STATE(17359), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768746] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23509), 1,
      anon_sym_SEMI,
    ACTIONS(23511), 1,
      anon_sym_RBRACE,
    STATE(17328), 1,
      sym_attribute,
    STATE(17343), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768766] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20228), 1,
      anon_sym_RBRACK,
    ACTIONS(23513), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17329), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [768784] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21157), 1,
      sym__lowercase_identifier,
    ACTIONS(21161), 1,
      anon_sym_mutable,
    STATE(17330), 1,
      sym_attribute,
    STATE(18927), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768804] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23516), 1,
      anon_sym_SEMI,
    ACTIONS(23518), 1,
      anon_sym_RBRACE,
    STATE(16705), 1,
      aux_sym_record_expression_repeat1,
    STATE(17331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768824] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23520), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768844] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23522), 1,
      anon_sym_SEMI,
    ACTIONS(23524), 1,
      anon_sym_GT_RBRACE,
    STATE(17333), 1,
      sym_attribute,
    STATE(17356), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768864] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16557), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17334), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768884] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16563), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17335), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768904] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16566), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17336), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768924] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9448), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23526), 1,
      anon_sym_SEMI,
    STATE(16753), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768944] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(27), 1,
      sym_attribute_id,
    STATE(17338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [768962] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10968), 1,
      sym__type_equation,
    STATE(17339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23099), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [768980] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23528), 1,
      aux_sym_quoted_extension_token1,
    STATE(17340), 1,
      sym_attribute,
    STATE(20373), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769000] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4069), 1,
      anon_sym_RBRACK,
    ACTIONS(23530), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769020] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4543), 1,
      anon_sym_RBRACK,
    ACTIONS(23532), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769040] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20254), 1,
      anon_sym_RBRACE,
    ACTIONS(23534), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769060] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20438), 1,
      anon_sym_RBRACE,
    ACTIONS(23536), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769080] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23538), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769100] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15926), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17346), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769120] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15934), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17347), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769140] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15936), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17348), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769160] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(23540), 1,
      anon_sym_type,
    STATE(17055), 1,
      sym_module_path,
    STATE(17349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769180] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23542), 1,
      anon_sym_SEMI,
    ACTIONS(23545), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17350), 2,
      sym_attribute,
      aux_sym_record_binding_pattern_repeat1,
  [769198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23549), 1,
      anon_sym_LBRACK,
    STATE(17351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23547), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [769216] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(28), 1,
      sym_attribute_id,
    STATE(17352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [769234] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4545), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23551), 1,
      anon_sym_SEMI,
    STATE(17353), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769254] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21563), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23553), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769274] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23555), 1,
      aux_sym_quoted_extension_token1,
    STATE(17355), 1,
      sym_attribute,
    STATE(21013), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769294] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21268), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23557), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769314] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20126), 1,
      anon_sym_RBRACE,
    ACTIONS(23559), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769334] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20252), 1,
      anon_sym_RBRACE,
    ACTIONS(23561), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769354] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21569), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23563), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769374] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23565), 1,
      anon_sym_RPAREN,
    STATE(17360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769394] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20270), 1,
      anon_sym_RBRACE,
    ACTIONS(23567), 1,
      anon_sym_SEMI,
    STATE(17361), 1,
      sym_attribute,
    STATE(17376), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769414] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23569), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769434] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16167), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17363), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769454] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11090), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17364), 1,
      sym_attribute,
    STATE(17379), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769474] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16187), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17365), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769494] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16196), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17366), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769514] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19360), 1,
      anon_sym_SEMI,
    ACTIONS(19362), 1,
      anon_sym_GT,
    STATE(17367), 1,
      sym_attribute,
    STATE(17384), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769534] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(29), 1,
      sym_attribute_id,
    STATE(17368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [769552] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23571), 1,
      anon_sym_RPAREN,
    STATE(17369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769572] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23573), 1,
      sym__lowercase_identifier,
    STATE(17370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769592] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20440), 1,
      anon_sym_RBRACE,
    ACTIONS(23575), 1,
      anon_sym_SEMI,
    STATE(17371), 1,
      sym_attribute,
    STATE(17394), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769612] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23577), 1,
      aux_sym_quoted_extension_token1,
    STATE(17372), 1,
      sym_attribute,
    STATE(21943), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769632] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23579), 1,
      anon_sym_RPAREN,
    STATE(17373), 1,
      sym_attribute,
    STATE(20114), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769652] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23581), 1,
      sym__lowercase_identifier,
    STATE(17374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769672] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23583), 1,
      anon_sym_RPAREN,
    STATE(17375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769692] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20276), 1,
      anon_sym_RBRACE,
    ACTIONS(23585), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769712] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23587), 1,
      anon_sym_RPAREN,
    STATE(17377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769732] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21300), 1,
      anon_sym_RBRACK,
    STATE(17378), 1,
      sym_attribute,
    STATE(17390), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769752] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21300), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769772] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23589), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769792] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15911), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17381), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769812] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15916), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17382), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769832] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(15921), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17383), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769852] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13098), 1,
      anon_sym_GT,
    ACTIONS(23591), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769872] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(30), 1,
      sym_attribute_id,
    STATE(17385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [769890] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23593), 1,
      aux_sym_quoted_extension_token1,
    STATE(17386), 1,
      sym_attribute,
    STATE(19607), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769910] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23595), 1,
      sym__lowercase_identifier,
    STATE(17387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769930] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23597), 1,
      sym__lowercase_identifier,
    STATE(17388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769950] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23599), 1,
      anon_sym_RPAREN,
    STATE(17389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769970] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21317), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769990] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21317), 1,
      anon_sym_RBRACK,
    STATE(17391), 1,
      sym_attribute,
    STATE(17401), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770010] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23601), 1,
      anon_sym_RPAREN,
    STATE(17392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770030] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23603), 1,
      anon_sym_RPAREN,
    STATE(17393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770050] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20442), 1,
      anon_sym_RBRACE,
    ACTIONS(23605), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770070] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23607), 1,
      anon_sym_RPAREN,
    STATE(17395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770090] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    ACTIONS(23609), 1,
      anon_sym_RPAREN,
    STATE(16248), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770110] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23611), 1,
      anon_sym_RPAREN,
    STATE(17397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770130] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16011), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17398), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770150] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16018), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17399), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770170] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16019), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17400), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770190] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21339), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770210] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(31), 1,
      sym_attribute_id,
    STATE(17402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [770228] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23613), 1,
      anon_sym_SEMI,
    ACTIONS(23615), 1,
      anon_sym_RBRACE,
    STATE(17403), 1,
      sym_attribute,
    STATE(17486), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770248] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23617), 1,
      anon_sym_RPAREN,
    STATE(17404), 1,
      sym_attribute,
    STATE(20395), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770268] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23619), 1,
      aux_sym_quoted_extension_token1,
    STATE(17405), 1,
      sym_attribute,
    STATE(19980), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770288] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20452), 1,
      anon_sym_RBRACE,
    ACTIONS(23621), 1,
      anon_sym_SEMI,
    STATE(17406), 1,
      sym_attribute,
    STATE(17487), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770308] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23623), 1,
      anon_sym_RPAREN,
    STATE(17407), 1,
      sym_attribute,
    STATE(21380), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770328] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15228), 1,
      anon_sym_and,
    STATE(17408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15226), 2,
      anon_sym_in,
      sym_let_and_operator,
  [770346] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23625), 1,
      anon_sym_SEMI,
    ACTIONS(23627), 1,
      anon_sym_RBRACE,
    STATE(17409), 1,
      sym_attribute,
    STATE(17751), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770366] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23629), 1,
      anon_sym_EQ,
    STATE(17410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23631), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [770384] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(32), 1,
      sym_attribute_id,
    STATE(17411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [770402] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23633), 1,
      anon_sym_RPAREN,
    STATE(17412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770422] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23635), 1,
      aux_sym_quoted_extension_token1,
    STATE(17413), 1,
      sym_attribute,
    STATE(20328), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770442] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20296), 1,
      anon_sym_RBRACE,
    ACTIONS(23637), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770462] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11184), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17415), 1,
      sym_attribute,
    STATE(17504), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770482] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23639), 1,
      anon_sym_SEMI,
    ACTIONS(23641), 1,
      anon_sym_GT_RBRACE,
    STATE(17416), 1,
      sym_attribute,
    STATE(17532), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770502] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23643), 1,
      anon_sym_EQ,
    STATE(17417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770522] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23645), 1,
      anon_sym_SEMI,
    ACTIONS(23647), 1,
      anon_sym_RBRACE,
    STATE(16632), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(17418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770542] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23649), 1,
      sym__lowercase_identifier,
    STATE(17419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770562] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(33), 1,
      sym_attribute_id,
    STATE(17420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [770580] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23651), 1,
      aux_sym_quoted_extension_token1,
    STATE(17421), 1,
      sym_attribute,
    STATE(21091), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(34), 1,
      sym_attribute_id,
    STATE(17422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [770618] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23653), 1,
      anon_sym_RPAREN,
    STATE(17423), 1,
      sym_attribute,
    STATE(22349), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770638] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23655), 1,
      anon_sym_SEMI,
    ACTIONS(23657), 1,
      anon_sym_RBRACE,
    STATE(17424), 1,
      sym_attribute,
    STATE(17434), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770658] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19212), 1,
      anon_sym_SEMI,
    ACTIONS(19214), 1,
      anon_sym_GT,
    STATE(17425), 1,
      sym_attribute,
    STATE(17516), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770678] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23659), 1,
      anon_sym_SEMI,
    ACTIONS(23661), 1,
      anon_sym_RBRACE,
    STATE(17426), 1,
      sym_attribute,
    STATE(17450), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770698] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23663), 1,
      aux_sym_quoted_extension_token1,
    STATE(17427), 1,
      sym_attribute,
    STATE(21312), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770718] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23665), 1,
      anon_sym_SEMI,
    ACTIONS(23667), 1,
      anon_sym_GT_RBRACE,
    STATE(17428), 1,
      sym_attribute,
    STATE(17440), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770738] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23669), 1,
      anon_sym_RPAREN,
    STATE(17429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770758] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2), 1,
      sym_attribute_id,
    STATE(17430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [770776] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21457), 1,
      anon_sym_RBRACK,
    STATE(17431), 1,
      sym_attribute,
    STATE(17700), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770796] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23671), 1,
      aux_sym_quoted_extension_token1,
    STATE(17432), 1,
      sym_attribute,
    STATE(21643), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770816] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4305), 1,
      anon_sym_RBRACK,
    ACTIONS(23673), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770836] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20312), 1,
      anon_sym_RBRACE,
    ACTIONS(23675), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770856] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23677), 1,
      anon_sym_SEMI,
    ACTIONS(23679), 1,
      anon_sym_GT_RBRACE,
    STATE(17435), 1,
      sym_attribute,
    STATE(17460), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770876] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23681), 1,
      anon_sym_RPAREN,
    STATE(17436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770896] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4317), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23683), 1,
      anon_sym_SEMI,
    STATE(17437), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770916] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13566), 1,
      anon_sym_DQUOTE,
    STATE(11158), 1,
      aux_sym_external_repeat1,
    STATE(12371), 1,
      sym_string,
    STATE(17438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770936] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(35), 1,
      sym_attribute_id,
    STATE(17439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [770954] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21426), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23685), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770974] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23687), 1,
      aux_sym_quoted_extension_token1,
    STATE(17441), 1,
      sym_attribute,
    STATE(22334), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21434), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [771010] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23689), 1,
      anon_sym_RPAREN,
    STATE(17443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771030] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_RBRACE,
    ACTIONS(23691), 1,
      anon_sym_SEMI,
    STATE(17444), 1,
      sym_attribute,
    STATE(17452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771050] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(36), 1,
      sym_attribute_id,
    STATE(17445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [771068] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21457), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771088] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23693), 1,
      aux_sym_quoted_extension_token1,
    STATE(17447), 1,
      sym_attribute,
    STATE(22195), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771108] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4565), 1,
      anon_sym_RBRACK,
    ACTIONS(23695), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771128] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23697), 1,
      sym__lowercase_identifier,
    STATE(17449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771148] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_RBRACE,
    ACTIONS(23699), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771168] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23701), 1,
      anon_sym_RPAREN,
    STATE(17451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771188] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20328), 1,
      anon_sym_RBRACE,
    ACTIONS(23703), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771208] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(37), 1,
      sym_attribute_id,
    STATE(17453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [771226] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23705), 1,
      aux_sym_quoted_extension_token1,
    STATE(17454), 1,
      sym_attribute,
    STATE(21354), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771246] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23707), 1,
      sym__lowercase_identifier,
    STATE(17455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771266] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4567), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23709), 1,
      anon_sym_SEMI,
    STATE(17456), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771286] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23711), 1,
      anon_sym_RPAREN,
    STATE(17457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771306] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23713), 1,
      anon_sym_SEMI,
    ACTIONS(23715), 1,
      anon_sym_RBRACE,
    STATE(17458), 1,
      sym_attribute,
    STATE(17479), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771326] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(38), 1,
      sym_attribute_id,
    STATE(17459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [771344] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21739), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23717), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771364] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12861), 1,
      anon_sym_GT,
    ACTIONS(23719), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771384] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23721), 1,
      aux_sym_quoted_extension_token1,
    STATE(17462), 1,
      sym_attribute,
    STATE(20641), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771404] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23723), 1,
      anon_sym_SEMI,
    ACTIONS(23725), 1,
      anon_sym_RBRACE,
    STATE(17463), 1,
      sym_attribute,
    STATE(17777), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771424] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23727), 1,
      anon_sym_SEMI,
    ACTIONS(23729), 1,
      anon_sym_GT_RBRACE,
    STATE(17464), 1,
      sym_attribute,
    STATE(17533), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771444] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23731), 1,
      anon_sym_RPAREN,
    STATE(17465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771464] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(39), 1,
      sym_attribute_id,
    STATE(17466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [771482] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23733), 1,
      anon_sym_EQ,
    STATE(17467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771502] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23735), 1,
      aux_sym_quoted_extension_token1,
    STATE(17468), 1,
      sym_attribute,
    STATE(20518), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771522] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20518), 1,
      anon_sym_RBRACE,
    ACTIONS(23737), 1,
      anon_sym_SEMI,
    STATE(17469), 1,
      sym_attribute,
    STATE(17484), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771542] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21699), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771562] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23739), 1,
      anon_sym_RPAREN,
    STATE(17471), 1,
      sym_attribute,
    STATE(20477), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771582] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23741), 1,
      anon_sym_RPAREN,
    STATE(17472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771602] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(40), 1,
      sym_attribute_id,
    STATE(17473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [771620] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4319), 1,
      anon_sym_RBRACK,
    ACTIONS(23743), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771640] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23745), 1,
      aux_sym_quoted_extension_token1,
    STATE(17475), 1,
      sym_attribute,
    STATE(20656), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771660] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4459), 1,
      anon_sym_RBRACK,
    ACTIONS(23747), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771680] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23749), 1,
      anon_sym_SEMI,
    ACTIONS(23751), 1,
      anon_sym_RBRACE,
    STATE(17477), 1,
      sym_attribute,
    STATE(17491), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771700] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23753), 1,
      sym__lowercase_identifier,
    STATE(17478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771720] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20342), 1,
      anon_sym_RBRACE,
    ACTIONS(23755), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771740] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23757), 1,
      anon_sym_RPAREN,
    STATE(17480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771760] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23759), 1,
      anon_sym_RPAREN,
    STATE(17481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771780] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(41), 1,
      sym_attribute_id,
    STATE(17482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [771798] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23761), 1,
      anon_sym_SEMI,
    ACTIONS(23763), 1,
      anon_sym_GT_RBRACE,
    STATE(17483), 1,
      sym_attribute,
    STATE(17502), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771818] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20522), 1,
      anon_sym_RBRACE,
    ACTIONS(23765), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771838] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23767), 1,
      aux_sym_quoted_extension_token1,
    STATE(17485), 1,
      sym_attribute,
    STATE(19319), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771858] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      anon_sym_RBRACE,
    ACTIONS(23769), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771878] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20530), 1,
      anon_sym_RBRACE,
    ACTIONS(23771), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771898] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(21), 1,
      sym_attribute_id,
    STATE(17488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [771916] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(42), 1,
      sym_attribute_id,
    STATE(17489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [771934] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4447), 1,
      anon_sym_RBRACK,
    ACTIONS(23773), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771954] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20352), 1,
      anon_sym_RBRACE,
    ACTIONS(23775), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771974] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23777), 1,
      aux_sym_quoted_extension_token1,
    STATE(17492), 1,
      sym_attribute,
    STATE(21438), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771994] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4449), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23779), 1,
      anon_sym_SEMI,
    STATE(17493), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772014] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23781), 1,
      anon_sym_RPAREN,
    STATE(17494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772034] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21274), 1,
      anon_sym_RBRACK,
    STATE(16773), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772054] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(22), 1,
      sym_attribute_id,
    STATE(17496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772072] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(43), 1,
      sym_attribute_id,
    STATE(17497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772090] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4321), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23783), 1,
      anon_sym_SEMI,
    STATE(17498), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772110] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23785), 1,
      aux_sym_quoted_extension_token1,
    STATE(17499), 1,
      sym_attribute,
    STATE(19596), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772130] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23787), 1,
      anon_sym_RPAREN,
    STATE(17500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772150] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23789), 1,
      anon_sym_SEMI,
    ACTIONS(23791), 1,
      anon_sym_GT_RBRACE,
    STATE(17501), 1,
      sym_attribute,
    STATE(18009), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772170] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21547), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23793), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772190] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21871), 1,
      anon_sym_RBRACK,
    STATE(17503), 1,
      sym_attribute,
    STATE(17545), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772210] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21871), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772230] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21557), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23795), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772250] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(44), 1,
      sym_attribute_id,
    STATE(17506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772268] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23797), 1,
      aux_sym_quoted_extension_token1,
    STATE(17507), 1,
      sym_attribute,
    STATE(20414), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14621), 1,
      sym_attribute_id,
    STATE(17508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23799), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772306] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(45), 1,
      sym_attribute_id,
    STATE(17509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772324] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23801), 1,
      anon_sym_RPAREN,
    STATE(17510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772344] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20366), 1,
      anon_sym_RBRACE,
    ACTIONS(23803), 1,
      anon_sym_SEMI,
    STATE(17511), 1,
      sym_attribute,
    STATE(17524), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772364] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23805), 1,
      aux_sym_quoted_extension_token1,
    STATE(17512), 1,
      sym_attribute,
    STATE(21289), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772384] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23807), 1,
      anon_sym_SEMI,
    ACTIONS(23809), 1,
      anon_sym_RBRACE,
    STATE(17513), 1,
      sym_attribute,
    STATE(17536), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772404] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20542), 1,
      anon_sym_RBRACE,
    ACTIONS(23811), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772424] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4489), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23813), 1,
      anon_sym_SEMI,
    STATE(17515), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772444] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12956), 1,
      anon_sym_GT,
    ACTIONS(23815), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772464] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23817), 1,
      sym__lowercase_identifier,
    ACTIONS(23819), 1,
      anon_sym_LPAREN,
    STATE(10046), 1,
      sym__simple_value_pattern,
    STATE(17517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772484] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23821), 1,
      anon_sym_SEMI,
    ACTIONS(23823), 1,
      anon_sym_RBRACE,
    STATE(17518), 1,
      sym_attribute,
    STATE(17537), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772504] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(46), 1,
      sym_attribute_id,
    STATE(17519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772522] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23825), 1,
      aux_sym_quoted_extension_token1,
    STATE(17520), 1,
      sym_attribute,
    STATE(22226), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772542] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23827), 1,
      sym__lowercase_identifier,
    STATE(17521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772562] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23829), 1,
      anon_sym_RPAREN,
    STATE(17522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772582] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23831), 1,
      anon_sym_SEMI,
    ACTIONS(23833), 1,
      anon_sym_GT_RBRACE,
    STATE(17523), 1,
      sym_attribute,
    STATE(17564), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772602] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20380), 1,
      anon_sym_RBRACE,
    ACTIONS(23835), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772622] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(47), 1,
      sym_attribute_id,
    STATE(17525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772640] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23837), 1,
      anon_sym_RPAREN,
    STATE(17526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772660] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23839), 1,
      aux_sym_quoted_extension_token1,
    STATE(17527), 1,
      sym_attribute,
    STATE(19627), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772680] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23841), 1,
      anon_sym_SEMI,
    ACTIONS(23843), 1,
      anon_sym_GT_RBRACE,
    STATE(17528), 1,
      sym_attribute,
    STATE(17547), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772700] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23845), 1,
      anon_sym_SEMI,
    ACTIONS(23847), 1,
      anon_sym_RBRACE,
    STATE(17529), 1,
      sym_attribute,
    STATE(17572), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772720] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(48), 1,
      sym_attribute_id,
    STATE(17530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772738] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23849), 1,
      aux_sym_quoted_extension_token1,
    STATE(17531), 1,
      sym_attribute,
    STATE(20098), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772758] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21889), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23851), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772778] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21595), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23853), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772798] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4591), 1,
      anon_sym_RBRACK,
    ACTIONS(23855), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772818] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4177), 1,
      anon_sym_RBRACK,
    ACTIONS(23857), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772838] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20402), 1,
      anon_sym_RBRACE,
    ACTIONS(23859), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772858] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20562), 1,
      anon_sym_RBRACE,
    ACTIONS(23861), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772878] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(49), 1,
      sym_attribute_id,
    STATE(17538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772896] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23863), 1,
      anon_sym_RPAREN,
    STATE(17539), 1,
      sym_attribute,
    STATE(20823), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772916] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23865), 1,
      aux_sym_quoted_extension_token1,
    STATE(17540), 1,
      sym_attribute,
    STATE(20566), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772936] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23867), 1,
      anon_sym_RPAREN,
    STATE(17541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772956] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23869), 1,
      anon_sym_RPAREN,
    STATE(17542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772976] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4593), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23871), 1,
      anon_sym_SEMI,
    STATE(17543), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772996] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20406), 1,
      anon_sym_RBRACE,
    ACTIONS(23873), 1,
      anon_sym_SEMI,
    STATE(17544), 1,
      sym_attribute,
    STATE(17641), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773016] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21942), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773036] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(50), 1,
      sym_attribute_id,
    STATE(17546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [773054] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21936), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23875), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773074] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23877), 1,
      anon_sym_SEMI,
    ACTIONS(23879), 1,
      anon_sym_RBRACE,
    STATE(17548), 1,
      sym_attribute,
    STATE(17599), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773094] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23881), 1,
      aux_sym_quoted_extension_token1,
    STATE(17549), 1,
      sym_attribute,
    STATE(21166), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773114] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21942), 1,
      anon_sym_RBRACK,
    STATE(17550), 1,
      sym_attribute,
    STATE(17585), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773134] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23883), 1,
      anon_sym_RPAREN,
    STATE(17551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773154] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11166), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17552), 1,
      sym_attribute,
    STATE(17721), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773174] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4179), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23885), 1,
      anon_sym_SEMI,
    STATE(17553), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773194] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23887), 1,
      anon_sym_SEMI,
    ACTIONS(23889), 1,
      anon_sym_GT_RBRACE,
    STATE(16974), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773214] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(3), 1,
      sym_attribute_id,
    STATE(17555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [773232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(51), 1,
      sym_attribute_id,
    STATE(17556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [773250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23891), 1,
      anon_sym_RPAREN,
    STATE(17557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773270] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20420), 1,
      anon_sym_RBRACE,
    ACTIONS(23893), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773290] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23895), 1,
      aux_sym_quoted_extension_token1,
    STATE(17559), 1,
      sym_attribute,
    STATE(21463), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773310] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20566), 1,
      anon_sym_RBRACE,
    ACTIONS(23897), 1,
      anon_sym_SEMI,
    STATE(17560), 1,
      sym_attribute,
    STATE(17579), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773330] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23899), 1,
      anon_sym_RPAREN,
    STATE(17561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773350] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23901), 1,
      anon_sym_SEMI,
    ACTIONS(23903), 1,
      anon_sym_RBRACE,
    STATE(16806), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(17562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773370] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19364), 1,
      anon_sym_SEMI,
    ACTIONS(19366), 1,
      anon_sym_GT,
    STATE(17563), 1,
      sym_attribute,
    STATE(17725), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773390] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21646), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23905), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773410] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23907), 1,
      anon_sym_RPAREN,
    STATE(17565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773430] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20284), 1,
      anon_sym_RBRACE,
    ACTIONS(23909), 1,
      anon_sym_SEMI,
    STATE(17566), 1,
      sym_attribute,
    STATE(17704), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773450] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(52), 1,
      sym_attribute_id,
    STATE(17567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [773468] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23911), 1,
      anon_sym_RPAREN,
    STATE(17568), 1,
      sym_attribute,
    STATE(20831), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773488] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23913), 1,
      aux_sym_quoted_extension_token1,
    STATE(17569), 1,
      sym_attribute,
    STATE(21927), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773508] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23915), 1,
      sym__lowercase_identifier,
    STATE(17570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773528] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9830), 1,
      anon_sym_RBRACK,
    ACTIONS(23917), 1,
      anon_sym_SEMI,
    STATE(17329), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773548] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19946), 1,
      anon_sym_RBRACE,
    ACTIONS(23919), 1,
      anon_sym_SEMI,
    STATE(17350), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(17572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773568] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9832), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23921), 1,
      anon_sym_SEMI,
    STATE(16744), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773588] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16134), 1,
      anon_sym_in,
    ACTIONS(22346), 1,
      anon_sym_and,
    STATE(17574), 1,
      sym_attribute,
    STATE(17918), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773608] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(53), 1,
      sym_attribute_id,
    STATE(17575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [773626] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23923), 1,
      anon_sym_RPAREN,
    STATE(17576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773646] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21274), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773666] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23925), 1,
      aux_sym_quoted_extension_token1,
    STATE(17578), 1,
      sym_attribute,
    STATE(22466), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773686] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20568), 1,
      anon_sym_RBRACE,
    ACTIONS(23927), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773706] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23929), 1,
      anon_sym_EQ,
    STATE(17580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773726] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23931), 1,
      anon_sym_RPAREN,
    STATE(17581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773746] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23933), 1,
      anon_sym_RPAREN,
    STATE(17582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773766] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20436), 1,
      anon_sym_RBRACE,
    ACTIONS(23935), 1,
      anon_sym_SEMI,
    STATE(17583), 1,
      sym_attribute,
    STATE(17694), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773786] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(54), 1,
      sym_attribute_id,
    STATE(17584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [773804] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21994), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773824] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      aux_sym_tag_token1,
    STATE(16265), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17586), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773844] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23937), 1,
      anon_sym_SEMI,
    ACTIONS(23939), 1,
      anon_sym_RBRACE,
    STATE(17587), 1,
      sym_attribute,
    STATE(17618), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773864] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23941), 1,
      aux_sym_quoted_extension_token1,
    STATE(17588), 1,
      sym_attribute,
    STATE(21122), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773884] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(23943), 1,
      anon_sym_RPAREN,
    STATE(17589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773904] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11146), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17590), 1,
      sym_attribute,
    STATE(17711), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773924] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(55), 1,
      sym_attribute_id,
    STATE(17591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [773942] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22036), 1,
      anon_sym_RBRACK,
    STATE(17592), 1,
      sym_attribute,
    STATE(17893), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773962] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19368), 1,
      anon_sym_SEMI,
    ACTIONS(19370), 1,
      anon_sym_GT,
    STATE(17593), 1,
      sym_attribute,
    STATE(17715), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773982] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23945), 1,
      aux_sym_quoted_extension_token1,
    STATE(17594), 1,
      sym_attribute,
    STATE(21240), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774002] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22488), 1,
      anon_sym_COLON2,
    ACTIONS(23947), 1,
      anon_sym_RPAREN,
    STATE(17595), 1,
      sym_attribute,
    STATE(21131), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774022] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23949), 1,
      anon_sym_SEMI,
    ACTIONS(23951), 1,
      anon_sym_GT_RBRACE,
    STATE(17596), 1,
      sym_attribute,
    STATE(17698), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774042] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9238), 1,
      anon_sym_RBRACK,
    ACTIONS(23953), 1,
      anon_sym_SEMI,
    STATE(16977), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774062] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22036), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774082] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19966), 1,
      anon_sym_RBRACE,
    ACTIONS(23955), 1,
      anon_sym_SEMI,
    STATE(17006), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774102] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9240), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23957), 1,
      anon_sym_SEMI,
    STATE(16753), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774122] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(56), 1,
      sym_attribute_id,
    STATE(17601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774140] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23959), 1,
      sym__lowercase_identifier,
    STATE(17602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774160] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23961), 1,
      aux_sym_quoted_extension_token1,
    STATE(17603), 1,
      sym_attribute,
    STATE(20278), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774180] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23963), 1,
      sym__lowercase_identifier,
    STATE(17604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774200] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(57), 1,
      sym_attribute_id,
    STATE(17605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774218] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23965), 1,
      aux_sym_quoted_extension_token1,
    STATE(17606), 1,
      sym_attribute,
    STATE(21074), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774238] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23967), 1,
      anon_sym_RPAREN,
    STATE(17607), 1,
      sym_attribute,
    STATE(21179), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774258] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(23969), 1,
      anon_sym_RPAREN,
    STATE(17608), 1,
      sym_attribute,
    STATE(21218), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774278] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(23971), 1,
      sym__lowercase_identifier,
    STATE(17609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774298] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23973), 1,
      anon_sym_RPAREN,
    STATE(17610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774318] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(58), 1,
      sym_attribute_id,
    STATE(17611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774336] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23975), 1,
      aux_sym_quoted_extension_token1,
    STATE(17612), 1,
      sym_attribute,
    STATE(21554), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774356] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4553), 1,
      anon_sym_RBRACK,
    ACTIONS(23977), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774376] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(59), 1,
      sym_attribute_id,
    STATE(17614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774394] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23979), 1,
      anon_sym_SEMI,
    ACTIONS(23981), 1,
      anon_sym_RBRACE,
    STATE(17615), 1,
      sym_attribute,
    STATE(17713), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774414] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23983), 1,
      aux_sym_quoted_extension_token1,
    STATE(17616), 1,
      sym_attribute,
    STATE(21867), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(60), 1,
      sym_attribute_id,
    STATE(17617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774452] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20454), 1,
      anon_sym_RBRACE,
    ACTIONS(23985), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774472] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23987), 1,
      aux_sym_quoted_extension_token1,
    STATE(17619), 1,
      sym_attribute,
    STATE(22087), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774492] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(61), 1,
      sym_attribute_id,
    STATE(17620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774510] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23989), 1,
      aux_sym_quoted_extension_token1,
    STATE(17621), 1,
      sym_attribute,
    STATE(22240), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774530] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(62), 1,
      sym_attribute_id,
    STATE(17622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774548] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23991), 1,
      aux_sym_quoted_extension_token1,
    STATE(17623), 1,
      sym_attribute,
    STATE(22323), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774568] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(63), 1,
      sym_attribute_id,
    STATE(17624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774586] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23993), 1,
      aux_sym_quoted_extension_token1,
    STATE(17625), 1,
      sym_attribute,
    STATE(22518), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774606] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(64), 1,
      sym_attribute_id,
    STATE(17626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774624] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(23995), 1,
      anon_sym_RPAREN,
    STATE(17627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774644] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23997), 1,
      aux_sym_quoted_extension_token1,
    STATE(17628), 1,
      sym_attribute,
    STATE(19347), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774664] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(65), 1,
      sym_attribute_id,
    STATE(17629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774682] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4559), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23999), 1,
      anon_sym_SEMI,
    STATE(17630), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774702] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24001), 1,
      aux_sym_quoted_extension_token1,
    STATE(17631), 1,
      sym_attribute,
    STATE(19394), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(66), 1,
      sym_attribute_id,
    STATE(17632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774740] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24003), 1,
      anon_sym_EQ,
    STATE(17633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774760] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24005), 1,
      aux_sym_quoted_extension_token1,
    STATE(17634), 1,
      sym_attribute,
    STATE(19454), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774780] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(67), 1,
      sym_attribute_id,
    STATE(17635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774798] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24007), 1,
      aux_sym_quoted_extension_token1,
    STATE(17636), 1,
      sym_attribute,
    STATE(19552), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774818] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(68), 1,
      sym_attribute_id,
    STATE(17637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774836] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24009), 1,
      anon_sym_RPAREN,
    STATE(17638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774856] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24011), 1,
      aux_sym_quoted_extension_token1,
    STATE(17639), 1,
      sym_attribute,
    STATE(19594), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774876] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(69), 1,
      sym_attribute_id,
    STATE(17640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774894] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20460), 1,
      anon_sym_RBRACE,
    ACTIONS(24013), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774914] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24015), 1,
      aux_sym_quoted_extension_token1,
    STATE(17642), 1,
      sym_attribute,
    STATE(19656), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774934] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(70), 1,
      sym_attribute_id,
    STATE(17643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774952] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24017), 1,
      aux_sym_quoted_extension_token1,
    STATE(17644), 1,
      sym_attribute,
    STATE(19711), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774972] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(71), 1,
      sym_attribute_id,
    STATE(17645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774990] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24019), 1,
      aux_sym_quoted_extension_token1,
    STATE(17646), 1,
      sym_attribute,
    STATE(19775), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775010] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(72), 1,
      sym_attribute_id,
    STATE(17647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775028] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24021), 1,
      aux_sym_quoted_extension_token1,
    STATE(17648), 1,
      sym_attribute,
    STATE(19812), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775048] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(73), 1,
      sym_attribute_id,
    STATE(17649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775066] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24023), 1,
      aux_sym_quoted_extension_token1,
    STATE(17650), 1,
      sym_attribute,
    STATE(19838), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775086] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(74), 1,
      sym_attribute_id,
    STATE(17651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775104] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24025), 1,
      aux_sym_quoted_extension_token1,
    STATE(17652), 1,
      sym_attribute,
    STATE(19867), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775124] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(75), 1,
      sym_attribute_id,
    STATE(17653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775142] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24027), 1,
      aux_sym_quoted_extension_token1,
    STATE(17654), 1,
      sym_attribute,
    STATE(19902), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(76), 1,
      sym_attribute_id,
    STATE(17655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775180] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24029), 1,
      aux_sym_quoted_extension_token1,
    STATE(17656), 1,
      sym_attribute,
    STATE(19911), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775200] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(77), 1,
      sym_attribute_id,
    STATE(17657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775218] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24031), 1,
      aux_sym_quoted_extension_token1,
    STATE(17658), 1,
      sym_attribute,
    STATE(19923), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775238] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(78), 1,
      sym_attribute_id,
    STATE(17659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775256] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24033), 1,
      aux_sym_quoted_extension_token1,
    STATE(17660), 1,
      sym_attribute,
    STATE(19938), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775276] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(79), 1,
      sym_attribute_id,
    STATE(17661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775294] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24035), 1,
      aux_sym_quoted_extension_token1,
    STATE(17662), 1,
      sym_attribute,
    STATE(19949), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775314] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(80), 1,
      sym_attribute_id,
    STATE(17663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775332] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24037), 1,
      aux_sym_quoted_extension_token1,
    STATE(17664), 1,
      sym_attribute,
    STATE(19979), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775352] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(81), 1,
      sym_attribute_id,
    STATE(17665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775370] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24039), 1,
      aux_sym_quoted_extension_token1,
    STATE(17666), 1,
      sym_attribute,
    STATE(19998), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775390] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(82), 1,
      sym_attribute_id,
    STATE(17667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775408] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24041), 1,
      aux_sym_quoted_extension_token1,
    STATE(17668), 1,
      sym_attribute,
    STATE(20022), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775428] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(83), 1,
      sym_attribute_id,
    STATE(17669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775446] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24043), 1,
      aux_sym_quoted_extension_token1,
    STATE(17670), 1,
      sym_attribute,
    STATE(20040), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775466] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(84), 1,
      sym_attribute_id,
    STATE(17671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775484] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24045), 1,
      aux_sym_quoted_extension_token1,
    STATE(17672), 1,
      sym_attribute,
    STATE(20057), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775504] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(85), 1,
      sym_attribute_id,
    STATE(17673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775522] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24047), 1,
      aux_sym_quoted_extension_token1,
    STATE(17674), 1,
      sym_attribute,
    STATE(20067), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775542] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(86), 1,
      sym_attribute_id,
    STATE(17675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775560] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24049), 1,
      aux_sym_quoted_extension_token1,
    STATE(17676), 1,
      sym_attribute,
    STATE(20097), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775580] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(87), 1,
      sym_attribute_id,
    STATE(17677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775598] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24051), 1,
      aux_sym_quoted_extension_token1,
    STATE(17678), 1,
      sym_attribute,
    STATE(20108), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775618] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(88), 1,
      sym_attribute_id,
    STATE(17679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775636] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24053), 1,
      aux_sym_quoted_extension_token1,
    STATE(17680), 1,
      sym_attribute,
    STATE(20129), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775656] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(89), 1,
      sym_attribute_id,
    STATE(17681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775674] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24055), 1,
      aux_sym_quoted_extension_token1,
    STATE(17682), 1,
      sym_attribute,
    STATE(20144), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775694] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(90), 1,
      sym_attribute_id,
    STATE(17683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775712] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24057), 1,
      aux_sym_quoted_extension_token1,
    STATE(17684), 1,
      sym_attribute,
    STATE(20155), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(91), 1,
      sym_attribute_id,
    STATE(17685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775750] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24059), 1,
      aux_sym_quoted_extension_token1,
    STATE(17686), 1,
      sym_attribute,
    STATE(20184), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775770] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(92), 1,
      sym_attribute_id,
    STATE(17687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775788] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24061), 1,
      aux_sym_quoted_extension_token1,
    STATE(17688), 1,
      sym_attribute,
    STATE(20203), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775808] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(93), 1,
      sym_attribute_id,
    STATE(17689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775826] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24063), 1,
      aux_sym_quoted_extension_token1,
    STATE(17690), 1,
      sym_attribute,
    STATE(20217), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775846] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(94), 1,
      sym_attribute_id,
    STATE(17691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775864] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24065), 1,
      aux_sym_quoted_extension_token1,
    STATE(17692), 1,
      sym_attribute,
    STATE(20224), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775884] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24067), 1,
      anon_sym_SEMI,
    ACTIONS(24069), 1,
      anon_sym_GT_RBRACE,
    STATE(17693), 1,
      sym_attribute,
    STATE(17724), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775904] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20462), 1,
      anon_sym_RBRACE,
    ACTIONS(24071), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775924] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17804), 1,
      sym__uppercase_identifier,
    ACTIONS(20836), 1,
      anon_sym_LPAREN,
    STATE(8202), 1,
      sym__constructor_name,
    STATE(17695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775944] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16725), 1,
      sym_attribute_id,
    STATE(17696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775962] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(95), 1,
      sym_attribute_id,
    STATE(17697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775980] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21747), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24075), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776000] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19154), 1,
      sym__uppercase_identifier,
    ACTIONS(20836), 1,
      anon_sym_LPAREN,
    STATE(10157), 1,
      sym__constructor_name,
    STATE(17699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776020] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21756), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776040] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20360), 1,
      anon_sym_RBRACE,
    ACTIONS(24077), 1,
      anon_sym_SEMI,
    STATE(16793), 1,
      aux_sym_record_expression_repeat1,
    STATE(17701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776060] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21756), 1,
      anon_sym_RBRACK,
    STATE(17702), 1,
      sym_attribute,
    STATE(17737), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776080] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24079), 1,
      anon_sym_RPAREN,
    STATE(17703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776100] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20396), 1,
      anon_sym_RBRACE,
    ACTIONS(24081), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776120] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20464), 1,
      anon_sym_RBRACE,
    ACTIONS(24083), 1,
      anon_sym_SEMI,
    STATE(17705), 1,
      sym_attribute,
    STATE(17719), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776140] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24085), 1,
      aux_sym_quoted_extension_token1,
    STATE(17706), 1,
      sym_attribute,
    STATE(20585), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776160] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(24087), 1,
      anon_sym_RPAREN,
    STATE(17707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776180] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24089), 1,
      anon_sym_LPAREN,
    ACTIONS(24091), 1,
      anon_sym_LBRACK,
    ACTIONS(24093), 1,
      anon_sym_LBRACE,
    STATE(17708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776200] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21775), 1,
      anon_sym_RBRACK,
    STATE(17709), 1,
      sym_attribute,
    STATE(17745), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776220] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(24095), 1,
      anon_sym_RPAREN,
    STATE(17710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776240] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21775), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776260] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4621), 1,
      anon_sym_RBRACK,
    ACTIONS(24097), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776280] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20600), 1,
      anon_sym_RBRACE,
    ACTIONS(24099), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776300] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(24101), 1,
      sym__lowercase_identifier,
    STATE(17714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776320] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13164), 1,
      anon_sym_GT,
    ACTIONS(24103), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776340] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24105), 1,
      anon_sym_LPAREN,
    ACTIONS(24107), 1,
      anon_sym_LBRACK,
    ACTIONS(24109), 1,
      anon_sym_LBRACE,
    STATE(17716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776360] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24111), 1,
      anon_sym_RPAREN,
    STATE(17717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776380] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4623), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24113), 1,
      anon_sym_SEMI,
    STATE(17718), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776400] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20472), 1,
      anon_sym_RBRACE,
    ACTIONS(24115), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776420] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21789), 1,
      anon_sym_RBRACK,
    STATE(17720), 1,
      sym_attribute,
    STATE(17731), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776440] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21789), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776460] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17682), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24117), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17722), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [776478] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24120), 1,
      anon_sym_RPAREN,
    STATE(17723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776498] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22170), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24122), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776518] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12909), 1,
      anon_sym_GT,
    ACTIONS(24124), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776538] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12873), 1,
      anon_sym_GT,
    ACTIONS(24126), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776558] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17727), 1,
      sym_attribute,
    STATE(17803), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [776576] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24128), 1,
      anon_sym_RPAREN,
    STATE(17728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776596] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20466), 1,
      anon_sym_RBRACE,
    ACTIONS(24130), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776616] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(24132), 1,
      anon_sym_RPAREN,
    STATE(17730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776636] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21807), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776656] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21807), 1,
      anon_sym_RBRACK,
    STATE(17732), 1,
      sym_attribute,
    STATE(17735), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776676] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20604), 1,
      anon_sym_RBRACE,
    ACTIONS(24134), 1,
      anon_sym_SEMI,
    STATE(17733), 1,
      sym_attribute,
    STATE(17742), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776696] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24136), 1,
      anon_sym_RPAREN,
    STATE(17734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776716] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21821), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776736] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(24138), 1,
      sym__lowercase_identifier,
    STATE(17736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776756] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21837), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776776] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24140), 1,
      anon_sym_SEMI,
    ACTIONS(24142), 1,
      anon_sym_RBRACE,
    STATE(17738), 1,
      sym_attribute,
    STATE(17753), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776796] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16862), 1,
      sym_attribute_id,
    STATE(17739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [776814] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24144), 1,
      anon_sym_RPAREN,
    STATE(17740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776834] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24146), 1,
      anon_sym_SEMI,
    ACTIONS(24148), 1,
      anon_sym_RBRACE,
    STATE(16603), 1,
      aux_sym_record_expression_repeat1,
    STATE(17741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776854] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20608), 1,
      anon_sym_RBRACE,
    ACTIONS(24150), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776874] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(24152), 1,
      anon_sym_RPAREN,
    STATE(17743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776894] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4189), 1,
      anon_sym_RBRACK,
    ACTIONS(24154), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776914] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21845), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776934] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24156), 1,
      anon_sym_LPAREN,
    ACTIONS(24158), 1,
      anon_sym_LBRACK,
    ACTIONS(24160), 1,
      anon_sym_LBRACE,
    STATE(17746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776954] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21845), 1,
      anon_sym_RBRACK,
    STATE(17747), 1,
      sym_attribute,
    STATE(17765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776974] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24162), 1,
      anon_sym_SEMI,
    ACTIONS(24164), 1,
      anon_sym_GT_RBRACE,
    STATE(17748), 1,
      sym_attribute,
    STATE(17756), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776994] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24166), 1,
      anon_sym_LPAREN,
    ACTIONS(24168), 1,
      anon_sym_LBRACK,
    ACTIONS(24170), 1,
      anon_sym_LBRACE,
    STATE(17749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777014] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24172), 1,
      anon_sym_RPAREN,
    STATE(17750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777034] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20208), 1,
      anon_sym_RBRACE,
    ACTIONS(24174), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777054] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3839), 1,
      anon_sym_RBRACK,
    ACTIONS(24176), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777074] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20497), 1,
      anon_sym_RBRACE,
    ACTIONS(24178), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777094] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21157), 1,
      sym__lowercase_identifier,
    ACTIONS(21161), 1,
      anon_sym_mutable,
    STATE(17463), 1,
      sym_field_declaration,
    STATE(17754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777114] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3845), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24180), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(17755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777134] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21855), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24182), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777154] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16926), 1,
      sym_attribute_id,
    STATE(17757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [777172] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24184), 1,
      anon_sym_RPAREN,
    STATE(17758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777192] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24186), 1,
      anon_sym_LPAREN,
    ACTIONS(24188), 1,
      anon_sym_LBRACK,
    ACTIONS(24190), 1,
      anon_sym_LBRACE,
    STATE(17759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777212] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20504), 1,
      anon_sym_RBRACE,
    ACTIONS(24192), 1,
      anon_sym_SEMI,
    STATE(17760), 1,
      sym_attribute,
    STATE(17768), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777232] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(24194), 1,
      anon_sym_RPAREN,
    STATE(17761), 1,
      sym_attribute,
    STATE(19395), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777252] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(24196), 1,
      anon_sym_RPAREN,
    STATE(17762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777272] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(24198), 1,
      anon_sym_RPAREN,
    STATE(17763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777292] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24200), 1,
      anon_sym_LPAREN,
    ACTIONS(24202), 1,
      anon_sym_LBRACK,
    ACTIONS(24204), 1,
      anon_sym_LBRACE,
    STATE(17764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777312] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21879), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777332] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(24206), 1,
      sym__lowercase_identifier,
    STATE(17766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777352] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24208), 1,
      anon_sym_RPAREN,
    STATE(17767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777372] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20508), 1,
      anon_sym_RBRACE,
    ACTIONS(24210), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777392] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21909), 1,
      anon_sym_RBRACK,
    STATE(16741), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777412] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12925), 1,
      anon_sym_GT,
    ACTIONS(24212), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777432] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24214), 1,
      anon_sym_SEMI,
    ACTIONS(24216), 1,
      anon_sym_RBRACE,
    STATE(17771), 1,
      sym_attribute,
    STATE(17784), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777452] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11351), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17470), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20198), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [777488] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13176), 1,
      sym_module_binding,
    STATE(17774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19626), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [777506] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21909), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777526] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16982), 1,
      sym_attribute_id,
    STATE(17776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [777544] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21485), 1,
      anon_sym_RBRACE,
    ACTIONS(24218), 1,
      anon_sym_SEMI,
    STATE(16986), 1,
      aux_sym_record_declaration_repeat1,
    STATE(17777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777564] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24220), 1,
      anon_sym_SEMI,
    ACTIONS(24222), 1,
      anon_sym_GT_RBRACE,
    STATE(17778), 1,
      sym_attribute,
    STATE(17792), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777584] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24224), 1,
      anon_sym_LPAREN,
    ACTIONS(24226), 1,
      anon_sym_LBRACK,
    ACTIONS(24228), 1,
      anon_sym_LBRACE,
    STATE(17779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777604] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4195), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24230), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(17780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777624] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24232), 1,
      anon_sym_LPAREN,
    ACTIONS(24234), 1,
      anon_sym_LBRACK,
    ACTIONS(24236), 1,
      anon_sym_LBRACE,
    STATE(17781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777644] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24238), 1,
      sym__lowercase_identifier,
    ACTIONS(24240), 1,
      anon_sym_LPAREN,
    STATE(9188), 1,
      sym__simple_value_pattern,
    STATE(17782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777664] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4645), 1,
      anon_sym_RBRACK,
    ACTIONS(24242), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777684] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20634), 1,
      anon_sym_RBRACE,
    ACTIONS(24244), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777704] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12849), 1,
      anon_sym_GT,
    ACTIONS(24246), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777724] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17029), 1,
      sym_attribute_id,
    STATE(17786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [777742] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24248), 1,
      anon_sym_SEMI,
    ACTIONS(24250), 1,
      anon_sym_GT_RBRACE,
    STATE(17505), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777762] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24252), 1,
      anon_sym_EQ,
    STATE(17788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24254), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [777780] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24256), 1,
      anon_sym_LPAREN,
    ACTIONS(24258), 1,
      anon_sym_LBRACK,
    ACTIONS(24260), 1,
      anon_sym_LBRACE,
    STATE(17789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777800] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4647), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24262), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(17790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777820] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24264), 1,
      anon_sym_LPAREN,
    ACTIONS(24266), 1,
      anon_sym_LBRACK,
    ACTIONS(24268), 1,
      anon_sym_LBRACE,
    STATE(17791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777840] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21148), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24270), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777860] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17074), 1,
      sym_attribute_id,
    STATE(17793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [777878] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24272), 1,
      anon_sym_LPAREN,
    ACTIONS(24274), 1,
      anon_sym_LBRACK,
    ACTIONS(24276), 1,
      anon_sym_LBRACE,
    STATE(17794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777898] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24278), 1,
      anon_sym_LPAREN,
    ACTIONS(24280), 1,
      anon_sym_LBRACK,
    ACTIONS(24282), 1,
      anon_sym_LBRACE,
    STATE(17795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777918] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24286), 1,
      anon_sym_LBRACK,
    STATE(17796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24284), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [777936] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24288), 1,
      anon_sym_LPAREN,
    ACTIONS(24290), 1,
      anon_sym_LBRACK,
    ACTIONS(24292), 1,
      anon_sym_LBRACE,
    STATE(17797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777956] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24294), 1,
      anon_sym_RPAREN,
    STATE(17798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777976] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20636), 1,
      anon_sym_RBRACE,
    ACTIONS(24296), 1,
      anon_sym_SEMI,
    STATE(17799), 1,
      sym_attribute,
    STATE(17827), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777996] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24298), 1,
      anon_sym_SEMI,
    ACTIONS(24300), 1,
      anon_sym_RBRACE,
    STATE(17800), 1,
      sym_attribute,
    STATE(17824), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778016] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17104), 1,
      sym_attribute_id,
    STATE(17801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778034] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24302), 1,
      anon_sym_LPAREN,
    ACTIONS(24304), 1,
      anon_sym_LBRACK,
    ACTIONS(24306), 1,
      anon_sym_LBRACE,
    STATE(17802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778054] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24308), 1,
      aux_sym_quoted_extension_token1,
    STATE(17803), 1,
      sym_attribute,
    STATE(20780), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778074] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24310), 1,
      anon_sym_LPAREN,
    ACTIONS(24312), 1,
      anon_sym_LBRACK,
    ACTIONS(24314), 1,
      anon_sym_LBRACE,
    STATE(17804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778094] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(4), 1,
      sym_attribute_id,
    STATE(17805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778112] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24316), 1,
      aux_sym_quoted_extension_token1,
    STATE(17806), 1,
      sym_attribute,
    STATE(20847), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778132] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17130), 1,
      sym_attribute_id,
    STATE(17807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778150] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24318), 1,
      anon_sym_LPAREN,
    ACTIONS(24320), 1,
      anon_sym_LBRACK,
    ACTIONS(24322), 1,
      anon_sym_LBRACE,
    STATE(17808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778170] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24324), 1,
      anon_sym_LPAREN,
    ACTIONS(24326), 1,
      anon_sym_LBRACK,
    ACTIONS(24328), 1,
      anon_sym_LBRACE,
    STATE(17809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778190] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24330), 1,
      anon_sym_SEMI,
    ACTIONS(24332), 1,
      anon_sym_GT_RBRACE,
    STATE(17810), 1,
      sym_attribute,
    STATE(17833), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778210] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17806), 1,
      sym_attribute_id,
    STATE(17811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778228] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17161), 1,
      sym_attribute_id,
    STATE(17812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778246] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24334), 1,
      anon_sym_LPAREN,
    ACTIONS(24336), 1,
      anon_sym_LBRACK,
    ACTIONS(24338), 1,
      anon_sym_LBRACE,
    STATE(17813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778266] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24340), 1,
      anon_sym_LPAREN,
    ACTIONS(24342), 1,
      anon_sym_LBRACK,
    ACTIONS(24344), 1,
      anon_sym_LBRACE,
    STATE(17814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778286] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13652), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [778302] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17181), 1,
      sym_attribute_id,
    STATE(17816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778320] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(24346), 1,
      sym__lowercase_identifier,
    STATE(17817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778340] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24348), 1,
      anon_sym_LPAREN,
    ACTIONS(24350), 1,
      anon_sym_LBRACK,
    ACTIONS(24352), 1,
      anon_sym_LBRACE,
    STATE(17818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778360] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24354), 1,
      anon_sym_LPAREN,
    ACTIONS(24356), 1,
      anon_sym_LBRACK,
    ACTIONS(24358), 1,
      anon_sym_LBRACE,
    STATE(17819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778380] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17204), 1,
      sym_attribute_id,
    STATE(17820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778398] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3989), 1,
      anon_sym_RBRACK,
    ACTIONS(24360), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778418] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24362), 1,
      anon_sym_RPAREN,
    STATE(17822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778438] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24364), 1,
      anon_sym_LPAREN,
    ACTIONS(24366), 1,
      anon_sym_LBRACK,
    ACTIONS(24368), 1,
      anon_sym_LBRACE,
    STATE(17823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778458] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20544), 1,
      anon_sym_RBRACE,
    ACTIONS(24370), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778478] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24372), 1,
      anon_sym_LPAREN,
    ACTIONS(24374), 1,
      anon_sym_LBRACK,
    ACTIONS(24376), 1,
      anon_sym_LBRACE,
    STATE(17825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778498] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17233), 1,
      sym_attribute_id,
    STATE(17826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778516] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20096), 1,
      anon_sym_RBRACE,
    ACTIONS(24378), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778536] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3995), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24380), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(17828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778556] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24382), 1,
      anon_sym_LPAREN,
    ACTIONS(24384), 1,
      anon_sym_LBRACK,
    ACTIONS(24386), 1,
      anon_sym_LBRACE,
    STATE(17829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778576] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4157), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24388), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(17830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778596] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24390), 1,
      anon_sym_LPAREN,
    ACTIONS(24392), 1,
      anon_sym_LBRACK,
    ACTIONS(24394), 1,
      anon_sym_LBRACE,
    STATE(17831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778616] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17261), 1,
      sym_attribute_id,
    STATE(17832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778634] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21988), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24396), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778654] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24398), 1,
      anon_sym_LPAREN,
    ACTIONS(24400), 1,
      anon_sym_LBRACK,
    ACTIONS(24402), 1,
      anon_sym_LBRACE,
    STATE(17834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778674] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24404), 1,
      anon_sym_LPAREN,
    ACTIONS(24406), 1,
      anon_sym_LBRACK,
    ACTIONS(24408), 1,
      anon_sym_LBRACE,
    STATE(17835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778694] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17277), 1,
      sym_attribute_id,
    STATE(17836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778712] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24410), 1,
      anon_sym_SEMI,
    ACTIONS(24412), 1,
      anon_sym_RBRACE,
    STATE(17837), 1,
      sym_attribute,
    STATE(17924), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778732] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24414), 1,
      anon_sym_LPAREN,
    ACTIONS(24416), 1,
      anon_sym_LBRACK,
    ACTIONS(24418), 1,
      anon_sym_LBRACE,
    STATE(17838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778752] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24420), 1,
      anon_sym_LPAREN,
    ACTIONS(24422), 1,
      anon_sym_LBRACK,
    ACTIONS(24424), 1,
      anon_sym_LBRACE,
    STATE(17839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778772] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17295), 1,
      sym_attribute_id,
    STATE(17840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778790] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24426), 1,
      anon_sym_SEMI,
    ACTIONS(24428), 1,
      anon_sym_RBRACE,
    STATE(17841), 1,
      sym_attribute,
    STATE(17987), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778810] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24430), 1,
      anon_sym_LPAREN,
    ACTIONS(24432), 1,
      anon_sym_LBRACK,
    ACTIONS(24434), 1,
      anon_sym_LBRACE,
    STATE(17842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778830] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9485), 1,
      sym_attribute_id,
    STATE(17843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24436), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778848] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24438), 1,
      anon_sym_LPAREN,
    ACTIONS(24440), 1,
      anon_sym_LBRACK,
    ACTIONS(24442), 1,
      anon_sym_LBRACE,
    STATE(17844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778868] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17314), 1,
      sym_attribute_id,
    STATE(17845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778886] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24444), 1,
      anon_sym_SEMI,
    ACTIONS(24446), 1,
      anon_sym_RBRACE,
    STATE(17846), 1,
      sym_attribute,
    STATE(18088), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778906] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24448), 1,
      anon_sym_LPAREN,
    ACTIONS(24450), 1,
      anon_sym_LBRACK,
    ACTIONS(24452), 1,
      anon_sym_LBRACE,
    STATE(17847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778926] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24454), 1,
      anon_sym_LPAREN,
    ACTIONS(24456), 1,
      anon_sym_LBRACK,
    ACTIONS(24458), 1,
      anon_sym_LBRACE,
    STATE(17848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778946] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17326), 1,
      sym_attribute_id,
    STATE(17849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778964] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24460), 1,
      anon_sym_SEMI,
    ACTIONS(24462), 1,
      anon_sym_RBRACE,
    STATE(17850), 1,
      sym_attribute,
    STATE(17885), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778984] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24464), 1,
      anon_sym_LPAREN,
    ACTIONS(24466), 1,
      anon_sym_LBRACK,
    ACTIONS(24468), 1,
      anon_sym_LBRACE,
    STATE(17851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779004] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24470), 1,
      anon_sym_LPAREN,
    ACTIONS(24472), 1,
      anon_sym_LBRACK,
    ACTIONS(24474), 1,
      anon_sym_LBRACE,
    STATE(17852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779024] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24476), 1,
      anon_sym_RPAREN,
    STATE(17853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779044] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17340), 1,
      sym_attribute_id,
    STATE(17854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779062] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20550), 1,
      anon_sym_RBRACE,
    ACTIONS(24478), 1,
      anon_sym_SEMI,
    STATE(17855), 1,
      sym_attribute,
    STATE(17881), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779082] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24480), 1,
      sym__lowercase_identifier,
    ACTIONS(24482), 1,
      anon_sym_LPAREN,
    STATE(8680), 1,
      sym__simple_value_pattern,
    STATE(17856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779102] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24484), 1,
      anon_sym_LPAREN,
    ACTIONS(24486), 1,
      anon_sym_LBRACK,
    ACTIONS(24488), 1,
      anon_sym_LBRACE,
    STATE(17857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779122] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24490), 1,
      anon_sym_LPAREN,
    ACTIONS(24492), 1,
      anon_sym_LBRACK,
    ACTIONS(24494), 1,
      anon_sym_LBRACE,
    STATE(17858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779142] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17355), 1,
      sym_attribute_id,
    STATE(17859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779160] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24496), 1,
      anon_sym_LPAREN,
    ACTIONS(24498), 1,
      anon_sym_LBRACK,
    ACTIONS(24500), 1,
      anon_sym_LBRACE,
    STATE(17860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779180] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19228), 1,
      anon_sym_SEMI,
    ACTIONS(19230), 1,
      anon_sym_GT,
    STATE(17861), 1,
      sym_attribute,
    STATE(17906), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779200] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24502), 1,
      anon_sym_LPAREN,
    ACTIONS(24504), 1,
      anon_sym_LBRACK,
    ACTIONS(24506), 1,
      anon_sym_LBRACE,
    STATE(17862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779220] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17372), 1,
      sym_attribute_id,
    STATE(17863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779238] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24508), 1,
      anon_sym_SEMI,
    ACTIONS(24510), 1,
      anon_sym_GT_RBRACE,
    STATE(17864), 1,
      sym_attribute,
    STATE(17912), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779258] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24512), 1,
      anon_sym_LPAREN,
    ACTIONS(24514), 1,
      anon_sym_LBRACK,
    ACTIONS(24516), 1,
      anon_sym_LBRACE,
    STATE(17865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779278] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24518), 1,
      anon_sym_LPAREN,
    ACTIONS(24520), 1,
      anon_sym_LBRACK,
    ACTIONS(24522), 1,
      anon_sym_LBRACE,
    STATE(17866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779298] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17386), 1,
      sym_attribute_id,
    STATE(17867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779316] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24524), 1,
      anon_sym_SEMI,
    ACTIONS(24526), 1,
      anon_sym_GT_RBRACE,
    STATE(17868), 1,
      sym_attribute,
    STATE(18021), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779336] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24528), 1,
      anon_sym_LPAREN,
    ACTIONS(24530), 1,
      anon_sym_LBRACK,
    ACTIONS(24532), 1,
      anon_sym_LBRACE,
    STATE(17869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779356] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24534), 1,
      anon_sym_LPAREN,
    ACTIONS(24536), 1,
      anon_sym_LBRACK,
    ACTIONS(24538), 1,
      anon_sym_LBRACE,
    STATE(17870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779376] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17405), 1,
      sym_attribute_id,
    STATE(17871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779394] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24540), 1,
      anon_sym_SEMI,
    ACTIONS(24542), 1,
      anon_sym_RBRACE,
    STATE(17872), 1,
      sym_attribute,
    STATE(17925), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779414] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24544), 1,
      anon_sym_SEMI,
    ACTIONS(24546), 1,
      anon_sym_RBRACE,
    STATE(17873), 1,
      sym_attribute,
    STATE(17905), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779434] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(24548), 1,
      sym__lowercase_identifier,
    STATE(17874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779454] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24550), 1,
      anon_sym_LPAREN,
    ACTIONS(24552), 1,
      anon_sym_LBRACK,
    ACTIONS(24554), 1,
      anon_sym_LBRACE,
    STATE(17875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779474] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24556), 1,
      anon_sym_LPAREN,
    ACTIONS(24558), 1,
      anon_sym_LBRACK,
    ACTIONS(24560), 1,
      anon_sym_LBRACE,
    STATE(17876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779494] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24562), 1,
      anon_sym_RPAREN,
    STATE(17877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779514] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17413), 1,
      sym_attribute_id,
    STATE(17878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779532] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(24564), 1,
      anon_sym_RPAREN,
    STATE(17879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779552] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24566), 1,
      anon_sym_LPAREN,
    ACTIONS(24568), 1,
      anon_sym_LBRACK,
    ACTIONS(24570), 1,
      anon_sym_LBRACE,
    STATE(17880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779572] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20560), 1,
      anon_sym_RBRACE,
    ACTIONS(24572), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779592] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24574), 1,
      anon_sym_LPAREN,
    ACTIONS(24576), 1,
      anon_sym_LBRACK,
    ACTIONS(24578), 1,
      anon_sym_LBRACE,
    STATE(17882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779612] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17421), 1,
      sym_attribute_id,
    STATE(17883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779630] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4187), 1,
      anon_sym_RBRACK,
    ACTIONS(24580), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779650] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20564), 1,
      anon_sym_RBRACE,
    ACTIONS(24582), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779670] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24584), 1,
      anon_sym_LPAREN,
    ACTIONS(24586), 1,
      anon_sym_LBRACK,
    ACTIONS(24588), 1,
      anon_sym_LBRACE,
    STATE(17886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779690] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24590), 1,
      anon_sym_SEMI,
    ACTIONS(24592), 1,
      anon_sym_GT_RBRACE,
    STATE(17887), 1,
      sym_attribute,
    STATE(17932), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779710] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24594), 1,
      anon_sym_LPAREN,
    ACTIONS(24596), 1,
      anon_sym_LBRACK,
    ACTIONS(24598), 1,
      anon_sym_LBRACE,
    STATE(17888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779730] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17427), 1,
      sym_attribute_id,
    STATE(17889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779748] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24600), 1,
      anon_sym_LPAREN,
    ACTIONS(24602), 1,
      anon_sym_LBRACK,
    ACTIONS(24604), 1,
      anon_sym_LBRACE,
    STATE(17890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779768] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24606), 1,
      anon_sym_LPAREN,
    ACTIONS(24608), 1,
      anon_sym_LBRACK,
    ACTIONS(24610), 1,
      anon_sym_LBRACE,
    STATE(17891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779788] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17432), 1,
      sym_attribute_id,
    STATE(17892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779806] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21098), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779826] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24612), 1,
      anon_sym_LPAREN,
    ACTIONS(24614), 1,
      anon_sym_LBRACK,
    ACTIONS(24616), 1,
      anon_sym_LBRACE,
    STATE(17894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779846] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24618), 1,
      anon_sym_SEMI,
    ACTIONS(24620), 1,
      anon_sym_RBRACE,
    STATE(17895), 1,
      sym_attribute,
    STATE(17959), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779866] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24622), 1,
      anon_sym_LPAREN,
    ACTIONS(24624), 1,
      anon_sym_LBRACK,
    ACTIONS(24626), 1,
      anon_sym_LBRACE,
    STATE(17896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779886] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21098), 1,
      anon_sym_RBRACK,
    STATE(17897), 1,
      sym_attribute,
    STATE(18084), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779906] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17441), 1,
      sym_attribute_id,
    STATE(17898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779924] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3913), 1,
      anon_sym_RBRACK,
    ACTIONS(24628), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779944] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4205), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24630), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(17900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779964] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24632), 1,
      anon_sym_LPAREN,
    ACTIONS(24634), 1,
      anon_sym_LBRACK,
    ACTIONS(24636), 1,
      anon_sym_LBRACE,
    STATE(17901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779984] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24638), 1,
      anon_sym_LPAREN,
    ACTIONS(24640), 1,
      anon_sym_LBRACK,
    ACTIONS(24642), 1,
      anon_sym_LBRACE,
    STATE(17902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780004] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16015), 1,
      anon_sym_in,
    ACTIONS(22346), 1,
      anon_sym_and,
    STATE(16634), 1,
      aux_sym_module_definition_repeat1,
    STATE(17903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780024] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17447), 1,
      sym_attribute_id,
    STATE(17904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780042] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20116), 1,
      anon_sym_RBRACE,
    ACTIONS(24644), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780062] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13116), 1,
      anon_sym_GT,
    ACTIONS(24646), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780082] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4497), 1,
      anon_sym_RBRACK,
    ACTIONS(24648), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780102] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24650), 1,
      anon_sym_LPAREN,
    ACTIONS(24652), 1,
      anon_sym_LBRACK,
    ACTIONS(24654), 1,
      anon_sym_LBRACE,
    STATE(17908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780122] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24656), 1,
      anon_sym_LPAREN,
    ACTIONS(24658), 1,
      anon_sym_LBRACK,
    ACTIONS(24660), 1,
      anon_sym_LBRACE,
    STATE(17909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780142] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17454), 1,
      sym_attribute_id,
    STATE(17910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780160] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3915), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24662), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(17911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780180] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22064), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24664), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780200] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24666), 1,
      anon_sym_LPAREN,
    ACTIONS(24668), 1,
      anon_sym_LBRACK,
    ACTIONS(24670), 1,
      anon_sym_LBRACE,
    STATE(17913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780220] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24672), 1,
      anon_sym_LPAREN,
    ACTIONS(24674), 1,
      anon_sym_LBRACK,
    ACTIONS(24676), 1,
      anon_sym_LBRACE,
    STATE(17914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780240] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24678), 1,
      anon_sym_SEMI,
    ACTIONS(24680), 1,
      anon_sym_GT_RBRACE,
    STATE(17915), 1,
      sym_attribute,
    STATE(18101), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780260] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17916), 1,
      sym_attribute,
    STATE(19071), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20316), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [780278] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17462), 1,
      sym_attribute_id,
    STATE(17917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780296] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16015), 1,
      anon_sym_in,
    ACTIONS(22346), 1,
      anon_sym_and,
    STATE(17042), 1,
      aux_sym_module_definition_repeat1,
    STATE(17918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780316] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(24682), 1,
      anon_sym_RPAREN,
    STATE(17919), 1,
      sym_attribute,
    STATE(22021), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780336] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17064), 1,
      sym_module_binding,
    STATE(17920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20316), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [780354] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24684), 1,
      anon_sym_LPAREN,
    ACTIONS(24686), 1,
      anon_sym_LBRACK,
    ACTIONS(24688), 1,
      anon_sym_LBRACE,
    STATE(17921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780374] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9850), 1,
      anon_sym_RBRACK,
    ACTIONS(24690), 1,
      anon_sym_SEMI,
    STATE(17329), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780394] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24692), 1,
      anon_sym_LPAREN,
    ACTIONS(24694), 1,
      anon_sym_LBRACK,
    ACTIONS(24696), 1,
      anon_sym_LBRACE,
    STATE(17923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780414] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20118), 1,
      anon_sym_RBRACE,
    ACTIONS(24698), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780434] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20036), 1,
      anon_sym_RBRACE,
    ACTIONS(24700), 1,
      anon_sym_SEMI,
    STATE(17350), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(17925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780454] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17468), 1,
      sym_attribute_id,
    STATE(17926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780472] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24702), 1,
      anon_sym_SEMI,
    ACTIONS(24704), 1,
      anon_sym_GT_RBRACE,
    STATE(16593), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780492] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9852), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24706), 1,
      anon_sym_SEMI,
    STATE(16744), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780512] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24708), 1,
      anon_sym_LPAREN,
    ACTIONS(24710), 1,
      anon_sym_LBRACK,
    ACTIONS(24712), 1,
      anon_sym_LBRACE,
    STATE(17929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780532] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24714), 1,
      anon_sym_LPAREN,
    ACTIONS(24716), 1,
      anon_sym_LBRACK,
    ACTIONS(24718), 1,
      anon_sym_LBRACE,
    STATE(17930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780552] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17475), 1,
      sym_attribute_id,
    STATE(17931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780570] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21116), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24720), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780590] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24722), 1,
      anon_sym_RPAREN,
    STATE(17933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780610] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24724), 1,
      anon_sym_LPAREN,
    ACTIONS(24726), 1,
      anon_sym_LBRACK,
    ACTIONS(24728), 1,
      anon_sym_LBRACE,
    STATE(17934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780630] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24730), 1,
      anon_sym_LPAREN,
    ACTIONS(24732), 1,
      anon_sym_LBRACK,
    ACTIONS(24734), 1,
      anon_sym_LBRACE,
    STATE(17935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780650] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17485), 1,
      sym_attribute_id,
    STATE(17936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780668] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13762), 1,
      anon_sym_RPAREN,
    STATE(17937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24736), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [780686] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20578), 1,
      anon_sym_RBRACE,
    ACTIONS(24738), 1,
      anon_sym_SEMI,
    STATE(17938), 1,
      sym_attribute,
    STATE(17985), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780706] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24740), 1,
      anon_sym_LPAREN,
    ACTIONS(24742), 1,
      anon_sym_LBRACK,
    ACTIONS(24744), 1,
      anon_sym_LBRACE,
    STATE(17939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780726] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24746), 1,
      anon_sym_LPAREN,
    ACTIONS(24748), 1,
      anon_sym_LBRACK,
    ACTIONS(24750), 1,
      anon_sym_LBRACE,
    STATE(17940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17492), 1,
      sym_attribute_id,
    STATE(17941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780764] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(24752), 1,
      anon_sym_RBRACK,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(17942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780784] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24754), 1,
      anon_sym_LPAREN,
    ACTIONS(24756), 1,
      anon_sym_LBRACK,
    ACTIONS(24758), 1,
      anon_sym_LBRACE,
    STATE(17943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780804] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24760), 1,
      anon_sym_RPAREN,
    STATE(17944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780824] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24762), 1,
      anon_sym_LPAREN,
    ACTIONS(24764), 1,
      anon_sym_LBRACK,
    ACTIONS(24766), 1,
      anon_sym_LBRACE,
    STATE(17945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780844] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17499), 1,
      sym_attribute_id,
    STATE(17946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780862] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11292), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17947), 1,
      sym_attribute,
    STATE(17996), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780882] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20120), 1,
      anon_sym_RBRACE,
    ACTIONS(24768), 1,
      anon_sym_SEMI,
    STATE(17948), 1,
      sym_attribute,
    STATE(17978), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780902] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24770), 1,
      anon_sym_LPAREN,
    ACTIONS(24772), 1,
      anon_sym_LBRACK,
    ACTIONS(24774), 1,
      anon_sym_LBRACE,
    STATE(17949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780922] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19402), 1,
      anon_sym_SEMI,
    ACTIONS(19404), 1,
      anon_sym_GT,
    STATE(17950), 1,
      sym_attribute,
    STATE(17998), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780942] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24776), 1,
      anon_sym_LPAREN,
    ACTIONS(24778), 1,
      anon_sym_LBRACK,
    ACTIONS(24780), 1,
      anon_sym_LBRACE,
    STATE(17951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780962] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17507), 1,
      sym_attribute_id,
    STATE(17952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780980] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22488), 1,
      anon_sym_COLON2,
    ACTIONS(24782), 1,
      anon_sym_RPAREN,
    STATE(17953), 1,
      sym_attribute,
    STATE(22096), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781000] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24784), 1,
      anon_sym_RPAREN,
    STATE(17954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781020] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24786), 1,
      anon_sym_LPAREN,
    ACTIONS(24788), 1,
      anon_sym_LBRACK,
    ACTIONS(24790), 1,
      anon_sym_LBRACE,
    STATE(17955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781040] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24792), 1,
      anon_sym_LPAREN,
    ACTIONS(24794), 1,
      anon_sym_LBRACK,
    ACTIONS(24796), 1,
      anon_sym_LBRACE,
    STATE(17956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781060] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9400), 1,
      anon_sym_RBRACK,
    ACTIONS(24798), 1,
      anon_sym_SEMI,
    STATE(16977), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781080] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17512), 1,
      sym_attribute_id,
    STATE(17958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781098] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20040), 1,
      anon_sym_RBRACE,
    ACTIONS(24800), 1,
      anon_sym_SEMI,
    STATE(17006), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781118] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9848), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24802), 1,
      anon_sym_SEMI,
    STATE(16744), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781138] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9402), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24804), 1,
      anon_sym_SEMI,
    STATE(16753), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781158] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24806), 1,
      anon_sym_LPAREN,
    ACTIONS(24808), 1,
      anon_sym_LBRACK,
    ACTIONS(24810), 1,
      anon_sym_LBRACE,
    STATE(17962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781178] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24812), 1,
      anon_sym_LPAREN,
    ACTIONS(24814), 1,
      anon_sym_LBRACK,
    ACTIONS(24816), 1,
      anon_sym_LBRACE,
    STATE(17963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17520), 1,
      sym_attribute_id,
    STATE(17964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781216] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4631), 1,
      anon_sym_RBRACK,
    ACTIONS(24818), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(17965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781236] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(24820), 1,
      sym__lowercase_identifier,
    STATE(17966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781256] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24822), 1,
      anon_sym_LPAREN,
    ACTIONS(24824), 1,
      anon_sym_LBRACK,
    ACTIONS(24826), 1,
      anon_sym_LBRACE,
    STATE(17967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781276] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24828), 1,
      anon_sym_LPAREN,
    ACTIONS(24830), 1,
      anon_sym_LBRACK,
    ACTIONS(24832), 1,
      anon_sym_LBRACE,
    STATE(17968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781296] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17527), 1,
      sym_attribute_id,
    STATE(17969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781314] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(24834), 1,
      sym__lowercase_identifier,
    STATE(17970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781334] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24836), 1,
      anon_sym_LPAREN,
    ACTIONS(24838), 1,
      anon_sym_LBRACK,
    ACTIONS(24840), 1,
      anon_sym_LBRACE,
    STATE(17971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781354] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24842), 1,
      anon_sym_LPAREN,
    ACTIONS(24844), 1,
      anon_sym_LBRACK,
    ACTIONS(24846), 1,
      anon_sym_LBRACE,
    STATE(17972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781374] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(24848), 1,
      anon_sym_RPAREN,
    STATE(17973), 1,
      sym_attribute,
    STATE(22124), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781394] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17531), 1,
      sym_attribute_id,
    STATE(17974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781412] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24850), 1,
      anon_sym_RPAREN,
    STATE(17975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781432] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(20018), 1,
      anon_sym_RBRACK,
    STATE(17976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781452] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24852), 1,
      anon_sym_LPAREN,
    ACTIONS(24854), 1,
      anon_sym_LBRACK,
    ACTIONS(24856), 1,
      anon_sym_LBRACE,
    STATE(17977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781472] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20122), 1,
      anon_sym_RBRACE,
    ACTIONS(24858), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781492] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24860), 1,
      anon_sym_LPAREN,
    ACTIONS(24862), 1,
      anon_sym_LBRACK,
    ACTIONS(24864), 1,
      anon_sym_LBRACE,
    STATE(17979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781512] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17540), 1,
      sym_attribute_id,
    STATE(17980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781530] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(24866), 1,
      anon_sym_RPAREN,
    STATE(17981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781550] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4509), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24868), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(17982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781570] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24870), 1,
      anon_sym_LPAREN,
    ACTIONS(24872), 1,
      anon_sym_LBRACK,
    ACTIONS(24874), 1,
      anon_sym_LBRACE,
    STATE(17983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781590] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24876), 1,
      anon_sym_LPAREN,
    ACTIONS(24878), 1,
      anon_sym_LBRACK,
    ACTIONS(24880), 1,
      anon_sym_LBRACE,
    STATE(17984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781610] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      anon_sym_RBRACE,
    ACTIONS(24882), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17549), 1,
      sym_attribute_id,
    STATE(17986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781648] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20586), 1,
      anon_sym_RBRACE,
    ACTIONS(24884), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(17987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781668] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24886), 1,
      anon_sym_LPAREN,
    ACTIONS(24888), 1,
      anon_sym_LBRACK,
    ACTIONS(24890), 1,
      anon_sym_LBRACE,
    STATE(17988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781688] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24892), 1,
      anon_sym_LPAREN,
    ACTIONS(24894), 1,
      anon_sym_LBRACK,
    ACTIONS(24896), 1,
      anon_sym_LBRACE,
    STATE(17989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781708] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17559), 1,
      sym_attribute_id,
    STATE(17990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5), 1,
      sym_attribute_id,
    STATE(17991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781744] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(24898), 1,
      anon_sym_RPAREN,
    STATE(17992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781764] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24900), 1,
      anon_sym_LPAREN,
    ACTIONS(24902), 1,
      anon_sym_LBRACK,
    ACTIONS(24904), 1,
      anon_sym_LBRACE,
    STATE(17993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781784] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22130), 1,
      anon_sym_RBRACK,
    STATE(17994), 1,
      sym_attribute,
    STATE(18019), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781804] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24906), 1,
      anon_sym_LPAREN,
    ACTIONS(24908), 1,
      anon_sym_LBRACK,
    ACTIONS(24910), 1,
      anon_sym_LBRACE,
    STATE(17995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781824] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22130), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781844] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17569), 1,
      sym_attribute_id,
    STATE(17997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781862] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13182), 1,
      anon_sym_GT,
    ACTIONS(24912), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      aux_sym_object_type_repeat1,
    STATE(17998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781882] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24914), 1,
      anon_sym_LPAREN,
    ACTIONS(24916), 1,
      anon_sym_LBRACK,
    ACTIONS(24918), 1,
      anon_sym_LBRACE,
    STATE(17999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781902] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24920), 1,
      anon_sym_SEMI,
    ACTIONS(24922), 1,
      anon_sym_RBRACE,
    STATE(18000), 1,
      sym_attribute,
    STATE(18081), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781922] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24924), 1,
      anon_sym_LPAREN,
    ACTIONS(24926), 1,
      anon_sym_LBRACK,
    ACTIONS(24928), 1,
      anon_sym_LBRACE,
    STATE(18001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781942] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17578), 1,
      sym_attribute_id,
    STATE(18002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781960] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24930), 1,
      anon_sym_LPAREN,
    ACTIONS(24932), 1,
      anon_sym_LBRACK,
    ACTIONS(24934), 1,
      anon_sym_LBRACE,
    STATE(18003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781980] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24936), 1,
      anon_sym_LPAREN,
    ACTIONS(24938), 1,
      anon_sym_LBRACK,
    ACTIONS(24940), 1,
      anon_sym_LBRACE,
    STATE(18004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782000] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17588), 1,
      sym_attribute_id,
    STATE(18005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782018] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24942), 1,
      anon_sym_LPAREN,
    ACTIONS(24944), 1,
      anon_sym_LBRACK,
    ACTIONS(24946), 1,
      anon_sym_LBRACE,
    STATE(18006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782038] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24948), 1,
      anon_sym_LPAREN,
    ACTIONS(24950), 1,
      anon_sym_LBRACK,
    ACTIONS(24952), 1,
      anon_sym_LBRACE,
    STATE(18007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782058] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17594), 1,
      sym_attribute_id,
    STATE(18008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782076] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21262), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24954), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782096] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24956), 1,
      anon_sym_LPAREN,
    ACTIONS(24958), 1,
      anon_sym_LBRACK,
    ACTIONS(24960), 1,
      anon_sym_LBRACE,
    STATE(18010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782116] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24962), 1,
      anon_sym_LPAREN,
    ACTIONS(24964), 1,
      anon_sym_LBRACK,
    ACTIONS(24966), 1,
      anon_sym_LBRACE,
    STATE(18011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782136] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4347), 1,
      anon_sym_RBRACK,
    ACTIONS(24968), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(18012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782156] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17603), 1,
      sym_attribute_id,
    STATE(18013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782174] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24970), 1,
      anon_sym_LPAREN,
    ACTIONS(24972), 1,
      anon_sym_LBRACK,
    ACTIONS(24974), 1,
      anon_sym_LBRACE,
    STATE(18014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782194] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24976), 1,
      anon_sym_SEMI,
    ACTIONS(24978), 1,
      anon_sym_GT_RBRACE,
    STATE(18015), 1,
      sym_attribute,
    STATE(18087), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782214] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24980), 1,
      anon_sym_LPAREN,
    ACTIONS(24982), 1,
      anon_sym_LBRACK,
    ACTIONS(24984), 1,
      anon_sym_LBRACE,
    STATE(18016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782234] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20956), 1,
      anon_sym_DASH_GT,
    ACTIONS(20958), 1,
      anon_sym_with,
    ACTIONS(24986), 1,
      anon_sym_RPAREN,
    STATE(18017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782254] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17606), 1,
      sym_attribute_id,
    STATE(18018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782272] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22162), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782292] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(22162), 1,
      anon_sym_RBRACK,
    STATE(16631), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782312] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21270), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24988), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782332] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24990), 1,
      anon_sym_LPAREN,
    ACTIONS(24992), 1,
      anon_sym_LBRACK,
    ACTIONS(24994), 1,
      anon_sym_LBRACE,
    STATE(18022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782352] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24996), 1,
      anon_sym_LPAREN,
    ACTIONS(24998), 1,
      anon_sym_LBRACK,
    ACTIONS(25000), 1,
      anon_sym_LBRACE,
    STATE(18023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782372] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17612), 1,
      sym_attribute_id,
    STATE(18024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782390] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25002), 1,
      anon_sym_LPAREN,
    ACTIONS(25004), 1,
      anon_sym_LBRACK,
    ACTIONS(25006), 1,
      anon_sym_LBRACE,
    STATE(18025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782410] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(25008), 1,
      anon_sym_RPAREN,
    STATE(18026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782430] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17616), 1,
      sym_attribute_id,
    STATE(18027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782448] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25010), 1,
      anon_sym_LPAREN,
    ACTIONS(25012), 1,
      anon_sym_LBRACK,
    ACTIONS(25014), 1,
      anon_sym_LBRACE,
    STATE(18028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782468] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(24752), 1,
      anon_sym_RBRACK,
    STATE(16708), 1,
      aux_sym__type_params_repeat1,
    STATE(18029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782488] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17619), 1,
      sym_attribute_id,
    STATE(18030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782506] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25016), 1,
      anon_sym_LPAREN,
    ACTIONS(25018), 1,
      anon_sym_LBRACK,
    ACTIONS(25020), 1,
      anon_sym_LBRACE,
    STATE(18031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782526] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17621), 1,
      sym_attribute_id,
    STATE(18032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782544] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25022), 1,
      anon_sym_LPAREN,
    ACTIONS(25024), 1,
      anon_sym_LBRACK,
    ACTIONS(25026), 1,
      anon_sym_LBRACE,
    STATE(18033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782564] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17623), 1,
      sym_attribute_id,
    STATE(18034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782582] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25028), 1,
      anon_sym_LPAREN,
    ACTIONS(25030), 1,
      anon_sym_LBRACK,
    ACTIONS(25032), 1,
      anon_sym_LBRACE,
    STATE(18035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782602] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17625), 1,
      sym_attribute_id,
    STATE(18036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782620] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25034), 1,
      anon_sym_LPAREN,
    ACTIONS(25036), 1,
      anon_sym_LBRACK,
    ACTIONS(25038), 1,
      anon_sym_LBRACE,
    STATE(18037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782640] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17628), 1,
      sym_attribute_id,
    STATE(18038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782658] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25040), 1,
      anon_sym_LPAREN,
    ACTIONS(25042), 1,
      anon_sym_LBRACK,
    ACTIONS(25044), 1,
      anon_sym_LBRACE,
    STATE(18039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782678] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17631), 1,
      sym_attribute_id,
    STATE(18040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782696] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25046), 1,
      anon_sym_LPAREN,
    ACTIONS(25048), 1,
      anon_sym_LBRACK,
    ACTIONS(25050), 1,
      anon_sym_LBRACE,
    STATE(18041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782716] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17634), 1,
      sym_attribute_id,
    STATE(18042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782734] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25052), 1,
      anon_sym_LPAREN,
    ACTIONS(25054), 1,
      anon_sym_LBRACK,
    ACTIONS(25056), 1,
      anon_sym_LBRACE,
    STATE(18043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782754] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17636), 1,
      sym_attribute_id,
    STATE(18044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782772] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25058), 1,
      anon_sym_LPAREN,
    ACTIONS(25060), 1,
      anon_sym_LBRACK,
    ACTIONS(25062), 1,
      anon_sym_LBRACE,
    STATE(18045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782792] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17639), 1,
      sym_attribute_id,
    STATE(18046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782810] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25064), 1,
      anon_sym_LPAREN,
    ACTIONS(25066), 1,
      anon_sym_LBRACK,
    ACTIONS(25068), 1,
      anon_sym_LBRACE,
    STATE(18047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782830] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17642), 1,
      sym_attribute_id,
    STATE(18048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782848] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25070), 1,
      anon_sym_LPAREN,
    ACTIONS(25072), 1,
      anon_sym_LBRACK,
    ACTIONS(25074), 1,
      anon_sym_LBRACE,
    STATE(18049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782868] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17644), 1,
      sym_attribute_id,
    STATE(18050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782886] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25076), 1,
      anon_sym_LPAREN,
    ACTIONS(25078), 1,
      anon_sym_LBRACK,
    ACTIONS(25080), 1,
      anon_sym_LBRACE,
    STATE(18051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782906] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17646), 1,
      sym_attribute_id,
    STATE(18052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782924] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25082), 1,
      anon_sym_LPAREN,
    ACTIONS(25084), 1,
      anon_sym_LBRACK,
    ACTIONS(25086), 1,
      anon_sym_LBRACE,
    STATE(18053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782944] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17648), 1,
      sym_attribute_id,
    STATE(18054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782962] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17650), 1,
      sym_attribute_id,
    STATE(18055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782980] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17652), 1,
      sym_attribute_id,
    STATE(18056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782998] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17654), 1,
      sym_attribute_id,
    STATE(18057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783016] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17656), 1,
      sym_attribute_id,
    STATE(18058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783034] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17658), 1,
      sym_attribute_id,
    STATE(18059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783052] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17660), 1,
      sym_attribute_id,
    STATE(18060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783070] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17662), 1,
      sym_attribute_id,
    STATE(18061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783088] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17664), 1,
      sym_attribute_id,
    STATE(18062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783106] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17666), 1,
      sym_attribute_id,
    STATE(18063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783124] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17668), 1,
      sym_attribute_id,
    STATE(18064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783142] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17670), 1,
      sym_attribute_id,
    STATE(18065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783160] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17672), 1,
      sym_attribute_id,
    STATE(18066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783178] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17674), 1,
      sym_attribute_id,
    STATE(18067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783196] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17676), 1,
      sym_attribute_id,
    STATE(18068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783214] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17678), 1,
      sym_attribute_id,
    STATE(18069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17680), 1,
      sym_attribute_id,
    STATE(18070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783250] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17682), 1,
      sym_attribute_id,
    STATE(18071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783268] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17684), 1,
      sym_attribute_id,
    STATE(18072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783286] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17686), 1,
      sym_attribute_id,
    STATE(18073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17688), 1,
      sym_attribute_id,
    STATE(18074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783322] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17690), 1,
      sym_attribute_id,
    STATE(18075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783340] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17692), 1,
      sym_attribute_id,
    STATE(18076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783358] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17706), 1,
      sym_attribute_id,
    STATE(18077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24073), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783376] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25088), 1,
      anon_sym_SEMI,
    ACTIONS(25090), 1,
      anon_sym_RBRACE,
    STATE(18078), 1,
      sym_attribute,
    STATE(18100), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783396] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4061), 1,
      anon_sym_RBRACK,
    ACTIONS(25092), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(18079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783416] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(25094), 1,
      anon_sym_RPAREN,
    STATE(18080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783436] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20602), 1,
      anon_sym_RBRACE,
    ACTIONS(25096), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(18081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783456] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25098), 1,
      anon_sym_SEMI,
    ACTIONS(25100), 1,
      anon_sym_GT_RBRACE,
    STATE(18082), 1,
      sym_attribute,
    STATE(18107), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783476] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4067), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25102), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(18083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783496] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    ACTIONS(21321), 1,
      anon_sym_RBRACK,
    STATE(16253), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783516] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4353), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25104), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(18085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783536] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20136), 1,
      anon_sym_RBRACE,
    ACTIONS(25106), 1,
      anon_sym_SEMI,
    STATE(16596), 1,
      aux_sym_record_expression_repeat1,
    STATE(18086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783556] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22202), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25108), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783576] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20590), 1,
      anon_sym_RBRACE,
    ACTIONS(25110), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(18088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783596] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(25112), 1,
      anon_sym_RPAREN,
    STATE(18089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783616] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20614), 1,
      anon_sym_RBRACE,
    ACTIONS(25114), 1,
      anon_sym_SEMI,
    STATE(18090), 1,
      sym_attribute,
    STATE(18099), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783636] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_LPAREN,
    STATE(10770), 1,
      sym_module_parameter,
    STATE(16522), 1,
      aux_sym_module_binding_repeat1,
    STATE(18091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783656] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(25116), 1,
      anon_sym_RBRACK,
    STATE(18092), 1,
      sym_attribute,
    STATE(18093), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783676] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(25118), 1,
      anon_sym_RBRACK,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(18093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783696] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(25118), 1,
      anon_sym_RBRACK,
    STATE(18094), 1,
      sym_attribute,
    STATE(18095), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783716] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(25120), 1,
      anon_sym_RBRACK,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(18095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783736] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(25122), 1,
      sym__lowercase_identifier,
    STATE(18096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783756] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3935), 1,
      anon_sym_RBRACK,
    ACTIONS(25124), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(18097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783776] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(25126), 1,
      anon_sym_RPAREN,
    STATE(18098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783796] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20616), 1,
      anon_sym_RBRACE,
    ACTIONS(25128), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(18099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783816] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20146), 1,
      anon_sym_RBRACE,
    ACTIONS(25130), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(18100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783836] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22210), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25132), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783856] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11311), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(16600), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783876] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3937), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25134), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(18103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783896] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_COMMA,
    ACTIONS(25136), 1,
      anon_sym_RBRACK,
    STATE(16063), 1,
      aux_sym__type_params_repeat1,
    STATE(18104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783916] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4349), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25138), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(18105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783936] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(25140), 1,
      anon_sym_type,
    STATE(17055), 1,
      sym_module_path,
    STATE(18106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783956] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21371), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25142), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783976] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    ACTIONS(25144), 1,
      anon_sym_RPAREN,
    STATE(18108), 1,
      sym_attribute,
    STATE(20651), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783996] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(25146), 1,
      anon_sym_RPAREN,
    STATE(18109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784016] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19232), 1,
      anon_sym_SEMI,
    ACTIONS(19234), 1,
      anon_sym_GT,
    STATE(16604), 1,
      aux_sym_object_type_repeat1,
    STATE(18110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784036] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(25148), 1,
      anon_sym_RPAREN,
    STATE(18111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784056] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20628), 1,
      anon_sym_RBRACE,
    ACTIONS(25150), 1,
      anon_sym_SEMI,
    STATE(17096), 1,
      aux_sym_record_expression_repeat1,
    STATE(18112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784076] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20150), 1,
      anon_sym_RBRACE,
    ACTIONS(25152), 1,
      anon_sym_SEMI,
    STATE(18113), 1,
      sym_attribute,
    STATE(18129), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784096] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12942), 1,
      sym_module_binding,
    STATE(18114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20070), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784114] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13562), 1,
      sym_module_binding,
    STATE(18115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20070), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784132] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4063), 1,
      anon_sym_RBRACK,
    ACTIONS(25154), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      aux_sym_list_expression_repeat1,
    STATE(18116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784152] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25156), 1,
      anon_sym_SEMI,
    ACTIONS(25158), 1,
      anon_sym_RBRACE,
    STATE(17358), 1,
      aux_sym_record_expression_repeat1,
    STATE(18117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784172] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12942), 1,
      sym_module_binding,
    STATE(18118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20076), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784190] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14186), 1,
      sym_module_binding,
    STATE(18119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20076), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784208] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25160), 1,
      anon_sym_SEMI,
    ACTIONS(25162), 1,
      anon_sym_RBRACE,
    STATE(17357), 1,
      aux_sym_record_expression_repeat1,
    STATE(18120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784228] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12942), 1,
      sym_module_binding,
    STATE(18121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20082), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784246] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14191), 1,
      sym_module_binding,
    STATE(18122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20082), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784264] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(22266), 1,
      sym_indexing_operator,
    ACTIONS(25164), 1,
      sym__lowercase_identifier,
    STATE(18123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784284] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25166), 1,
      anon_sym_SEMI,
    ACTIONS(25168), 1,
      anon_sym_GT_RBRACE,
    STATE(17086), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13361), 1,
      sym_module_binding,
    STATE(18125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20070), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784322] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11379), 1,
      anon_sym_RBRACK,
    ACTIONS(21084), 1,
      anon_sym_PIPE,
    STATE(17577), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784342] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(25170), 1,
      anon_sym_RPAREN,
    STATE(18127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784362] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14194), 1,
      sym_module_binding,
    STATE(18128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20076), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784380] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20156), 1,
      anon_sym_RBRACE,
    ACTIONS(25172), 1,
      anon_sym_SEMI,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    STATE(18129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784400] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13993), 1,
      sym_module_binding,
    STATE(18130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20082), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784418] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__uppercase_identifier,
    ACTIONS(25174), 1,
      anon_sym_type,
    STATE(17055), 1,
      sym_module_path,
    STATE(18131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784438] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4075), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25176), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    STATE(18132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784458] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25178), 1,
      anon_sym_COLON_GT,
    ACTIONS(25180), 1,
      anon_sym_RPAREN,
    STATE(18133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25182), 1,
      anon_sym_then,
    STATE(13901), 1,
      sym_then_clause,
    STATE(18134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784492] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25184), 1,
      anon_sym_then,
    STATE(12226), 1,
      sym_then_clause,
    STATE(18135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25186), 1,
      sym__lowercase_identifier,
    STATE(18136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784526] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25188), 1,
      anon_sym_DOT,
    STATE(18137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784543] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25190), 1,
      sym__lowercase_identifier,
    STATE(18138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25192), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [784575] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    STATE(17193), 1,
      sym_extended_module_path,
    STATE(18140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784592] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18141), 1,
      sym_attribute,
    STATE(22416), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25194), 1,
      anon_sym_then,
    STATE(13867), 1,
      sym_then_clause,
    STATE(18142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25196), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [784641] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25198), 1,
      anon_sym_RPAREN,
    ACTIONS(25200), 1,
      anon_sym_SEMI,
    STATE(18144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784658] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25198), 1,
      anon_sym_RBRACK,
    ACTIONS(25202), 1,
      anon_sym_SEMI,
    STATE(18145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784675] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25198), 1,
      anon_sym_RBRACE,
    ACTIONS(25204), 1,
      anon_sym_SEMI,
    STATE(18146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784692] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18147), 1,
      sym_attribute,
    STATE(22433), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25206), 1,
      anon_sym_DOT,
    STATE(18148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25208), 1,
      anon_sym_COLON_GT,
    ACTIONS(25210), 1,
      anon_sym_RPAREN,
    STATE(18149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784743] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25212), 1,
      anon_sym_DOT,
    STATE(18150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784760] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25214), 1,
      anon_sym_COLON_GT,
    ACTIONS(25216), 1,
      anon_sym_RPAREN,
    STATE(18151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784777] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25218), 1,
      anon_sym_DOT,
    STATE(18152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      anon_sym_then,
    STATE(9364), 1,
      sym_then_clause,
    STATE(18153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784811] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25222), 1,
      sym__lowercase_identifier,
    ACTIONS(25224), 1,
      anon_sym_LPAREN,
    STATE(18154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25226), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [784843] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18156), 1,
      sym_attribute,
    STATE(22114), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784860] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25228), 1,
      anon_sym_RPAREN,
    ACTIONS(25230), 1,
      anon_sym_LT_DASH,
    STATE(18157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784877] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25232), 1,
      anon_sym_RPAREN,
    ACTIONS(25234), 1,
      anon_sym_SEMI,
    STATE(18158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784894] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25232), 1,
      anon_sym_RBRACK,
    ACTIONS(25236), 1,
      anon_sym_SEMI,
    STATE(18159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784911] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25232), 1,
      anon_sym_RBRACE,
    ACTIONS(25238), 1,
      anon_sym_SEMI,
    STATE(18160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784928] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25240), 1,
      anon_sym_RPAREN,
    ACTIONS(25242), 1,
      anon_sym_LT_DASH,
    STATE(18161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784945] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18162), 1,
      sym_attribute,
    STATE(19500), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784962] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18163), 1,
      sym_attribute,
    STATE(21471), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784979] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9917), 1,
      anon_sym_COLON_GT,
    ACTIONS(9919), 1,
      anon_sym_EQ,
    STATE(18164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784996] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25244), 1,
      anon_sym_DOT,
    STATE(18165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25246), 1,
      anon_sym_COLON_GT,
    ACTIONS(25248), 1,
      anon_sym_RPAREN,
    STATE(18166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785030] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25250), 1,
      sym__lowercase_identifier,
    STATE(18167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25252), 1,
      anon_sym_DOT,
    STATE(18168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785064] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19356), 1,
      sym__lowercase_identifier,
    STATE(18169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785081] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [785096] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25256), 1,
      anon_sym_COLON_GT,
    ACTIONS(25258), 1,
      anon_sym_RPAREN,
    STATE(18171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18172), 1,
      sym_attribute,
    STATE(19961), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785130] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25260), 1,
      anon_sym_then,
    STATE(13402), 1,
      sym_then_clause,
    STATE(18173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785147] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25262), 1,
      anon_sym_RPAREN,
    ACTIONS(25264), 1,
      anon_sym_SEMI,
    STATE(18174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785164] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25262), 1,
      anon_sym_RBRACK,
    ACTIONS(25266), 1,
      anon_sym_SEMI,
    STATE(18175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25262), 1,
      anon_sym_RBRACE,
    ACTIONS(25268), 1,
      anon_sym_SEMI,
    STATE(18176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25270), 1,
      anon_sym_RPAREN,
    ACTIONS(25272), 1,
      anon_sym_LT_DASH,
    STATE(18177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25274), 1,
      anon_sym_SEMI,
    ACTIONS(25276), 1,
      anon_sym_RBRACE,
    STATE(18178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18179), 1,
      sym_attribute,
    STATE(20231), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25278), 1,
      anon_sym_then,
    STATE(9707), 1,
      sym_then_clause,
    STATE(18180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25280), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [785281] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25282), 1,
      sym__lowercase_identifier,
    STATE(18182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785298] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25284), 1,
      anon_sym_COLON_GT,
    ACTIONS(25286), 1,
      anon_sym_RPAREN,
    STATE(18183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25288), 1,
      anon_sym_DOT,
    STATE(18184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785332] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18185), 1,
      sym_attribute,
    STATE(19484), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25290), 1,
      anon_sym_DOT,
    STATE(18186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785366] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25292), 1,
      anon_sym_DOT,
    STATE(18187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785383] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25294), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [785398] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19530), 1,
      anon_sym_COLON2,
    STATE(18189), 1,
      sym_attribute,
    STATE(18798), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    STATE(16527), 1,
      sym__simple_value_pattern,
    STATE(18190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785432] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23150), 1,
      anon_sym_EQ,
    ACTIONS(25296), 1,
      anon_sym_COLON_GT,
    STATE(18191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785449] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18192), 1,
      sym_attribute,
    STATE(21025), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785466] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19320), 1,
      sym__lowercase_identifier,
    STATE(18193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25298), 1,
      sym__lowercase_identifier,
    STATE(18194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785500] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19856), 1,
      anon_sym_RBRACE,
    ACTIONS(25300), 1,
      anon_sym_SEMI,
    STATE(18195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785517] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25302), 1,
      anon_sym_RPAREN,
    ACTIONS(25304), 1,
      anon_sym_SEMI,
    STATE(18196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785534] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25302), 1,
      anon_sym_RBRACK,
    ACTIONS(25306), 1,
      anon_sym_SEMI,
    STATE(18197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785551] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25302), 1,
      anon_sym_RBRACE,
    ACTIONS(25308), 1,
      anon_sym_SEMI,
    STATE(18198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785568] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25310), 1,
      anon_sym_then,
    STATE(12574), 1,
      sym_then_clause,
    STATE(18199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785585] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18200), 1,
      sym_attribute,
    STATE(21495), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785602] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25312), 1,
      anon_sym_RPAREN,
    ACTIONS(25314), 1,
      anon_sym_SEMI,
    STATE(18201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785619] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25312), 1,
      anon_sym_RBRACK,
    ACTIONS(25316), 1,
      anon_sym_SEMI,
    STATE(18202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785636] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25312), 1,
      anon_sym_RBRACE,
    ACTIONS(25318), 1,
      anon_sym_SEMI,
    STATE(18203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785653] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25320), 1,
      sym__lowercase_identifier,
    ACTIONS(25322), 1,
      anon_sym_LPAREN,
    STATE(18204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785670] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25324), 1,
      anon_sym_DOT,
    STATE(18205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785687] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18206), 1,
      sym_attribute,
    STATE(21685), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785704] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25326), 1,
      anon_sym_EQ,
    ACTIONS(25328), 1,
      anon_sym_RPAREN,
    STATE(18207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18208), 1,
      sym_attribute,
    STATE(22098), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785738] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9925), 1,
      anon_sym_COLON_GT,
    ACTIONS(9927), 1,
      anon_sym_EQ,
    STATE(18209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785755] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25330), 1,
      sym__lowercase_identifier,
    ACTIONS(25332), 1,
      anon_sym_LPAREN,
    STATE(18210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785772] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25334), 1,
      anon_sym_DOT,
    STATE(18211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18212), 1,
      sym_attribute,
    STATE(20764), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785806] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25336), 1,
      anon_sym_RPAREN,
    ACTIONS(25338), 1,
      anon_sym_LT_DASH,
    STATE(18213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25340), 1,
      anon_sym_DOT,
    STATE(18214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785840] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25342), 1,
      anon_sym_RPAREN,
    ACTIONS(25344), 1,
      anon_sym_SEMI,
    STATE(18215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785857] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25342), 1,
      anon_sym_RBRACK,
    ACTIONS(25346), 1,
      anon_sym_SEMI,
    STATE(18216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785874] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25342), 1,
      anon_sym_RBRACE,
    ACTIONS(25348), 1,
      anon_sym_SEMI,
    STATE(18217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785891] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25350), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [785906] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19398), 1,
      sym__lowercase_identifier,
    STATE(18219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785923] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18220), 1,
      sym_attribute,
    STATE(21123), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785940] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25352), 1,
      anon_sym_COLON_GT,
    ACTIONS(25354), 1,
      anon_sym_RPAREN,
    STATE(18221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19868), 1,
      anon_sym_RBRACE,
    ACTIONS(25356), 1,
      anon_sym_SEMI,
    STATE(18222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785974] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18223), 1,
      sym_attribute,
    STATE(21310), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25358), 1,
      sym__lowercase_identifier,
    STATE(18224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786008] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25360), 1,
      anon_sym_DOT,
    STATE(18225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786025] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25362), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [786040] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25260), 1,
      anon_sym_then,
    STATE(13345), 1,
      sym_then_clause,
    STATE(18227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786057] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25364), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786072] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25366), 1,
      anon_sym_RPAREN,
    ACTIONS(25368), 1,
      anon_sym_LT_DASH,
    STATE(18229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18230), 1,
      sym_attribute,
    STATE(19904), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786106] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [786121] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25370), 1,
      anon_sym_RPAREN,
    ACTIONS(25372), 1,
      anon_sym_SEMI,
    STATE(18232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786138] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25370), 1,
      anon_sym_RBRACK,
    ACTIONS(25374), 1,
      anon_sym_SEMI,
    STATE(18233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786155] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25370), 1,
      anon_sym_RBRACE,
    ACTIONS(25376), 1,
      anon_sym_SEMI,
    STATE(18234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25378), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786187] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18236), 1,
      sym_attribute,
    STATE(20938), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786204] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22548), 1,
      anon_sym_EQ,
    ACTIONS(25380), 1,
      anon_sym_COLON_GT,
    STATE(18237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786221] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25382), 1,
      anon_sym_RPAREN,
    ACTIONS(25384), 1,
      anon_sym_LT_DASH,
    STATE(18238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786238] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25386), 1,
      anon_sym_then,
    STATE(13492), 1,
      sym_then_clause,
    STATE(18239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786255] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25388), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    STATE(16223), 1,
      sym__simple_value_pattern,
    STATE(18241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786287] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18242), 1,
      sym_attribute,
    STATE(20811), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25390), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [786319] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25392), 1,
      sym__lowercase_identifier,
    STATE(18244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786336] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25394), 1,
      anon_sym_RPAREN,
    ACTIONS(25396), 1,
      anon_sym_SEMI,
    STATE(18245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25398), 1,
      sym__lowercase_identifier,
    ACTIONS(25400), 1,
      anon_sym_LPAREN,
    STATE(18246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786370] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22781), 1,
      anon_sym_EQ,
    ACTIONS(25402), 1,
      anon_sym_COLON_GT,
    STATE(18247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25278), 1,
      anon_sym_then,
    STATE(9696), 1,
      sym_then_clause,
    STATE(18248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786404] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18249), 1,
      sym_attribute,
    STATE(20245), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786421] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_RPAREN,
    ACTIONS(25406), 1,
      anon_sym_SEMI,
    STATE(18250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786438] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_RBRACK,
    ACTIONS(25408), 1,
      anon_sym_SEMI,
    STATE(18251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786455] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_RBRACE,
    ACTIONS(25410), 1,
      anon_sym_SEMI,
    STATE(18252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786472] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18253), 1,
      sym_attribute,
    STATE(20317), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786489] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25412), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786504] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25414), 1,
      anon_sym_COLON_GT,
    ACTIONS(25416), 1,
      anon_sym_RPAREN,
    STATE(18255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786521] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19200), 1,
      sym__lowercase_identifier,
    STATE(18256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25418), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786553] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25420), 1,
      anon_sym_RPAREN,
    ACTIONS(25422), 1,
      anon_sym_SEMI,
    STATE(18258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25424), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [786585] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25420), 1,
      anon_sym_RBRACK,
    ACTIONS(25426), 1,
      anon_sym_SEMI,
    STATE(18260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786602] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25428), 1,
      sym__lowercase_identifier,
    ACTIONS(25430), 1,
      anon_sym_LPAREN,
    STATE(18261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786619] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25432), 1,
      anon_sym_DOT,
    STATE(18262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786636] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25434), 1,
      anon_sym_RPAREN,
    ACTIONS(25436), 1,
      anon_sym_LT_DASH,
    STATE(18263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786653] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25438), 1,
      anon_sym_RPAREN,
    ACTIONS(25440), 1,
      anon_sym_LT_DASH,
    STATE(18264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786670] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18265), 1,
      sym_attribute,
    STATE(21751), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786687] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25420), 1,
      anon_sym_RBRACE,
    ACTIONS(25442), 1,
      anon_sym_SEMI,
    STATE(18266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786704] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25444), 1,
      anon_sym_RPAREN,
    ACTIONS(25446), 1,
      anon_sym_SEMI,
    STATE(18267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25444), 1,
      anon_sym_RBRACK,
    ACTIONS(25448), 1,
      anon_sym_SEMI,
    STATE(18268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786738] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25444), 1,
      anon_sym_RBRACE,
    ACTIONS(25450), 1,
      anon_sym_SEMI,
    STATE(18269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786755] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25452), 1,
      anon_sym_then,
    STATE(13360), 1,
      sym_then_clause,
    STATE(18270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786772] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18271), 1,
      sym_attribute,
    STATE(21969), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25454), 1,
      anon_sym_open,
    STATE(18272), 1,
      sym_attribute,
    STATE(21759), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786806] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25394), 1,
      anon_sym_RBRACK,
    ACTIONS(25456), 1,
      anon_sym_SEMI,
    STATE(18273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11136), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786840] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25394), 1,
      anon_sym_RBRACE,
    ACTIONS(25458), 1,
      anon_sym_SEMI,
    STATE(18275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786857] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25460), 1,
      sym__lowercase_identifier,
    STATE(18276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786874] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25462), 1,
      sym__lowercase_identifier,
    STATE(18277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786891] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25464), 1,
      anon_sym_then,
    STATE(10763), 1,
      sym_then_clause,
    STATE(18278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25466), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786923] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25468), 1,
      anon_sym_DOT,
    STATE(18280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25470), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786955] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18282), 1,
      sym_attribute,
    STATE(19718), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786972] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25472), 1,
      anon_sym_then,
    STATE(9768), 1,
      sym_then_clause,
    STATE(18283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786989] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25474), 1,
      sym__lowercase_identifier,
    STATE(18284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25476), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [787021] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25478), 1,
      anon_sym_RPAREN,
    ACTIONS(25480), 1,
      anon_sym_SEMI,
    STATE(18286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787038] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25478), 1,
      anon_sym_RBRACK,
    ACTIONS(25482), 1,
      anon_sym_SEMI,
    STATE(18287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787055] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25478), 1,
      anon_sym_RBRACE,
    ACTIONS(25484), 1,
      anon_sym_SEMI,
    STATE(18288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787072] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18289), 1,
      sym_attribute,
    STATE(21883), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18290), 1,
      sym_attribute,
    STATE(19816), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25486), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [787121] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25488), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [787136] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25490), 1,
      anon_sym_COLON_GT,
    ACTIONS(25492), 1,
      anon_sym_RPAREN,
    STATE(18293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787153] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18294), 1,
      sym_attribute,
    STATE(19769), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787170] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13824), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [787185] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25494), 1,
      sym__lowercase_identifier,
    STATE(18296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787202] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25496), 1,
      sym__lowercase_identifier,
    ACTIONS(25498), 1,
      anon_sym_LPAREN,
    STATE(18297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18298), 1,
      sym_attribute,
    STATE(20558), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787236] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25500), 1,
      anon_sym_RPAREN,
    ACTIONS(25502), 1,
      anon_sym_SEMI,
    STATE(18299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787253] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25500), 1,
      anon_sym_RBRACK,
    ACTIONS(25504), 1,
      anon_sym_SEMI,
    STATE(18300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25500), 1,
      anon_sym_RBRACE,
    ACTIONS(25506), 1,
      anon_sym_SEMI,
    STATE(18301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787287] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18302), 1,
      sym_attribute,
    STATE(20655), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25508), 1,
      anon_sym_then,
    STATE(11514), 1,
      sym_then_clause,
    STATE(18303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787321] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25510), 1,
      anon_sym_RPAREN,
    STATE(18304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25512), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [787353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18306), 1,
      sym_attribute,
    STATE(22029), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787370] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25310), 1,
      anon_sym_then,
    STATE(12869), 1,
      sym_then_clause,
    STATE(18307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787387] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25514), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [787402] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25516), 1,
      anon_sym_RPAREN,
    ACTIONS(25518), 1,
      anon_sym_SEMI,
    STATE(18309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787419] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18310), 1,
      sym_attribute,
    STATE(21424), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787436] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25520), 1,
      sym__lowercase_identifier,
    ACTIONS(25522), 1,
      anon_sym_LBRACK,
    STATE(18311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25516), 1,
      anon_sym_RBRACK,
    ACTIONS(25524), 1,
      anon_sym_SEMI,
    STATE(18312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787470] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25526), 1,
      anon_sym_RPAREN,
    ACTIONS(25528), 1,
      anon_sym_SEMI,
    STATE(18313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787487] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25526), 1,
      anon_sym_RBRACK,
    ACTIONS(25530), 1,
      anon_sym_SEMI,
    STATE(18314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787504] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25526), 1,
      anon_sym_RBRACE,
    ACTIONS(25532), 1,
      anon_sym_SEMI,
    STATE(18315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787521] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25534), 1,
      sym__lowercase_identifier,
    STATE(18316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787538] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18317), 1,
      sym_attribute,
    STATE(21513), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787555] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25516), 1,
      anon_sym_RBRACE,
    ACTIONS(25536), 1,
      anon_sym_SEMI,
    STATE(18318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787572] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25538), 1,
      sym__lowercase_identifier,
    ACTIONS(25540), 1,
      anon_sym_LBRACK,
    STATE(18319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787589] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25464), 1,
      anon_sym_then,
    STATE(10920), 1,
      sym_then_clause,
    STATE(18320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787606] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25542), 1,
      anon_sym_DOT,
    STATE(18321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787623] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25544), 1,
      anon_sym_COLON_GT,
    ACTIONS(25546), 1,
      anon_sym_RPAREN,
    STATE(18322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787640] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25548), 1,
      anon_sym_then,
    STATE(13665), 1,
      sym_then_clause,
    STATE(18323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787657] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_do,
    STATE(11816), 1,
      sym_do_clause,
    STATE(18324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787674] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25552), 1,
      sym__lowercase_identifier,
    STATE(18325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787691] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25554), 1,
      anon_sym_DOT,
    STATE(18326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787708] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25556), 1,
      sym__lowercase_identifier,
    STATE(18327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18328), 1,
      sym_attribute,
    STATE(22419), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787742] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25558), 1,
      anon_sym_RPAREN,
    ACTIONS(25560), 1,
      anon_sym_LT_DASH,
    STATE(18329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787759] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25562), 1,
      anon_sym_RPAREN,
    ACTIONS(25564), 1,
      anon_sym_SEMI,
    STATE(18330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787776] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25562), 1,
      anon_sym_RBRACK,
    ACTIONS(25566), 1,
      anon_sym_SEMI,
    STATE(18331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787793] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25562), 1,
      anon_sym_RBRACE,
    ACTIONS(25568), 1,
      anon_sym_SEMI,
    STATE(18332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787810] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18333), 1,
      sym_attribute,
    STATE(19492), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787827] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    STATE(18334), 1,
      sym_attribute,
    STATE(22260), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787844] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25570), 1,
      anon_sym_RPAREN,
    ACTIONS(25572), 1,
      anon_sym_LT_DASH,
    STATE(18335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787861] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25574), 1,
      anon_sym_DOT,
    STATE(18336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787878] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25576), 1,
      anon_sym_DOT,
    STATE(18337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787895] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25578), 1,
      sym__lowercase_identifier,
    ACTIONS(25580), 1,
      anon_sym_LPAREN,
    STATE(18338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787912] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25582), 1,
      anon_sym_do,
    STATE(8987), 1,
      sym_do_clause,
    STATE(18339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787929] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25584), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [787944] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18341), 1,
      sym_attribute,
    STATE(19696), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787961] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25586), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [787976] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25588), 1,
      anon_sym_RPAREN,
    ACTIONS(25590), 1,
      anon_sym_SEMI,
    STATE(18343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787993] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25588), 1,
      anon_sym_RBRACK,
    ACTIONS(25592), 1,
      anon_sym_SEMI,
    STATE(18344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788010] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25588), 1,
      anon_sym_RBRACE,
    ACTIONS(25594), 1,
      anon_sym_SEMI,
    STATE(18345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788027] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18346), 1,
      sym_attribute,
    STATE(21198), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25596), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788059] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25598), 1,
      anon_sym_RPAREN,
    ACTIONS(25600), 1,
      anon_sym_LT_DASH,
    STATE(18348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788076] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25602), 1,
      sym__lowercase_identifier,
    STATE(18349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25194), 1,
      anon_sym_then,
    STATE(13690), 1,
      sym_then_clause,
    STATE(18350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788110] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25454), 1,
      anon_sym_open,
    STATE(18351), 1,
      sym_attribute,
    STATE(22286), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25604), 1,
      anon_sym_COLON_GT,
    ACTIONS(25606), 1,
      anon_sym_RPAREN,
    STATE(18352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788144] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25608), 1,
      anon_sym_COLON_GT,
    ACTIONS(25610), 1,
      anon_sym_RPAREN,
    STATE(18353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788161] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18354), 1,
      sym_attribute,
    STATE(20176), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788178] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25612), 1,
      sym__lowercase_identifier,
    STATE(18355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788195] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25614), 1,
      anon_sym_RPAREN,
    ACTIONS(25616), 1,
      anon_sym_SEMI,
    STATE(18356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788212] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25614), 1,
      anon_sym_RBRACK,
    ACTIONS(25618), 1,
      anon_sym_SEMI,
    STATE(18357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788229] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25614), 1,
      anon_sym_RBRACE,
    ACTIONS(25620), 1,
      anon_sym_SEMI,
    STATE(18358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788246] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25622), 1,
      sym__lowercase_identifier,
    STATE(18359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788263] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25624), 1,
      anon_sym_DOT,
    STATE(18360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788280] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25626), 1,
      sym__lowercase_identifier,
    STATE(18361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788297] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25628), 1,
      anon_sym_DOT,
    STATE(18362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788314] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25630), 1,
      sym__lowercase_identifier,
    STATE(18363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25632), 1,
      anon_sym_DOT,
    STATE(18364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788348] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25634), 1,
      anon_sym_SEMI,
    ACTIONS(25636), 1,
      anon_sym_RBRACE,
    STATE(18365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788365] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25638), 1,
      anon_sym_then,
    STATE(11721), 1,
      sym_then_clause,
    STATE(18366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788382] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25640), 1,
      anon_sym_EQ,
    ACTIONS(25642), 1,
      anon_sym_RPAREN,
    STATE(18367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788399] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25644), 1,
      anon_sym_do,
    STATE(9021), 1,
      sym_do_clause,
    STATE(18368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788416] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25646), 1,
      anon_sym_RPAREN,
    ACTIONS(25648), 1,
      anon_sym_LT_DASH,
    STATE(18369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788433] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(25650), 1,
      anon_sym_DASH_GT,
    STATE(18370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788450] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25652), 1,
      anon_sym_RPAREN,
    ACTIONS(25654), 1,
      anon_sym_LT_DASH,
    STATE(18371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18372), 1,
      sym_attribute,
    STATE(20632), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788484] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11397), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788501] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18374), 1,
      sym_attribute,
    STATE(22484), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788518] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25656), 1,
      anon_sym_RPAREN,
    ACTIONS(25658), 1,
      anon_sym_SEMI,
    STATE(18375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788535] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25656), 1,
      anon_sym_RBRACK,
    ACTIONS(25660), 1,
      anon_sym_SEMI,
    STATE(18376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788552] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25656), 1,
      anon_sym_RBRACE,
    ACTIONS(25662), 1,
      anon_sym_SEMI,
    STATE(18377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788569] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25664), 1,
      anon_sym_then,
    STATE(13258), 1,
      sym_then_clause,
    STATE(18378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788586] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25666), 1,
      anon_sym_COLON2,
    STATE(14548), 1,
      sym__typed,
    STATE(18379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25668), 1,
      anon_sym_DOT,
    STATE(18380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788620] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25670), 1,
      sym__lowercase_identifier,
    STATE(18381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25672), 1,
      sym__lowercase_identifier,
    STATE(18382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788654] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25674), 1,
      sym__lowercase_identifier,
    ACTIONS(25676), 1,
      anon_sym_LPAREN,
    STATE(18383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788671] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25678), 1,
      anon_sym_COLON2,
    STATE(14563), 1,
      sym__polymorphic_typed,
    STATE(18384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788688] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25680), 1,
      sym__lowercase_identifier,
    ACTIONS(25682), 1,
      anon_sym_LPAREN,
    STATE(18385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788705] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11166), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25684), 1,
      sym__lowercase_identifier,
    ACTIONS(25686), 1,
      anon_sym_LPAREN,
    STATE(18387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18388), 1,
      sym_attribute,
    STATE(21211), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788756] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25688), 1,
      anon_sym_COLON2,
    STATE(13270), 1,
      sym__polymorphic_typed,
    STATE(18389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788773] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_COLON_GT,
    ACTIONS(25692), 1,
      anon_sym_RPAREN,
    STATE(18390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788790] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25694), 1,
      anon_sym_RPAREN,
    ACTIONS(25696), 1,
      anon_sym_SEMI,
    STATE(18391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25694), 1,
      anon_sym_RBRACK,
    ACTIONS(25698), 1,
      anon_sym_SEMI,
    STATE(18392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788824] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25694), 1,
      anon_sym_RBRACE,
    ACTIONS(25700), 1,
      anon_sym_SEMI,
    STATE(18393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25702), 1,
      anon_sym_then,
    STATE(13075), 1,
      sym_then_clause,
    STATE(18394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25704), 1,
      anon_sym_DOT,
    STATE(18395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788875] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25706), 1,
      anon_sym_then,
    STATE(13520), 1,
      sym_then_clause,
    STATE(18396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788892] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25708), 1,
      sym__lowercase_identifier,
    STATE(18397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_do,
    STATE(11763), 1,
      sym_do_clause,
    STATE(18398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788926] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25710), 1,
      anon_sym_RPAREN,
    ACTIONS(25712), 1,
      anon_sym_LT_DASH,
    STATE(18399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788943] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25714), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788958] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25716), 1,
      anon_sym_then,
    STATE(9255), 1,
      sym_then_clause,
    STATE(18401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788975] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18402), 1,
      sym_attribute,
    STATE(20958), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25718), 2,
      anon_sym_to,
      anon_sym_downto,
  [789007] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25720), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [789022] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25722), 1,
      anon_sym_RPAREN,
    ACTIONS(25724), 1,
      anon_sym_LT_DASH,
    STATE(18405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789039] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25726), 1,
      sym__lowercase_identifier,
    STATE(18406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789056] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18407), 1,
      sym_attribute,
    STATE(21524), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789073] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19618), 1,
      anon_sym_RBRACE,
    ACTIONS(25728), 1,
      anon_sym_SEMI,
    STATE(18408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789090] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25730), 1,
      sym__lowercase_identifier,
    STATE(18409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25732), 1,
      anon_sym_RPAREN,
    ACTIONS(25734), 1,
      anon_sym_SEMI,
    STATE(18410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789124] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25732), 1,
      anon_sym_RBRACK,
    ACTIONS(25736), 1,
      anon_sym_SEMI,
    STATE(18411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25732), 1,
      anon_sym_RBRACE,
    ACTIONS(25738), 1,
      anon_sym_SEMI,
    STATE(18412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789158] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25740), 1,
      anon_sym_COLON_GT,
    ACTIONS(25742), 1,
      anon_sym_RPAREN,
    STATE(18413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19208), 1,
      sym__lowercase_identifier,
    STATE(18414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789192] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25744), 1,
      sym__lowercase_identifier,
    ACTIONS(25746), 1,
      anon_sym_LPAREN,
    STATE(18415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789209] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25748), 1,
      anon_sym_RPAREN,
    ACTIONS(25750), 1,
      anon_sym_LT_DASH,
    STATE(18416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789226] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25752), 1,
      anon_sym_RPAREN,
    ACTIONS(25754), 1,
      anon_sym_LT_DASH,
    STATE(18417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789243] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25756), 1,
      anon_sym_COLON_GT,
    ACTIONS(25758), 1,
      anon_sym_RPAREN,
    STATE(18418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789260] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18419), 1,
      sym_attribute,
    STATE(21696), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_then,
    STATE(9730), 1,
      sym_then_clause,
    STATE(18420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25762), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [789309] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18422), 1,
      sym_attribute,
    STATE(21998), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789326] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25764), 1,
      anon_sym_RPAREN,
    ACTIONS(25766), 1,
      anon_sym_SEMI,
    STATE(18423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789343] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25764), 1,
      anon_sym_RBRACK,
    ACTIONS(25768), 1,
      anon_sym_SEMI,
    STATE(18424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789360] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25770), 1,
      anon_sym_RPAREN,
    ACTIONS(25772), 1,
      anon_sym_SEMI,
    STATE(18425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789377] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25770), 1,
      anon_sym_RBRACK,
    ACTIONS(25774), 1,
      anon_sym_SEMI,
    STATE(18426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789394] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25770), 1,
      anon_sym_RBRACE,
    ACTIONS(25776), 1,
      anon_sym_SEMI,
    STATE(18427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789411] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25778), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [789426] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25780), 1,
      anon_sym_RPAREN,
    ACTIONS(25782), 1,
      anon_sym_LT_DASH,
    STATE(18429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789443] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25764), 1,
      anon_sym_RBRACE,
    ACTIONS(25784), 1,
      anon_sym_SEMI,
    STATE(18430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25786), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [789475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25788), 1,
      anon_sym_COLON_GT,
    ACTIONS(25790), 1,
      anon_sym_RPAREN,
    STATE(18432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789492] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25792), 1,
      anon_sym_COLON_GT,
    ACTIONS(25794), 1,
      anon_sym_RPAREN,
    STATE(18433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25796), 1,
      anon_sym_DOT,
    STATE(18434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789526] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25798), 1,
      sym__lowercase_identifier,
    STATE(18435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789543] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18436), 1,
      sym_attribute,
    STATE(22476), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25800), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [789575] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18438), 1,
      sym_attribute,
    STATE(22501), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789592] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25802), 1,
      sym__lowercase_identifier,
    STATE(18439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25804), 1,
      anon_sym_RPAREN,
    ACTIONS(25806), 1,
      anon_sym_SEMI,
    STATE(18440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789626] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25804), 1,
      anon_sym_RBRACK,
    ACTIONS(25808), 1,
      anon_sym_SEMI,
    STATE(18441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789643] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25804), 1,
      anon_sym_RBRACE,
    ACTIONS(25810), 1,
      anon_sym_SEMI,
    STATE(18442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789660] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25812), 1,
      anon_sym_RPAREN,
    STATE(18443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23929), 1,
      anon_sym_EQ,
    ACTIONS(25814), 1,
      anon_sym_COLON_GT,
    STATE(18444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25816), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [789709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25818), 1,
      anon_sym_then,
    STATE(9516), 1,
      sym_then_clause,
    STATE(18446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25820), 1,
      anon_sym_DOT,
    STATE(18447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789743] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25822), 1,
      anon_sym_DOT,
    STATE(18448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789760] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25182), 1,
      anon_sym_then,
    STATE(13691), 1,
      sym_then_clause,
    STATE(18449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789777] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25824), 1,
      anon_sym_RPAREN,
    ACTIONS(25826), 1,
      anon_sym_LT_DASH,
    STATE(18450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18451), 1,
      sym_attribute,
    STATE(21925), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789811] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(25828), 1,
      anon_sym_DASH_GT,
    STATE(18452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789828] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25830), 1,
      anon_sym_RPAREN,
    ACTIONS(25832), 1,
      anon_sym_SEMI,
    STATE(18453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25830), 1,
      anon_sym_RBRACK,
    ACTIONS(25834), 1,
      anon_sym_SEMI,
    STATE(18454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789862] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25830), 1,
      anon_sym_RBRACE,
    ACTIONS(25836), 1,
      anon_sym_SEMI,
    STATE(18455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789879] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25838), 1,
      sym__lowercase_identifier,
    STATE(18456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789896] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11146), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789913] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12629), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [789928] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25840), 1,
      anon_sym_RPAREN,
    ACTIONS(25842), 1,
      anon_sym_LT_DASH,
    STATE(18459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789945] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25702), 1,
      anon_sym_then,
    STATE(13078), 1,
      sym_then_clause,
    STATE(18460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789962] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25844), 1,
      sym__lowercase_identifier,
    ACTIONS(25846), 1,
      anon_sym_LPAREN,
    STATE(18461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789979] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25848), 1,
      anon_sym_then,
    STATE(9433), 1,
      sym_then_clause,
    STATE(18462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789996] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    STATE(14514), 1,
      sym_type_variable,
    STATE(18463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25850), 1,
      anon_sym_SEMI,
    ACTIONS(25852), 1,
      anon_sym_RBRACE,
    STATE(18464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790030] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [790045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19270), 1,
      sym__lowercase_identifier,
    STATE(18466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18467), 1,
      sym_attribute,
    STATE(21619), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25854), 1,
      anon_sym_COLON_GT,
    ACTIONS(25856), 1,
      anon_sym_RPAREN,
    STATE(18468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790096] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25858), 1,
      anon_sym_RPAREN,
    ACTIONS(25860), 1,
      anon_sym_SEMI,
    STATE(18469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25858), 1,
      anon_sym_RBRACK,
    ACTIONS(25862), 1,
      anon_sym_SEMI,
    STATE(18470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790130] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25858), 1,
      anon_sym_RBRACE,
    ACTIONS(25864), 1,
      anon_sym_SEMI,
    STATE(18471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790147] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19240), 1,
      sym__lowercase_identifier,
    STATE(18472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25866), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [790179] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    STATE(16785), 1,
      sym_extended_module_path,
    STATE(18474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790196] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19244), 1,
      sym__lowercase_identifier,
    STATE(18475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790213] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25868), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [790228] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25688), 1,
      anon_sym_COLON2,
    STATE(13382), 1,
      sym__polymorphic_typed,
    STATE(18477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790245] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25870), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [790260] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25872), 1,
      anon_sym_DOT,
    STATE(18479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25874), 1,
      sym__lowercase_identifier,
    ACTIONS(25876), 1,
      anon_sym_LPAREN,
    STATE(18480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790294] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18481), 1,
      sym_attribute,
    STATE(20455), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25878), 1,
      anon_sym_RPAREN,
    ACTIONS(25880), 1,
      anon_sym_SEMI,
    STATE(18482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790328] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25878), 1,
      anon_sym_RBRACK,
    ACTIONS(25882), 1,
      anon_sym_SEMI,
    STATE(18483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790345] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25878), 1,
      anon_sym_RBRACE,
    ACTIONS(25884), 1,
      anon_sym_SEMI,
    STATE(18484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790362] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18485), 1,
      sym_attribute,
    STATE(20984), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11309), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790396] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25886), 1,
      anon_sym_COLON_GT,
    ACTIONS(25888), 1,
      anon_sym_RPAREN,
    STATE(18487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25890), 1,
      sym__lowercase_identifier,
    STATE(18488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790430] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25892), 1,
      anon_sym_DOT,
    STATE(18489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790447] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18490), 1,
      sym_attribute,
    STATE(21161), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790464] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25278), 1,
      anon_sym_then,
    STATE(9637), 1,
      sym_then_clause,
    STATE(18491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790481] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25894), 1,
      anon_sym_COLON_GT,
    ACTIONS(25896), 1,
      anon_sym_RPAREN,
    STATE(18492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790498] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19976), 1,
      anon_sym_RBRACE,
    ACTIONS(25898), 1,
      anon_sym_SEMI,
    STATE(18493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25900), 1,
      anon_sym_RPAREN,
    ACTIONS(25902), 1,
      anon_sym_SEMI,
    STATE(18494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790532] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25900), 1,
      anon_sym_RBRACK,
    ACTIONS(25904), 1,
      anon_sym_SEMI,
    STATE(18495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790549] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25900), 1,
      anon_sym_RBRACE,
    ACTIONS(25906), 1,
      anon_sym_SEMI,
    STATE(18496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790566] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25908), 1,
      anon_sym_RPAREN,
    ACTIONS(25910), 1,
      anon_sym_LT_DASH,
    STATE(18497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25912), 1,
      anon_sym_RPAREN,
    ACTIONS(25914), 1,
      anon_sym_LT_DASH,
    STATE(18498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25916), 1,
      anon_sym_DOT,
    STATE(18499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25918), 1,
      anon_sym_COLON_GT,
    ACTIONS(25920), 1,
      anon_sym_RPAREN,
    STATE(18500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790634] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19220), 1,
      sym__lowercase_identifier,
    STATE(18501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790651] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25922), 1,
      anon_sym_RPAREN,
    ACTIONS(25924), 1,
      anon_sym_LT_DASH,
    STATE(18502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790668] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25706), 1,
      anon_sym_then,
    STATE(13490), 1,
      sym_then_clause,
    STATE(18503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18504), 1,
      sym_attribute,
    STATE(21599), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790702] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25926), 1,
      anon_sym_RPAREN,
    ACTIONS(25928), 1,
      anon_sym_SEMI,
    STATE(18505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25926), 1,
      anon_sym_RBRACK,
    ACTIONS(25930), 1,
      anon_sym_SEMI,
    STATE(18506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790736] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25926), 1,
      anon_sym_RBRACE,
    ACTIONS(25932), 1,
      anon_sym_SEMI,
    STATE(18507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790753] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25934), 1,
      anon_sym_RPAREN,
    ACTIONS(25936), 1,
      anon_sym_LT_DASH,
    STATE(18508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790770] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25938), 1,
      anon_sym_SEMI,
    ACTIONS(25940), 1,
      anon_sym_RBRACE,
    STATE(18509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790787] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25942), 1,
      anon_sym_RPAREN,
    ACTIONS(25944), 1,
      anon_sym_LT_DASH,
    STATE(18510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790804] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(25946), 1,
      sym__lowercase_identifier,
    STATE(18511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790821] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18512), 1,
      sym_attribute,
    STATE(20719), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790838] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18513), 1,
      sym_attribute,
    STATE(21879), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790855] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25948), 1,
      anon_sym_RPAREN,
    ACTIONS(25950), 1,
      anon_sym_SEMI,
    STATE(18514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790872] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25948), 1,
      anon_sym_RBRACK,
    ACTIONS(25952), 1,
      anon_sym_SEMI,
    STATE(18515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790889] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25948), 1,
      anon_sym_RBRACE,
    ACTIONS(25954), 1,
      anon_sym_SEMI,
    STATE(18516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25956), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [790921] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25638), 1,
      anon_sym_then,
    STATE(11796), 1,
      sym_then_clause,
    STATE(18518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25958), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [790953] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18520), 1,
      sym_attribute,
    STATE(22091), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790970] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25960), 1,
      anon_sym_RPAREN,
    ACTIONS(25962), 1,
      anon_sym_SEMI,
    STATE(18521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25960), 1,
      anon_sym_RBRACK,
    ACTIONS(25964), 1,
      anon_sym_SEMI,
    STATE(18522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791004] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25960), 1,
      anon_sym_RBRACE,
    ACTIONS(25966), 1,
      anon_sym_SEMI,
    STATE(18523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791021] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25968), 1,
      anon_sym_RPAREN,
    ACTIONS(25970), 1,
      anon_sym_SEMI,
    STATE(18524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791038] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25968), 1,
      anon_sym_RBRACK,
    ACTIONS(25972), 1,
      anon_sym_SEMI,
    STATE(18525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791055] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18526), 1,
      sym_attribute,
    STATE(22241), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791072] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25974), 1,
      anon_sym_RPAREN,
    ACTIONS(25976), 1,
      anon_sym_SEMI,
    STATE(18527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25974), 1,
      anon_sym_RBRACK,
    ACTIONS(25978), 1,
      anon_sym_SEMI,
    STATE(18528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791106] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25974), 1,
      anon_sym_RBRACE,
    ACTIONS(25980), 1,
      anon_sym_SEMI,
    STATE(18529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791123] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25968), 1,
      anon_sym_RBRACE,
    ACTIONS(25982), 1,
      anon_sym_SEMI,
    STATE(18530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791140] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(25984), 1,
      sym__lowercase_identifier,
    STATE(18531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791157] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18532), 1,
      sym_attribute,
    STATE(22408), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791174] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25986), 1,
      anon_sym_RPAREN,
    ACTIONS(25988), 1,
      anon_sym_SEMI,
    STATE(18533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791191] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25986), 1,
      anon_sym_RBRACK,
    ACTIONS(25990), 1,
      anon_sym_SEMI,
    STATE(18534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791208] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25986), 1,
      anon_sym_RBRACE,
    ACTIONS(25992), 1,
      anon_sym_SEMI,
    STATE(18535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791225] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25644), 1,
      anon_sym_do,
    STATE(9180), 1,
      sym_do_clause,
    STATE(18536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791242] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(25994), 1,
      anon_sym_DOT,
    STATE(18537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791259] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18538), 1,
      sym_attribute,
    STATE(22523), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791276] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25996), 1,
      anon_sym_RPAREN,
    ACTIONS(25998), 1,
      anon_sym_SEMI,
    STATE(18539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791293] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25996), 1,
      anon_sym_RBRACK,
    ACTIONS(26000), 1,
      anon_sym_SEMI,
    STATE(18540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791310] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25996), 1,
      anon_sym_RBRACE,
    ACTIONS(26002), 1,
      anon_sym_SEMI,
    STATE(18541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791327] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18542), 1,
      sym_attribute,
    STATE(21175), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791344] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26004), 1,
      anon_sym_then,
    STATE(13954), 1,
      sym_then_clause,
    STATE(18543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791361] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26006), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [791376] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18545), 1,
      sym_attribute,
    STATE(19352), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791393] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26008), 1,
      anon_sym_RPAREN,
    ACTIONS(26010), 1,
      anon_sym_SEMI,
    STATE(18546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791410] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26008), 1,
      anon_sym_RBRACK,
    ACTIONS(26012), 1,
      anon_sym_SEMI,
    STATE(18547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791427] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26008), 1,
      anon_sym_RBRACE,
    ACTIONS(26014), 1,
      anon_sym_SEMI,
    STATE(18548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791444] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26016), 1,
      anon_sym_RPAREN,
    ACTIONS(26018), 1,
      anon_sym_LT_DASH,
    STATE(18549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791461] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25664), 1,
      anon_sym_then,
    STATE(13498), 1,
      sym_then_clause,
    STATE(18550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791478] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26020), 1,
      anon_sym_RPAREN,
    ACTIONS(26022), 1,
      anon_sym_LT_DASH,
    STATE(18551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791495] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18552), 1,
      sym_attribute,
    STATE(19398), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791512] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26024), 1,
      anon_sym_RPAREN,
    ACTIONS(26026), 1,
      anon_sym_SEMI,
    STATE(18553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791529] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26024), 1,
      anon_sym_RBRACK,
    ACTIONS(26028), 1,
      anon_sym_SEMI,
    STATE(18554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791546] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26024), 1,
      anon_sym_RBRACE,
    ACTIONS(26030), 1,
      anon_sym_SEMI,
    STATE(18555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791563] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25638), 1,
      anon_sym_then,
    STATE(11890), 1,
      sym_then_clause,
    STATE(18556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791580] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11204), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791597] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [791612] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18559), 1,
      sym_attribute,
    STATE(19461), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791629] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26032), 1,
      anon_sym_RPAREN,
    ACTIONS(26034), 1,
      anon_sym_SEMI,
    STATE(18560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791646] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26032), 1,
      anon_sym_RBRACK,
    ACTIONS(26036), 1,
      anon_sym_SEMI,
    STATE(18561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26032), 1,
      anon_sym_RBRACE,
    ACTIONS(26038), 1,
      anon_sym_SEMI,
    STATE(18562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791680] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(26040), 1,
      anon_sym_DASH_GT,
    STATE(18563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791697] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26004), 1,
      anon_sym_then,
    STATE(13910), 1,
      sym_then_clause,
    STATE(18564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791714] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26042), 1,
      sym__lowercase_identifier,
    STATE(18565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791731] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18566), 1,
      sym_attribute,
    STATE(19553), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791748] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_RPAREN,
    ACTIONS(26046), 1,
      anon_sym_SEMI,
    STATE(18567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791765] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_RBRACK,
    ACTIONS(26048), 1,
      anon_sym_SEMI,
    STATE(18568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791782] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_RBRACE,
    ACTIONS(26050), 1,
      anon_sym_SEMI,
    STATE(18569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791799] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26052), 1,
      sym__lowercase_identifier,
    STATE(18570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26054), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [791831] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26056), 1,
      anon_sym_DOT,
    STATE(18572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791848] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18573), 1,
      sym_attribute,
    STATE(19605), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791865] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26058), 1,
      anon_sym_RPAREN,
    ACTIONS(26060), 1,
      anon_sym_SEMI,
    STATE(18574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791882] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26058), 1,
      anon_sym_RBRACK,
    ACTIONS(26062), 1,
      anon_sym_SEMI,
    STATE(18575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791899] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26058), 1,
      anon_sym_RBRACE,
    ACTIONS(26064), 1,
      anon_sym_SEMI,
    STATE(18576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26066), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [791931] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26068), 1,
      anon_sym_then,
    STATE(13315), 1,
      sym_then_clause,
    STATE(18578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791948] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26070), 1,
      sym__lowercase_identifier,
    STATE(18579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18580), 1,
      sym_attribute,
    STATE(19663), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791982] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26072), 1,
      anon_sym_RPAREN,
    ACTIONS(26074), 1,
      anon_sym_SEMI,
    STATE(18581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791999] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26072), 1,
      anon_sym_RBRACK,
    ACTIONS(26076), 1,
      anon_sym_SEMI,
    STATE(18582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792016] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26072), 1,
      anon_sym_RBRACE,
    ACTIONS(26078), 1,
      anon_sym_SEMI,
    STATE(18583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792033] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26080), 1,
      sym__lowercase_identifier,
    STATE(18584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792050] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26082), 1,
      anon_sym_DOT,
    STATE(18585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792067] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18586), 1,
      sym_attribute,
    STATE(19726), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792084] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26084), 1,
      anon_sym_RPAREN,
    ACTIONS(26086), 1,
      anon_sym_SEMI,
    STATE(18587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792101] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26084), 1,
      anon_sym_RBRACK,
    ACTIONS(26088), 1,
      anon_sym_SEMI,
    STATE(18588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792118] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26084), 1,
      anon_sym_RBRACE,
    ACTIONS(26090), 1,
      anon_sym_SEMI,
    STATE(18589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792135] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26092), 1,
      anon_sym_DOT,
    STATE(18590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792152] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25848), 1,
      anon_sym_then,
    STATE(9533), 1,
      sym_then_clause,
    STATE(18591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792169] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18592), 1,
      sym_attribute,
    STATE(19776), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792186] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26094), 1,
      anon_sym_RPAREN,
    ACTIONS(26096), 1,
      anon_sym_SEMI,
    STATE(18593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792203] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26094), 1,
      anon_sym_RBRACK,
    ACTIONS(26098), 1,
      anon_sym_SEMI,
    STATE(18594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792220] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26094), 1,
      anon_sym_RBRACE,
    ACTIONS(26100), 1,
      anon_sym_SEMI,
    STATE(18595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26102), 1,
      anon_sym_RPAREN,
    ACTIONS(26104), 1,
      anon_sym_LT_DASH,
    STATE(18596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792254] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26106), 1,
      anon_sym_RPAREN,
    ACTIONS(26108), 1,
      anon_sym_LT_DASH,
    STATE(18597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792271] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18598), 1,
      sym_attribute,
    STATE(19821), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11186), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792305] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26110), 1,
      anon_sym_then,
    STATE(9327), 1,
      sym_then_clause,
    STATE(18600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792322] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18601), 1,
      sym_attribute,
    STATE(19849), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792339] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26112), 1,
      anon_sym_RPAREN,
    ACTIONS(26114), 1,
      anon_sym_LT_DASH,
    STATE(18602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792356] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26116), 1,
      sym__lowercase_identifier,
    STATE(18603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792373] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18604), 1,
      sym_attribute,
    STATE(19878), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792390] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26118), 1,
      sym__lowercase_identifier,
    ACTIONS(26120), 1,
      anon_sym_LPAREN,
    STATE(18605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792407] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26122), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [792422] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18607), 1,
      sym_attribute,
    STATE(19903), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18608), 1,
      sym_attribute,
    STATE(21298), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26124), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [792471] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18610), 1,
      sym_attribute,
    STATE(19918), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792488] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26126), 1,
      anon_sym_RPAREN,
    ACTIONS(26128), 1,
      anon_sym_SEMI,
    STATE(18611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792505] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26126), 1,
      anon_sym_RBRACK,
    ACTIONS(26130), 1,
      anon_sym_SEMI,
    STATE(18612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792522] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18613), 1,
      sym_attribute,
    STATE(19924), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792539] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26126), 1,
      anon_sym_RBRACE,
    ACTIONS(26132), 1,
      anon_sym_SEMI,
    STATE(18614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792556] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26134), 1,
      anon_sym_RPAREN,
    ACTIONS(26136), 1,
      anon_sym_LT_DASH,
    STATE(18615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792573] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18616), 1,
      sym_attribute,
    STATE(19940), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792590] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26138), 1,
      anon_sym_COLON_GT,
    ACTIONS(26140), 1,
      anon_sym_RPAREN,
    STATE(18617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26142), 1,
      anon_sym_RPAREN,
    ACTIONS(26144), 1,
      anon_sym_LT_DASH,
    STATE(18618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792624] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18619), 1,
      sym_attribute,
    STATE(19958), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792641] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26146), 1,
      anon_sym_DOT,
    STATE(18620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792658] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18621), 1,
      sym_attribute,
    STATE(21064), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792675] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18622), 1,
      sym_attribute,
    STATE(19982), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792692] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26148), 1,
      sym__lowercase_identifier,
    STATE(18623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26150), 1,
      anon_sym_RPAREN,
    ACTIONS(26152), 1,
      anon_sym_LT_DASH,
    STATE(18624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18625), 1,
      sym_attribute,
    STATE(20002), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792743] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26154), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [792758] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18627), 1,
      sym_attribute,
    STATE(21767), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792775] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18628), 1,
      sym_attribute,
    STATE(20027), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792792] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26156), 1,
      anon_sym_RPAREN,
    ACTIONS(26158), 1,
      anon_sym_LT_DASH,
    STATE(18629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792809] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9929), 1,
      anon_sym_COLON_GT,
    ACTIONS(9931), 1,
      anon_sym_EQ,
    STATE(18630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792826] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18631), 1,
      sym_attribute,
    STATE(20043), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792843] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26160), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [792858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11102), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792875] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18634), 1,
      sym_attribute,
    STATE(20058), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792892] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11096), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26162), 1,
      anon_sym_RPAREN,
    ACTIONS(26164), 1,
      anon_sym_LT_DASH,
    STATE(18636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792926] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18637), 1,
      sym_attribute,
    STATE(20069), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792943] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26166), 1,
      anon_sym_DOT,
    STATE(18638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11375), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18640), 1,
      sym_attribute,
    STATE(20102), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    STATE(16477), 1,
      sym__simple_value_pattern,
    STATE(18641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18642), 1,
      sym_attribute,
    STATE(22007), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793028] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18643), 1,
      sym_attribute,
    STATE(20109), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(23963), 1,
      sym__lowercase_identifier,
    STATE(18644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26168), 1,
      anon_sym_RPAREN,
    ACTIONS(26170), 1,
      anon_sym_LT_DASH,
    STATE(18645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18646), 1,
      sym_attribute,
    STATE(20135), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26172), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [793111] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25194), 1,
      anon_sym_then,
    STATE(13775), 1,
      sym_then_clause,
    STATE(18648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793128] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18649), 1,
      sym_attribute,
    STATE(20150), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26174), 1,
      sym__lowercase_identifier,
    STATE(18650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(26176), 1,
      anon_sym_DASH_GT,
    STATE(18651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793179] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18652), 1,
      sym_attribute,
    STATE(20166), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793196] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22889), 1,
      anon_sym_EQ,
    ACTIONS(26178), 1,
      anon_sym_COLON_GT,
    STATE(18653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26180), 1,
      sym__lowercase_identifier,
    STATE(18654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793230] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18655), 1,
      sym_attribute,
    STATE(20191), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793247] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11262), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793264] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25706), 1,
      anon_sym_then,
    STATE(13260), 1,
      sym_then_clause,
    STATE(18657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793281] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18658), 1,
      sym_attribute,
    STATE(20204), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793298] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26182), 1,
      anon_sym_RPAREN,
    ACTIONS(26184), 1,
      anon_sym_SEMI,
    STATE(18659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26182), 1,
      anon_sym_RBRACK,
    ACTIONS(26186), 1,
      anon_sym_SEMI,
    STATE(18660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793332] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18661), 1,
      sym_attribute,
    STATE(20218), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26182), 1,
      anon_sym_RBRACE,
    ACTIONS(26188), 1,
      anon_sym_SEMI,
    STATE(18662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793366] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26190), 1,
      anon_sym_DOT,
    STATE(18663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18664), 1,
      sym_attribute,
    STATE(20229), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793400] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26192), 1,
      sym__lowercase_identifier,
    STATE(18665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26110), 1,
      anon_sym_then,
    STATE(9312), 1,
      sym_then_clause,
    STATE(18666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26194), 1,
      anon_sym_DOT,
    STATE(18667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793451] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26196), 1,
      anon_sym_RPAREN,
    ACTIONS(26198), 1,
      anon_sym_LT_DASH,
    STATE(18668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793468] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26200), 1,
      anon_sym_RPAREN,
    ACTIONS(26202), 1,
      anon_sym_LT_DASH,
    STATE(18669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793485] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26204), 1,
      anon_sym_RPAREN,
    ACTIONS(26206), 1,
      anon_sym_LT_DASH,
    STATE(18670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793502] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26208), 1,
      anon_sym_RPAREN,
    ACTIONS(26210), 1,
      anon_sym_LT_DASH,
    STATE(18671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793519] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26212), 1,
      aux_sym_type_variable_token1,
    STATE(9285), 1,
      sym_type_variable,
    STATE(18672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26214), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [793551] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26216), 1,
      anon_sym_RPAREN,
    STATE(18674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26218), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [793583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18676), 1,
      sym_attribute,
    STATE(21492), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26220), 1,
      anon_sym_RPAREN,
    ACTIONS(26222), 1,
      anon_sym_LT_DASH,
    STATE(18677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26224), 1,
      anon_sym_RPAREN,
    ACTIONS(26226), 1,
      anon_sym_LT_DASH,
    STATE(18678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26228), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [793649] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26230), 1,
      anon_sym_RPAREN,
    ACTIONS(26232), 1,
      anon_sym_SEMI,
    STATE(18680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793666] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26230), 1,
      anon_sym_RBRACK,
    ACTIONS(26234), 1,
      anon_sym_SEMI,
    STATE(18681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793683] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26230), 1,
      anon_sym_RBRACE,
    ACTIONS(26236), 1,
      anon_sym_SEMI,
    STATE(18682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793700] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26238), 1,
      anon_sym_RPAREN,
    ACTIONS(26240), 1,
      anon_sym_LT_DASH,
    STATE(18683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793717] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26242), 1,
      anon_sym_RPAREN,
    ACTIONS(26244), 1,
      anon_sym_LT_DASH,
    STATE(18684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793734] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26246), 1,
      anon_sym_COLON_GT,
    ACTIONS(26248), 1,
      anon_sym_RPAREN,
    STATE(18685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793751] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26250), 1,
      anon_sym_DOT,
    STATE(18686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793768] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26252), 1,
      anon_sym_DOT,
    STATE(18687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18688), 1,
      sym_attribute,
    STATE(19441), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [793817] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26256), 1,
      anon_sym_COLON_GT,
    ACTIONS(26258), 1,
      anon_sym_RPAREN,
    STATE(18690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793834] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26260), 1,
      sym__lowercase_identifier,
    STATE(18691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793851] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26262), 1,
      anon_sym_RPAREN,
    ACTIONS(26264), 1,
      anon_sym_LT_DASH,
    STATE(18692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793868] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26266), 1,
      anon_sym_EQ,
    ACTIONS(26268), 1,
      anon_sym_RPAREN,
    STATE(18693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793885] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18694), 1,
      sym_attribute,
    STATE(20862), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26270), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [793917] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11373), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793934] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26272), 1,
      anon_sym_RPAREN,
    ACTIONS(26274), 1,
      anon_sym_LT_DASH,
    STATE(18697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793951] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26276), 1,
      anon_sym_DOT,
    STATE(18698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793968] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18699), 1,
      sym_attribute,
    STATE(22115), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793985] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25582), 1,
      anon_sym_do,
    STATE(8969), 1,
      sym_do_clause,
    STATE(18700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794002] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26278), 1,
      anon_sym_RPAREN,
    ACTIONS(26280), 1,
      anon_sym_LT_DASH,
    STATE(18701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794019] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25452), 1,
      anon_sym_then,
    STATE(13303), 1,
      sym_then_clause,
    STATE(18702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794036] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19992), 1,
      anon_sym_RBRACE,
    ACTIONS(26282), 1,
      anon_sym_SEMI,
    STATE(18703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794053] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26284), 1,
      anon_sym_RPAREN,
    ACTIONS(26286), 1,
      anon_sym_LT_DASH,
    STATE(18704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26288), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [794085] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26290), 2,
      anon_sym_to,
      anon_sym_downto,
  [794100] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26292), 1,
      sym__lowercase_identifier,
    STATE(18707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26294), 1,
      sym__lowercase_identifier,
    STATE(18708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26296), 1,
      sym__lowercase_identifier,
    ACTIONS(26298), 1,
      anon_sym_LPAREN,
    STATE(18709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794151] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [794166] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26302), 1,
      sym__lowercase_identifier,
    STATE(18711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794183] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26304), 1,
      sym__lowercase_identifier,
    STATE(18712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794200] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    STATE(16219), 1,
      sym__simple_value_pattern,
    STATE(18713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794217] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26306), 2,
      anon_sym_to,
      anon_sym_downto,
  [794232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26308), 1,
      anon_sym_COLON_GT,
    ACTIONS(26310), 1,
      anon_sym_RPAREN,
    STATE(18715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26312), 1,
      sym__lowercase_identifier,
    STATE(18716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794266] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26314), 1,
      anon_sym_RPAREN,
    ACTIONS(26316), 1,
      anon_sym_LT_DASH,
    STATE(18717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26318), 1,
      anon_sym_DOT,
    STATE(18718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794300] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26320), 1,
      anon_sym_RPAREN,
    ACTIONS(26322), 1,
      anon_sym_LT_DASH,
    STATE(18719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794317] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19740), 1,
      anon_sym_RBRACE,
    ACTIONS(26324), 1,
      anon_sym_SEMI,
    STATE(18720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794334] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      aux_sym_type_variable_token1,
    STATE(9285), 1,
      sym_type_variable,
    STATE(18721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794351] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26326), 1,
      anon_sym_COLON_GT,
    ACTIONS(26328), 1,
      anon_sym_RPAREN,
    STATE(18722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794368] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26330), 1,
      anon_sym_DOT,
    STATE(18723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794385] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26332), 1,
      anon_sym_SEMI,
    ACTIONS(26334), 1,
      anon_sym_RBRACE,
    STATE(18724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794402] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26336), 1,
      anon_sym_RPAREN,
    ACTIONS(26338), 1,
      anon_sym_LT_DASH,
    STATE(18725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794419] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11351), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794436] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19298), 1,
      sym__lowercase_identifier,
    STATE(18727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26340), 1,
      anon_sym_RPAREN,
    ACTIONS(26342), 1,
      anon_sym_LT_DASH,
    STATE(18728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26344), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [794485] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26346), 1,
      anon_sym_RPAREN,
    ACTIONS(26348), 1,
      anon_sym_LT_DASH,
    STATE(18730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26350), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [794517] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26352), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [794532] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26354), 1,
      anon_sym_SEMI,
    ACTIONS(26356), 1,
      anon_sym_RBRACE,
    STATE(18733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794549] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      anon_sym_then,
    STATE(9387), 1,
      sym_then_clause,
    STATE(18734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794566] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25716), 1,
      anon_sym_then,
    STATE(9245), 1,
      sym_then_clause,
    STATE(18735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25848), 1,
      anon_sym_then,
    STATE(9454), 1,
      sym_then_clause,
    STATE(18736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25818), 1,
      anon_sym_then,
    STATE(9473), 1,
      sym_then_clause,
    STATE(18737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25818), 1,
      anon_sym_then,
    STATE(9534), 1,
      sym_then_clause,
    STATE(18738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794634] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26358), 1,
      anon_sym_RPAREN,
    ACTIONS(26360), 1,
      anon_sym_LT_DASH,
    STATE(18739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794651] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26362), 1,
      anon_sym_RPAREN,
    ACTIONS(26364), 1,
      anon_sym_LT_DASH,
    STATE(18740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794668] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26366), 1,
      sym__lowercase_identifier,
    ACTIONS(26368), 1,
      anon_sym_LPAREN,
    STATE(18741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      sym__lowercase_identifier,
    STATE(16224), 1,
      aux_sym__abstract_type_repeat1,
    STATE(18742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794702] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26370), 1,
      anon_sym_RPAREN,
    ACTIONS(26372), 1,
      anon_sym_LT_DASH,
    STATE(18743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25310), 1,
      anon_sym_then,
    STATE(13025), 1,
      sym_then_clause,
    STATE(18744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794736] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25310), 1,
      anon_sym_then,
    STATE(12532), 1,
      sym_then_clause,
    STATE(18745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794753] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26374), 1,
      anon_sym_RPAREN,
    STATE(18746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794770] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26376), 1,
      anon_sym_RPAREN,
    ACTIONS(26378), 1,
      anon_sym_LT_DASH,
    STATE(18747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794787] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(26380), 1,
      anon_sym_DASH_GT,
    STATE(18748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794804] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25666), 1,
      anon_sym_COLON2,
    STATE(14560), 1,
      sym__typed,
    STATE(18749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794821] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26382), 1,
      anon_sym_COLON_GT,
    ACTIONS(26384), 1,
      anon_sym_RPAREN,
    STATE(18750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794838] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26386), 1,
      sym__lowercase_identifier,
    STATE(18751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794855] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25472), 1,
      anon_sym_then,
    STATE(9762), 1,
      sym_then_clause,
    STATE(18752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794872] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18753), 1,
      sym_attribute,
    STATE(19993), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794889] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26388), 1,
      anon_sym_RPAREN,
    ACTIONS(26390), 1,
      anon_sym_LT_DASH,
    STATE(18754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26392), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [794921] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26394), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [794936] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26396), 1,
      sym__lowercase_identifier,
    ACTIONS(26398), 1,
      anon_sym_LPAREN,
    STATE(18757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794953] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25182), 1,
      anon_sym_then,
    STATE(13826), 1,
      sym_then_clause,
    STATE(18758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794970] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26400), 1,
      anon_sym_COLON_GT,
    ACTIONS(26402), 1,
      anon_sym_RPAREN,
    STATE(18759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19236), 1,
      sym__lowercase_identifier,
    STATE(18760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26404), 2,
      anon_sym_to,
      anon_sym_downto,
  [795019] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26406), 1,
      anon_sym_RPAREN,
    ACTIONS(26408), 1,
      anon_sym_SEMI,
    STATE(18762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795036] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26406), 1,
      anon_sym_RBRACK,
    ACTIONS(26410), 1,
      anon_sym_SEMI,
    STATE(18763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795053] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19528), 1,
      anon_sym_RBRACE,
    ACTIONS(26412), 1,
      anon_sym_SEMI,
    STATE(18764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795070] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26414), 1,
      anon_sym_RPAREN,
    ACTIONS(26416), 1,
      anon_sym_LT_DASH,
    STATE(18765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795087] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26406), 1,
      anon_sym_RBRACE,
    ACTIONS(26418), 1,
      anon_sym_SEMI,
    STATE(18766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795104] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26420), 1,
      anon_sym_RPAREN,
    ACTIONS(26422), 1,
      anon_sym_LT_DASH,
    STATE(18767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795121] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26424), 2,
      anon_sym_to,
      anon_sym_downto,
  [795136] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26426), 1,
      anon_sym_RPAREN,
    ACTIONS(26428), 1,
      anon_sym_LT_DASH,
    STATE(18769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795153] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26068), 1,
      anon_sym_then,
    STATE(13365), 1,
      sym_then_clause,
    STATE(18770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795170] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26430), 1,
      anon_sym_EQ,
    ACTIONS(26432), 1,
      anon_sym_RPAREN,
    STATE(18771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795187] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26434), 1,
      sym__lowercase_identifier,
    STATE(18772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795204] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26436), 1,
      anon_sym_RPAREN,
    ACTIONS(26438), 1,
      anon_sym_LT_DASH,
    STATE(18773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795221] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26440), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795236] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26442), 1,
      anon_sym_DOT,
    STATE(18775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795253] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26444), 1,
      anon_sym_SEMI,
    ACTIONS(26446), 1,
      anon_sym_RBRACE,
    STATE(18776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18777), 1,
      sym_attribute,
    STATE(20422), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795287] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26448), 1,
      anon_sym_RPAREN,
    STATE(18778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26450), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795319] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_do,
    STATE(11645), 1,
      sym_do_clause,
    STATE(18780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795336] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(26452), 1,
      anon_sym_DASH_GT,
    STATE(18781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26454), 1,
      anon_sym_RPAREN,
    ACTIONS(26456), 1,
      anon_sym_LT_DASH,
    STATE(18782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795370] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25260), 1,
      anon_sym_then,
    STATE(13339), 1,
      sym_then_clause,
    STATE(18783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26458), 1,
      anon_sym_RPAREN,
    ACTIONS(26460), 1,
      anon_sym_LT_DASH,
    STATE(18784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795404] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26462), 1,
      anon_sym_RPAREN,
    ACTIONS(26464), 1,
      anon_sym_LT_DASH,
    STATE(18785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795421] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26466), 1,
      anon_sym_EQ,
    ACTIONS(26468), 1,
      anon_sym_RPAREN,
    STATE(18786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795438] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26470), 1,
      sym__lowercase_identifier,
    ACTIONS(26472), 1,
      anon_sym_LPAREN,
    STATE(18787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795455] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(26474), 1,
      anon_sym_DASH_GT,
    STATE(18788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795472] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26476), 1,
      anon_sym_RPAREN,
    ACTIONS(26478), 1,
      anon_sym_LT_DASH,
    STATE(18789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795489] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11550), 1,
      anon_sym_RPAREN,
    ACTIONS(26480), 1,
      aux_sym_number_token1,
    STATE(18790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795506] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26482), 1,
      sym__lowercase_identifier,
    ACTIONS(26484), 1,
      anon_sym_LBRACK,
    STATE(18791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795523] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26486), 1,
      anon_sym_RPAREN,
    ACTIONS(26488), 1,
      anon_sym_LT_DASH,
    STATE(18792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795540] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26004), 1,
      anon_sym_then,
    STATE(13869), 1,
      sym_then_clause,
    STATE(18793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795557] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26490), 2,
      anon_sym_to,
      anon_sym_downto,
  [795572] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19530), 1,
      anon_sym_COLON2,
    STATE(18795), 1,
      sym_attribute,
    STATE(18858), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795589] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26492), 1,
      anon_sym_RPAREN,
    ACTIONS(26494), 1,
      anon_sym_LT_DASH,
    STATE(18796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795606] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26496), 1,
      anon_sym_DOT,
    STATE(18797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795623] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26498), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [795638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26500), 2,
      anon_sym_to,
      anon_sym_downto,
  [795653] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26502), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [795668] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26504), 1,
      anon_sym_COLON_GT,
    ACTIONS(26506), 1,
      anon_sym_RPAREN,
    STATE(18801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26508), 1,
      anon_sym_RPAREN,
    ACTIONS(26510), 1,
      anon_sym_LT_DASH,
    STATE(18802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795702] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13869), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [795717] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26512), 1,
      sym__lowercase_identifier,
    ACTIONS(26514), 1,
      sym__uppercase_identifier,
    STATE(18804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795734] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26516), 1,
      anon_sym_COLON_GT,
    ACTIONS(26518), 1,
      anon_sym_RPAREN,
    STATE(18805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795751] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19306), 1,
      sym__lowercase_identifier,
    STATE(18806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795768] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26520), 1,
      anon_sym_COLON2,
    STATE(18807), 1,
      sym_attribute,
    STATE(19608), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26522), 1,
      sym__lowercase_identifier,
    STATE(18808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795817] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26526), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795832] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10966), 1,
      anon_sym_RPAREN,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    STATE(18811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795849] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_do,
    STATE(11653), 1,
      sym_do_clause,
    STATE(18812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795866] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26528), 1,
      sym__lowercase_identifier,
    STATE(18813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795883] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26530), 2,
      anon_sym_to,
      anon_sym_downto,
  [795898] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26532), 1,
      sym__lowercase_identifier,
    ACTIONS(26534), 1,
      sym__uppercase_identifier,
    STATE(18815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795915] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26536), 1,
      sym__uppercase_identifier,
    STATE(14639), 1,
      sym_extended_module_path,
    STATE(18816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26538), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795947] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26540), 1,
      anon_sym_DOT,
    STATE(18818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795964] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26542), 1,
      sym__lowercase_identifier,
    ACTIONS(26544), 1,
      anon_sym_LPAREN,
    STATE(18819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26546), 1,
      anon_sym_then,
    STATE(9420), 1,
      sym_then_clause,
    STATE(18820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795998] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26548), 1,
      anon_sym_COLON_GT,
    ACTIONS(26550), 1,
      anon_sym_RPAREN,
    STATE(18821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26552), 1,
      anon_sym_SEMI,
    ACTIONS(26554), 1,
      anon_sym_RBRACE,
    STATE(18822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796032] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26556), 1,
      anon_sym_RPAREN,
    ACTIONS(26558), 1,
      anon_sym_LT_DASH,
    STATE(18823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796049] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26560), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [796064] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26562), 1,
      sym__lowercase_identifier,
    STATE(18825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26564), 1,
      anon_sym_DOT,
    STATE(18826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796098] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26566), 1,
      sym__lowercase_identifier,
    STATE(18827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796115] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26568), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [796130] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26570), 1,
      anon_sym_COLON_GT,
    ACTIONS(26572), 1,
      anon_sym_RPAREN,
    STATE(18829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796147] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26574), 1,
      anon_sym_RPAREN,
    STATE(18830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796164] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26576), 1,
      anon_sym_RPAREN,
    ACTIONS(26578), 1,
      anon_sym_LT_DASH,
    STATE(18831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26110), 1,
      anon_sym_then,
    STATE(9325), 1,
      sym_then_clause,
    STATE(18832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25678), 1,
      anon_sym_COLON2,
    STATE(14538), 1,
      sym__polymorphic_typed,
    STATE(18833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26580), 1,
      anon_sym_RPAREN,
    ACTIONS(26582), 1,
      anon_sym_LT_DASH,
    STATE(18834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26068), 1,
      anon_sym_then,
    STATE(13465), 1,
      sym_then_clause,
    STATE(18835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26584), 1,
      anon_sym_EQ,
    ACTIONS(26586), 1,
      anon_sym_RPAREN,
    STATE(18836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796266] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26588), 1,
      sym__lowercase_identifier,
    STATE(18837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18838), 1,
      sym_attribute,
    STATE(20967), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26590), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [796315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26592), 1,
      anon_sym_RPAREN,
    ACTIONS(26594), 1,
      anon_sym_LT_DASH,
    STATE(18840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796332] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26596), 1,
      anon_sym_RPAREN,
    STATE(18841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19756), 1,
      anon_sym_RBRACE,
    ACTIONS(26598), 1,
      anon_sym_SEMI,
    STATE(18842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796366] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26600), 1,
      anon_sym_EQ,
    ACTIONS(26602), 1,
      anon_sym_RPAREN,
    STATE(18843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26604), 1,
      anon_sym_RPAREN,
    ACTIONS(26606), 1,
      anon_sym_SEMI,
    STATE(18844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796400] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26604), 1,
      anon_sym_RBRACK,
    ACTIONS(26608), 1,
      anon_sym_SEMI,
    STATE(18845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796417] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26610), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [796432] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26604), 1,
      anon_sym_RBRACE,
    ACTIONS(26612), 1,
      anon_sym_SEMI,
    STATE(18847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796449] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26614), 1,
      anon_sym_RPAREN,
    ACTIONS(26616), 1,
      anon_sym_LT_DASH,
    STATE(18848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796466] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26618), 1,
      anon_sym_RPAREN,
    ACTIONS(26620), 1,
      anon_sym_LT_DASH,
    STATE(18849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26622), 1,
      anon_sym_DOT,
    STATE(18850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796500] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18851), 1,
      sym_attribute,
    STATE(20394), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796517] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26624), 1,
      anon_sym_RPAREN,
    STATE(18852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796534] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26626), 1,
      sym__lowercase_identifier,
    STATE(18853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796551] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26628), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [796566] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26630), 1,
      sym__lowercase_identifier,
    STATE(18855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796583] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26632), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [796598] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25260), 1,
      anon_sym_then,
    STATE(13468), 1,
      sym_then_clause,
    STATE(18857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796615] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26634), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [796630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22980), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [796645] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26636), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [796660] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25716), 1,
      anon_sym_then,
    STATE(9340), 1,
      sym_then_clause,
    STATE(18861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10976), 1,
      anon_sym_RPAREN,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    STATE(18862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796694] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26638), 1,
      anon_sym_SEMI,
    ACTIONS(26640), 1,
      anon_sym_RBRACE,
    STATE(18863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796711] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26642), 1,
      anon_sym_RPAREN,
    ACTIONS(26644), 1,
      anon_sym_LT_DASH,
    STATE(18864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26646), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [796743] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9913), 1,
      anon_sym_COLON_GT,
    ACTIONS(9915), 1,
      anon_sym_EQ,
    STATE(18866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796760] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26648), 1,
      anon_sym_RPAREN,
    ACTIONS(26650), 1,
      anon_sym_LT_DASH,
    STATE(18867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796777] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11018), 1,
      anon_sym_RPAREN,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    STATE(18868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26652), 1,
      anon_sym_COLON_GT,
    ACTIONS(26654), 1,
      anon_sym_RPAREN,
    STATE(18869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796811] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25452), 1,
      anon_sym_then,
    STATE(13409), 1,
      sym_then_clause,
    STATE(18870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796828] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26656), 1,
      anon_sym_DOT,
    STATE(18871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26658), 1,
      sym__lowercase_identifier,
    STATE(18872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796862] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26660), 1,
      sym__lowercase_identifier,
    ACTIONS(26662), 1,
      anon_sym_LPAREN,
    STATE(18873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796879] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      anon_sym_then,
    STATE(9329), 1,
      sym_then_clause,
    STATE(18874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796896] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26664), 1,
      sym__lowercase_identifier,
    STATE(18875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796913] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26666), 1,
      anon_sym_RPAREN,
    STATE(18876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796930] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26520), 1,
      anon_sym_COLON2,
    STATE(18877), 1,
      sym_attribute,
    STATE(20025), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796947] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26668), 1,
      anon_sym_RPAREN,
    ACTIONS(26670), 1,
      anon_sym_LT_DASH,
    STATE(18878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26672), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [796979] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26674), 1,
      anon_sym_RPAREN,
    ACTIONS(26676), 1,
      anon_sym_LT_DASH,
    STATE(18880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796996] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26678), 1,
      anon_sym_COLON_GT,
    ACTIONS(26680), 1,
      anon_sym_RPAREN,
    STATE(18881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(26682), 1,
      anon_sym_DASH_GT,
    STATE(18882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797030] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19250), 1,
      sym__lowercase_identifier,
    STATE(18883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10900), 1,
      anon_sym_RPAREN,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    STATE(18884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26684), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26686), 1,
      anon_sym_DOT,
    STATE(18886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797096] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18887), 1,
      sym_attribute,
    STATE(21833), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797113] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13914), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [797128] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26688), 1,
      anon_sym_RPAREN,
    ACTIONS(26690), 1,
      anon_sym_SEMI,
    STATE(18889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26688), 1,
      anon_sym_RBRACK,
    ACTIONS(26692), 1,
      anon_sym_SEMI,
    STATE(18890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26688), 1,
      anon_sym_RBRACE,
    ACTIONS(26694), 1,
      anon_sym_SEMI,
    STATE(18891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797179] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19470), 1,
      anon_sym_RBRACE,
    ACTIONS(26696), 1,
      anon_sym_SEMI,
    STATE(18892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797196] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26546), 1,
      anon_sym_then,
    STATE(9536), 1,
      sym_then_clause,
    STATE(18893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26698), 1,
      anon_sym_COLON_GT,
    ACTIONS(26700), 1,
      anon_sym_RPAREN,
    STATE(18894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797230] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_then,
    STATE(9680), 1,
      sym_then_clause,
    STATE(18895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797247] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(26702), 1,
      anon_sym_DASH_GT,
    STATE(18896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26704), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797279] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26706), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797294] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26708), 1,
      anon_sym_DOT,
    STATE(18899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26710), 1,
      sym__lowercase_identifier,
    STATE(18900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797328] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26712), 1,
      anon_sym_RPAREN,
    ACTIONS(26714), 1,
      anon_sym_LT_DASH,
    STATE(18901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797345] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18902), 1,
      sym_attribute,
    STATE(19481), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797362] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26716), 1,
      sym__lowercase_identifier,
    ACTIONS(26718), 1,
      anon_sym_LPAREN,
    STATE(18903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26720), 1,
      anon_sym_RPAREN,
    ACTIONS(26722), 1,
      anon_sym_LT_DASH,
    STATE(18904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797396] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25472), 1,
      anon_sym_then,
    STATE(9748), 1,
      sym_then_clause,
    STATE(18905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25452), 1,
      anon_sym_then,
    STATE(13355), 1,
      sym_then_clause,
    STATE(18906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797430] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26724), 1,
      sym__lowercase_identifier,
    ACTIONS(26726), 1,
      anon_sym_LBRACK,
    STATE(18907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797447] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26728), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797462] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26730), 1,
      anon_sym_RPAREN,
    ACTIONS(26732), 1,
      anon_sym_LT_DASH,
    STATE(18909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18910), 1,
      sym_attribute,
    STATE(21645), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26734), 1,
      anon_sym_RPAREN,
    ACTIONS(26736), 1,
      anon_sym_LT_DASH,
    STATE(18911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9933), 1,
      anon_sym_COLON_GT,
    ACTIONS(9935), 1,
      anon_sym_EQ,
    STATE(18912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26738), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26740), 1,
      sym__lowercase_identifier,
    ACTIONS(26742), 1,
      anon_sym_LPAREN,
    STATE(18914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797562] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(26744), 1,
      anon_sym_DASH_GT,
    STATE(18915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797579] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26004), 1,
      anon_sym_then,
    STATE(13570), 1,
      sym_then_clause,
    STATE(18916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797596] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26746), 1,
      sym__lowercase_identifier,
    ACTIONS(26748), 1,
      anon_sym_LPAREN,
    STATE(18917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    STATE(16285), 1,
      sym__simple_value_pattern,
    STATE(18918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26750), 1,
      anon_sym_DOT,
    STATE(18919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18920), 1,
      sym_attribute,
    STATE(21683), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797664] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26752), 1,
      anon_sym_COLON2,
    STATE(13270), 1,
      sym__polymorphic_typed,
    STATE(18921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797681] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25716), 1,
      anon_sym_then,
    STATE(9394), 1,
      sym_then_clause,
    STATE(18922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26754), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797713] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26756), 1,
      anon_sym_SEMI,
    ACTIONS(26758), 1,
      anon_sym_RBRACE,
    STATE(18924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797730] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25644), 1,
      anon_sym_do,
    STATE(9040), 1,
      sym_do_clause,
    STATE(18925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797747] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26760), 1,
      sym__lowercase_identifier,
    ACTIONS(26762), 1,
      anon_sym_LBRACK,
    STATE(18926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22985), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [797779] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18928), 1,
      sym_attribute,
    STATE(19802), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797796] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25548), 1,
      anon_sym_then,
    STATE(13855), 1,
      sym_then_clause,
    STATE(18929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797813] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26764), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797828] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11178), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(18931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26766), 1,
      anon_sym_RPAREN,
    ACTIONS(26768), 1,
      anon_sym_LT_DASH,
    STATE(18932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26770), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797877] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26772), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797892] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18935), 1,
      sym_attribute,
    STATE(21112), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26774), 1,
      anon_sym_RPAREN,
    ACTIONS(26776), 1,
      anon_sym_LT_DASH,
    STATE(18936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797926] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25194), 1,
      anon_sym_then,
    STATE(13873), 1,
      sym_then_clause,
    STATE(18937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797943] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26778), 1,
      anon_sym_do,
    STATE(9316), 1,
      sym_do_clause,
    STATE(18938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_COLON2,
    STATE(18939), 1,
      sym_attribute,
    STATE(21316), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797977] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26780), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [797992] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26782), 1,
      anon_sym_RPAREN,
    ACTIONS(26784), 1,
      anon_sym_LT_DASH,
    STATE(18941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798009] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26786), 1,
      anon_sym_RPAREN,
    ACTIONS(26788), 1,
      anon_sym_SEMI,
    STATE(18942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798026] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25638), 1,
      anon_sym_then,
    STATE(11624), 1,
      sym_then_clause,
    STATE(18943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798043] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26786), 1,
      anon_sym_RBRACK,
    ACTIONS(26790), 1,
      anon_sym_SEMI,
    STATE(18944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798060] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26786), 1,
      anon_sym_RBRACE,
    ACTIONS(26792), 1,
      anon_sym_SEMI,
    STATE(18945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22987), 1,
      anon_sym_EQ,
    ACTIONS(26794), 1,
      anon_sym_COLON_GT,
    STATE(18946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798094] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26796), 1,
      anon_sym_RPAREN,
    ACTIONS(26798), 1,
      anon_sym_SEMI,
    STATE(18947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798111] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26800), 1,
      sym__lowercase_identifier,
    ACTIONS(26802), 1,
      anon_sym_LPAREN,
    STATE(18948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798128] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26796), 1,
      anon_sym_RBRACK,
    ACTIONS(26804), 1,
      anon_sym_SEMI,
    STATE(18949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26806), 1,
      anon_sym_DOT,
    STATE(18950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18951), 1,
      sym_attribute,
    STATE(21187), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798179] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26808), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26810), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798209] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(26812), 1,
      anon_sym_DASH_GT,
    STATE(18954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798226] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26796), 1,
      anon_sym_RBRACE,
    ACTIONS(26814), 1,
      anon_sym_SEMI,
    STATE(18955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798243] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26816), 1,
      anon_sym_COLON_GT,
    ACTIONS(26818), 1,
      anon_sym_RPAREN,
    STATE(18956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26820), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798275] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26822), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798290] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26824), 1,
      anon_sym_RPAREN,
    ACTIONS(26826), 1,
      anon_sym_LT_DASH,
    STATE(18959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798307] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(26828), 1,
      anon_sym_DASH_GT,
    STATE(18960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798324] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26830), 1,
      anon_sym_DOT,
    STATE(18961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25644), 1,
      anon_sym_do,
    STATE(9015), 1,
      sym_do_clause,
    STATE(18962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798358] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26832), 1,
      anon_sym_COLON_GT,
    ACTIONS(26834), 1,
      anon_sym_RPAREN,
    STATE(18963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798375] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26836), 1,
      anon_sym_COLON_GT,
    ACTIONS(26838), 1,
      anon_sym_RPAREN,
    STATE(18964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798392] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19286), 1,
      sym__lowercase_identifier,
    STATE(18965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798409] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26840), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [798424] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26842), 1,
      anon_sym_DOT,
    STATE(18967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798441] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19387), 1,
      sym__lowercase_identifier,
    STATE(18968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798458] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26844), 1,
      anon_sym_DOT,
    STATE(18969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26846), 1,
      sym__lowercase_identifier,
    ACTIONS(26848), 1,
      anon_sym_LPAREN,
    STATE(18970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798492] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26850), 1,
      sym__lowercase_identifier,
    ACTIONS(26852), 1,
      anon_sym_LPAREN,
    STATE(18971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25848), 1,
      anon_sym_then,
    STATE(9493), 1,
      sym_then_clause,
    STATE(18972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798526] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26854), 1,
      anon_sym_RPAREN,
    ACTIONS(26856), 1,
      anon_sym_LT_DASH,
    STATE(18973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798543] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26858), 1,
      anon_sym_DOT,
    STATE(18974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798560] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(18975), 1,
      sym_attribute,
    STATE(22132), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798577] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26860), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798592] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18977), 1,
      sym_attribute,
    STATE(22306), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26862), 1,
      anon_sym_RPAREN,
    ACTIONS(26864), 1,
      anon_sym_SEMI,
    STATE(18978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798626] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26866), 1,
      anon_sym_DOT,
    STATE(18979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798643] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26862), 1,
      anon_sym_RBRACK,
    ACTIONS(26868), 1,
      anon_sym_SEMI,
    STATE(18980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798660] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26862), 1,
      anon_sym_RBRACE,
    ACTIONS(26870), 1,
      anon_sym_SEMI,
    STATE(18981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798677] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26872), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798692] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26874), 1,
      anon_sym_RPAREN,
    ACTIONS(26876), 1,
      anon_sym_LT_DASH,
    STATE(18983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26878), 1,
      anon_sym_DOT,
    STATE(18984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26880), 1,
      anon_sym_RPAREN,
    ACTIONS(26882), 1,
      anon_sym_LT_DASH,
    STATE(18985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798743] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26884), 1,
      anon_sym_COLON_GT,
    ACTIONS(26886), 1,
      anon_sym_RPAREN,
    STATE(18986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798760] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(18987), 1,
      sym_attribute,
    STATE(22298), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798777] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26888), 1,
      anon_sym_COLON_GT,
    ACTIONS(26890), 1,
      anon_sym_RPAREN,
    STATE(18988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19224), 1,
      sym__lowercase_identifier,
    STATE(18989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798811] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_then,
    STATE(9703), 1,
      sym_then_clause,
    STATE(18990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798828] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26892), 1,
      anon_sym_EQ,
    ACTIONS(26894), 1,
      anon_sym_RPAREN,
    STATE(18991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798845] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26896), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798860] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26898), 1,
      sym__lowercase_identifier,
    STATE(18993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798877] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23020), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [798892] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26900), 1,
      anon_sym_RPAREN,
    ACTIONS(26902), 1,
      anon_sym_LT_DASH,
    STATE(18995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25548), 1,
      anon_sym_then,
    STATE(13885), 1,
      sym_then_clause,
    STATE(18996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798926] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25386), 1,
      anon_sym_then,
    STATE(13356), 1,
      sym_then_clause,
    STATE(18997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798943] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25582), 1,
      anon_sym_do,
    STATE(8975), 1,
      sym_do_clause,
    STATE(18998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26778), 1,
      anon_sym_do,
    STATE(9274), 1,
      sym_do_clause,
    STATE(18999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25664), 1,
      anon_sym_then,
    STATE(13487), 1,
      sym_then_clause,
    STATE(19000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26904), 1,
      anon_sym_DOT,
    STATE(19001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26906), 1,
      anon_sym_RPAREN,
    ACTIONS(26908), 1,
      anon_sym_LT_DASH,
    STATE(19002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799028] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25278), 1,
      anon_sym_then,
    STATE(9738), 1,
      sym_then_clause,
    STATE(19003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26910), 1,
      sym__lowercase_identifier,
    STATE(19004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26912), 1,
      anon_sym_DOT,
    STATE(19005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25818), 1,
      anon_sym_then,
    STATE(9525), 1,
      sym_then_clause,
    STATE(19006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799096] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25386), 1,
      anon_sym_then,
    STATE(13359), 1,
      sym_then_clause,
    STATE(19007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(26914), 1,
      anon_sym_DASH_GT,
    STATE(19008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26916), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [799145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25182), 1,
      anon_sym_then,
    STATE(13644), 1,
      sym_then_clause,
    STATE(19010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26918), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [799177] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25582), 1,
      anon_sym_do,
    STATE(9033), 1,
      sym_do_clause,
    STATE(19012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799194] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19013), 1,
      sym_attribute,
    STATE(19727), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799211] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26920), 1,
      anon_sym_then,
    STATE(10726), 1,
      sym_then_clause,
    STATE(19014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799228] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26922), 1,
      anon_sym_RPAREN,
    ACTIONS(26924), 1,
      anon_sym_SEMI,
    STATE(19015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799245] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26922), 1,
      anon_sym_RBRACK,
    ACTIONS(26926), 1,
      anon_sym_SEMI,
    STATE(19016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26922), 1,
      anon_sym_RBRACE,
    ACTIONS(26928), 1,
      anon_sym_SEMI,
    STATE(19017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799279] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26930), 1,
      anon_sym_EQ,
    ACTIONS(26932), 1,
      anon_sym_RPAREN,
    STATE(19018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799296] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26934), 1,
      anon_sym_RPAREN,
    ACTIONS(26936), 1,
      anon_sym_LT_DASH,
    STATE(19019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799313] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26938), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [799328] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26940), 1,
      anon_sym_DOT,
    STATE(19021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799345] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(19022), 1,
      sym_attribute,
    STATE(19856), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799362] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26942), 1,
      anon_sym_RPAREN,
    ACTIONS(26944), 1,
      anon_sym_LT_DASH,
    STATE(19023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25464), 1,
      anon_sym_then,
    STATE(11069), 1,
      sym_then_clause,
    STATE(19024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799396] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26946), 1,
      anon_sym_RPAREN,
    ACTIONS(26948), 1,
      anon_sym_LT_DASH,
    STATE(19025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26950), 1,
      sym__lowercase_identifier,
    STATE(19026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799430] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19792), 1,
      anon_sym_RBRACE,
    ACTIONS(26952), 1,
      anon_sym_SEMI,
    STATE(19027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799447] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26954), 1,
      anon_sym_RPAREN,
    ACTIONS(26956), 1,
      anon_sym_LT_DASH,
    STATE(19028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799464] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26958), 1,
      anon_sym_RPAREN,
    ACTIONS(26960), 1,
      anon_sym_LT_DASH,
    STATE(19029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799481] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26962), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [799496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26964), 1,
      sym__lowercase_identifier,
    ACTIONS(26966), 1,
      anon_sym_LPAREN,
    STATE(19031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25548), 1,
      anon_sym_then,
    STATE(13757), 1,
      sym_then_clause,
    STATE(19032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26968), 2,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
  [799545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26970), 1,
      sym__lowercase_identifier,
    ACTIONS(26972), 1,
      anon_sym_LPAREN,
    STATE(19034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799562] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26974), 1,
      sym__lowercase_identifier,
    STATE(19035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799579] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(26976), 1,
      anon_sym_DOT,
    STATE(19036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799596] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(26978), 1,
      sym__lowercase_identifier,
    STATE(19037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26980), 1,
      sym__lowercase_identifier,
    ACTIONS(26982), 1,
      anon_sym_LPAREN,
    STATE(19038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26984), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [799645] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(26986), 1,
      sym__lowercase_identifier,
    STATE(19040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26988), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [799677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      sym__uppercase_identifier,
    STATE(10252), 1,
      sym_extended_module_path,
    STATE(19042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799694] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(26990), 1,
      anon_sym_DASH_GT,
    STATE(19043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799711] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26992), 1,
      anon_sym_COLON_GT,
    ACTIONS(26994), 1,
      anon_sym_RPAREN,
    STATE(19044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799728] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26996), 1,
      anon_sym_COLON_GT,
    ACTIONS(26998), 1,
      anon_sym_RPAREN,
    STATE(19045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799745] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19374), 1,
      sym__lowercase_identifier,
    STATE(19046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799762] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11292), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(19047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799779] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27000), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [799794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27002), 1,
      sym__lowercase_identifier,
    STATE(19049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799811] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19050), 1,
      sym_attribute,
    STATE(20425), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799828] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27004), 1,
      anon_sym_DOT,
    STATE(19051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27006), 1,
      sym__lowercase_identifier,
    ACTIONS(27008), 1,
      anon_sym_LPAREN,
    STATE(19052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799862] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27010), 1,
      sym__lowercase_identifier,
    STATE(19053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799879] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27012), 1,
      anon_sym_RPAREN,
    ACTIONS(27014), 1,
      anon_sym_SEMI,
    STATE(19054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799896] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27012), 1,
      anon_sym_RBRACK,
    ACTIONS(27016), 1,
      anon_sym_SEMI,
    STATE(19055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799913] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27018), 1,
      anon_sym_COLON_GT,
    ACTIONS(27020), 1,
      anon_sym_RPAREN,
    STATE(19056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799930] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27022), 1,
      aux_sym_type_variable_token1,
    STATE(14514), 1,
      sym_type_variable,
    STATE(19057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799947] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27012), 1,
      anon_sym_RBRACE,
    ACTIONS(27024), 1,
      anon_sym_SEMI,
    STATE(19058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799964] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27026), 1,
      sym__lowercase_identifier,
    ACTIONS(27028), 1,
      anon_sym_LPAREN,
    STATE(19059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27030), 1,
      anon_sym_COLON_GT,
    ACTIONS(27032), 1,
      anon_sym_RPAREN,
    STATE(19060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23545), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [800013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27034), 1,
      anon_sym_DOT,
    STATE(19062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800030] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(27036), 1,
      sym__lowercase_identifier,
    STATE(19063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(19064), 1,
      sym_attribute,
    STATE(20491), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800064] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_then,
    STATE(9633), 1,
      sym_then_clause,
    STATE(19065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27038), 1,
      anon_sym_DOT,
    STATE(19066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800098] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27040), 1,
      anon_sym_COLON_GT,
    ACTIONS(27042), 1,
      anon_sym_RPAREN,
    STATE(19067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11299), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(19068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800132] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27044), 1,
      anon_sym_COLON_GT,
    ACTIONS(27046), 1,
      anon_sym_RPAREN,
    STATE(19069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800149] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19383), 1,
      sym__lowercase_identifier,
    STATE(19070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15834), 2,
      anon_sym_and,
      anon_sym_in,
  [800181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27048), 1,
      anon_sym_RPAREN,
    ACTIONS(27050), 1,
      anon_sym_LT_DASH,
    STATE(19072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25664), 1,
      anon_sym_then,
    STATE(13353), 1,
      sym_then_clause,
    STATE(19073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27052), 1,
      sym__lowercase_identifier,
    STATE(19074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27054), 1,
      anon_sym_RPAREN,
    ACTIONS(27056), 1,
      anon_sym_LT_DASH,
    STATE(19075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27058), 1,
      anon_sym_RPAREN,
    ACTIONS(27060), 1,
      anon_sym_LT_DASH,
    STATE(19076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800266] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27062), 1,
      anon_sym_DOT,
    STATE(19077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25508), 1,
      anon_sym_then,
    STATE(11546), 1,
      sym_then_clause,
    STATE(19078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800300] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27064), 1,
      sym__lowercase_identifier,
    STATE(19079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800317] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27066), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800332] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(27068), 1,
      sym__lowercase_identifier,
    STATE(19081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27070), 1,
      anon_sym_RPAREN,
    ACTIONS(27072), 1,
      anon_sym_LT_DASH,
    STATE(19082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800366] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27074), 1,
      anon_sym_RPAREN,
    ACTIONS(27076), 1,
      anon_sym_LT_DASH,
    STATE(19083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20044), 1,
      anon_sym_RBRACE,
    ACTIONS(27078), 1,
      anon_sym_SEMI,
    STATE(19084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800400] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27080), 1,
      sym__lowercase_identifier,
    STATE(19085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800417] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27082), 2,
      anon_sym_RBRACK,
      aux_sym_tag_token1,
  [800432] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27084), 1,
      sym__lowercase_identifier,
    ACTIONS(27086), 1,
      anon_sym_LPAREN,
    STATE(19087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800449] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19088), 1,
      sym_attribute,
    STATE(21070), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800466] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27088), 1,
      anon_sym_DOT,
    STATE(19089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27090), 1,
      anon_sym_RPAREN,
    ACTIONS(27092), 1,
      anon_sym_SEMI,
    STATE(19090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800500] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27094), 1,
      anon_sym_RPAREN,
    ACTIONS(27096), 1,
      anon_sym_LT_DASH,
    STATE(19091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800517] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27090), 1,
      anon_sym_RBRACK,
    ACTIONS(27098), 1,
      anon_sym_SEMI,
    STATE(19092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800534] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27090), 1,
      anon_sym_RBRACE,
    ACTIONS(27100), 1,
      anon_sym_SEMI,
    STATE(19093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800551] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27102), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27104), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800581] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27106), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800596] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27108), 1,
      sym__lowercase_identifier,
    STATE(19097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27110), 1,
      anon_sym_DOT,
    STATE(19098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(19099), 1,
      sym_attribute,
    STATE(21189), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11090), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(19100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800664] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26068), 1,
      anon_sym_then,
    STATE(13489), 1,
      sym_then_clause,
    STATE(19101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800681] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27112), 1,
      anon_sym_RPAREN,
    ACTIONS(27114), 1,
      anon_sym_LT_DASH,
    STATE(19102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800698] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27116), 1,
      anon_sym_EQ,
    ACTIONS(27118), 1,
      anon_sym_RPAREN,
    STATE(19103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(27120), 1,
      sym__lowercase_identifier,
    STATE(19104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25706), 1,
      anon_sym_then,
    STATE(13438), 1,
      sym_then_clause,
    STATE(19105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800749] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27122), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800764] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27124), 1,
      anon_sym_DOT,
    STATE(19107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800781] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19596), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [800796] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26546), 1,
      anon_sym_then,
    STATE(9510), 1,
      sym_then_clause,
    STATE(19109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800813] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27126), 1,
      anon_sym_DOT,
    STATE(19110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800830] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25508), 1,
      anon_sym_then,
    STATE(11467), 1,
      sym_then_clause,
    STATE(19111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800847] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25702), 1,
      anon_sym_then,
    STATE(13061), 1,
      sym_then_clause,
    STATE(19112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800864] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27128), 1,
      anon_sym_SEMI,
    ACTIONS(27130), 1,
      anon_sym_RBRACE,
    STATE(19113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800881] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27132), 1,
      anon_sym_RPAREN,
    ACTIONS(27134), 1,
      anon_sym_LT_DASH,
    STATE(19114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800898] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27136), 1,
      anon_sym_RPAREN,
    ACTIONS(27138), 1,
      anon_sym_LT_DASH,
    STATE(19115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800915] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(27140), 1,
      sym__lowercase_identifier,
    STATE(19116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800932] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(27142), 1,
      sym__lowercase_identifier,
    STATE(19117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19118), 1,
      sym_attribute,
    STATE(20125), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800966] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27144), 1,
      sym__lowercase_identifier,
    STATE(19119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800983] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19120), 1,
      sym_attribute,
    STATE(22102), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801000] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27146), 1,
      anon_sym_EQ,
    ACTIONS(27148), 1,
      anon_sym_RPAREN,
    STATE(19121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801017] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_RBRACE,
    ACTIONS(27150), 1,
      anon_sym_SEMI,
    STATE(19122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27152), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801049] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27154), 1,
      anon_sym_RPAREN,
    ACTIONS(27156), 1,
      anon_sym_LT_DASH,
    STATE(19124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801066] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20048), 1,
      anon_sym_RBRACE,
    ACTIONS(27158), 1,
      anon_sym_SEMI,
    STATE(19125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801083] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27160), 1,
      anon_sym_RPAREN,
    ACTIONS(27162), 1,
      anon_sym_SEMI,
    STATE(19126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801100] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27160), 1,
      anon_sym_RBRACK,
    ACTIONS(27164), 1,
      anon_sym_SEMI,
    STATE(19127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27160), 1,
      anon_sym_RBRACE,
    ACTIONS(27166), 1,
      anon_sym_SEMI,
    STATE(19128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9937), 1,
      anon_sym_COLON_GT,
    ACTIONS(9939), 1,
      anon_sym_EQ,
    STATE(19129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801151] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(27168), 1,
      anon_sym_DASH_GT,
    STATE(19130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801168] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27170), 1,
      anon_sym_SEMI,
    ACTIONS(27172), 1,
      anon_sym_RBRACE,
    STATE(19131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801185] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27174), 1,
      anon_sym_COLON_GT,
    ACTIONS(27176), 1,
      anon_sym_RPAREN,
    STATE(19132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801202] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19342), 1,
      sym__lowercase_identifier,
    STATE(19133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27178), 1,
      anon_sym_DOT,
    STATE(19134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801236] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(19135), 1,
      sym_attribute,
    STATE(22295), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801253] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27180), 1,
      sym__lowercase_identifier,
    STATE(19136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26752), 1,
      anon_sym_COLON2,
    STATE(13382), 1,
      sym__polymorphic_typed,
    STATE(19137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801287] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27182), 1,
      anon_sym_RPAREN,
    ACTIONS(27184), 1,
      anon_sym_LT_DASH,
    STATE(19138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27186), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801319] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27188), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801334] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_STAR,
    ACTIONS(27190), 1,
      anon_sym_DASH_GT,
    STATE(19141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801351] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27192), 1,
      anon_sym_RPAREN,
    ACTIONS(27194), 1,
      anon_sym_LT_DASH,
    STATE(19142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27196), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    STATE(15931), 1,
      sym__simple_value_pattern,
    STATE(19144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27198), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19146), 1,
      sym_attribute,
    STATE(19614), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801432] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11349), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(19147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801449] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27200), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [801464] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(27202), 1,
      sym__lowercase_identifier,
    STATE(19149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801481] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27204), 1,
      anon_sym_RPAREN,
    ACTIONS(27206), 1,
      anon_sym_LT_DASH,
    STATE(19150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801498] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27208), 1,
      anon_sym_DOT,
    STATE(19151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23060), 1,
      anon_sym_EQ,
    ACTIONS(27210), 1,
      anon_sym_COLON_GT,
    STATE(19152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801532] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27212), 1,
      anon_sym_RPAREN,
    ACTIONS(27214), 1,
      anon_sym_SEMI,
    STATE(19153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801549] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27212), 1,
      anon_sym_RBRACK,
    ACTIONS(27216), 1,
      anon_sym_SEMI,
    STATE(19154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801566] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27212), 1,
      anon_sym_RBRACE,
    ACTIONS(27218), 1,
      anon_sym_SEMI,
    STATE(19155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27220), 1,
      anon_sym_RPAREN,
    ACTIONS(27222), 1,
      anon_sym_LT_DASH,
    STATE(19156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19157), 1,
      sym_attribute,
    STATE(19657), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11160), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(19158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27224), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801649] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27226), 1,
      anon_sym_RPAREN,
    ACTIONS(27228), 1,
      anon_sym_SEMI,
    STATE(19160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801666] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27226), 1,
      anon_sym_RBRACK,
    ACTIONS(27230), 1,
      anon_sym_SEMI,
    STATE(19161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801683] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27226), 1,
      anon_sym_RBRACE,
    ACTIONS(27232), 1,
      anon_sym_SEMI,
    STATE(19162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801700] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25386), 1,
      anon_sym_then,
    STATE(13375), 1,
      sym_then_clause,
    STATE(19163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801717] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27234), 1,
      anon_sym_RPAREN,
    ACTIONS(27236), 1,
      anon_sym_LT_DASH,
    STATE(19164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801734] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27238), 1,
      anon_sym_DOT,
    STATE(19165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801751] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27240), 1,
      anon_sym_DOT,
    STATE(19166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801768] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27242), 1,
      anon_sym_DOT,
    STATE(19167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(19168), 1,
      sym_attribute,
    STATE(19701), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801802] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(19169), 1,
      sym_attribute,
    STATE(20244), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(27244), 1,
      sym__lowercase_identifier,
    STATE(19170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801836] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27246), 1,
      anon_sym_COLON_GT,
    ACTIONS(27248), 1,
      anon_sym_RPAREN,
    STATE(19171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801853] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27250), 1,
      anon_sym_RPAREN,
    ACTIONS(27252), 1,
      anon_sym_LT_DASH,
    STATE(19172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801885] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27256), 1,
      anon_sym_RPAREN,
    ACTIONS(27258), 1,
      anon_sym_LT_DASH,
    STATE(19174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801902] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25184), 1,
      anon_sym_then,
    STATE(12364), 1,
      sym_then_clause,
    STATE(19175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801919] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25322), 1,
      anon_sym_LPAREN,
    ACTIONS(27260), 1,
      sym__lowercase_identifier,
    STATE(19176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801936] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27262), 1,
      anon_sym_DOT,
    STATE(19177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801953] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27264), 1,
      sym__lowercase_identifier,
    STATE(19178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801970] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26982), 1,
      anon_sym_LPAREN,
    ACTIONS(27266), 1,
      sym__lowercase_identifier,
    STATE(19179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25508), 1,
      anon_sym_then,
    STATE(11425), 1,
      sym_then_clause,
    STATE(19180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802004] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27268), 1,
      sym__lowercase_identifier,
    STATE(19181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802021] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27270), 1,
      anon_sym_EQ,
    ACTIONS(27272), 1,
      anon_sym_RPAREN,
    STATE(19182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802038] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27274), 1,
      anon_sym_RPAREN,
    ACTIONS(27276), 1,
      anon_sym_LT_DASH,
    STATE(19183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802055] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19184), 1,
      sym_attribute,
    STATE(20012), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802072] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19812), 1,
      anon_sym_RBRACE,
    ACTIONS(27278), 1,
      anon_sym_SEMI,
    STATE(19185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26472), 1,
      anon_sym_LPAREN,
    ACTIONS(27280), 1,
      sym__lowercase_identifier,
    STATE(19186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802106] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25702), 1,
      anon_sym_then,
    STATE(13165), 1,
      sym_then_clause,
    STATE(19187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802123] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27282), 1,
      anon_sym_RPAREN,
    ACTIONS(27284), 1,
      anon_sym_SEMI,
    STATE(19188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802140] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27282), 1,
      anon_sym_RBRACK,
    ACTIONS(27286), 1,
      anon_sym_SEMI,
    STATE(19189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802157] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27282), 1,
      anon_sym_RBRACE,
    ACTIONS(27288), 1,
      anon_sym_SEMI,
    STATE(19190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802174] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27290), 1,
      anon_sym_DOT,
    STATE(19191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802191] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27292), 1,
      anon_sym_RPAREN,
    ACTIONS(27294), 1,
      anon_sym_LT_DASH,
    STATE(19192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802208] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(19193), 1,
      sym_attribute,
    STATE(20046), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802225] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25472), 1,
      anon_sym_then,
    STATE(9635), 1,
      sym_then_clause,
    STATE(19194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802242] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11184), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(19195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802259] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27296), 1,
      anon_sym_RPAREN,
    ACTIONS(27298), 1,
      anon_sym_LT_DASH,
    STATE(19196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802276] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25184), 1,
      anon_sym_then,
    STATE(12283), 1,
      sym_then_clause,
    STATE(19197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802293] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27300), 1,
      anon_sym_RPAREN,
    ACTIONS(27302), 1,
      anon_sym_LT_DASH,
    STATE(19198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802310] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27304), 1,
      anon_sym_DOT,
    STATE(19199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802327] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
  [802342] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27306), 1,
      sym__lowercase_identifier,
    ACTIONS(27308), 1,
      anon_sym_LPAREN,
    STATE(19201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802359] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27310), 1,
      anon_sym_RPAREN,
    ACTIONS(27312), 1,
      anon_sym_LT_DASH,
    STATE(19202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802376] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27314), 1,
      anon_sym_DOT,
    STATE(19203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802393] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27316), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802408] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19205), 1,
      sym_attribute,
    STATE(20402), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802425] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27318), 1,
      sym__lowercase_identifier,
    ACTIONS(27320), 1,
      anon_sym_LBRACK,
    STATE(19206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802442] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27322), 1,
      anon_sym_SEMI,
    ACTIONS(27324), 1,
      anon_sym_RBRACE,
    STATE(19207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802459] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27326), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802474] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26778), 1,
      anon_sym_do,
    STATE(9296), 1,
      sym_do_clause,
    STATE(19209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802491] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27328), 1,
      sym__lowercase_identifier,
    ACTIONS(27330), 1,
      anon_sym_LPAREN,
    STATE(19210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802508] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27332), 1,
      anon_sym_RPAREN,
    ACTIONS(27334), 1,
      anon_sym_LT_DASH,
    STATE(19211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802525] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(27336), 1,
      sym__lowercase_identifier,
    STATE(19212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802542] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27338), 1,
      anon_sym_DOT,
    STATE(19213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802559] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27340), 1,
      anon_sym_COLON_GT,
    ACTIONS(27342), 1,
      anon_sym_RPAREN,
    STATE(19214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27344), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [802591] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19258), 1,
      sym__lowercase_identifier,
    STATE(19216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802608] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26778), 1,
      anon_sym_do,
    STATE(9326), 1,
      sym_do_clause,
    STATE(19217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802625] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23110), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [802640] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27346), 1,
      anon_sym_RPAREN,
    ACTIONS(27348), 1,
      anon_sym_SEMI,
    STATE(19219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802657] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27346), 1,
      anon_sym_RBRACK,
    ACTIONS(27350), 1,
      anon_sym_SEMI,
    STATE(19220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802674] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27352), 1,
      anon_sym_RPAREN,
    ACTIONS(27354), 1,
      anon_sym_SEMI,
    STATE(19221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802691] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27346), 1,
      anon_sym_RBRACE,
    ACTIONS(27356), 1,
      anon_sym_SEMI,
    STATE(19222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802708] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(19223), 1,
      sym_attribute,
    STATE(20450), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802725] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27358), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802740] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      anon_sym_then,
    STATE(9280), 1,
      sym_then_clause,
    STATE(19225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802757] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27360), 1,
      anon_sym_RPAREN,
    ACTIONS(27362), 1,
      anon_sym_LT_DASH,
    STATE(19226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802774] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27364), 1,
      anon_sym_RPAREN,
    ACTIONS(27366), 1,
      anon_sym_LT_DASH,
    STATE(19227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802791] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26718), 1,
      anon_sym_LPAREN,
    ACTIONS(27368), 1,
      sym__lowercase_identifier,
    STATE(19228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802808] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27370), 1,
      sym__lowercase_identifier,
    STATE(19229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802825] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27372), 1,
      anon_sym_DOT,
    STATE(19230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27374), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802857] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26110), 1,
      anon_sym_then,
    STATE(9256), 1,
      sym_then_clause,
    STATE(19232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802874] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27376), 1,
      anon_sym_RPAREN,
    ACTIONS(27378), 1,
      anon_sym_LT_DASH,
    STATE(19233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802891] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19234), 1,
      sym_attribute,
    STATE(21118), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802908] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27380), 1,
      anon_sym_COLON_GT,
    ACTIONS(27382), 1,
      anon_sym_RPAREN,
    STATE(19235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802925] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27384), 1,
      anon_sym_RPAREN,
    ACTIONS(27386), 1,
      anon_sym_SEMI,
    STATE(19236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802942] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27384), 1,
      anon_sym_RBRACK,
    ACTIONS(27388), 1,
      anon_sym_SEMI,
    STATE(19237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802959] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27390), 1,
      sym__lowercase_identifier,
    STATE(19238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802976] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27384), 1,
      anon_sym_RBRACE,
    ACTIONS(27392), 1,
      anon_sym_SEMI,
    STATE(19239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802993] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27394), 1,
      anon_sym_SEMI,
    ACTIONS(27396), 1,
      anon_sym_RBRACE,
    STATE(19240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803010] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(19241), 1,
      sym_attribute,
    STATE(21147), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803027] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27398), 1,
      anon_sym_RPAREN,
    ACTIONS(27400), 1,
      anon_sym_LT_DASH,
    STATE(19242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27402), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803059] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27404), 1,
      anon_sym_RPAREN,
    ACTIONS(27406), 1,
      anon_sym_LT_DASH,
    STATE(19244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803076] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27408), 1,
      anon_sym_RPAREN,
    ACTIONS(27410), 1,
      anon_sym_LT_DASH,
    STATE(19245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19246), 1,
      sym_attribute,
    STATE(21068), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803110] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27412), 1,
      anon_sym_COLON_GT,
    ACTIONS(27414), 1,
      anon_sym_RPAREN,
    STATE(19247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27416), 1,
      anon_sym_DOT,
    STATE(19248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803144] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11311), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(19249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803161] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9921), 1,
      anon_sym_COLON_GT,
    ACTIONS(9923), 1,
      anon_sym_EQ,
    STATE(19250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803178] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27418), 1,
      anon_sym_RPAREN,
    ACTIONS(27420), 1,
      anon_sym_LT_DASH,
    STATE(19251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803195] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27422), 1,
      sym__lowercase_identifier,
    ACTIONS(27424), 1,
      anon_sym_LPAREN,
    STATE(19252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27426), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803227] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19498), 1,
      anon_sym_RBRACE,
    ACTIONS(27428), 1,
      anon_sym_SEMI,
    STATE(19254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803244] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27430), 1,
      sym__lowercase_identifier,
    STATE(19255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803261] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26920), 1,
      anon_sym_then,
    STATE(10681), 1,
      sym_then_clause,
    STATE(19256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803278] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19257), 1,
      sym_attribute,
    STATE(21346), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803295] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27352), 1,
      anon_sym_RBRACK,
    ACTIONS(27432), 1,
      anon_sym_SEMI,
    STATE(19258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803312] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26920), 1,
      anon_sym_then,
    STATE(10660), 1,
      sym_then_clause,
    STATE(19259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27434), 1,
      anon_sym_RPAREN,
    ACTIONS(27436), 1,
      anon_sym_SEMI,
    STATE(19260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803346] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27352), 1,
      anon_sym_RBRACE,
    ACTIONS(27438), 1,
      anon_sym_SEMI,
    STATE(19261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803363] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27434), 1,
      anon_sym_RBRACK,
    ACTIONS(27440), 1,
      anon_sym_SEMI,
    STATE(19262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803380] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27442), 1,
      anon_sym_SEMI,
    ACTIONS(27444), 1,
      anon_sym_RBRACE,
    STATE(19263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27434), 1,
      anon_sym_RBRACE,
    ACTIONS(27446), 1,
      anon_sym_SEMI,
    STATE(19264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803414] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(19265), 1,
      sym_attribute,
    STATE(21366), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803431] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19348), 1,
      sym__lowercase_identifier,
    STATE(19266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27448), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803463] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27450), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27452), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803493] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27454), 1,
      sym__lowercase_identifier,
    ACTIONS(27456), 1,
      anon_sym_LPAREN,
    STATE(19270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27458), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803525] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27460), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803540] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27456), 1,
      anon_sym_LPAREN,
    ACTIONS(27462), 1,
      sym__lowercase_identifier,
    STATE(19273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803557] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27464), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [803572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27466), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803587] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27468), 1,
      anon_sym_DOT,
    STATE(19276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803604] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27470), 1,
      anon_sym_COLON_GT,
    ACTIONS(27472), 1,
      anon_sym_RPAREN,
    STATE(19277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803621] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    ACTIONS(19192), 1,
      sym__lowercase_identifier,
    STATE(19278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803638] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11379), 1,
      anon_sym_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_PIPE,
    STATE(19279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803655] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27474), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [803670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27476), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25184), 1,
      anon_sym_then,
    STATE(12466), 1,
      sym_then_clause,
    STATE(19282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803702] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26546), 1,
      anon_sym_then,
    STATE(9413), 1,
      sym_then_clause,
    STATE(19283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27478), 1,
      sym__lowercase_identifier,
    ACTIONS(27480), 1,
      anon_sym_LPAREN,
    STATE(19284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803736] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      sym__left_quoted_string_delimiter,
    STATE(19285), 1,
      sym_attribute,
    STATE(21733), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803753] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27482), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [803768] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27484), 1,
      sym__lowercase_identifier,
    ACTIONS(27486), 1,
      anon_sym_LPAREN,
    STATE(19287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27488), 1,
      anon_sym_RPAREN,
    ACTIONS(27490), 1,
      anon_sym_LT_DASH,
    STATE(19288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803802] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26920), 1,
      anon_sym_then,
    STATE(10679), 1,
      sym_then_clause,
    STATE(19289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27492), 1,
      anon_sym_RPAREN,
    ACTIONS(27494), 1,
      anon_sym_SEMI,
    STATE(19290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803836] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27492), 1,
      anon_sym_RBRACK,
    ACTIONS(27496), 1,
      anon_sym_SEMI,
    STATE(19291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803853] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_as,
    ACTIONS(27498), 1,
      anon_sym_DASH_GT,
    STATE(19292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803870] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27486), 1,
      anon_sym_LPAREN,
    ACTIONS(27500), 1,
      sym__lowercase_identifier,
    STATE(19293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803887] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27492), 1,
      anon_sym_RBRACE,
    ACTIONS(27502), 1,
      anon_sym_SEMI,
    STATE(19294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803904] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(27504), 1,
      anon_sym_DOT,
    STATE(19295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803921] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25464), 1,
      anon_sym_then,
    STATE(10766), 1,
      sym_then_clause,
    STATE(19296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803938] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27506), 1,
      sym__lowercase_identifier,
    STATE(19297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803955] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_COLON2,
    STATE(19298), 1,
      sym_attribute,
    STATE(21803), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803972] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25686), 1,
      anon_sym_LPAREN,
    ACTIONS(27508), 1,
      sym__lowercase_identifier,
    STATE(19299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803989] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    ACTIONS(27510), 1,
      sym__lowercase_identifier,
    STATE(19300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27512), 1,
      anon_sym_RPAREN,
    STATE(19301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27514), 1,
      anon_sym_RPAREN,
    STATE(19302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27516), 1,
      anon_sym_RPAREN,
    STATE(19303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27518), 1,
      anon_sym_GT,
    STATE(19304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27520), 1,
      anon_sym_RPAREN,
    STATE(19305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27522), 1,
      anon_sym_RBRACK,
    STATE(19306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27524), 1,
      anon_sym_RPAREN,
    STATE(19307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27526), 1,
      anon_sym_RBRACE,
    STATE(19308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27528), 1,
      anon_sym_in,
    STATE(19309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27530), 1,
      anon_sym_with,
    STATE(19310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27532), 1,
      anon_sym_in,
    STATE(19311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27534), 1,
      anon_sym_with,
    STATE(19312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27536), 1,
      anon_sym_in,
    STATE(19313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27538), 1,
      anon_sym_RPAREN,
    STATE(19314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27540), 1,
      anon_sym_RPAREN,
    STATE(19315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27542), 1,
      sym__lowercase_identifier,
    STATE(19316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27544), 1,
      anon_sym_DOT,
    STATE(19317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27546), 1,
      anon_sym_RPAREN,
    STATE(19318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27548), 1,
      anon_sym_RBRACE,
    STATE(19319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27550), 1,
      anon_sym_in,
    STATE(19320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27552), 1,
      anon_sym_RBRACK,
    STATE(19321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19762), 1,
      anon_sym_RPAREN,
    STATE(19322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27554), 1,
      anon_sym_with,
    STATE(19323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27556), 1,
      sym__lowercase_identifier,
    STATE(19324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27558), 1,
      anon_sym_COMMA,
    STATE(19325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27560), 1,
      anon_sym_with,
    STATE(19326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27562), 1,
      anon_sym_RPAREN,
    STATE(19327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_DASH_GT,
    STATE(19328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27564), 1,
      anon_sym_RBRACK,
    STATE(19329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27566), 1,
      anon_sym_DOT,
    STATE(19330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3707), 1,
      anon_sym_RPAREN,
    STATE(19331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27568), 1,
      anon_sym_RBRACE,
    STATE(19332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27570), 1,
      anon_sym_DOT,
    STATE(19333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3771), 1,
      anon_sym_RPAREN,
    STATE(19334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27572), 1,
      anon_sym_RBRACE,
    STATE(19335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27574), 1,
      anon_sym_RPAREN,
    STATE(19336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27576), 1,
      anon_sym_RPAREN,
    STATE(19337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27578), 1,
      anon_sym_RPAREN,
    STATE(19338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27578), 1,
      anon_sym_RBRACK,
    STATE(19339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27578), 1,
      anon_sym_RBRACE,
    STATE(19340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27580), 1,
      anon_sym_SQUOTE2,
    STATE(19341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27582), 1,
      anon_sym_DQUOTE,
    STATE(19342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27584), 1,
      anon_sym_RPAREN,
    STATE(19343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27586), 1,
      anon_sym_RBRACK,
    STATE(19344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13156), 1,
      anon_sym_GT,
    STATE(19345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27588), 1,
      anon_sym_RPAREN,
    STATE(19346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27590), 1,
      anon_sym_RBRACE,
    STATE(19347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27592), 1,
      anon_sym_in,
    STATE(19348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27594), 1,
      anon_sym_RPAREN,
    STATE(19349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27596), 1,
      anon_sym_RPAREN,
    STATE(19350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27598), 1,
      anon_sym_RPAREN,
    STATE(19351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27600), 1,
      anon_sym_RBRACE,
    STATE(19352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27602), 1,
      anon_sym_DOT,
    STATE(19353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27604), 1,
      anon_sym_DASH_GT,
    STATE(19354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27606), 1,
      anon_sym_in,
    STATE(19355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21505), 1,
      anon_sym_end,
    STATE(19356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27608), 1,
      anon_sym_RBRACK,
    STATE(19357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26758), 1,
      anon_sym_RBRACE,
    STATE(19358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27610), 1,
      anon_sym_with,
    STATE(19359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27612), 1,
      anon_sym_RPAREN,
    STATE(19360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27614), 1,
      anon_sym_DOT,
    STATE(19361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27616), 1,
      anon_sym_with,
    STATE(19362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27618), 1,
      anon_sym_DOT,
    STATE(19363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26602), 1,
      anon_sym_RPAREN,
    STATE(19364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27620), 1,
      anon_sym_DASH_GT,
    STATE(19365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27622), 1,
      anon_sym_in,
    STATE(19366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27624), 1,
      anon_sym_RBRACE,
    STATE(19367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27626), 1,
      anon_sym_DASH_GT,
    STATE(19368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12853), 1,
      anon_sym_GT,
    STATE(19369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27628), 1,
      anon_sym_RPAREN,
    STATE(19370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27630), 1,
      anon_sym_in,
    STATE(19371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27632), 1,
      anon_sym_in,
    STATE(19372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27634), 1,
      anon_sym_with,
    STATE(19373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27636), 1,
      anon_sym_RBRACE,
    STATE(19374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27638), 1,
      anon_sym_with,
    STATE(19375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27640), 1,
      anon_sym_RBRACE,
    STATE(19376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27642), 1,
      anon_sym_RPAREN,
    STATE(19377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3773), 1,
      anon_sym_RPAREN,
    STATE(19378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19606), 1,
      anon_sym_RPAREN,
    STATE(19379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27644), 1,
      anon_sym_DOT,
    STATE(19380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27646), 1,
      anon_sym_DASH_GT,
    STATE(19381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27648), 1,
      anon_sym_RBRACE,
    STATE(19382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27650), 1,
      anon_sym_RBRACE,
    STATE(19383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27652), 1,
      anon_sym_LT_DASH,
    STATE(19384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19770), 1,
      anon_sym_RPAREN,
    STATE(19385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27654), 1,
      anon_sym_EQ,
    STATE(19386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27656), 1,
      anon_sym_in,
    STATE(19387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27658), 1,
      anon_sym_SQUOTE2,
    STATE(19388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27660), 1,
      anon_sym_GT,
    STATE(19389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27662), 1,
      anon_sym_in,
    STATE(19390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27664), 1,
      anon_sym_DQUOTE,
    STATE(19391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27666), 1,
      anon_sym_RBRACK,
    STATE(19392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22805), 1,
      anon_sym_GT_RBRACE,
    STATE(19393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27668), 1,
      anon_sym_RBRACE,
    STATE(19394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27670), 1,
      anon_sym_RPAREN,
    STATE(19395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22184), 1,
      anon_sym_end,
    STATE(19396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27672), 1,
      anon_sym_LT_DASH,
    STATE(19397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27674), 1,
      anon_sym_RBRACE,
    STATE(19398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27676), 1,
      anon_sym_GT,
    STATE(19399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27678), 1,
      anon_sym_RPAREN,
    STATE(19400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27680), 1,
      anon_sym_RPAREN,
    STATE(19401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27680), 1,
      anon_sym_RBRACK,
    STATE(19402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27680), 1,
      anon_sym_RBRACE,
    STATE(19403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27682), 1,
      anon_sym_RPAREN,
    STATE(19404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27684), 1,
      anon_sym_DASH_GT,
    STATE(19405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27686), 1,
      anon_sym_RPAREN,
    STATE(19406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27688), 1,
      anon_sym_RPAREN,
    STATE(19407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27690), 1,
      anon_sym_RBRACE,
    STATE(19408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27692), 1,
      anon_sym_in,
    STATE(19409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27694), 1,
      anon_sym_RPAREN,
    STATE(19410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27696), 1,
      anon_sym_RPAREN,
    STATE(19411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3755), 1,
      anon_sym_RPAREN,
    STATE(19412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27698), 1,
      anon_sym_in,
    STATE(19413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27700), 1,
      anon_sym_RPAREN,
    STATE(19414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27702), 1,
      sym__right_quoted_string_delimiter,
    STATE(19415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27704), 1,
      anon_sym_DOT,
    STATE(19416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27706), 1,
      anon_sym_in,
    STATE(19417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27708), 1,
      anon_sym_SQUOTE2,
    STATE(19418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3775), 1,
      anon_sym_RPAREN,
    STATE(19419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27710), 1,
      anon_sym_DQUOTE,
    STATE(19420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27712), 1,
      anon_sym_in,
    STATE(19421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27714), 1,
      anon_sym_with,
    STATE(19422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27716), 1,
      anon_sym_in,
    STATE(19423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27718), 1,
      anon_sym_RPAREN,
    STATE(19424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27720), 1,
      anon_sym_with,
    STATE(19425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27722), 1,
      anon_sym_DOT,
    STATE(19426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27724), 1,
      anon_sym_RPAREN,
    STATE(19427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27726), 1,
      anon_sym_RBRACE,
    STATE(19428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19476), 1,
      anon_sym_DASH_GT,
    STATE(19429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3727), 1,
      anon_sym_RPAREN,
    STATE(19430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27728), 1,
      anon_sym_RPAREN,
    STATE(19431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27730), 1,
      anon_sym_in,
    STATE(19432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12901), 1,
      anon_sym_GT,
    STATE(19433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27732), 1,
      anon_sym_RPAREN,
    STATE(19434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27734), 1,
      anon_sym_in,
    STATE(19435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27736), 1,
      anon_sym_with,
    STATE(19436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27738), 1,
      anon_sym_in,
    STATE(19437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27740), 1,
      anon_sym_with,
    STATE(19438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27742), 1,
      anon_sym_RPAREN,
    STATE(19439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27744), 1,
      anon_sym_RBRACK,
    STATE(19440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27746), 1,
      anon_sym_RPAREN,
    STATE(19441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27748), 1,
      anon_sym_SQUOTE2,
    STATE(19442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27750), 1,
      anon_sym_DOT,
    STATE(19443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27752), 1,
      anon_sym_RPAREN,
    STATE(19444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27752), 1,
      anon_sym_RBRACK,
    STATE(19445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27752), 1,
      anon_sym_RBRACE,
    STATE(19446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27754), 1,
      anon_sym_DASH_GT,
    STATE(19447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19778), 1,
      anon_sym_RPAREN,
    STATE(19448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27756), 1,
      anon_sym_DASH_GT,
    STATE(19449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27758), 1,
      anon_sym_LT_DASH,
    STATE(19450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27760), 1,
      anon_sym_in,
    STATE(19451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27762), 1,
      anon_sym_DQUOTE,
    STATE(19452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27764), 1,
      anon_sym_RBRACK,
    STATE(19453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27766), 1,
      anon_sym_RBRACE,
    STATE(19454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27768), 1,
      anon_sym_RPAREN,
    STATE(19455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27770), 1,
      sym__lowercase_identifier,
    STATE(19456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27772), 1,
      anon_sym_RPAREN,
    STATE(19457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27774), 1,
      anon_sym_in,
    STATE(19458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27776), 1,
      anon_sym_DASH_GT,
    STATE(19459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27778), 1,
      anon_sym_RBRACE,
    STATE(19460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27780), 1,
      anon_sym_RBRACE,
    STATE(19461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27782), 1,
      anon_sym_in,
    STATE(19462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27784), 1,
      anon_sym_RPAREN,
    STATE(19463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27786), 1,
      anon_sym_RPAREN,
    STATE(19464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27786), 1,
      anon_sym_RBRACK,
    STATE(19465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27786), 1,
      anon_sym_RBRACE,
    STATE(19466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27788), 1,
      anon_sym_RBRACK,
    STATE(19467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27790), 1,
      anon_sym_in,
    STATE(19468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27792), 1,
      anon_sym_RBRACE,
    STATE(19469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27794), 1,
      anon_sym_RPAREN,
    STATE(19470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27796), 1,
      anon_sym_RPAREN,
    STATE(19471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_DASH_GT,
    STATE(19472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27798), 1,
      ts_builtin_sym_end,
    STATE(19473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27800), 1,
      anon_sym_RPAREN,
    STATE(19474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27802), 1,
      anon_sym_RPAREN,
    STATE(19475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27804), 1,
      anon_sym_RPAREN,
    STATE(19476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27806), 1,
      anon_sym_RPAREN,
    STATE(19477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27808), 1,
      anon_sym_RPAREN,
    STATE(19478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27810), 1,
      anon_sym_DOT,
    STATE(19479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27812), 1,
      anon_sym_RBRACE,
    STATE(19480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27814), 1,
      anon_sym_RPAREN,
    STATE(19481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27816), 1,
      anon_sym_in,
    STATE(19482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3683), 1,
      anon_sym_RPAREN,
    STATE(19483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27818), 1,
      anon_sym_RBRACE,
    STATE(19484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27820), 1,
      anon_sym_with,
    STATE(19485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27822), 1,
      anon_sym_in,
    STATE(19486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806610] = 4,
    ACTIONS(851), 1,
      ts_builtin_sym_end,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27824), 1,
      anon_sym_with,
    STATE(19488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27826), 1,
      anon_sym_DOT,
    STATE(19489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23507), 1,
      anon_sym_GT_RBRACE,
    STATE(19490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27828), 1,
      anon_sym_RPAREN,
    STATE(19491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27830), 1,
      anon_sym_RPAREN,
    STATE(19492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3777), 1,
      anon_sym_RPAREN,
    STATE(19493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21537), 1,
      anon_sym_end,
    STATE(19494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27832), 1,
      anon_sym_RPAREN,
    STATE(19495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27834), 1,
      anon_sym_RPAREN,
    STATE(19496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27836), 1,
      anon_sym_RPAREN,
    STATE(19497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27838), 1,
      anon_sym_RPAREN,
    STATE(19498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27840), 1,
      anon_sym_with,
    STATE(19499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27842), 1,
      anon_sym_RBRACE,
    STATE(19500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27844), 1,
      anon_sym_with,
    STATE(19501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27846), 1,
      anon_sym_RPAREN,
    STATE(19502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27848), 1,
      anon_sym_GT,
    STATE(19503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27850), 1,
      anon_sym_DASH_GT,
    STATE(19504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27852), 1,
      anon_sym_SQUOTE2,
    STATE(19505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27854), 1,
      anon_sym_DOT,
    STATE(19506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27856), 1,
      anon_sym_RBRACK,
    STATE(19507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27858), 1,
      anon_sym_RBRACE,
    STATE(19508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27860), 1,
      anon_sym_RBRACE,
    STATE(19509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27862), 1,
      anon_sym_LT_DASH,
    STATE(19510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19782), 1,
      anon_sym_RPAREN,
    STATE(19511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27864), 1,
      anon_sym_in,
    STATE(19512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27866), 1,
      anon_sym_in,
    STATE(19513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27868), 1,
      anon_sym_RPAREN,
    STATE(19514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27870), 1,
      anon_sym_in,
    STATE(19515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27872), 1,
      anon_sym_DQUOTE,
    STATE(19516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27874), 1,
      anon_sym_RPAREN,
    STATE(19517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27876), 1,
      anon_sym_RPAREN,
    STATE(19518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    STATE(19519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27878), 1,
      anon_sym_RPAREN,
    STATE(19520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23524), 1,
      anon_sym_GT_RBRACE,
    STATE(19521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10120), 1,
      anon_sym_DASH_GT,
    STATE(19522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27880), 1,
      anon_sym_in,
    STATE(19523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27882), 1,
      anon_sym_RBRACE,
    STATE(19524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21234), 1,
      anon_sym_end,
    STATE(19525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27884), 1,
      anon_sym_RPAREN,
    STATE(19526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27886), 1,
      anon_sym_RPAREN,
    STATE(19527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27886), 1,
      anon_sym_RBRACK,
    STATE(19528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27886), 1,
      anon_sym_RBRACE,
    STATE(19529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27888), 1,
      anon_sym_RPAREN,
    STATE(19530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27890), 1,
      anon_sym_SQUOTE2,
    STATE(19531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27892), 1,
      anon_sym_DQUOTE,
    STATE(19532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27894), 1,
      anon_sym_SQUOTE2,
    STATE(19533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27896), 1,
      anon_sym_DQUOTE,
    STATE(19534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27898), 1,
      anon_sym_RBRACK,
    STATE(19535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27900), 1,
      anon_sym_RBRACE,
    STATE(19536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27902), 1,
      sym__lowercase_identifier,
    STATE(19537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27904), 1,
      anon_sym_DOT,
    STATE(19538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27906), 1,
      sym__lowercase_identifier,
    STATE(19539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27908), 1,
      anon_sym_RPAREN,
    STATE(19540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27910), 1,
      anon_sym_RPAREN,
    STATE(19541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27912), 1,
      anon_sym_DASH_GT,
    STATE(19542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27914), 1,
      anon_sym_with,
    STATE(19543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27916), 1,
      anon_sym_with,
    STATE(19544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27918), 1,
      anon_sym_DOT,
    STATE(19545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7895), 1,
      anon_sym_RPAREN,
    STATE(19546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27920), 1,
      anon_sym_DOT,
    STATE(19547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27922), 1,
      anon_sym_DASH_GT,
    STATE(19548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27924), 1,
      anon_sym_DASH_GT,
    STATE(19549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27926), 1,
      anon_sym_RBRACK,
    STATE(19550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25852), 1,
      anon_sym_RBRACE,
    STATE(19551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27928), 1,
      anon_sym_RBRACE,
    STATE(19552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27930), 1,
      anon_sym_RBRACE,
    STATE(19553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27932), 1,
      anon_sym_with,
    STATE(19554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27934), 1,
      anon_sym_with,
    STATE(19555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27936), 1,
      anon_sym_RPAREN,
    STATE(19556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27938), 1,
      anon_sym_EQ,
    STATE(19557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22847), 1,
      anon_sym_GT_RBRACE,
    STATE(19558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27940), 1,
      anon_sym_RPAREN,
    STATE(19559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27942), 1,
      anon_sym_DOT,
    STATE(19560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22030), 1,
      anon_sym_end,
    STATE(19561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27944), 1,
      anon_sym_RBRACE,
    STATE(19562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27946), 1,
      anon_sym_SQUOTE2,
    STATE(19563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27948), 1,
      anon_sym_DQUOTE,
    STATE(19564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19788), 1,
      anon_sym_RPAREN,
    STATE(19565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27950), 1,
      anon_sym_RPAREN,
    STATE(19566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27952), 1,
      anon_sym_RPAREN,
    STATE(19567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27954), 1,
      anon_sym_EQ,
    STATE(19568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27956), 1,
      anon_sym_RBRACK,
    STATE(19569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27958), 1,
      anon_sym_RPAREN,
    STATE(19570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27960), 1,
      sym__lowercase_identifier,
    STATE(19571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27962), 1,
      anon_sym_RPAREN,
    STATE(19572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27964), 1,
      anon_sym_SQUOTE2,
    STATE(19573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27966), 1,
      anon_sym_RBRACE,
    STATE(19574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27968), 1,
      anon_sym_RBRACE,
    STATE(19575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27970), 1,
      anon_sym_RPAREN,
    STATE(19576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10099), 1,
      anon_sym_DASH_GT,
    STATE(19577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3779), 1,
      anon_sym_RPAREN,
    STATE(19578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9953), 1,
      anon_sym_DASH_GT,
    STATE(19579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27972), 1,
      anon_sym_RPAREN,
    STATE(19580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27974), 1,
      anon_sym_RPAREN,
    STATE(19581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27974), 1,
      anon_sym_RBRACK,
    STATE(19582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27974), 1,
      anon_sym_RBRACE,
    STATE(19583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27976), 1,
      anon_sym_RBRACE,
    STATE(19584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12889), 1,
      anon_sym_GT,
    STATE(19585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27978), 1,
      sym__lowercase_identifier,
    STATE(19586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27980), 1,
      anon_sym_end,
    STATE(19587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27982), 1,
      anon_sym_SQUOTE2,
    STATE(19588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27984), 1,
      anon_sym_DQUOTE,
    STATE(19589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27986), 1,
      anon_sym_RBRACK,
    STATE(19590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27988), 1,
      anon_sym_RBRACK,
    STATE(19591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27990), 1,
      anon_sym_DOT,
    STATE(19592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27992), 1,
      anon_sym_DASH_GT,
    STATE(19593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27994), 1,
      anon_sym_RBRACE,
    STATE(19594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18277), 1,
      anon_sym_RPAREN,
    STATE(19595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27996), 1,
      anon_sym_RBRACE,
    STATE(19596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27998), 1,
      anon_sym_with,
    STATE(19597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28000), 1,
      anon_sym_with,
    STATE(19598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28002), 1,
      anon_sym_DOT,
    STATE(19599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25940), 1,
      anon_sym_RBRACE,
    STATE(19600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10111), 1,
      anon_sym_DASH_GT,
    STATE(19601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28004), 1,
      ts_builtin_sym_end,
    STATE(19602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28006), 1,
      anon_sym_end,
    STATE(19603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28008), 1,
      anon_sym_end,
    STATE(19604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28010), 1,
      anon_sym_RBRACE,
    STATE(19605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28012), 1,
      anon_sym_RBRACK,
    STATE(19606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28014), 1,
      anon_sym_RBRACE,
    STATE(19607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28016), 1,
      anon_sym_EQ,
    STATE(19608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28018), 1,
      anon_sym_with,
    STATE(19609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28020), 1,
      anon_sym_with,
    STATE(19610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28022), 1,
      anon_sym_DQUOTE,
    STATE(19611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28024), 1,
      anon_sym_RPAREN,
    STATE(19612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18489), 1,
      anon_sym_RPAREN,
    STATE(19613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28026), 1,
      anon_sym_RBRACE,
    STATE(19614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28028), 1,
      anon_sym_DOT,
    STATE(19615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28030), 1,
      anon_sym_RPAREN,
    STATE(19616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28032), 1,
      anon_sym_DASH_GT,
    STATE(19617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28034), 1,
      anon_sym_RPAREN,
    STATE(19618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28036), 1,
      anon_sym_RBRACE,
    STATE(19619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19796), 1,
      anon_sym_RPAREN,
    STATE(19620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28038), 1,
      anon_sym_LT_DASH,
    STATE(19621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28040), 1,
      anon_sym_end,
    STATE(19622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28042), 1,
      anon_sym_RPAREN,
    STATE(19623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28044), 1,
      anon_sym_end,
    STATE(19624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28046), 1,
      anon_sym_RBRACK,
    STATE(19625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28048), 1,
      anon_sym_RBRACK,
    STATE(19626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28050), 1,
      anon_sym_RBRACE,
    STATE(19627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28052), 1,
      anon_sym_RPAREN,
    STATE(19628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28054), 1,
      anon_sym_RBRACK,
    STATE(19629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28056), 1,
      anon_sym_RBRACE,
    STATE(19630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3781), 1,
      anon_sym_RPAREN,
    STATE(19631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28058), 1,
      anon_sym_RBRACE,
    STATE(19632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28060), 1,
      anon_sym_RBRACE,
    STATE(19633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18305), 1,
      anon_sym_RPAREN,
    STATE(19634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28062), 1,
      anon_sym_RPAREN,
    STATE(19635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28064), 1,
      anon_sym_RPAREN,
    STATE(19636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28064), 1,
      anon_sym_RBRACK,
    STATE(19637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28064), 1,
      anon_sym_RBRACE,
    STATE(19638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28066), 1,
      anon_sym_in,
    STATE(19639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28068), 1,
      anon_sym_SQUOTE2,
    STATE(19640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18255), 1,
      anon_sym_RPAREN,
    STATE(19641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19362), 1,
      anon_sym_GT,
    STATE(19642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28070), 1,
      anon_sym_RBRACE,
    STATE(19643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18347), 1,
      anon_sym_RPAREN,
    STATE(19644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28072), 1,
      anon_sym_DQUOTE,
    STATE(19645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28074), 1,
      anon_sym_DASH_GT,
    STATE(19646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28076), 1,
      anon_sym_DOT,
    STATE(19647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28078), 1,
      anon_sym_RBRACK,
    STATE(19648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28080), 1,
      anon_sym_DOT,
    STATE(19649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28082), 1,
      anon_sym_RBRACK,
    STATE(19650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28084), 1,
      anon_sym_DASH_GT,
    STATE(19651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28086), 1,
      anon_sym_with,
    STATE(19652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28088), 1,
      anon_sym_with,
    STATE(19653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28090), 1,
      anon_sym_DOT,
    STATE(19654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28092), 1,
      anon_sym_DOT,
    STATE(19655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28094), 1,
      anon_sym_RBRACE,
    STATE(19656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28096), 1,
      anon_sym_RBRACE,
    STATE(19657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28098), 1,
      anon_sym_RPAREN,
    STATE(19658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28100), 1,
      anon_sym_in,
    STATE(19659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28102), 1,
      anon_sym_GT,
    STATE(19660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28104), 1,
      anon_sym_RBRACK,
    STATE(19661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28106), 1,
      anon_sym_RBRACE,
    STATE(19662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28108), 1,
      anon_sym_RBRACE,
    STATE(19663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28110), 1,
      anon_sym_with,
    STATE(19664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28112), 1,
      anon_sym_with,
    STATE(19665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22378), 1,
      anon_sym_GT_RBRACE,
    STATE(19666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28114), 1,
      anon_sym_RPAREN,
    STATE(19667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22879), 1,
      anon_sym_GT_RBRACE,
    STATE(19668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28116), 1,
      anon_sym_RPAREN,
    STATE(19669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28118), 1,
      anon_sym_DOT,
    STATE(19670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28120), 1,
      anon_sym_RPAREN,
    STATE(19671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28122), 1,
      anon_sym_RPAREN,
    STATE(19672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28124), 1,
      anon_sym_RPAREN,
    STATE(19673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28126), 1,
      anon_sym_DASH_GT,
    STATE(19674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19800), 1,
      anon_sym_RPAREN,
    STATE(19675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28128), 1,
      anon_sym_DASH_GT,
    STATE(19676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28130), 1,
      anon_sym_RPAREN,
    STATE(19677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28132), 1,
      anon_sym_RBRACE,
    STATE(19678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28134), 1,
      anon_sym_DOT,
    STATE(19679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18349), 1,
      anon_sym_RPAREN,
    STATE(19680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21167), 1,
      anon_sym_end,
    STATE(19681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28136), 1,
      anon_sym_RBRACE,
    STATE(19682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28138), 1,
      anon_sym_RPAREN,
    STATE(19683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28140), 1,
      anon_sym_with,
    STATE(19684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
    STATE(19685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19284), 1,
      anon_sym_GT,
    STATE(19686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28142), 1,
      anon_sym_RPAREN,
    STATE(19687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28144), 1,
      anon_sym_with,
    STATE(19688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28146), 1,
      anon_sym_DOT,
    STATE(19689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28148), 1,
      anon_sym_RPAREN,
    STATE(19690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28150), 1,
      anon_sym_RPAREN,
    STATE(19691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28150), 1,
      anon_sym_RBRACK,
    STATE(19692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28150), 1,
      anon_sym_RBRACE,
    STATE(19693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28152), 1,
      anon_sym_RBRACE,
    STATE(19694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18481), 1,
      anon_sym_RPAREN,
    STATE(19695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28154), 1,
      anon_sym_RBRACE,
    STATE(19696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28156), 1,
      anon_sym_SQUOTE2,
    STATE(19697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28158), 1,
      anon_sym_RPAREN,
    STATE(19698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28160), 1,
      anon_sym_DQUOTE,
    STATE(19699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21795), 1,
      anon_sym_end,
    STATE(19700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28162), 1,
      anon_sym_RPAREN,
    STATE(19701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28164), 1,
      anon_sym_DOT,
    STATE(19702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28166), 1,
      anon_sym_RPAREN,
    STATE(19703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28168), 1,
      anon_sym_RBRACK,
    STATE(19704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28170), 1,
      anon_sym_RBRACK,
    STATE(19705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28172), 1,
      anon_sym_RBRACE,
    STATE(19706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28174), 1,
      anon_sym_with,
    STATE(19707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28176), 1,
      anon_sym_with,
    STATE(19708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28178), 1,
      anon_sym_DOT,
    STATE(19709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28180), 1,
      anon_sym_RPAREN,
    STATE(19710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28182), 1,
      anon_sym_RBRACE,
    STATE(19711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28184), 1,
      anon_sym_RBRACK,
    STATE(19712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28186), 1,
      anon_sym_DASH_GT,
    STATE(19713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28188), 1,
      anon_sym_RBRACE,
    STATE(19714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28190), 1,
      anon_sym_RBRACK,
    STATE(19715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28192), 1,
      anon_sym_RPAREN,
    STATE(19716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28194), 1,
      anon_sym_RPAREN,
    STATE(19717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28196), 1,
      anon_sym_RBRACE,
    STATE(19718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28198), 1,
      anon_sym_with,
    STATE(19719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28200), 1,
      anon_sym_with,
    STATE(19720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28202), 1,
      anon_sym_RPAREN,
    STATE(19721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28204), 1,
      anon_sym_RPAREN,
    STATE(19722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28206), 1,
      anon_sym_RBRACK,
    STATE(19723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28208), 1,
      anon_sym_RBRACE,
    STATE(19724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28210), 1,
      anon_sym_DOT,
    STATE(19725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28212), 1,
      anon_sym_RBRACE,
    STATE(19726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28214), 1,
      anon_sym_RBRACE,
    STATE(19727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28216), 1,
      anon_sym_in,
    STATE(19728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28218), 1,
      anon_sym_RPAREN,
    STATE(19729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19806), 1,
      anon_sym_RPAREN,
    STATE(19730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28220), 1,
      anon_sym_RPAREN,
    STATE(19731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28222), 1,
      anon_sym_RPAREN,
    STATE(19732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28224), 1,
      anon_sym_RPAREN,
    STATE(19733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28226), 1,
      anon_sym_RBRACK,
    STATE(19734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28228), 1,
      anon_sym_RPAREN,
    STATE(19735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28230), 1,
      anon_sym_in,
    STATE(19736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28232), 1,
      anon_sym_RPAREN,
    STATE(19737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28234), 1,
      anon_sym_RBRACK,
    STATE(19738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13102), 1,
      anon_sym_GT,
    STATE(19739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28236), 1,
      anon_sym_RPAREN,
    STATE(19740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28238), 1,
      anon_sym_SQUOTE2,
    STATE(19741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28240), 1,
      anon_sym_with,
    STATE(19742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28242), 1,
      anon_sym_RBRACE,
    STATE(19743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28244), 1,
      anon_sym_with,
    STATE(19744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28246), 1,
      anon_sym_RPAREN,
    STATE(19745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28248), 1,
      anon_sym_RPAREN,
    STATE(19746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28248), 1,
      anon_sym_RBRACK,
    STATE(19747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28248), 1,
      anon_sym_RBRACE,
    STATE(19748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28250), 1,
      anon_sym_with,
    STATE(19749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28252), 1,
      anon_sym_RPAREN,
    STATE(19750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28254), 1,
      anon_sym_RBRACE,
    STATE(19751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3795), 1,
      anon_sym_RPAREN,
    STATE(19752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28256), 1,
      anon_sym_RPAREN,
    STATE(19753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28258), 1,
      anon_sym_RPAREN,
    STATE(19754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28260), 1,
      anon_sym_DQUOTE,
    STATE(19755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28262), 1,
      anon_sym_GT,
    STATE(19756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28264), 1,
      anon_sym_DOT,
    STATE(19757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28266), 1,
      anon_sym_RPAREN,
    STATE(19758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28268), 1,
      anon_sym_DOT,
    STATE(19759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28270), 1,
      anon_sym_RPAREN,
    STATE(19760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28272), 1,
      anon_sym_RPAREN,
    STATE(19761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28274), 1,
      anon_sym_with,
    STATE(19762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28276), 1,
      anon_sym_with,
    STATE(19763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28278), 1,
      anon_sym_DOT,
    STATE(19764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    STATE(19765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28280), 1,
      anon_sym_RBRACE,
    STATE(19766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28282), 1,
      anon_sym_in,
    STATE(19767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28284), 1,
      anon_sym_SQUOTE2,
    STATE(19768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28286), 1,
      anon_sym_RBRACE,
    STATE(19769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28288), 1,
      anon_sym_DQUOTE,
    STATE(19770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28290), 1,
      anon_sym_with,
    STATE(19771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28292), 1,
      anon_sym_with,
    STATE(19772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28294), 1,
      anon_sym_RPAREN,
    STATE(19773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28296), 1,
      anon_sym_RBRACK,
    STATE(19774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28298), 1,
      anon_sym_RBRACE,
    STATE(19775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28300), 1,
      anon_sym_RBRACE,
    STATE(19776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28302), 1,
      anon_sym_DOT,
    STATE(19777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28304), 1,
      sym__lowercase_identifier,
    STATE(19778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28306), 1,
      anon_sym_RPAREN,
    STATE(19779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28308), 1,
      anon_sym_RPAREN,
    STATE(19780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28310), 1,
      anon_sym_RPAREN,
    STATE(19781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19814), 1,
      anon_sym_RPAREN,
    STATE(19782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28312), 1,
      anon_sym_DASH_GT,
    STATE(19783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28314), 1,
      anon_sym_SQUOTE2,
    STATE(19784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28316), 1,
      anon_sym_DASH_GT,
    STATE(19785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28318), 1,
      anon_sym_RPAREN,
    STATE(19786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28320), 1,
      anon_sym_RPAREN,
    STATE(19787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28322), 1,
      anon_sym_RPAREN,
    STATE(19788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28324), 1,
      anon_sym_RPAREN,
    STATE(19789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28326), 1,
      anon_sym_RPAREN,
    STATE(19790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28326), 1,
      anon_sym_RBRACK,
    STATE(19791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28326), 1,
      anon_sym_RBRACE,
    STATE(19792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27396), 1,
      anon_sym_RBRACE,
    STATE(19793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28328), 1,
      anon_sym_GT,
    STATE(19794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28330), 1,
      anon_sym_RBRACE,
    STATE(19795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28332), 1,
      anon_sym_RPAREN,
    STATE(19796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28334), 1,
      anon_sym_RPAREN,
    STATE(19797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28336), 1,
      anon_sym_RBRACK,
    STATE(19798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28338), 1,
      anon_sym_DOT,
    STATE(19799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28340), 1,
      anon_sym_RBRACE,
    STATE(19800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28342), 1,
      anon_sym_DQUOTE,
    STATE(19801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28344), 1,
      anon_sym_RBRACE,
    STATE(19802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19630), 1,
      anon_sym_RPAREN,
    STATE(19803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28346), 1,
      anon_sym_with,
    STATE(19804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28348), 1,
      anon_sym_with,
    STATE(19805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28350), 1,
      anon_sym_DOT,
    STATE(19806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18467), 1,
      anon_sym_RPAREN,
    STATE(19807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28352), 1,
      anon_sym_RBRACK,
    STATE(19808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12948), 1,
      anon_sym_GT,
    STATE(19809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23641), 1,
      anon_sym_GT_RBRACE,
    STATE(19810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28354), 1,
      anon_sym_DQUOTE,
    STATE(19811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28356), 1,
      anon_sym_RBRACE,
    STATE(19812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28358), 1,
      anon_sym_with,
    STATE(19813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28360), 1,
      anon_sym_with,
    STATE(19814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28362), 1,
      anon_sym_in,
    STATE(19815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28364), 1,
      anon_sym_RPAREN,
    STATE(19816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28366), 1,
      anon_sym_RPAREN,
    STATE(19817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28368), 1,
      anon_sym_RPAREN,
    STATE(19818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28370), 1,
      anon_sym_DOT,
    STATE(19819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28372), 1,
      anon_sym_RBRACK,
    STATE(19820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28374), 1,
      anon_sym_RBRACE,
    STATE(19821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6077), 1,
      anon_sym_end,
    STATE(19822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28376), 1,
      anon_sym_LT_DASH,
    STATE(19823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19818), 1,
      anon_sym_RPAREN,
    STATE(19824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28378), 1,
      anon_sym_in,
    STATE(19825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28380), 1,
      anon_sym_RPAREN,
    STATE(19826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28382), 1,
      anon_sym_RBRACK,
    STATE(19827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28384), 1,
      anon_sym_RBRACE,
    STATE(19828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28386), 1,
      anon_sym_in,
    STATE(19829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28388), 1,
      anon_sym_RPAREN,
    STATE(19830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28390), 1,
      anon_sym_RPAREN,
    STATE(19831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28390), 1,
      anon_sym_RBRACK,
    STATE(19832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28390), 1,
      anon_sym_RBRACE,
    STATE(19833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28392), 1,
      anon_sym_RBRACE,
    STATE(19834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28394), 1,
      anon_sym_RPAREN,
    STATE(19835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28396), 1,
      anon_sym_RBRACK,
    STATE(19836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28398), 1,
      anon_sym_in,
    STATE(19837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28400), 1,
      anon_sym_RBRACE,
    STATE(19838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28402), 1,
      anon_sym_RPAREN,
    STATE(19839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28404), 1,
      anon_sym_DOT,
    STATE(19840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28406), 1,
      anon_sym_RPAREN,
    STATE(19841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28408), 1,
      anon_sym_DASH_GT,
    STATE(19842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28410), 1,
      anon_sym_RPAREN,
    STATE(19843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28412), 1,
      anon_sym_RBRACE,
    STATE(19844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28414), 1,
      anon_sym_with,
    STATE(19845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28416), 1,
      anon_sym_with,
    STATE(19846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28418), 1,
      anon_sym_DOT,
    STATE(19847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19214), 1,
      anon_sym_GT,
    STATE(19848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28420), 1,
      anon_sym_RBRACE,
    STATE(19849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28422), 1,
      anon_sym_LT_DASH,
    STATE(19850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28424), 1,
      anon_sym_in,
    STATE(19851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
    STATE(19852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21475), 1,
      anon_sym_end,
    STATE(19853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28426), 1,
      anon_sym_with,
    STATE(19854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28428), 1,
      anon_sym_with,
    STATE(19855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28430), 1,
      anon_sym_RPAREN,
    STATE(19856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28432), 1,
      anon_sym_COMMA,
    STATE(19857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28434), 1,
      anon_sym_in,
    STATE(19858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28436), 1,
      anon_sym_in,
    STATE(19859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28438), 1,
      anon_sym_DOT,
    STATE(19860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28440), 1,
      anon_sym_RPAREN,
    STATE(19861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28442), 1,
      anon_sym_RBRACK,
    STATE(19862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28444), 1,
      anon_sym_RPAREN,
    STATE(19863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28446), 1,
      anon_sym_RPAREN,
    STATE(19864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19822), 1,
      anon_sym_RPAREN,
    STATE(19865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28448), 1,
      anon_sym_RBRACK,
    STATE(19866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28450), 1,
      anon_sym_RBRACE,
    STATE(19867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28452), 1,
      anon_sym_in,
    STATE(19868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3647), 1,
      anon_sym_RPAREN,
    STATE(19869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28454), 1,
      anon_sym_RBRACE,
    STATE(19870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28456), 1,
      anon_sym_RPAREN,
    STATE(19871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28458), 1,
      anon_sym_RPAREN,
    STATE(19872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28458), 1,
      anon_sym_RBRACK,
    STATE(19873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28458), 1,
      anon_sym_RBRACE,
    STATE(19874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28460), 1,
      anon_sym_DOT_DOT,
    STATE(19875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28462), 1,
      anon_sym_in,
    STATE(19876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28464), 1,
      anon_sym_SQUOTE2,
    STATE(19877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28466), 1,
      anon_sym_RBRACE,
    STATE(19878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28468), 1,
      anon_sym_RPAREN,
    STATE(19879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28470), 1,
      anon_sym_RPAREN,
    STATE(19880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28472), 1,
      anon_sym_DOT,
    STATE(19881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28474), 1,
      anon_sym_RPAREN,
    STATE(19882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28476), 1,
      anon_sym_in,
    STATE(19883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28478), 1,
      anon_sym_RBRACE,
    STATE(19884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28480), 1,
      anon_sym_RPAREN,
    STATE(19885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28482), 1,
      anon_sym_with,
    STATE(19886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28484), 1,
      anon_sym_with,
    STATE(19887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28486), 1,
      anon_sym_DOT,
    STATE(19888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28480), 1,
      anon_sym_RBRACK,
    STATE(19889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28480), 1,
      anon_sym_RBRACE,
    STATE(19890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28488), 1,
      anon_sym_DOT_DOT,
    STATE(19891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11594), 1,
      anon_sym_COLON_COLON,
    STATE(19892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28490), 1,
      anon_sym_RBRACE,
    STATE(19893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28492), 1,
      anon_sym_DASH_GT,
    STATE(19894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28494), 1,
      anon_sym_with,
    STATE(19895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28496), 1,
      anon_sym_with,
    STATE(19896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28498), 1,
      anon_sym_DASH_GT,
    STATE(19897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28500), 1,
      anon_sym_RBRACK,
    STATE(19898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28502), 1,
      anon_sym_DASH_GT,
    STATE(19899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28504), 1,
      anon_sym_DOT_DOT,
    STATE(19900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28506), 1,
      anon_sym_DOT,
    STATE(19901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28508), 1,
      anon_sym_RBRACE,
    STATE(19902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28510), 1,
      anon_sym_RBRACE,
    STATE(19903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28512), 1,
      anon_sym_RBRACE,
    STATE(19904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23667), 1,
      anon_sym_GT_RBRACE,
    STATE(19905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19828), 1,
      anon_sym_RPAREN,
    STATE(19906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28514), 1,
      anon_sym_DQUOTE,
    STATE(19907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28516), 1,
      anon_sym_RBRACK,
    STATE(19908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28518), 1,
      anon_sym_DASH_GT,
    STATE(19909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21404), 1,
      anon_sym_end,
    STATE(19910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28520), 1,
      anon_sym_RBRACE,
    STATE(19911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28522), 1,
      anon_sym_RPAREN,
    STATE(19912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28524), 1,
      anon_sym_RPAREN,
    STATE(19913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28524), 1,
      anon_sym_RBRACK,
    STATE(19914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28524), 1,
      anon_sym_RBRACE,
    STATE(19915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28526), 1,
      anon_sym_SQUOTE2,
    STATE(19916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28528), 1,
      anon_sym_DQUOTE,
    STATE(19917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28530), 1,
      anon_sym_RBRACE,
    STATE(19918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12990), 1,
      anon_sym_GT,
    STATE(19919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28532), 1,
      anon_sym_RBRACK,
    STATE(19920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28534), 1,
      sym__lowercase_identifier,
    STATE(19921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28536), 1,
      anon_sym_DOT,
    STATE(19922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28538), 1,
      anon_sym_RBRACE,
    STATE(19923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28540), 1,
      anon_sym_RBRACE,
    STATE(19924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28542), 1,
      anon_sym_LT_DASH,
    STATE(19925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28544), 1,
      anon_sym_in,
    STATE(19926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28546), 1,
      anon_sym_with,
    STATE(19927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28548), 1,
      anon_sym_with,
    STATE(19928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28550), 1,
      anon_sym_DOT,
    STATE(19929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13036), 1,
      anon_sym_GT,
    STATE(19930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28552), 1,
      anon_sym_LT_DASH,
    STATE(19931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28554), 1,
      anon_sym_RPAREN,
    STATE(19932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28556), 1,
      anon_sym_RBRACK,
    STATE(19933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28558), 1,
      anon_sym_RBRACE,
    STATE(19934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28560), 1,
      anon_sym_RPAREN,
    STATE(19935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28562), 1,
      anon_sym_with,
    STATE(19936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28564), 1,
      anon_sym_with,
    STATE(19937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28566), 1,
      anon_sym_RBRACE,
    STATE(19938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23679), 1,
      anon_sym_GT_RBRACE,
    STATE(19939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28568), 1,
      anon_sym_RBRACE,
    STATE(19940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3637), 1,
      anon_sym_RPAREN,
    STATE(19941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28570), 1,
      anon_sym_DOT,
    STATE(19942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28572), 1,
      anon_sym_GT,
    STATE(19943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28574), 1,
      anon_sym_RBRACK,
    STATE(19944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28576), 1,
      anon_sym_RPAREN,
    STATE(19945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21679), 1,
      anon_sym_end,
    STATE(19946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19832), 1,
      anon_sym_RPAREN,
    STATE(19947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28578), 1,
      anon_sym_RPAREN,
    STATE(19948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28580), 1,
      anon_sym_RBRACE,
    STATE(19949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10140), 1,
      anon_sym_DASH_GT,
    STATE(19950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28582), 1,
      sym__lowercase_identifier,
    STATE(19951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28584), 1,
      anon_sym_DASH_GT,
    STATE(19952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28586), 1,
      anon_sym_RPAREN,
    STATE(19953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28588), 1,
      anon_sym_RPAREN,
    STATE(19954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28588), 1,
      anon_sym_RBRACK,
    STATE(19955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28588), 1,
      anon_sym_RBRACE,
    STATE(19956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6211), 1,
      anon_sym_end,
    STATE(19957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28590), 1,
      anon_sym_RBRACE,
    STATE(19958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28592), 1,
      anon_sym_RPAREN,
    STATE(19959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28594), 1,
      aux_sym_number_token1,
    STATE(19960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28596), 1,
      anon_sym_RBRACE,
    STATE(19961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28598), 1,
      anon_sym_DASH_GT,
    STATE(19962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28600), 1,
      anon_sym_DOT,
    STATE(19963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28602), 1,
      anon_sym_in,
    STATE(19964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28604), 1,
      anon_sym_RBRACK,
    STATE(19965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28606), 1,
      anon_sym_RPAREN,
    STATE(19966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28608), 1,
      anon_sym_SQUOTE2,
    STATE(19967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28610), 1,
      anon_sym_with,
    STATE(19968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28612), 1,
      anon_sym_with,
    STATE(19969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28614), 1,
      anon_sym_DOT,
    STATE(19970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28616), 1,
      anon_sym_RBRACE,
    STATE(19971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28618), 1,
      anon_sym_GT,
    STATE(19972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28620), 1,
      anon_sym_end,
    STATE(19973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28622), 1,
      anon_sym_RBRACK,
    STATE(19974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28624), 1,
      anon_sym_DQUOTE,
    STATE(19975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28626), 1,
      sym__lowercase_identifier,
    STATE(19976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28628), 1,
      anon_sym_with,
    STATE(19977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28630), 1,
      anon_sym_with,
    STATE(19978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28632), 1,
      anon_sym_RBRACE,
    STATE(19979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28634), 1,
      anon_sym_RBRACE,
    STATE(19980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28636), 1,
      anon_sym_RPAREN,
    STATE(19981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28638), 1,
      anon_sym_RBRACE,
    STATE(19982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28640), 1,
      anon_sym_DOT,
    STATE(19983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28642), 1,
      anon_sym_RBRACE,
    STATE(19984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28644), 1,
      anon_sym_done,
    STATE(19985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9999), 1,
      anon_sym_DASH_GT,
    STATE(19986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18359), 1,
      anon_sym_RPAREN,
    STATE(19987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19836), 1,
      anon_sym_RPAREN,
    STATE(19988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28646), 1,
      sym__lowercase_identifier,
    STATE(19989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28648), 1,
      anon_sym_RBRACK,
    STATE(19990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28650), 1,
      anon_sym_in,
    STATE(19991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28652), 1,
      anon_sym_RPAREN,
    STATE(19992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28654), 1,
      anon_sym_RBRACE,
    STATE(19993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28656), 1,
      anon_sym_RPAREN,
    STATE(19994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28658), 1,
      anon_sym_RPAREN,
    STATE(19995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28658), 1,
      anon_sym_RBRACK,
    STATE(19996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28658), 1,
      anon_sym_RBRACE,
    STATE(19997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28660), 1,
      anon_sym_RBRACE,
    STATE(19998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28662), 1,
      anon_sym_RPAREN,
    STATE(19999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28664), 1,
      anon_sym_in,
    STATE(20000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28666), 1,
      anon_sym_DASH_GT,
    STATE(20001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28668), 1,
      anon_sym_RBRACE,
    STATE(20002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28670), 1,
      anon_sym_RPAREN,
    STATE(20003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28672), 1,
      anon_sym_DOT,
    STATE(20004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28674), 1,
      anon_sym_LT_DASH,
    STATE(20005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28676), 1,
      anon_sym_LT_DASH,
    STATE(20006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28678), 1,
      anon_sym_in,
    STATE(20007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28680), 1,
      anon_sym_RBRACK,
    STATE(20008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28682), 1,
      anon_sym_with,
    STATE(20009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28684), 1,
      anon_sym_with,
    STATE(20010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28686), 1,
      anon_sym_DOT,
    STATE(20011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28688), 1,
      anon_sym_RBRACE,
    STATE(20012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28690), 1,
      anon_sym_RBRACK,
    STATE(20013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28692), 1,
      anon_sym_RBRACE,
    STATE(20014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28694), 1,
      anon_sym_RBRACK,
    STATE(20015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28696), 1,
      anon_sym_in,
    STATE(20016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28698), 1,
      anon_sym_LT_DASH,
    STATE(20017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28700), 1,
      anon_sym_with,
    STATE(20018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28702), 1,
      anon_sym_with,
    STATE(20019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28704), 1,
      anon_sym_in,
    STATE(20020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28706), 1,
      anon_sym_RBRACE,
    STATE(20021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28708), 1,
      anon_sym_RBRACE,
    STATE(20022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28710), 1,
      anon_sym_RPAREN,
    STATE(20023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28712), 1,
      anon_sym_DOT,
    STATE(20024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28714), 1,
      anon_sym_EQ,
    STATE(20025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28716), 1,
      anon_sym_RPAREN,
    STATE(20026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28718), 1,
      anon_sym_RBRACE,
    STATE(20027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16726), 1,
      anon_sym_DASH_GT,
    STATE(20028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19840), 1,
      anon_sym_RPAREN,
    STATE(20029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28720), 1,
      anon_sym_RPAREN,
    STATE(20030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28722), 1,
      anon_sym_RBRACK,
    STATE(20031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28724), 1,
      anon_sym_RPAREN,
    STATE(20032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3719), 1,
      anon_sym_RPAREN,
    STATE(20033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28726), 1,
      anon_sym_RBRACE,
    STATE(20034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28728), 1,
      anon_sym_RPAREN,
    STATE(20035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28730), 1,
      anon_sym_RPAREN,
    STATE(20036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28730), 1,
      anon_sym_RBRACK,
    STATE(20037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28730), 1,
      anon_sym_RBRACE,
    STATE(20038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25276), 1,
      anon_sym_RBRACE,
    STATE(20039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28732), 1,
      anon_sym_RBRACE,
    STATE(20040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3799), 1,
      anon_sym_RPAREN,
    STATE(20041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28734), 1,
      anon_sym_DOT,
    STATE(20042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28736), 1,
      anon_sym_RBRACE,
    STATE(20043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28738), 1,
      anon_sym_GT,
    STATE(20044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28740), 1,
      anon_sym_DOT,
    STATE(20045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28742), 1,
      anon_sym_RPAREN,
    STATE(20046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28744), 1,
      anon_sym_RBRACK,
    STATE(20047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28746), 1,
      anon_sym_RPAREN,
    STATE(20048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28748), 1,
      anon_sym_RBRACK,
    STATE(20049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28750), 1,
      anon_sym_with,
    STATE(20050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28752), 1,
      anon_sym_with,
    STATE(20051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28754), 1,
      anon_sym_DOT,
    STATE(20052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28756), 1,
      anon_sym_RBRACE,
    STATE(20053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28758), 1,
      anon_sym_in,
    STATE(20054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28760), 1,
      anon_sym_RPAREN,
    STATE(20055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9957), 1,
      anon_sym_DASH_GT,
    STATE(20056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28762), 1,
      anon_sym_RBRACE,
    STATE(20057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28764), 1,
      anon_sym_RBRACE,
    STATE(20058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28766), 1,
      anon_sym_with,
    STATE(20059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28768), 1,
      anon_sym_with,
    STATE(20060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28770), 1,
      anon_sym_RPAREN,
    STATE(20061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28772), 1,
      anon_sym_in,
    STATE(20062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28774), 1,
      anon_sym_RPAREN,
    STATE(20063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28776), 1,
      anon_sym_in,
    STATE(20064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28778), 1,
      anon_sym_DOT,
    STATE(20065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28780), 1,
      anon_sym_RBRACK,
    STATE(20066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28782), 1,
      anon_sym_RBRACE,
    STATE(20067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28784), 1,
      anon_sym_RBRACE,
    STATE(20068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28786), 1,
      anon_sym_RBRACE,
    STATE(20069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19846), 1,
      anon_sym_RPAREN,
    STATE(20070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28788), 1,
      anon_sym_end,
    STATE(20071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28790), 1,
      anon_sym_RBRACK,
    STATE(20072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28792), 1,
      anon_sym_EQ,
    STATE(20073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28794), 1,
      anon_sym_RPAREN,
    STATE(20074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28796), 1,
      anon_sym_RBRACE,
    STATE(20075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28798), 1,
      anon_sym_RPAREN,
    STATE(20076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28800), 1,
      anon_sym_RPAREN,
    STATE(20077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28800), 1,
      anon_sym_RBRACK,
    STATE(20078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28800), 1,
      anon_sym_RBRACE,
    STATE(20079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28802), 1,
      anon_sym_RPAREN,
    STATE(20080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28804), 1,
      anon_sym_RPAREN,
    STATE(20081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28806), 1,
      anon_sym_LT_DASH,
    STATE(20082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28808), 1,
      anon_sym_RBRACE,
    STATE(20083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28810), 1,
      anon_sym_in,
    STATE(20084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28812), 1,
      anon_sym_in,
    STATE(20085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28814), 1,
      anon_sym_DOT,
    STATE(20086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28816), 1,
      anon_sym_end,
    STATE(20087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28818), 1,
      anon_sym_in,
    STATE(20088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28820), 1,
      anon_sym_RPAREN,
    STATE(20089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28822), 1,
      sym__lowercase_identifier,
    STATE(20090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28824), 1,
      anon_sym_with,
    STATE(20091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28826), 1,
      anon_sym_with,
    STATE(20092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28828), 1,
      anon_sym_DOT,
    STATE(20093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28830), 1,
      anon_sym_RBRACK,
    STATE(20094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28832), 1,
      anon_sym_RPAREN,
    STATE(20095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28834), 1,
      anon_sym_RBRACK,
    STATE(20096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28836), 1,
      anon_sym_RBRACE,
    STATE(20097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28838), 1,
      anon_sym_RBRACE,
    STATE(20098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28840), 1,
      anon_sym_RPAREN,
    STATE(20099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28842), 1,
      anon_sym_with,
    STATE(20100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28844), 1,
      anon_sym_with,
    STATE(20101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28846), 1,
      anon_sym_RBRACE,
    STATE(20102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22963), 1,
      anon_sym_GT_RBRACE,
    STATE(20103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28848), 1,
      anon_sym_in,
    STATE(20104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28850), 1,
      anon_sym_RBRACE,
    STATE(20105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28852), 1,
      anon_sym_DOT,
    STATE(20106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28854), 1,
      anon_sym_RBRACK,
    STATE(20107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28856), 1,
      anon_sym_RBRACE,
    STATE(20108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28858), 1,
      anon_sym_RBRACE,
    STATE(20109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28860), 1,
      anon_sym_DOT,
    STATE(20110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19850), 1,
      anon_sym_RPAREN,
    STATE(20111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18451), 1,
      anon_sym_RPAREN,
    STATE(20112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21290), 1,
      anon_sym_end,
    STATE(20113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28862), 1,
      anon_sym_RPAREN,
    STATE(20114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28864), 1,
      anon_sym_RPAREN,
    STATE(20115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23729), 1,
      anon_sym_GT_RBRACE,
    STATE(20116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28866), 1,
      anon_sym_RPAREN,
    STATE(20117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28868), 1,
      anon_sym_RPAREN,
    STATE(20118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28868), 1,
      anon_sym_RBRACK,
    STATE(20119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28868), 1,
      anon_sym_RBRACE,
    STATE(20120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28870), 1,
      anon_sym_DOT,
    STATE(20121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21463), 1,
      anon_sym_end,
    STATE(20122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28872), 1,
      anon_sym_DASH_GT,
    STATE(20123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28874), 1,
      anon_sym_SQUOTE2,
    STATE(20124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28876), 1,
      anon_sym_RBRACE,
    STATE(20125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28878), 1,
      anon_sym_DQUOTE,
    STATE(20126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28880), 1,
      anon_sym_DOT,
    STATE(20127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28882), 1,
      anon_sym_RBRACK,
    STATE(20128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28884), 1,
      anon_sym_RBRACE,
    STATE(20129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10039), 1,
      anon_sym_DASH_GT,
    STATE(20130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28886), 1,
      sym__lowercase_identifier,
    STATE(20131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28888), 1,
      anon_sym_with,
    STATE(20132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28890), 1,
      anon_sym_with,
    STATE(20133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28892), 1,
      anon_sym_DOT,
    STATE(20134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28894), 1,
      anon_sym_RBRACE,
    STATE(20135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28896), 1,
      aux_sym_number_token1,
    STATE(20136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28898), 1,
      anon_sym_DOT,
    STATE(20137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28900), 1,
      sym__lowercase_identifier,
    STATE(20138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28902), 1,
      anon_sym_RBRACK,
    STATE(20139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28904), 1,
      anon_sym_DASH_GT,
    STATE(20140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28906), 1,
      anon_sym_with,
    STATE(20141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28908), 1,
      anon_sym_with,
    STATE(20142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28910), 1,
      anon_sym_with,
    STATE(20143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28912), 1,
      anon_sym_RBRACE,
    STATE(20144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28914), 1,
      anon_sym_SQUOTE2,
    STATE(20145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28916), 1,
      anon_sym_RPAREN,
    STATE(20146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28918), 1,
      anon_sym_DOT,
    STATE(20147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28920), 1,
      anon_sym_with,
    STATE(20148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28922), 1,
      anon_sym_DOT,
    STATE(20149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28924), 1,
      anon_sym_RBRACE,
    STATE(20150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28926), 1,
      anon_sym_in,
    STATE(20151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19860), 1,
      anon_sym_RPAREN,
    STATE(20152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28928), 1,
      anon_sym_RBRACK,
    STATE(20153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28930), 1,
      anon_sym_DQUOTE,
    STATE(20154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28932), 1,
      anon_sym_RBRACE,
    STATE(20155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28934), 1,
      anon_sym_LT_DASH,
    STATE(20156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28936), 1,
      anon_sym_in,
    STATE(20157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28938), 1,
      anon_sym_RPAREN,
    STATE(20158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28940), 1,
      anon_sym_RPAREN,
    STATE(20159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28940), 1,
      anon_sym_RBRACK,
    STATE(20160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28940), 1,
      anon_sym_RBRACE,
    STATE(20161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28942), 1,
      anon_sym_in,
    STATE(20162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28944), 1,
      anon_sym_in,
    STATE(20163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28946), 1,
      anon_sym_RPAREN,
    STATE(20164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22975), 1,
      anon_sym_GT_RBRACE,
    STATE(20165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28948), 1,
      anon_sym_RBRACE,
    STATE(20166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28950), 1,
      anon_sym_RPAREN,
    STATE(20167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28952), 1,
      anon_sym_DOT,
    STATE(20168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21325), 1,
      anon_sym_end,
    STATE(20169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28954), 1,
      anon_sym_in,
    STATE(20170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28956), 1,
      anon_sym_RBRACK,
    STATE(20171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28958), 1,
      anon_sym_in,
    STATE(20172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28960), 1,
      anon_sym_with,
    STATE(20173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28962), 1,
      anon_sym_with,
    STATE(20174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28964), 1,
      anon_sym_DOT,
    STATE(20175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28966), 1,
      anon_sym_RBRACE,
    STATE(20176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3793), 1,
      anon_sym_RPAREN,
    STATE(20177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28968), 1,
      anon_sym_SQUOTE2,
    STATE(20178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28970), 1,
      anon_sym_DQUOTE,
    STATE(20179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28972), 1,
      anon_sym_RPAREN,
    STATE(20180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28974), 1,
      anon_sym_RBRACK,
    STATE(20181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28976), 1,
      anon_sym_with,
    STATE(20182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28978), 1,
      anon_sym_with,
    STATE(20183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28980), 1,
      anon_sym_RBRACE,
    STATE(20184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28982), 1,
      anon_sym_RBRACE,
    STATE(20185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28984), 1,
      sym__lowercase_identifier,
    STATE(20186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28986), 1,
      anon_sym_RBRACE,
    STATE(20187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28988), 1,
      anon_sym_DOT,
    STATE(20188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28990), 1,
      sym__lowercase_identifier,
    STATE(20189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28992), 1,
      anon_sym_in,
    STATE(20190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28994), 1,
      anon_sym_RBRACE,
    STATE(20191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28996), 1,
      anon_sym_with,
    STATE(20192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19864), 1,
      anon_sym_RPAREN,
    STATE(20193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28998), 1,
      anon_sym_RPAREN,
    STATE(20194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29000), 1,
      anon_sym_in,
    STATE(20195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29002), 1,
      anon_sym_with,
    STATE(20196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29004), 1,
      anon_sym_RBRACK,
    STATE(20197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29006), 1,
      anon_sym_RPAREN,
    STATE(20198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29008), 1,
      anon_sym_RPAREN,
    STATE(20199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29010), 1,
      anon_sym_RPAREN,
    STATE(20200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29010), 1,
      anon_sym_RBRACK,
    STATE(20201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29010), 1,
      anon_sym_RBRACE,
    STATE(20202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29012), 1,
      anon_sym_RBRACE,
    STATE(20203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29014), 1,
      anon_sym_RBRACE,
    STATE(20204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10021), 1,
      anon_sym_DASH_GT,
    STATE(20205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23763), 1,
      anon_sym_GT_RBRACE,
    STATE(20206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29016), 1,
      anon_sym_DOT,
    STATE(20207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29018), 1,
      anon_sym_RBRACE,
    STATE(20208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29020), 1,
      anon_sym_DOT,
    STATE(20209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21491), 1,
      anon_sym_end,
    STATE(20210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29022), 1,
      anon_sym_RBRACK,
    STATE(20211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29024), 1,
      anon_sym_SQUOTE2,
    STATE(20212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29026), 1,
      anon_sym_with,
    STATE(20213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29028), 1,
      anon_sym_with,
    STATE(20214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29030), 1,
      anon_sym_DOT,
    STATE(20215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29032), 1,
      anon_sym_DQUOTE,
    STATE(20216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29034), 1,
      anon_sym_RBRACE,
    STATE(20217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29036), 1,
      anon_sym_RBRACE,
    STATE(20218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29038), 1,
      anon_sym_DASH_GT,
    STATE(20219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29040), 1,
      anon_sym_DASH_GT,
    STATE(20220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29042), 1,
      anon_sym_RBRACK,
    STATE(20221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29044), 1,
      anon_sym_with,
    STATE(20222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29046), 1,
      anon_sym_with,
    STATE(20223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29048), 1,
      anon_sym_RBRACE,
    STATE(20224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29050), 1,
      anon_sym_RPAREN,
    STATE(20225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29052), 1,
      sym__lowercase_identifier,
    STATE(20226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29054), 1,
      anon_sym_DOT,
    STATE(20227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29056), 1,
      anon_sym_DOT,
    STATE(20228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29058), 1,
      anon_sym_RBRACE,
    STATE(20229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29060), 1,
      anon_sym_DASH_GT,
    STATE(20230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29062), 1,
      anon_sym_RPAREN,
    STATE(20231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29064), 1,
      anon_sym_with,
    STATE(20232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19874), 1,
      anon_sym_RPAREN,
    STATE(20233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29066), 1,
      anon_sym_RBRACK,
    STATE(20234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29068), 1,
      anon_sym_DASH_GT,
    STATE(20235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29070), 1,
      anon_sym_DASH_GT,
    STATE(20236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29072), 1,
      anon_sym_RBRACE,
    STATE(20237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29074), 1,
      anon_sym_RBRACE,
    STATE(20238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29076), 1,
      anon_sym_RPAREN,
    STATE(20239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29078), 1,
      anon_sym_RPAREN,
    STATE(20240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29078), 1,
      anon_sym_RBRACK,
    STATE(20241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29078), 1,
      anon_sym_RBRACE,
    STATE(20242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29080), 1,
      anon_sym_RPAREN,
    STATE(20243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29082), 1,
      anon_sym_RPAREN,
    STATE(20244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29084), 1,
      anon_sym_RBRACE,
    STATE(20245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19656), 1,
      anon_sym_RPAREN,
    STATE(20246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29086), 1,
      anon_sym_RPAREN,
    STATE(20247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23889), 1,
      anon_sym_GT_RBRACE,
    STATE(20248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29088), 1,
      anon_sym_DOT,
    STATE(20249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29090), 1,
      anon_sym_RBRACK,
    STATE(20250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19180), 1,
      anon_sym_GT,
    STATE(20251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29092), 1,
      anon_sym_LT_DASH,
    STATE(20252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29094), 1,
      anon_sym_with,
    STATE(20253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29096), 1,
      anon_sym_with,
    STATE(20254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29098), 1,
      anon_sym_DOT,
    STATE(20255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_DASH_GT,
    STATE(20256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29100), 1,
      anon_sym_in,
    STATE(20257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29102), 1,
      anon_sym_RPAREN,
    STATE(20258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10097), 1,
      anon_sym_DASH_GT,
    STATE(20259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29104), 1,
      anon_sym_end,
    STATE(20260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29106), 1,
      anon_sym_DOT,
    STATE(20261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29108), 1,
      anon_sym_with,
    STATE(20262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29110), 1,
      anon_sym_with,
    STATE(20263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29112), 1,
      anon_sym_RBRACE,
    STATE(20264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29114), 1,
      anon_sym_RPAREN,
    STATE(20265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29116), 1,
      anon_sym_RPAREN,
    STATE(20266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29118), 1,
      anon_sym_RPAREN,
    STATE(20267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29120), 1,
      anon_sym_DOT,
    STATE(20268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29122), 1,
      anon_sym_end,
    STATE(20269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10136), 1,
      anon_sym_DASH_GT,
    STATE(20270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29124), 1,
      anon_sym_RBRACK,
    STATE(20271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29126), 1,
      anon_sym_DASH_GT,
    STATE(20272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19878), 1,
      anon_sym_RPAREN,
    STATE(20273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29128), 1,
      anon_sym_RPAREN,
    STATE(20274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29130), 1,
      anon_sym_DOT,
    STATE(20275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29132), 1,
      anon_sym_RPAREN,
    STATE(20276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10033), 1,
      anon_sym_DASH_GT,
    STATE(20277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29134), 1,
      anon_sym_RBRACE,
    STATE(20278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29136), 1,
      anon_sym_RPAREN,
    STATE(20279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29138), 1,
      anon_sym_RPAREN,
    STATE(20280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29138), 1,
      anon_sym_RBRACK,
    STATE(20281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29138), 1,
      anon_sym_RBRACE,
    STATE(20282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29140), 1,
      anon_sym_RPAREN,
    STATE(20283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29142), 1,
      anon_sym_with,
    STATE(20284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29144), 1,
      sym_indexing_operator,
    STATE(20285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29146), 1,
      anon_sym_RPAREN,
    STATE(20286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29148), 1,
      anon_sym_DASH_GT,
    STATE(20287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29150), 1,
      anon_sym_DOT,
    STATE(20288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      sym__uppercase_identifier,
    STATE(20289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29152), 1,
      anon_sym_RPAREN,
    STATE(20290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18475), 1,
      anon_sym_RPAREN,
    STATE(20291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29154), 1,
      anon_sym_with,
    STATE(20292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29156), 1,
      anon_sym_with,
    STATE(20293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29158), 1,
      anon_sym_DOT,
    STATE(20294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29160), 1,
      anon_sym_RPAREN,
    STATE(20295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29162), 1,
      anon_sym_RPAREN,
    STATE(20296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29164), 1,
      anon_sym_GT,
    STATE(20297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29166), 1,
      anon_sym_RPAREN,
    STATE(20298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23791), 1,
      anon_sym_GT_RBRACE,
    STATE(20299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29168), 1,
      anon_sym_RBRACK,
    STATE(20300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29170), 1,
      anon_sym_with,
    STATE(20301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29172), 1,
      anon_sym_with,
    STATE(20302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29174), 1,
      anon_sym_RPAREN,
    STATE(20303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29174), 1,
      anon_sym_RBRACK,
    STATE(20304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29174), 1,
      anon_sym_RBRACE,
    STATE(20305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29176), 1,
      anon_sym_DASH_GT,
    STATE(20306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29178), 1,
      anon_sym_DOT,
    STATE(20307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29180), 1,
      anon_sym_DASH_GT,
    STATE(20308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10152), 1,
      anon_sym_DASH_GT,
    STATE(20309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29182), 1,
      anon_sym_RPAREN,
    STATE(20310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29184), 1,
      anon_sym_end,
    STATE(20311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19888), 1,
      anon_sym_RPAREN,
    STATE(20312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29186), 1,
      anon_sym_in,
    STATE(20313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29188), 1,
      anon_sym_DASH_GT,
    STATE(20314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29190), 1,
      anon_sym_RBRACE,
    STATE(20315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29192), 1,
      anon_sym_LT_DASH,
    STATE(20316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29194), 1,
      anon_sym_RPAREN,
    STATE(20317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29196), 1,
      anon_sym_RPAREN,
    STATE(20318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29198), 1,
      anon_sym_RPAREN,
    STATE(20319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29198), 1,
      anon_sym_RBRACK,
    STATE(20320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29198), 1,
      anon_sym_RBRACE,
    STATE(20321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29200), 1,
      anon_sym_LT_DASH,
    STATE(20322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29202), 1,
      anon_sym_DOT,
    STATE(20323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29204), 1,
      anon_sym_in,
    STATE(20324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29206), 1,
      anon_sym_RPAREN,
    STATE(20325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29208), 1,
      anon_sym_RBRACK,
    STATE(20326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29210), 1,
      anon_sym_DOT,
    STATE(20327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29212), 1,
      anon_sym_RBRACE,
    STATE(20328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29214), 1,
      anon_sym_in,
    STATE(20329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29216), 1,
      sym__lowercase_identifier,
    STATE(20330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29218), 1,
      anon_sym_with,
    STATE(20331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29220), 1,
      anon_sym_with,
    STATE(20332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29222), 1,
      anon_sym_DOT,
    STATE(20333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2127), 1,
      anon_sym_end,
    STATE(20334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29224), 1,
      anon_sym_RPAREN,
    STATE(20335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29226), 1,
      anon_sym_RBRACK,
    STATE(20336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29228), 1,
      anon_sym_LT_DASH,
    STATE(20337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29230), 1,
      anon_sym_in,
    STATE(20338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29232), 1,
      anon_sym_RPAREN,
    STATE(20339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29234), 1,
      anon_sym_with,
    STATE(20340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29236), 1,
      anon_sym_with,
    STATE(20341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29238), 1,
      anon_sym_DASH_GT,
    STATE(20342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26480), 1,
      aux_sym_number_token1,
    STATE(20343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29240), 1,
      anon_sym_in,
    STATE(20344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29242), 1,
      anon_sym_in,
    STATE(20345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29244), 1,
      anon_sym_DOT,
    STATE(20346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29246), 1,
      anon_sym_DASH_GT,
    STATE(20347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29248), 1,
      anon_sym_with,
    STATE(20348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22536), 1,
      anon_sym_GT_RBRACE,
    STATE(20349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29250), 1,
      anon_sym_in,
    STATE(20350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19892), 1,
      anon_sym_RPAREN,
    STATE(20351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29252), 1,
      anon_sym_DASH_GT,
    STATE(20352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29254), 1,
      anon_sym_RBRACK,
    STATE(20353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29256), 1,
      anon_sym_RPAREN,
    STATE(20354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18142), 1,
      anon_sym_RPAREN,
    STATE(20355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3741), 1,
      anon_sym_RPAREN,
    STATE(20356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29258), 1,
      anon_sym_RPAREN,
    STATE(20357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29260), 1,
      anon_sym_RPAREN,
    STATE(20358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29260), 1,
      anon_sym_RBRACK,
    STATE(20359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29260), 1,
      anon_sym_RBRACE,
    STATE(20360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10061), 1,
      anon_sym_DASH_GT,
    STATE(20361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29262), 1,
      anon_sym_DOT,
    STATE(20362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29264), 1,
      anon_sym_in,
    STATE(20363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29266), 1,
      anon_sym_RBRACE,
    STATE(20364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29268), 1,
      anon_sym_end,
    STATE(20365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29270), 1,
      anon_sym_DOT,
    STATE(20366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29272), 1,
      anon_sym_RBRACE,
    STATE(20367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29274), 1,
      anon_sym_RPAREN,
    STATE(20368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29276), 1,
      anon_sym_RBRACK,
    STATE(20369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29278), 1,
      anon_sym_with,
    STATE(20370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29280), 1,
      anon_sym_with,
    STATE(20371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29282), 1,
      anon_sym_DOT,
    STATE(20372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29284), 1,
      anon_sym_RBRACE,
    STATE(20373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7875), 1,
      anon_sym_end,
    STATE(20374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21400), 1,
      anon_sym_end,
    STATE(20375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29286), 1,
      aux_sym_number_token1,
    STATE(20376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18477), 1,
      anon_sym_RPAREN,
    STATE(20377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29288), 1,
      anon_sym_in,
    STATE(20378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29290), 1,
      anon_sym_with,
    STATE(20379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29292), 1,
      anon_sym_with,
    STATE(20380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29294), 1,
      anon_sym_in,
    STATE(20381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29296), 1,
      anon_sym_RBRACE,
    STATE(20382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29298), 1,
      anon_sym_with,
    STATE(20383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29300), 1,
      anon_sym_DOT,
    STATE(20384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29302), 1,
      anon_sym_DOT,
    STATE(20385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29304), 1,
      anon_sym_RBRACK,
    STATE(20386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29306), 1,
      anon_sym_RBRACE,
    STATE(20387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29308), 1,
      anon_sym_in,
    STATE(20388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29310), 1,
      anon_sym_DASH_GT,
    STATE(20389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19896), 1,
      anon_sym_RPAREN,
    STATE(20390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21412), 1,
      anon_sym_end,
    STATE(20391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29312), 1,
      anon_sym_DASH_GT,
    STATE(20392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29314), 1,
      anon_sym_in,
    STATE(20393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29316), 1,
      anon_sym_RPAREN,
    STATE(20394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29318), 1,
      anon_sym_RPAREN,
    STATE(20395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29320), 1,
      anon_sym_RPAREN,
    STATE(20396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29322), 1,
      anon_sym_RPAREN,
    STATE(20397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29322), 1,
      anon_sym_RBRACK,
    STATE(20398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29322), 1,
      anon_sym_RBRACE,
    STATE(20399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29324), 1,
      anon_sym_end,
    STATE(20400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19304), 1,
      anon_sym_GT,
    STATE(20401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29326), 1,
      anon_sym_RBRACE,
    STATE(20402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29328), 1,
      anon_sym_RBRACK,
    STATE(20403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29330), 1,
      anon_sym_RPAREN,
    STATE(20404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29332), 1,
      anon_sym_DOT,
    STATE(20405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29334), 1,
      anon_sym_RBRACK,
    STATE(20406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29336), 1,
      anon_sym_RBRACE,
    STATE(20407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29338), 1,
      anon_sym_RBRACK,
    STATE(20408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29340), 1,
      anon_sym_with,
    STATE(20409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29342), 1,
      anon_sym_with,
    STATE(20410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29344), 1,
      anon_sym_DOT,
    STATE(20411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29346), 1,
      anon_sym_DASH_GT,
    STATE(20412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29348), 1,
      anon_sym_RPAREN,
    STATE(20413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29350), 1,
      anon_sym_RBRACE,
    STATE(20414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29352), 1,
      anon_sym_RPAREN,
    STATE(20415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29354), 1,
      anon_sym_RBRACE,
    STATE(20416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29356), 1,
      anon_sym_RPAREN,
    STATE(20417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29358), 1,
      anon_sym_with,
    STATE(20418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29360), 1,
      anon_sym_with,
    STATE(20419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7865), 1,
      anon_sym_end,
    STATE(20420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29362), 1,
      anon_sym_DASH_GT,
    STATE(20421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29364), 1,
      anon_sym_RPAREN,
    STATE(20422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29366), 1,
      anon_sym_RPAREN,
    STATE(20423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29368), 1,
      anon_sym_DOT,
    STATE(20424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29370), 1,
      anon_sym_RBRACE,
    STATE(20425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29372), 1,
      anon_sym_RPAREN,
    STATE(20426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29374), 1,
      anon_sym_RBRACK,
    STATE(20427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29376), 1,
      anon_sym_RBRACE,
    STATE(20428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19902), 1,
      anon_sym_RPAREN,
    STATE(20429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29378), 1,
      anon_sym_RPAREN,
    STATE(20430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29380), 1,
      anon_sym_RBRACK,
    STATE(20431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23833), 1,
      anon_sym_GT_RBRACE,
    STATE(20432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29382), 1,
      anon_sym_SQUOTE2,
    STATE(20433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29384), 1,
      anon_sym_RPAREN,
    STATE(20434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29386), 1,
      anon_sym_RPAREN,
    STATE(20435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29386), 1,
      anon_sym_RBRACK,
    STATE(20436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29386), 1,
      anon_sym_RBRACE,
    STATE(20437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21567), 1,
      anon_sym_end,
    STATE(20438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29388), 1,
      anon_sym_RPAREN,
    STATE(20439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29390), 1,
      anon_sym_SQUOTE2,
    STATE(20440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29392), 1,
      anon_sym_RPAREN,
    STATE(20441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25636), 1,
      anon_sym_RBRACE,
    STATE(20442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29394), 1,
      anon_sym_DOT,
    STATE(20443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29396), 1,
      anon_sym_RPAREN,
    STATE(20444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29398), 1,
      anon_sym_DQUOTE,
    STATE(20445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29400), 1,
      anon_sym_DQUOTE,
    STATE(20446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29402), 1,
      anon_sym_with,
    STATE(20447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29404), 1,
      anon_sym_with,
    STATE(20448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29406), 1,
      anon_sym_DOT,
    STATE(20449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29408), 1,
      anon_sym_RPAREN,
    STATE(20450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29410), 1,
      anon_sym_RBRACE,
    STATE(20451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29412), 1,
      anon_sym_RPAREN,
    STATE(20452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29414), 1,
      sym__lowercase_identifier,
    STATE(20453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23843), 1,
      anon_sym_GT_RBRACE,
    STATE(20454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29416), 1,
      anon_sym_RBRACE,
    STATE(20455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29418), 1,
      anon_sym_with,
    STATE(20456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29420), 1,
      anon_sym_with,
    STATE(20457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3797), 1,
      anon_sym_RPAREN,
    STATE(20458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29422), 1,
      anon_sym_RBRACK,
    STATE(20459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29424), 1,
      anon_sym_RBRACE,
    STATE(20460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18473), 1,
      anon_sym_RPAREN,
    STATE(20461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29426), 1,
      anon_sym_DOT,
    STATE(20462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29428), 1,
      sym__lowercase_identifier,
    STATE(20463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29430), 1,
      aux_sym_number_token1,
    STATE(20464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29432), 1,
      anon_sym_in,
    STATE(20465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21887), 1,
      anon_sym_end,
    STATE(20466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19908), 1,
      anon_sym_RPAREN,
    STATE(20467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29434), 1,
      anon_sym_RBRACE,
    STATE(20468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29436), 1,
      anon_sym_SQUOTE2,
    STATE(20469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29438), 1,
      anon_sym_RPAREN,
    STATE(20470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29440), 1,
      anon_sym_DQUOTE,
    STATE(20471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29442), 1,
      anon_sym_RPAREN,
    STATE(20472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29444), 1,
      anon_sym_RPAREN,
    STATE(20473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29444), 1,
      anon_sym_RBRACK,
    STATE(20474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29444), 1,
      anon_sym_RBRACE,
    STATE(20475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29446), 1,
      anon_sym_RPAREN,
    STATE(20476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29448), 1,
      anon_sym_RPAREN,
    STATE(20477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29450), 1,
      anon_sym_DASH_GT,
    STATE(20478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29452), 1,
      anon_sym_RBRACK,
    STATE(20479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29454), 1,
      sym__lowercase_identifier,
    STATE(20480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29456), 1,
      anon_sym_DOT,
    STATE(20481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29458), 1,
      anon_sym_RBRACK,
    STATE(20482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29460), 1,
      anon_sym_RBRACE,
    STATE(20483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29462), 1,
      anon_sym_RPAREN,
    STATE(20484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29464), 1,
      anon_sym_with,
    STATE(20485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29466), 1,
      anon_sym_with,
    STATE(20486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29468), 1,
      anon_sym_DOT,
    STATE(20487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29470), 1,
      anon_sym_RPAREN,
    STATE(20488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29472), 1,
      anon_sym_RBRACE,
    STATE(20489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29474), 1,
      anon_sym_RPAREN,
    STATE(20490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29476), 1,
      anon_sym_RPAREN,
    STATE(20491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29478), 1,
      anon_sym_RPAREN,
    STATE(20492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29480), 1,
      anon_sym_end,
    STATE(20493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29482), 1,
      anon_sym_with,
    STATE(20494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29484), 1,
      anon_sym_with,
    STATE(20495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29486), 1,
      anon_sym_RPAREN,
    STATE(20496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29488), 1,
      anon_sym_RBRACK,
    STATE(20497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29490), 1,
      anon_sym_end,
    STATE(20498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29492), 1,
      anon_sym_RBRACK,
    STATE(20499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29494), 1,
      anon_sym_DOT,
    STATE(20500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29496), 1,
      anon_sym_DOT,
    STATE(20501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29498), 1,
      anon_sym_in,
    STATE(20502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29500), 1,
      anon_sym_DOT,
    STATE(20503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29502), 1,
      anon_sym_RBRACE,
    STATE(20504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19920), 1,
      anon_sym_RPAREN,
    STATE(20505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29504), 1,
      anon_sym_RPAREN,
    STATE(20506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29506), 1,
      anon_sym_end,
    STATE(20507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29508), 1,
      anon_sym_end,
    STATE(20508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29510), 1,
      anon_sym_RBRACK,
    STATE(20509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29512), 1,
      anon_sym_RPAREN,
    STATE(20510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29514), 1,
      anon_sym_RPAREN,
    STATE(20511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29514), 1,
      anon_sym_RBRACK,
    STATE(20512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29514), 1,
      anon_sym_RBRACE,
    STATE(20513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29516), 1,
      anon_sym_RPAREN,
    STATE(20514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29518), 1,
      anon_sym_in,
    STATE(20515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29520), 1,
      anon_sym_RBRACE,
    STATE(20516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29522), 1,
      sym__lowercase_identifier,
    STATE(20517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29524), 1,
      anon_sym_RBRACE,
    STATE(20518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29526), 1,
      anon_sym_DOT,
    STATE(20519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29528), 1,
      anon_sym_LT_DASH,
    STATE(20520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29530), 1,
      anon_sym_DOT,
    STATE(20521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29532), 1,
      anon_sym_RPAREN,
    STATE(20522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29534), 1,
      anon_sym_with,
    STATE(20523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29536), 1,
      anon_sym_with,
    STATE(20524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29538), 1,
      anon_sym_DOT,
    STATE(20525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18387), 1,
      anon_sym_RPAREN,
    STATE(20526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29540), 1,
      anon_sym_DASH_GT,
    STATE(20527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29542), 1,
      anon_sym_with,
    STATE(20528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29544), 1,
      anon_sym_LT_DASH,
    STATE(20529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9961), 1,
      anon_sym_DASH_GT,
    STATE(20530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29546), 1,
      anon_sym_in,
    STATE(20531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29548), 1,
      anon_sym_with,
    STATE(20532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29550), 1,
      anon_sym_with,
    STATE(20533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29552), 1,
      anon_sym_with,
    STATE(20534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29554), 1,
      anon_sym_DOT,
    STATE(20535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29556), 1,
      anon_sym_RPAREN,
    STATE(20536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29558), 1,
      anon_sym_DASH_GT,
    STATE(20537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29560), 1,
      anon_sym_DOT,
    STATE(20538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29562), 1,
      anon_sym_in,
    STATE(20539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20206), 1,
      anon_sym_DASH_GT,
    STATE(20540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29564), 1,
      anon_sym_in,
    STATE(20541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29566), 1,
      anon_sym_in,
    STATE(20542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19924), 1,
      anon_sym_RPAREN,
    STATE(20543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29568), 1,
      anon_sym_SQUOTE2,
    STATE(20544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29570), 1,
      anon_sym_in,
    STATE(20545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17482), 1,
      anon_sym_DASH_GT,
    STATE(20546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29572), 1,
      anon_sym_end,
    STATE(20547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29574), 1,
      anon_sym_RPAREN,
    STATE(20548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29576), 1,
      anon_sym_RPAREN,
    STATE(20549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29576), 1,
      anon_sym_RBRACK,
    STATE(20550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29576), 1,
      anon_sym_RBRACE,
    STATE(20551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29578), 1,
      anon_sym_RPAREN,
    STATE(20552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29580), 1,
      anon_sym_RPAREN,
    STATE(20553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13048), 1,
      anon_sym_GT,
    STATE(20554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29582), 1,
      anon_sym_RBRACK,
    STATE(20555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29584), 1,
      anon_sym_DQUOTE,
    STATE(20556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29586), 1,
      anon_sym_DOT,
    STATE(20557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29588), 1,
      anon_sym_RBRACE,
    STATE(20558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29590), 1,
      anon_sym_end,
    STATE(20559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29592), 1,
      anon_sym_RPAREN,
    STATE(20560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29594), 1,
      anon_sym_with,
    STATE(20561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29596), 1,
      anon_sym_with,
    STATE(20562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29598), 1,
      anon_sym_DOT,
    STATE(20563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29600), 1,
      anon_sym_RBRACK,
    STATE(20564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29602), 1,
      anon_sym_with,
    STATE(20565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29604), 1,
      anon_sym_RBRACE,
    STATE(20566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29606), 1,
      anon_sym_in,
    STATE(20567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29608), 1,
      anon_sym_COMMA,
    STATE(20568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18174), 1,
      anon_sym_RPAREN,
    STATE(20569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29610), 1,
      anon_sym_with,
    STATE(20570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29612), 1,
      anon_sym_with,
    STATE(20571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29614), 1,
      anon_sym_with,
    STATE(20572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29616), 1,
      anon_sym_RBRACK,
    STATE(20573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10051), 1,
      anon_sym_DASH_GT,
    STATE(20574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29618), 1,
      anon_sym_in,
    STATE(20575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29620), 1,
      anon_sym_DOT,
    STATE(20576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29622), 1,
      anon_sym_in,
    STATE(20577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29624), 1,
      anon_sym_with,
    STATE(20578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29626), 1,
      anon_sym_GT,
    STATE(20579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29628), 1,
      anon_sym_with,
    STATE(20580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19936), 1,
      anon_sym_RPAREN,
    STATE(20581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18311), 1,
      anon_sym_RPAREN,
    STATE(20582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29630), 1,
      anon_sym_RBRACK,
    STATE(20583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29632), 1,
      anon_sym_RBRACK,
    STATE(20584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29634), 1,
      anon_sym_RBRACE,
    STATE(20585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29636), 1,
      anon_sym_RPAREN,
    STATE(20586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29638), 1,
      anon_sym_RPAREN,
    STATE(20587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29638), 1,
      anon_sym_RBRACK,
    STATE(20588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29638), 1,
      anon_sym_RBRACE,
    STATE(20589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29640), 1,
      anon_sym_RPAREN,
    STATE(20590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29642), 1,
      anon_sym_RBRACE,
    STATE(20591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29644), 1,
      anon_sym_RBRACK,
    STATE(20592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29646), 1,
      anon_sym_DOT,
    STATE(20593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29648), 1,
      anon_sym_RPAREN,
    STATE(20594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29650), 1,
      anon_sym_DOT,
    STATE(20595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29652), 1,
      anon_sym_RPAREN,
    STATE(20596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19366), 1,
      anon_sym_GT,
    STATE(20597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    STATE(20598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29654), 1,
      anon_sym_with,
    STATE(20599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29656), 1,
      anon_sym_with,
    STATE(20600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29658), 1,
      anon_sym_DOT,
    STATE(20601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29660), 1,
      anon_sym_DASH_GT,
    STATE(20602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29662), 1,
      anon_sym_DOT,
    STATE(20603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12960), 1,
      anon_sym_GT,
    STATE(20604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29664), 1,
      anon_sym_RPAREN,
    STATE(20605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29666), 1,
      anon_sym_in,
    STATE(20606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29668), 1,
      anon_sym_in,
    STATE(20607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29670), 1,
      anon_sym_with,
    STATE(20608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29672), 1,
      anon_sym_with,
    STATE(20609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22418), 1,
      anon_sym_GT_RBRACE,
    STATE(20610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29674), 1,
      anon_sym_DASH_GT,
    STATE(20611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29676), 1,
      anon_sym_RBRACK,
    STATE(20612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29678), 1,
      anon_sym_DASH_GT,
    STATE(20613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29680), 1,
      anon_sym_DOT,
    STATE(20614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29682), 1,
      anon_sym_DASH_GT,
    STATE(20615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29684), 1,
      anon_sym_RPAREN,
    STATE(20616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19660), 1,
      anon_sym_RPAREN,
    STATE(20617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29686), 1,
      anon_sym_RPAREN,
    STATE(20618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19940), 1,
      anon_sym_RPAREN,
    STATE(20619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29688), 1,
      anon_sym_RBRACE,
    STATE(20620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29690), 1,
      anon_sym_end,
    STATE(20621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29692), 1,
      anon_sym_RBRACK,
    STATE(20622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29694), 1,
      anon_sym_RBRACE,
    STATE(20623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29696), 1,
      anon_sym_RPAREN,
    STATE(20624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29698), 1,
      anon_sym_RPAREN,
    STATE(20625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29698), 1,
      anon_sym_RBRACK,
    STATE(20626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29698), 1,
      anon_sym_RBRACE,
    STATE(20627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29700), 1,
      anon_sym_DASH_GT,
    STATE(20628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29702), 1,
      anon_sym_DOT,
    STATE(20629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29704), 1,
      anon_sym_in,
    STATE(20630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29706), 1,
      anon_sym_RPAREN,
    STATE(20631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29708), 1,
      anon_sym_RBRACE,
    STATE(20632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29710), 1,
      anon_sym_DOT,
    STATE(20633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29712), 1,
      anon_sym_RPAREN,
    STATE(20634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29714), 1,
      anon_sym_RBRACK,
    STATE(20635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29716), 1,
      anon_sym_RPAREN,
    STATE(20636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29718), 1,
      anon_sym_with,
    STATE(20637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29720), 1,
      anon_sym_with,
    STATE(20638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29722), 1,
      anon_sym_DOT,
    STATE(20639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29724), 1,
      anon_sym_RPAREN,
    STATE(20640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29726), 1,
      anon_sym_RBRACE,
    STATE(20641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29728), 1,
      anon_sym_in,
    STATE(20642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29730), 1,
      anon_sym_DASH_GT,
    STATE(20643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29732), 1,
      anon_sym_RBRACE,
    STATE(20644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29734), 1,
      anon_sym_RBRACE,
    STATE(20645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29736), 1,
      anon_sym_with,
    STATE(20646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29738), 1,
      anon_sym_with,
    STATE(20647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29740), 1,
      anon_sym_RBRACK,
    STATE(20648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29742), 1,
      anon_sym_RBRACE,
    STATE(20649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29744), 1,
      anon_sym_RPAREN,
    STATE(20650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29746), 1,
      anon_sym_RPAREN,
    STATE(20651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29748), 1,
      anon_sym_DOT,
    STATE(20652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29750), 1,
      anon_sym_RPAREN,
    STATE(20653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29752), 1,
      anon_sym_DASH_GT,
    STATE(20654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29754), 1,
      anon_sym_RPAREN,
    STATE(20655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29756), 1,
      anon_sym_RBRACE,
    STATE(20656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19948), 1,
      anon_sym_RPAREN,
    STATE(20657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21349), 1,
      anon_sym_end,
    STATE(20658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29758), 1,
      anon_sym_RPAREN,
    STATE(20659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29760), 1,
      anon_sym_DOT,
    STATE(20660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29762), 1,
      anon_sym_DASH_GT,
    STATE(20661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29764), 1,
      anon_sym_RPAREN,
    STATE(20662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29766), 1,
      anon_sym_RPAREN,
    STATE(20663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29766), 1,
      anon_sym_RBRACK,
    STATE(20664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29766), 1,
      anon_sym_RBRACE,
    STATE(20665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29768), 1,
      anon_sym_RPAREN,
    STATE(20666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29770), 1,
      anon_sym_RPAREN,
    STATE(20667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6077), 1,
      anon_sym_RPAREN,
    STATE(20668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22422), 1,
      anon_sym_GT_RBRACE,
    STATE(20669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29772), 1,
      anon_sym_LT_DASH,
    STATE(20670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29774), 1,
      anon_sym_DOT,
    STATE(20671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29776), 1,
      anon_sym_in,
    STATE(20672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3753), 1,
      anon_sym_RPAREN,
    STATE(20673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29778), 1,
      anon_sym_RPAREN,
    STATE(20674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29780), 1,
      anon_sym_with,
    STATE(20675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29782), 1,
      anon_sym_with,
    STATE(20676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29784), 1,
      anon_sym_DOT,
    STATE(20677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18158), 1,
      anon_sym_RPAREN,
    STATE(20678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29786), 1,
      anon_sym_RBRACK,
    STATE(20679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29788), 1,
      anon_sym_in,
    STATE(20680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29790), 1,
      anon_sym_in,
    STATE(20681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29792), 1,
      anon_sym_RBRACE,
    STATE(20682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29794), 1,
      anon_sym_RPAREN,
    STATE(20683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29796), 1,
      anon_sym_with,
    STATE(20684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29798), 1,
      anon_sym_with,
    STATE(20685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29794), 1,
      anon_sym_RBRACK,
    STATE(20686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29794), 1,
      anon_sym_RBRACE,
    STATE(20687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29800), 1,
      anon_sym_RPAREN,
    STATE(20688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21260), 1,
      anon_sym_end,
    STATE(20689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29802), 1,
      anon_sym_DOT,
    STATE(20690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29804), 1,
      anon_sym_DASH_GT,
    STATE(20691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29806), 1,
      anon_sym_DASH_GT,
    STATE(20692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29808), 1,
      anon_sym_RBRACE,
    STATE(20693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3649), 1,
      anon_sym_RPAREN,
    STATE(20694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19952), 1,
      anon_sym_RPAREN,
    STATE(20695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29810), 1,
      anon_sym_RPAREN,
    STATE(20696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29812), 1,
      anon_sym_RBRACK,
    STATE(20697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29814), 1,
      anon_sym_RBRACE,
    STATE(20698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29816), 1,
      anon_sym_RBRACE,
    STATE(20699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29818), 1,
      anon_sym_RPAREN,
    STATE(20700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29820), 1,
      anon_sym_RPAREN,
    STATE(20701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29820), 1,
      anon_sym_RBRACK,
    STATE(20702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29820), 1,
      anon_sym_RBRACE,
    STATE(20703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29822), 1,
      anon_sym_DASH_GT,
    STATE(20704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29824), 1,
      anon_sym_RPAREN,
    STATE(20705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29826), 1,
      anon_sym_DASH_GT,
    STATE(20706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29828), 1,
      anon_sym_RPAREN,
    STATE(20707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29830), 1,
      anon_sym_in,
    STATE(20708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29832), 1,
      anon_sym_DOT,
    STATE(20709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29834), 1,
      anon_sym_RPAREN,
    STATE(20710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29836), 1,
      anon_sym_RPAREN,
    STATE(20711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21206), 1,
      anon_sym_end,
    STATE(20712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29838), 1,
      anon_sym_with,
    STATE(20713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29840), 1,
      anon_sym_with,
    STATE(20714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29842), 1,
      anon_sym_DOT,
    STATE(20715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29844), 1,
      sym__lowercase_identifier,
    STATE(20716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29846), 1,
      anon_sym_RPAREN,
    STATE(20717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29848), 1,
      anon_sym_RBRACE,
    STATE(20718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29850), 1,
      anon_sym_RBRACE,
    STATE(20719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23093), 1,
      anon_sym_GT_RBRACE,
    STATE(20720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29852), 1,
      anon_sym_GT,
    STATE(20721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29854), 1,
      anon_sym_with,
    STATE(20722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29856), 1,
      anon_sym_with,
    STATE(20723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2133), 1,
      anon_sym_COLON_COLON,
    STATE(20724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18471), 1,
      anon_sym_RPAREN,
    STATE(20725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29858), 1,
      anon_sym_RPAREN,
    STATE(20726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29860), 1,
      anon_sym_RBRACK,
    STATE(20727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29862), 1,
      anon_sym_DOT,
    STATE(20728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21190), 1,
      anon_sym_end,
    STATE(20729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29864), 1,
      anon_sym_DOT,
    STATE(20730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29866), 1,
      anon_sym_SQUOTE2,
    STATE(20731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29868), 1,
      anon_sym_RPAREN,
    STATE(20732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19956), 1,
      anon_sym_RPAREN,
    STATE(20733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29870), 1,
      anon_sym_DQUOTE,
    STATE(20734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29872), 1,
      anon_sym_DASH_GT,
    STATE(20735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29874), 1,
      anon_sym_RBRACE,
    STATE(20736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3751), 1,
      anon_sym_RPAREN,
    STATE(20737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29876), 1,
      anon_sym_RPAREN,
    STATE(20738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29878), 1,
      anon_sym_RPAREN,
    STATE(20739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29878), 1,
      anon_sym_RBRACK,
    STATE(20740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29878), 1,
      anon_sym_RBRACE,
    STATE(20741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29880), 1,
      sym__lowercase_identifier,
    STATE(20742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19370), 1,
      anon_sym_GT,
    STATE(20743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29882), 1,
      anon_sym_RPAREN,
    STATE(20744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29884), 1,
      anon_sym_DASH_GT,
    STATE(20745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29886), 1,
      sym__lowercase_identifier,
    STATE(20746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29888), 1,
      anon_sym_DOT,
    STATE(20747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29890), 1,
      anon_sym_end,
    STATE(20748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29892), 1,
      anon_sym_RBRACK,
    STATE(20749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29894), 1,
      anon_sym_DASH_GT,
    STATE(20750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29896), 1,
      anon_sym_with,
    STATE(20751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29898), 1,
      anon_sym_with,
    STATE(20752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29900), 1,
      anon_sym_DOT,
    STATE(20753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18222), 1,
      anon_sym_RPAREN,
    STATE(20754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29902), 1,
      anon_sym_SQUOTE2,
    STATE(20755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23951), 1,
      anon_sym_GT_RBRACE,
    STATE(20756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29904), 1,
      anon_sym_RPAREN,
    STATE(20757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29906), 1,
      anon_sym_RBRACE,
    STATE(20758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29908), 1,
      anon_sym_RPAREN,
    STATE(20759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29910), 1,
      anon_sym_with,
    STATE(20760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29912), 1,
      anon_sym_with,
    STATE(20761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29914), 1,
      anon_sym_type,
    STATE(20762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29916), 1,
      anon_sym_DQUOTE,
    STATE(20763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29918), 1,
      anon_sym_RBRACE,
    STATE(20764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26432), 1,
      anon_sym_RPAREN,
    STATE(20765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29920), 1,
      anon_sym_DOT,
    STATE(20766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29922), 1,
      anon_sym_SQUOTE2,
    STATE(20767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29924), 1,
      anon_sym_DQUOTE,
    STATE(20768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29926), 1,
      anon_sym_in,
    STATE(20769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21683), 1,
      anon_sym_end,
    STATE(20770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19962), 1,
      anon_sym_RPAREN,
    STATE(20771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29928), 1,
      anon_sym_RPAREN,
    STATE(20772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29930), 1,
      anon_sym_RBRACE,
    STATE(20773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29932), 1,
      anon_sym_end,
    STATE(20774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9985), 1,
      anon_sym_DASH_GT,
    STATE(20775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29934), 1,
      anon_sym_RPAREN,
    STATE(20776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29936), 1,
      anon_sym_RPAREN,
    STATE(20777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29936), 1,
      anon_sym_RBRACK,
    STATE(20778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29936), 1,
      anon_sym_RBRACE,
    STATE(20779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29938), 1,
      anon_sym_RBRACE,
    STATE(20780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7885), 1,
      anon_sym_RPAREN,
    STATE(20781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29940), 1,
      anon_sym_DASH_GT,
    STATE(20782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29942), 1,
      anon_sym_RPAREN,
    STATE(20783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29944), 1,
      anon_sym_RPAREN,
    STATE(20784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29946), 1,
      anon_sym_DOT,
    STATE(20785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29948), 1,
      anon_sym_SQUOTE2,
    STATE(20786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29950), 1,
      anon_sym_RBRACK,
    STATE(20787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29952), 1,
      anon_sym_with,
    STATE(20788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29954), 1,
      anon_sym_with,
    STATE(20789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29956), 1,
      anon_sym_DOT,
    STATE(20790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29958), 1,
      anon_sym_RPAREN,
    STATE(20791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22566), 1,
      anon_sym_GT_RBRACE,
    STATE(20792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29960), 1,
      anon_sym_DQUOTE,
    STATE(20793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29962), 1,
      anon_sym_LT_DASH,
    STATE(20794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29964), 1,
      anon_sym_LT_DASH,
    STATE(20795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29966), 1,
      anon_sym_in,
    STATE(20796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29968), 1,
      anon_sym_with,
    STATE(20797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29970), 1,
      anon_sym_with,
    STATE(20798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29972), 1,
      anon_sym_in,
    STATE(20799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29974), 1,
      anon_sym_done,
    STATE(20800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29976), 1,
      anon_sym_RPAREN,
    STATE(20801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29978), 1,
      anon_sym_RBRACK,
    STATE(20802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29980), 1,
      anon_sym_DOT,
    STATE(20803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29982), 1,
      anon_sym_in,
    STATE(20804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29984), 1,
      anon_sym_in,
    STATE(20805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29986), 1,
      anon_sym_RPAREN,
    STATE(20806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18297), 1,
      anon_sym_RPAREN,
    STATE(20807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19970), 1,
      anon_sym_RPAREN,
    STATE(20808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29988), 1,
      anon_sym_in,
    STATE(20809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29990), 1,
      anon_sym_in,
    STATE(20810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29992), 1,
      anon_sym_RBRACE,
    STATE(20811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29994), 1,
      anon_sym_RPAREN,
    STATE(20812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29996), 1,
      anon_sym_RPAREN,
    STATE(20813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29998), 1,
      anon_sym_RPAREN,
    STATE(20814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29998), 1,
      anon_sym_RBRACK,
    STATE(20815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29998), 1,
      anon_sym_RBRACE,
    STATE(20816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30000), 1,
      anon_sym_RBRACK,
    STATE(20817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30002), 1,
      anon_sym_RBRACE,
    STATE(20818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    STATE(20819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30004), 1,
      anon_sym_in,
    STATE(20820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30006), 1,
      sym__lowercase_identifier,
    STATE(20821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30008), 1,
      anon_sym_DOT,
    STATE(20822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30010), 1,
      anon_sym_RPAREN,
    STATE(20823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30012), 1,
      anon_sym_RBRACK,
    STATE(20824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30014), 1,
      anon_sym_with,
    STATE(20825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30016), 1,
      anon_sym_with,
    STATE(20826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30018), 1,
      anon_sym_DOT,
    STATE(20827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30020), 1,
      anon_sym_RPAREN,
    STATE(20828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30022), 1,
      anon_sym_DQUOTE,
    STATE(20829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30024), 1,
      anon_sym_in,
    STATE(20830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30026), 1,
      anon_sym_RPAREN,
    STATE(20831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30028), 1,
      anon_sym_RPAREN,
    STATE(20832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30030), 1,
      anon_sym_RBRACE,
    STATE(20833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30032), 1,
      anon_sym_with,
    STATE(20834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30034), 1,
      anon_sym_with,
    STATE(20835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30036), 1,
      anon_sym_RPAREN,
    STATE(20836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19562), 1,
      anon_sym_RPAREN,
    STATE(20837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21497), 1,
      anon_sym_end,
    STATE(20838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3789), 1,
      anon_sym_RPAREN,
    STATE(20839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30038), 1,
      anon_sym_DOT,
    STATE(20840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30040), 1,
      anon_sym_RBRACE,
    STATE(20841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30042), 1,
      anon_sym_SQUOTE2,
    STATE(20842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30044), 1,
      anon_sym_in,
    STATE(20843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3739), 1,
      anon_sym_RPAREN,
    STATE(20844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19978), 1,
      anon_sym_RPAREN,
    STATE(20845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30046), 1,
      anon_sym_in,
    STATE(20846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30048), 1,
      anon_sym_RBRACE,
    STATE(20847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24250), 1,
      anon_sym_GT_RBRACE,
    STATE(20848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30050), 1,
      anon_sym_RPAREN,
    STATE(20849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30052), 1,
      anon_sym_RPAREN,
    STATE(20850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30054), 1,
      anon_sym_RPAREN,
    STATE(20851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30054), 1,
      anon_sym_RBRACK,
    STATE(20852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30054), 1,
      anon_sym_RBRACE,
    STATE(20853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30056), 1,
      anon_sym_RPAREN,
    STATE(20854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30058), 1,
      anon_sym_RPAREN,
    STATE(20855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30060), 1,
      anon_sym_in,
    STATE(20856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30062), 1,
      anon_sym_in,
    STATE(20857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30064), 1,
      anon_sym_DQUOTE,
    STATE(20858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30066), 1,
      anon_sym_DOT,
    STATE(20859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30068), 1,
      anon_sym_RPAREN,
    STATE(20860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30070), 1,
      anon_sym_DOT,
    STATE(20861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30072), 1,
      anon_sym_RBRACE,
    STATE(20862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30074), 1,
      anon_sym_in,
    STATE(20863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30076), 1,
      sym__lowercase_identifier,
    STATE(20864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30078), 1,
      anon_sym_DOT,
    STATE(20865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23136), 1,
      anon_sym_GT_RBRACE,
    STATE(20866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30080), 1,
      anon_sym_DOT,
    STATE(20867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3757), 1,
      anon_sym_RPAREN,
    STATE(20868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19982), 1,
      anon_sym_RPAREN,
    STATE(20869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30082), 1,
      anon_sym_DOT,
    STATE(20870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30084), 1,
      anon_sym_RPAREN,
    STATE(20871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30086), 1,
      anon_sym_RPAREN,
    STATE(20872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30086), 1,
      anon_sym_RBRACK,
    STATE(20873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30086), 1,
      anon_sym_RBRACE,
    STATE(20874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30088), 1,
      anon_sym_RBRACE,
    STATE(20875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21369), 1,
      anon_sym_end,
    STATE(20876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19580), 1,
      anon_sym_RPAREN,
    STATE(20877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30090), 1,
      sym__lowercase_identifier,
    STATE(20878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30092), 1,
      anon_sym_DOT,
    STATE(20879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30094), 1,
      anon_sym_RBRACK,
    STATE(20880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30096), 1,
      anon_sym_RBRACE,
    STATE(20881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30098), 1,
      anon_sym_SQUOTE2,
    STATE(20882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30100), 1,
      anon_sym_GT,
    STATE(20883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30102), 1,
      anon_sym_DQUOTE,
    STATE(20884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30104), 1,
      anon_sym_DOT,
    STATE(20885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19986), 1,
      anon_sym_RPAREN,
    STATE(20886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30106), 1,
      anon_sym_RPAREN,
    STATE(20887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30108), 1,
      anon_sym_RPAREN,
    STATE(20888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30110), 1,
      anon_sym_RPAREN,
    STATE(20889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30110), 1,
      anon_sym_RBRACK,
    STATE(20890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30110), 1,
      anon_sym_RBRACE,
    STATE(20891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30112), 1,
      anon_sym_in,
    STATE(20892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30114), 1,
      anon_sym_in,
    STATE(20893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30116), 1,
      anon_sym_with,
    STATE(20894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30118), 1,
      anon_sym_RPAREN,
    STATE(20895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30120), 1,
      sym__lowercase_identifier,
    STATE(20896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30122), 1,
      anon_sym_with,
    STATE(20897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30124), 1,
      anon_sym_DOT,
    STATE(20898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30126), 1,
      anon_sym_RPAREN,
    STATE(20899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30126), 1,
      anon_sym_RBRACK,
    STATE(20900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30126), 1,
      anon_sym_RBRACE,
    STATE(20901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18088), 1,
      anon_sym_DASH_GT,
    STATE(20902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30128), 1,
      anon_sym_RPAREN,
    STATE(20903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9987), 1,
      anon_sym_DASH_GT,
    STATE(20904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30130), 1,
      anon_sym_RBRACE,
    STATE(20905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30132), 1,
      anon_sym_LT_DASH,
    STATE(20906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30134), 1,
      anon_sym_RBRACE,
    STATE(20907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30136), 1,
      anon_sym_DASH_GT,
    STATE(20908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30138), 1,
      anon_sym_RPAREN,
    STATE(20909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30138), 1,
      anon_sym_RBRACK,
    STATE(20910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30138), 1,
      anon_sym_RBRACE,
    STATE(20911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30140), 1,
      anon_sym_LT_DASH,
    STATE(20912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30142), 1,
      anon_sym_COLON2,
    STATE(20913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30144), 1,
      anon_sym_RBRACK,
    STATE(20914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30146), 1,
      anon_sym_in,
    STATE(20915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30148), 1,
      anon_sym_in,
    STATE(20916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30150), 1,
      anon_sym_in,
    STATE(20917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30152), 1,
      anon_sym_in,
    STATE(20918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30154), 1,
      anon_sym_RPAREN,
    STATE(20919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30154), 1,
      anon_sym_RBRACK,
    STATE(20920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30154), 1,
      anon_sym_RBRACE,
    STATE(20921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30156), 1,
      anon_sym_RPAREN,
    STATE(20922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10037), 1,
      anon_sym_DASH_GT,
    STATE(20923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30158), 1,
      anon_sym_RPAREN,
    STATE(20924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30160), 1,
      anon_sym_RBRACE,
    STATE(20925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30162), 1,
      anon_sym_in,
    STATE(20926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30164), 1,
      anon_sym_with,
    STATE(20927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16908), 1,
      anon_sym_DASH_GT,
    STATE(20928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30166), 1,
      anon_sym_RPAREN,
    STATE(20929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30166), 1,
      anon_sym_RBRACK,
    STATE(20930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30166), 1,
      anon_sym_RBRACE,
    STATE(20931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30168), 1,
      anon_sym_with,
    STATE(20932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30170), 1,
      sym__lowercase_identifier,
    STATE(20933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3721), 1,
      anon_sym_RPAREN,
    STATE(20934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30172), 1,
      anon_sym_in,
    STATE(20935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_DASH_GT,
    STATE(20936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30174), 1,
      anon_sym_DOT,
    STATE(20937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30176), 1,
      anon_sym_RPAREN,
    STATE(20938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30178), 1,
      anon_sym_RPAREN,
    STATE(20939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30178), 1,
      anon_sym_RBRACK,
    STATE(20940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30178), 1,
      anon_sym_RBRACE,
    STATE(20941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22438), 1,
      anon_sym_GT_RBRACE,
    STATE(20942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30180), 1,
      anon_sym_in,
    STATE(20943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30182), 1,
      anon_sym_RPAREN,
    STATE(20944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30184), 1,
      anon_sym_RPAREN,
    STATE(20945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21250), 1,
      anon_sym_end,
    STATE(20946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30186), 1,
      anon_sym_RPAREN,
    STATE(20947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22334), 1,
      anon_sym_GT_RBRACE,
    STATE(20948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30188), 1,
      anon_sym_RPAREN,
    STATE(20949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30188), 1,
      anon_sym_RBRACK,
    STATE(20950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30188), 1,
      anon_sym_RBRACE,
    STATE(20951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30190), 1,
      anon_sym_DASH_GT,
    STATE(20952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30192), 1,
      anon_sym_SQUOTE2,
    STATE(20953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30194), 1,
      anon_sym_DASH_GT,
    STATE(20954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30196), 1,
      anon_sym_DASH_GT,
    STATE(20955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19678), 1,
      anon_sym_RPAREN,
    STATE(20956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10164), 1,
      anon_sym_DASH_GT,
    STATE(20957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30198), 1,
      anon_sym_RBRACE,
    STATE(20958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30200), 1,
      anon_sym_RPAREN,
    STATE(20959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30200), 1,
      anon_sym_RBRACK,
    STATE(20960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30200), 1,
      anon_sym_RBRACE,
    STATE(20961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10170), 1,
      anon_sym_DASH_GT,
    STATE(20962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30202), 1,
      anon_sym_DQUOTE,
    STATE(20963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30204), 1,
      anon_sym_in,
    STATE(20964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30206), 1,
      anon_sym_in,
    STATE(20965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    STATE(20966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30208), 1,
      anon_sym_RBRACE,
    STATE(20967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30210), 1,
      anon_sym_RPAREN,
    STATE(20968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30212), 1,
      anon_sym_RPAREN,
    STATE(20969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30212), 1,
      anon_sym_RBRACK,
    STATE(20970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30212), 1,
      anon_sym_RBRACE,
    STATE(20971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30210), 1,
      anon_sym_RBRACK,
    STATE(20972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30210), 1,
      anon_sym_RBRACE,
    STATE(20973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30214), 1,
      anon_sym_DASH_GT,
    STATE(20974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30216), 1,
      anon_sym_DASH_GT,
    STATE(20975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30218), 1,
      anon_sym_DASH_GT,
    STATE(20976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7875), 1,
      anon_sym_RPAREN,
    STATE(20977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30220), 1,
      sym__lowercase_identifier,
    STATE(20978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30222), 1,
      anon_sym_RPAREN,
    STATE(20979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30222), 1,
      anon_sym_RBRACK,
    STATE(20980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30222), 1,
      anon_sym_RBRACE,
    STATE(20981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30224), 1,
      anon_sym_DASH_GT,
    STATE(20982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21785), 1,
      anon_sym_end,
    STATE(20983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30226), 1,
      anon_sym_RBRACE,
    STATE(20984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30228), 1,
      anon_sym_RPAREN,
    STATE(20985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    STATE(20986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30230), 1,
      anon_sym_RPAREN,
    STATE(20987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30230), 1,
      anon_sym_RBRACK,
    STATE(20988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30232), 1,
      anon_sym_RPAREN,
    STATE(20989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30232), 1,
      anon_sym_RBRACK,
    STATE(20990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30232), 1,
      anon_sym_RBRACE,
    STATE(20991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30230), 1,
      anon_sym_RBRACE,
    STATE(20992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30234), 1,
      anon_sym_DASH_GT,
    STATE(20993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30236), 1,
      anon_sym_DASH_GT,
    STATE(20994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30238), 1,
      anon_sym_DASH_GT,
    STATE(20995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30240), 1,
      anon_sym_RBRACK,
    STATE(20996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30242), 1,
      anon_sym_DASH_GT,
    STATE(20997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15588), 1,
      anon_sym_DASH_GT,
    STATE(20998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30244), 1,
      anon_sym_RPAREN,
    STATE(20999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30244), 1,
      anon_sym_RBRACK,
    STATE(21000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30244), 1,
      anon_sym_RBRACE,
    STATE(21001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30246), 1,
      anon_sym_in,
    STATE(21002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18607), 1,
      anon_sym_DASH_GT,
    STATE(21003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30248), 1,
      anon_sym_RBRACE,
    STATE(21004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30250), 1,
      anon_sym_DASH_GT,
    STATE(21005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30252), 1,
      anon_sym_end,
    STATE(21006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30254), 1,
      anon_sym_RBRACK,
    STATE(21007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30256), 1,
      anon_sym_end,
    STATE(21008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30258), 1,
      anon_sym_RPAREN,
    STATE(21009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30258), 1,
      anon_sym_RBRACK,
    STATE(21010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30258), 1,
      anon_sym_RBRACE,
    STATE(21011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30260), 1,
      anon_sym_SQUOTE2,
    STATE(21012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30262), 1,
      anon_sym_RBRACE,
    STATE(21013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30264), 1,
      anon_sym_DQUOTE,
    STATE(21014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30266), 1,
      anon_sym_EQ,
    STATE(21015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30268), 1,
      anon_sym_RBRACE,
    STATE(21016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30270), 1,
      anon_sym_DASH_GT,
    STATE(21017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30272), 1,
      sym__lowercase_identifier,
    STATE(21018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19318), 1,
      anon_sym_GT,
    STATE(21019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18323), 1,
      anon_sym_RPAREN,
    STATE(21020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30274), 1,
      anon_sym_LT_DASH,
    STATE(21021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30276), 1,
      sym__lowercase_identifier,
    STATE(21022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30278), 1,
      anon_sym_RPAREN,
    STATE(21023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30280), 1,
      anon_sym_RPAREN,
    STATE(21024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30282), 1,
      anon_sym_RBRACE,
    STATE(21025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30284), 1,
      anon_sym_RBRACE,
    STATE(21026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10003), 1,
      anon_sym_DASH_GT,
    STATE(21027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6221), 1,
      anon_sym_end,
    STATE(21028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30286), 1,
      anon_sym_end,
    STATE(21029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30288), 1,
      aux_sym_number_token1,
    STATE(21030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30290), 1,
      anon_sym_DASH_GT,
    STATE(21031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23190), 1,
      anon_sym_GT_RBRACE,
    STATE(21032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30292), 1,
      anon_sym_RBRACK,
    STATE(21033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30294), 1,
      anon_sym_in,
    STATE(21034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30296), 1,
      anon_sym_in,
    STATE(21035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30298), 1,
      anon_sym_in,
    STATE(21036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30300), 1,
      anon_sym_RPAREN,
    STATE(21037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18393), 1,
      anon_sym_RPAREN,
    STATE(21038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30302), 1,
      anon_sym_RPAREN,
    STATE(21039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9995), 1,
      anon_sym_DASH_GT,
    STATE(21040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30304), 1,
      anon_sym_RBRACE,
    STATE(21041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30306), 1,
      anon_sym_DOT,
    STATE(21042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30308), 1,
      anon_sym_RPAREN,
    STATE(21043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19314), 1,
      anon_sym_GT,
    STATE(21044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30310), 1,
      anon_sym_RPAREN,
    STATE(21045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21146), 1,
      anon_sym_end,
    STATE(21046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30312), 1,
      anon_sym_SQUOTE2,
    STATE(21047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30314), 1,
      sym__lowercase_identifier,
    STATE(21048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30316), 1,
      anon_sym_DASH_GT,
    STATE(21049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30318), 1,
      anon_sym_DOT,
    STATE(21050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18245), 1,
      anon_sym_RPAREN,
    STATE(21051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30320), 1,
      anon_sym_RPAREN,
    STATE(21052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30322), 1,
      anon_sym_with,
    STATE(21053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30324), 1,
      anon_sym_in,
    STATE(21054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30326), 1,
      anon_sym_SQUOTE2,
    STATE(21055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30328), 1,
      anon_sym_with,
    STATE(21056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30330), 1,
      anon_sym_DOT,
    STATE(21057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30332), 1,
      anon_sym_in,
    STATE(21058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30334), 1,
      anon_sym_RPAREN,
    STATE(21059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30336), 1,
      anon_sym_RBRACE,
    STATE(21060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30338), 1,
      anon_sym_DQUOTE,
    STATE(21061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30340), 1,
      anon_sym_RPAREN,
    STATE(21062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30342), 1,
      anon_sym_PLUS_EQ,
    STATE(21063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30344), 1,
      anon_sym_RPAREN,
    STATE(21064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30346), 1,
      anon_sym_RPAREN,
    STATE(21065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30348), 1,
      sym__lowercase_identifier,
    STATE(21066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30350), 1,
      anon_sym_end,
    STATE(21067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30352), 1,
      anon_sym_RBRACE,
    STATE(21068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30354), 1,
      anon_sym_RBRACK,
    STATE(21069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30356), 1,
      anon_sym_RBRACE,
    STATE(21070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30358), 1,
      anon_sym_with,
    STATE(21071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25510), 1,
      anon_sym_RBRACK,
    STATE(21072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30360), 1,
      anon_sym_with,
    STATE(21073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30362), 1,
      anon_sym_RBRACE,
    STATE(21074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30364), 1,
      anon_sym_RBRACE,
    STATE(21075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30366), 1,
      anon_sym_RPAREN,
    STATE(21076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30368), 1,
      anon_sym_DOT,
    STATE(21077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30370), 1,
      anon_sym_DOT,
    STATE(21078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30372), 1,
      anon_sym_COLON2,
    STATE(21079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19256), 1,
      anon_sym_GT,
    STATE(21080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22618), 1,
      anon_sym_GT_RBRACE,
    STATE(21081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24069), 1,
      anon_sym_GT_RBRACE,
    STATE(21082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30374), 1,
      anon_sym_end,
    STATE(21083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18164), 1,
      anon_sym_RPAREN,
    STATE(21084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9993), 1,
      anon_sym_DASH_GT,
    STATE(21085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30376), 1,
      anon_sym_DASH_GT,
    STATE(21086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30378), 1,
      anon_sym_RBRACK,
    STATE(21087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30380), 1,
      anon_sym_DASH_GT,
    STATE(21088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30382), 1,
      anon_sym_end,
    STATE(21089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30384), 1,
      anon_sym_RBRACK,
    STATE(21090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30386), 1,
      anon_sym_RBRACE,
    STATE(21091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30388), 1,
      anon_sym_in,
    STATE(21092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30390), 1,
      anon_sym_DASH_GT,
    STATE(21093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19686), 1,
      anon_sym_RPAREN,
    STATE(21094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22062), 1,
      anon_sym_end,
    STATE(21095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30392), 1,
      anon_sym_RBRACK,
    STATE(21096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26216), 1,
      anon_sym_RBRACK,
    STATE(21097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30394), 1,
      anon_sym_RBRACE,
    STATE(21098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18485), 1,
      anon_sym_RPAREN,
    STATE(21099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30396), 1,
      anon_sym_SQUOTE2,
    STATE(21100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21668), 1,
      anon_sym_end,
    STATE(21101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10017), 1,
      anon_sym_DASH_GT,
    STATE(21102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30398), 1,
      sym__lowercase_identifier,
    STATE(21103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30400), 1,
      anon_sym_DQUOTE,
    STATE(21104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30402), 1,
      anon_sym_RBRACE,
    STATE(21105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30404), 1,
      anon_sym_RBRACK,
    STATE(21106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30406), 1,
      sym__lowercase_identifier,
    STATE(21107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30408), 1,
      anon_sym_RPAREN,
    STATE(21108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25812), 1,
      anon_sym_RBRACK,
    STATE(21109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30410), 1,
      anon_sym_DASH_GT,
    STATE(21110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30412), 1,
      anon_sym_SQUOTE2,
    STATE(21111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30414), 1,
      anon_sym_RBRACE,
    STATE(21112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12865), 1,
      anon_sym_GT,
    STATE(21113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30416), 1,
      anon_sym_DASH_GT,
    STATE(21114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30418), 1,
      anon_sym_RPAREN,
    STATE(21115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30420), 1,
      anon_sym_RPAREN,
    STATE(21116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30422), 1,
      anon_sym_RPAREN,
    STATE(21117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30424), 1,
      anon_sym_RBRACE,
    STATE(21118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30426), 1,
      anon_sym_RPAREN,
    STATE(21119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30428), 1,
      anon_sym_RBRACK,
    STATE(21120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30430), 1,
      anon_sym_RPAREN,
    STATE(21121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30432), 1,
      anon_sym_RBRACE,
    STATE(21122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30434), 1,
      anon_sym_RPAREN,
    STATE(21123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30436), 1,
      anon_sym_RBRACK,
    STATE(21124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30438), 1,
      anon_sym_RBRACE,
    STATE(21125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30440), 1,
      anon_sym_RBRACE,
    STATE(21126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30442), 1,
      anon_sym_RPAREN,
    STATE(21127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30444), 1,
      anon_sym_RPAREN,
    STATE(21128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30446), 1,
      anon_sym_RPAREN,
    STATE(21129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30448), 1,
      anon_sym_RPAREN,
    STATE(21130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30450), 1,
      anon_sym_RPAREN,
    STATE(21131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30452), 1,
      anon_sym_RPAREN,
    STATE(21132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30446), 1,
      anon_sym_RBRACK,
    STATE(21133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30446), 1,
      anon_sym_RBRACE,
    STATE(21134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30454), 1,
      anon_sym_RPAREN,
    STATE(21135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30456), 1,
      anon_sym_DASH_GT,
    STATE(21136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30458), 1,
      sym__lowercase_identifier,
    STATE(21137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30460), 1,
      anon_sym_DASH_GT,
    STATE(21138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9965), 1,
      anon_sym_DASH_GT,
    STATE(21139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30462), 1,
      anon_sym_RPAREN,
    STATE(21140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30464), 1,
      anon_sym_RPAREN,
    STATE(21141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30466), 1,
      anon_sym_RPAREN,
    STATE(21142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30468), 1,
      anon_sym_DASH_GT,
    STATE(21143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18647), 1,
      anon_sym_DASH_GT,
    STATE(21144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30470), 1,
      anon_sym_RPAREN,
    STATE(21145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30472), 1,
      anon_sym_DASH_GT,
    STATE(21146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30474), 1,
      anon_sym_RPAREN,
    STATE(21147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30476), 1,
      anon_sym_RPAREN,
    STATE(21148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30478), 1,
      anon_sym_RBRACK,
    STATE(21149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30480), 1,
      anon_sym_RBRACE,
    STATE(21150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30482), 1,
      anon_sym_DQUOTE,
    STATE(21151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30484), 1,
      anon_sym_RPAREN,
    STATE(21152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30486), 1,
      anon_sym_DASH_GT,
    STATE(21153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30454), 1,
      anon_sym_RBRACE,
    STATE(21154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30488), 1,
      anon_sym_DASH_GT,
    STATE(21155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30490), 1,
      anon_sym_RBRACK,
    STATE(21156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30492), 1,
      anon_sym_RPAREN,
    STATE(21157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18180), 1,
      anon_sym_RPAREN,
    STATE(21158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30494), 1,
      anon_sym_PIPE,
    STATE(21159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_DASH_GT,
    STATE(21160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30496), 1,
      anon_sym_RBRACE,
    STATE(21161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30498), 1,
      anon_sym_RBRACE,
    STATE(21162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30500), 1,
      anon_sym_RPAREN,
    STATE(21163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30502), 1,
      anon_sym_end,
    STATE(21164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30504), 1,
      anon_sym_RBRACK,
    STATE(21165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30506), 1,
      anon_sym_RBRACE,
    STATE(21166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30508), 1,
      anon_sym_DOT_DOT,
    STATE(21167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30510), 1,
      anon_sym_DOT_DOT,
    STATE(21168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30512), 1,
      anon_sym_DOT_DOT,
    STATE(21169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30514), 1,
      anon_sym_RPAREN,
    STATE(21170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30516), 1,
      anon_sym_RPAREN,
    STATE(21171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30518), 1,
      anon_sym_RBRACK,
    STATE(21172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10144), 1,
      anon_sym_DASH_GT,
    STATE(21173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30520), 1,
      anon_sym_RBRACE,
    STATE(21174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30522), 1,
      anon_sym_RPAREN,
    STATE(21175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30524), 1,
      anon_sym_RPAREN,
    STATE(21176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30526), 1,
      anon_sym_RBRACK,
    STATE(21177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30528), 1,
      anon_sym_RBRACE,
    STATE(21178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30530), 1,
      anon_sym_RPAREN,
    STATE(21179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18210), 1,
      anon_sym_RPAREN,
    STATE(21180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30532), 1,
      anon_sym_end,
    STATE(21181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30534), 1,
      anon_sym_RPAREN,
    STATE(21182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30536), 1,
      anon_sym_COLON2,
    STATE(21183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30538), 1,
      anon_sym_RBRACE,
    STATE(21184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30540), 1,
      anon_sym_RPAREN,
    STATE(21185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22352), 1,
      anon_sym_GT_RBRACE,
    STATE(21186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30542), 1,
      anon_sym_RPAREN,
    STATE(21187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30544), 1,
      anon_sym_RPAREN,
    STATE(21188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30546), 1,
      anon_sym_RPAREN,
    STATE(21189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23226), 1,
      anon_sym_GT_RBRACE,
    STATE(21190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30548), 1,
      anon_sym_RPAREN,
    STATE(21191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21515), 1,
      anon_sym_end,
    STATE(21192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30550), 1,
      anon_sym_RBRACK,
    STATE(21193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30552), 1,
      anon_sym_SQUOTE2,
    STATE(21194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30554), 1,
      anon_sym_PIPE,
    STATE(21195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12913), 1,
      anon_sym_GT,
    STATE(21196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30556), 1,
      anon_sym_DASH_GT,
    STATE(21197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30558), 1,
      anon_sym_RPAREN,
    STATE(21198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26334), 1,
      anon_sym_RBRACE,
    STATE(21199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30560), 1,
      anon_sym_DQUOTE,
    STATE(21200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30562), 1,
      anon_sym_RPAREN,
    STATE(21201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30564), 1,
      anon_sym_RBRACK,
    STATE(21202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30566), 1,
      anon_sym_RBRACE,
    STATE(21203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30568), 1,
      anon_sym_RPAREN,
    STATE(21204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10160), 1,
      anon_sym_DASH_GT,
    STATE(21205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30570), 1,
      anon_sym_RBRACE,
    STATE(21206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30572), 1,
      anon_sym_RBRACE,
    STATE(21207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30574), 1,
      anon_sym_RPAREN,
    STATE(21208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30576), 1,
      anon_sym_RPAREN,
    STATE(21209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30578), 1,
      anon_sym_RBRACK,
    STATE(21210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30580), 1,
      anon_sym_RBRACE,
    STATE(21211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30582), 1,
      anon_sym_RPAREN,
    STATE(21212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30584), 1,
      anon_sym_RBRACK,
    STATE(21213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30586), 1,
      anon_sym_GT,
    STATE(21214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30588), 1,
      anon_sym_RBRACE,
    STATE(21215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30590), 1,
      sym__lowercase_identifier,
    STATE(21216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30592), 1,
      anon_sym_RBRACK,
    STATE(21217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30594), 1,
      anon_sym_RPAREN,
    STATE(21218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30596), 1,
      anon_sym_RPAREN,
    STATE(21219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30598), 1,
      anon_sym_LT_DASH,
    STATE(21220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30600), 1,
      anon_sym_in,
    STATE(21221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30602), 1,
      anon_sym_in,
    STATE(21222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30604), 1,
      anon_sym_in,
    STATE(21223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30606), 1,
      anon_sym_RPAREN,
    STATE(21224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30608), 1,
      sym__lowercase_identifier,
    STATE(21225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26356), 1,
      anon_sym_RBRACE,
    STATE(21226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30610), 1,
      anon_sym_RPAREN,
    STATE(21227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3651), 1,
      anon_sym_RPAREN,
    STATE(21228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30612), 1,
      anon_sym_RPAREN,
    STATE(21229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30614), 1,
      anon_sym_RBRACE,
    STATE(21230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30616), 1,
      anon_sym_DOT,
    STATE(21231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30618), 1,
      anon_sym_RBRACE,
    STATE(21232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30620), 1,
      anon_sym_RPAREN,
    STATE(21233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30622), 1,
      anon_sym_end,
    STATE(21234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30624), 1,
      anon_sym_RBRACK,
    STATE(21235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30626), 1,
      anon_sym_in,
    STATE(21236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30628), 1,
      anon_sym_RPAREN,
    STATE(21237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19198), 1,
      anon_sym_GT,
    STATE(21238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30630), 1,
      anon_sym_DOT,
    STATE(21239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30632), 1,
      anon_sym_RBRACE,
    STATE(21240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30634), 1,
      anon_sym_RBRACE,
    STATE(21241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30636), 1,
      anon_sym_RPAREN,
    STATE(21242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30638), 1,
      anon_sym_GT,
    STATE(21243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30640), 1,
      sym__lowercase_identifier,
    STATE(21244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30642), 1,
      anon_sym_RBRACE,
    STATE(21245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30644), 1,
      anon_sym_with,
    STATE(21246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13006), 1,
      anon_sym_GT,
    STATE(21247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13074), 1,
      anon_sym_GT,
    STATE(21248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30646), 1,
      anon_sym_SQUOTE2,
    STATE(21249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30648), 1,
      anon_sym_with,
    STATE(21250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26374), 1,
      anon_sym_RBRACK,
    STATE(21251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30650), 1,
      anon_sym_DOT,
    STATE(21252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30652), 1,
      anon_sym_DASH_GT,
    STATE(21253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30654), 1,
      anon_sym_RPAREN,
    STATE(21254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30656), 1,
      anon_sym_end,
    STATE(21255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8895), 1,
      anon_sym_RBRACK,
    STATE(21256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30658), 1,
      anon_sym_RBRACE,
    STATE(21257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30660), 1,
      anon_sym_RPAREN,
    STATE(21258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30662), 1,
      anon_sym_RPAREN,
    STATE(21259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30664), 1,
      anon_sym_RPAREN,
    STATE(21260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24164), 1,
      anon_sym_GT_RBRACE,
    STATE(21261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30666), 1,
      anon_sym_RBRACK,
    STATE(21262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21835), 1,
      anon_sym_end,
    STATE(21263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30668), 1,
      anon_sym_RPAREN,
    STATE(21264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30670), 1,
      anon_sym_RBRACK,
    STATE(21265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30672), 1,
      anon_sym_RBRACE,
    STATE(21266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13168), 1,
      anon_sym_GT,
    STATE(21267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30674), 1,
      anon_sym_RBRACE,
    STATE(21268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30676), 1,
      sym__lowercase_identifier,
    STATE(21269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30678), 1,
      anon_sym_RBRACE,
    STATE(21270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30680), 1,
      anon_sym_RPAREN,
    STATE(21271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30682), 1,
      anon_sym_SQUOTE2,
    STATE(21272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30684), 1,
      anon_sym_DQUOTE,
    STATE(21273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30686), 1,
      anon_sym_end,
    STATE(21274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30688), 1,
      anon_sym_RPAREN,
    STATE(21275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30690), 1,
      sym__lowercase_identifier,
    STATE(21276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30692), 1,
      anon_sym_RPAREN,
    STATE(21277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30694), 1,
      anon_sym_RBRACK,
    STATE(21278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30696), 1,
      anon_sym_RPAREN,
    STATE(21279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30698), 1,
      anon_sym_with,
    STATE(21280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30700), 1,
      anon_sym_PIPE,
    STATE(21281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30702), 1,
      anon_sym_RBRACK,
    STATE(21282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30704), 1,
      anon_sym_with,
    STATE(21283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30706), 1,
      anon_sym_DOT_DOT,
    STATE(21284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30708), 1,
      anon_sym_DOT_DOT,
    STATE(21285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30710), 1,
      anon_sym_DOT_DOT,
    STATE(21286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30712), 1,
      anon_sym_RBRACE,
    STATE(21287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30714), 1,
      anon_sym_GT,
    STATE(21288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30716), 1,
      anon_sym_RBRACE,
    STATE(21289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30718), 1,
      anon_sym_GT,
    STATE(21290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30720), 1,
      anon_sym_RBRACE,
    STATE(21291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30722), 1,
      anon_sym_DASH_GT,
    STATE(21292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30724), 1,
      anon_sym_RPAREN,
    STATE(21293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10077), 1,
      anon_sym_DASH_GT,
    STATE(21294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30726), 1,
      anon_sym_DOT,
    STATE(21295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30728), 1,
      anon_sym_COLON2,
    STATE(21296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30730), 1,
      anon_sym_RPAREN,
    STATE(21297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30732), 1,
      anon_sym_RBRACE,
    STATE(21298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30734), 1,
      anon_sym_DASH_GT,
    STATE(21299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30736), 1,
      anon_sym_RPAREN,
    STATE(21300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30738), 1,
      anon_sym_DASH_GT,
    STATE(21301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30740), 1,
      anon_sym_DASH_GT,
    STATE(21302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30742), 1,
      anon_sym_RPAREN,
    STATE(21303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30744), 1,
      anon_sym_RPAREN,
    STATE(21304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10220), 1,
      anon_sym_DASH_GT,
    STATE(21305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18335), 1,
      anon_sym_RPAREN,
    STATE(21306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30746), 1,
      anon_sym_end,
    STATE(21307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30748), 1,
      anon_sym_RBRACK,
    STATE(21308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10007), 1,
      anon_sym_DASH_GT,
    STATE(21309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30750), 1,
      anon_sym_RPAREN,
    STATE(21310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30752), 1,
      anon_sym_RPAREN,
    STATE(21311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30754), 1,
      anon_sym_RBRACE,
    STATE(21312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30756), 1,
      anon_sym_DQUOTE,
    STATE(21313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30758), 1,
      anon_sym_DASH_GT,
    STATE(21314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30760), 1,
      anon_sym_RPAREN,
    STATE(21315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30762), 1,
      anon_sym_RPAREN,
    STATE(21316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18228), 1,
      anon_sym_RPAREN,
    STATE(21317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30764), 1,
      anon_sym_RPAREN,
    STATE(21318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26446), 1,
      anon_sym_RBRACE,
    STATE(21319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30766), 1,
      anon_sym_LT_DASH,
    STATE(21320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30768), 1,
      anon_sym_DASH_GT,
    STATE(21321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30770), 1,
      anon_sym_RBRACK,
    STATE(21322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18361), 1,
      anon_sym_RPAREN,
    STATE(21323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30772), 1,
      anon_sym_RBRACE,
    STATE(21324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19700), 1,
      anon_sym_RPAREN,
    STATE(21325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26448), 1,
      anon_sym_RBRACK,
    STATE(21326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30774), 1,
      anon_sym_RBRACK,
    STATE(21327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30776), 1,
      anon_sym_LT_DASH,
    STATE(21328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30778), 1,
      anon_sym_RBRACE,
    STATE(21329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30780), 1,
      anon_sym_RPAREN,
    STATE(21330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30782), 1,
      anon_sym_RPAREN,
    STATE(21331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10083), 1,
      anon_sym_DASH_GT,
    STATE(21332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30784), 1,
      anon_sym_DASH_GT,
    STATE(21333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30786), 1,
      anon_sym_LT_DASH,
    STATE(21334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30788), 1,
      anon_sym_RPAREN,
    STATE(21335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30790), 1,
      anon_sym_DASH_GT,
    STATE(21336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30792), 1,
      anon_sym_in,
    STATE(21337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30794), 1,
      anon_sym_in,
    STATE(21338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18160), 1,
      anon_sym_RPAREN,
    STATE(21339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18375), 1,
      anon_sym_RPAREN,
    STATE(21340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30796), 1,
      anon_sym_in,
    STATE(21341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30798), 1,
      anon_sym_DASH_GT,
    STATE(21342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30800), 1,
      sym__lowercase_identifier,
    STATE(21343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_DASH_GT,
    STATE(21344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30802), 1,
      anon_sym_RBRACK,
    STATE(21345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30804), 1,
      anon_sym_RBRACE,
    STATE(21346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30806), 1,
      anon_sym_RPAREN,
    STATE(21347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30808), 1,
      anon_sym_RBRACK,
    STATE(21348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30810), 1,
      anon_sym_RBRACE,
    STATE(21349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30812), 1,
      anon_sym_EQ,
    STATE(21350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30814), 1,
      anon_sym_RPAREN,
    STATE(21351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30816), 1,
      anon_sym_RBRACE,
    STATE(21352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30818), 1,
      anon_sym_RPAREN,
    STATE(21353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30820), 1,
      anon_sym_RBRACE,
    STATE(21354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30822), 1,
      anon_sym_PIPE,
    STATE(21355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30824), 1,
      anon_sym_end,
    STATE(21356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30826), 1,
      anon_sym_RPAREN,
    STATE(21357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30828), 1,
      anon_sym_DOT_DOT,
    STATE(21358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30830), 1,
      anon_sym_DOT_DOT,
    STATE(21359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30832), 1,
      anon_sym_DOT_DOT,
    STATE(21360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30834), 1,
      anon_sym_RPAREN,
    STATE(21361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30836), 1,
      anon_sym_RPAREN,
    STATE(21362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3743), 1,
      anon_sym_RPAREN,
    STATE(21363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30836), 1,
      anon_sym_RBRACK,
    STATE(21364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30836), 1,
      anon_sym_RBRACE,
    STATE(21365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30838), 1,
      anon_sym_RPAREN,
    STATE(21366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30840), 1,
      anon_sym_RPAREN,
    STATE(21367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30842), 1,
      anon_sym_RBRACK,
    STATE(21368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30844), 1,
      anon_sym_RBRACE,
    STATE(21369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30846), 1,
      anon_sym_COLON2,
    STATE(21370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30848), 1,
      anon_sym_DASH_GT,
    STATE(21371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30850), 1,
      anon_sym_RPAREN,
    STATE(21372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30852), 1,
      anon_sym_DASH_GT,
    STATE(21373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30854), 1,
      anon_sym_in,
    STATE(21374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30856), 1,
      anon_sym_RBRACK,
    STATE(21375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30858), 1,
      anon_sym_DASH_GT,
    STATE(21376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30860), 1,
      anon_sym_RBRACE,
    STATE(21377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30862), 1,
      anon_sym_RPAREN,
    STATE(21378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30864), 1,
      anon_sym_of,
    STATE(21379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30866), 1,
      anon_sym_RPAREN,
    STATE(21380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12929), 1,
      anon_sym_GT,
    STATE(21381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30868), 1,
      anon_sym_end,
    STATE(21382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30870), 1,
      anon_sym_RBRACE,
    STATE(21383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18407), 1,
      anon_sym_RPAREN,
    STATE(21384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30872), 1,
      anon_sym_DASH_GT,
    STATE(21385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30874), 1,
      anon_sym_RPAREN,
    STATE(21386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26554), 1,
      anon_sym_RBRACE,
    STATE(21387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30876), 1,
      anon_sym_GT,
    STATE(21388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6191), 1,
      anon_sym_end,
    STATE(21389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30878), 1,
      anon_sym_RPAREN,
    STATE(21390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30880), 1,
      anon_sym_DASH_GT,
    STATE(21391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30882), 1,
      anon_sym_RBRACE,
    STATE(21392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30884), 1,
      anon_sym_DASH_GT,
    STATE(21393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30886), 1,
      aux_sym_number_token1,
    STATE(21394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10966), 1,
      anon_sym_RBRACK,
    STATE(21395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18409), 1,
      anon_sym_RPAREN,
    STATE(21396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30888), 1,
      anon_sym_RPAREN,
    STATE(21397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24222), 1,
      anon_sym_GT_RBRACE,
    STATE(21398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30890), 1,
      anon_sym_in,
    STATE(21399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30892), 1,
      anon_sym_in,
    STATE(21400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30894), 1,
      anon_sym_PLUS_EQ,
    STATE(21401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30896), 1,
      anon_sym_DASH_GT,
    STATE(21402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21715), 1,
      anon_sym_end,
    STATE(21403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30898), 1,
      anon_sym_RPAREN,
    STATE(21404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30900), 1,
      anon_sym_RPAREN,
    STATE(21405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30902), 1,
      sym__lowercase_identifier,
    STATE(21406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22058), 1,
      anon_sym_end,
    STATE(21407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30904), 1,
      anon_sym_SQUOTE2,
    STATE(21408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30906), 1,
      anon_sym_DQUOTE,
    STATE(21409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6121), 1,
      anon_sym_end,
    STATE(21410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30908), 1,
      anon_sym_PIPE,
    STATE(21411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30910), 1,
      anon_sym_RPAREN,
    STATE(21412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30912), 1,
      anon_sym_DOT_DOT,
    STATE(21413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30914), 1,
      anon_sym_DOT_DOT,
    STATE(21414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30916), 1,
      anon_sym_DOT_DOT,
    STATE(21415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30918), 1,
      sym__lowercase_identifier,
    STATE(21416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30920), 1,
      anon_sym_LT_DASH,
    STATE(21417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30922), 1,
      anon_sym_COLON2,
    STATE(21418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30924), 1,
      anon_sym_DASH_GT,
    STATE(21419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_GT,
    STATE(21420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30926), 1,
      anon_sym_end,
    STATE(21421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30928), 1,
      anon_sym_RBRACE,
    STATE(21422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30930), 1,
      sym__uppercase_identifier,
    STATE(21423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30932), 1,
      anon_sym_RBRACE,
    STATE(21424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30934), 1,
      anon_sym_RPAREN,
    STATE(21425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30936), 1,
      anon_sym_RBRACK,
    STATE(21426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7895), 1,
      anon_sym_end,
    STATE(21427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10087), 1,
      anon_sym_DASH_GT,
    STATE(21428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30938), 1,
      anon_sym_RBRACE,
    STATE(21429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30940), 1,
      anon_sym_LT_DASH,
    STATE(21430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9969), 1,
      anon_sym_DASH_GT,
    STATE(21431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30942), 1,
      anon_sym_end,
    STATE(21432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26574), 1,
      anon_sym_RBRACK,
    STATE(21433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14012), 1,
      anon_sym_DASH_GT,
    STATE(21434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30944), 1,
      anon_sym_LT_DASH,
    STATE(21435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30946), 1,
      anon_sym_RBRACK,
    STATE(21436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30948), 1,
      sym__lowercase_identifier,
    STATE(21437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30950), 1,
      anon_sym_RBRACE,
    STATE(21438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30952), 1,
      anon_sym_end,
    STATE(21439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30954), 1,
      anon_sym_in,
    STATE(21440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5993), 1,
      anon_sym_end,
    STATE(21441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30956), 1,
      anon_sym_in,
    STATE(21442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21972), 1,
      anon_sym_end,
    STATE(21443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30958), 1,
      sym__lowercase_identifier,
    STATE(21444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30960), 1,
      anon_sym_DOT,
    STATE(21445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30962), 1,
      anon_sym_RPAREN,
    STATE(21446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30964), 1,
      anon_sym_in,
    STATE(21447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30966), 1,
      anon_sym_SQUOTE2,
    STATE(21448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30968), 1,
      anon_sym_PIPE,
    STATE(21449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30970), 1,
      anon_sym_end,
    STATE(21450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30972), 1,
      anon_sym_DOT_DOT,
    STATE(21451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30974), 1,
      anon_sym_DOT_DOT,
    STATE(21452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30976), 1,
      anon_sym_DOT_DOT,
    STATE(21453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30978), 1,
      anon_sym_RBRACK,
    STATE(21454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30980), 1,
      anon_sym_LT_DASH,
    STATE(21455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30982), 1,
      anon_sym_RPAREN,
    STATE(21456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30984), 1,
      anon_sym_RPAREN,
    STATE(21457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3723), 1,
      anon_sym_RPAREN,
    STATE(21458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30986), 1,
      anon_sym_LT_DASH,
    STATE(21459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30988), 1,
      anon_sym_in,
    STATE(21460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30990), 1,
      anon_sym_RBRACK,
    STATE(21461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30992), 1,
      anon_sym_RPAREN,
    STATE(21462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30994), 1,
      anon_sym_RBRACE,
    STATE(21463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30996), 1,
      anon_sym_RPAREN,
    STATE(21464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26596), 1,
      anon_sym_RBRACK,
    STATE(21465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11550), 1,
      anon_sym_RPAREN,
    STATE(21466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30998), 1,
      anon_sym_in,
    STATE(21467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31000), 1,
      anon_sym_in,
    STATE(21468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31002), 1,
      anon_sym_in,
    STATE(21469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31004), 1,
      anon_sym_DOT,
    STATE(21470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31006), 1,
      anon_sym_RPAREN,
    STATE(21471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31008), 1,
      anon_sym_RPAREN,
    STATE(21472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31010), 1,
      anon_sym_in,
    STATE(21473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3653), 1,
      anon_sym_RPAREN,
    STATE(21474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31012), 1,
      sym__lowercase_identifier,
    STATE(21475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31014), 1,
      anon_sym_DQUOTE,
    STATE(21476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31016), 1,
      anon_sym_with,
    STATE(21477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31018), 1,
      anon_sym_RPAREN,
    STATE(21478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18357), 1,
      anon_sym_RPAREN,
    STATE(21479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31020), 1,
      anon_sym_PIPE,
    STATE(21480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18170), 1,
      anon_sym_RPAREN,
    STATE(21481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31022), 1,
      anon_sym_DOT_DOT,
    STATE(21482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31024), 1,
      anon_sym_DOT_DOT,
    STATE(21483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31026), 1,
      anon_sym_DOT_DOT,
    STATE(21484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31028), 1,
      anon_sym_RPAREN,
    STATE(21485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31030), 1,
      anon_sym_with,
    STATE(21486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31032), 1,
      anon_sym_in,
    STATE(21487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31034), 1,
      anon_sym_RPAREN,
    STATE(21488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31036), 1,
      anon_sym_LT_DASH,
    STATE(21489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31038), 1,
      anon_sym_DOT,
    STATE(21490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31040), 1,
      anon_sym_DASH_GT,
    STATE(21491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31042), 1,
      anon_sym_RBRACE,
    STATE(21492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31044), 1,
      anon_sym_RBRACE,
    STATE(21493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31046), 1,
      anon_sym_in,
    STATE(21494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31048), 1,
      anon_sym_RPAREN,
    STATE(21495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26624), 1,
      anon_sym_RBRACK,
    STATE(21496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31050), 1,
      anon_sym_DOT,
    STATE(21497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31052), 1,
      anon_sym_RPAREN,
    STATE(21498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31054), 1,
      anon_sym_DASH_GT,
    STATE(21499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19410), 1,
      anon_sym_GT,
    STATE(21500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31056), 1,
      anon_sym_in,
    STATE(21501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31058), 1,
      anon_sym_in,
    STATE(21502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31060), 1,
      sym__lowercase_identifier,
    STATE(21503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31062), 1,
      anon_sym_in,
    STATE(21504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6201), 1,
      anon_sym_end,
    STATE(21505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31064), 1,
      anon_sym_PIPE,
    STATE(21506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31066), 1,
      anon_sym_DOT_DOT,
    STATE(21507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31068), 1,
      anon_sym_DOT_DOT,
    STATE(21508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31070), 1,
      anon_sym_DOT_DOT,
    STATE(21509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31072), 1,
      anon_sym_RPAREN,
    STATE(21510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31074), 1,
      anon_sym_in,
    STATE(21511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31076), 1,
      aux_sym_number_token1,
    STATE(21512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31078), 1,
      anon_sym_RPAREN,
    STATE(21513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31080), 1,
      anon_sym_in,
    STATE(21514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31082), 1,
      anon_sym_RPAREN,
    STATE(21515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10065), 1,
      anon_sym_DASH_GT,
    STATE(21516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31084), 1,
      anon_sym_DASH_GT,
    STATE(21517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31086), 1,
      anon_sym_SQUOTE2,
    STATE(21518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31088), 1,
      anon_sym_RBRACK,
    STATE(21519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31090), 1,
      anon_sym_with,
    STATE(21520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10976), 1,
      anon_sym_RBRACK,
    STATE(21521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18126), 1,
      anon_sym_SQUOTE2,
    STATE(21522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31092), 1,
      anon_sym_SQUOTE2,
    STATE(21523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31094), 1,
      anon_sym_RBRACE,
    STATE(21524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31096), 1,
      anon_sym_SQUOTE2,
    STATE(21525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31098), 1,
      anon_sym_in,
    STATE(21526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24332), 1,
      anon_sym_GT_RBRACE,
    STATE(21527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31100), 1,
      sym__lowercase_identifier,
    STATE(21528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31102), 1,
      anon_sym_with,
    STATE(21529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31104), 1,
      anon_sym_PIPE,
    STATE(21530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31106), 1,
      anon_sym_DOT_DOT,
    STATE(21531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31108), 1,
      anon_sym_DOT_DOT,
    STATE(21532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31110), 1,
      anon_sym_DOT_DOT,
    STATE(21533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31112), 1,
      anon_sym_RBRACK,
    STATE(21534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26894), 1,
      anon_sym_RPAREN,
    STATE(21535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31114), 1,
      anon_sym_DQUOTE,
    STATE(21536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31116), 1,
      anon_sym_RBRACE,
    STATE(21537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21960), 1,
      anon_sym_end,
    STATE(21538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31118), 1,
      anon_sym_RPAREN,
    STATE(21539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31120), 1,
      anon_sym_LT_DASH,
    STATE(21540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11018), 1,
      anon_sym_RBRACK,
    STATE(21541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31122), 1,
      anon_sym_DOT,
    STATE(21542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31124), 1,
      anon_sym_in,
    STATE(21543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31126), 1,
      anon_sym_SQUOTE2,
    STATE(21544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31128), 1,
      anon_sym_in,
    STATE(21545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31130), 1,
      anon_sym_RBRACK,
    STATE(21546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31132), 1,
      anon_sym_DQUOTE,
    STATE(21547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31134), 1,
      sym__lowercase_identifier,
    STATE(21548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31136), 1,
      anon_sym_in,
    STATE(21549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31138), 1,
      anon_sym_PIPE,
    STATE(21550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31140), 1,
      anon_sym_DOT_DOT,
    STATE(21551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31142), 1,
      anon_sym_DOT_DOT,
    STATE(21552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31144), 1,
      anon_sym_DOT_DOT,
    STATE(21553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31146), 1,
      anon_sym_RBRACE,
    STATE(21554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31148), 1,
      anon_sym_in,
    STATE(21555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31150), 1,
      anon_sym_in,
    STATE(21556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31152), 1,
      anon_sym_DASH_GT,
    STATE(21557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31154), 1,
      anon_sym_RBRACE,
    STATE(21558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31156), 1,
      anon_sym_RPAREN,
    STATE(21559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31158), 1,
      anon_sym_DASH_GT,
    STATE(21560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26666), 1,
      anon_sym_RBRACK,
    STATE(21561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31160), 1,
      anon_sym_RPAREN,
    STATE(21562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31162), 1,
      anon_sym_RPAREN,
    STATE(21563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31164), 1,
      anon_sym_DASH_GT,
    STATE(21564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31166), 1,
      anon_sym_RPAREN,
    STATE(21565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31168), 1,
      sym__lowercase_identifier,
    STATE(21566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31170), 1,
      sym__lowercase_identifier,
    STATE(21567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19714), 1,
      anon_sym_RPAREN,
    STATE(21568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31172), 1,
      anon_sym_PIPE,
    STATE(21569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31174), 1,
      anon_sym_DOT_DOT,
    STATE(21570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31176), 1,
      anon_sym_DOT_DOT,
    STATE(21571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31178), 1,
      anon_sym_DOT_DOT,
    STATE(21572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31180), 1,
      anon_sym_in,
    STATE(21573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31182), 1,
      anon_sym_RPAREN,
    STATE(21574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31184), 1,
      anon_sym_LT_DASH,
    STATE(21575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31186), 1,
      anon_sym_DQUOTE,
    STATE(21576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31188), 1,
      anon_sym_in,
    STATE(21577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31190), 1,
      anon_sym_RPAREN,
    STATE(21578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31192), 1,
      anon_sym_RPAREN,
    STATE(21579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10900), 1,
      anon_sym_RBRACK,
    STATE(21580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31194), 1,
      anon_sym_DOT,
    STATE(21581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31196), 1,
      anon_sym_RPAREN,
    STATE(21582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19264), 1,
      anon_sym_GT,
    STATE(21583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      anon_sym_GT,
    STATE(21584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31198), 1,
      anon_sym_in,
    STATE(21585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31200), 1,
      sym__lowercase_identifier,
    STATE(21586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31202), 1,
      anon_sym_in,
    STATE(21587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31204), 1,
      anon_sym_PIPE,
    STATE(21588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31206), 1,
      anon_sym_DOT_DOT,
    STATE(21589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31208), 1,
      anon_sym_DOT_DOT,
    STATE(21590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31210), 1,
      anon_sym_DOT_DOT,
    STATE(21591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31212), 1,
      anon_sym_RPAREN,
    STATE(21592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7847), 1,
      anon_sym_RPAREN,
    STATE(21593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10138), 1,
      anon_sym_DASH_GT,
    STATE(21594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31214), 1,
      anon_sym_DASH_GT,
    STATE(21595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    STATE(21596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31216), 1,
      anon_sym_RPAREN,
    STATE(21597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31218), 1,
      anon_sym_in,
    STATE(21598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31220), 1,
      anon_sym_RBRACE,
    STATE(21599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31222), 1,
      anon_sym_in,
    STATE(21600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31224), 1,
      anon_sym_RPAREN,
    STATE(21601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31226), 1,
      anon_sym_RBRACK,
    STATE(21602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31228), 1,
      sym__lowercase_identifier,
    STATE(21603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31230), 1,
      anon_sym_RPAREN,
    STATE(21604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31232), 1,
      anon_sym_PIPE,
    STATE(21605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31234), 1,
      anon_sym_DOT_DOT,
    STATE(21606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31236), 1,
      anon_sym_DOT_DOT,
    STATE(21607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31238), 1,
      anon_sym_DOT_DOT,
    STATE(21608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31240), 1,
      anon_sym_DASH_GT,
    STATE(21609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31242), 1,
      anon_sym_RPAREN,
    STATE(21610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31244), 1,
      anon_sym_RPAREN,
    STATE(21611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31244), 1,
      anon_sym_RBRACK,
    STATE(21612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31244), 1,
      anon_sym_RBRACE,
    STATE(21613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31246), 1,
      anon_sym_RPAREN,
    STATE(21614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31248), 1,
      anon_sym_RBRACK,
    STATE(21615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31250), 1,
      anon_sym_RBRACE,
    STATE(21616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31252), 1,
      anon_sym_DASH_GT,
    STATE(21617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31254), 1,
      anon_sym_DASH_GT,
    STATE(21618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31256), 1,
      anon_sym_RBRACE,
    STATE(21619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31258), 1,
      sym__lowercase_identifier,
    STATE(21620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31260), 1,
      anon_sym_DASH_GT,
    STATE(21621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31262), 1,
      anon_sym_PIPE,
    STATE(21622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31264), 1,
      anon_sym_DOT_DOT,
    STATE(21623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31266), 1,
      anon_sym_DOT_DOT,
    STATE(21624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31268), 1,
      anon_sym_DOT_DOT,
    STATE(21625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31270), 1,
      anon_sym_RPAREN,
    STATE(21626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31272), 1,
      anon_sym_RBRACE,
    STATE(21627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31274), 1,
      anon_sym_in,
    STATE(21628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31276), 1,
      anon_sym_in,
    STATE(21629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31278), 1,
      anon_sym_end,
    STATE(21630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31280), 1,
      anon_sym_RPAREN,
    STATE(21631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31282), 1,
      anon_sym_RBRACK,
    STATE(21632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26932), 1,
      anon_sym_RPAREN,
    STATE(21633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31284), 1,
      sym__lowercase_identifier,
    STATE(21634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    STATE(21635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31286), 1,
      anon_sym_LT_DASH,
    STATE(21636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31288), 1,
      sym__lowercase_identifier,
    STATE(21637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31290), 1,
      anon_sym_RPAREN,
    STATE(21638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31292), 1,
      anon_sym_PIPE,
    STATE(21639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31294), 1,
      anon_sym_DOT_DOT,
    STATE(21640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31296), 1,
      anon_sym_DOT_DOT,
    STATE(21641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31298), 1,
      anon_sym_DOT_DOT,
    STATE(21642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31300), 1,
      anon_sym_RBRACE,
    STATE(21643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31302), 1,
      anon_sym_DASH_GT,
    STATE(21644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31304), 1,
      anon_sym_RBRACE,
    STATE(21645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31306), 1,
      anon_sym_RBRACK,
    STATE(21646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31308), 1,
      anon_sym_RPAREN,
    STATE(21647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31310), 1,
      anon_sym_DASH_GT,
    STATE(21648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7885), 1,
      anon_sym_end,
    STATE(21649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31312), 1,
      anon_sym_RBRACE,
    STATE(21650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15915), 1,
      anon_sym_end,
    STATE(21651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31314), 1,
      anon_sym_RPAREN,
    STATE(21652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31316), 1,
      anon_sym_DASH_GT,
    STATE(21653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31318), 1,
      sym__lowercase_identifier,
    STATE(21654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31320), 1,
      anon_sym_in,
    STATE(21655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31322), 1,
      anon_sym_PIPE,
    STATE(21656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31324), 1,
      anon_sym_DOT_DOT,
    STATE(21657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31326), 1,
      anon_sym_DOT_DOT,
    STATE(21658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31328), 1,
      anon_sym_DOT_DOT,
    STATE(21659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31330), 1,
      aux_sym_number_token1,
    STATE(21660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31332), 1,
      anon_sym_in,
    STATE(21661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31334), 1,
      anon_sym_in,
    STATE(21662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25642), 1,
      anon_sym_RPAREN,
    STATE(21663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31336), 1,
      anon_sym_in,
    STATE(21664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31338), 1,
      anon_sym_RPAREN,
    STATE(21665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31340), 1,
      anon_sym_RPAREN,
    STATE(21666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18319), 1,
      anon_sym_RPAREN,
    STATE(21667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3785), 1,
      anon_sym_RPAREN,
    STATE(21668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31342), 1,
      anon_sym_in,
    STATE(21669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22710), 1,
      anon_sym_GT_RBRACE,
    STATE(21670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31344), 1,
      sym__lowercase_identifier,
    STATE(21671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31346), 1,
      anon_sym_end,
    STATE(21672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31348), 1,
      anon_sym_PIPE,
    STATE(21673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31350), 1,
      anon_sym_DOT_DOT,
    STATE(21674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31352), 1,
      anon_sym_DOT_DOT,
    STATE(21675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31354), 1,
      anon_sym_DOT_DOT,
    STATE(21676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31356), 1,
      anon_sym_RBRACE,
    STATE(21677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31358), 1,
      anon_sym_in,
    STATE(21678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31360), 1,
      anon_sym_RBRACE,
    STATE(21679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31362), 1,
      anon_sym_RBRACK,
    STATE(21680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31364), 1,
      anon_sym_RBRACE,
    STATE(21681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31366), 1,
      aux_sym_number_token1,
    STATE(21682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31368), 1,
      anon_sym_RBRACE,
    STATE(21683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31370), 1,
      anon_sym_RBRACK,
    STATE(21684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31372), 1,
      anon_sym_RBRACE,
    STATE(21685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31374), 1,
      anon_sym_GT,
    STATE(21686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31376), 1,
      anon_sym_LT_DASH,
    STATE(21687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31378), 1,
      sym__lowercase_identifier,
    STATE(21688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31380), 1,
      anon_sym_RBRACK,
    STATE(21689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31382), 1,
      anon_sym_PIPE,
    STATE(21690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31384), 1,
      anon_sym_DOT_DOT,
    STATE(21691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31386), 1,
      anon_sym_DOT_DOT,
    STATE(21692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31388), 1,
      anon_sym_DOT_DOT,
    STATE(21693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31390), 1,
      anon_sym_RBRACE,
    STATE(21694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31392), 1,
      anon_sym_RPAREN,
    STATE(21695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31394), 1,
      anon_sym_RBRACE,
    STATE(21696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31396), 1,
      anon_sym_RPAREN,
    STATE(21697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31398), 1,
      anon_sym_in,
    STATE(21698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31400), 1,
      anon_sym_RBRACK,
    STATE(21699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22696), 1,
      anon_sym_GT_RBRACE,
    STATE(21700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31402), 1,
      anon_sym_LT_DASH,
    STATE(21701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31404), 1,
      aux_sym_number_token1,
    STATE(21702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31406), 1,
      anon_sym_in,
    STATE(21703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31408), 1,
      sym__lowercase_identifier,
    STATE(21704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31410), 1,
      anon_sym_RPAREN,
    STATE(21705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31412), 1,
      anon_sym_PIPE,
    STATE(21706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31414), 1,
      anon_sym_DOT_DOT,
    STATE(21707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31416), 1,
      anon_sym_DOT_DOT,
    STATE(21708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31418), 1,
      anon_sym_DOT_DOT,
    STATE(21709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31420), 1,
      anon_sym_in,
    STATE(21710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31422), 1,
      anon_sym_DASH_GT,
    STATE(21711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31424), 1,
      anon_sym_DASH_GT,
    STATE(21712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19206), 1,
      anon_sym_GT,
    STATE(21713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31426), 1,
      anon_sym_in,
    STATE(21714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31428), 1,
      anon_sym_DOT,
    STATE(21715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31430), 1,
      anon_sym_RBRACE,
    STATE(21716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31432), 1,
      anon_sym_RPAREN,
    STATE(21717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31434), 1,
      anon_sym_RBRACE,
    STATE(21718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23304), 1,
      anon_sym_GT_RBRACE,
    STATE(21719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31436), 1,
      sym__lowercase_identifier,
    STATE(21720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21735), 1,
      anon_sym_end,
    STATE(21721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31438), 1,
      anon_sym_PIPE,
    STATE(21722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31440), 1,
      anon_sym_DOT_DOT,
    STATE(21723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31442), 1,
      anon_sym_DOT_DOT,
    STATE(21724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31444), 1,
      anon_sym_DOT_DOT,
    STATE(21725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21930), 1,
      anon_sym_end,
    STATE(21726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3745), 1,
      anon_sym_RPAREN,
    STATE(21727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31446), 1,
      anon_sym_DOT,
    STATE(21728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24510), 1,
      anon_sym_GT_RBRACE,
    STATE(21729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24526), 1,
      anon_sym_GT_RBRACE,
    STATE(21730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31448), 1,
      anon_sym_RBRACE,
    STATE(21731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22002), 1,
      anon_sym_end,
    STATE(21732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31450), 1,
      anon_sym_RBRACE,
    STATE(21733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31452), 1,
      anon_sym_RPAREN,
    STATE(21734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31454), 1,
      anon_sym_SQUOTE2,
    STATE(21735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31456), 1,
      sym__lowercase_identifier,
    STATE(21736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31458), 1,
      anon_sym_with,
    STATE(21737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31460), 1,
      anon_sym_PIPE,
    STATE(21738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31462), 1,
      anon_sym_DOT_DOT,
    STATE(21739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31464), 1,
      anon_sym_DOT_DOT,
    STATE(21740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31466), 1,
      anon_sym_DOT_DOT,
    STATE(21741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31468), 1,
      anon_sym_DQUOTE,
    STATE(21742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31470), 1,
      anon_sym_in,
    STATE(21743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31472), 1,
      anon_sym_RPAREN,
    STATE(21744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31474), 1,
      anon_sym_RPAREN,
    STATE(21745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31476), 1,
      anon_sym_with,
    STATE(21746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31478), 1,
      sym__lowercase_identifier,
    STATE(21747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31480), 1,
      anon_sym_RBRACK,
    STATE(21748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31482), 1,
      anon_sym_RBRACE,
    STATE(21749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31484), 1,
      anon_sym_DOT,
    STATE(21750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31486), 1,
      anon_sym_RBRACE,
    STATE(21751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31488), 1,
      sym__lowercase_identifier,
    STATE(21752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31490), 1,
      anon_sym_RPAREN,
    STATE(21753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31492), 1,
      anon_sym_PIPE,
    STATE(21754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31494), 1,
      anon_sym_DOT_DOT,
    STATE(21755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31496), 1,
      anon_sym_DOT_DOT,
    STATE(21756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31498), 1,
      anon_sym_DOT_DOT,
    STATE(21757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31500), 1,
      anon_sym_in,
    STATE(21758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31502), 1,
      anon_sym_in,
    STATE(21759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31504), 1,
      anon_sym_in,
    STATE(21760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31506), 1,
      anon_sym_SQUOTE2,
    STATE(21761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21331), 1,
      anon_sym_end,
    STATE(21762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31508), 1,
      anon_sym_SQUOTE2,
    STATE(21763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31510), 1,
      anon_sym_in,
    STATE(21764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31512), 1,
      anon_sym_RPAREN,
    STATE(21765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31514), 1,
      anon_sym_DQUOTE,
    STATE(21766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31516), 1,
      anon_sym_RBRACE,
    STATE(21767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31518), 1,
      sym__lowercase_identifier,
    STATE(21768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31520), 1,
      anon_sym_DOT,
    STATE(21769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31522), 1,
      anon_sym_DOT_DOT,
    STATE(21770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31524), 1,
      anon_sym_DOT_DOT,
    STATE(21771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31526), 1,
      anon_sym_DOT_DOT,
    STATE(21772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31528), 1,
      anon_sym_RPAREN,
    STATE(21773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31530), 1,
      anon_sym_in,
    STATE(21774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31532), 1,
      anon_sym_RPAREN,
    STATE(21775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31534), 1,
      anon_sym_RBRACE,
    STATE(21776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31536), 1,
      anon_sym_RPAREN,
    STATE(21777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31538), 1,
      anon_sym_with,
    STATE(21778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31540), 1,
      anon_sym_DOT,
    STATE(21779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31542), 1,
      anon_sym_SQUOTE2,
    STATE(21780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31544), 1,
      sym__lowercase_identifier,
    STATE(21781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31546), 1,
      anon_sym_with,
    STATE(21782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31548), 1,
      sym__lowercase_identifier,
    STATE(21783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31550), 1,
      anon_sym_RBRACK,
    STATE(21784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31552), 1,
      anon_sym_DOT_DOT,
    STATE(21785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31554), 1,
      anon_sym_DOT_DOT,
    STATE(21786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31556), 1,
      anon_sym_DOT_DOT,
    STATE(21787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2127), 1,
      anon_sym_RPAREN,
    STATE(21788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31558), 1,
      anon_sym_DQUOTE,
    STATE(21789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31560), 1,
      anon_sym_RPAREN,
    STATE(21790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31562), 1,
      anon_sym_LT_DASH,
    STATE(21791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31564), 1,
      anon_sym_DOT,
    STATE(21792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31566), 1,
      anon_sym_in,
    STATE(21793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31568), 1,
      anon_sym_RPAREN,
    STATE(21794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24592), 1,
      anon_sym_GT_RBRACE,
    STATE(21795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31570), 1,
      anon_sym_DQUOTE,
    STATE(21796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31572), 1,
      anon_sym_RBRACE,
    STATE(21797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31574), 1,
      sym__lowercase_identifier,
    STATE(21798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
    STATE(21799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31576), 1,
      anon_sym_DOT_DOT,
    STATE(21800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31578), 1,
      anon_sym_DOT_DOT,
    STATE(21801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31580), 1,
      anon_sym_DOT_DOT,
    STATE(21802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31582), 1,
      anon_sym_RPAREN,
    STATE(21803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21805), 1,
      anon_sym_end,
    STATE(21804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18321), 1,
      anon_sym_RPAREN,
    STATE(21805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31584), 1,
      anon_sym_RPAREN,
    STATE(21806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31586), 1,
      sym__lowercase_identifier,
    STATE(21807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20018), 1,
      anon_sym_RBRACK,
    STATE(21808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31588), 1,
      anon_sym_RBRACK,
    STATE(21809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31590), 1,
      anon_sym_RBRACE,
    STATE(21810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31592), 1,
      anon_sym_DASH_GT,
    STATE(21811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31594), 1,
      anon_sym_SQUOTE2,
    STATE(21812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31596), 1,
      sym__lowercase_identifier,
    STATE(21813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31598), 1,
      anon_sym_in,
    STATE(21814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31600), 1,
      anon_sym_DOT_DOT,
    STATE(21815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31602), 1,
      anon_sym_DOT_DOT,
    STATE(21816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31604), 1,
      anon_sym_DOT_DOT,
    STATE(21817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14673), 1,
      anon_sym_DASH_GT,
    STATE(21818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31606), 1,
      anon_sym_DASH_GT,
    STATE(21819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31608), 1,
      anon_sym_in,
    STATE(21820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31610), 1,
      anon_sym_RPAREN,
    STATE(21821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31612), 1,
      anon_sym_DQUOTE,
    STATE(21822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31614), 1,
      anon_sym_RPAREN,
    STATE(21823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19726), 1,
      anon_sym_RPAREN,
    STATE(21824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31616), 1,
      sym__lowercase_identifier,
    STATE(21825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31618), 1,
      anon_sym_RBRACE,
    STATE(21826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31620), 1,
      sym__lowercase_identifier,
    STATE(21827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31622), 1,
      sym__lowercase_identifier,
    STATE(21828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12839), 1,
      anon_sym_GT,
    STATE(21829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31624), 1,
      anon_sym_DOT_DOT,
    STATE(21830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31626), 1,
      anon_sym_DOT_DOT,
    STATE(21831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31628), 1,
      anon_sym_DOT_DOT,
    STATE(21832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31630), 1,
      anon_sym_RBRACE,
    STATE(21833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31632), 1,
      anon_sym_in,
    STATE(21834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31634), 1,
      anon_sym_RPAREN,
    STATE(21835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31636), 1,
      anon_sym_SQUOTE2,
    STATE(21836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10035), 1,
      anon_sym_DASH_GT,
    STATE(21837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10128), 1,
      anon_sym_DASH_GT,
    STATE(21838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31638), 1,
      anon_sym_DQUOTE,
    STATE(21839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31640), 1,
      anon_sym_DASH_GT,
    STATE(21840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31642), 1,
      anon_sym_RPAREN,
    STATE(21841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31644), 1,
      anon_sym_RBRACK,
    STATE(21842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31646), 1,
      sym__lowercase_identifier,
    STATE(21843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31648), 1,
      anon_sym_RPAREN,
    STATE(21844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31650), 1,
      anon_sym_DOT_DOT,
    STATE(21845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31652), 1,
      anon_sym_DOT_DOT,
    STATE(21846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31654), 1,
      anon_sym_DOT_DOT,
    STATE(21847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31656), 1,
      anon_sym_RPAREN,
    STATE(21848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31658), 1,
      anon_sym_DASH_GT,
    STATE(21849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21555), 1,
      anon_sym_end,
    STATE(21850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24680), 1,
      anon_sym_GT_RBRACE,
    STATE(21851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31660), 1,
      anon_sym_RPAREN,
    STATE(21852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31662), 1,
      anon_sym_RPAREN,
    STATE(21853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31662), 1,
      anon_sym_RBRACK,
    STATE(21854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31662), 1,
      anon_sym_RBRACE,
    STATE(21855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31664), 1,
      anon_sym_DASH_GT,
    STATE(21856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31666), 1,
      anon_sym_DASH_GT,
    STATE(21857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31668), 1,
      sym__lowercase_identifier,
    STATE(21858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31670), 1,
      anon_sym_DASH_GT,
    STATE(21859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31672), 1,
      anon_sym_DOT_DOT,
    STATE(21860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31674), 1,
      anon_sym_DOT_DOT,
    STATE(21861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31676), 1,
      anon_sym_DOT_DOT,
    STATE(21862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9979), 1,
      anon_sym_DASH_GT,
    STATE(21863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31678), 1,
      anon_sym_RBRACK,
    STATE(21864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31680), 1,
      anon_sym_DASH_GT,
    STATE(21865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24704), 1,
      anon_sym_GT_RBRACE,
    STATE(21866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31682), 1,
      anon_sym_RBRACE,
    STATE(21867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31684), 1,
      anon_sym_RPAREN,
    STATE(21868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31686), 1,
      anon_sym_end,
    STATE(21869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31688), 1,
      anon_sym_RBRACK,
    STATE(21870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31690), 1,
      anon_sym_RBRACE,
    STATE(21871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31692), 1,
      anon_sym_RBRACE,
    STATE(21872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31694), 1,
      sym__lowercase_identifier,
    STATE(21873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3725), 1,
      anon_sym_RPAREN,
    STATE(21874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31696), 1,
      anon_sym_DOT_DOT,
    STATE(21875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31698), 1,
      anon_sym_DOT_DOT,
    STATE(21876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31700), 1,
      anon_sym_DOT_DOT,
    STATE(21877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31702), 1,
      anon_sym_RPAREN,
    STATE(21878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31704), 1,
      anon_sym_RBRACE,
    STATE(21879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18507), 1,
      anon_sym_RPAREN,
    STATE(21880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31706), 1,
      anon_sym_RPAREN,
    STATE(21881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31708), 1,
      anon_sym_RBRACK,
    STATE(21882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31710), 1,
      anon_sym_RPAREN,
    STATE(21883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31712), 1,
      anon_sym_RPAREN,
    STATE(21884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31714), 1,
      anon_sym_LT_DASH,
    STATE(21885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10124), 1,
      anon_sym_DASH_GT,
    STATE(21886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31716), 1,
      anon_sym_in,
    STATE(21887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31718), 1,
      sym__lowercase_identifier,
    STATE(21888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31720), 1,
      anon_sym_RPAREN,
    STATE(21889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31722), 1,
      anon_sym_DOT_DOT,
    STATE(21890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31724), 1,
      anon_sym_DOT_DOT,
    STATE(21891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31726), 1,
      anon_sym_DOT_DOT,
    STATE(21892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31728), 1,
      anon_sym_in,
    STATE(21893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31730), 1,
      anon_sym_in,
    STATE(21894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31732), 1,
      sym__lowercase_identifier,
    STATE(21895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31734), 1,
      anon_sym_in,
    STATE(21896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31736), 1,
      anon_sym_RPAREN,
    STATE(21897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31738), 1,
      sym__lowercase_identifier,
    STATE(21898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31740), 1,
      anon_sym_DOT,
    STATE(21899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31742), 1,
      anon_sym_in,
    STATE(21900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13132), 1,
      anon_sym_GT,
    STATE(21901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21982), 1,
      anon_sym_end,
    STATE(21902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31744), 1,
      sym__lowercase_identifier,
    STATE(21903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31746), 1,
      anon_sym_RPAREN,
    STATE(21904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31748), 1,
      anon_sym_DOT_DOT,
    STATE(21905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31750), 1,
      anon_sym_DOT_DOT,
    STATE(21906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31752), 1,
      anon_sym_DOT_DOT,
    STATE(21907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7865), 1,
      anon_sym_RPAREN,
    STATE(21908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31754), 1,
      anon_sym_RPAREN,
    STATE(21909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31756), 1,
      anon_sym_DASH_GT,
    STATE(21910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_end,
    STATE(21911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31758), 1,
      anon_sym_RBRACE,
    STATE(21912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18419), 1,
      anon_sym_RPAREN,
    STATE(21913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31760), 1,
      anon_sym_end,
    STATE(21914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31762), 1,
      anon_sym_RPAREN,
    STATE(21915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10089), 1,
      anon_sym_DASH_GT,
    STATE(21916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31764), 1,
      anon_sym_RBRACK,
    STATE(21917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31766), 1,
      sym__lowercase_identifier,
    STATE(21918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31768), 1,
      anon_sym_SQUOTE2,
    STATE(21919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31770), 1,
      anon_sym_DOT_DOT,
    STATE(21920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31772), 1,
      anon_sym_DOT_DOT,
    STATE(21921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31774), 1,
      anon_sym_DOT_DOT,
    STATE(21922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31776), 1,
      anon_sym_SQUOTE2,
    STATE(21923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31778), 1,
      anon_sym_DQUOTE,
    STATE(21924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31780), 1,
      anon_sym_RBRACE,
    STATE(21925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31782), 1,
      anon_sym_RPAREN,
    STATE(21926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31784), 1,
      anon_sym_RBRACE,
    STATE(21927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31786), 1,
      sym__lowercase_identifier,
    STATE(21928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31788), 1,
      anon_sym_RPAREN,
    STATE(21929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12877), 1,
      anon_sym_GT,
    STATE(21930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10015), 1,
      anon_sym_DASH_GT,
    STATE(21931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31790), 1,
      anon_sym_RPAREN,
    STATE(21932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31792), 1,
      sym__lowercase_identifier,
    STATE(21933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31794), 1,
      anon_sym_DOT,
    STATE(21934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31796), 1,
      anon_sym_DOT_DOT,
    STATE(21935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31798), 1,
      anon_sym_DOT_DOT,
    STATE(21936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31800), 1,
      anon_sym_DOT_DOT,
    STATE(21937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31802), 1,
      anon_sym_end,
    STATE(21938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31804), 1,
      sym__lowercase_identifier,
    STATE(21939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31806), 1,
      anon_sym_DASH_GT,
    STATE(21940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31808), 1,
      anon_sym_RBRACK,
    STATE(21941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18455), 1,
      anon_sym_RPAREN,
    STATE(21942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31810), 1,
      anon_sym_RBRACE,
    STATE(21943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31812), 1,
      sym__lowercase_identifier,
    STATE(21944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14718), 1,
      anon_sym_DASH_GT,
    STATE(21945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19328), 1,
      anon_sym_GT,
    STATE(21946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31814), 1,
      anon_sym_RPAREN,
    STATE(21947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31816), 1,
      sym__lowercase_identifier,
    STATE(21948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31818), 1,
      sym__lowercase_identifier,
    STATE(21949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31820), 1,
      anon_sym_DOT_DOT,
    STATE(21950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31822), 1,
      anon_sym_DOT_DOT,
    STATE(21951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31824), 1,
      anon_sym_DOT_DOT,
    STATE(21952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31826), 1,
      anon_sym_with,
    STATE(21953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31828), 1,
      anon_sym_RPAREN,
    STATE(21954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31830), 1,
      anon_sym_RBRACK,
    STATE(21955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31832), 1,
      anon_sym_with,
    STATE(21956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31834), 1,
      anon_sym_DOT,
    STATE(21957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19332), 1,
      anon_sym_GT,
    STATE(21958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19404), 1,
      anon_sym_GT,
    STATE(21959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31836), 1,
      anon_sym_SQUOTE2,
    STATE(21960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31838), 1,
      anon_sym_DQUOTE,
    STATE(21961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31840), 1,
      sym__lowercase_identifier,
    STATE(21962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31842), 1,
      sym__lowercase_identifier,
    STATE(21963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18283), 1,
      anon_sym_RPAREN,
    STATE(21964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31844), 1,
      anon_sym_DOT_DOT,
    STATE(21965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31846), 1,
      anon_sym_DOT_DOT,
    STATE(21966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31848), 1,
      anon_sym_DOT_DOT,
    STATE(21967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23350), 1,
      anon_sym_GT_RBRACE,
    STATE(21968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31850), 1,
      anon_sym_RPAREN,
    STATE(21969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31852), 1,
      anon_sym_DASH_GT,
    STATE(21970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21420), 1,
      anon_sym_end,
    STATE(21971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31854), 1,
      anon_sym_DASH_GT,
    STATE(21972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31856), 1,
      anon_sym_RPAREN,
    STATE(21973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31858), 1,
      anon_sym_RPAREN,
    STATE(21974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31860), 1,
      anon_sym_RPAREN,
    STATE(21975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31862), 1,
      anon_sym_end,
    STATE(21976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23362), 1,
      anon_sym_GT_RBRACE,
    STATE(21977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31864), 1,
      sym__lowercase_identifier,
    STATE(21978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31866), 1,
      anon_sym_with,
    STATE(21979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31868), 1,
      anon_sym_DOT_DOT,
    STATE(21980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31870), 1,
      anon_sym_DOT_DOT,
    STATE(21981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31872), 1,
      anon_sym_DOT_DOT,
    STATE(21982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31874), 1,
      anon_sym_SQUOTE2,
    STATE(21983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9949), 1,
      anon_sym_DASH_GT,
    STATE(21984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31876), 1,
      anon_sym_with,
    STATE(21985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31878), 1,
      anon_sym_DOT,
    STATE(21986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31880), 1,
      anon_sym_RPAREN,
    STATE(21987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31882), 1,
      anon_sym_RPAREN,
    STATE(21988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31884), 1,
      anon_sym_RBRACK,
    STATE(21989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31886), 1,
      anon_sym_DASH_GT,
    STATE(21990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31888), 1,
      anon_sym_RPAREN,
    STATE(21991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31890), 1,
      anon_sym_DQUOTE,
    STATE(21992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31892), 1,
      sym__lowercase_identifier,
    STATE(21993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31894), 1,
      anon_sym_DOT,
    STATE(21994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31896), 1,
      anon_sym_DOT_DOT,
    STATE(21995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31898), 1,
      anon_sym_DOT_DOT,
    STATE(21996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31900), 1,
      anon_sym_DOT_DOT,
    STATE(21997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31902), 1,
      anon_sym_RBRACE,
    STATE(21998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31904), 1,
      anon_sym_RPAREN,
    STATE(21999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31906), 1,
      anon_sym_end,
    STATE(22000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31908), 1,
      anon_sym_done,
    STATE(22001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31910), 1,
      anon_sym_RBRACK,
    STATE(22002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31912), 1,
      anon_sym_RBRACE,
    STATE(22003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31914), 1,
      anon_sym_RBRACK,
    STATE(22004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31916), 1,
      anon_sym_RBRACE,
    STATE(22005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31918), 1,
      anon_sym_in,
    STATE(22006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31920), 1,
      anon_sym_RBRACE,
    STATE(22007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31922), 1,
      anon_sym_DQUOTE,
    STATE(22008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31924), 1,
      anon_sym_DOT_DOT,
    STATE(22009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31926), 1,
      anon_sym_DOT_DOT,
    STATE(22010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31928), 1,
      anon_sym_DOT_DOT,
    STATE(22011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31930), 1,
      anon_sym_RPAREN,
    STATE(22012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31932), 1,
      anon_sym_RBRACK,
    STATE(22013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31934), 1,
      anon_sym_DASH_GT,
    STATE(22014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31936), 1,
      anon_sym_RBRACE,
    STATE(22015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31938), 1,
      anon_sym_RPAREN,
    STATE(22016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31940), 1,
      anon_sym_RPAREN,
    STATE(22017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31942), 1,
      anon_sym_RBRACK,
    STATE(22018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31944), 1,
      anon_sym_RPAREN,
    STATE(22019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31946), 1,
      anon_sym_DASH_GT,
    STATE(22020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31948), 1,
      anon_sym_RPAREN,
    STATE(22021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31950), 1,
      sym__lowercase_identifier,
    STATE(22022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31952), 1,
      anon_sym_DOT_DOT,
    STATE(22023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31954), 1,
      anon_sym_DOT_DOT,
    STATE(22024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31956), 1,
      anon_sym_DOT_DOT,
    STATE(22025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19734), 1,
      anon_sym_RPAREN,
    STATE(22026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21337), 1,
      anon_sym_end,
    STATE(22027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31958), 1,
      aux_sym_number_token1,
    STATE(22028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31960), 1,
      anon_sym_RBRACE,
    STATE(22029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31962), 1,
      anon_sym_RPAREN,
    STATE(22030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18417), 1,
      anon_sym_RPAREN,
    STATE(22031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27272), 1,
      anon_sym_RPAREN,
    STATE(22032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31964), 1,
      anon_sym_RPAREN,
    STATE(22033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3761), 1,
      anon_sym_RPAREN,
    STATE(22034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31966), 1,
      anon_sym_DASH_GT,
    STATE(22035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31968), 1,
      anon_sym_RBRACK,
    STATE(22036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31970), 1,
      anon_sym_DOT_DOT,
    STATE(22037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31972), 1,
      anon_sym_DOT_DOT,
    STATE(22038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31974), 1,
      anon_sym_DOT_DOT,
    STATE(22039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31976), 1,
      anon_sym_DASH_GT,
    STATE(22040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31978), 1,
      anon_sym_RPAREN,
    STATE(22041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31980), 1,
      anon_sym_RBRACE,
    STATE(22042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31982), 1,
      anon_sym_RBRACE,
    STATE(22043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31984), 1,
      anon_sym_RBRACE,
    STATE(22044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31986), 1,
      anon_sym_RPAREN,
    STATE(22045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31988), 1,
      anon_sym_LT_DASH,
    STATE(22046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31990), 1,
      anon_sym_in,
    STATE(22047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31992), 1,
      anon_sym_RBRACK,
    STATE(22048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27130), 1,
      anon_sym_RBRACE,
    STATE(22049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31994), 1,
      anon_sym_in,
    STATE(22050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31996), 1,
      anon_sym_DOT_DOT,
    STATE(22051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31998), 1,
      anon_sym_DOT_DOT,
    STATE(22052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32000), 1,
      anon_sym_DOT_DOT,
    STATE(22053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32002), 1,
      anon_sym_RPAREN,
    STATE(22054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32004), 1,
      anon_sym_in,
    STATE(22055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32006), 1,
      anon_sym_RPAREN,
    STATE(22056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32008), 1,
      anon_sym_in,
    STATE(22057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32010), 1,
      anon_sym_RPAREN,
    STATE(22058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32012), 1,
      anon_sym_RPAREN,
    STATE(22059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32006), 1,
      anon_sym_RBRACK,
    STATE(22060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    STATE(22061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32006), 1,
      anon_sym_RBRACE,
    STATE(22062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32014), 1,
      sym__lowercase_identifier,
    STATE(22063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32016), 1,
      anon_sym_DASH_GT,
    STATE(22064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32018), 1,
      anon_sym_DOT_DOT,
    STATE(22065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32020), 1,
      anon_sym_DOT_DOT,
    STATE(22066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32022), 1,
      anon_sym_DOT_DOT,
    STATE(22067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32024), 1,
      anon_sym_DASH_GT,
    STATE(22068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32026), 1,
      anon_sym_RBRACK,
    STATE(22069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32028), 1,
      anon_sym_SQUOTE2,
    STATE(22070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32030), 1,
      anon_sym_DASH_GT,
    STATE(22071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32032), 1,
      anon_sym_RBRACE,
    STATE(22072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32034), 1,
      anon_sym_in,
    STATE(22073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32036), 1,
      anon_sym_RPAREN,
    STATE(22074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32038), 1,
      anon_sym_DQUOTE,
    STATE(22075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32040), 1,
      anon_sym_LT_DASH,
    STATE(22076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_GT,
    STATE(22077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32042), 1,
      anon_sym_RBRACK,
    STATE(22078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32044), 1,
      anon_sym_DOT_DOT,
    STATE(22079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32046), 1,
      anon_sym_DOT_DOT,
    STATE(22080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32048), 1,
      anon_sym_DOT_DOT,
    STATE(22081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19338), 1,
      anon_sym_GT,
    STATE(22082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32050), 1,
      anon_sym_in,
    STATE(22083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32052), 1,
      anon_sym_SQUOTE2,
    STATE(22084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32054), 1,
      anon_sym_EQ,
    STATE(22085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32056), 1,
      anon_sym_done,
    STATE(22086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32058), 1,
      anon_sym_RBRACE,
    STATE(22087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32060), 1,
      anon_sym_DASH_GT,
    STATE(22088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32062), 1,
      anon_sym_DASH_GT,
    STATE(22089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32064), 1,
      anon_sym_RPAREN,
    STATE(22090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32066), 1,
      anon_sym_RBRACE,
    STATE(22091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32068), 1,
      anon_sym_RPAREN,
    STATE(22092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32070), 1,
      anon_sym_DOT_DOT,
    STATE(22093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32072), 1,
      anon_sym_DOT_DOT,
    STATE(22094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32074), 1,
      anon_sym_DOT_DOT,
    STATE(22095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32076), 1,
      anon_sym_RPAREN,
    STATE(22096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32078), 1,
      anon_sym_RBRACE,
    STATE(22097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32080), 1,
      anon_sym_RBRACE,
    STATE(22098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32082), 1,
      anon_sym_RBRACE,
    STATE(22099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32084), 1,
      anon_sym_RPAREN,
    STATE(22100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9947), 1,
      anon_sym_DASH_GT,
    STATE(22101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32086), 1,
      anon_sym_RBRACE,
    STATE(22102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32088), 1,
      anon_sym_RPAREN,
    STATE(22103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32090), 1,
      anon_sym_RPAREN,
    STATE(22104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32092), 1,
      anon_sym_RBRACK,
    STATE(22105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32094), 1,
      anon_sym_RBRACE,
    STATE(22106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32096), 1,
      anon_sym_DOT_DOT,
    STATE(22107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32098), 1,
      anon_sym_DOT_DOT,
    STATE(22108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32100), 1,
      anon_sym_DOT_DOT,
    STATE(22109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32102), 1,
      sym__lowercase_identifier,
    STATE(22110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32104), 1,
      anon_sym_DASH_GT,
    STATE(22111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32106), 1,
      anon_sym_RPAREN,
    STATE(22112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32108), 1,
      anon_sym_RPAREN,
    STATE(22113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32110), 1,
      anon_sym_RBRACE,
    STATE(22114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32112), 1,
      anon_sym_RPAREN,
    STATE(22115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32114), 1,
      anon_sym_RPAREN,
    STATE(22116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32116), 1,
      anon_sym_RBRACK,
    STATE(22117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32118), 1,
      anon_sym_RBRACK,
    STATE(22118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32120), 1,
      anon_sym_RBRACE,
    STATE(22119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32122), 1,
      anon_sym_RPAREN,
    STATE(22120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32124), 1,
      anon_sym_DOT_DOT,
    STATE(22121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32126), 1,
      anon_sym_DOT_DOT,
    STATE(22122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32128), 1,
      anon_sym_DOT_DOT,
    STATE(22123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32130), 1,
      anon_sym_RPAREN,
    STATE(22124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27172), 1,
      anon_sym_RBRACE,
    STATE(22125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32132), 1,
      anon_sym_RPAREN,
    STATE(22126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32134), 1,
      anon_sym_RBRACE,
    STATE(22127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32136), 1,
      anon_sym_with,
    STATE(22128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32138), 1,
      anon_sym_RPAREN,
    STATE(22129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32140), 1,
      anon_sym_RPAREN,
    STATE(22130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7847), 1,
      anon_sym_end,
    STATE(22131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32142), 1,
      anon_sym_RBRACE,
    STATE(22132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32144), 1,
      anon_sym_RBRACK,
    STATE(22133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32146), 1,
      anon_sym_DOT,
    STATE(22134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32148), 1,
      anon_sym_DOT_DOT,
    STATE(22135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32150), 1,
      anon_sym_DOT_DOT,
    STATE(22136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32152), 1,
      anon_sym_DOT_DOT,
    STATE(22137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32154), 1,
      anon_sym_RBRACE,
    STATE(22138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32156), 1,
      anon_sym_RPAREN,
    STATE(22139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32158), 1,
      anon_sym_RPAREN,
    STATE(22140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32160), 1,
      anon_sym_LT_DASH,
    STATE(22141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32162), 1,
      anon_sym_in,
    STATE(22142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32164), 1,
      sym__lowercase_identifier,
    STATE(22143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24978), 1,
      anon_sym_GT_RBRACE,
    STATE(22144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32166), 1,
      anon_sym_RPAREN,
    STATE(22145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32168), 1,
      anon_sym_RPAREN,
    STATE(22146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32170), 1,
      anon_sym_with,
    STATE(22147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32172), 1,
      anon_sym_in,
    STATE(22148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32174), 1,
      anon_sym_DOT_DOT,
    STATE(22149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32176), 1,
      anon_sym_DOT_DOT,
    STATE(22150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32178), 1,
      anon_sym_DOT_DOT,
    STATE(22151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32180), 1,
      anon_sym_RBRACK,
    STATE(22152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32182), 1,
      anon_sym_in,
    STATE(22153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32184), 1,
      anon_sym_with,
    STATE(22154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32186), 1,
      anon_sym_DOT,
    STATE(22155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32188), 1,
      anon_sym_in,
    STATE(22156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32190), 1,
      anon_sym_RBRACE,
    STATE(22157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32192), 1,
      anon_sym_RPAREN,
    STATE(22158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32194), 1,
      anon_sym_RPAREN,
    STATE(22159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32196), 1,
      anon_sym_RPAREN,
    STATE(22160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13188), 1,
      anon_sym_GT,
    STATE(22161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32198), 1,
      anon_sym_RPAREN,
    STATE(22162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32200), 1,
      anon_sym_DOT_DOT,
    STATE(22163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32202), 1,
      anon_sym_DOT_DOT,
    STATE(22164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32204), 1,
      anon_sym_DOT_DOT,
    STATE(22165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    STATE(22166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22128), 1,
      anon_sym_end,
    STATE(22167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32206), 1,
      anon_sym_RPAREN,
    STATE(22168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32208), 1,
      anon_sym_DQUOTE,
    STATE(22169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32210), 1,
      anon_sym_DOT_DOT,
    STATE(22170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32212), 1,
      anon_sym_DOT_DOT,
    STATE(22171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32214), 1,
      anon_sym_DOT_DOT,
    STATE(22172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32216), 1,
      anon_sym_RPAREN,
    STATE(22173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3749), 1,
      anon_sym_RPAREN,
    STATE(22174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32218), 1,
      anon_sym_RPAREN,
    STATE(22175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32220), 1,
      anon_sym_LT_DASH,
    STATE(22176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32222), 1,
      anon_sym_DOT_DOT,
    STATE(22177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32224), 1,
      anon_sym_DOT_DOT,
    STATE(22178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32226), 1,
      anon_sym_DOT_DOT,
    STATE(22179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32228), 1,
      anon_sym_RBRACE,
    STATE(22180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32230), 1,
      anon_sym_with,
    STATE(22181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32232), 1,
      anon_sym_DOT_DOT,
    STATE(22182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32234), 1,
      anon_sym_DOT_DOT,
    STATE(22183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32236), 1,
      anon_sym_DOT_DOT,
    STATE(22184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32238), 1,
      anon_sym_LT_DASH,
    STATE(22185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32240), 1,
      anon_sym_with,
    STATE(22186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32242), 1,
      anon_sym_DOT_DOT,
    STATE(22187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32244), 1,
      anon_sym_DOT_DOT,
    STATE(22188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32246), 1,
      anon_sym_DOT_DOT,
    STATE(22189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32248), 1,
      anon_sym_in,
    STATE(22190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32250), 1,
      anon_sym_in,
    STATE(22191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32252), 1,
      anon_sym_DOT_DOT,
    STATE(22192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32254), 1,
      anon_sym_DOT_DOT,
    STATE(22193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32256), 1,
      anon_sym_DOT_DOT,
    STATE(22194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32258), 1,
      anon_sym_RBRACE,
    STATE(22195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32260), 1,
      anon_sym_in,
    STATE(22196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32262), 1,
      anon_sym_DOT_DOT,
    STATE(22197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32264), 1,
      anon_sym_DOT_DOT,
    STATE(22198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32266), 1,
      anon_sym_DOT_DOT,
    STATE(22199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32268), 1,
      anon_sym_DOT,
    STATE(22200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32270), 1,
      anon_sym_in,
    STATE(22201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32272), 1,
      anon_sym_DOT_DOT,
    STATE(22202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32274), 1,
      anon_sym_DOT_DOT,
    STATE(22203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32276), 1,
      anon_sym_DOT_DOT,
    STATE(22204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32278), 1,
      anon_sym_RPAREN,
    STATE(22205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32280), 1,
      anon_sym_RPAREN,
    STATE(22206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32282), 1,
      anon_sym_DOT_DOT,
    STATE(22207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32284), 1,
      anon_sym_DOT_DOT,
    STATE(22208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32286), 1,
      anon_sym_DOT_DOT,
    STATE(22209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10025), 1,
      anon_sym_DASH_GT,
    STATE(22210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32288), 1,
      anon_sym_SQUOTE2,
    STATE(22211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32290), 1,
      anon_sym_DOT_DOT,
    STATE(22212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32292), 1,
      anon_sym_DOT_DOT,
    STATE(22213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32294), 1,
      anon_sym_DOT_DOT,
    STATE(22214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32296), 1,
      anon_sym_DASH_GT,
    STATE(22215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32298), 1,
      anon_sym_end,
    STATE(22216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32300), 1,
      anon_sym_DOT_DOT,
    STATE(22217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32302), 1,
      anon_sym_DOT_DOT,
    STATE(22218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32304), 1,
      anon_sym_DOT_DOT,
    STATE(22219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32306), 1,
      anon_sym_DASH_GT,
    STATE(22220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32308), 1,
      anon_sym_RBRACK,
    STATE(22221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32310), 1,
      anon_sym_DOT_DOT,
    STATE(22222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32312), 1,
      anon_sym_DOT_DOT,
    STATE(22223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32314), 1,
      anon_sym_DOT_DOT,
    STATE(22224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19744), 1,
      anon_sym_RPAREN,
    STATE(22225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32316), 1,
      anon_sym_RBRACE,
    STATE(22226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32318), 1,
      anon_sym_DOT_DOT,
    STATE(22227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32320), 1,
      anon_sym_DOT_DOT,
    STATE(22228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32322), 1,
      anon_sym_DOT_DOT,
    STATE(22229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32324), 1,
      anon_sym_DASH_GT,
    STATE(22230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32326), 1,
      anon_sym_DQUOTE,
    STATE(22231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32328), 1,
      anon_sym_DOT_DOT,
    STATE(22232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32330), 1,
      anon_sym_DOT_DOT,
    STATE(22233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32332), 1,
      anon_sym_DOT_DOT,
    STATE(22234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32334), 1,
      anon_sym_RBRACK,
    STATE(22235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10212), 1,
      anon_sym_DASH_GT,
    STATE(22236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32336), 1,
      anon_sym_DOT_DOT,
    STATE(22237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32338), 1,
      anon_sym_DOT_DOT,
    STATE(22238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32340), 1,
      anon_sym_DOT_DOT,
    STATE(22239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32342), 1,
      anon_sym_RBRACE,
    STATE(22240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32344), 1,
      anon_sym_RBRACE,
    STATE(22241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21819), 1,
      anon_sym_end,
    STATE(22242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32346), 1,
      anon_sym_RPAREN,
    STATE(22243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32348), 1,
      anon_sym_DASH_GT,
    STATE(22244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32350), 1,
      anon_sym_RBRACK,
    STATE(22245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18265), 1,
      anon_sym_RPAREN,
    STATE(22246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32352), 1,
      anon_sym_RPAREN,
    STATE(22247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32354), 1,
      anon_sym_RPAREN,
    STATE(22248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32356), 1,
      anon_sym_RPAREN,
    STATE(22249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32358), 1,
      anon_sym_RPAREN,
    STATE(22250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32360), 1,
      anon_sym_RPAREN,
    STATE(22251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32362), 1,
      anon_sym_RPAREN,
    STATE(22252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32362), 1,
      anon_sym_RBRACK,
    STATE(22253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32362), 1,
      anon_sym_RBRACE,
    STATE(22254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32364), 1,
      anon_sym_DASH_GT,
    STATE(22255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32366), 1,
      anon_sym_DASH_GT,
    STATE(22256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32368), 1,
      anon_sym_RPAREN,
    STATE(22257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32370), 1,
      anon_sym_DASH_GT,
    STATE(22258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32372), 1,
      anon_sym_RBRACK,
    STATE(22259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32374), 1,
      anon_sym_RPAREN,
    STATE(22260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32376), 1,
      anon_sym_RBRACE,
    STATE(22261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32378), 1,
      anon_sym_of,
    STATE(22262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32380), 1,
      anon_sym_end,
    STATE(22263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32382), 1,
      anon_sym_end,
    STATE(22264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32384), 1,
      sym_indexing_operator,
    STATE(22265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32386), 1,
      anon_sym_PLUS_EQ,
    STATE(22266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32388), 1,
      anon_sym_RPAREN,
    STATE(22267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32390), 1,
      anon_sym_SQUOTE2,
    STATE(22268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32392), 1,
      anon_sym_RPAREN,
    STATE(22269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27324), 1,
      anon_sym_RBRACE,
    STATE(22270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32394), 1,
      anon_sym_PLUS_EQ,
    STATE(22271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32396), 1,
      anon_sym_RBRACK,
    STATE(22272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3765), 1,
      anon_sym_RPAREN,
    STATE(22273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32398), 1,
      anon_sym_in,
    STATE(22274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32400), 1,
      anon_sym_DQUOTE,
    STATE(22275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32402), 1,
      anon_sym_end,
    STATE(22276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32404), 1,
      anon_sym_RBRACE,
    STATE(22277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32406), 1,
      anon_sym_RBRACE,
    STATE(22278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32408), 1,
      sym__lowercase_identifier,
    STATE(22279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32410), 1,
      sym__lowercase_identifier,
    STATE(22280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32412), 1,
      anon_sym_RPAREN,
    STATE(22281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32414), 1,
      sym__lowercase_identifier,
    STATE(22282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32416), 1,
      anon_sym_RBRACE,
    STATE(22283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32418), 1,
      anon_sym_of,
    STATE(22284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32420), 1,
      anon_sym_SQUOTE2,
    STATE(22285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32422), 1,
      anon_sym_in,
    STATE(22286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32424), 1,
      sym__lowercase_identifier,
    STATE(22287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14679), 1,
      anon_sym_DASH_GT,
    STATE(22288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32426), 1,
      sym__lowercase_identifier,
    STATE(22289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32428), 1,
      anon_sym_LT_DASH,
    STATE(22290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32430), 1,
      sym__lowercase_identifier,
    STATE(22291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18313), 1,
      anon_sym_RPAREN,
    STATE(22292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32432), 1,
      sym__lowercase_identifier,
    STATE(22293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32434), 1,
      anon_sym_DQUOTE,
    STATE(22294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32436), 1,
      anon_sym_RPAREN,
    STATE(22295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32438), 1,
      anon_sym_RPAREN,
    STATE(22296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32440), 1,
      anon_sym_RBRACK,
    STATE(22297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32442), 1,
      anon_sym_RPAREN,
    STATE(22298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32444), 1,
      sym_indexing_operator,
    STATE(22299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32446), 1,
      anon_sym_PLUS_EQ,
    STATE(22300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32448), 1,
      anon_sym_PLUS_EQ,
    STATE(22301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32450), 1,
      anon_sym_RBRACE,
    STATE(22302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32452), 1,
      anon_sym_RPAREN,
    STATE(22303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32454), 1,
      sym__lowercase_identifier,
    STATE(22304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32456), 1,
      anon_sym_DASH_GT,
    STATE(22305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32458), 1,
      anon_sym_RPAREN,
    STATE(22306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25100), 1,
      anon_sym_GT_RBRACE,
    STATE(22307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10156), 1,
      anon_sym_DASH_GT,
    STATE(22308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10075), 1,
      anon_sym_DASH_GT,
    STATE(22309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32460), 1,
      anon_sym_RBRACK,
    STATE(22310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32462), 1,
      anon_sym_in,
    STATE(22311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21282), 1,
      anon_sym_end,
    STATE(22312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32464), 1,
      anon_sym_RBRACK,
    STATE(22313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32466), 1,
      anon_sym_SQUOTE2,
    STATE(22314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32468), 1,
      anon_sym_DQUOTE,
    STATE(22315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32470), 1,
      anon_sym_DOT,
    STATE(22316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32472), 1,
      sym_indexing_operator,
    STATE(22317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32474), 1,
      anon_sym_PLUS_EQ,
    STATE(22318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32476), 1,
      anon_sym_PLUS_EQ,
    STATE(22319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32478), 1,
      anon_sym_RBRACE,
    STATE(22320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32480), 1,
      anon_sym_RPAREN,
    STATE(22321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32482), 1,
      sym__lowercase_identifier,
    STATE(22322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32484), 1,
      anon_sym_RBRACE,
    STATE(22323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32486), 1,
      anon_sym_DASH_GT,
    STATE(22324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32488), 1,
      anon_sym_RPAREN,
    STATE(22325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32490), 1,
      anon_sym_RBRACK,
    STATE(22326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32492), 1,
      anon_sym_RBRACE,
    STATE(22327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32494), 1,
      sym__lowercase_identifier,
    STATE(22328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32496), 1,
      anon_sym_DOT,
    STATE(22329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32498), 1,
      anon_sym_end,
    STATE(22330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32500), 1,
      sym_indexing_operator,
    STATE(22331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32502), 1,
      anon_sym_RBRACK,
    STATE(22332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32504), 1,
      sym__lowercase_identifier,
    STATE(22333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32506), 1,
      anon_sym_RBRACE,
    STATE(22334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32508), 1,
      anon_sym_with,
    STATE(22335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32510), 1,
      anon_sym_RBRACE,
    STATE(22336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32512), 1,
      anon_sym_in,
    STATE(22337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18425), 1,
      anon_sym_RPAREN,
    STATE(22338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    STATE(22339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32514), 1,
      anon_sym_DOT,
    STATE(22340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32516), 1,
      sym_indexing_operator,
    STATE(22341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32518), 1,
      anon_sym_type,
    STATE(22342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32520), 1,
      anon_sym_with,
    STATE(22343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32522), 1,
      sym_indexing_operator,
    STATE(22344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32524), 1,
      anon_sym_DOT,
    STATE(22345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32526), 1,
      anon_sym_DASH_GT,
    STATE(22346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32528), 1,
      sym_indexing_operator,
    STATE(22347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32530), 1,
      anon_sym_DASH_GT,
    STATE(22348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32532), 1,
      anon_sym_RPAREN,
    STATE(22349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32534), 1,
      sym_indexing_operator,
    STATE(22350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32536), 1,
      sym_indexing_operator,
    STATE(22351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32538), 1,
      sym_indexing_operator,
    STATE(22352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32540), 1,
      sym_indexing_operator,
    STATE(22353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32542), 1,
      sym_indexing_operator,
    STATE(22354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32544), 1,
      sym_indexing_operator,
    STATE(22355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32546), 1,
      sym_indexing_operator,
    STATE(22356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32548), 1,
      sym_indexing_operator,
    STATE(22357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32550), 1,
      sym_indexing_operator,
    STATE(22358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32552), 1,
      sym_indexing_operator,
    STATE(22359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32554), 1,
      sym_indexing_operator,
    STATE(22360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32556), 1,
      sym_indexing_operator,
    STATE(22361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32558), 1,
      sym_indexing_operator,
    STATE(22362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32560), 1,
      sym_indexing_operator,
    STATE(22363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32562), 1,
      sym_indexing_operator,
    STATE(22364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32564), 1,
      sym_indexing_operator,
    STATE(22365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32566), 1,
      sym_indexing_operator,
    STATE(22366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32568), 1,
      sym_indexing_operator,
    STATE(22367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32570), 1,
      sym_indexing_operator,
    STATE(22368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32572), 1,
      sym_indexing_operator,
    STATE(22369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32574), 1,
      sym_indexing_operator,
    STATE(22370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32576), 1,
      sym_indexing_operator,
    STATE(22371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32578), 1,
      sym_indexing_operator,
    STATE(22372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32580), 1,
      sym_indexing_operator,
    STATE(22373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32582), 1,
      sym_indexing_operator,
    STATE(22374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32584), 1,
      sym_indexing_operator,
    STATE(22375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32586), 1,
      sym_indexing_operator,
    STATE(22376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32588), 1,
      sym_indexing_operator,
    STATE(22377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32590), 1,
      sym_indexing_operator,
    STATE(22378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32592), 1,
      sym_indexing_operator,
    STATE(22379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32594), 1,
      sym_indexing_operator,
    STATE(22380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32596), 1,
      sym_indexing_operator,
    STATE(22381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32598), 1,
      sym_indexing_operator,
    STATE(22382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32600), 1,
      sym_indexing_operator,
    STATE(22383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32602), 1,
      sym_indexing_operator,
    STATE(22384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32604), 1,
      sym_indexing_operator,
    STATE(22385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32606), 1,
      sym_indexing_operator,
    STATE(22386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32608), 1,
      sym_indexing_operator,
    STATE(22387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32610), 1,
      sym_indexing_operator,
    STATE(22388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32612), 1,
      sym_indexing_operator,
    STATE(22389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32614), 1,
      sym_indexing_operator,
    STATE(22390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32616), 1,
      sym_indexing_operator,
    STATE(22391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32618), 1,
      sym_indexing_operator,
    STATE(22392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32620), 1,
      sym_indexing_operator,
    STATE(22393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32622), 1,
      sym_indexing_operator,
    STATE(22394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32624), 1,
      sym_indexing_operator,
    STATE(22395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32626), 1,
      sym_indexing_operator,
    STATE(22396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32628), 1,
      sym_indexing_operator,
    STATE(22397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32630), 1,
      sym_indexing_operator,
    STATE(22398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32632), 1,
      sym_indexing_operator,
    STATE(22399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32634), 1,
      sym_indexing_operator,
    STATE(22400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32636), 1,
      sym_indexing_operator,
    STATE(22401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32638), 1,
      sym_indexing_operator,
    STATE(22402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32640), 1,
      sym_indexing_operator,
    STATE(22403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32642), 1,
      sym_indexing_operator,
    STATE(22404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32644), 1,
      sym_indexing_operator,
    STATE(22405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32646), 1,
      anon_sym_RPAREN,
    STATE(22406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32648), 1,
      anon_sym_EQ,
    STATE(22407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32650), 1,
      anon_sym_RBRACE,
    STATE(22408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32652), 1,
      anon_sym_EQ,
    STATE(22409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32654), 1,
      anon_sym_type,
    STATE(22410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22280), 1,
      anon_sym_GT_RBRACE,
    STATE(22411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32656), 1,
      anon_sym_in,
    STATE(22412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3679), 1,
      anon_sym_RPAREN,
    STATE(22413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32658), 1,
      sym__lowercase_identifier,
    STATE(22414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22310), 1,
      anon_sym_GT_RBRACE,
    STATE(22415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32660), 1,
      anon_sym_RBRACE,
    STATE(22416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32662), 1,
      anon_sym_RPAREN,
    STATE(22417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32664), 1,
      anon_sym_RBRACK,
    STATE(22418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32666), 1,
      anon_sym_RBRACE,
    STATE(22419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32668), 1,
      anon_sym_RBRACE,
    STATE(22420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32670), 1,
      anon_sym_RPAREN,
    STATE(22421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32672), 1,
      anon_sym_RPAREN,
    STATE(22422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32674), 1,
      anon_sym_RPAREN,
    STATE(22423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32676), 1,
      anon_sym_RBRACK,
    STATE(22424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32678), 1,
      anon_sym_RPAREN,
    STATE(22425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32680), 1,
      anon_sym_EQ,
    STATE(22426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32682), 1,
      anon_sym_EQ,
    STATE(22427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32684), 1,
      anon_sym_RPAREN,
    STATE(22428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10047), 1,
      anon_sym_DASH_GT,
    STATE(22429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32686), 1,
      anon_sym_with,
    STATE(22430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15487), 1,
      anon_sym_DASH_GT,
    STATE(22431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32688), 1,
      anon_sym_with,
    STATE(22432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32690), 1,
      anon_sym_RPAREN,
    STATE(22433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32692), 1,
      anon_sym_EQ,
    STATE(22434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32694), 1,
      anon_sym_EQ,
    STATE(22435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32696), 1,
      anon_sym_RPAREN,
    STATE(22436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32698), 1,
      anon_sym_RBRACK,
    STATE(22437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32700), 1,
      anon_sym_RBRACE,
    STATE(22438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32702), 1,
      anon_sym_RPAREN,
    STATE(22439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32704), 1,
      anon_sym_RPAREN,
    STATE(22440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32706), 1,
      anon_sym_end,
    STATE(22441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32708), 1,
      sym__lowercase_identifier,
    STATE(22442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9983), 1,
      anon_sym_DASH_GT,
    STATE(22443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32710), 1,
      anon_sym_in,
    STATE(22444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32712), 1,
      anon_sym_RBRACK,
    STATE(22445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32714), 1,
      anon_sym_RPAREN,
    STATE(22446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32716), 1,
      sym__uppercase_identifier,
    STATE(22447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32718), 1,
      anon_sym_RBRACE,
    STATE(22448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32720), 1,
      anon_sym_RPAREN,
    STATE(22449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32722), 1,
      anon_sym_DOT,
    STATE(22450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32724), 1,
      anon_sym_RPAREN,
    STATE(22451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19234), 1,
      anon_sym_GT,
    STATE(22452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32726), 1,
      anon_sym_DOT,
    STATE(22453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27444), 1,
      anon_sym_RBRACE,
    STATE(22454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32728), 1,
      anon_sym_RPAREN,
    STATE(22455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32730), 1,
      anon_sym_RBRACE,
    STATE(22456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19758), 1,
      anon_sym_RPAREN,
    STATE(22457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32732), 1,
      aux_sym_number_token1,
    STATE(22458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32734), 1,
      anon_sym_end,
    STATE(22459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32736), 1,
      anon_sym_RPAREN,
    STATE(22460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18178), 1,
      anon_sym_RPAREN,
    STATE(22461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21018), 1,
      sym__uppercase_identifier,
    STATE(22462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32738), 1,
      anon_sym_with,
    STATE(22463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32740), 1,
      anon_sym_RPAREN,
    STATE(22464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32742), 1,
      anon_sym_RBRACK,
    STATE(22465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32744), 1,
      anon_sym_RBRACE,
    STATE(22466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32746), 1,
      anon_sym_in,
    STATE(22467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32748), 1,
      anon_sym_DASH_GT,
    STATE(22468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_RPAREN,
    STATE(22469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13024), 1,
      anon_sym_GT,
    STATE(22470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13090), 1,
      anon_sym_GT,
    STATE(22471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32750), 1,
      anon_sym_RPAREN,
    STATE(22472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32752), 1,
      anon_sym_GT,
    STATE(22473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32754), 1,
      anon_sym_with,
    STATE(22474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32756), 1,
      anon_sym_LT_DASH,
    STATE(22475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32758), 1,
      anon_sym_RPAREN,
    STATE(22476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32760), 1,
      anon_sym_RBRACK,
    STATE(22477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32762), 1,
      anon_sym_DASH_GT,
    STATE(22478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32764), 1,
      anon_sym_in,
    STATE(22479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32766), 1,
      anon_sym_in,
    STATE(22480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32768), 1,
      anon_sym_DASH_GT,
    STATE(22481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32770), 1,
      anon_sym_in,
    STATE(22482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32772), 1,
      anon_sym_DOT,
    STATE(22483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32774), 1,
      anon_sym_RPAREN,
    STATE(22484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32776), 1,
      anon_sym_RPAREN,
    STATE(22485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32778), 1,
      anon_sym_in,
    STATE(22486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32780), 1,
      anon_sym_RPAREN,
    STATE(22487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3677), 1,
      anon_sym_RPAREN,
    STATE(22488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32782), 1,
      anon_sym_DASH_GT,
    STATE(22489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32784), 1,
      anon_sym_RPAREN,
    STATE(22490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32786), 1,
      anon_sym_RPAREN,
    STATE(22491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32788), 1,
      anon_sym_in,
    STATE(22492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32790), 1,
      anon_sym_RBRACE,
    STATE(22493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32792), 1,
      anon_sym_DASH_GT,
    STATE(22494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32786), 1,
      anon_sym_RBRACK,
    STATE(22495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32786), 1,
      anon_sym_RBRACE,
    STATE(22496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18214), 1,
      anon_sym_RPAREN,
    STATE(22497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3767), 1,
      anon_sym_RPAREN,
    STATE(22498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32794), 1,
      anon_sym_RBRACE,
    STATE(22499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32796), 1,
      anon_sym_RBRACE,
    STATE(22500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32798), 1,
      anon_sym_RBRACE,
    STATE(22501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32800), 1,
      anon_sym_RBRACK,
    STATE(22502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32802), 1,
      anon_sym_RBRACE,
    STATE(22503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32804), 1,
      anon_sym_RPAREN,
    STATE(22504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32806), 1,
      anon_sym_RBRACK,
    STATE(22505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32808), 1,
      anon_sym_RPAREN,
    STATE(22506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32810), 1,
      anon_sym_RPAREN,
    STATE(22507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32812), 1,
      anon_sym_in,
    STATE(22508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32814), 1,
      anon_sym_RBRACE,
    STATE(22509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26640), 1,
      anon_sym_RBRACE,
    STATE(22510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32816), 1,
      anon_sym_RBRACK,
    STATE(22511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25168), 1,
      anon_sym_GT_RBRACE,
    STATE(22512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32818), 1,
      anon_sym_SQUOTE2,
    STATE(22513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22244), 1,
      anon_sym_end,
    STATE(22514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32820), 1,
      anon_sym_DQUOTE,
    STATE(22515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32822), 1,
      anon_sym_RPAREN,
    STATE(22516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32824), 1,
      anon_sym_RBRACK,
    STATE(22517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32826), 1,
      anon_sym_RBRACE,
    STATE(22518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32828), 1,
      anon_sym_DOT,
    STATE(22519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32830), 1,
      anon_sym_SQUOTE2,
    STATE(22520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32832), 1,
      anon_sym_RPAREN,
    STATE(22521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32834), 1,
      anon_sym_in,
    STATE(22522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32836), 1,
      anon_sym_RBRACE,
    STATE(22523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32838), 1,
      anon_sym_LT_DASH,
    STATE(22524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32840), 1,
      anon_sym_DQUOTE,
    STATE(22525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32842), 1,
      anon_sym_RPAREN,
    STATE(22526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32844), 1,
      anon_sym_RPAREN,
    STATE(22527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32846), 1,
      anon_sym_with,
    STATE(22528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32848), 1,
      anon_sym_in,
    STATE(22529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32850), 1,
      anon_sym_LT_DASH,
    STATE(22530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32852), 1,
      anon_sym_RPAREN,
    STATE(22531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32854), 1,
      sym__lowercase_identifier,
    STATE(22532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32856), 1,
      anon_sym_RBRACK,
    STATE(22533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32858), 1,
      anon_sym_with,
    STATE(22534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32860), 1,
      anon_sym_DOT,
    STATE(22535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32862), 1,
      anon_sym_GT,
    STATE(22536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30454), 1,
      anon_sym_RBRACK,
    STATE(22537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849324] = 1,
    ACTIONS(32864), 1,
      ts_builtin_sym_end,
  [849328] = 1,
    ACTIONS(32866), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(3324)] = 0,
  [SMALL_STATE(3325)] = 135,
  [SMALL_STATE(3326)] = 270,
  [SMALL_STATE(3327)] = 405,
  [SMALL_STATE(3328)] = 482,
  [SMALL_STATE(3329)] = 617,
  [SMALL_STATE(3330)] = 752,
  [SMALL_STATE(3331)] = 827,
  [SMALL_STATE(3332)] = 902,
  [SMALL_STATE(3333)] = 977,
  [SMALL_STATE(3334)] = 1052,
  [SMALL_STATE(3335)] = 1127,
  [SMALL_STATE(3336)] = 1202,
  [SMALL_STATE(3337)] = 1337,
  [SMALL_STATE(3338)] = 1412,
  [SMALL_STATE(3339)] = 1547,
  [SMALL_STATE(3340)] = 1622,
  [SMALL_STATE(3341)] = 1697,
  [SMALL_STATE(3342)] = 1772,
  [SMALL_STATE(3343)] = 1907,
  [SMALL_STATE(3344)] = 1982,
  [SMALL_STATE(3345)] = 2057,
  [SMALL_STATE(3346)] = 2132,
  [SMALL_STATE(3347)] = 2207,
  [SMALL_STATE(3348)] = 2284,
  [SMALL_STATE(3349)] = 2419,
  [SMALL_STATE(3350)] = 2494,
  [SMALL_STATE(3351)] = 2569,
  [SMALL_STATE(3352)] = 2646,
  [SMALL_STATE(3353)] = 2721,
  [SMALL_STATE(3354)] = 2796,
  [SMALL_STATE(3355)] = 2873,
  [SMALL_STATE(3356)] = 2948,
  [SMALL_STATE(3357)] = 3023,
  [SMALL_STATE(3358)] = 3158,
  [SMALL_STATE(3359)] = 3233,
  [SMALL_STATE(3360)] = 3368,
  [SMALL_STATE(3361)] = 3443,
  [SMALL_STATE(3362)] = 3578,
  [SMALL_STATE(3363)] = 3713,
  [SMALL_STATE(3364)] = 3848,
  [SMALL_STATE(3365)] = 3923,
  [SMALL_STATE(3366)] = 4058,
  [SMALL_STATE(3367)] = 4133,
  [SMALL_STATE(3368)] = 4208,
  [SMALL_STATE(3369)] = 4343,
  [SMALL_STATE(3370)] = 4418,
  [SMALL_STATE(3371)] = 4553,
  [SMALL_STATE(3372)] = 4688,
  [SMALL_STATE(3373)] = 4811,
  [SMALL_STATE(3374)] = 4888,
  [SMALL_STATE(3375)] = 4965,
  [SMALL_STATE(3376)] = 5040,
  [SMALL_STATE(3377)] = 5172,
  [SMALL_STATE(3378)] = 5302,
  [SMALL_STATE(3379)] = 5376,
  [SMALL_STATE(3380)] = 5450,
  [SMALL_STATE(3381)] = 5524,
  [SMALL_STATE(3382)] = 5598,
  [SMALL_STATE(3383)] = 5730,
  [SMALL_STATE(3384)] = 5862,
  [SMALL_STATE(3385)] = 5936,
  [SMALL_STATE(3386)] = 6010,
  [SMALL_STATE(3387)] = 6142,
  [SMALL_STATE(3388)] = 6216,
  [SMALL_STATE(3389)] = 6346,
  [SMALL_STATE(3390)] = 6420,
  [SMALL_STATE(3391)] = 6494,
  [SMALL_STATE(3392)] = 6568,
  [SMALL_STATE(3393)] = 6642,
  [SMALL_STATE(3394)] = 6716,
  [SMALL_STATE(3395)] = 6790,
  [SMALL_STATE(3396)] = 6864,
  [SMALL_STATE(3397)] = 6938,
  [SMALL_STATE(3398)] = 7012,
  [SMALL_STATE(3399)] = 7086,
  [SMALL_STATE(3400)] = 7216,
  [SMALL_STATE(3401)] = 7290,
  [SMALL_STATE(3402)] = 7420,
  [SMALL_STATE(3403)] = 7494,
  [SMALL_STATE(3404)] = 7626,
  [SMALL_STATE(3405)] = 7758,
  [SMALL_STATE(3406)] = 7832,
  [SMALL_STATE(3407)] = 7964,
  [SMALL_STATE(3408)] = 8040,
  [SMALL_STATE(3409)] = 8114,
  [SMALL_STATE(3410)] = 8244,
  [SMALL_STATE(3411)] = 8376,
  [SMALL_STATE(3412)] = 8508,
  [SMALL_STATE(3413)] = 8640,
  [SMALL_STATE(3414)] = 8772,
  [SMALL_STATE(3415)] = 8846,
  [SMALL_STATE(3416)] = 8920,
  [SMALL_STATE(3417)] = 9000,
  [SMALL_STATE(3418)] = 9074,
  [SMALL_STATE(3419)] = 9148,
  [SMALL_STATE(3420)] = 9278,
  [SMALL_STATE(3421)] = 9352,
  [SMALL_STATE(3422)] = 9426,
  [SMALL_STATE(3423)] = 9502,
  [SMALL_STATE(3424)] = 9576,
  [SMALL_STATE(3425)] = 9650,
  [SMALL_STATE(3426)] = 9724,
  [SMALL_STATE(3427)] = 9798,
  [SMALL_STATE(3428)] = 9872,
  [SMALL_STATE(3429)] = 9946,
  [SMALL_STATE(3430)] = 10076,
  [SMALL_STATE(3431)] = 10150,
  [SMALL_STATE(3432)] = 10224,
  [SMALL_STATE(3433)] = 10298,
  [SMALL_STATE(3434)] = 10372,
  [SMALL_STATE(3435)] = 10504,
  [SMALL_STATE(3436)] = 10636,
  [SMALL_STATE(3437)] = 10710,
  [SMALL_STATE(3438)] = 10840,
  [SMALL_STATE(3439)] = 10972,
  [SMALL_STATE(3440)] = 11102,
  [SMALL_STATE(3441)] = 11176,
  [SMALL_STATE(3442)] = 11306,
  [SMALL_STATE(3443)] = 11380,
  [SMALL_STATE(3444)] = 11454,
  [SMALL_STATE(3445)] = 11528,
  [SMALL_STATE(3446)] = 11602,
  [SMALL_STATE(3447)] = 11676,
  [SMALL_STATE(3448)] = 11808,
  [SMALL_STATE(3449)] = 11888,
  [SMALL_STATE(3450)] = 12018,
  [SMALL_STATE(3451)] = 12150,
  [SMALL_STATE(3452)] = 12280,
  [SMALL_STATE(3453)] = 12412,
  [SMALL_STATE(3454)] = 12486,
  [SMALL_STATE(3455)] = 12560,
  [SMALL_STATE(3456)] = 12634,
  [SMALL_STATE(3457)] = 12708,
  [SMALL_STATE(3458)] = 12840,
  [SMALL_STATE(3459)] = 12914,
  [SMALL_STATE(3460)] = 13044,
  [SMALL_STATE(3461)] = 13118,
  [SMALL_STATE(3462)] = 13192,
  [SMALL_STATE(3463)] = 13324,
  [SMALL_STATE(3464)] = 13398,
  [SMALL_STATE(3465)] = 13528,
  [SMALL_STATE(3466)] = 13602,
  [SMALL_STATE(3467)] = 13734,
  [SMALL_STATE(3468)] = 13866,
  [SMALL_STATE(3469)] = 13940,
  [SMALL_STATE(3470)] = 14070,
  [SMALL_STATE(3471)] = 14144,
  [SMALL_STATE(3472)] = 14218,
  [SMALL_STATE(3473)] = 14350,
  [SMALL_STATE(3474)] = 14482,
  [SMALL_STATE(3475)] = 14556,
  [SMALL_STATE(3476)] = 14630,
  [SMALL_STATE(3477)] = 14710,
  [SMALL_STATE(3478)] = 14784,
  [SMALL_STATE(3479)] = 14858,
  [SMALL_STATE(3480)] = 14988,
  [SMALL_STATE(3481)] = 15062,
  [SMALL_STATE(3482)] = 15136,
  [SMALL_STATE(3483)] = 15210,
  [SMALL_STATE(3484)] = 15342,
  [SMALL_STATE(3485)] = 15474,
  [SMALL_STATE(3486)] = 15548,
  [SMALL_STATE(3487)] = 15622,
  [SMALL_STATE(3488)] = 15696,
  [SMALL_STATE(3489)] = 15770,
  [SMALL_STATE(3490)] = 15900,
  [SMALL_STATE(3491)] = 15974,
  [SMALL_STATE(3492)] = 16048,
  [SMALL_STATE(3493)] = 16180,
  [SMALL_STATE(3494)] = 16310,
  [SMALL_STATE(3495)] = 16384,
  [SMALL_STATE(3496)] = 16516,
  [SMALL_STATE(3497)] = 16648,
  [SMALL_STATE(3498)] = 16722,
  [SMALL_STATE(3499)] = 16796,
  [SMALL_STATE(3500)] = 16926,
  [SMALL_STATE(3501)] = 17056,
  [SMALL_STATE(3502)] = 17130,
  [SMALL_STATE(3503)] = 17204,
  [SMALL_STATE(3504)] = 17278,
  [SMALL_STATE(3505)] = 17352,
  [SMALL_STATE(3506)] = 17426,
  [SMALL_STATE(3507)] = 17558,
  [SMALL_STATE(3508)] = 17634,
  [SMALL_STATE(3509)] = 17708,
  [SMALL_STATE(3510)] = 17838,
  [SMALL_STATE(3511)] = 17912,
  [SMALL_STATE(3512)] = 17986,
  [SMALL_STATE(3513)] = 18118,
  [SMALL_STATE(3514)] = 18192,
  [SMALL_STATE(3515)] = 18266,
  [SMALL_STATE(3516)] = 18398,
  [SMALL_STATE(3517)] = 18472,
  [SMALL_STATE(3518)] = 18546,
  [SMALL_STATE(3519)] = 18620,
  [SMALL_STATE(3520)] = 18750,
  [SMALL_STATE(3521)] = 18880,
  [SMALL_STATE(3522)] = 18954,
  [SMALL_STATE(3523)] = 19028,
  [SMALL_STATE(3524)] = 19160,
  [SMALL_STATE(3525)] = 19290,
  [SMALL_STATE(3526)] = 19364,
  [SMALL_STATE(3527)] = 19438,
  [SMALL_STATE(3528)] = 19514,
  [SMALL_STATE(3529)] = 19588,
  [SMALL_STATE(3530)] = 19718,
  [SMALL_STATE(3531)] = 19792,
  [SMALL_STATE(3532)] = 19866,
  [SMALL_STATE(3533)] = 19940,
  [SMALL_STATE(3534)] = 20014,
  [SMALL_STATE(3535)] = 20088,
  [SMALL_STATE(3536)] = 20164,
  [SMALL_STATE(3537)] = 20238,
  [SMALL_STATE(3538)] = 20370,
  [SMALL_STATE(3539)] = 20500,
  [SMALL_STATE(3540)] = 20632,
  [SMALL_STATE(3541)] = 20706,
  [SMALL_STATE(3542)] = 20780,
  [SMALL_STATE(3543)] = 20856,
  [SMALL_STATE(3544)] = 20988,
  [SMALL_STATE(3545)] = 21064,
  [SMALL_STATE(3546)] = 21140,
  [SMALL_STATE(3547)] = 21214,
  [SMALL_STATE(3548)] = 21344,
  [SMALL_STATE(3549)] = 21420,
  [SMALL_STATE(3550)] = 21494,
  [SMALL_STATE(3551)] = 21570,
  [SMALL_STATE(3552)] = 21644,
  [SMALL_STATE(3553)] = 21718,
  [SMALL_STATE(3554)] = 21792,
  [SMALL_STATE(3555)] = 21924,
  [SMALL_STATE(3556)] = 21998,
  [SMALL_STATE(3557)] = 22072,
  [SMALL_STATE(3558)] = 22204,
  [SMALL_STATE(3559)] = 22278,
  [SMALL_STATE(3560)] = 22410,
  [SMALL_STATE(3561)] = 22542,
  [SMALL_STATE(3562)] = 22674,
  [SMALL_STATE(3563)] = 22748,
  [SMALL_STATE(3564)] = 22822,
  [SMALL_STATE(3565)] = 22896,
  [SMALL_STATE(3566)] = 22970,
  [SMALL_STATE(3567)] = 23102,
  [SMALL_STATE(3568)] = 23176,
  [SMALL_STATE(3569)] = 23250,
  [SMALL_STATE(3570)] = 23324,
  [SMALL_STATE(3571)] = 23454,
  [SMALL_STATE(3572)] = 23530,
  [SMALL_STATE(3573)] = 23604,
  [SMALL_STATE(3574)] = 23680,
  [SMALL_STATE(3575)] = 23754,
  [SMALL_STATE(3576)] = 23828,
  [SMALL_STATE(3577)] = 23960,
  [SMALL_STATE(3578)] = 24034,
  [SMALL_STATE(3579)] = 24108,
  [SMALL_STATE(3580)] = 24182,
  [SMALL_STATE(3581)] = 24256,
  [SMALL_STATE(3582)] = 24388,
  [SMALL_STATE(3583)] = 24518,
  [SMALL_STATE(3584)] = 24592,
  [SMALL_STATE(3585)] = 24724,
  [SMALL_STATE(3586)] = 24856,
  [SMALL_STATE(3587)] = 24986,
  [SMALL_STATE(3588)] = 25060,
  [SMALL_STATE(3589)] = 25134,
  [SMALL_STATE(3590)] = 25208,
  [SMALL_STATE(3591)] = 25338,
  [SMALL_STATE(3592)] = 25412,
  [SMALL_STATE(3593)] = 25542,
  [SMALL_STATE(3594)] = 25674,
  [SMALL_STATE(3595)] = 25804,
  [SMALL_STATE(3596)] = 25878,
  [SMALL_STATE(3597)] = 26010,
  [SMALL_STATE(3598)] = 26084,
  [SMALL_STATE(3599)] = 26216,
  [SMALL_STATE(3600)] = 26348,
  [SMALL_STATE(3601)] = 26480,
  [SMALL_STATE(3602)] = 26612,
  [SMALL_STATE(3603)] = 26686,
  [SMALL_STATE(3604)] = 26818,
  [SMALL_STATE(3605)] = 26950,
  [SMALL_STATE(3606)] = 27024,
  [SMALL_STATE(3607)] = 27156,
  [SMALL_STATE(3608)] = 27230,
  [SMALL_STATE(3609)] = 27304,
  [SMALL_STATE(3610)] = 27378,
  [SMALL_STATE(3611)] = 27452,
  [SMALL_STATE(3612)] = 27526,
  [SMALL_STATE(3613)] = 27600,
  [SMALL_STATE(3614)] = 27732,
  [SMALL_STATE(3615)] = 27806,
  [SMALL_STATE(3616)] = 27880,
  [SMALL_STATE(3617)] = 27954,
  [SMALL_STATE(3618)] = 28084,
  [SMALL_STATE(3619)] = 28216,
  [SMALL_STATE(3620)] = 28348,
  [SMALL_STATE(3621)] = 28480,
  [SMALL_STATE(3622)] = 28612,
  [SMALL_STATE(3623)] = 28744,
  [SMALL_STATE(3624)] = 28818,
  [SMALL_STATE(3625)] = 28950,
  [SMALL_STATE(3626)] = 29024,
  [SMALL_STATE(3627)] = 29098,
  [SMALL_STATE(3628)] = 29230,
  [SMALL_STATE(3629)] = 29362,
  [SMALL_STATE(3630)] = 29494,
  [SMALL_STATE(3631)] = 29568,
  [SMALL_STATE(3632)] = 29698,
  [SMALL_STATE(3633)] = 29830,
  [SMALL_STATE(3634)] = 29904,
  [SMALL_STATE(3635)] = 30036,
  [SMALL_STATE(3636)] = 30110,
  [SMALL_STATE(3637)] = 30242,
  [SMALL_STATE(3638)] = 30374,
  [SMALL_STATE(3639)] = 30504,
  [SMALL_STATE(3640)] = 30578,
  [SMALL_STATE(3641)] = 30652,
  [SMALL_STATE(3642)] = 30784,
  [SMALL_STATE(3643)] = 30860,
  [SMALL_STATE(3644)] = 30934,
  [SMALL_STATE(3645)] = 31008,
  [SMALL_STATE(3646)] = 31140,
  [SMALL_STATE(3647)] = 31214,
  [SMALL_STATE(3648)] = 31288,
  [SMALL_STATE(3649)] = 31420,
  [SMALL_STATE(3650)] = 31494,
  [SMALL_STATE(3651)] = 31568,
  [SMALL_STATE(3652)] = 31642,
  [SMALL_STATE(3653)] = 31716,
  [SMALL_STATE(3654)] = 31790,
  [SMALL_STATE(3655)] = 31922,
  [SMALL_STATE(3656)] = 31996,
  [SMALL_STATE(3657)] = 32070,
  [SMALL_STATE(3658)] = 32202,
  [SMALL_STATE(3659)] = 32276,
  [SMALL_STATE(3660)] = 32406,
  [SMALL_STATE(3661)] = 32480,
  [SMALL_STATE(3662)] = 32612,
  [SMALL_STATE(3663)] = 32686,
  [SMALL_STATE(3664)] = 32818,
  [SMALL_STATE(3665)] = 32892,
  [SMALL_STATE(3666)] = 32966,
  [SMALL_STATE(3667)] = 33040,
  [SMALL_STATE(3668)] = 33114,
  [SMALL_STATE(3669)] = 33188,
  [SMALL_STATE(3670)] = 33320,
  [SMALL_STATE(3671)] = 33394,
  [SMALL_STATE(3672)] = 33524,
  [SMALL_STATE(3673)] = 33656,
  [SMALL_STATE(3674)] = 33788,
  [SMALL_STATE(3675)] = 33918,
  [SMALL_STATE(3676)] = 33992,
  [SMALL_STATE(3677)] = 34066,
  [SMALL_STATE(3678)] = 34198,
  [SMALL_STATE(3679)] = 34330,
  [SMALL_STATE(3680)] = 34404,
  [SMALL_STATE(3681)] = 34536,
  [SMALL_STATE(3682)] = 34610,
  [SMALL_STATE(3683)] = 34742,
  [SMALL_STATE(3684)] = 34816,
  [SMALL_STATE(3685)] = 34890,
  [SMALL_STATE(3686)] = 35022,
  [SMALL_STATE(3687)] = 35154,
  [SMALL_STATE(3688)] = 35230,
  [SMALL_STATE(3689)] = 35362,
  [SMALL_STATE(3690)] = 35438,
  [SMALL_STATE(3691)] = 35570,
  [SMALL_STATE(3692)] = 35644,
  [SMALL_STATE(3693)] = 35718,
  [SMALL_STATE(3694)] = 35792,
  [SMALL_STATE(3695)] = 35866,
  [SMALL_STATE(3696)] = 35996,
  [SMALL_STATE(3697)] = 36128,
  [SMALL_STATE(3698)] = 36202,
  [SMALL_STATE(3699)] = 36334,
  [SMALL_STATE(3700)] = 36408,
  [SMALL_STATE(3701)] = 36482,
  [SMALL_STATE(3702)] = 36556,
  [SMALL_STATE(3703)] = 36630,
  [SMALL_STATE(3704)] = 36704,
  [SMALL_STATE(3705)] = 36836,
  [SMALL_STATE(3706)] = 36910,
  [SMALL_STATE(3707)] = 36984,
  [SMALL_STATE(3708)] = 37058,
  [SMALL_STATE(3709)] = 37190,
  [SMALL_STATE(3710)] = 37322,
  [SMALL_STATE(3711)] = 37452,
  [SMALL_STATE(3712)] = 37526,
  [SMALL_STATE(3713)] = 37600,
  [SMALL_STATE(3714)] = 37674,
  [SMALL_STATE(3715)] = 37748,
  [SMALL_STATE(3716)] = 37878,
  [SMALL_STATE(3717)] = 37952,
  [SMALL_STATE(3718)] = 38026,
  [SMALL_STATE(3719)] = 38100,
  [SMALL_STATE(3720)] = 38174,
  [SMALL_STATE(3721)] = 38306,
  [SMALL_STATE(3722)] = 38380,
  [SMALL_STATE(3723)] = 38512,
  [SMALL_STATE(3724)] = 38644,
  [SMALL_STATE(3725)] = 38776,
  [SMALL_STATE(3726)] = 38908,
  [SMALL_STATE(3727)] = 39038,
  [SMALL_STATE(3728)] = 39170,
  [SMALL_STATE(3729)] = 39244,
  [SMALL_STATE(3730)] = 39318,
  [SMALL_STATE(3731)] = 39450,
  [SMALL_STATE(3732)] = 39524,
  [SMALL_STATE(3733)] = 39600,
  [SMALL_STATE(3734)] = 39732,
  [SMALL_STATE(3735)] = 39806,
  [SMALL_STATE(3736)] = 39880,
  [SMALL_STATE(3737)] = 39954,
  [SMALL_STATE(3738)] = 40028,
  [SMALL_STATE(3739)] = 40102,
  [SMALL_STATE(3740)] = 40176,
  [SMALL_STATE(3741)] = 40250,
  [SMALL_STATE(3742)] = 40324,
  [SMALL_STATE(3743)] = 40398,
  [SMALL_STATE(3744)] = 40472,
  [SMALL_STATE(3745)] = 40546,
  [SMALL_STATE(3746)] = 40678,
  [SMALL_STATE(3747)] = 40810,
  [SMALL_STATE(3748)] = 40942,
  [SMALL_STATE(3749)] = 41016,
  [SMALL_STATE(3750)] = 41090,
  [SMALL_STATE(3751)] = 41164,
  [SMALL_STATE(3752)] = 41294,
  [SMALL_STATE(3753)] = 41424,
  [SMALL_STATE(3754)] = 41498,
  [SMALL_STATE(3755)] = 41572,
  [SMALL_STATE(3756)] = 41646,
  [SMALL_STATE(3757)] = 41720,
  [SMALL_STATE(3758)] = 41852,
  [SMALL_STATE(3759)] = 41984,
  [SMALL_STATE(3760)] = 42116,
  [SMALL_STATE(3761)] = 42246,
  [SMALL_STATE(3762)] = 42378,
  [SMALL_STATE(3763)] = 42510,
  [SMALL_STATE(3764)] = 42642,
  [SMALL_STATE(3765)] = 42716,
  [SMALL_STATE(3766)] = 42846,
  [SMALL_STATE(3767)] = 42920,
  [SMALL_STATE(3768)] = 42994,
  [SMALL_STATE(3769)] = 43068,
  [SMALL_STATE(3770)] = 43200,
  [SMALL_STATE(3771)] = 43274,
  [SMALL_STATE(3772)] = 43406,
  [SMALL_STATE(3773)] = 43480,
  [SMALL_STATE(3774)] = 43554,
  [SMALL_STATE(3775)] = 43628,
  [SMALL_STATE(3776)] = 43760,
  [SMALL_STATE(3777)] = 43834,
  [SMALL_STATE(3778)] = 43966,
  [SMALL_STATE(3779)] = 44098,
  [SMALL_STATE(3780)] = 44230,
  [SMALL_STATE(3781)] = 44304,
  [SMALL_STATE(3782)] = 44378,
  [SMALL_STATE(3783)] = 44452,
  [SMALL_STATE(3784)] = 44526,
  [SMALL_STATE(3785)] = 44656,
  [SMALL_STATE(3786)] = 44730,
  [SMALL_STATE(3787)] = 44804,
  [SMALL_STATE(3788)] = 44936,
  [SMALL_STATE(3789)] = 45068,
  [SMALL_STATE(3790)] = 45200,
  [SMALL_STATE(3791)] = 45280,
  [SMALL_STATE(3792)] = 45354,
  [SMALL_STATE(3793)] = 45428,
  [SMALL_STATE(3794)] = 45502,
  [SMALL_STATE(3795)] = 45576,
  [SMALL_STATE(3796)] = 45650,
  [SMALL_STATE(3797)] = 45730,
  [SMALL_STATE(3798)] = 45806,
  [SMALL_STATE(3799)] = 45938,
  [SMALL_STATE(3800)] = 46070,
  [SMALL_STATE(3801)] = 46146,
  [SMALL_STATE(3802)] = 46220,
  [SMALL_STATE(3803)] = 46294,
  [SMALL_STATE(3804)] = 46426,
  [SMALL_STATE(3805)] = 46500,
  [SMALL_STATE(3806)] = 46630,
  [SMALL_STATE(3807)] = 46704,
  [SMALL_STATE(3808)] = 46778,
  [SMALL_STATE(3809)] = 46852,
  [SMALL_STATE(3810)] = 46984,
  [SMALL_STATE(3811)] = 47058,
  [SMALL_STATE(3812)] = 47188,
  [SMALL_STATE(3813)] = 47320,
  [SMALL_STATE(3814)] = 47450,
  [SMALL_STATE(3815)] = 47524,
  [SMALL_STATE(3816)] = 47598,
  [SMALL_STATE(3817)] = 47674,
  [SMALL_STATE(3818)] = 47750,
  [SMALL_STATE(3819)] = 47824,
  [SMALL_STATE(3820)] = 47900,
  [SMALL_STATE(3821)] = 47974,
  [SMALL_STATE(3822)] = 48048,
  [SMALL_STATE(3823)] = 48180,
  [SMALL_STATE(3824)] = 48254,
  [SMALL_STATE(3825)] = 48386,
  [SMALL_STATE(3826)] = 48460,
  [SMALL_STATE(3827)] = 48534,
  [SMALL_STATE(3828)] = 48608,
  [SMALL_STATE(3829)] = 48688,
  [SMALL_STATE(3830)] = 48762,
  [SMALL_STATE(3831)] = 48836,
  [SMALL_STATE(3832)] = 48968,
  [SMALL_STATE(3833)] = 49100,
  [SMALL_STATE(3834)] = 49232,
  [SMALL_STATE(3835)] = 49306,
  [SMALL_STATE(3836)] = 49380,
  [SMALL_STATE(3837)] = 49453,
  [SMALL_STATE(3838)] = 49526,
  [SMALL_STATE(3839)] = 49599,
  [SMALL_STATE(3840)] = 49672,
  [SMALL_STATE(3841)] = 49745,
  [SMALL_STATE(3842)] = 49818,
  [SMALL_STATE(3843)] = 49891,
  [SMALL_STATE(3844)] = 49964,
  [SMALL_STATE(3845)] = 50037,
  [SMALL_STATE(3846)] = 50110,
  [SMALL_STATE(3847)] = 50183,
  [SMALL_STATE(3848)] = 50256,
  [SMALL_STATE(3849)] = 50329,
  [SMALL_STATE(3850)] = 50402,
  [SMALL_STATE(3851)] = 50475,
  [SMALL_STATE(3852)] = 50548,
  [SMALL_STATE(3853)] = 50621,
  [SMALL_STATE(3854)] = 50694,
  [SMALL_STATE(3855)] = 50767,
  [SMALL_STATE(3856)] = 50840,
  [SMALL_STATE(3857)] = 50913,
  [SMALL_STATE(3858)] = 50986,
  [SMALL_STATE(3859)] = 51059,
  [SMALL_STATE(3860)] = 51132,
  [SMALL_STATE(3861)] = 51205,
  [SMALL_STATE(3862)] = 51278,
  [SMALL_STATE(3863)] = 51407,
  [SMALL_STATE(3864)] = 51536,
  [SMALL_STATE(3865)] = 51667,
  [SMALL_STATE(3866)] = 51798,
  [SMALL_STATE(3867)] = 51927,
  [SMALL_STATE(3868)] = 52056,
  [SMALL_STATE(3869)] = 52185,
  [SMALL_STATE(3870)] = 52314,
  [SMALL_STATE(3871)] = 52387,
  [SMALL_STATE(3872)] = 52460,
  [SMALL_STATE(3873)] = 52533,
  [SMALL_STATE(3874)] = 52606,
  [SMALL_STATE(3875)] = 52679,
  [SMALL_STATE(3876)] = 52752,
  [SMALL_STATE(3877)] = 52825,
  [SMALL_STATE(3878)] = 52898,
  [SMALL_STATE(3879)] = 52971,
  [SMALL_STATE(3880)] = 53044,
  [SMALL_STATE(3881)] = 53117,
  [SMALL_STATE(3882)] = 53190,
  [SMALL_STATE(3883)] = 53263,
  [SMALL_STATE(3884)] = 53336,
  [SMALL_STATE(3885)] = 53409,
  [SMALL_STATE(3886)] = 53482,
  [SMALL_STATE(3887)] = 53555,
  [SMALL_STATE(3888)] = 53628,
  [SMALL_STATE(3889)] = 53701,
  [SMALL_STATE(3890)] = 53774,
  [SMALL_STATE(3891)] = 53847,
  [SMALL_STATE(3892)] = 53920,
  [SMALL_STATE(3893)] = 53993,
  [SMALL_STATE(3894)] = 54066,
  [SMALL_STATE(3895)] = 54139,
  [SMALL_STATE(3896)] = 54212,
  [SMALL_STATE(3897)] = 54285,
  [SMALL_STATE(3898)] = 54358,
  [SMALL_STATE(3899)] = 54431,
  [SMALL_STATE(3900)] = 54504,
  [SMALL_STATE(3901)] = 54577,
  [SMALL_STATE(3902)] = 54652,
  [SMALL_STATE(3903)] = 54725,
  [SMALL_STATE(3904)] = 54798,
  [SMALL_STATE(3905)] = 54873,
  [SMALL_STATE(3906)] = 54946,
  [SMALL_STATE(3907)] = 55019,
  [SMALL_STATE(3908)] = 55092,
  [SMALL_STATE(3909)] = 55165,
  [SMALL_STATE(3910)] = 55238,
  [SMALL_STATE(3911)] = 55311,
  [SMALL_STATE(3912)] = 55384,
  [SMALL_STATE(3913)] = 55457,
  [SMALL_STATE(3914)] = 55530,
  [SMALL_STATE(3915)] = 55603,
  [SMALL_STATE(3916)] = 55676,
  [SMALL_STATE(3917)] = 55749,
  [SMALL_STATE(3918)] = 55822,
  [SMALL_STATE(3919)] = 55895,
  [SMALL_STATE(3920)] = 55968,
  [SMALL_STATE(3921)] = 56047,
  [SMALL_STATE(3922)] = 56120,
  [SMALL_STATE(3923)] = 56193,
  [SMALL_STATE(3924)] = 56266,
  [SMALL_STATE(3925)] = 56339,
  [SMALL_STATE(3926)] = 56412,
  [SMALL_STATE(3927)] = 56485,
  [SMALL_STATE(3928)] = 56558,
  [SMALL_STATE(3929)] = 56631,
  [SMALL_STATE(3930)] = 56706,
  [SMALL_STATE(3931)] = 56779,
  [SMALL_STATE(3932)] = 56852,
  [SMALL_STATE(3933)] = 56925,
  [SMALL_STATE(3934)] = 56998,
  [SMALL_STATE(3935)] = 57071,
  [SMALL_STATE(3936)] = 57144,
  [SMALL_STATE(3937)] = 57217,
  [SMALL_STATE(3938)] = 57290,
  [SMALL_STATE(3939)] = 57363,
  [SMALL_STATE(3940)] = 57436,
  [SMALL_STATE(3941)] = 57509,
  [SMALL_STATE(3942)] = 57582,
  [SMALL_STATE(3943)] = 57655,
  [SMALL_STATE(3944)] = 57728,
  [SMALL_STATE(3945)] = 57801,
  [SMALL_STATE(3946)] = 57880,
  [SMALL_STATE(3947)] = 57953,
  [SMALL_STATE(3948)] = 58026,
  [SMALL_STATE(3949)] = 58099,
  [SMALL_STATE(3950)] = 58172,
  [SMALL_STATE(3951)] = 58245,
  [SMALL_STATE(3952)] = 58320,
  [SMALL_STATE(3953)] = 58393,
  [SMALL_STATE(3954)] = 58466,
  [SMALL_STATE(3955)] = 58539,
  [SMALL_STATE(3956)] = 58614,
  [SMALL_STATE(3957)] = 58687,
  [SMALL_STATE(3958)] = 58760,
  [SMALL_STATE(3959)] = 58833,
  [SMALL_STATE(3960)] = 58906,
  [SMALL_STATE(3961)] = 58985,
  [SMALL_STATE(3962)] = 59058,
  [SMALL_STATE(3963)] = 59131,
  [SMALL_STATE(3964)] = 59204,
  [SMALL_STATE(3965)] = 59277,
  [SMALL_STATE(3966)] = 59350,
  [SMALL_STATE(3967)] = 59423,
  [SMALL_STATE(3968)] = 59496,
  [SMALL_STATE(3969)] = 59569,
  [SMALL_STATE(3970)] = 59648,
  [SMALL_STATE(3971)] = 59721,
  [SMALL_STATE(3972)] = 59794,
  [SMALL_STATE(3973)] = 59867,
  [SMALL_STATE(3974)] = 59940,
  [SMALL_STATE(3975)] = 60013,
  [SMALL_STATE(3976)] = 60086,
  [SMALL_STATE(3977)] = 60159,
  [SMALL_STATE(3978)] = 60232,
  [SMALL_STATE(3979)] = 60305,
  [SMALL_STATE(3980)] = 60378,
  [SMALL_STATE(3981)] = 60457,
  [SMALL_STATE(3982)] = 60530,
  [SMALL_STATE(3983)] = 60603,
  [SMALL_STATE(3984)] = 60676,
  [SMALL_STATE(3985)] = 60749,
  [SMALL_STATE(3986)] = 60822,
  [SMALL_STATE(3987)] = 60895,
  [SMALL_STATE(3988)] = 60970,
  [SMALL_STATE(3989)] = 61043,
  [SMALL_STATE(3990)] = 61116,
  [SMALL_STATE(3991)] = 61189,
  [SMALL_STATE(3992)] = 61262,
  [SMALL_STATE(3993)] = 61335,
  [SMALL_STATE(3994)] = 61408,
  [SMALL_STATE(3995)] = 61481,
  [SMALL_STATE(3996)] = 61554,
  [SMALL_STATE(3997)] = 61627,
  [SMALL_STATE(3998)] = 61700,
  [SMALL_STATE(3999)] = 61773,
  [SMALL_STATE(4000)] = 61846,
  [SMALL_STATE(4001)] = 61919,
  [SMALL_STATE(4002)] = 61992,
  [SMALL_STATE(4003)] = 62065,
  [SMALL_STATE(4004)] = 62144,
  [SMALL_STATE(4005)] = 62217,
  [SMALL_STATE(4006)] = 62290,
  [SMALL_STATE(4007)] = 62363,
  [SMALL_STATE(4008)] = 62436,
  [SMALL_STATE(4009)] = 62509,
  [SMALL_STATE(4010)] = 62582,
  [SMALL_STATE(4011)] = 62655,
  [SMALL_STATE(4012)] = 62728,
  [SMALL_STATE(4013)] = 62801,
  [SMALL_STATE(4014)] = 62874,
  [SMALL_STATE(4015)] = 62947,
  [SMALL_STATE(4016)] = 63020,
  [SMALL_STATE(4017)] = 63093,
  [SMALL_STATE(4018)] = 63166,
  [SMALL_STATE(4019)] = 63239,
  [SMALL_STATE(4020)] = 63312,
  [SMALL_STATE(4021)] = 63385,
  [SMALL_STATE(4022)] = 63458,
  [SMALL_STATE(4023)] = 63531,
  [SMALL_STATE(4024)] = 63604,
  [SMALL_STATE(4025)] = 63679,
  [SMALL_STATE(4026)] = 63752,
  [SMALL_STATE(4027)] = 63825,
  [SMALL_STATE(4028)] = 63898,
  [SMALL_STATE(4029)] = 63971,
  [SMALL_STATE(4030)] = 64044,
  [SMALL_STATE(4031)] = 64117,
  [SMALL_STATE(4032)] = 64190,
  [SMALL_STATE(4033)] = 64263,
  [SMALL_STATE(4034)] = 64336,
  [SMALL_STATE(4035)] = 64409,
  [SMALL_STATE(4036)] = 64482,
  [SMALL_STATE(4037)] = 64555,
  [SMALL_STATE(4038)] = 64628,
  [SMALL_STATE(4039)] = 64701,
  [SMALL_STATE(4040)] = 64774,
  [SMALL_STATE(4041)] = 64847,
  [SMALL_STATE(4042)] = 64920,
  [SMALL_STATE(4043)] = 64993,
  [SMALL_STATE(4044)] = 65066,
  [SMALL_STATE(4045)] = 65139,
  [SMALL_STATE(4046)] = 65212,
  [SMALL_STATE(4047)] = 65285,
  [SMALL_STATE(4048)] = 65358,
  [SMALL_STATE(4049)] = 65431,
  [SMALL_STATE(4050)] = 65504,
  [SMALL_STATE(4051)] = 65577,
  [SMALL_STATE(4052)] = 65650,
  [SMALL_STATE(4053)] = 65723,
  [SMALL_STATE(4054)] = 65796,
  [SMALL_STATE(4055)] = 65869,
  [SMALL_STATE(4056)] = 65942,
  [SMALL_STATE(4057)] = 66015,
  [SMALL_STATE(4058)] = 66088,
  [SMALL_STATE(4059)] = 66161,
  [SMALL_STATE(4060)] = 66234,
  [SMALL_STATE(4061)] = 66307,
  [SMALL_STATE(4062)] = 66380,
  [SMALL_STATE(4063)] = 66453,
  [SMALL_STATE(4064)] = 66526,
  [SMALL_STATE(4065)] = 66599,
  [SMALL_STATE(4066)] = 66672,
  [SMALL_STATE(4067)] = 66745,
  [SMALL_STATE(4068)] = 66818,
  [SMALL_STATE(4069)] = 66891,
  [SMALL_STATE(4070)] = 66964,
  [SMALL_STATE(4071)] = 67037,
  [SMALL_STATE(4072)] = 67110,
  [SMALL_STATE(4073)] = 67183,
  [SMALL_STATE(4074)] = 67256,
  [SMALL_STATE(4075)] = 67329,
  [SMALL_STATE(4076)] = 67402,
  [SMALL_STATE(4077)] = 67475,
  [SMALL_STATE(4078)] = 67548,
  [SMALL_STATE(4079)] = 67621,
  [SMALL_STATE(4080)] = 67694,
  [SMALL_STATE(4081)] = 67767,
  [SMALL_STATE(4082)] = 67840,
  [SMALL_STATE(4083)] = 67913,
  [SMALL_STATE(4084)] = 67986,
  [SMALL_STATE(4085)] = 68059,
  [SMALL_STATE(4086)] = 68132,
  [SMALL_STATE(4087)] = 68205,
  [SMALL_STATE(4088)] = 68278,
  [SMALL_STATE(4089)] = 68353,
  [SMALL_STATE(4090)] = 68426,
  [SMALL_STATE(4091)] = 68499,
  [SMALL_STATE(4092)] = 68572,
  [SMALL_STATE(4093)] = 68647,
  [SMALL_STATE(4094)] = 68720,
  [SMALL_STATE(4095)] = 68793,
  [SMALL_STATE(4096)] = 68866,
  [SMALL_STATE(4097)] = 68939,
  [SMALL_STATE(4098)] = 69012,
  [SMALL_STATE(4099)] = 69085,
  [SMALL_STATE(4100)] = 69158,
  [SMALL_STATE(4101)] = 69231,
  [SMALL_STATE(4102)] = 69304,
  [SMALL_STATE(4103)] = 69377,
  [SMALL_STATE(4104)] = 69450,
  [SMALL_STATE(4105)] = 69523,
  [SMALL_STATE(4106)] = 69596,
  [SMALL_STATE(4107)] = 69669,
  [SMALL_STATE(4108)] = 69742,
  [SMALL_STATE(4109)] = 69815,
  [SMALL_STATE(4110)] = 69888,
  [SMALL_STATE(4111)] = 69961,
  [SMALL_STATE(4112)] = 70034,
  [SMALL_STATE(4113)] = 70107,
  [SMALL_STATE(4114)] = 70180,
  [SMALL_STATE(4115)] = 70253,
  [SMALL_STATE(4116)] = 70326,
  [SMALL_STATE(4117)] = 70399,
  [SMALL_STATE(4118)] = 70472,
  [SMALL_STATE(4119)] = 70547,
  [SMALL_STATE(4120)] = 70620,
  [SMALL_STATE(4121)] = 70693,
  [SMALL_STATE(4122)] = 70766,
  [SMALL_STATE(4123)] = 70839,
  [SMALL_STATE(4124)] = 70912,
  [SMALL_STATE(4125)] = 70987,
  [SMALL_STATE(4126)] = 71060,
  [SMALL_STATE(4127)] = 71135,
  [SMALL_STATE(4128)] = 71208,
  [SMALL_STATE(4129)] = 71281,
  [SMALL_STATE(4130)] = 71356,
  [SMALL_STATE(4131)] = 71429,
  [SMALL_STATE(4132)] = 71502,
  [SMALL_STATE(4133)] = 71575,
  [SMALL_STATE(4134)] = 71648,
  [SMALL_STATE(4135)] = 71721,
  [SMALL_STATE(4136)] = 71794,
  [SMALL_STATE(4137)] = 71867,
  [SMALL_STATE(4138)] = 71940,
  [SMALL_STATE(4139)] = 72013,
  [SMALL_STATE(4140)] = 72086,
  [SMALL_STATE(4141)] = 72159,
  [SMALL_STATE(4142)] = 72232,
  [SMALL_STATE(4143)] = 72305,
  [SMALL_STATE(4144)] = 72434,
  [SMALL_STATE(4145)] = 72563,
  [SMALL_STATE(4146)] = 72692,
  [SMALL_STATE(4147)] = 72821,
  [SMALL_STATE(4148)] = 72950,
  [SMALL_STATE(4149)] = 73079,
  [SMALL_STATE(4150)] = 73208,
  [SMALL_STATE(4151)] = 73337,
  [SMALL_STATE(4152)] = 73466,
  [SMALL_STATE(4153)] = 73595,
  [SMALL_STATE(4154)] = 73724,
  [SMALL_STATE(4155)] = 73853,
  [SMALL_STATE(4156)] = 73982,
  [SMALL_STATE(4157)] = 74061,
  [SMALL_STATE(4158)] = 74140,
  [SMALL_STATE(4159)] = 74213,
  [SMALL_STATE(4160)] = 74286,
  [SMALL_STATE(4161)] = 74359,
  [SMALL_STATE(4162)] = 74432,
  [SMALL_STATE(4163)] = 74505,
  [SMALL_STATE(4164)] = 74578,
  [SMALL_STATE(4165)] = 74651,
  [SMALL_STATE(4166)] = 74724,
  [SMALL_STATE(4167)] = 74797,
  [SMALL_STATE(4168)] = 74870,
  [SMALL_STATE(4169)] = 74943,
  [SMALL_STATE(4170)] = 75016,
  [SMALL_STATE(4171)] = 75089,
  [SMALL_STATE(4172)] = 75164,
  [SMALL_STATE(4173)] = 75237,
  [SMALL_STATE(4174)] = 75310,
  [SMALL_STATE(4175)] = 75383,
  [SMALL_STATE(4176)] = 75456,
  [SMALL_STATE(4177)] = 75529,
  [SMALL_STATE(4178)] = 75602,
  [SMALL_STATE(4179)] = 75675,
  [SMALL_STATE(4180)] = 75748,
  [SMALL_STATE(4181)] = 75821,
  [SMALL_STATE(4182)] = 75894,
  [SMALL_STATE(4183)] = 75967,
  [SMALL_STATE(4184)] = 76040,
  [SMALL_STATE(4185)] = 76113,
  [SMALL_STATE(4186)] = 76186,
  [SMALL_STATE(4187)] = 76259,
  [SMALL_STATE(4188)] = 76332,
  [SMALL_STATE(4189)] = 76405,
  [SMALL_STATE(4190)] = 76478,
  [SMALL_STATE(4191)] = 76551,
  [SMALL_STATE(4192)] = 76624,
  [SMALL_STATE(4193)] = 76697,
  [SMALL_STATE(4194)] = 76770,
  [SMALL_STATE(4195)] = 76901,
  [SMALL_STATE(4196)] = 77032,
  [SMALL_STATE(4197)] = 77105,
  [SMALL_STATE(4198)] = 77178,
  [SMALL_STATE(4199)] = 77251,
  [SMALL_STATE(4200)] = 77324,
  [SMALL_STATE(4201)] = 77397,
  [SMALL_STATE(4202)] = 77470,
  [SMALL_STATE(4203)] = 77543,
  [SMALL_STATE(4204)] = 77616,
  [SMALL_STATE(4205)] = 77689,
  [SMALL_STATE(4206)] = 77762,
  [SMALL_STATE(4207)] = 77835,
  [SMALL_STATE(4208)] = 77976,
  [SMALL_STATE(4209)] = 78049,
  [SMALL_STATE(4210)] = 78122,
  [SMALL_STATE(4211)] = 78195,
  [SMALL_STATE(4212)] = 78268,
  [SMALL_STATE(4213)] = 78341,
  [SMALL_STATE(4214)] = 78470,
  [SMALL_STATE(4215)] = 78543,
  [SMALL_STATE(4216)] = 78616,
  [SMALL_STATE(4217)] = 78689,
  [SMALL_STATE(4218)] = 78762,
  [SMALL_STATE(4219)] = 78835,
  [SMALL_STATE(4220)] = 78908,
  [SMALL_STATE(4221)] = 78981,
  [SMALL_STATE(4222)] = 79054,
  [SMALL_STATE(4223)] = 79129,
  [SMALL_STATE(4224)] = 79202,
  [SMALL_STATE(4225)] = 79275,
  [SMALL_STATE(4226)] = 79350,
  [SMALL_STATE(4227)] = 79423,
  [SMALL_STATE(4228)] = 79498,
  [SMALL_STATE(4229)] = 79573,
  [SMALL_STATE(4230)] = 79646,
  [SMALL_STATE(4231)] = 79719,
  [SMALL_STATE(4232)] = 79792,
  [SMALL_STATE(4233)] = 79865,
  [SMALL_STATE(4234)] = 79938,
  [SMALL_STATE(4235)] = 80067,
  [SMALL_STATE(4236)] = 80146,
  [SMALL_STATE(4237)] = 80219,
  [SMALL_STATE(4238)] = 80348,
  [SMALL_STATE(4239)] = 80489,
  [SMALL_STATE(4240)] = 80618,
  [SMALL_STATE(4241)] = 80747,
  [SMALL_STATE(4242)] = 80876,
  [SMALL_STATE(4243)] = 81005,
  [SMALL_STATE(4244)] = 81134,
  [SMALL_STATE(4245)] = 81263,
  [SMALL_STATE(4246)] = 81392,
  [SMALL_STATE(4247)] = 81471,
  [SMALL_STATE(4248)] = 81544,
  [SMALL_STATE(4249)] = 81617,
  [SMALL_STATE(4250)] = 81690,
  [SMALL_STATE(4251)] = 81819,
  [SMALL_STATE(4252)] = 81960,
  [SMALL_STATE(4253)] = 82089,
  [SMALL_STATE(4254)] = 82162,
  [SMALL_STATE(4255)] = 82235,
  [SMALL_STATE(4256)] = 82308,
  [SMALL_STATE(4257)] = 82437,
  [SMALL_STATE(4258)] = 82578,
  [SMALL_STATE(4259)] = 82707,
  [SMALL_STATE(4260)] = 82836,
  [SMALL_STATE(4261)] = 82909,
  [SMALL_STATE(4262)] = 83050,
  [SMALL_STATE(4263)] = 83179,
  [SMALL_STATE(4264)] = 83254,
  [SMALL_STATE(4265)] = 83383,
  [SMALL_STATE(4266)] = 83458,
  [SMALL_STATE(4267)] = 83599,
  [SMALL_STATE(4268)] = 83728,
  [SMALL_STATE(4269)] = 83857,
  [SMALL_STATE(4270)] = 83930,
  [SMALL_STATE(4271)] = 84071,
  [SMALL_STATE(4272)] = 84200,
  [SMALL_STATE(4273)] = 84273,
  [SMALL_STATE(4274)] = 84346,
  [SMALL_STATE(4275)] = 84475,
  [SMALL_STATE(4276)] = 84548,
  [SMALL_STATE(4277)] = 84677,
  [SMALL_STATE(4278)] = 84750,
  [SMALL_STATE(4279)] = 84879,
  [SMALL_STATE(4280)] = 85008,
  [SMALL_STATE(4281)] = 85137,
  [SMALL_STATE(4282)] = 85210,
  [SMALL_STATE(4283)] = 85283,
  [SMALL_STATE(4284)] = 85412,
  [SMALL_STATE(4285)] = 85485,
  [SMALL_STATE(4286)] = 85558,
  [SMALL_STATE(4287)] = 85687,
  [SMALL_STATE(4288)] = 85760,
  [SMALL_STATE(4289)] = 85833,
  [SMALL_STATE(4290)] = 85962,
  [SMALL_STATE(4291)] = 86091,
  [SMALL_STATE(4292)] = 86164,
  [SMALL_STATE(4293)] = 86239,
  [SMALL_STATE(4294)] = 86368,
  [SMALL_STATE(4295)] = 86441,
  [SMALL_STATE(4296)] = 86570,
  [SMALL_STATE(4297)] = 86643,
  [SMALL_STATE(4298)] = 86772,
  [SMALL_STATE(4299)] = 86845,
  [SMALL_STATE(4300)] = 86918,
  [SMALL_STATE(4301)] = 86991,
  [SMALL_STATE(4302)] = 87120,
  [SMALL_STATE(4303)] = 87193,
  [SMALL_STATE(4304)] = 87322,
  [SMALL_STATE(4305)] = 87395,
  [SMALL_STATE(4306)] = 87468,
  [SMALL_STATE(4307)] = 87541,
  [SMALL_STATE(4308)] = 87670,
  [SMALL_STATE(4309)] = 87743,
  [SMALL_STATE(4310)] = 87816,
  [SMALL_STATE(4311)] = 87945,
  [SMALL_STATE(4312)] = 88018,
  [SMALL_STATE(4313)] = 88091,
  [SMALL_STATE(4314)] = 88164,
  [SMALL_STATE(4315)] = 88293,
  [SMALL_STATE(4316)] = 88366,
  [SMALL_STATE(4317)] = 88495,
  [SMALL_STATE(4318)] = 88568,
  [SMALL_STATE(4319)] = 88697,
  [SMALL_STATE(4320)] = 88770,
  [SMALL_STATE(4321)] = 88899,
  [SMALL_STATE(4322)] = 88972,
  [SMALL_STATE(4323)] = 89045,
  [SMALL_STATE(4324)] = 89174,
  [SMALL_STATE(4325)] = 89303,
  [SMALL_STATE(4326)] = 89376,
  [SMALL_STATE(4327)] = 89505,
  [SMALL_STATE(4328)] = 89634,
  [SMALL_STATE(4329)] = 89763,
  [SMALL_STATE(4330)] = 89892,
  [SMALL_STATE(4331)] = 90021,
  [SMALL_STATE(4332)] = 90150,
  [SMALL_STATE(4333)] = 90223,
  [SMALL_STATE(4334)] = 90352,
  [SMALL_STATE(4335)] = 90481,
  [SMALL_STATE(4336)] = 90554,
  [SMALL_STATE(4337)] = 90683,
  [SMALL_STATE(4338)] = 90812,
  [SMALL_STATE(4339)] = 90941,
  [SMALL_STATE(4340)] = 91070,
  [SMALL_STATE(4341)] = 91143,
  [SMALL_STATE(4342)] = 91272,
  [SMALL_STATE(4343)] = 91401,
  [SMALL_STATE(4344)] = 91530,
  [SMALL_STATE(4345)] = 91603,
  [SMALL_STATE(4346)] = 91732,
  [SMALL_STATE(4347)] = 91861,
  [SMALL_STATE(4348)] = 91990,
  [SMALL_STATE(4349)] = 92119,
  [SMALL_STATE(4350)] = 92248,
  [SMALL_STATE(4351)] = 92321,
  [SMALL_STATE(4352)] = 92450,
  [SMALL_STATE(4353)] = 92579,
  [SMALL_STATE(4354)] = 92708,
  [SMALL_STATE(4355)] = 92781,
  [SMALL_STATE(4356)] = 92910,
  [SMALL_STATE(4357)] = 93039,
  [SMALL_STATE(4358)] = 93168,
  [SMALL_STATE(4359)] = 93241,
  [SMALL_STATE(4360)] = 93370,
  [SMALL_STATE(4361)] = 93499,
  [SMALL_STATE(4362)] = 93572,
  [SMALL_STATE(4363)] = 93701,
  [SMALL_STATE(4364)] = 93830,
  [SMALL_STATE(4365)] = 93959,
  [SMALL_STATE(4366)] = 94088,
  [SMALL_STATE(4367)] = 94217,
  [SMALL_STATE(4368)] = 94346,
  [SMALL_STATE(4369)] = 94419,
  [SMALL_STATE(4370)] = 94548,
  [SMALL_STATE(4371)] = 94677,
  [SMALL_STATE(4372)] = 94750,
  [SMALL_STATE(4373)] = 94879,
  [SMALL_STATE(4374)] = 94952,
  [SMALL_STATE(4375)] = 95081,
  [SMALL_STATE(4376)] = 95154,
  [SMALL_STATE(4377)] = 95283,
  [SMALL_STATE(4378)] = 95358,
  [SMALL_STATE(4379)] = 95487,
  [SMALL_STATE(4380)] = 95562,
  [SMALL_STATE(4381)] = 95691,
  [SMALL_STATE(4382)] = 95820,
  [SMALL_STATE(4383)] = 95949,
  [SMALL_STATE(4384)] = 96022,
  [SMALL_STATE(4385)] = 96151,
  [SMALL_STATE(4386)] = 96224,
  [SMALL_STATE(4387)] = 96297,
  [SMALL_STATE(4388)] = 96426,
  [SMALL_STATE(4389)] = 96499,
  [SMALL_STATE(4390)] = 96572,
  [SMALL_STATE(4391)] = 96701,
  [SMALL_STATE(4392)] = 96774,
  [SMALL_STATE(4393)] = 96903,
  [SMALL_STATE(4394)] = 96982,
  [SMALL_STATE(4395)] = 97111,
  [SMALL_STATE(4396)] = 97240,
  [SMALL_STATE(4397)] = 97313,
  [SMALL_STATE(4398)] = 97442,
  [SMALL_STATE(4399)] = 97515,
  [SMALL_STATE(4400)] = 97588,
  [SMALL_STATE(4401)] = 97717,
  [SMALL_STATE(4402)] = 97790,
  [SMALL_STATE(4403)] = 97919,
  [SMALL_STATE(4404)] = 97992,
  [SMALL_STATE(4405)] = 98065,
  [SMALL_STATE(4406)] = 98194,
  [SMALL_STATE(4407)] = 98323,
  [SMALL_STATE(4408)] = 98396,
  [SMALL_STATE(4409)] = 98525,
  [SMALL_STATE(4410)] = 98600,
  [SMALL_STATE(4411)] = 98729,
  [SMALL_STATE(4412)] = 98802,
  [SMALL_STATE(4413)] = 98931,
  [SMALL_STATE(4414)] = 99004,
  [SMALL_STATE(4415)] = 99133,
  [SMALL_STATE(4416)] = 99206,
  [SMALL_STATE(4417)] = 99279,
  [SMALL_STATE(4418)] = 99352,
  [SMALL_STATE(4419)] = 99481,
  [SMALL_STATE(4420)] = 99554,
  [SMALL_STATE(4421)] = 99683,
  [SMALL_STATE(4422)] = 99756,
  [SMALL_STATE(4423)] = 99829,
  [SMALL_STATE(4424)] = 99902,
  [SMALL_STATE(4425)] = 100031,
  [SMALL_STATE(4426)] = 100160,
  [SMALL_STATE(4427)] = 100233,
  [SMALL_STATE(4428)] = 100306,
  [SMALL_STATE(4429)] = 100435,
  [SMALL_STATE(4430)] = 100508,
  [SMALL_STATE(4431)] = 100581,
  [SMALL_STATE(4432)] = 100710,
  [SMALL_STATE(4433)] = 100839,
  [SMALL_STATE(4434)] = 100968,
  [SMALL_STATE(4435)] = 101097,
  [SMALL_STATE(4436)] = 101226,
  [SMALL_STATE(4437)] = 101299,
  [SMALL_STATE(4438)] = 101372,
  [SMALL_STATE(4439)] = 101445,
  [SMALL_STATE(4440)] = 101524,
  [SMALL_STATE(4441)] = 101597,
  [SMALL_STATE(4442)] = 101669,
  [SMALL_STATE(4443)] = 101741,
  [SMALL_STATE(4444)] = 101865,
  [SMALL_STATE(4445)] = 101989,
  [SMALL_STATE(4446)] = 102113,
  [SMALL_STATE(4447)] = 102237,
  [SMALL_STATE(4448)] = 102309,
  [SMALL_STATE(4449)] = 102433,
  [SMALL_STATE(4450)] = 102557,
  [SMALL_STATE(4451)] = 102629,
  [SMALL_STATE(4452)] = 102753,
  [SMALL_STATE(4453)] = 102825,
  [SMALL_STATE(4454)] = 102949,
  [SMALL_STATE(4455)] = 103021,
  [SMALL_STATE(4456)] = 103093,
  [SMALL_STATE(4457)] = 103217,
  [SMALL_STATE(4458)] = 103341,
  [SMALL_STATE(4459)] = 103465,
  [SMALL_STATE(4460)] = 103537,
  [SMALL_STATE(4461)] = 103661,
  [SMALL_STATE(4462)] = 103733,
  [SMALL_STATE(4463)] = 103857,
  [SMALL_STATE(4464)] = 103929,
  [SMALL_STATE(4465)] = 104001,
  [SMALL_STATE(4466)] = 104073,
  [SMALL_STATE(4467)] = 104151,
  [SMALL_STATE(4468)] = 104223,
  [SMALL_STATE(4469)] = 104297,
  [SMALL_STATE(4470)] = 104369,
  [SMALL_STATE(4471)] = 104441,
  [SMALL_STATE(4472)] = 104513,
  [SMALL_STATE(4473)] = 104585,
  [SMALL_STATE(4474)] = 104657,
  [SMALL_STATE(4475)] = 104729,
  [SMALL_STATE(4476)] = 104801,
  [SMALL_STATE(4477)] = 104873,
  [SMALL_STATE(4478)] = 104945,
  [SMALL_STATE(4479)] = 105017,
  [SMALL_STATE(4480)] = 105089,
  [SMALL_STATE(4481)] = 105161,
  [SMALL_STATE(4482)] = 105233,
  [SMALL_STATE(4483)] = 105305,
  [SMALL_STATE(4484)] = 105377,
  [SMALL_STATE(4485)] = 105449,
  [SMALL_STATE(4486)] = 105521,
  [SMALL_STATE(4487)] = 105593,
  [SMALL_STATE(4488)] = 105665,
  [SMALL_STATE(4489)] = 105739,
  [SMALL_STATE(4490)] = 105813,
  [SMALL_STATE(4491)] = 105885,
  [SMALL_STATE(4492)] = 105959,
  [SMALL_STATE(4493)] = 106033,
  [SMALL_STATE(4494)] = 106111,
  [SMALL_STATE(4495)] = 106189,
  [SMALL_STATE(4496)] = 106261,
  [SMALL_STATE(4497)] = 106333,
  [SMALL_STATE(4498)] = 106405,
  [SMALL_STATE(4499)] = 106477,
  [SMALL_STATE(4500)] = 106549,
  [SMALL_STATE(4501)] = 106621,
  [SMALL_STATE(4502)] = 106693,
  [SMALL_STATE(4503)] = 106765,
  [SMALL_STATE(4504)] = 106837,
  [SMALL_STATE(4505)] = 106909,
  [SMALL_STATE(4506)] = 106981,
  [SMALL_STATE(4507)] = 107053,
  [SMALL_STATE(4508)] = 107125,
  [SMALL_STATE(4509)] = 107197,
  [SMALL_STATE(4510)] = 107269,
  [SMALL_STATE(4511)] = 107343,
  [SMALL_STATE(4512)] = 107415,
  [SMALL_STATE(4513)] = 107487,
  [SMALL_STATE(4514)] = 107559,
  [SMALL_STATE(4515)] = 107631,
  [SMALL_STATE(4516)] = 107703,
  [SMALL_STATE(4517)] = 107775,
  [SMALL_STATE(4518)] = 107847,
  [SMALL_STATE(4519)] = 107919,
  [SMALL_STATE(4520)] = 107991,
  [SMALL_STATE(4521)] = 108063,
  [SMALL_STATE(4522)] = 108135,
  [SMALL_STATE(4523)] = 108207,
  [SMALL_STATE(4524)] = 108279,
  [SMALL_STATE(4525)] = 108351,
  [SMALL_STATE(4526)] = 108423,
  [SMALL_STATE(4527)] = 108497,
  [SMALL_STATE(4528)] = 108569,
  [SMALL_STATE(4529)] = 108641,
  [SMALL_STATE(4530)] = 108713,
  [SMALL_STATE(4531)] = 108785,
  [SMALL_STATE(4532)] = 108857,
  [SMALL_STATE(4533)] = 108929,
  [SMALL_STATE(4534)] = 109001,
  [SMALL_STATE(4535)] = 109073,
  [SMALL_STATE(4536)] = 109145,
  [SMALL_STATE(4537)] = 109217,
  [SMALL_STATE(4538)] = 109291,
  [SMALL_STATE(4539)] = 109363,
  [SMALL_STATE(4540)] = 109435,
  [SMALL_STATE(4541)] = 109507,
  [SMALL_STATE(4542)] = 109579,
  [SMALL_STATE(4543)] = 109651,
  [SMALL_STATE(4544)] = 109723,
  [SMALL_STATE(4545)] = 109795,
  [SMALL_STATE(4546)] = 109867,
  [SMALL_STATE(4547)] = 109939,
  [SMALL_STATE(4548)] = 110017,
  [SMALL_STATE(4549)] = 110089,
  [SMALL_STATE(4550)] = 110161,
  [SMALL_STATE(4551)] = 110233,
  [SMALL_STATE(4552)] = 110305,
  [SMALL_STATE(4553)] = 110377,
  [SMALL_STATE(4554)] = 110449,
  [SMALL_STATE(4555)] = 110521,
  [SMALL_STATE(4556)] = 110593,
  [SMALL_STATE(4557)] = 110717,
  [SMALL_STATE(4558)] = 110789,
  [SMALL_STATE(4559)] = 110861,
  [SMALL_STATE(4560)] = 110933,
  [SMALL_STATE(4561)] = 111007,
  [SMALL_STATE(4562)] = 111079,
  [SMALL_STATE(4563)] = 111151,
  [SMALL_STATE(4564)] = 111223,
  [SMALL_STATE(4565)] = 111295,
  [SMALL_STATE(4566)] = 111367,
  [SMALL_STATE(4567)] = 111439,
  [SMALL_STATE(4568)] = 111511,
  [SMALL_STATE(4569)] = 111583,
  [SMALL_STATE(4570)] = 111655,
  [SMALL_STATE(4571)] = 111727,
  [SMALL_STATE(4572)] = 111799,
  [SMALL_STATE(4573)] = 111871,
  [SMALL_STATE(4574)] = 111943,
  [SMALL_STATE(4575)] = 112015,
  [SMALL_STATE(4576)] = 112087,
  [SMALL_STATE(4577)] = 112159,
  [SMALL_STATE(4578)] = 112233,
  [SMALL_STATE(4579)] = 112305,
  [SMALL_STATE(4580)] = 112377,
  [SMALL_STATE(4581)] = 112449,
  [SMALL_STATE(4582)] = 112521,
  [SMALL_STATE(4583)] = 112593,
  [SMALL_STATE(4584)] = 112665,
  [SMALL_STATE(4585)] = 112737,
  [SMALL_STATE(4586)] = 112809,
  [SMALL_STATE(4587)] = 112881,
  [SMALL_STATE(4588)] = 112953,
  [SMALL_STATE(4589)] = 113025,
  [SMALL_STATE(4590)] = 113097,
  [SMALL_STATE(4591)] = 113169,
  [SMALL_STATE(4592)] = 113241,
  [SMALL_STATE(4593)] = 113313,
  [SMALL_STATE(4594)] = 113385,
  [SMALL_STATE(4595)] = 113457,
  [SMALL_STATE(4596)] = 113529,
  [SMALL_STATE(4597)] = 113601,
  [SMALL_STATE(4598)] = 113673,
  [SMALL_STATE(4599)] = 113745,
  [SMALL_STATE(4600)] = 113817,
  [SMALL_STATE(4601)] = 113889,
  [SMALL_STATE(4602)] = 113961,
  [SMALL_STATE(4603)] = 114033,
  [SMALL_STATE(4604)] = 114105,
  [SMALL_STATE(4605)] = 114177,
  [SMALL_STATE(4606)] = 114255,
  [SMALL_STATE(4607)] = 114327,
  [SMALL_STATE(4608)] = 114399,
  [SMALL_STATE(4609)] = 114471,
  [SMALL_STATE(4610)] = 114543,
  [SMALL_STATE(4611)] = 114615,
  [SMALL_STATE(4612)] = 114687,
  [SMALL_STATE(4613)] = 114759,
  [SMALL_STATE(4614)] = 114883,
  [SMALL_STATE(4615)] = 114955,
  [SMALL_STATE(4616)] = 115027,
  [SMALL_STATE(4617)] = 115099,
  [SMALL_STATE(4618)] = 115171,
  [SMALL_STATE(4619)] = 115243,
  [SMALL_STATE(4620)] = 115315,
  [SMALL_STATE(4621)] = 115387,
  [SMALL_STATE(4622)] = 115459,
  [SMALL_STATE(4623)] = 115531,
  [SMALL_STATE(4624)] = 115603,
  [SMALL_STATE(4625)] = 115677,
  [SMALL_STATE(4626)] = 115749,
  [SMALL_STATE(4627)] = 115821,
  [SMALL_STATE(4628)] = 115893,
  [SMALL_STATE(4629)] = 115965,
  [SMALL_STATE(4630)] = 116089,
  [SMALL_STATE(4631)] = 116161,
  [SMALL_STATE(4632)] = 116285,
  [SMALL_STATE(4633)] = 116357,
  [SMALL_STATE(4634)] = 116429,
  [SMALL_STATE(4635)] = 116501,
  [SMALL_STATE(4636)] = 116573,
  [SMALL_STATE(4637)] = 116645,
  [SMALL_STATE(4638)] = 116717,
  [SMALL_STATE(4639)] = 116841,
  [SMALL_STATE(4640)] = 116913,
  [SMALL_STATE(4641)] = 116985,
  [SMALL_STATE(4642)] = 117109,
  [SMALL_STATE(4643)] = 117181,
  [SMALL_STATE(4644)] = 117305,
  [SMALL_STATE(4645)] = 117429,
  [SMALL_STATE(4646)] = 117501,
  [SMALL_STATE(4647)] = 117573,
  [SMALL_STATE(4648)] = 117697,
  [SMALL_STATE(4649)] = 117821,
  [SMALL_STATE(4650)] = 117945,
  [SMALL_STATE(4651)] = 118069,
  [SMALL_STATE(4652)] = 118193,
  [SMALL_STATE(4653)] = 118265,
  [SMALL_STATE(4654)] = 118389,
  [SMALL_STATE(4655)] = 118513,
  [SMALL_STATE(4656)] = 118637,
  [SMALL_STATE(4657)] = 118761,
  [SMALL_STATE(4658)] = 118885,
  [SMALL_STATE(4659)] = 119009,
  [SMALL_STATE(4660)] = 119133,
  [SMALL_STATE(4661)] = 119257,
  [SMALL_STATE(4662)] = 119329,
  [SMALL_STATE(4663)] = 119453,
  [SMALL_STATE(4664)] = 119577,
  [SMALL_STATE(4665)] = 119649,
  [SMALL_STATE(4666)] = 119773,
  [SMALL_STATE(4667)] = 119897,
  [SMALL_STATE(4668)] = 120021,
  [SMALL_STATE(4669)] = 120145,
  [SMALL_STATE(4670)] = 120217,
  [SMALL_STATE(4671)] = 120289,
  [SMALL_STATE(4672)] = 120413,
  [SMALL_STATE(4673)] = 120485,
  [SMALL_STATE(4674)] = 120557,
  [SMALL_STATE(4675)] = 120681,
  [SMALL_STATE(4676)] = 120755,
  [SMALL_STATE(4677)] = 120829,
  [SMALL_STATE(4678)] = 120901,
  [SMALL_STATE(4679)] = 120973,
  [SMALL_STATE(4680)] = 121045,
  [SMALL_STATE(4681)] = 121117,
  [SMALL_STATE(4682)] = 121189,
  [SMALL_STATE(4683)] = 121313,
  [SMALL_STATE(4684)] = 121437,
  [SMALL_STATE(4685)] = 121561,
  [SMALL_STATE(4686)] = 121635,
  [SMALL_STATE(4687)] = 121707,
  [SMALL_STATE(4688)] = 121831,
  [SMALL_STATE(4689)] = 121955,
  [SMALL_STATE(4690)] = 122027,
  [SMALL_STATE(4691)] = 122099,
  [SMALL_STATE(4692)] = 122173,
  [SMALL_STATE(4693)] = 122245,
  [SMALL_STATE(4694)] = 122317,
  [SMALL_STATE(4695)] = 122389,
  [SMALL_STATE(4696)] = 122461,
  [SMALL_STATE(4697)] = 122585,
  [SMALL_STATE(4698)] = 122657,
  [SMALL_STATE(4699)] = 122731,
  [SMALL_STATE(4700)] = 122803,
  [SMALL_STATE(4701)] = 122875,
  [SMALL_STATE(4702)] = 122947,
  [SMALL_STATE(4703)] = 123019,
  [SMALL_STATE(4704)] = 123091,
  [SMALL_STATE(4705)] = 123163,
  [SMALL_STATE(4706)] = 123235,
  [SMALL_STATE(4707)] = 123307,
  [SMALL_STATE(4708)] = 123379,
  [SMALL_STATE(4709)] = 123451,
  [SMALL_STATE(4710)] = 123523,
  [SMALL_STATE(4711)] = 123595,
  [SMALL_STATE(4712)] = 123667,
  [SMALL_STATE(4713)] = 123741,
  [SMALL_STATE(4714)] = 123813,
  [SMALL_STATE(4715)] = 123885,
  [SMALL_STATE(4716)] = 123957,
  [SMALL_STATE(4717)] = 124081,
  [SMALL_STATE(4718)] = 124153,
  [SMALL_STATE(4719)] = 124225,
  [SMALL_STATE(4720)] = 124297,
  [SMALL_STATE(4721)] = 124371,
  [SMALL_STATE(4722)] = 124443,
  [SMALL_STATE(4723)] = 124515,
  [SMALL_STATE(4724)] = 124587,
  [SMALL_STATE(4725)] = 124659,
  [SMALL_STATE(4726)] = 124731,
  [SMALL_STATE(4727)] = 124855,
  [SMALL_STATE(4728)] = 124927,
  [SMALL_STATE(4729)] = 124999,
  [SMALL_STATE(4730)] = 125071,
  [SMALL_STATE(4731)] = 125195,
  [SMALL_STATE(4732)] = 125267,
  [SMALL_STATE(4733)] = 125339,
  [SMALL_STATE(4734)] = 125463,
  [SMALL_STATE(4735)] = 125535,
  [SMALL_STATE(4736)] = 125613,
  [SMALL_STATE(4737)] = 125737,
  [SMALL_STATE(4738)] = 125809,
  [SMALL_STATE(4739)] = 125933,
  [SMALL_STATE(4740)] = 126005,
  [SMALL_STATE(4741)] = 126077,
  [SMALL_STATE(4742)] = 126149,
  [SMALL_STATE(4743)] = 126273,
  [SMALL_STATE(4744)] = 126397,
  [SMALL_STATE(4745)] = 126521,
  [SMALL_STATE(4746)] = 126593,
  [SMALL_STATE(4747)] = 126717,
  [SMALL_STATE(4748)] = 126841,
  [SMALL_STATE(4749)] = 126913,
  [SMALL_STATE(4750)] = 126985,
  [SMALL_STATE(4751)] = 127057,
  [SMALL_STATE(4752)] = 127181,
  [SMALL_STATE(4753)] = 127253,
  [SMALL_STATE(4754)] = 127325,
  [SMALL_STATE(4755)] = 127397,
  [SMALL_STATE(4756)] = 127470,
  [SMALL_STATE(4757)] = 127541,
  [SMALL_STATE(4758)] = 127612,
  [SMALL_STATE(4759)] = 127683,
  [SMALL_STATE(4760)] = 127754,
  [SMALL_STATE(4761)] = 127825,
  [SMALL_STATE(4762)] = 127896,
  [SMALL_STATE(4763)] = 127967,
  [SMALL_STATE(4764)] = 128040,
  [SMALL_STATE(4765)] = 128111,
  [SMALL_STATE(4766)] = 128182,
  [SMALL_STATE(4767)] = 128253,
  [SMALL_STATE(4768)] = 128374,
  [SMALL_STATE(4769)] = 128509,
  [SMALL_STATE(4770)] = 128580,
  [SMALL_STATE(4771)] = 128651,
  [SMALL_STATE(4772)] = 128772,
  [SMALL_STATE(4773)] = 128843,
  [SMALL_STATE(4774)] = 128914,
  [SMALL_STATE(4775)] = 128985,
  [SMALL_STATE(4776)] = 129056,
  [SMALL_STATE(4777)] = 129177,
  [SMALL_STATE(4778)] = 129248,
  [SMALL_STATE(4779)] = 129369,
  [SMALL_STATE(4780)] = 129504,
  [SMALL_STATE(4781)] = 129625,
  [SMALL_STATE(4782)] = 129698,
  [SMALL_STATE(4783)] = 129771,
  [SMALL_STATE(4784)] = 129844,
  [SMALL_STATE(4785)] = 129965,
  [SMALL_STATE(4786)] = 130086,
  [SMALL_STATE(4787)] = 130207,
  [SMALL_STATE(4788)] = 130278,
  [SMALL_STATE(4789)] = 130351,
  [SMALL_STATE(4790)] = 130424,
  [SMALL_STATE(4791)] = 130545,
  [SMALL_STATE(4792)] = 130666,
  [SMALL_STATE(4793)] = 130787,
  [SMALL_STATE(4794)] = 130908,
  [SMALL_STATE(4795)] = 131029,
  [SMALL_STATE(4796)] = 131100,
  [SMALL_STATE(4797)] = 131171,
  [SMALL_STATE(4798)] = 131242,
  [SMALL_STATE(4799)] = 131313,
  [SMALL_STATE(4800)] = 131384,
  [SMALL_STATE(4801)] = 131505,
  [SMALL_STATE(4802)] = 131576,
  [SMALL_STATE(4803)] = 131647,
  [SMALL_STATE(4804)] = 131718,
  [SMALL_STATE(4805)] = 131789,
  [SMALL_STATE(4806)] = 131860,
  [SMALL_STATE(4807)] = 131981,
  [SMALL_STATE(4808)] = 132052,
  [SMALL_STATE(4809)] = 132123,
  [SMALL_STATE(4810)] = 132194,
  [SMALL_STATE(4811)] = 132315,
  [SMALL_STATE(4812)] = 132386,
  [SMALL_STATE(4813)] = 132459,
  [SMALL_STATE(4814)] = 132530,
  [SMALL_STATE(4815)] = 132651,
  [SMALL_STATE(4816)] = 132772,
  [SMALL_STATE(4817)] = 132893,
  [SMALL_STATE(4818)] = 132964,
  [SMALL_STATE(4819)] = 133035,
  [SMALL_STATE(4820)] = 133106,
  [SMALL_STATE(4821)] = 133177,
  [SMALL_STATE(4822)] = 133248,
  [SMALL_STATE(4823)] = 133319,
  [SMALL_STATE(4824)] = 133390,
  [SMALL_STATE(4825)] = 133511,
  [SMALL_STATE(4826)] = 133588,
  [SMALL_STATE(4827)] = 133659,
  [SMALL_STATE(4828)] = 133730,
  [SMALL_STATE(4829)] = 133801,
  [SMALL_STATE(4830)] = 133872,
  [SMALL_STATE(4831)] = 133993,
  [SMALL_STATE(4832)] = 134114,
  [SMALL_STATE(4833)] = 134185,
  [SMALL_STATE(4834)] = 134306,
  [SMALL_STATE(4835)] = 134427,
  [SMALL_STATE(4836)] = 134498,
  [SMALL_STATE(4837)] = 134569,
  [SMALL_STATE(4838)] = 134640,
  [SMALL_STATE(4839)] = 134711,
  [SMALL_STATE(4840)] = 134782,
  [SMALL_STATE(4841)] = 134903,
  [SMALL_STATE(4842)] = 134976,
  [SMALL_STATE(4843)] = 135097,
  [SMALL_STATE(4844)] = 135170,
  [SMALL_STATE(4845)] = 135241,
  [SMALL_STATE(4846)] = 135362,
  [SMALL_STATE(4847)] = 135483,
  [SMALL_STATE(4848)] = 135554,
  [SMALL_STATE(4849)] = 135675,
  [SMALL_STATE(4850)] = 135748,
  [SMALL_STATE(4851)] = 135819,
  [SMALL_STATE(4852)] = 135940,
  [SMALL_STATE(4853)] = 136011,
  [SMALL_STATE(4854)] = 136082,
  [SMALL_STATE(4855)] = 136203,
  [SMALL_STATE(4856)] = 136274,
  [SMALL_STATE(4857)] = 136345,
  [SMALL_STATE(4858)] = 136416,
  [SMALL_STATE(4859)] = 136487,
  [SMALL_STATE(4860)] = 136608,
  [SMALL_STATE(4861)] = 136679,
  [SMALL_STATE(4862)] = 136756,
  [SMALL_STATE(4863)] = 136877,
  [SMALL_STATE(4864)] = 136948,
  [SMALL_STATE(4865)] = 137019,
  [SMALL_STATE(4866)] = 137090,
  [SMALL_STATE(4867)] = 137161,
  [SMALL_STATE(4868)] = 137232,
  [SMALL_STATE(4869)] = 137303,
  [SMALL_STATE(4870)] = 137424,
  [SMALL_STATE(4871)] = 137495,
  [SMALL_STATE(4872)] = 137568,
  [SMALL_STATE(4873)] = 137639,
  [SMALL_STATE(4874)] = 137710,
  [SMALL_STATE(4875)] = 137781,
  [SMALL_STATE(4876)] = 137852,
  [SMALL_STATE(4877)] = 137923,
  [SMALL_STATE(4878)] = 137994,
  [SMALL_STATE(4879)] = 138115,
  [SMALL_STATE(4880)] = 138186,
  [SMALL_STATE(4881)] = 138257,
  [SMALL_STATE(4882)] = 138328,
  [SMALL_STATE(4883)] = 138399,
  [SMALL_STATE(4884)] = 138470,
  [SMALL_STATE(4885)] = 138541,
  [SMALL_STATE(4886)] = 138612,
  [SMALL_STATE(4887)] = 138683,
  [SMALL_STATE(4888)] = 138754,
  [SMALL_STATE(4889)] = 138831,
  [SMALL_STATE(4890)] = 138952,
  [SMALL_STATE(4891)] = 139023,
  [SMALL_STATE(4892)] = 139094,
  [SMALL_STATE(4893)] = 139165,
  [SMALL_STATE(4894)] = 139236,
  [SMALL_STATE(4895)] = 139307,
  [SMALL_STATE(4896)] = 139428,
  [SMALL_STATE(4897)] = 139499,
  [SMALL_STATE(4898)] = 139570,
  [SMALL_STATE(4899)] = 139641,
  [SMALL_STATE(4900)] = 139712,
  [SMALL_STATE(4901)] = 139833,
  [SMALL_STATE(4902)] = 139954,
  [SMALL_STATE(4903)] = 140075,
  [SMALL_STATE(4904)] = 140146,
  [SMALL_STATE(4905)] = 140267,
  [SMALL_STATE(4906)] = 140388,
  [SMALL_STATE(4907)] = 140509,
  [SMALL_STATE(4908)] = 140630,
  [SMALL_STATE(4909)] = 140701,
  [SMALL_STATE(4910)] = 140772,
  [SMALL_STATE(4911)] = 140893,
  [SMALL_STATE(4912)] = 140964,
  [SMALL_STATE(4913)] = 141085,
  [SMALL_STATE(4914)] = 141156,
  [SMALL_STATE(4915)] = 141227,
  [SMALL_STATE(4916)] = 141348,
  [SMALL_STATE(4917)] = 141469,
  [SMALL_STATE(4918)] = 141540,
  [SMALL_STATE(4919)] = 141611,
  [SMALL_STATE(4920)] = 141732,
  [SMALL_STATE(4921)] = 141803,
  [SMALL_STATE(4922)] = 141924,
  [SMALL_STATE(4923)] = 141995,
  [SMALL_STATE(4924)] = 142066,
  [SMALL_STATE(4925)] = 142187,
  [SMALL_STATE(4926)] = 142258,
  [SMALL_STATE(4927)] = 142329,
  [SMALL_STATE(4928)] = 142400,
  [SMALL_STATE(4929)] = 142477,
  [SMALL_STATE(4930)] = 142550,
  [SMALL_STATE(4931)] = 142621,
  [SMALL_STATE(4932)] = 142692,
  [SMALL_STATE(4933)] = 142763,
  [SMALL_STATE(4934)] = 142834,
  [SMALL_STATE(4935)] = 142905,
  [SMALL_STATE(4936)] = 142976,
  [SMALL_STATE(4937)] = 143049,
  [SMALL_STATE(4938)] = 143120,
  [SMALL_STATE(4939)] = 143191,
  [SMALL_STATE(4940)] = 143262,
  [SMALL_STATE(4941)] = 143333,
  [SMALL_STATE(4942)] = 143404,
  [SMALL_STATE(4943)] = 143475,
  [SMALL_STATE(4944)] = 143546,
  [SMALL_STATE(4945)] = 143617,
  [SMALL_STATE(4946)] = 143688,
  [SMALL_STATE(4947)] = 143759,
  [SMALL_STATE(4948)] = 143830,
  [SMALL_STATE(4949)] = 143901,
  [SMALL_STATE(4950)] = 143972,
  [SMALL_STATE(4951)] = 144045,
  [SMALL_STATE(4952)] = 144118,
  [SMALL_STATE(4953)] = 144189,
  [SMALL_STATE(4954)] = 144260,
  [SMALL_STATE(4955)] = 144331,
  [SMALL_STATE(4956)] = 144404,
  [SMALL_STATE(4957)] = 144475,
  [SMALL_STATE(4958)] = 144546,
  [SMALL_STATE(4959)] = 144617,
  [SMALL_STATE(4960)] = 144688,
  [SMALL_STATE(4961)] = 144759,
  [SMALL_STATE(4962)] = 144830,
  [SMALL_STATE(4963)] = 144901,
  [SMALL_STATE(4964)] = 144972,
  [SMALL_STATE(4965)] = 145043,
  [SMALL_STATE(4966)] = 145114,
  [SMALL_STATE(4967)] = 145185,
  [SMALL_STATE(4968)] = 145256,
  [SMALL_STATE(4969)] = 145327,
  [SMALL_STATE(4970)] = 145398,
  [SMALL_STATE(4971)] = 145469,
  [SMALL_STATE(4972)] = 145604,
  [SMALL_STATE(4973)] = 145675,
  [SMALL_STATE(4974)] = 145748,
  [SMALL_STATE(4975)] = 145819,
  [SMALL_STATE(4976)] = 145890,
  [SMALL_STATE(4977)] = 145961,
  [SMALL_STATE(4978)] = 146032,
  [SMALL_STATE(4979)] = 146103,
  [SMALL_STATE(4980)] = 146176,
  [SMALL_STATE(4981)] = 146247,
  [SMALL_STATE(4982)] = 146318,
  [SMALL_STATE(4983)] = 146389,
  [SMALL_STATE(4984)] = 146460,
  [SMALL_STATE(4985)] = 146531,
  [SMALL_STATE(4986)] = 146602,
  [SMALL_STATE(4987)] = 146673,
  [SMALL_STATE(4988)] = 146744,
  [SMALL_STATE(4989)] = 146815,
  [SMALL_STATE(4990)] = 146886,
  [SMALL_STATE(4991)] = 146957,
  [SMALL_STATE(4992)] = 147028,
  [SMALL_STATE(4993)] = 147099,
  [SMALL_STATE(4994)] = 147170,
  [SMALL_STATE(4995)] = 147241,
  [SMALL_STATE(4996)] = 147312,
  [SMALL_STATE(4997)] = 147383,
  [SMALL_STATE(4998)] = 147454,
  [SMALL_STATE(4999)] = 147525,
  [SMALL_STATE(5000)] = 147596,
  [SMALL_STATE(5001)] = 147667,
  [SMALL_STATE(5002)] = 147738,
  [SMALL_STATE(5003)] = 147809,
  [SMALL_STATE(5004)] = 147880,
  [SMALL_STATE(5005)] = 147951,
  [SMALL_STATE(5006)] = 148022,
  [SMALL_STATE(5007)] = 148093,
  [SMALL_STATE(5008)] = 148164,
  [SMALL_STATE(5009)] = 148235,
  [SMALL_STATE(5010)] = 148306,
  [SMALL_STATE(5011)] = 148383,
  [SMALL_STATE(5012)] = 148454,
  [SMALL_STATE(5013)] = 148525,
  [SMALL_STATE(5014)] = 148596,
  [SMALL_STATE(5015)] = 148667,
  [SMALL_STATE(5016)] = 148738,
  [SMALL_STATE(5017)] = 148809,
  [SMALL_STATE(5018)] = 148880,
  [SMALL_STATE(5019)] = 148951,
  [SMALL_STATE(5020)] = 149022,
  [SMALL_STATE(5021)] = 149093,
  [SMALL_STATE(5022)] = 149164,
  [SMALL_STATE(5023)] = 149237,
  [SMALL_STATE(5024)] = 149308,
  [SMALL_STATE(5025)] = 149379,
  [SMALL_STATE(5026)] = 149450,
  [SMALL_STATE(5027)] = 149521,
  [SMALL_STATE(5028)] = 149592,
  [SMALL_STATE(5029)] = 149663,
  [SMALL_STATE(5030)] = 149734,
  [SMALL_STATE(5031)] = 149805,
  [SMALL_STATE(5032)] = 149876,
  [SMALL_STATE(5033)] = 149947,
  [SMALL_STATE(5034)] = 150018,
  [SMALL_STATE(5035)] = 150089,
  [SMALL_STATE(5036)] = 150160,
  [SMALL_STATE(5037)] = 150231,
  [SMALL_STATE(5038)] = 150302,
  [SMALL_STATE(5039)] = 150373,
  [SMALL_STATE(5040)] = 150444,
  [SMALL_STATE(5041)] = 150515,
  [SMALL_STATE(5042)] = 150592,
  [SMALL_STATE(5043)] = 150663,
  [SMALL_STATE(5044)] = 150734,
  [SMALL_STATE(5045)] = 150805,
  [SMALL_STATE(5046)] = 150876,
  [SMALL_STATE(5047)] = 150947,
  [SMALL_STATE(5048)] = 151018,
  [SMALL_STATE(5049)] = 151089,
  [SMALL_STATE(5050)] = 151160,
  [SMALL_STATE(5051)] = 151231,
  [SMALL_STATE(5052)] = 151302,
  [SMALL_STATE(5053)] = 151373,
  [SMALL_STATE(5054)] = 151444,
  [SMALL_STATE(5055)] = 151515,
  [SMALL_STATE(5056)] = 151586,
  [SMALL_STATE(5057)] = 151657,
  [SMALL_STATE(5058)] = 151728,
  [SMALL_STATE(5059)] = 151799,
  [SMALL_STATE(5060)] = 151870,
  [SMALL_STATE(5061)] = 151941,
  [SMALL_STATE(5062)] = 152012,
  [SMALL_STATE(5063)] = 152083,
  [SMALL_STATE(5064)] = 152154,
  [SMALL_STATE(5065)] = 152225,
  [SMALL_STATE(5066)] = 152296,
  [SMALL_STATE(5067)] = 152367,
  [SMALL_STATE(5068)] = 152438,
  [SMALL_STATE(5069)] = 152509,
  [SMALL_STATE(5070)] = 152582,
  [SMALL_STATE(5071)] = 152652,
  [SMALL_STATE(5072)] = 152722,
  [SMALL_STATE(5073)] = 152840,
  [SMALL_STATE(5074)] = 152958,
  [SMALL_STATE(5075)] = 153076,
  [SMALL_STATE(5076)] = 153194,
  [SMALL_STATE(5077)] = 153312,
  [SMALL_STATE(5078)] = 153382,
  [SMALL_STATE(5079)] = 153452,
  [SMALL_STATE(5080)] = 153522,
  [SMALL_STATE(5081)] = 153592,
  [SMALL_STATE(5082)] = 153662,
  [SMALL_STATE(5083)] = 153732,
  [SMALL_STATE(5084)] = 153850,
  [SMALL_STATE(5085)] = 153920,
  [SMALL_STATE(5086)] = 153990,
  [SMALL_STATE(5087)] = 154060,
  [SMALL_STATE(5088)] = 154130,
  [SMALL_STATE(5089)] = 154248,
  [SMALL_STATE(5090)] = 154318,
  [SMALL_STATE(5091)] = 154436,
  [SMALL_STATE(5092)] = 154506,
  [SMALL_STATE(5093)] = 154576,
  [SMALL_STATE(5094)] = 154694,
  [SMALL_STATE(5095)] = 154812,
  [SMALL_STATE(5096)] = 154930,
  [SMALL_STATE(5097)] = 155000,
  [SMALL_STATE(5098)] = 155070,
  [SMALL_STATE(5099)] = 155140,
  [SMALL_STATE(5100)] = 155210,
  [SMALL_STATE(5101)] = 155328,
  [SMALL_STATE(5102)] = 155446,
  [SMALL_STATE(5103)] = 155564,
  [SMALL_STATE(5104)] = 155634,
  [SMALL_STATE(5105)] = 155704,
  [SMALL_STATE(5106)] = 155822,
  [SMALL_STATE(5107)] = 155940,
  [SMALL_STATE(5108)] = 156012,
  [SMALL_STATE(5109)] = 156130,
  [SMALL_STATE(5110)] = 156248,
  [SMALL_STATE(5111)] = 156366,
  [SMALL_STATE(5112)] = 156436,
  [SMALL_STATE(5113)] = 156506,
  [SMALL_STATE(5114)] = 156624,
  [SMALL_STATE(5115)] = 156742,
  [SMALL_STATE(5116)] = 156814,
  [SMALL_STATE(5117)] = 156884,
  [SMALL_STATE(5118)] = 156954,
  [SMALL_STATE(5119)] = 157024,
  [SMALL_STATE(5120)] = 157142,
  [SMALL_STATE(5121)] = 157260,
  [SMALL_STATE(5122)] = 157378,
  [SMALL_STATE(5123)] = 157448,
  [SMALL_STATE(5124)] = 157518,
  [SMALL_STATE(5125)] = 157588,
  [SMALL_STATE(5126)] = 157658,
  [SMALL_STATE(5127)] = 157776,
  [SMALL_STATE(5128)] = 157846,
  [SMALL_STATE(5129)] = 157916,
  [SMALL_STATE(5130)] = 157986,
  [SMALL_STATE(5131)] = 158056,
  [SMALL_STATE(5132)] = 158126,
  [SMALL_STATE(5133)] = 158196,
  [SMALL_STATE(5134)] = 158266,
  [SMALL_STATE(5135)] = 158336,
  [SMALL_STATE(5136)] = 158406,
  [SMALL_STATE(5137)] = 158476,
  [SMALL_STATE(5138)] = 158594,
  [SMALL_STATE(5139)] = 158712,
  [SMALL_STATE(5140)] = 158830,
  [SMALL_STATE(5141)] = 158900,
  [SMALL_STATE(5142)] = 158970,
  [SMALL_STATE(5143)] = 159040,
  [SMALL_STATE(5144)] = 159112,
  [SMALL_STATE(5145)] = 159182,
  [SMALL_STATE(5146)] = 159300,
  [SMALL_STATE(5147)] = 159418,
  [SMALL_STATE(5148)] = 159488,
  [SMALL_STATE(5149)] = 159558,
  [SMALL_STATE(5150)] = 159628,
  [SMALL_STATE(5151)] = 159698,
  [SMALL_STATE(5152)] = 159768,
  [SMALL_STATE(5153)] = 159886,
  [SMALL_STATE(5154)] = 160004,
  [SMALL_STATE(5155)] = 160074,
  [SMALL_STATE(5156)] = 160192,
  [SMALL_STATE(5157)] = 160310,
  [SMALL_STATE(5158)] = 160380,
  [SMALL_STATE(5159)] = 160450,
  [SMALL_STATE(5160)] = 160520,
  [SMALL_STATE(5161)] = 160590,
  [SMALL_STATE(5162)] = 160708,
  [SMALL_STATE(5163)] = 160826,
  [SMALL_STATE(5164)] = 160896,
  [SMALL_STATE(5165)] = 160966,
  [SMALL_STATE(5166)] = 161036,
  [SMALL_STATE(5167)] = 161154,
  [SMALL_STATE(5168)] = 161272,
  [SMALL_STATE(5169)] = 161390,
  [SMALL_STATE(5170)] = 161508,
  [SMALL_STATE(5171)] = 161626,
  [SMALL_STATE(5172)] = 161696,
  [SMALL_STATE(5173)] = 161768,
  [SMALL_STATE(5174)] = 161838,
  [SMALL_STATE(5175)] = 161908,
  [SMALL_STATE(5176)] = 162026,
  [SMALL_STATE(5177)] = 162144,
  [SMALL_STATE(5178)] = 162262,
  [SMALL_STATE(5179)] = 162380,
  [SMALL_STATE(5180)] = 162498,
  [SMALL_STATE(5181)] = 162616,
  [SMALL_STATE(5182)] = 162734,
  [SMALL_STATE(5183)] = 162852,
  [SMALL_STATE(5184)] = 162970,
  [SMALL_STATE(5185)] = 163088,
  [SMALL_STATE(5186)] = 163206,
  [SMALL_STATE(5187)] = 163324,
  [SMALL_STATE(5188)] = 163394,
  [SMALL_STATE(5189)] = 163512,
  [SMALL_STATE(5190)] = 163630,
  [SMALL_STATE(5191)] = 163748,
  [SMALL_STATE(5192)] = 163818,
  [SMALL_STATE(5193)] = 163936,
  [SMALL_STATE(5194)] = 164006,
  [SMALL_STATE(5195)] = 164078,
  [SMALL_STATE(5196)] = 164148,
  [SMALL_STATE(5197)] = 164218,
  [SMALL_STATE(5198)] = 164288,
  [SMALL_STATE(5199)] = 164358,
  [SMALL_STATE(5200)] = 164476,
  [SMALL_STATE(5201)] = 164594,
  [SMALL_STATE(5202)] = 164712,
  [SMALL_STATE(5203)] = 164830,
  [SMALL_STATE(5204)] = 164948,
  [SMALL_STATE(5205)] = 165018,
  [SMALL_STATE(5206)] = 165088,
  [SMALL_STATE(5207)] = 165206,
  [SMALL_STATE(5208)] = 165276,
  [SMALL_STATE(5209)] = 165394,
  [SMALL_STATE(5210)] = 165512,
  [SMALL_STATE(5211)] = 165630,
  [SMALL_STATE(5212)] = 165748,
  [SMALL_STATE(5213)] = 165866,
  [SMALL_STATE(5214)] = 165936,
  [SMALL_STATE(5215)] = 166006,
  [SMALL_STATE(5216)] = 166076,
  [SMALL_STATE(5217)] = 166194,
  [SMALL_STATE(5218)] = 166270,
  [SMALL_STATE(5219)] = 166388,
  [SMALL_STATE(5220)] = 166458,
  [SMALL_STATE(5221)] = 166576,
  [SMALL_STATE(5222)] = 166694,
  [SMALL_STATE(5223)] = 166812,
  [SMALL_STATE(5224)] = 166930,
  [SMALL_STATE(5225)] = 167000,
  [SMALL_STATE(5226)] = 167070,
  [SMALL_STATE(5227)] = 167140,
  [SMALL_STATE(5228)] = 167210,
  [SMALL_STATE(5229)] = 167280,
  [SMALL_STATE(5230)] = 167352,
  [SMALL_STATE(5231)] = 167470,
  [SMALL_STATE(5232)] = 167540,
  [SMALL_STATE(5233)] = 167658,
  [SMALL_STATE(5234)] = 167776,
  [SMALL_STATE(5235)] = 167894,
  [SMALL_STATE(5236)] = 168012,
  [SMALL_STATE(5237)] = 168130,
  [SMALL_STATE(5238)] = 168248,
  [SMALL_STATE(5239)] = 168318,
  [SMALL_STATE(5240)] = 168436,
  [SMALL_STATE(5241)] = 168554,
  [SMALL_STATE(5242)] = 168624,
  [SMALL_STATE(5243)] = 168694,
  [SMALL_STATE(5244)] = 168812,
  [SMALL_STATE(5245)] = 168888,
  [SMALL_STATE(5246)] = 168964,
  [SMALL_STATE(5247)] = 169034,
  [SMALL_STATE(5248)] = 169152,
  [SMALL_STATE(5249)] = 169270,
  [SMALL_STATE(5250)] = 169388,
  [SMALL_STATE(5251)] = 169458,
  [SMALL_STATE(5252)] = 169576,
  [SMALL_STATE(5253)] = 169646,
  [SMALL_STATE(5254)] = 169764,
  [SMALL_STATE(5255)] = 169882,
  [SMALL_STATE(5256)] = 170000,
  [SMALL_STATE(5257)] = 170118,
  [SMALL_STATE(5258)] = 170188,
  [SMALL_STATE(5259)] = 170306,
  [SMALL_STATE(5260)] = 170424,
  [SMALL_STATE(5261)] = 170542,
  [SMALL_STATE(5262)] = 170660,
  [SMALL_STATE(5263)] = 170730,
  [SMALL_STATE(5264)] = 170848,
  [SMALL_STATE(5265)] = 170966,
  [SMALL_STATE(5266)] = 171042,
  [SMALL_STATE(5267)] = 171160,
  [SMALL_STATE(5268)] = 171278,
  [SMALL_STATE(5269)] = 171396,
  [SMALL_STATE(5270)] = 171514,
  [SMALL_STATE(5271)] = 171632,
  [SMALL_STATE(5272)] = 171750,
  [SMALL_STATE(5273)] = 171868,
  [SMALL_STATE(5274)] = 171986,
  [SMALL_STATE(5275)] = 172056,
  [SMALL_STATE(5276)] = 172126,
  [SMALL_STATE(5277)] = 172244,
  [SMALL_STATE(5278)] = 172362,
  [SMALL_STATE(5279)] = 172480,
  [SMALL_STATE(5280)] = 172598,
  [SMALL_STATE(5281)] = 172716,
  [SMALL_STATE(5282)] = 172786,
  [SMALL_STATE(5283)] = 172904,
  [SMALL_STATE(5284)] = 173022,
  [SMALL_STATE(5285)] = 173140,
  [SMALL_STATE(5286)] = 173258,
  [SMALL_STATE(5287)] = 173328,
  [SMALL_STATE(5288)] = 173446,
  [SMALL_STATE(5289)] = 173564,
  [SMALL_STATE(5290)] = 173682,
  [SMALL_STATE(5291)] = 173758,
  [SMALL_STATE(5292)] = 173876,
  [SMALL_STATE(5293)] = 173994,
  [SMALL_STATE(5294)] = 174064,
  [SMALL_STATE(5295)] = 174182,
  [SMALL_STATE(5296)] = 174300,
  [SMALL_STATE(5297)] = 174418,
  [SMALL_STATE(5298)] = 174488,
  [SMALL_STATE(5299)] = 174606,
  [SMALL_STATE(5300)] = 174676,
  [SMALL_STATE(5301)] = 174746,
  [SMALL_STATE(5302)] = 174816,
  [SMALL_STATE(5303)] = 174886,
  [SMALL_STATE(5304)] = 174956,
  [SMALL_STATE(5305)] = 175026,
  [SMALL_STATE(5306)] = 175098,
  [SMALL_STATE(5307)] = 175168,
  [SMALL_STATE(5308)] = 175286,
  [SMALL_STATE(5309)] = 175356,
  [SMALL_STATE(5310)] = 175474,
  [SMALL_STATE(5311)] = 175592,
  [SMALL_STATE(5312)] = 175662,
  [SMALL_STATE(5313)] = 175732,
  [SMALL_STATE(5314)] = 175850,
  [SMALL_STATE(5315)] = 175968,
  [SMALL_STATE(5316)] = 176086,
  [SMALL_STATE(5317)] = 176156,
  [SMALL_STATE(5318)] = 176274,
  [SMALL_STATE(5319)] = 176392,
  [SMALL_STATE(5320)] = 176462,
  [SMALL_STATE(5321)] = 176538,
  [SMALL_STATE(5322)] = 176608,
  [SMALL_STATE(5323)] = 176678,
  [SMALL_STATE(5324)] = 176748,
  [SMALL_STATE(5325)] = 176818,
  [SMALL_STATE(5326)] = 176888,
  [SMALL_STATE(5327)] = 176958,
  [SMALL_STATE(5328)] = 177028,
  [SMALL_STATE(5329)] = 177100,
  [SMALL_STATE(5330)] = 177170,
  [SMALL_STATE(5331)] = 177240,
  [SMALL_STATE(5332)] = 177310,
  [SMALL_STATE(5333)] = 177380,
  [SMALL_STATE(5334)] = 177450,
  [SMALL_STATE(5335)] = 177520,
  [SMALL_STATE(5336)] = 177592,
  [SMALL_STATE(5337)] = 177662,
  [SMALL_STATE(5338)] = 177780,
  [SMALL_STATE(5339)] = 177850,
  [SMALL_STATE(5340)] = 177920,
  [SMALL_STATE(5341)] = 177990,
  [SMALL_STATE(5342)] = 178060,
  [SMALL_STATE(5343)] = 178130,
  [SMALL_STATE(5344)] = 178202,
  [SMALL_STATE(5345)] = 178272,
  [SMALL_STATE(5346)] = 178342,
  [SMALL_STATE(5347)] = 178412,
  [SMALL_STATE(5348)] = 178482,
  [SMALL_STATE(5349)] = 178552,
  [SMALL_STATE(5350)] = 178622,
  [SMALL_STATE(5351)] = 178740,
  [SMALL_STATE(5352)] = 178810,
  [SMALL_STATE(5353)] = 178882,
  [SMALL_STATE(5354)] = 179000,
  [SMALL_STATE(5355)] = 179118,
  [SMALL_STATE(5356)] = 179236,
  [SMALL_STATE(5357)] = 179306,
  [SMALL_STATE(5358)] = 179376,
  [SMALL_STATE(5359)] = 179494,
  [SMALL_STATE(5360)] = 179564,
  [SMALL_STATE(5361)] = 179634,
  [SMALL_STATE(5362)] = 179704,
  [SMALL_STATE(5363)] = 179774,
  [SMALL_STATE(5364)] = 179844,
  [SMALL_STATE(5365)] = 179914,
  [SMALL_STATE(5366)] = 180032,
  [SMALL_STATE(5367)] = 180102,
  [SMALL_STATE(5368)] = 180172,
  [SMALL_STATE(5369)] = 180242,
  [SMALL_STATE(5370)] = 180312,
  [SMALL_STATE(5371)] = 180382,
  [SMALL_STATE(5372)] = 180452,
  [SMALL_STATE(5373)] = 180570,
  [SMALL_STATE(5374)] = 180640,
  [SMALL_STATE(5375)] = 180710,
  [SMALL_STATE(5376)] = 180780,
  [SMALL_STATE(5377)] = 180850,
  [SMALL_STATE(5378)] = 180920,
  [SMALL_STATE(5379)] = 180990,
  [SMALL_STATE(5380)] = 181060,
  [SMALL_STATE(5381)] = 181130,
  [SMALL_STATE(5382)] = 181200,
  [SMALL_STATE(5383)] = 181270,
  [SMALL_STATE(5384)] = 181388,
  [SMALL_STATE(5385)] = 181506,
  [SMALL_STATE(5386)] = 181624,
  [SMALL_STATE(5387)] = 181742,
  [SMALL_STATE(5388)] = 181812,
  [SMALL_STATE(5389)] = 181882,
  [SMALL_STATE(5390)] = 181952,
  [SMALL_STATE(5391)] = 182022,
  [SMALL_STATE(5392)] = 182092,
  [SMALL_STATE(5393)] = 182162,
  [SMALL_STATE(5394)] = 182232,
  [SMALL_STATE(5395)] = 182302,
  [SMALL_STATE(5396)] = 182420,
  [SMALL_STATE(5397)] = 182490,
  [SMALL_STATE(5398)] = 182560,
  [SMALL_STATE(5399)] = 182630,
  [SMALL_STATE(5400)] = 182700,
  [SMALL_STATE(5401)] = 182770,
  [SMALL_STATE(5402)] = 182840,
  [SMALL_STATE(5403)] = 182958,
  [SMALL_STATE(5404)] = 183076,
  [SMALL_STATE(5405)] = 183146,
  [SMALL_STATE(5406)] = 183264,
  [SMALL_STATE(5407)] = 183382,
  [SMALL_STATE(5408)] = 183452,
  [SMALL_STATE(5409)] = 183522,
  [SMALL_STATE(5410)] = 183592,
  [SMALL_STATE(5411)] = 183662,
  [SMALL_STATE(5412)] = 183780,
  [SMALL_STATE(5413)] = 183850,
  [SMALL_STATE(5414)] = 183920,
  [SMALL_STATE(5415)] = 183990,
  [SMALL_STATE(5416)] = 184060,
  [SMALL_STATE(5417)] = 184178,
  [SMALL_STATE(5418)] = 184248,
  [SMALL_STATE(5419)] = 184320,
  [SMALL_STATE(5420)] = 184438,
  [SMALL_STATE(5421)] = 184508,
  [SMALL_STATE(5422)] = 184578,
  [SMALL_STATE(5423)] = 184648,
  [SMALL_STATE(5424)] = 184718,
  [SMALL_STATE(5425)] = 184788,
  [SMALL_STATE(5426)] = 184906,
  [SMALL_STATE(5427)] = 184976,
  [SMALL_STATE(5428)] = 185094,
  [SMALL_STATE(5429)] = 185212,
  [SMALL_STATE(5430)] = 185282,
  [SMALL_STATE(5431)] = 185400,
  [SMALL_STATE(5432)] = 185470,
  [SMALL_STATE(5433)] = 185540,
  [SMALL_STATE(5434)] = 185610,
  [SMALL_STATE(5435)] = 185680,
  [SMALL_STATE(5436)] = 185750,
  [SMALL_STATE(5437)] = 185820,
  [SMALL_STATE(5438)] = 185890,
  [SMALL_STATE(5439)] = 185960,
  [SMALL_STATE(5440)] = 186030,
  [SMALL_STATE(5441)] = 186100,
  [SMALL_STATE(5442)] = 186170,
  [SMALL_STATE(5443)] = 186240,
  [SMALL_STATE(5444)] = 186310,
  [SMALL_STATE(5445)] = 186380,
  [SMALL_STATE(5446)] = 186498,
  [SMALL_STATE(5447)] = 186568,
  [SMALL_STATE(5448)] = 186638,
  [SMALL_STATE(5449)] = 186708,
  [SMALL_STATE(5450)] = 186778,
  [SMALL_STATE(5451)] = 186848,
  [SMALL_STATE(5452)] = 186918,
  [SMALL_STATE(5453)] = 186989,
  [SMALL_STATE(5454)] = 187118,
  [SMALL_STATE(5455)] = 187247,
  [SMALL_STATE(5456)] = 187376,
  [SMALL_STATE(5457)] = 187505,
  [SMALL_STATE(5458)] = 187634,
  [SMALL_STATE(5459)] = 187763,
  [SMALL_STATE(5460)] = 187892,
  [SMALL_STATE(5461)] = 188021,
  [SMALL_STATE(5462)] = 188090,
  [SMALL_STATE(5463)] = 188219,
  [SMALL_STATE(5464)] = 188348,
  [SMALL_STATE(5465)] = 188477,
  [SMALL_STATE(5466)] = 188606,
  [SMALL_STATE(5467)] = 188735,
  [SMALL_STATE(5468)] = 188864,
  [SMALL_STATE(5469)] = 188993,
  [SMALL_STATE(5470)] = 189062,
  [SMALL_STATE(5471)] = 189191,
  [SMALL_STATE(5472)] = 189320,
  [SMALL_STATE(5473)] = 189449,
  [SMALL_STATE(5474)] = 189578,
  [SMALL_STATE(5475)] = 189707,
  [SMALL_STATE(5476)] = 189836,
  [SMALL_STATE(5477)] = 189965,
  [SMALL_STATE(5478)] = 190094,
  [SMALL_STATE(5479)] = 190223,
  [SMALL_STATE(5480)] = 190292,
  [SMALL_STATE(5481)] = 190421,
  [SMALL_STATE(5482)] = 190550,
  [SMALL_STATE(5483)] = 190679,
  [SMALL_STATE(5484)] = 190808,
  [SMALL_STATE(5485)] = 190937,
  [SMALL_STATE(5486)] = 191066,
  [SMALL_STATE(5487)] = 191195,
  [SMALL_STATE(5488)] = 191324,
  [SMALL_STATE(5489)] = 191453,
  [SMALL_STATE(5490)] = 191582,
  [SMALL_STATE(5491)] = 191711,
  [SMALL_STATE(5492)] = 191840,
  [SMALL_STATE(5493)] = 191969,
  [SMALL_STATE(5494)] = 192098,
  [SMALL_STATE(5495)] = 192227,
  [SMALL_STATE(5496)] = 192356,
  [SMALL_STATE(5497)] = 192485,
  [SMALL_STATE(5498)] = 192614,
  [SMALL_STATE(5499)] = 192743,
  [SMALL_STATE(5500)] = 192872,
  [SMALL_STATE(5501)] = 193001,
  [SMALL_STATE(5502)] = 193130,
  [SMALL_STATE(5503)] = 193259,
  [SMALL_STATE(5504)] = 193388,
  [SMALL_STATE(5505)] = 193517,
  [SMALL_STATE(5506)] = 193646,
  [SMALL_STATE(5507)] = 193775,
  [SMALL_STATE(5508)] = 193846,
  [SMALL_STATE(5509)] = 193975,
  [SMALL_STATE(5510)] = 194104,
  [SMALL_STATE(5511)] = 194233,
  [SMALL_STATE(5512)] = 194362,
  [SMALL_STATE(5513)] = 194491,
  [SMALL_STATE(5514)] = 194620,
  [SMALL_STATE(5515)] = 194749,
  [SMALL_STATE(5516)] = 194820,
  [SMALL_STATE(5517)] = 194949,
  [SMALL_STATE(5518)] = 195078,
  [SMALL_STATE(5519)] = 195207,
  [SMALL_STATE(5520)] = 195336,
  [SMALL_STATE(5521)] = 195465,
  [SMALL_STATE(5522)] = 195594,
  [SMALL_STATE(5523)] = 195723,
  [SMALL_STATE(5524)] = 195852,
  [SMALL_STATE(5525)] = 195981,
  [SMALL_STATE(5526)] = 196110,
  [SMALL_STATE(5527)] = 196239,
  [SMALL_STATE(5528)] = 196308,
  [SMALL_STATE(5529)] = 196437,
  [SMALL_STATE(5530)] = 196566,
  [SMALL_STATE(5531)] = 196695,
  [SMALL_STATE(5532)] = 196824,
  [SMALL_STATE(5533)] = 196950,
  [SMALL_STATE(5534)] = 197076,
  [SMALL_STATE(5535)] = 197202,
  [SMALL_STATE(5536)] = 197328,
  [SMALL_STATE(5537)] = 197454,
  [SMALL_STATE(5538)] = 197580,
  [SMALL_STATE(5539)] = 197706,
  [SMALL_STATE(5540)] = 197832,
  [SMALL_STATE(5541)] = 197958,
  [SMALL_STATE(5542)] = 198084,
  [SMALL_STATE(5543)] = 198210,
  [SMALL_STATE(5544)] = 198336,
  [SMALL_STATE(5545)] = 198462,
  [SMALL_STATE(5546)] = 198588,
  [SMALL_STATE(5547)] = 198714,
  [SMALL_STATE(5548)] = 198840,
  [SMALL_STATE(5549)] = 198966,
  [SMALL_STATE(5550)] = 199092,
  [SMALL_STATE(5551)] = 199218,
  [SMALL_STATE(5552)] = 199344,
  [SMALL_STATE(5553)] = 199470,
  [SMALL_STATE(5554)] = 199596,
  [SMALL_STATE(5555)] = 199722,
  [SMALL_STATE(5556)] = 199792,
  [SMALL_STATE(5557)] = 199918,
  [SMALL_STATE(5558)] = 200044,
  [SMALL_STATE(5559)] = 200170,
  [SMALL_STATE(5560)] = 200296,
  [SMALL_STATE(5561)] = 200364,
  [SMALL_STATE(5562)] = 200434,
  [SMALL_STATE(5563)] = 200560,
  [SMALL_STATE(5564)] = 200686,
  [SMALL_STATE(5565)] = 200812,
  [SMALL_STATE(5566)] = 200938,
  [SMALL_STATE(5567)] = 201064,
  [SMALL_STATE(5568)] = 201190,
  [SMALL_STATE(5569)] = 201316,
  [SMALL_STATE(5570)] = 201442,
  [SMALL_STATE(5571)] = 201568,
  [SMALL_STATE(5572)] = 201694,
  [SMALL_STATE(5573)] = 201820,
  [SMALL_STATE(5574)] = 201946,
  [SMALL_STATE(5575)] = 202072,
  [SMALL_STATE(5576)] = 202198,
  [SMALL_STATE(5577)] = 202324,
  [SMALL_STATE(5578)] = 202450,
  [SMALL_STATE(5579)] = 202576,
  [SMALL_STATE(5580)] = 202702,
  [SMALL_STATE(5581)] = 202770,
  [SMALL_STATE(5582)] = 202896,
  [SMALL_STATE(5583)] = 203022,
  [SMALL_STATE(5584)] = 203148,
  [SMALL_STATE(5585)] = 203274,
  [SMALL_STATE(5586)] = 203400,
  [SMALL_STATE(5587)] = 203526,
  [SMALL_STATE(5588)] = 203596,
  [SMALL_STATE(5589)] = 203722,
  [SMALL_STATE(5590)] = 203848,
  [SMALL_STATE(5591)] = 203974,
  [SMALL_STATE(5592)] = 204100,
  [SMALL_STATE(5593)] = 204226,
  [SMALL_STATE(5594)] = 204294,
  [SMALL_STATE(5595)] = 204420,
  [SMALL_STATE(5596)] = 204546,
  [SMALL_STATE(5597)] = 204672,
  [SMALL_STATE(5598)] = 204798,
  [SMALL_STATE(5599)] = 204924,
  [SMALL_STATE(5600)] = 205050,
  [SMALL_STATE(5601)] = 205176,
  [SMALL_STATE(5602)] = 205302,
  [SMALL_STATE(5603)] = 205428,
  [SMALL_STATE(5604)] = 205554,
  [SMALL_STATE(5605)] = 205680,
  [SMALL_STATE(5606)] = 205806,
  [SMALL_STATE(5607)] = 205932,
  [SMALL_STATE(5608)] = 206000,
  [SMALL_STATE(5609)] = 206126,
  [SMALL_STATE(5610)] = 206249,
  [SMALL_STATE(5611)] = 206372,
  [SMALL_STATE(5612)] = 206495,
  [SMALL_STATE(5613)] = 206618,
  [SMALL_STATE(5614)] = 206733,
  [SMALL_STATE(5615)] = 206800,
  [SMALL_STATE(5616)] = 206923,
  [SMALL_STATE(5617)] = 207046,
  [SMALL_STATE(5618)] = 207169,
  [SMALL_STATE(5619)] = 207292,
  [SMALL_STATE(5620)] = 207415,
  [SMALL_STATE(5621)] = 207538,
  [SMALL_STATE(5622)] = 207661,
  [SMALL_STATE(5623)] = 207784,
  [SMALL_STATE(5624)] = 207907,
  [SMALL_STATE(5625)] = 208030,
  [SMALL_STATE(5626)] = 208153,
  [SMALL_STATE(5627)] = 208276,
  [SMALL_STATE(5628)] = 208397,
  [SMALL_STATE(5629)] = 208518,
  [SMALL_STATE(5630)] = 208585,
  [SMALL_STATE(5631)] = 208708,
  [SMALL_STATE(5632)] = 208831,
  [SMALL_STATE(5633)] = 208954,
  [SMALL_STATE(5634)] = 209077,
  [SMALL_STATE(5635)] = 209200,
  [SMALL_STATE(5636)] = 209323,
  [SMALL_STATE(5637)] = 209446,
  [SMALL_STATE(5638)] = 209569,
  [SMALL_STATE(5639)] = 209692,
  [SMALL_STATE(5640)] = 209815,
  [SMALL_STATE(5641)] = 209936,
  [SMALL_STATE(5642)] = 210059,
  [SMALL_STATE(5643)] = 210182,
  [SMALL_STATE(5644)] = 210305,
  [SMALL_STATE(5645)] = 210428,
  [SMALL_STATE(5646)] = 210551,
  [SMALL_STATE(5647)] = 210674,
  [SMALL_STATE(5648)] = 210797,
  [SMALL_STATE(5649)] = 210920,
  [SMALL_STATE(5650)] = 211043,
  [SMALL_STATE(5651)] = 211164,
  [SMALL_STATE(5652)] = 211285,
  [SMALL_STATE(5653)] = 211406,
  [SMALL_STATE(5654)] = 211527,
  [SMALL_STATE(5655)] = 211650,
  [SMALL_STATE(5656)] = 211768,
  [SMALL_STATE(5657)] = 211886,
  [SMALL_STATE(5658)] = 212004,
  [SMALL_STATE(5659)] = 212122,
  [SMALL_STATE(5660)] = 212240,
  [SMALL_STATE(5661)] = 212358,
  [SMALL_STATE(5662)] = 212476,
  [SMALL_STATE(5663)] = 212594,
  [SMALL_STATE(5664)] = 212712,
  [SMALL_STATE(5665)] = 212830,
  [SMALL_STATE(5666)] = 212948,
  [SMALL_STATE(5667)] = 213066,
  [SMALL_STATE(5668)] = 213184,
  [SMALL_STATE(5669)] = 213254,
  [SMALL_STATE(5670)] = 213372,
  [SMALL_STATE(5671)] = 213490,
  [SMALL_STATE(5672)] = 213608,
  [SMALL_STATE(5673)] = 213726,
  [SMALL_STATE(5674)] = 213844,
  [SMALL_STATE(5675)] = 213962,
  [SMALL_STATE(5676)] = 214080,
  [SMALL_STATE(5677)] = 214198,
  [SMALL_STATE(5678)] = 214316,
  [SMALL_STATE(5679)] = 214434,
  [SMALL_STATE(5680)] = 214552,
  [SMALL_STATE(5681)] = 214670,
  [SMALL_STATE(5682)] = 214788,
  [SMALL_STATE(5683)] = 214906,
  [SMALL_STATE(5684)] = 215024,
  [SMALL_STATE(5685)] = 215142,
  [SMALL_STATE(5686)] = 215260,
  [SMALL_STATE(5687)] = 215328,
  [SMALL_STATE(5688)] = 215446,
  [SMALL_STATE(5689)] = 215564,
  [SMALL_STATE(5690)] = 215630,
  [SMALL_STATE(5691)] = 215748,
  [SMALL_STATE(5692)] = 215866,
  [SMALL_STATE(5693)] = 215984,
  [SMALL_STATE(5694)] = 216050,
  [SMALL_STATE(5695)] = 216116,
  [SMALL_STATE(5696)] = 216234,
  [SMALL_STATE(5697)] = 216352,
  [SMALL_STATE(5698)] = 216418,
  [SMALL_STATE(5699)] = 216536,
  [SMALL_STATE(5700)] = 216654,
  [SMALL_STATE(5701)] = 216772,
  [SMALL_STATE(5702)] = 216890,
  [SMALL_STATE(5703)] = 216956,
  [SMALL_STATE(5704)] = 217074,
  [SMALL_STATE(5705)] = 217192,
  [SMALL_STATE(5706)] = 217258,
  [SMALL_STATE(5707)] = 217324,
  [SMALL_STATE(5708)] = 217442,
  [SMALL_STATE(5709)] = 217560,
  [SMALL_STATE(5710)] = 217678,
  [SMALL_STATE(5711)] = 217796,
  [SMALL_STATE(5712)] = 217914,
  [SMALL_STATE(5713)] = 218032,
  [SMALL_STATE(5714)] = 218150,
  [SMALL_STATE(5715)] = 218268,
  [SMALL_STATE(5716)] = 218386,
  [SMALL_STATE(5717)] = 218504,
  [SMALL_STATE(5718)] = 218622,
  [SMALL_STATE(5719)] = 218740,
  [SMALL_STATE(5720)] = 218808,
  [SMALL_STATE(5721)] = 218926,
  [SMALL_STATE(5722)] = 219044,
  [SMALL_STATE(5723)] = 219162,
  [SMALL_STATE(5724)] = 219280,
  [SMALL_STATE(5725)] = 219398,
  [SMALL_STATE(5726)] = 219516,
  [SMALL_STATE(5727)] = 219634,
  [SMALL_STATE(5728)] = 219752,
  [SMALL_STATE(5729)] = 219870,
  [SMALL_STATE(5730)] = 219988,
  [SMALL_STATE(5731)] = 220106,
  [SMALL_STATE(5732)] = 220224,
  [SMALL_STATE(5733)] = 220342,
  [SMALL_STATE(5734)] = 220460,
  [SMALL_STATE(5735)] = 220526,
  [SMALL_STATE(5736)] = 220596,
  [SMALL_STATE(5737)] = 220714,
  [SMALL_STATE(5738)] = 220832,
  [SMALL_STATE(5739)] = 220950,
  [SMALL_STATE(5740)] = 221068,
  [SMALL_STATE(5741)] = 221186,
  [SMALL_STATE(5742)] = 221304,
  [SMALL_STATE(5743)] = 221422,
  [SMALL_STATE(5744)] = 221540,
  [SMALL_STATE(5745)] = 221658,
  [SMALL_STATE(5746)] = 221726,
  [SMALL_STATE(5747)] = 221844,
  [SMALL_STATE(5748)] = 221962,
  [SMALL_STATE(5749)] = 222080,
  [SMALL_STATE(5750)] = 222198,
  [SMALL_STATE(5751)] = 222316,
  [SMALL_STATE(5752)] = 222434,
  [SMALL_STATE(5753)] = 222552,
  [SMALL_STATE(5754)] = 222670,
  [SMALL_STATE(5755)] = 222788,
  [SMALL_STATE(5756)] = 222854,
  [SMALL_STATE(5757)] = 222972,
  [SMALL_STATE(5758)] = 223090,
  [SMALL_STATE(5759)] = 223208,
  [SMALL_STATE(5760)] = 223326,
  [SMALL_STATE(5761)] = 223444,
  [SMALL_STATE(5762)] = 223562,
  [SMALL_STATE(5763)] = 223680,
  [SMALL_STATE(5764)] = 223798,
  [SMALL_STATE(5765)] = 223916,
  [SMALL_STATE(5766)] = 224034,
  [SMALL_STATE(5767)] = 224152,
  [SMALL_STATE(5768)] = 224270,
  [SMALL_STATE(5769)] = 224388,
  [SMALL_STATE(5770)] = 224506,
  [SMALL_STATE(5771)] = 224624,
  [SMALL_STATE(5772)] = 224742,
  [SMALL_STATE(5773)] = 224860,
  [SMALL_STATE(5774)] = 224927,
  [SMALL_STATE(5775)] = 224992,
  [SMALL_STATE(5776)] = 225057,
  [SMALL_STATE(5777)] = 225122,
  [SMALL_STATE(5778)] = 225187,
  [SMALL_STATE(5779)] = 225252,
  [SMALL_STATE(5780)] = 225317,
  [SMALL_STATE(5781)] = 225382,
  [SMALL_STATE(5782)] = 225449,
  [SMALL_STATE(5783)] = 225514,
  [SMALL_STATE(5784)] = 225579,
  [SMALL_STATE(5785)] = 225644,
  [SMALL_STATE(5786)] = 225709,
  [SMALL_STATE(5787)] = 225774,
  [SMALL_STATE(5788)] = 225839,
  [SMALL_STATE(5789)] = 225904,
  [SMALL_STATE(5790)] = 226019,
  [SMALL_STATE(5791)] = 226084,
  [SMALL_STATE(5792)] = 226149,
  [SMALL_STATE(5793)] = 226214,
  [SMALL_STATE(5794)] = 226279,
  [SMALL_STATE(5795)] = 226344,
  [SMALL_STATE(5796)] = 226409,
  [SMALL_STATE(5797)] = 226474,
  [SMALL_STATE(5798)] = 226539,
  [SMALL_STATE(5799)] = 226604,
  [SMALL_STATE(5800)] = 226669,
  [SMALL_STATE(5801)] = 226784,
  [SMALL_STATE(5802)] = 226849,
  [SMALL_STATE(5803)] = 226914,
  [SMALL_STATE(5804)] = 226979,
  [SMALL_STATE(5805)] = 227094,
  [SMALL_STATE(5806)] = 227209,
  [SMALL_STATE(5807)] = 227324,
  [SMALL_STATE(5808)] = 227389,
  [SMALL_STATE(5809)] = 227454,
  [SMALL_STATE(5810)] = 227569,
  [SMALL_STATE(5811)] = 227634,
  [SMALL_STATE(5812)] = 227699,
  [SMALL_STATE(5813)] = 227764,
  [SMALL_STATE(5814)] = 227829,
  [SMALL_STATE(5815)] = 227944,
  [SMALL_STATE(5816)] = 228009,
  [SMALL_STATE(5817)] = 228124,
  [SMALL_STATE(5818)] = 228239,
  [SMALL_STATE(5819)] = 228354,
  [SMALL_STATE(5820)] = 228469,
  [SMALL_STATE(5821)] = 228534,
  [SMALL_STATE(5822)] = 228649,
  [SMALL_STATE(5823)] = 228714,
  [SMALL_STATE(5824)] = 228829,
  [SMALL_STATE(5825)] = 228944,
  [SMALL_STATE(5826)] = 229009,
  [SMALL_STATE(5827)] = 229074,
  [SMALL_STATE(5828)] = 229189,
  [SMALL_STATE(5829)] = 229304,
  [SMALL_STATE(5830)] = 229419,
  [SMALL_STATE(5831)] = 229534,
  [SMALL_STATE(5832)] = 229649,
  [SMALL_STATE(5833)] = 229764,
  [SMALL_STATE(5834)] = 229879,
  [SMALL_STATE(5835)] = 229944,
  [SMALL_STATE(5836)] = 230059,
  [SMALL_STATE(5837)] = 230124,
  [SMALL_STATE(5838)] = 230239,
  [SMALL_STATE(5839)] = 230304,
  [SMALL_STATE(5840)] = 230419,
  [SMALL_STATE(5841)] = 230534,
  [SMALL_STATE(5842)] = 230649,
  [SMALL_STATE(5843)] = 230764,
  [SMALL_STATE(5844)] = 230879,
  [SMALL_STATE(5845)] = 230994,
  [SMALL_STATE(5846)] = 231109,
  [SMALL_STATE(5847)] = 231174,
  [SMALL_STATE(5848)] = 231241,
  [SMALL_STATE(5849)] = 231356,
  [SMALL_STATE(5850)] = 231471,
  [SMALL_STATE(5851)] = 231586,
  [SMALL_STATE(5852)] = 231701,
  [SMALL_STATE(5853)] = 231816,
  [SMALL_STATE(5854)] = 231881,
  [SMALL_STATE(5855)] = 231996,
  [SMALL_STATE(5856)] = 232067,
  [SMALL_STATE(5857)] = 232132,
  [SMALL_STATE(5858)] = 232247,
  [SMALL_STATE(5859)] = 232362,
  [SMALL_STATE(5860)] = 232477,
  [SMALL_STATE(5861)] = 232592,
  [SMALL_STATE(5862)] = 232707,
  [SMALL_STATE(5863)] = 232822,
  [SMALL_STATE(5864)] = 232937,
  [SMALL_STATE(5865)] = 233052,
  [SMALL_STATE(5866)] = 233167,
  [SMALL_STATE(5867)] = 233232,
  [SMALL_STATE(5868)] = 233297,
  [SMALL_STATE(5869)] = 233364,
  [SMALL_STATE(5870)] = 233479,
  [SMALL_STATE(5871)] = 233594,
  [SMALL_STATE(5872)] = 233665,
  [SMALL_STATE(5873)] = 233780,
  [SMALL_STATE(5874)] = 233845,
  [SMALL_STATE(5875)] = 233960,
  [SMALL_STATE(5876)] = 234025,
  [SMALL_STATE(5877)] = 234092,
  [SMALL_STATE(5878)] = 234207,
  [SMALL_STATE(5879)] = 234322,
  [SMALL_STATE(5880)] = 234387,
  [SMALL_STATE(5881)] = 234452,
  [SMALL_STATE(5882)] = 234517,
  [SMALL_STATE(5883)] = 234582,
  [SMALL_STATE(5884)] = 234647,
  [SMALL_STATE(5885)] = 234712,
  [SMALL_STATE(5886)] = 234777,
  [SMALL_STATE(5887)] = 234842,
  [SMALL_STATE(5888)] = 234907,
  [SMALL_STATE(5889)] = 234972,
  [SMALL_STATE(5890)] = 235037,
  [SMALL_STATE(5891)] = 235102,
  [SMALL_STATE(5892)] = 235167,
  [SMALL_STATE(5893)] = 235232,
  [SMALL_STATE(5894)] = 235297,
  [SMALL_STATE(5895)] = 235362,
  [SMALL_STATE(5896)] = 235429,
  [SMALL_STATE(5897)] = 235494,
  [SMALL_STATE(5898)] = 235559,
  [SMALL_STATE(5899)] = 235624,
  [SMALL_STATE(5900)] = 235689,
  [SMALL_STATE(5901)] = 235754,
  [SMALL_STATE(5902)] = 235819,
  [SMALL_STATE(5903)] = 235884,
  [SMALL_STATE(5904)] = 235949,
  [SMALL_STATE(5905)] = 236014,
  [SMALL_STATE(5906)] = 236079,
  [SMALL_STATE(5907)] = 236144,
  [SMALL_STATE(5908)] = 236209,
  [SMALL_STATE(5909)] = 236274,
  [SMALL_STATE(5910)] = 236389,
  [SMALL_STATE(5911)] = 236453,
  [SMALL_STATE(5912)] = 236517,
  [SMALL_STATE(5913)] = 236581,
  [SMALL_STATE(5914)] = 236645,
  [SMALL_STATE(5915)] = 236709,
  [SMALL_STATE(5916)] = 236773,
  [SMALL_STATE(5917)] = 236837,
  [SMALL_STATE(5918)] = 236901,
  [SMALL_STATE(5919)] = 236965,
  [SMALL_STATE(5920)] = 237029,
  [SMALL_STATE(5921)] = 237093,
  [SMALL_STATE(5922)] = 237157,
  [SMALL_STATE(5923)] = 237221,
  [SMALL_STATE(5924)] = 237285,
  [SMALL_STATE(5925)] = 237349,
  [SMALL_STATE(5926)] = 237413,
  [SMALL_STATE(5927)] = 237477,
  [SMALL_STATE(5928)] = 237547,
  [SMALL_STATE(5929)] = 237611,
  [SMALL_STATE(5930)] = 237675,
  [SMALL_STATE(5931)] = 237739,
  [SMALL_STATE(5932)] = 237803,
  [SMALL_STATE(5933)] = 237867,
  [SMALL_STATE(5934)] = 237931,
  [SMALL_STATE(5935)] = 237995,
  [SMALL_STATE(5936)] = 238059,
  [SMALL_STATE(5937)] = 238123,
  [SMALL_STATE(5938)] = 238187,
  [SMALL_STATE(5939)] = 238253,
  [SMALL_STATE(5940)] = 238317,
  [SMALL_STATE(5941)] = 238381,
  [SMALL_STATE(5942)] = 238445,
  [SMALL_STATE(5943)] = 238509,
  [SMALL_STATE(5944)] = 238573,
  [SMALL_STATE(5945)] = 238639,
  [SMALL_STATE(5946)] = 238705,
  [SMALL_STATE(5947)] = 238769,
  [SMALL_STATE(5948)] = 238833,
  [SMALL_STATE(5949)] = 238945,
  [SMALL_STATE(5950)] = 239009,
  [SMALL_STATE(5951)] = 239073,
  [SMALL_STATE(5952)] = 239137,
  [SMALL_STATE(5953)] = 239201,
  [SMALL_STATE(5954)] = 239265,
  [SMALL_STATE(5955)] = 239329,
  [SMALL_STATE(5956)] = 239393,
  [SMALL_STATE(5957)] = 239457,
  [SMALL_STATE(5958)] = 239521,
  [SMALL_STATE(5959)] = 239585,
  [SMALL_STATE(5960)] = 239649,
  [SMALL_STATE(5961)] = 239761,
  [SMALL_STATE(5962)] = 239825,
  [SMALL_STATE(5963)] = 239889,
  [SMALL_STATE(5964)] = 239953,
  [SMALL_STATE(5965)] = 240017,
  [SMALL_STATE(5966)] = 240081,
  [SMALL_STATE(5967)] = 240145,
  [SMALL_STATE(5968)] = 240209,
  [SMALL_STATE(5969)] = 240275,
  [SMALL_STATE(5970)] = 240339,
  [SMALL_STATE(5971)] = 240403,
  [SMALL_STATE(5972)] = 240467,
  [SMALL_STATE(5973)] = 240579,
  [SMALL_STATE(5974)] = 240643,
  [SMALL_STATE(5975)] = 240707,
  [SMALL_STATE(5976)] = 240771,
  [SMALL_STATE(5977)] = 240835,
  [SMALL_STATE(5978)] = 240899,
  [SMALL_STATE(5979)] = 240969,
  [SMALL_STATE(5980)] = 241033,
  [SMALL_STATE(5981)] = 241097,
  [SMALL_STATE(5982)] = 241209,
  [SMALL_STATE(5983)] = 241273,
  [SMALL_STATE(5984)] = 241385,
  [SMALL_STATE(5985)] = 241449,
  [SMALL_STATE(5986)] = 241515,
  [SMALL_STATE(5987)] = 241579,
  [SMALL_STATE(5988)] = 241643,
  [SMALL_STATE(5989)] = 241755,
  [SMALL_STATE(5990)] = 241819,
  [SMALL_STATE(5991)] = 241883,
  [SMALL_STATE(5992)] = 241947,
  [SMALL_STATE(5993)] = 242011,
  [SMALL_STATE(5994)] = 242075,
  [SMALL_STATE(5995)] = 242141,
  [SMALL_STATE(5996)] = 242205,
  [SMALL_STATE(5997)] = 242269,
  [SMALL_STATE(5998)] = 242381,
  [SMALL_STATE(5999)] = 242445,
  [SMALL_STATE(6000)] = 242509,
  [SMALL_STATE(6001)] = 242573,
  [SMALL_STATE(6002)] = 242638,
  [SMALL_STATE(6003)] = 242701,
  [SMALL_STATE(6004)] = 242810,
  [SMALL_STATE(6005)] = 242875,
  [SMALL_STATE(6006)] = 242984,
  [SMALL_STATE(6007)] = 243047,
  [SMALL_STATE(6008)] = 243110,
  [SMALL_STATE(6009)] = 243173,
  [SMALL_STATE(6010)] = 243236,
  [SMALL_STATE(6011)] = 243299,
  [SMALL_STATE(6012)] = 243362,
  [SMALL_STATE(6013)] = 243431,
  [SMALL_STATE(6014)] = 243494,
  [SMALL_STATE(6015)] = 243557,
  [SMALL_STATE(6016)] = 243620,
  [SMALL_STATE(6017)] = 243683,
  [SMALL_STATE(6018)] = 243746,
  [SMALL_STATE(6019)] = 243809,
  [SMALL_STATE(6020)] = 243918,
  [SMALL_STATE(6021)] = 243981,
  [SMALL_STATE(6022)] = 244046,
  [SMALL_STATE(6023)] = 244109,
  [SMALL_STATE(6024)] = 244172,
  [SMALL_STATE(6025)] = 244235,
  [SMALL_STATE(6026)] = 244298,
  [SMALL_STATE(6027)] = 244361,
  [SMALL_STATE(6028)] = 244470,
  [SMALL_STATE(6029)] = 244533,
  [SMALL_STATE(6030)] = 244596,
  [SMALL_STATE(6031)] = 244659,
  [SMALL_STATE(6032)] = 244722,
  [SMALL_STATE(6033)] = 244785,
  [SMALL_STATE(6034)] = 244848,
  [SMALL_STATE(6035)] = 244911,
  [SMALL_STATE(6036)] = 244974,
  [SMALL_STATE(6037)] = 245037,
  [SMALL_STATE(6038)] = 245100,
  [SMALL_STATE(6039)] = 245169,
  [SMALL_STATE(6040)] = 245232,
  [SMALL_STATE(6041)] = 245295,
  [SMALL_STATE(6042)] = 245358,
  [SMALL_STATE(6043)] = 245467,
  [SMALL_STATE(6044)] = 245530,
  [SMALL_STATE(6045)] = 245593,
  [SMALL_STATE(6046)] = 245656,
  [SMALL_STATE(6047)] = 245719,
  [SMALL_STATE(6048)] = 245784,
  [SMALL_STATE(6049)] = 245847,
  [SMALL_STATE(6050)] = 245956,
  [SMALL_STATE(6051)] = 246065,
  [SMALL_STATE(6052)] = 246128,
  [SMALL_STATE(6053)] = 246191,
  [SMALL_STATE(6054)] = 246300,
  [SMALL_STATE(6055)] = 246409,
  [SMALL_STATE(6056)] = 246518,
  [SMALL_STATE(6057)] = 246627,
  [SMALL_STATE(6058)] = 246690,
  [SMALL_STATE(6059)] = 246753,
  [SMALL_STATE(6060)] = 246862,
  [SMALL_STATE(6061)] = 246925,
  [SMALL_STATE(6062)] = 247034,
  [SMALL_STATE(6063)] = 247097,
  [SMALL_STATE(6064)] = 247160,
  [SMALL_STATE(6065)] = 247271,
  [SMALL_STATE(6066)] = 247334,
  [SMALL_STATE(6067)] = 247397,
  [SMALL_STATE(6068)] = 247460,
  [SMALL_STATE(6069)] = 247569,
  [SMALL_STATE(6070)] = 247632,
  [SMALL_STATE(6071)] = 247695,
  [SMALL_STATE(6072)] = 247804,
  [SMALL_STATE(6073)] = 247913,
  [SMALL_STATE(6074)] = 248022,
  [SMALL_STATE(6075)] = 248131,
  [SMALL_STATE(6076)] = 248240,
  [SMALL_STATE(6077)] = 248349,
  [SMALL_STATE(6078)] = 248414,
  [SMALL_STATE(6079)] = 248523,
  [SMALL_STATE(6080)] = 248586,
  [SMALL_STATE(6081)] = 248695,
  [SMALL_STATE(6082)] = 248804,
  [SMALL_STATE(6083)] = 248913,
  [SMALL_STATE(6084)] = 249022,
  [SMALL_STATE(6085)] = 249131,
  [SMALL_STATE(6086)] = 249194,
  [SMALL_STATE(6087)] = 249303,
  [SMALL_STATE(6088)] = 249412,
  [SMALL_STATE(6089)] = 249521,
  [SMALL_STATE(6090)] = 249630,
  [SMALL_STATE(6091)] = 249739,
  [SMALL_STATE(6092)] = 249848,
  [SMALL_STATE(6093)] = 249957,
  [SMALL_STATE(6094)] = 250066,
  [SMALL_STATE(6095)] = 250175,
  [SMALL_STATE(6096)] = 250284,
  [SMALL_STATE(6097)] = 250393,
  [SMALL_STATE(6098)] = 250456,
  [SMALL_STATE(6099)] = 250565,
  [SMALL_STATE(6100)] = 250628,
  [SMALL_STATE(6101)] = 250737,
  [SMALL_STATE(6102)] = 250846,
  [SMALL_STATE(6103)] = 250955,
  [SMALL_STATE(6104)] = 251064,
  [SMALL_STATE(6105)] = 251173,
  [SMALL_STATE(6106)] = 251236,
  [SMALL_STATE(6107)] = 251345,
  [SMALL_STATE(6108)] = 251408,
  [SMALL_STATE(6109)] = 251471,
  [SMALL_STATE(6110)] = 251580,
  [SMALL_STATE(6111)] = 251643,
  [SMALL_STATE(6112)] = 251706,
  [SMALL_STATE(6113)] = 251815,
  [SMALL_STATE(6114)] = 251924,
  [SMALL_STATE(6115)] = 252033,
  [SMALL_STATE(6116)] = 252142,
  [SMALL_STATE(6117)] = 252207,
  [SMALL_STATE(6118)] = 252316,
  [SMALL_STATE(6119)] = 252425,
  [SMALL_STATE(6120)] = 252536,
  [SMALL_STATE(6121)] = 252645,
  [SMALL_STATE(6122)] = 252756,
  [SMALL_STATE(6123)] = 252865,
  [SMALL_STATE(6124)] = 252974,
  [SMALL_STATE(6125)] = 253037,
  [SMALL_STATE(6126)] = 253146,
  [SMALL_STATE(6127)] = 253209,
  [SMALL_STATE(6128)] = 253272,
  [SMALL_STATE(6129)] = 253335,
  [SMALL_STATE(6130)] = 253444,
  [SMALL_STATE(6131)] = 253507,
  [SMALL_STATE(6132)] = 253616,
  [SMALL_STATE(6133)] = 253679,
  [SMALL_STATE(6134)] = 253742,
  [SMALL_STATE(6135)] = 253805,
  [SMALL_STATE(6136)] = 253868,
  [SMALL_STATE(6137)] = 253931,
  [SMALL_STATE(6138)] = 253996,
  [SMALL_STATE(6139)] = 254059,
  [SMALL_STATE(6140)] = 254122,
  [SMALL_STATE(6141)] = 254185,
  [SMALL_STATE(6142)] = 254250,
  [SMALL_STATE(6143)] = 254315,
  [SMALL_STATE(6144)] = 254378,
  [SMALL_STATE(6145)] = 254441,
  [SMALL_STATE(6146)] = 254504,
  [SMALL_STATE(6147)] = 254567,
  [SMALL_STATE(6148)] = 254630,
  [SMALL_STATE(6149)] = 254693,
  [SMALL_STATE(6150)] = 254756,
  [SMALL_STATE(6151)] = 254819,
  [SMALL_STATE(6152)] = 254882,
  [SMALL_STATE(6153)] = 254945,
  [SMALL_STATE(6154)] = 255008,
  [SMALL_STATE(6155)] = 255071,
  [SMALL_STATE(6156)] = 255134,
  [SMALL_STATE(6157)] = 255197,
  [SMALL_STATE(6158)] = 255262,
  [SMALL_STATE(6159)] = 255325,
  [SMALL_STATE(6160)] = 255434,
  [SMALL_STATE(6161)] = 255543,
  [SMALL_STATE(6162)] = 255605,
  [SMALL_STATE(6163)] = 255667,
  [SMALL_STATE(6164)] = 255729,
  [SMALL_STATE(6165)] = 255791,
  [SMALL_STATE(6166)] = 255855,
  [SMALL_STATE(6167)] = 255917,
  [SMALL_STATE(6168)] = 255979,
  [SMALL_STATE(6169)] = 256041,
  [SMALL_STATE(6170)] = 256103,
  [SMALL_STATE(6171)] = 256165,
  [SMALL_STATE(6172)] = 256227,
  [SMALL_STATE(6173)] = 256289,
  [SMALL_STATE(6174)] = 256351,
  [SMALL_STATE(6175)] = 256413,
  [SMALL_STATE(6176)] = 256475,
  [SMALL_STATE(6177)] = 256537,
  [SMALL_STATE(6178)] = 256599,
  [SMALL_STATE(6179)] = 256661,
  [SMALL_STATE(6180)] = 256723,
  [SMALL_STATE(6181)] = 256785,
  [SMALL_STATE(6182)] = 256847,
  [SMALL_STATE(6183)] = 256909,
  [SMALL_STATE(6184)] = 256973,
  [SMALL_STATE(6185)] = 257035,
  [SMALL_STATE(6186)] = 257097,
  [SMALL_STATE(6187)] = 257159,
  [SMALL_STATE(6188)] = 257221,
  [SMALL_STATE(6189)] = 257283,
  [SMALL_STATE(6190)] = 257345,
  [SMALL_STATE(6191)] = 257407,
  [SMALL_STATE(6192)] = 257469,
  [SMALL_STATE(6193)] = 257533,
  [SMALL_STATE(6194)] = 257595,
  [SMALL_STATE(6195)] = 257657,
  [SMALL_STATE(6196)] = 257719,
  [SMALL_STATE(6197)] = 257781,
  [SMALL_STATE(6198)] = 257843,
  [SMALL_STATE(6199)] = 257905,
  [SMALL_STATE(6200)] = 257969,
  [SMALL_STATE(6201)] = 258031,
  [SMALL_STATE(6202)] = 258093,
  [SMALL_STATE(6203)] = 258161,
  [SMALL_STATE(6204)] = 258223,
  [SMALL_STATE(6205)] = 258285,
  [SMALL_STATE(6206)] = 258347,
  [SMALL_STATE(6207)] = 258409,
  [SMALL_STATE(6208)] = 258471,
  [SMALL_STATE(6209)] = 258533,
  [SMALL_STATE(6210)] = 258595,
  [SMALL_STATE(6211)] = 258657,
  [SMALL_STATE(6212)] = 258719,
  [SMALL_STATE(6213)] = 258781,
  [SMALL_STATE(6214)] = 258843,
  [SMALL_STATE(6215)] = 258905,
  [SMALL_STATE(6216)] = 258969,
  [SMALL_STATE(6217)] = 259033,
  [SMALL_STATE(6218)] = 259101,
  [SMALL_STATE(6219)] = 259163,
  [SMALL_STATE(6220)] = 259225,
  [SMALL_STATE(6221)] = 259289,
  [SMALL_STATE(6222)] = 259353,
  [SMALL_STATE(6223)] = 259415,
  [SMALL_STATE(6224)] = 259479,
  [SMALL_STATE(6225)] = 259541,
  [SMALL_STATE(6226)] = 259603,
  [SMALL_STATE(6227)] = 259665,
  [SMALL_STATE(6228)] = 259727,
  [SMALL_STATE(6229)] = 259789,
  [SMALL_STATE(6230)] = 259851,
  [SMALL_STATE(6231)] = 259915,
  [SMALL_STATE(6232)] = 259979,
  [SMALL_STATE(6233)] = 260041,
  [SMALL_STATE(6234)] = 260103,
  [SMALL_STATE(6235)] = 260165,
  [SMALL_STATE(6236)] = 260229,
  [SMALL_STATE(6237)] = 260291,
  [SMALL_STATE(6238)] = 260355,
  [SMALL_STATE(6239)] = 260417,
  [SMALL_STATE(6240)] = 260479,
  [SMALL_STATE(6241)] = 260541,
  [SMALL_STATE(6242)] = 260603,
  [SMALL_STATE(6243)] = 260665,
  [SMALL_STATE(6244)] = 260727,
  [SMALL_STATE(6245)] = 260789,
  [SMALL_STATE(6246)] = 260851,
  [SMALL_STATE(6247)] = 260913,
  [SMALL_STATE(6248)] = 260981,
  [SMALL_STATE(6249)] = 261043,
  [SMALL_STATE(6250)] = 261105,
  [SMALL_STATE(6251)] = 261167,
  [SMALL_STATE(6252)] = 261229,
  [SMALL_STATE(6253)] = 261291,
  [SMALL_STATE(6254)] = 261353,
  [SMALL_STATE(6255)] = 261415,
  [SMALL_STATE(6256)] = 261477,
  [SMALL_STATE(6257)] = 261539,
  [SMALL_STATE(6258)] = 261601,
  [SMALL_STATE(6259)] = 261663,
  [SMALL_STATE(6260)] = 261725,
  [SMALL_STATE(6261)] = 261787,
  [SMALL_STATE(6262)] = 261855,
  [SMALL_STATE(6263)] = 261917,
  [SMALL_STATE(6264)] = 261979,
  [SMALL_STATE(6265)] = 262041,
  [SMALL_STATE(6266)] = 262103,
  [SMALL_STATE(6267)] = 262165,
  [SMALL_STATE(6268)] = 262227,
  [SMALL_STATE(6269)] = 262289,
  [SMALL_STATE(6270)] = 262351,
  [SMALL_STATE(6271)] = 262413,
  [SMALL_STATE(6272)] = 262475,
  [SMALL_STATE(6273)] = 262537,
  [SMALL_STATE(6274)] = 262599,
  [SMALL_STATE(6275)] = 262661,
  [SMALL_STATE(6276)] = 262723,
  [SMALL_STATE(6277)] = 262785,
  [SMALL_STATE(6278)] = 262847,
  [SMALL_STATE(6279)] = 262909,
  [SMALL_STATE(6280)] = 262971,
  [SMALL_STATE(6281)] = 263033,
  [SMALL_STATE(6282)] = 263095,
  [SMALL_STATE(6283)] = 263157,
  [SMALL_STATE(6284)] = 263219,
  [SMALL_STATE(6285)] = 263281,
  [SMALL_STATE(6286)] = 263343,
  [SMALL_STATE(6287)] = 263405,
  [SMALL_STATE(6288)] = 263469,
  [SMALL_STATE(6289)] = 263531,
  [SMALL_STATE(6290)] = 263593,
  [SMALL_STATE(6291)] = 263655,
  [SMALL_STATE(6292)] = 263717,
  [SMALL_STATE(6293)] = 263779,
  [SMALL_STATE(6294)] = 263841,
  [SMALL_STATE(6295)] = 263903,
  [SMALL_STATE(6296)] = 263965,
  [SMALL_STATE(6297)] = 264027,
  [SMALL_STATE(6298)] = 264089,
  [SMALL_STATE(6299)] = 264151,
  [SMALL_STATE(6300)] = 264213,
  [SMALL_STATE(6301)] = 264275,
  [SMALL_STATE(6302)] = 264337,
  [SMALL_STATE(6303)] = 264399,
  [SMALL_STATE(6304)] = 264461,
  [SMALL_STATE(6305)] = 264523,
  [SMALL_STATE(6306)] = 264585,
  [SMALL_STATE(6307)] = 264647,
  [SMALL_STATE(6308)] = 264709,
  [SMALL_STATE(6309)] = 264771,
  [SMALL_STATE(6310)] = 264833,
  [SMALL_STATE(6311)] = 264895,
  [SMALL_STATE(6312)] = 264957,
  [SMALL_STATE(6313)] = 265019,
  [SMALL_STATE(6314)] = 265081,
  [SMALL_STATE(6315)] = 265143,
  [SMALL_STATE(6316)] = 265205,
  [SMALL_STATE(6317)] = 265267,
  [SMALL_STATE(6318)] = 265329,
  [SMALL_STATE(6319)] = 265391,
  [SMALL_STATE(6320)] = 265453,
  [SMALL_STATE(6321)] = 265515,
  [SMALL_STATE(6322)] = 265577,
  [SMALL_STATE(6323)] = 265639,
  [SMALL_STATE(6324)] = 265701,
  [SMALL_STATE(6325)] = 265763,
  [SMALL_STATE(6326)] = 265825,
  [SMALL_STATE(6327)] = 265887,
  [SMALL_STATE(6328)] = 265949,
  [SMALL_STATE(6329)] = 266011,
  [SMALL_STATE(6330)] = 266073,
  [SMALL_STATE(6331)] = 266135,
  [SMALL_STATE(6332)] = 266197,
  [SMALL_STATE(6333)] = 266259,
  [SMALL_STATE(6334)] = 266321,
  [SMALL_STATE(6335)] = 266383,
  [SMALL_STATE(6336)] = 266445,
  [SMALL_STATE(6337)] = 266507,
  [SMALL_STATE(6338)] = 266569,
  [SMALL_STATE(6339)] = 266633,
  [SMALL_STATE(6340)] = 266695,
  [SMALL_STATE(6341)] = 266757,
  [SMALL_STATE(6342)] = 266819,
  [SMALL_STATE(6343)] = 266881,
  [SMALL_STATE(6344)] = 266942,
  [SMALL_STATE(6345)] = 267003,
  [SMALL_STATE(6346)] = 267064,
  [SMALL_STATE(6347)] = 267127,
  [SMALL_STATE(6348)] = 267188,
  [SMALL_STATE(6349)] = 267249,
  [SMALL_STATE(6350)] = 267310,
  [SMALL_STATE(6351)] = 267371,
  [SMALL_STATE(6352)] = 267432,
  [SMALL_STATE(6353)] = 267493,
  [SMALL_STATE(6354)] = 267554,
  [SMALL_STATE(6355)] = 267615,
  [SMALL_STATE(6356)] = 267676,
  [SMALL_STATE(6357)] = 267737,
  [SMALL_STATE(6358)] = 267798,
  [SMALL_STATE(6359)] = 267861,
  [SMALL_STATE(6360)] = 267922,
  [SMALL_STATE(6361)] = 267985,
  [SMALL_STATE(6362)] = 268046,
  [SMALL_STATE(6363)] = 268107,
  [SMALL_STATE(6364)] = 268168,
  [SMALL_STATE(6365)] = 268229,
  [SMALL_STATE(6366)] = 268292,
  [SMALL_STATE(6367)] = 268353,
  [SMALL_STATE(6368)] = 268414,
  [SMALL_STATE(6369)] = 268475,
  [SMALL_STATE(6370)] = 268536,
  [SMALL_STATE(6371)] = 268597,
  [SMALL_STATE(6372)] = 268658,
  [SMALL_STATE(6373)] = 268719,
  [SMALL_STATE(6374)] = 268780,
  [SMALL_STATE(6375)] = 268841,
  [SMALL_STATE(6376)] = 268902,
  [SMALL_STATE(6377)] = 268963,
  [SMALL_STATE(6378)] = 269024,
  [SMALL_STATE(6379)] = 269085,
  [SMALL_STATE(6380)] = 269146,
  [SMALL_STATE(6381)] = 269207,
  [SMALL_STATE(6382)] = 269268,
  [SMALL_STATE(6383)] = 269329,
  [SMALL_STATE(6384)] = 269390,
  [SMALL_STATE(6385)] = 269451,
  [SMALL_STATE(6386)] = 269512,
  [SMALL_STATE(6387)] = 269573,
  [SMALL_STATE(6388)] = 269634,
  [SMALL_STATE(6389)] = 269695,
  [SMALL_STATE(6390)] = 269756,
  [SMALL_STATE(6391)] = 269817,
  [SMALL_STATE(6392)] = 269878,
  [SMALL_STATE(6393)] = 269939,
  [SMALL_STATE(6394)] = 270000,
  [SMALL_STATE(6395)] = 270061,
  [SMALL_STATE(6396)] = 270122,
  [SMALL_STATE(6397)] = 270183,
  [SMALL_STATE(6398)] = 270244,
  [SMALL_STATE(6399)] = 270305,
  [SMALL_STATE(6400)] = 270366,
  [SMALL_STATE(6401)] = 270427,
  [SMALL_STATE(6402)] = 270488,
  [SMALL_STATE(6403)] = 270549,
  [SMALL_STATE(6404)] = 270610,
  [SMALL_STATE(6405)] = 270671,
  [SMALL_STATE(6406)] = 270732,
  [SMALL_STATE(6407)] = 270793,
  [SMALL_STATE(6408)] = 270854,
  [SMALL_STATE(6409)] = 270915,
  [SMALL_STATE(6410)] = 270976,
  [SMALL_STATE(6411)] = 271037,
  [SMALL_STATE(6412)] = 271098,
  [SMALL_STATE(6413)] = 271159,
  [SMALL_STATE(6414)] = 271222,
  [SMALL_STATE(6415)] = 271283,
  [SMALL_STATE(6416)] = 271344,
  [SMALL_STATE(6417)] = 271405,
  [SMALL_STATE(6418)] = 271466,
  [SMALL_STATE(6419)] = 271527,
  [SMALL_STATE(6420)] = 271588,
  [SMALL_STATE(6421)] = 271649,
  [SMALL_STATE(6422)] = 271710,
  [SMALL_STATE(6423)] = 271771,
  [SMALL_STATE(6424)] = 271832,
  [SMALL_STATE(6425)] = 271893,
  [SMALL_STATE(6426)] = 271954,
  [SMALL_STATE(6427)] = 272015,
  [SMALL_STATE(6428)] = 272076,
  [SMALL_STATE(6429)] = 272137,
  [SMALL_STATE(6430)] = 272198,
  [SMALL_STATE(6431)] = 272259,
  [SMALL_STATE(6432)] = 272320,
  [SMALL_STATE(6433)] = 272381,
  [SMALL_STATE(6434)] = 272442,
  [SMALL_STATE(6435)] = 272503,
  [SMALL_STATE(6436)] = 272564,
  [SMALL_STATE(6437)] = 272625,
  [SMALL_STATE(6438)] = 272686,
  [SMALL_STATE(6439)] = 272747,
  [SMALL_STATE(6440)] = 272808,
  [SMALL_STATE(6441)] = 272869,
  [SMALL_STATE(6442)] = 272930,
  [SMALL_STATE(6443)] = 272991,
  [SMALL_STATE(6444)] = 273052,
  [SMALL_STATE(6445)] = 273113,
  [SMALL_STATE(6446)] = 273174,
  [SMALL_STATE(6447)] = 273235,
  [SMALL_STATE(6448)] = 273296,
  [SMALL_STATE(6449)] = 273359,
  [SMALL_STATE(6450)] = 273420,
  [SMALL_STATE(6451)] = 273481,
  [SMALL_STATE(6452)] = 273542,
  [SMALL_STATE(6453)] = 273603,
  [SMALL_STATE(6454)] = 273664,
  [SMALL_STATE(6455)] = 273725,
  [SMALL_STATE(6456)] = 273792,
  [SMALL_STATE(6457)] = 273853,
  [SMALL_STATE(6458)] = 273916,
  [SMALL_STATE(6459)] = 273977,
  [SMALL_STATE(6460)] = 274038,
  [SMALL_STATE(6461)] = 274099,
  [SMALL_STATE(6462)] = 274160,
  [SMALL_STATE(6463)] = 274221,
  [SMALL_STATE(6464)] = 274282,
  [SMALL_STATE(6465)] = 274343,
  [SMALL_STATE(6466)] = 274404,
  [SMALL_STATE(6467)] = 274467,
  [SMALL_STATE(6468)] = 274528,
  [SMALL_STATE(6469)] = 274589,
  [SMALL_STATE(6470)] = 274650,
  [SMALL_STATE(6471)] = 274711,
  [SMALL_STATE(6472)] = 274772,
  [SMALL_STATE(6473)] = 274835,
  [SMALL_STATE(6474)] = 274896,
  [SMALL_STATE(6475)] = 274957,
  [SMALL_STATE(6476)] = 275018,
  [SMALL_STATE(6477)] = 275079,
  [SMALL_STATE(6478)] = 275140,
  [SMALL_STATE(6479)] = 275201,
  [SMALL_STATE(6480)] = 275262,
  [SMALL_STATE(6481)] = 275323,
  [SMALL_STATE(6482)] = 275384,
  [SMALL_STATE(6483)] = 275451,
  [SMALL_STATE(6484)] = 275512,
  [SMALL_STATE(6485)] = 275573,
  [SMALL_STATE(6486)] = 275634,
  [SMALL_STATE(6487)] = 275695,
  [SMALL_STATE(6488)] = 275756,
  [SMALL_STATE(6489)] = 275817,
  [SMALL_STATE(6490)] = 275878,
  [SMALL_STATE(6491)] = 275939,
  [SMALL_STATE(6492)] = 276000,
  [SMALL_STATE(6493)] = 276061,
  [SMALL_STATE(6494)] = 276122,
  [SMALL_STATE(6495)] = 276185,
  [SMALL_STATE(6496)] = 276250,
  [SMALL_STATE(6497)] = 276311,
  [SMALL_STATE(6498)] = 276372,
  [SMALL_STATE(6499)] = 276435,
  [SMALL_STATE(6500)] = 276496,
  [SMALL_STATE(6501)] = 276556,
  [SMALL_STATE(6502)] = 276616,
  [SMALL_STATE(6503)] = 276676,
  [SMALL_STATE(6504)] = 276736,
  [SMALL_STATE(6505)] = 276796,
  [SMALL_STATE(6506)] = 276858,
  [SMALL_STATE(6507)] = 276918,
  [SMALL_STATE(6508)] = 276978,
  [SMALL_STATE(6509)] = 277038,
  [SMALL_STATE(6510)] = 277098,
  [SMALL_STATE(6511)] = 277158,
  [SMALL_STATE(6512)] = 277218,
  [SMALL_STATE(6513)] = 277278,
  [SMALL_STATE(6514)] = 277338,
  [SMALL_STATE(6515)] = 277398,
  [SMALL_STATE(6516)] = 277458,
  [SMALL_STATE(6517)] = 277518,
  [SMALL_STATE(6518)] = 277578,
  [SMALL_STATE(6519)] = 277638,
  [SMALL_STATE(6520)] = 277698,
  [SMALL_STATE(6521)] = 277758,
  [SMALL_STATE(6522)] = 277818,
  [SMALL_STATE(6523)] = 277878,
  [SMALL_STATE(6524)] = 277938,
  [SMALL_STATE(6525)] = 277998,
  [SMALL_STATE(6526)] = 278058,
  [SMALL_STATE(6527)] = 278118,
  [SMALL_STATE(6528)] = 278178,
  [SMALL_STATE(6529)] = 278238,
  [SMALL_STATE(6530)] = 278298,
  [SMALL_STATE(6531)] = 278358,
  [SMALL_STATE(6532)] = 278418,
  [SMALL_STATE(6533)] = 278478,
  [SMALL_STATE(6534)] = 278538,
  [SMALL_STATE(6535)] = 278598,
  [SMALL_STATE(6536)] = 278658,
  [SMALL_STATE(6537)] = 278718,
  [SMALL_STATE(6538)] = 278778,
  [SMALL_STATE(6539)] = 278838,
  [SMALL_STATE(6540)] = 278898,
  [SMALL_STATE(6541)] = 278958,
  [SMALL_STATE(6542)] = 279018,
  [SMALL_STATE(6543)] = 279078,
  [SMALL_STATE(6544)] = 279138,
  [SMALL_STATE(6545)] = 279198,
  [SMALL_STATE(6546)] = 279258,
  [SMALL_STATE(6547)] = 279318,
  [SMALL_STATE(6548)] = 279378,
  [SMALL_STATE(6549)] = 279438,
  [SMALL_STATE(6550)] = 279498,
  [SMALL_STATE(6551)] = 279558,
  [SMALL_STATE(6552)] = 279620,
  [SMALL_STATE(6553)] = 279680,
  [SMALL_STATE(6554)] = 279740,
  [SMALL_STATE(6555)] = 279802,
  [SMALL_STATE(6556)] = 279866,
  [SMALL_STATE(6557)] = 279926,
  [SMALL_STATE(6558)] = 279988,
  [SMALL_STATE(6559)] = 280050,
  [SMALL_STATE(6560)] = 280110,
  [SMALL_STATE(6561)] = 280172,
  [SMALL_STATE(6562)] = 280232,
  [SMALL_STATE(6563)] = 280292,
  [SMALL_STATE(6564)] = 280352,
  [SMALL_STATE(6565)] = 280412,
  [SMALL_STATE(6566)] = 280472,
  [SMALL_STATE(6567)] = 280534,
  [SMALL_STATE(6568)] = 280594,
  [SMALL_STATE(6569)] = 280654,
  [SMALL_STATE(6570)] = 280714,
  [SMALL_STATE(6571)] = 280774,
  [SMALL_STATE(6572)] = 280834,
  [SMALL_STATE(6573)] = 280894,
  [SMALL_STATE(6574)] = 280954,
  [SMALL_STATE(6575)] = 281014,
  [SMALL_STATE(6576)] = 281074,
  [SMALL_STATE(6577)] = 281134,
  [SMALL_STATE(6578)] = 281194,
  [SMALL_STATE(6579)] = 281254,
  [SMALL_STATE(6580)] = 281314,
  [SMALL_STATE(6581)] = 281374,
  [SMALL_STATE(6582)] = 281434,
  [SMALL_STATE(6583)] = 281494,
  [SMALL_STATE(6584)] = 281554,
  [SMALL_STATE(6585)] = 281614,
  [SMALL_STATE(6586)] = 281674,
  [SMALL_STATE(6587)] = 281736,
  [SMALL_STATE(6588)] = 281796,
  [SMALL_STATE(6589)] = 281856,
  [SMALL_STATE(6590)] = 281916,
  [SMALL_STATE(6591)] = 281976,
  [SMALL_STATE(6592)] = 282036,
  [SMALL_STATE(6593)] = 282096,
  [SMALL_STATE(6594)] = 282156,
  [SMALL_STATE(6595)] = 282216,
  [SMALL_STATE(6596)] = 282278,
  [SMALL_STATE(6597)] = 282338,
  [SMALL_STATE(6598)] = 282398,
  [SMALL_STATE(6599)] = 282458,
  [SMALL_STATE(6600)] = 282518,
  [SMALL_STATE(6601)] = 282578,
  [SMALL_STATE(6602)] = 282638,
  [SMALL_STATE(6603)] = 282698,
  [SMALL_STATE(6604)] = 282758,
  [SMALL_STATE(6605)] = 282818,
  [SMALL_STATE(6606)] = 282878,
  [SMALL_STATE(6607)] = 282938,
  [SMALL_STATE(6608)] = 282998,
  [SMALL_STATE(6609)] = 283058,
  [SMALL_STATE(6610)] = 283118,
  [SMALL_STATE(6611)] = 283178,
  [SMALL_STATE(6612)] = 283238,
  [SMALL_STATE(6613)] = 283298,
  [SMALL_STATE(6614)] = 283358,
  [SMALL_STATE(6615)] = 283418,
  [SMALL_STATE(6616)] = 283478,
  [SMALL_STATE(6617)] = 283538,
  [SMALL_STATE(6618)] = 283598,
  [SMALL_STATE(6619)] = 283658,
  [SMALL_STATE(6620)] = 283718,
  [SMALL_STATE(6621)] = 283778,
  [SMALL_STATE(6622)] = 283838,
  [SMALL_STATE(6623)] = 283898,
  [SMALL_STATE(6624)] = 283958,
  [SMALL_STATE(6625)] = 284022,
  [SMALL_STATE(6626)] = 284082,
  [SMALL_STATE(6627)] = 284142,
  [SMALL_STATE(6628)] = 284202,
  [SMALL_STATE(6629)] = 284261,
  [SMALL_STATE(6630)] = 284320,
  [SMALL_STATE(6631)] = 284379,
  [SMALL_STATE(6632)] = 284438,
  [SMALL_STATE(6633)] = 284497,
  [SMALL_STATE(6634)] = 284556,
  [SMALL_STATE(6635)] = 284615,
  [SMALL_STATE(6636)] = 284674,
  [SMALL_STATE(6637)] = 284733,
  [SMALL_STATE(6638)] = 284792,
  [SMALL_STATE(6639)] = 284851,
  [SMALL_STATE(6640)] = 284910,
  [SMALL_STATE(6641)] = 284971,
  [SMALL_STATE(6642)] = 285030,
  [SMALL_STATE(6643)] = 285089,
  [SMALL_STATE(6644)] = 285148,
  [SMALL_STATE(6645)] = 285207,
  [SMALL_STATE(6646)] = 285266,
  [SMALL_STATE(6647)] = 285325,
  [SMALL_STATE(6648)] = 285384,
  [SMALL_STATE(6649)] = 285443,
  [SMALL_STATE(6650)] = 285502,
  [SMALL_STATE(6651)] = 285561,
  [SMALL_STATE(6652)] = 285620,
  [SMALL_STATE(6653)] = 285679,
  [SMALL_STATE(6654)] = 285738,
  [SMALL_STATE(6655)] = 285797,
  [SMALL_STATE(6656)] = 285856,
  [SMALL_STATE(6657)] = 285915,
  [SMALL_STATE(6658)] = 285974,
  [SMALL_STATE(6659)] = 286039,
  [SMALL_STATE(6660)] = 286098,
  [SMALL_STATE(6661)] = 286157,
  [SMALL_STATE(6662)] = 286216,
  [SMALL_STATE(6663)] = 286275,
  [SMALL_STATE(6664)] = 286334,
  [SMALL_STATE(6665)] = 286393,
  [SMALL_STATE(6666)] = 286452,
  [SMALL_STATE(6667)] = 286513,
  [SMALL_STATE(6668)] = 286572,
  [SMALL_STATE(6669)] = 286631,
  [SMALL_STATE(6670)] = 286690,
  [SMALL_STATE(6671)] = 286749,
  [SMALL_STATE(6672)] = 286808,
  [SMALL_STATE(6673)] = 286867,
  [SMALL_STATE(6674)] = 286926,
  [SMALL_STATE(6675)] = 286985,
  [SMALL_STATE(6676)] = 287044,
  [SMALL_STATE(6677)] = 287103,
  [SMALL_STATE(6678)] = 287162,
  [SMALL_STATE(6679)] = 287221,
  [SMALL_STATE(6680)] = 287280,
  [SMALL_STATE(6681)] = 287339,
  [SMALL_STATE(6682)] = 287398,
  [SMALL_STATE(6683)] = 287459,
  [SMALL_STATE(6684)] = 287520,
  [SMALL_STATE(6685)] = 287579,
  [SMALL_STATE(6686)] = 287638,
  [SMALL_STATE(6687)] = 287697,
  [SMALL_STATE(6688)] = 287756,
  [SMALL_STATE(6689)] = 287815,
  [SMALL_STATE(6690)] = 287876,
  [SMALL_STATE(6691)] = 287935,
  [SMALL_STATE(6692)] = 287994,
  [SMALL_STATE(6693)] = 288053,
  [SMALL_STATE(6694)] = 288112,
  [SMALL_STATE(6695)] = 288171,
  [SMALL_STATE(6696)] = 288230,
  [SMALL_STATE(6697)] = 288289,
  [SMALL_STATE(6698)] = 288348,
  [SMALL_STATE(6699)] = 288407,
  [SMALL_STATE(6700)] = 288466,
  [SMALL_STATE(6701)] = 288525,
  [SMALL_STATE(6702)] = 288584,
  [SMALL_STATE(6703)] = 288643,
  [SMALL_STATE(6704)] = 288702,
  [SMALL_STATE(6705)] = 288761,
  [SMALL_STATE(6706)] = 288822,
  [SMALL_STATE(6707)] = 288881,
  [SMALL_STATE(6708)] = 288940,
  [SMALL_STATE(6709)] = 288999,
  [SMALL_STATE(6710)] = 289058,
  [SMALL_STATE(6711)] = 289117,
  [SMALL_STATE(6712)] = 289176,
  [SMALL_STATE(6713)] = 289235,
  [SMALL_STATE(6714)] = 289294,
  [SMALL_STATE(6715)] = 289353,
  [SMALL_STATE(6716)] = 289412,
  [SMALL_STATE(6717)] = 289473,
  [SMALL_STATE(6718)] = 289532,
  [SMALL_STATE(6719)] = 289591,
  [SMALL_STATE(6720)] = 289654,
  [SMALL_STATE(6721)] = 289713,
  [SMALL_STATE(6722)] = 289772,
  [SMALL_STATE(6723)] = 289833,
  [SMALL_STATE(6724)] = 289892,
  [SMALL_STATE(6725)] = 289951,
  [SMALL_STATE(6726)] = 290010,
  [SMALL_STATE(6727)] = 290069,
  [SMALL_STATE(6728)] = 290128,
  [SMALL_STATE(6729)] = 290187,
  [SMALL_STATE(6730)] = 290246,
  [SMALL_STATE(6731)] = 290311,
  [SMALL_STATE(6732)] = 290370,
  [SMALL_STATE(6733)] = 290429,
  [SMALL_STATE(6734)] = 290488,
  [SMALL_STATE(6735)] = 290547,
  [SMALL_STATE(6736)] = 290606,
  [SMALL_STATE(6737)] = 290665,
  [SMALL_STATE(6738)] = 290724,
  [SMALL_STATE(6739)] = 290783,
  [SMALL_STATE(6740)] = 290842,
  [SMALL_STATE(6741)] = 290901,
  [SMALL_STATE(6742)] = 290960,
  [SMALL_STATE(6743)] = 291019,
  [SMALL_STATE(6744)] = 291078,
  [SMALL_STATE(6745)] = 291137,
  [SMALL_STATE(6746)] = 291196,
  [SMALL_STATE(6747)] = 291255,
  [SMALL_STATE(6748)] = 291314,
  [SMALL_STATE(6749)] = 291373,
  [SMALL_STATE(6750)] = 291432,
  [SMALL_STATE(6751)] = 291491,
  [SMALL_STATE(6752)] = 291550,
  [SMALL_STATE(6753)] = 291609,
  [SMALL_STATE(6754)] = 291668,
  [SMALL_STATE(6755)] = 291727,
  [SMALL_STATE(6756)] = 291786,
  [SMALL_STATE(6757)] = 291845,
  [SMALL_STATE(6758)] = 291904,
  [SMALL_STATE(6759)] = 291965,
  [SMALL_STATE(6760)] = 292024,
  [SMALL_STATE(6761)] = 292083,
  [SMALL_STATE(6762)] = 292142,
  [SMALL_STATE(6763)] = 292201,
  [SMALL_STATE(6764)] = 292260,
  [SMALL_STATE(6765)] = 292319,
  [SMALL_STATE(6766)] = 292378,
  [SMALL_STATE(6767)] = 292438,
  [SMALL_STATE(6768)] = 292496,
  [SMALL_STATE(6769)] = 292554,
  [SMALL_STATE(6770)] = 292614,
  [SMALL_STATE(6771)] = 292672,
  [SMALL_STATE(6772)] = 292730,
  [SMALL_STATE(6773)] = 292788,
  [SMALL_STATE(6774)] = 292846,
  [SMALL_STATE(6775)] = 292904,
  [SMALL_STATE(6776)] = 292962,
  [SMALL_STATE(6777)] = 293060,
  [SMALL_STATE(6778)] = 293118,
  [SMALL_STATE(6779)] = 293176,
  [SMALL_STATE(6780)] = 293234,
  [SMALL_STATE(6781)] = 293292,
  [SMALL_STATE(6782)] = 293350,
  [SMALL_STATE(6783)] = 293414,
  [SMALL_STATE(6784)] = 293474,
  [SMALL_STATE(6785)] = 293532,
  [SMALL_STATE(6786)] = 293592,
  [SMALL_STATE(6787)] = 293650,
  [SMALL_STATE(6788)] = 293708,
  [SMALL_STATE(6789)] = 293766,
  [SMALL_STATE(6790)] = 293824,
  [SMALL_STATE(6791)] = 293882,
  [SMALL_STATE(6792)] = 293980,
  [SMALL_STATE(6793)] = 294040,
  [SMALL_STATE(6794)] = 294098,
  [SMALL_STATE(6795)] = 294156,
  [SMALL_STATE(6796)] = 294254,
  [SMALL_STATE(6797)] = 294312,
  [SMALL_STATE(6798)] = 294376,
  [SMALL_STATE(6799)] = 294434,
  [SMALL_STATE(6800)] = 294492,
  [SMALL_STATE(6801)] = 294550,
  [SMALL_STATE(6802)] = 294608,
  [SMALL_STATE(6803)] = 294666,
  [SMALL_STATE(6804)] = 294724,
  [SMALL_STATE(6805)] = 294782,
  [SMALL_STATE(6806)] = 294840,
  [SMALL_STATE(6807)] = 294898,
  [SMALL_STATE(6808)] = 294956,
  [SMALL_STATE(6809)] = 295054,
  [SMALL_STATE(6810)] = 295112,
  [SMALL_STATE(6811)] = 295170,
  [SMALL_STATE(6812)] = 295228,
  [SMALL_STATE(6813)] = 295286,
  [SMALL_STATE(6814)] = 295344,
  [SMALL_STATE(6815)] = 295402,
  [SMALL_STATE(6816)] = 295460,
  [SMALL_STATE(6817)] = 295518,
  [SMALL_STATE(6818)] = 295576,
  [SMALL_STATE(6819)] = 295634,
  [SMALL_STATE(6820)] = 295692,
  [SMALL_STATE(6821)] = 295750,
  [SMALL_STATE(6822)] = 295808,
  [SMALL_STATE(6823)] = 295866,
  [SMALL_STATE(6824)] = 295924,
  [SMALL_STATE(6825)] = 295982,
  [SMALL_STATE(6826)] = 296040,
  [SMALL_STATE(6827)] = 296098,
  [SMALL_STATE(6828)] = 296156,
  [SMALL_STATE(6829)] = 296214,
  [SMALL_STATE(6830)] = 296272,
  [SMALL_STATE(6831)] = 296370,
  [SMALL_STATE(6832)] = 296428,
  [SMALL_STATE(6833)] = 296486,
  [SMALL_STATE(6834)] = 296544,
  [SMALL_STATE(6835)] = 296642,
  [SMALL_STATE(6836)] = 296700,
  [SMALL_STATE(6837)] = 296758,
  [SMALL_STATE(6838)] = 296816,
  [SMALL_STATE(6839)] = 296874,
  [SMALL_STATE(6840)] = 296932,
  [SMALL_STATE(6841)] = 296990,
  [SMALL_STATE(6842)] = 297048,
  [SMALL_STATE(6843)] = 297106,
  [SMALL_STATE(6844)] = 297164,
  [SMALL_STATE(6845)] = 297262,
  [SMALL_STATE(6846)] = 297320,
  [SMALL_STATE(6847)] = 297378,
  [SMALL_STATE(6848)] = 297436,
  [SMALL_STATE(6849)] = 297494,
  [SMALL_STATE(6850)] = 297552,
  [SMALL_STATE(6851)] = 297610,
  [SMALL_STATE(6852)] = 297668,
  [SMALL_STATE(6853)] = 297726,
  [SMALL_STATE(6854)] = 297784,
  [SMALL_STATE(6855)] = 297842,
  [SMALL_STATE(6856)] = 297900,
  [SMALL_STATE(6857)] = 297998,
  [SMALL_STATE(6858)] = 298058,
  [SMALL_STATE(6859)] = 298116,
  [SMALL_STATE(6860)] = 298214,
  [SMALL_STATE(6861)] = 298272,
  [SMALL_STATE(6862)] = 298329,
  [SMALL_STATE(6863)] = 298386,
  [SMALL_STATE(6864)] = 298443,
  [SMALL_STATE(6865)] = 298500,
  [SMALL_STATE(6866)] = 298557,
  [SMALL_STATE(6867)] = 298614,
  [SMALL_STATE(6868)] = 298671,
  [SMALL_STATE(6869)] = 298728,
  [SMALL_STATE(6870)] = 298785,
  [SMALL_STATE(6871)] = 298842,
  [SMALL_STATE(6872)] = 298899,
  [SMALL_STATE(6873)] = 298956,
  [SMALL_STATE(6874)] = 299013,
  [SMALL_STATE(6875)] = 299070,
  [SMALL_STATE(6876)] = 299127,
  [SMALL_STATE(6877)] = 299184,
  [SMALL_STATE(6878)] = 299241,
  [SMALL_STATE(6879)] = 299298,
  [SMALL_STATE(6880)] = 299355,
  [SMALL_STATE(6881)] = 299412,
  [SMALL_STATE(6882)] = 299469,
  [SMALL_STATE(6883)] = 299526,
  [SMALL_STATE(6884)] = 299583,
  [SMALL_STATE(6885)] = 299640,
  [SMALL_STATE(6886)] = 299697,
  [SMALL_STATE(6887)] = 299754,
  [SMALL_STATE(6888)] = 299817,
  [SMALL_STATE(6889)] = 299874,
  [SMALL_STATE(6890)] = 299931,
  [SMALL_STATE(6891)] = 299988,
  [SMALL_STATE(6892)] = 300045,
  [SMALL_STATE(6893)] = 300102,
  [SMALL_STATE(6894)] = 300159,
  [SMALL_STATE(6895)] = 300216,
  [SMALL_STATE(6896)] = 300273,
  [SMALL_STATE(6897)] = 300330,
  [SMALL_STATE(6898)] = 300387,
  [SMALL_STATE(6899)] = 300444,
  [SMALL_STATE(6900)] = 300501,
  [SMALL_STATE(6901)] = 300560,
  [SMALL_STATE(6902)] = 300617,
  [SMALL_STATE(6903)] = 300674,
  [SMALL_STATE(6904)] = 300731,
  [SMALL_STATE(6905)] = 300788,
  [SMALL_STATE(6906)] = 300845,
  [SMALL_STATE(6907)] = 300902,
  [SMALL_STATE(6908)] = 300959,
  [SMALL_STATE(6909)] = 301016,
  [SMALL_STATE(6910)] = 301073,
  [SMALL_STATE(6911)] = 301130,
  [SMALL_STATE(6912)] = 301187,
  [SMALL_STATE(6913)] = 301244,
  [SMALL_STATE(6914)] = 301301,
  [SMALL_STATE(6915)] = 301358,
  [SMALL_STATE(6916)] = 301415,
  [SMALL_STATE(6917)] = 301472,
  [SMALL_STATE(6918)] = 301529,
  [SMALL_STATE(6919)] = 301592,
  [SMALL_STATE(6920)] = 301649,
  [SMALL_STATE(6921)] = 301706,
  [SMALL_STATE(6922)] = 301763,
  [SMALL_STATE(6923)] = 301820,
  [SMALL_STATE(6924)] = 301877,
  [SMALL_STATE(6925)] = 301934,
  [SMALL_STATE(6926)] = 301991,
  [SMALL_STATE(6927)] = 302048,
  [SMALL_STATE(6928)] = 302105,
  [SMALL_STATE(6929)] = 302162,
  [SMALL_STATE(6930)] = 302219,
  [SMALL_STATE(6931)] = 302276,
  [SMALL_STATE(6932)] = 302333,
  [SMALL_STATE(6933)] = 302390,
  [SMALL_STATE(6934)] = 302447,
  [SMALL_STATE(6935)] = 302504,
  [SMALL_STATE(6936)] = 302561,
  [SMALL_STATE(6937)] = 302618,
  [SMALL_STATE(6938)] = 302675,
  [SMALL_STATE(6939)] = 302734,
  [SMALL_STATE(6940)] = 302791,
  [SMALL_STATE(6941)] = 302848,
  [SMALL_STATE(6942)] = 302905,
  [SMALL_STATE(6943)] = 302964,
  [SMALL_STATE(6944)] = 303023,
  [SMALL_STATE(6945)] = 303080,
  [SMALL_STATE(6946)] = 303137,
  [SMALL_STATE(6947)] = 303194,
  [SMALL_STATE(6948)] = 303251,
  [SMALL_STATE(6949)] = 303308,
  [SMALL_STATE(6950)] = 303367,
  [SMALL_STATE(6951)] = 303424,
  [SMALL_STATE(6952)] = 303481,
  [SMALL_STATE(6953)] = 303538,
  [SMALL_STATE(6954)] = 303595,
  [SMALL_STATE(6955)] = 303652,
  [SMALL_STATE(6956)] = 303709,
  [SMALL_STATE(6957)] = 303766,
  [SMALL_STATE(6958)] = 303823,
  [SMALL_STATE(6959)] = 303880,
  [SMALL_STATE(6960)] = 303937,
  [SMALL_STATE(6961)] = 303994,
  [SMALL_STATE(6962)] = 304051,
  [SMALL_STATE(6963)] = 304108,
  [SMALL_STATE(6964)] = 304165,
  [SMALL_STATE(6965)] = 304222,
  [SMALL_STATE(6966)] = 304279,
  [SMALL_STATE(6967)] = 304336,
  [SMALL_STATE(6968)] = 304399,
  [SMALL_STATE(6969)] = 304456,
  [SMALL_STATE(6970)] = 304513,
  [SMALL_STATE(6971)] = 304570,
  [SMALL_STATE(6972)] = 304629,
  [SMALL_STATE(6973)] = 304686,
  [SMALL_STATE(6974)] = 304743,
  [SMALL_STATE(6975)] = 304800,
  [SMALL_STATE(6976)] = 304857,
  [SMALL_STATE(6977)] = 304914,
  [SMALL_STATE(6978)] = 304973,
  [SMALL_STATE(6979)] = 305030,
  [SMALL_STATE(6980)] = 305093,
  [SMALL_STATE(6981)] = 305150,
  [SMALL_STATE(6982)] = 305207,
  [SMALL_STATE(6983)] = 305264,
  [SMALL_STATE(6984)] = 305321,
  [SMALL_STATE(6985)] = 305378,
  [SMALL_STATE(6986)] = 305435,
  [SMALL_STATE(6987)] = 305492,
  [SMALL_STATE(6988)] = 305549,
  [SMALL_STATE(6989)] = 305612,
  [SMALL_STATE(6990)] = 305669,
  [SMALL_STATE(6991)] = 305726,
  [SMALL_STATE(6992)] = 305785,
  [SMALL_STATE(6993)] = 305844,
  [SMALL_STATE(6994)] = 305901,
  [SMALL_STATE(6995)] = 305958,
  [SMALL_STATE(6996)] = 306015,
  [SMALL_STATE(6997)] = 306072,
  [SMALL_STATE(6998)] = 306129,
  [SMALL_STATE(6999)] = 306186,
  [SMALL_STATE(7000)] = 306243,
  [SMALL_STATE(7001)] = 306300,
  [SMALL_STATE(7002)] = 306357,
  [SMALL_STATE(7003)] = 306414,
  [SMALL_STATE(7004)] = 306471,
  [SMALL_STATE(7005)] = 306528,
  [SMALL_STATE(7006)] = 306585,
  [SMALL_STATE(7007)] = 306642,
  [SMALL_STATE(7008)] = 306699,
  [SMALL_STATE(7009)] = 306756,
  [SMALL_STATE(7010)] = 306813,
  [SMALL_STATE(7011)] = 306870,
  [SMALL_STATE(7012)] = 306927,
  [SMALL_STATE(7013)] = 306984,
  [SMALL_STATE(7014)] = 307041,
  [SMALL_STATE(7015)] = 307098,
  [SMALL_STATE(7016)] = 307155,
  [SMALL_STATE(7017)] = 307212,
  [SMALL_STATE(7018)] = 307269,
  [SMALL_STATE(7019)] = 307326,
  [SMALL_STATE(7020)] = 307383,
  [SMALL_STATE(7021)] = 307440,
  [SMALL_STATE(7022)] = 307497,
  [SMALL_STATE(7023)] = 307556,
  [SMALL_STATE(7024)] = 307613,
  [SMALL_STATE(7025)] = 307670,
  [SMALL_STATE(7026)] = 307727,
  [SMALL_STATE(7027)] = 307784,
  [SMALL_STATE(7028)] = 307841,
  [SMALL_STATE(7029)] = 307898,
  [SMALL_STATE(7030)] = 307955,
  [SMALL_STATE(7031)] = 308012,
  [SMALL_STATE(7032)] = 308069,
  [SMALL_STATE(7033)] = 308126,
  [SMALL_STATE(7034)] = 308183,
  [SMALL_STATE(7035)] = 308240,
  [SMALL_STATE(7036)] = 308297,
  [SMALL_STATE(7037)] = 308354,
  [SMALL_STATE(7038)] = 308411,
  [SMALL_STATE(7039)] = 308468,
  [SMALL_STATE(7040)] = 308525,
  [SMALL_STATE(7041)] = 308582,
  [SMALL_STATE(7042)] = 308639,
  [SMALL_STATE(7043)] = 308696,
  [SMALL_STATE(7044)] = 308753,
  [SMALL_STATE(7045)] = 308810,
  [SMALL_STATE(7046)] = 308867,
  [SMALL_STATE(7047)] = 308924,
  [SMALL_STATE(7048)] = 308981,
  [SMALL_STATE(7049)] = 309038,
  [SMALL_STATE(7050)] = 309095,
  [SMALL_STATE(7051)] = 309152,
  [SMALL_STATE(7052)] = 309209,
  [SMALL_STATE(7053)] = 309266,
  [SMALL_STATE(7054)] = 309323,
  [SMALL_STATE(7055)] = 309380,
  [SMALL_STATE(7056)] = 309437,
  [SMALL_STATE(7057)] = 309494,
  [SMALL_STATE(7058)] = 309551,
  [SMALL_STATE(7059)] = 309608,
  [SMALL_STATE(7060)] = 309665,
  [SMALL_STATE(7061)] = 309722,
  [SMALL_STATE(7062)] = 309779,
  [SMALL_STATE(7063)] = 309836,
  [SMALL_STATE(7064)] = 309893,
  [SMALL_STATE(7065)] = 309950,
  [SMALL_STATE(7066)] = 310007,
  [SMALL_STATE(7067)] = 310064,
  [SMALL_STATE(7068)] = 310121,
  [SMALL_STATE(7069)] = 310178,
  [SMALL_STATE(7070)] = 310235,
  [SMALL_STATE(7071)] = 310292,
  [SMALL_STATE(7072)] = 310349,
  [SMALL_STATE(7073)] = 310406,
  [SMALL_STATE(7074)] = 310463,
  [SMALL_STATE(7075)] = 310520,
  [SMALL_STATE(7076)] = 310579,
  [SMALL_STATE(7077)] = 310636,
  [SMALL_STATE(7078)] = 310693,
  [SMALL_STATE(7079)] = 310750,
  [SMALL_STATE(7080)] = 310807,
  [SMALL_STATE(7081)] = 310864,
  [SMALL_STATE(7082)] = 310921,
  [SMALL_STATE(7083)] = 310978,
  [SMALL_STATE(7084)] = 311035,
  [SMALL_STATE(7085)] = 311092,
  [SMALL_STATE(7086)] = 311149,
  [SMALL_STATE(7087)] = 311206,
  [SMALL_STATE(7088)] = 311263,
  [SMALL_STATE(7089)] = 311320,
  [SMALL_STATE(7090)] = 311377,
  [SMALL_STATE(7091)] = 311434,
  [SMALL_STATE(7092)] = 311493,
  [SMALL_STATE(7093)] = 311550,
  [SMALL_STATE(7094)] = 311609,
  [SMALL_STATE(7095)] = 311668,
  [SMALL_STATE(7096)] = 311727,
  [SMALL_STATE(7097)] = 311786,
  [SMALL_STATE(7098)] = 311845,
  [SMALL_STATE(7099)] = 311902,
  [SMALL_STATE(7100)] = 311959,
  [SMALL_STATE(7101)] = 312016,
  [SMALL_STATE(7102)] = 312079,
  [SMALL_STATE(7103)] = 312136,
  [SMALL_STATE(7104)] = 312193,
  [SMALL_STATE(7105)] = 312250,
  [SMALL_STATE(7106)] = 312309,
  [SMALL_STATE(7107)] = 312366,
  [SMALL_STATE(7108)] = 312423,
  [SMALL_STATE(7109)] = 312480,
  [SMALL_STATE(7110)] = 312537,
  [SMALL_STATE(7111)] = 312594,
  [SMALL_STATE(7112)] = 312651,
  [SMALL_STATE(7113)] = 312708,
  [SMALL_STATE(7114)] = 312765,
  [SMALL_STATE(7115)] = 312822,
  [SMALL_STATE(7116)] = 312879,
  [SMALL_STATE(7117)] = 312936,
  [SMALL_STATE(7118)] = 312993,
  [SMALL_STATE(7119)] = 313050,
  [SMALL_STATE(7120)] = 313107,
  [SMALL_STATE(7121)] = 313166,
  [SMALL_STATE(7122)] = 313223,
  [SMALL_STATE(7123)] = 313280,
  [SMALL_STATE(7124)] = 313337,
  [SMALL_STATE(7125)] = 313394,
  [SMALL_STATE(7126)] = 313451,
  [SMALL_STATE(7127)] = 313508,
  [SMALL_STATE(7128)] = 313565,
  [SMALL_STATE(7129)] = 313622,
  [SMALL_STATE(7130)] = 313679,
  [SMALL_STATE(7131)] = 313736,
  [SMALL_STATE(7132)] = 313793,
  [SMALL_STATE(7133)] = 313850,
  [SMALL_STATE(7134)] = 313907,
  [SMALL_STATE(7135)] = 313964,
  [SMALL_STATE(7136)] = 314021,
  [SMALL_STATE(7137)] = 314078,
  [SMALL_STATE(7138)] = 314135,
  [SMALL_STATE(7139)] = 314192,
  [SMALL_STATE(7140)] = 314249,
  [SMALL_STATE(7141)] = 314306,
  [SMALL_STATE(7142)] = 314363,
  [SMALL_STATE(7143)] = 314420,
  [SMALL_STATE(7144)] = 314477,
  [SMALL_STATE(7145)] = 314534,
  [SMALL_STATE(7146)] = 314591,
  [SMALL_STATE(7147)] = 314648,
  [SMALL_STATE(7148)] = 314705,
  [SMALL_STATE(7149)] = 314762,
  [SMALL_STATE(7150)] = 314819,
  [SMALL_STATE(7151)] = 314878,
  [SMALL_STATE(7152)] = 314935,
  [SMALL_STATE(7153)] = 314992,
  [SMALL_STATE(7154)] = 315049,
  [SMALL_STATE(7155)] = 315106,
  [SMALL_STATE(7156)] = 315163,
  [SMALL_STATE(7157)] = 315220,
  [SMALL_STATE(7158)] = 315277,
  [SMALL_STATE(7159)] = 315334,
  [SMALL_STATE(7160)] = 315391,
  [SMALL_STATE(7161)] = 315448,
  [SMALL_STATE(7162)] = 315505,
  [SMALL_STATE(7163)] = 315562,
  [SMALL_STATE(7164)] = 315619,
  [SMALL_STATE(7165)] = 315676,
  [SMALL_STATE(7166)] = 315733,
  [SMALL_STATE(7167)] = 315790,
  [SMALL_STATE(7168)] = 315847,
  [SMALL_STATE(7169)] = 315904,
  [SMALL_STATE(7170)] = 315961,
  [SMALL_STATE(7171)] = 316018,
  [SMALL_STATE(7172)] = 316075,
  [SMALL_STATE(7173)] = 316132,
  [SMALL_STATE(7174)] = 316189,
  [SMALL_STATE(7175)] = 316246,
  [SMALL_STATE(7176)] = 316303,
  [SMALL_STATE(7177)] = 316360,
  [SMALL_STATE(7178)] = 316417,
  [SMALL_STATE(7179)] = 316474,
  [SMALL_STATE(7180)] = 316531,
  [SMALL_STATE(7181)] = 316588,
  [SMALL_STATE(7182)] = 316645,
  [SMALL_STATE(7183)] = 316702,
  [SMALL_STATE(7184)] = 316759,
  [SMALL_STATE(7185)] = 316816,
  [SMALL_STATE(7186)] = 316873,
  [SMALL_STATE(7187)] = 316930,
  [SMALL_STATE(7188)] = 316987,
  [SMALL_STATE(7189)] = 317044,
  [SMALL_STATE(7190)] = 317101,
  [SMALL_STATE(7191)] = 317158,
  [SMALL_STATE(7192)] = 317215,
  [SMALL_STATE(7193)] = 317272,
  [SMALL_STATE(7194)] = 317329,
  [SMALL_STATE(7195)] = 317386,
  [SMALL_STATE(7196)] = 317443,
  [SMALL_STATE(7197)] = 317500,
  [SMALL_STATE(7198)] = 317557,
  [SMALL_STATE(7199)] = 317614,
  [SMALL_STATE(7200)] = 317671,
  [SMALL_STATE(7201)] = 317728,
  [SMALL_STATE(7202)] = 317785,
  [SMALL_STATE(7203)] = 317842,
  [SMALL_STATE(7204)] = 317899,
  [SMALL_STATE(7205)] = 317956,
  [SMALL_STATE(7206)] = 318013,
  [SMALL_STATE(7207)] = 318072,
  [SMALL_STATE(7208)] = 318129,
  [SMALL_STATE(7209)] = 318186,
  [SMALL_STATE(7210)] = 318243,
  [SMALL_STATE(7211)] = 318300,
  [SMALL_STATE(7212)] = 318359,
  [SMALL_STATE(7213)] = 318416,
  [SMALL_STATE(7214)] = 318473,
  [SMALL_STATE(7215)] = 318530,
  [SMALL_STATE(7216)] = 318593,
  [SMALL_STATE(7217)] = 318650,
  [SMALL_STATE(7218)] = 318707,
  [SMALL_STATE(7219)] = 318764,
  [SMALL_STATE(7220)] = 318827,
  [SMALL_STATE(7221)] = 318886,
  [SMALL_STATE(7222)] = 318945,
  [SMALL_STATE(7223)] = 319002,
  [SMALL_STATE(7224)] = 319061,
  [SMALL_STATE(7225)] = 319118,
  [SMALL_STATE(7226)] = 319175,
  [SMALL_STATE(7227)] = 319232,
  [SMALL_STATE(7228)] = 319289,
  [SMALL_STATE(7229)] = 319346,
  [SMALL_STATE(7230)] = 319403,
  [SMALL_STATE(7231)] = 319460,
  [SMALL_STATE(7232)] = 319517,
  [SMALL_STATE(7233)] = 319576,
  [SMALL_STATE(7234)] = 319633,
  [SMALL_STATE(7235)] = 319690,
  [SMALL_STATE(7236)] = 319747,
  [SMALL_STATE(7237)] = 319804,
  [SMALL_STATE(7238)] = 319861,
  [SMALL_STATE(7239)] = 319918,
  [SMALL_STATE(7240)] = 319975,
  [SMALL_STATE(7241)] = 320032,
  [SMALL_STATE(7242)] = 320089,
  [SMALL_STATE(7243)] = 320146,
  [SMALL_STATE(7244)] = 320203,
  [SMALL_STATE(7245)] = 320259,
  [SMALL_STATE(7246)] = 320315,
  [SMALL_STATE(7247)] = 320373,
  [SMALL_STATE(7248)] = 320429,
  [SMALL_STATE(7249)] = 320485,
  [SMALL_STATE(7250)] = 320541,
  [SMALL_STATE(7251)] = 320597,
  [SMALL_STATE(7252)] = 320653,
  [SMALL_STATE(7253)] = 320709,
  [SMALL_STATE(7254)] = 320765,
  [SMALL_STATE(7255)] = 320821,
  [SMALL_STATE(7256)] = 320877,
  [SMALL_STATE(7257)] = 320933,
  [SMALL_STATE(7258)] = 320989,
  [SMALL_STATE(7259)] = 321045,
  [SMALL_STATE(7260)] = 321107,
  [SMALL_STATE(7261)] = 321163,
  [SMALL_STATE(7262)] = 321219,
  [SMALL_STATE(7263)] = 321275,
  [SMALL_STATE(7264)] = 321331,
  [SMALL_STATE(7265)] = 321387,
  [SMALL_STATE(7266)] = 321443,
  [SMALL_STATE(7267)] = 321499,
  [SMALL_STATE(7268)] = 321555,
  [SMALL_STATE(7269)] = 321611,
  [SMALL_STATE(7270)] = 321667,
  [SMALL_STATE(7271)] = 321723,
  [SMALL_STATE(7272)] = 321831,
  [SMALL_STATE(7273)] = 321887,
  [SMALL_STATE(7274)] = 321945,
  [SMALL_STATE(7275)] = 322001,
  [SMALL_STATE(7276)] = 322057,
  [SMALL_STATE(7277)] = 322113,
  [SMALL_STATE(7278)] = 322169,
  [SMALL_STATE(7279)] = 322225,
  [SMALL_STATE(7280)] = 322333,
  [SMALL_STATE(7281)] = 322389,
  [SMALL_STATE(7282)] = 322445,
  [SMALL_STATE(7283)] = 322501,
  [SMALL_STATE(7284)] = 322557,
  [SMALL_STATE(7285)] = 322613,
  [SMALL_STATE(7286)] = 322669,
  [SMALL_STATE(7287)] = 322727,
  [SMALL_STATE(7288)] = 322783,
  [SMALL_STATE(7289)] = 322841,
  [SMALL_STATE(7290)] = 322899,
  [SMALL_STATE(7291)] = 322957,
  [SMALL_STATE(7292)] = 323015,
  [SMALL_STATE(7293)] = 323071,
  [SMALL_STATE(7294)] = 323127,
  [SMALL_STATE(7295)] = 323183,
  [SMALL_STATE(7296)] = 323291,
  [SMALL_STATE(7297)] = 323347,
  [SMALL_STATE(7298)] = 323403,
  [SMALL_STATE(7299)] = 323459,
  [SMALL_STATE(7300)] = 323515,
  [SMALL_STATE(7301)] = 323573,
  [SMALL_STATE(7302)] = 323629,
  [SMALL_STATE(7303)] = 323685,
  [SMALL_STATE(7304)] = 323741,
  [SMALL_STATE(7305)] = 323797,
  [SMALL_STATE(7306)] = 323853,
  [SMALL_STATE(7307)] = 323909,
  [SMALL_STATE(7308)] = 323965,
  [SMALL_STATE(7309)] = 324021,
  [SMALL_STATE(7310)] = 324077,
  [SMALL_STATE(7311)] = 324133,
  [SMALL_STATE(7312)] = 324189,
  [SMALL_STATE(7313)] = 324245,
  [SMALL_STATE(7314)] = 324301,
  [SMALL_STATE(7315)] = 324357,
  [SMALL_STATE(7316)] = 324413,
  [SMALL_STATE(7317)] = 324469,
  [SMALL_STATE(7318)] = 324525,
  [SMALL_STATE(7319)] = 324581,
  [SMALL_STATE(7320)] = 324637,
  [SMALL_STATE(7321)] = 324693,
  [SMALL_STATE(7322)] = 324749,
  [SMALL_STATE(7323)] = 324805,
  [SMALL_STATE(7324)] = 324861,
  [SMALL_STATE(7325)] = 324917,
  [SMALL_STATE(7326)] = 324973,
  [SMALL_STATE(7327)] = 325031,
  [SMALL_STATE(7328)] = 325087,
  [SMALL_STATE(7329)] = 325143,
  [SMALL_STATE(7330)] = 325199,
  [SMALL_STATE(7331)] = 325255,
  [SMALL_STATE(7332)] = 325311,
  [SMALL_STATE(7333)] = 325367,
  [SMALL_STATE(7334)] = 325423,
  [SMALL_STATE(7335)] = 325479,
  [SMALL_STATE(7336)] = 325535,
  [SMALL_STATE(7337)] = 325591,
  [SMALL_STATE(7338)] = 325647,
  [SMALL_STATE(7339)] = 325703,
  [SMALL_STATE(7340)] = 325759,
  [SMALL_STATE(7341)] = 325815,
  [SMALL_STATE(7342)] = 325871,
  [SMALL_STATE(7343)] = 325927,
  [SMALL_STATE(7344)] = 325983,
  [SMALL_STATE(7345)] = 326039,
  [SMALL_STATE(7346)] = 326095,
  [SMALL_STATE(7347)] = 326151,
  [SMALL_STATE(7348)] = 326207,
  [SMALL_STATE(7349)] = 326263,
  [SMALL_STATE(7350)] = 326319,
  [SMALL_STATE(7351)] = 326375,
  [SMALL_STATE(7352)] = 326431,
  [SMALL_STATE(7353)] = 326487,
  [SMALL_STATE(7354)] = 326543,
  [SMALL_STATE(7355)] = 326599,
  [SMALL_STATE(7356)] = 326655,
  [SMALL_STATE(7357)] = 326711,
  [SMALL_STATE(7358)] = 326767,
  [SMALL_STATE(7359)] = 326823,
  [SMALL_STATE(7360)] = 326879,
  [SMALL_STATE(7361)] = 326935,
  [SMALL_STATE(7362)] = 326993,
  [SMALL_STATE(7363)] = 327049,
  [SMALL_STATE(7364)] = 327107,
  [SMALL_STATE(7365)] = 327163,
  [SMALL_STATE(7366)] = 327219,
  [SMALL_STATE(7367)] = 327275,
  [SMALL_STATE(7368)] = 327331,
  [SMALL_STATE(7369)] = 327387,
  [SMALL_STATE(7370)] = 327443,
  [SMALL_STATE(7371)] = 327499,
  [SMALL_STATE(7372)] = 327555,
  [SMALL_STATE(7373)] = 327611,
  [SMALL_STATE(7374)] = 327667,
  [SMALL_STATE(7375)] = 327723,
  [SMALL_STATE(7376)] = 327779,
  [SMALL_STATE(7377)] = 327835,
  [SMALL_STATE(7378)] = 327891,
  [SMALL_STATE(7379)] = 327947,
  [SMALL_STATE(7380)] = 328003,
  [SMALL_STATE(7381)] = 328059,
  [SMALL_STATE(7382)] = 328115,
  [SMALL_STATE(7383)] = 328177,
  [SMALL_STATE(7384)] = 328233,
  [SMALL_STATE(7385)] = 328289,
  [SMALL_STATE(7386)] = 328347,
  [SMALL_STATE(7387)] = 328405,
  [SMALL_STATE(7388)] = 328461,
  [SMALL_STATE(7389)] = 328519,
  [SMALL_STATE(7390)] = 328581,
  [SMALL_STATE(7391)] = 328637,
  [SMALL_STATE(7392)] = 328693,
  [SMALL_STATE(7393)] = 328801,
  [SMALL_STATE(7394)] = 328859,
  [SMALL_STATE(7395)] = 328915,
  [SMALL_STATE(7396)] = 328971,
  [SMALL_STATE(7397)] = 329027,
  [SMALL_STATE(7398)] = 329083,
  [SMALL_STATE(7399)] = 329139,
  [SMALL_STATE(7400)] = 329195,
  [SMALL_STATE(7401)] = 329257,
  [SMALL_STATE(7402)] = 329313,
  [SMALL_STATE(7403)] = 329369,
  [SMALL_STATE(7404)] = 329425,
  [SMALL_STATE(7405)] = 329481,
  [SMALL_STATE(7406)] = 329537,
  [SMALL_STATE(7407)] = 329593,
  [SMALL_STATE(7408)] = 329649,
  [SMALL_STATE(7409)] = 329705,
  [SMALL_STATE(7410)] = 329761,
  [SMALL_STATE(7411)] = 329817,
  [SMALL_STATE(7412)] = 329875,
  [SMALL_STATE(7413)] = 329931,
  [SMALL_STATE(7414)] = 329987,
  [SMALL_STATE(7415)] = 330043,
  [SMALL_STATE(7416)] = 330099,
  [SMALL_STATE(7417)] = 330155,
  [SMALL_STATE(7418)] = 330211,
  [SMALL_STATE(7419)] = 330267,
  [SMALL_STATE(7420)] = 330323,
  [SMALL_STATE(7421)] = 330379,
  [SMALL_STATE(7422)] = 330435,
  [SMALL_STATE(7423)] = 330491,
  [SMALL_STATE(7424)] = 330547,
  [SMALL_STATE(7425)] = 330603,
  [SMALL_STATE(7426)] = 330659,
  [SMALL_STATE(7427)] = 330715,
  [SMALL_STATE(7428)] = 330773,
  [SMALL_STATE(7429)] = 330829,
  [SMALL_STATE(7430)] = 330885,
  [SMALL_STATE(7431)] = 330947,
  [SMALL_STATE(7432)] = 331003,
  [SMALL_STATE(7433)] = 331059,
  [SMALL_STATE(7434)] = 331117,
  [SMALL_STATE(7435)] = 331173,
  [SMALL_STATE(7436)] = 331229,
  [SMALL_STATE(7437)] = 331285,
  [SMALL_STATE(7438)] = 331343,
  [SMALL_STATE(7439)] = 331399,
  [SMALL_STATE(7440)] = 331455,
  [SMALL_STATE(7441)] = 331513,
  [SMALL_STATE(7442)] = 331569,
  [SMALL_STATE(7443)] = 331625,
  [SMALL_STATE(7444)] = 331681,
  [SMALL_STATE(7445)] = 331737,
  [SMALL_STATE(7446)] = 331793,
  [SMALL_STATE(7447)] = 331849,
  [SMALL_STATE(7448)] = 331957,
  [SMALL_STATE(7449)] = 332013,
  [SMALL_STATE(7450)] = 332069,
  [SMALL_STATE(7451)] = 332127,
  [SMALL_STATE(7452)] = 332183,
  [SMALL_STATE(7453)] = 332239,
  [SMALL_STATE(7454)] = 332295,
  [SMALL_STATE(7455)] = 332351,
  [SMALL_STATE(7456)] = 332407,
  [SMALL_STATE(7457)] = 332463,
  [SMALL_STATE(7458)] = 332519,
  [SMALL_STATE(7459)] = 332581,
  [SMALL_STATE(7460)] = 332637,
  [SMALL_STATE(7461)] = 332693,
  [SMALL_STATE(7462)] = 332749,
  [SMALL_STATE(7463)] = 332805,
  [SMALL_STATE(7464)] = 332861,
  [SMALL_STATE(7465)] = 332917,
  [SMALL_STATE(7466)] = 332973,
  [SMALL_STATE(7467)] = 333029,
  [SMALL_STATE(7468)] = 333085,
  [SMALL_STATE(7469)] = 333141,
  [SMALL_STATE(7470)] = 333197,
  [SMALL_STATE(7471)] = 333253,
  [SMALL_STATE(7472)] = 333311,
  [SMALL_STATE(7473)] = 333367,
  [SMALL_STATE(7474)] = 333423,
  [SMALL_STATE(7475)] = 333479,
  [SMALL_STATE(7476)] = 333535,
  [SMALL_STATE(7477)] = 333591,
  [SMALL_STATE(7478)] = 333647,
  [SMALL_STATE(7479)] = 333703,
  [SMALL_STATE(7480)] = 333759,
  [SMALL_STATE(7481)] = 333815,
  [SMALL_STATE(7482)] = 333871,
  [SMALL_STATE(7483)] = 333927,
  [SMALL_STATE(7484)] = 333983,
  [SMALL_STATE(7485)] = 334039,
  [SMALL_STATE(7486)] = 334095,
  [SMALL_STATE(7487)] = 334151,
  [SMALL_STATE(7488)] = 334207,
  [SMALL_STATE(7489)] = 334263,
  [SMALL_STATE(7490)] = 334319,
  [SMALL_STATE(7491)] = 334375,
  [SMALL_STATE(7492)] = 334431,
  [SMALL_STATE(7493)] = 334493,
  [SMALL_STATE(7494)] = 334549,
  [SMALL_STATE(7495)] = 334605,
  [SMALL_STATE(7496)] = 334661,
  [SMALL_STATE(7497)] = 334717,
  [SMALL_STATE(7498)] = 334773,
  [SMALL_STATE(7499)] = 334829,
  [SMALL_STATE(7500)] = 334885,
  [SMALL_STATE(7501)] = 334941,
  [SMALL_STATE(7502)] = 334997,
  [SMALL_STATE(7503)] = 335053,
  [SMALL_STATE(7504)] = 335109,
  [SMALL_STATE(7505)] = 335165,
  [SMALL_STATE(7506)] = 335221,
  [SMALL_STATE(7507)] = 335277,
  [SMALL_STATE(7508)] = 335333,
  [SMALL_STATE(7509)] = 335389,
  [SMALL_STATE(7510)] = 335445,
  [SMALL_STATE(7511)] = 335501,
  [SMALL_STATE(7512)] = 335557,
  [SMALL_STATE(7513)] = 335613,
  [SMALL_STATE(7514)] = 335669,
  [SMALL_STATE(7515)] = 335725,
  [SMALL_STATE(7516)] = 335781,
  [SMALL_STATE(7517)] = 335837,
  [SMALL_STATE(7518)] = 335893,
  [SMALL_STATE(7519)] = 335949,
  [SMALL_STATE(7520)] = 336005,
  [SMALL_STATE(7521)] = 336061,
  [SMALL_STATE(7522)] = 336117,
  [SMALL_STATE(7523)] = 336173,
  [SMALL_STATE(7524)] = 336235,
  [SMALL_STATE(7525)] = 336291,
  [SMALL_STATE(7526)] = 336347,
  [SMALL_STATE(7527)] = 336403,
  [SMALL_STATE(7528)] = 336459,
  [SMALL_STATE(7529)] = 336515,
  [SMALL_STATE(7530)] = 336571,
  [SMALL_STATE(7531)] = 336627,
  [SMALL_STATE(7532)] = 336683,
  [SMALL_STATE(7533)] = 336739,
  [SMALL_STATE(7534)] = 336795,
  [SMALL_STATE(7535)] = 336853,
  [SMALL_STATE(7536)] = 336909,
  [SMALL_STATE(7537)] = 336965,
  [SMALL_STATE(7538)] = 337021,
  [SMALL_STATE(7539)] = 337077,
  [SMALL_STATE(7540)] = 337133,
  [SMALL_STATE(7541)] = 337189,
  [SMALL_STATE(7542)] = 337245,
  [SMALL_STATE(7543)] = 337301,
  [SMALL_STATE(7544)] = 337357,
  [SMALL_STATE(7545)] = 337413,
  [SMALL_STATE(7546)] = 337469,
  [SMALL_STATE(7547)] = 337525,
  [SMALL_STATE(7548)] = 337581,
  [SMALL_STATE(7549)] = 337637,
  [SMALL_STATE(7550)] = 337693,
  [SMALL_STATE(7551)] = 337749,
  [SMALL_STATE(7552)] = 337805,
  [SMALL_STATE(7553)] = 337861,
  [SMALL_STATE(7554)] = 337917,
  [SMALL_STATE(7555)] = 337973,
  [SMALL_STATE(7556)] = 338035,
  [SMALL_STATE(7557)] = 338091,
  [SMALL_STATE(7558)] = 338147,
  [SMALL_STATE(7559)] = 338203,
  [SMALL_STATE(7560)] = 338259,
  [SMALL_STATE(7561)] = 338315,
  [SMALL_STATE(7562)] = 338371,
  [SMALL_STATE(7563)] = 338427,
  [SMALL_STATE(7564)] = 338483,
  [SMALL_STATE(7565)] = 338539,
  [SMALL_STATE(7566)] = 338595,
  [SMALL_STATE(7567)] = 338651,
  [SMALL_STATE(7568)] = 338707,
  [SMALL_STATE(7569)] = 338763,
  [SMALL_STATE(7570)] = 338819,
  [SMALL_STATE(7571)] = 338875,
  [SMALL_STATE(7572)] = 338931,
  [SMALL_STATE(7573)] = 338987,
  [SMALL_STATE(7574)] = 339043,
  [SMALL_STATE(7575)] = 339099,
  [SMALL_STATE(7576)] = 339155,
  [SMALL_STATE(7577)] = 339211,
  [SMALL_STATE(7578)] = 339267,
  [SMALL_STATE(7579)] = 339323,
  [SMALL_STATE(7580)] = 339379,
  [SMALL_STATE(7581)] = 339435,
  [SMALL_STATE(7582)] = 339491,
  [SMALL_STATE(7583)] = 339547,
  [SMALL_STATE(7584)] = 339603,
  [SMALL_STATE(7585)] = 339659,
  [SMALL_STATE(7586)] = 339715,
  [SMALL_STATE(7587)] = 339771,
  [SMALL_STATE(7588)] = 339827,
  [SMALL_STATE(7589)] = 339883,
  [SMALL_STATE(7590)] = 339939,
  [SMALL_STATE(7591)] = 339995,
  [SMALL_STATE(7592)] = 340051,
  [SMALL_STATE(7593)] = 340107,
  [SMALL_STATE(7594)] = 340163,
  [SMALL_STATE(7595)] = 340219,
  [SMALL_STATE(7596)] = 340275,
  [SMALL_STATE(7597)] = 340331,
  [SMALL_STATE(7598)] = 340387,
  [SMALL_STATE(7599)] = 340443,
  [SMALL_STATE(7600)] = 340501,
  [SMALL_STATE(7601)] = 340557,
  [SMALL_STATE(7602)] = 340613,
  [SMALL_STATE(7603)] = 340669,
  [SMALL_STATE(7604)] = 340725,
  [SMALL_STATE(7605)] = 340781,
  [SMALL_STATE(7606)] = 340837,
  [SMALL_STATE(7607)] = 340893,
  [SMALL_STATE(7608)] = 340949,
  [SMALL_STATE(7609)] = 341005,
  [SMALL_STATE(7610)] = 341061,
  [SMALL_STATE(7611)] = 341117,
  [SMALL_STATE(7612)] = 341173,
  [SMALL_STATE(7613)] = 341229,
  [SMALL_STATE(7614)] = 341285,
  [SMALL_STATE(7615)] = 341341,
  [SMALL_STATE(7616)] = 341397,
  [SMALL_STATE(7617)] = 341453,
  [SMALL_STATE(7618)] = 341509,
  [SMALL_STATE(7619)] = 341565,
  [SMALL_STATE(7620)] = 341621,
  [SMALL_STATE(7621)] = 341677,
  [SMALL_STATE(7622)] = 341733,
  [SMALL_STATE(7623)] = 341789,
  [SMALL_STATE(7624)] = 341845,
  [SMALL_STATE(7625)] = 341901,
  [SMALL_STATE(7626)] = 341957,
  [SMALL_STATE(7627)] = 342013,
  [SMALL_STATE(7628)] = 342069,
  [SMALL_STATE(7629)] = 342125,
  [SMALL_STATE(7630)] = 342181,
  [SMALL_STATE(7631)] = 342237,
  [SMALL_STATE(7632)] = 342293,
  [SMALL_STATE(7633)] = 342349,
  [SMALL_STATE(7634)] = 342405,
  [SMALL_STATE(7635)] = 342513,
  [SMALL_STATE(7636)] = 342569,
  [SMALL_STATE(7637)] = 342625,
  [SMALL_STATE(7638)] = 342681,
  [SMALL_STATE(7639)] = 342737,
  [SMALL_STATE(7640)] = 342793,
  [SMALL_STATE(7641)] = 342849,
  [SMALL_STATE(7642)] = 342905,
  [SMALL_STATE(7643)] = 343013,
  [SMALL_STATE(7644)] = 343069,
  [SMALL_STATE(7645)] = 343125,
  [SMALL_STATE(7646)] = 343181,
  [SMALL_STATE(7647)] = 343237,
  [SMALL_STATE(7648)] = 343293,
  [SMALL_STATE(7649)] = 343349,
  [SMALL_STATE(7650)] = 343405,
  [SMALL_STATE(7651)] = 343461,
  [SMALL_STATE(7652)] = 343517,
  [SMALL_STATE(7653)] = 343573,
  [SMALL_STATE(7654)] = 343629,
  [SMALL_STATE(7655)] = 343685,
  [SMALL_STATE(7656)] = 343741,
  [SMALL_STATE(7657)] = 343797,
  [SMALL_STATE(7658)] = 343855,
  [SMALL_STATE(7659)] = 343911,
  [SMALL_STATE(7660)] = 343967,
  [SMALL_STATE(7661)] = 344025,
  [SMALL_STATE(7662)] = 344083,
  [SMALL_STATE(7663)] = 344139,
  [SMALL_STATE(7664)] = 344195,
  [SMALL_STATE(7665)] = 344251,
  [SMALL_STATE(7666)] = 344307,
  [SMALL_STATE(7667)] = 344363,
  [SMALL_STATE(7668)] = 344419,
  [SMALL_STATE(7669)] = 344475,
  [SMALL_STATE(7670)] = 344533,
  [SMALL_STATE(7671)] = 344589,
  [SMALL_STATE(7672)] = 344645,
  [SMALL_STATE(7673)] = 344701,
  [SMALL_STATE(7674)] = 344757,
  [SMALL_STATE(7675)] = 344813,
  [SMALL_STATE(7676)] = 344869,
  [SMALL_STATE(7677)] = 344925,
  [SMALL_STATE(7678)] = 344981,
  [SMALL_STATE(7679)] = 345037,
  [SMALL_STATE(7680)] = 345095,
  [SMALL_STATE(7681)] = 345151,
  [SMALL_STATE(7682)] = 345207,
  [SMALL_STATE(7683)] = 345263,
  [SMALL_STATE(7684)] = 345319,
  [SMALL_STATE(7685)] = 345375,
  [SMALL_STATE(7686)] = 345431,
  [SMALL_STATE(7687)] = 345487,
  [SMALL_STATE(7688)] = 345543,
  [SMALL_STATE(7689)] = 345599,
  [SMALL_STATE(7690)] = 345655,
  [SMALL_STATE(7691)] = 345711,
  [SMALL_STATE(7692)] = 345767,
  [SMALL_STATE(7693)] = 345823,
  [SMALL_STATE(7694)] = 345879,
  [SMALL_STATE(7695)] = 345935,
  [SMALL_STATE(7696)] = 345993,
  [SMALL_STATE(7697)] = 346049,
  [SMALL_STATE(7698)] = 346105,
  [SMALL_STATE(7699)] = 346161,
  [SMALL_STATE(7700)] = 346223,
  [SMALL_STATE(7701)] = 346279,
  [SMALL_STATE(7702)] = 346341,
  [SMALL_STATE(7703)] = 346397,
  [SMALL_STATE(7704)] = 346453,
  [SMALL_STATE(7705)] = 346509,
  [SMALL_STATE(7706)] = 346565,
  [SMALL_STATE(7707)] = 346623,
  [SMALL_STATE(7708)] = 346679,
  [SMALL_STATE(7709)] = 346735,
  [SMALL_STATE(7710)] = 346793,
  [SMALL_STATE(7711)] = 346849,
  [SMALL_STATE(7712)] = 346905,
  [SMALL_STATE(7713)] = 347013,
  [SMALL_STATE(7714)] = 347069,
  [SMALL_STATE(7715)] = 347125,
  [SMALL_STATE(7716)] = 347181,
  [SMALL_STATE(7717)] = 347237,
  [SMALL_STATE(7718)] = 347293,
  [SMALL_STATE(7719)] = 347349,
  [SMALL_STATE(7720)] = 347405,
  [SMALL_STATE(7721)] = 347461,
  [SMALL_STATE(7722)] = 347517,
  [SMALL_STATE(7723)] = 347575,
  [SMALL_STATE(7724)] = 347631,
  [SMALL_STATE(7725)] = 347687,
  [SMALL_STATE(7726)] = 347743,
  [SMALL_STATE(7727)] = 347801,
  [SMALL_STATE(7728)] = 347857,
  [SMALL_STATE(7729)] = 347913,
  [SMALL_STATE(7730)] = 347975,
  [SMALL_STATE(7731)] = 348031,
  [SMALL_STATE(7732)] = 348087,
  [SMALL_STATE(7733)] = 348143,
  [SMALL_STATE(7734)] = 348199,
  [SMALL_STATE(7735)] = 348255,
  [SMALL_STATE(7736)] = 348311,
  [SMALL_STATE(7737)] = 348367,
  [SMALL_STATE(7738)] = 348423,
  [SMALL_STATE(7739)] = 348479,
  [SMALL_STATE(7740)] = 348535,
  [SMALL_STATE(7741)] = 348591,
  [SMALL_STATE(7742)] = 348647,
  [SMALL_STATE(7743)] = 348703,
  [SMALL_STATE(7744)] = 348759,
  [SMALL_STATE(7745)] = 348815,
  [SMALL_STATE(7746)] = 348871,
  [SMALL_STATE(7747)] = 348927,
  [SMALL_STATE(7748)] = 348988,
  [SMALL_STATE(7749)] = 349043,
  [SMALL_STATE(7750)] = 349098,
  [SMALL_STATE(7751)] = 349153,
  [SMALL_STATE(7752)] = 349214,
  [SMALL_STATE(7753)] = 349269,
  [SMALL_STATE(7754)] = 349324,
  [SMALL_STATE(7755)] = 349379,
  [SMALL_STATE(7756)] = 349434,
  [SMALL_STATE(7757)] = 349489,
  [SMALL_STATE(7758)] = 349544,
  [SMALL_STATE(7759)] = 349599,
  [SMALL_STATE(7760)] = 349654,
  [SMALL_STATE(7761)] = 349709,
  [SMALL_STATE(7762)] = 349764,
  [SMALL_STATE(7763)] = 349819,
  [SMALL_STATE(7764)] = 349876,
  [SMALL_STATE(7765)] = 349931,
  [SMALL_STATE(7766)] = 349986,
  [SMALL_STATE(7767)] = 350041,
  [SMALL_STATE(7768)] = 350096,
  [SMALL_STATE(7769)] = 350151,
  [SMALL_STATE(7770)] = 350206,
  [SMALL_STATE(7771)] = 350261,
  [SMALL_STATE(7772)] = 350316,
  [SMALL_STATE(7773)] = 350371,
  [SMALL_STATE(7774)] = 350426,
  [SMALL_STATE(7775)] = 350531,
  [SMALL_STATE(7776)] = 350586,
  [SMALL_STATE(7777)] = 350641,
  [SMALL_STATE(7778)] = 350696,
  [SMALL_STATE(7779)] = 350757,
  [SMALL_STATE(7780)] = 350812,
  [SMALL_STATE(7781)] = 350869,
  [SMALL_STATE(7782)] = 350924,
  [SMALL_STATE(7783)] = 350979,
  [SMALL_STATE(7784)] = 351034,
  [SMALL_STATE(7785)] = 351089,
  [SMALL_STATE(7786)] = 351144,
  [SMALL_STATE(7787)] = 351199,
  [SMALL_STATE(7788)] = 351254,
  [SMALL_STATE(7789)] = 351309,
  [SMALL_STATE(7790)] = 351364,
  [SMALL_STATE(7791)] = 351419,
  [SMALL_STATE(7792)] = 351474,
  [SMALL_STATE(7793)] = 351529,
  [SMALL_STATE(7794)] = 351584,
  [SMALL_STATE(7795)] = 351639,
  [SMALL_STATE(7796)] = 351694,
  [SMALL_STATE(7797)] = 351749,
  [SMALL_STATE(7798)] = 351804,
  [SMALL_STATE(7799)] = 351859,
  [SMALL_STATE(7800)] = 351914,
  [SMALL_STATE(7801)] = 351969,
  [SMALL_STATE(7802)] = 352024,
  [SMALL_STATE(7803)] = 352129,
  [SMALL_STATE(7804)] = 352184,
  [SMALL_STATE(7805)] = 352239,
  [SMALL_STATE(7806)] = 352294,
  [SMALL_STATE(7807)] = 352349,
  [SMALL_STATE(7808)] = 352404,
  [SMALL_STATE(7809)] = 352459,
  [SMALL_STATE(7810)] = 352516,
  [SMALL_STATE(7811)] = 352571,
  [SMALL_STATE(7812)] = 352676,
  [SMALL_STATE(7813)] = 352731,
  [SMALL_STATE(7814)] = 352786,
  [SMALL_STATE(7815)] = 352841,
  [SMALL_STATE(7816)] = 352896,
  [SMALL_STATE(7817)] = 352951,
  [SMALL_STATE(7818)] = 353006,
  [SMALL_STATE(7819)] = 353061,
  [SMALL_STATE(7820)] = 353116,
  [SMALL_STATE(7821)] = 353173,
  [SMALL_STATE(7822)] = 353228,
  [SMALL_STATE(7823)] = 353283,
  [SMALL_STATE(7824)] = 353338,
  [SMALL_STATE(7825)] = 353393,
  [SMALL_STATE(7826)] = 353448,
  [SMALL_STATE(7827)] = 353505,
  [SMALL_STATE(7828)] = 353560,
  [SMALL_STATE(7829)] = 353615,
  [SMALL_STATE(7830)] = 353670,
  [SMALL_STATE(7831)] = 353725,
  [SMALL_STATE(7832)] = 353780,
  [SMALL_STATE(7833)] = 353837,
  [SMALL_STATE(7834)] = 353892,
  [SMALL_STATE(7835)] = 353949,
  [SMALL_STATE(7836)] = 354004,
  [SMALL_STATE(7837)] = 354059,
  [SMALL_STATE(7838)] = 354114,
  [SMALL_STATE(7839)] = 354169,
  [SMALL_STATE(7840)] = 354224,
  [SMALL_STATE(7841)] = 354279,
  [SMALL_STATE(7842)] = 354334,
  [SMALL_STATE(7843)] = 354389,
  [SMALL_STATE(7844)] = 354444,
  [SMALL_STATE(7845)] = 354499,
  [SMALL_STATE(7846)] = 354554,
  [SMALL_STATE(7847)] = 354609,
  [SMALL_STATE(7848)] = 354670,
  [SMALL_STATE(7849)] = 354725,
  [SMALL_STATE(7850)] = 354780,
  [SMALL_STATE(7851)] = 354837,
  [SMALL_STATE(7852)] = 354892,
  [SMALL_STATE(7853)] = 354947,
  [SMALL_STATE(7854)] = 355002,
  [SMALL_STATE(7855)] = 355057,
  [SMALL_STATE(7856)] = 355112,
  [SMALL_STATE(7857)] = 355167,
  [SMALL_STATE(7858)] = 355222,
  [SMALL_STATE(7859)] = 355277,
  [SMALL_STATE(7860)] = 355332,
  [SMALL_STATE(7861)] = 355387,
  [SMALL_STATE(7862)] = 355442,
  [SMALL_STATE(7863)] = 355497,
  [SMALL_STATE(7864)] = 355552,
  [SMALL_STATE(7865)] = 355607,
  [SMALL_STATE(7866)] = 355662,
  [SMALL_STATE(7867)] = 355717,
  [SMALL_STATE(7868)] = 355772,
  [SMALL_STATE(7869)] = 355827,
  [SMALL_STATE(7870)] = 355882,
  [SMALL_STATE(7871)] = 355939,
  [SMALL_STATE(7872)] = 355994,
  [SMALL_STATE(7873)] = 356049,
  [SMALL_STATE(7874)] = 356104,
  [SMALL_STATE(7875)] = 356159,
  [SMALL_STATE(7876)] = 356214,
  [SMALL_STATE(7877)] = 356269,
  [SMALL_STATE(7878)] = 356324,
  [SMALL_STATE(7879)] = 356379,
  [SMALL_STATE(7880)] = 356434,
  [SMALL_STATE(7881)] = 356489,
  [SMALL_STATE(7882)] = 356544,
  [SMALL_STATE(7883)] = 356599,
  [SMALL_STATE(7884)] = 356654,
  [SMALL_STATE(7885)] = 356709,
  [SMALL_STATE(7886)] = 356764,
  [SMALL_STATE(7887)] = 356819,
  [SMALL_STATE(7888)] = 356874,
  [SMALL_STATE(7889)] = 356929,
  [SMALL_STATE(7890)] = 356984,
  [SMALL_STATE(7891)] = 357039,
  [SMALL_STATE(7892)] = 357094,
  [SMALL_STATE(7893)] = 357149,
  [SMALL_STATE(7894)] = 357204,
  [SMALL_STATE(7895)] = 357259,
  [SMALL_STATE(7896)] = 357314,
  [SMALL_STATE(7897)] = 357369,
  [SMALL_STATE(7898)] = 357424,
  [SMALL_STATE(7899)] = 357479,
  [SMALL_STATE(7900)] = 357534,
  [SMALL_STATE(7901)] = 357589,
  [SMALL_STATE(7902)] = 357644,
  [SMALL_STATE(7903)] = 357699,
  [SMALL_STATE(7904)] = 357754,
  [SMALL_STATE(7905)] = 357809,
  [SMALL_STATE(7906)] = 357864,
  [SMALL_STATE(7907)] = 357919,
  [SMALL_STATE(7908)] = 357974,
  [SMALL_STATE(7909)] = 358029,
  [SMALL_STATE(7910)] = 358084,
  [SMALL_STATE(7911)] = 358139,
  [SMALL_STATE(7912)] = 358200,
  [SMALL_STATE(7913)] = 358255,
  [SMALL_STATE(7914)] = 358310,
  [SMALL_STATE(7915)] = 358365,
  [SMALL_STATE(7916)] = 358420,
  [SMALL_STATE(7917)] = 358475,
  [SMALL_STATE(7918)] = 358530,
  [SMALL_STATE(7919)] = 358585,
  [SMALL_STATE(7920)] = 358640,
  [SMALL_STATE(7921)] = 358695,
  [SMALL_STATE(7922)] = 358750,
  [SMALL_STATE(7923)] = 358805,
  [SMALL_STATE(7924)] = 358860,
  [SMALL_STATE(7925)] = 358915,
  [SMALL_STATE(7926)] = 358970,
  [SMALL_STATE(7927)] = 359025,
  [SMALL_STATE(7928)] = 359080,
  [SMALL_STATE(7929)] = 359135,
  [SMALL_STATE(7930)] = 359190,
  [SMALL_STATE(7931)] = 359245,
  [SMALL_STATE(7932)] = 359300,
  [SMALL_STATE(7933)] = 359355,
  [SMALL_STATE(7934)] = 359410,
  [SMALL_STATE(7935)] = 359465,
  [SMALL_STATE(7936)] = 359520,
  [SMALL_STATE(7937)] = 359575,
  [SMALL_STATE(7938)] = 359630,
  [SMALL_STATE(7939)] = 359685,
  [SMALL_STATE(7940)] = 359740,
  [SMALL_STATE(7941)] = 359795,
  [SMALL_STATE(7942)] = 359850,
  [SMALL_STATE(7943)] = 359905,
  [SMALL_STATE(7944)] = 359960,
  [SMALL_STATE(7945)] = 360015,
  [SMALL_STATE(7946)] = 360070,
  [SMALL_STATE(7947)] = 360127,
  [SMALL_STATE(7948)] = 360182,
  [SMALL_STATE(7949)] = 360239,
  [SMALL_STATE(7950)] = 360294,
  [SMALL_STATE(7951)] = 360349,
  [SMALL_STATE(7952)] = 360404,
  [SMALL_STATE(7953)] = 360459,
  [SMALL_STATE(7954)] = 360514,
  [SMALL_STATE(7955)] = 360569,
  [SMALL_STATE(7956)] = 360624,
  [SMALL_STATE(7957)] = 360679,
  [SMALL_STATE(7958)] = 360734,
  [SMALL_STATE(7959)] = 360789,
  [SMALL_STATE(7960)] = 360844,
  [SMALL_STATE(7961)] = 360899,
  [SMALL_STATE(7962)] = 360954,
  [SMALL_STATE(7963)] = 361009,
  [SMALL_STATE(7964)] = 361064,
  [SMALL_STATE(7965)] = 361119,
  [SMALL_STATE(7966)] = 361174,
  [SMALL_STATE(7967)] = 361229,
  [SMALL_STATE(7968)] = 361284,
  [SMALL_STATE(7969)] = 361339,
  [SMALL_STATE(7970)] = 361396,
  [SMALL_STATE(7971)] = 361451,
  [SMALL_STATE(7972)] = 361506,
  [SMALL_STATE(7973)] = 361563,
  [SMALL_STATE(7974)] = 361618,
  [SMALL_STATE(7975)] = 361673,
  [SMALL_STATE(7976)] = 361728,
  [SMALL_STATE(7977)] = 361783,
  [SMALL_STATE(7978)] = 361844,
  [SMALL_STATE(7979)] = 361899,
  [SMALL_STATE(7980)] = 361954,
  [SMALL_STATE(7981)] = 362009,
  [SMALL_STATE(7982)] = 362066,
  [SMALL_STATE(7983)] = 362121,
  [SMALL_STATE(7984)] = 362176,
  [SMALL_STATE(7985)] = 362237,
  [SMALL_STATE(7986)] = 362292,
  [SMALL_STATE(7987)] = 362349,
  [SMALL_STATE(7988)] = 362404,
  [SMALL_STATE(7989)] = 362459,
  [SMALL_STATE(7990)] = 362514,
  [SMALL_STATE(7991)] = 362569,
  [SMALL_STATE(7992)] = 362624,
  [SMALL_STATE(7993)] = 362679,
  [SMALL_STATE(7994)] = 362734,
  [SMALL_STATE(7995)] = 362789,
  [SMALL_STATE(7996)] = 362846,
  [SMALL_STATE(7997)] = 362901,
  [SMALL_STATE(7998)] = 362956,
  [SMALL_STATE(7999)] = 363011,
  [SMALL_STATE(8000)] = 363066,
  [SMALL_STATE(8001)] = 363121,
  [SMALL_STATE(8002)] = 363176,
  [SMALL_STATE(8003)] = 363231,
  [SMALL_STATE(8004)] = 363286,
  [SMALL_STATE(8005)] = 363341,
  [SMALL_STATE(8006)] = 363396,
  [SMALL_STATE(8007)] = 363451,
  [SMALL_STATE(8008)] = 363506,
  [SMALL_STATE(8009)] = 363561,
  [SMALL_STATE(8010)] = 363616,
  [SMALL_STATE(8011)] = 363671,
  [SMALL_STATE(8012)] = 363732,
  [SMALL_STATE(8013)] = 363787,
  [SMALL_STATE(8014)] = 363842,
  [SMALL_STATE(8015)] = 363897,
  [SMALL_STATE(8016)] = 363952,
  [SMALL_STATE(8017)] = 364007,
  [SMALL_STATE(8018)] = 364062,
  [SMALL_STATE(8019)] = 364117,
  [SMALL_STATE(8020)] = 364172,
  [SMALL_STATE(8021)] = 364227,
  [SMALL_STATE(8022)] = 364332,
  [SMALL_STATE(8023)] = 364387,
  [SMALL_STATE(8024)] = 364442,
  [SMALL_STATE(8025)] = 364497,
  [SMALL_STATE(8026)] = 364552,
  [SMALL_STATE(8027)] = 364607,
  [SMALL_STATE(8028)] = 364662,
  [SMALL_STATE(8029)] = 364717,
  [SMALL_STATE(8030)] = 364772,
  [SMALL_STATE(8031)] = 364827,
  [SMALL_STATE(8032)] = 364882,
  [SMALL_STATE(8033)] = 364937,
  [SMALL_STATE(8034)] = 364992,
  [SMALL_STATE(8035)] = 365047,
  [SMALL_STATE(8036)] = 365102,
  [SMALL_STATE(8037)] = 365159,
  [SMALL_STATE(8038)] = 365214,
  [SMALL_STATE(8039)] = 365269,
  [SMALL_STATE(8040)] = 365324,
  [SMALL_STATE(8041)] = 365379,
  [SMALL_STATE(8042)] = 365434,
  [SMALL_STATE(8043)] = 365489,
  [SMALL_STATE(8044)] = 365544,
  [SMALL_STATE(8045)] = 365599,
  [SMALL_STATE(8046)] = 365704,
  [SMALL_STATE(8047)] = 365759,
  [SMALL_STATE(8048)] = 365814,
  [SMALL_STATE(8049)] = 365869,
  [SMALL_STATE(8050)] = 365924,
  [SMALL_STATE(8051)] = 365979,
  [SMALL_STATE(8052)] = 366034,
  [SMALL_STATE(8053)] = 366089,
  [SMALL_STATE(8054)] = 366144,
  [SMALL_STATE(8055)] = 366199,
  [SMALL_STATE(8056)] = 366254,
  [SMALL_STATE(8057)] = 366309,
  [SMALL_STATE(8058)] = 366364,
  [SMALL_STATE(8059)] = 366419,
  [SMALL_STATE(8060)] = 366474,
  [SMALL_STATE(8061)] = 366529,
  [SMALL_STATE(8062)] = 366584,
  [SMALL_STATE(8063)] = 366639,
  [SMALL_STATE(8064)] = 366694,
  [SMALL_STATE(8065)] = 366749,
  [SMALL_STATE(8066)] = 366804,
  [SMALL_STATE(8067)] = 366859,
  [SMALL_STATE(8068)] = 366914,
  [SMALL_STATE(8069)] = 366969,
  [SMALL_STATE(8070)] = 367024,
  [SMALL_STATE(8071)] = 367081,
  [SMALL_STATE(8072)] = 367136,
  [SMALL_STATE(8073)] = 367193,
  [SMALL_STATE(8074)] = 367248,
  [SMALL_STATE(8075)] = 367303,
  [SMALL_STATE(8076)] = 367358,
  [SMALL_STATE(8077)] = 367413,
  [SMALL_STATE(8078)] = 367468,
  [SMALL_STATE(8079)] = 367529,
  [SMALL_STATE(8080)] = 367584,
  [SMALL_STATE(8081)] = 367639,
  [SMALL_STATE(8082)] = 367694,
  [SMALL_STATE(8083)] = 367751,
  [SMALL_STATE(8084)] = 367806,
  [SMALL_STATE(8085)] = 367861,
  [SMALL_STATE(8086)] = 367916,
  [SMALL_STATE(8087)] = 367971,
  [SMALL_STATE(8088)] = 368026,
  [SMALL_STATE(8089)] = 368081,
  [SMALL_STATE(8090)] = 368136,
  [SMALL_STATE(8091)] = 368191,
  [SMALL_STATE(8092)] = 368246,
  [SMALL_STATE(8093)] = 368301,
  [SMALL_STATE(8094)] = 368356,
  [SMALL_STATE(8095)] = 368411,
  [SMALL_STATE(8096)] = 368468,
  [SMALL_STATE(8097)] = 368523,
  [SMALL_STATE(8098)] = 368578,
  [SMALL_STATE(8099)] = 368633,
  [SMALL_STATE(8100)] = 368688,
  [SMALL_STATE(8101)] = 368743,
  [SMALL_STATE(8102)] = 368798,
  [SMALL_STATE(8103)] = 368853,
  [SMALL_STATE(8104)] = 368908,
  [SMALL_STATE(8105)] = 368963,
  [SMALL_STATE(8106)] = 369018,
  [SMALL_STATE(8107)] = 369073,
  [SMALL_STATE(8108)] = 369128,
  [SMALL_STATE(8109)] = 369183,
  [SMALL_STATE(8110)] = 369238,
  [SMALL_STATE(8111)] = 369293,
  [SMALL_STATE(8112)] = 369348,
  [SMALL_STATE(8113)] = 369403,
  [SMALL_STATE(8114)] = 369458,
  [SMALL_STATE(8115)] = 369513,
  [SMALL_STATE(8116)] = 369574,
  [SMALL_STATE(8117)] = 369629,
  [SMALL_STATE(8118)] = 369684,
  [SMALL_STATE(8119)] = 369741,
  [SMALL_STATE(8120)] = 369796,
  [SMALL_STATE(8121)] = 369851,
  [SMALL_STATE(8122)] = 369906,
  [SMALL_STATE(8123)] = 369961,
  [SMALL_STATE(8124)] = 370016,
  [SMALL_STATE(8125)] = 370071,
  [SMALL_STATE(8126)] = 370126,
  [SMALL_STATE(8127)] = 370181,
  [SMALL_STATE(8128)] = 370236,
  [SMALL_STATE(8129)] = 370291,
  [SMALL_STATE(8130)] = 370346,
  [SMALL_STATE(8131)] = 370401,
  [SMALL_STATE(8132)] = 370456,
  [SMALL_STATE(8133)] = 370511,
  [SMALL_STATE(8134)] = 370566,
  [SMALL_STATE(8135)] = 370621,
  [SMALL_STATE(8136)] = 370676,
  [SMALL_STATE(8137)] = 370731,
  [SMALL_STATE(8138)] = 370786,
  [SMALL_STATE(8139)] = 370841,
  [SMALL_STATE(8140)] = 370896,
  [SMALL_STATE(8141)] = 370951,
  [SMALL_STATE(8142)] = 371006,
  [SMALL_STATE(8143)] = 371061,
  [SMALL_STATE(8144)] = 371118,
  [SMALL_STATE(8145)] = 371173,
  [SMALL_STATE(8146)] = 371228,
  [SMALL_STATE(8147)] = 371283,
  [SMALL_STATE(8148)] = 371338,
  [SMALL_STATE(8149)] = 371393,
  [SMALL_STATE(8150)] = 371448,
  [SMALL_STATE(8151)] = 371503,
  [SMALL_STATE(8152)] = 371558,
  [SMALL_STATE(8153)] = 371613,
  [SMALL_STATE(8154)] = 371668,
  [SMALL_STATE(8155)] = 371723,
  [SMALL_STATE(8156)] = 371778,
  [SMALL_STATE(8157)] = 371833,
  [SMALL_STATE(8158)] = 371888,
  [SMALL_STATE(8159)] = 371943,
  [SMALL_STATE(8160)] = 371998,
  [SMALL_STATE(8161)] = 372053,
  [SMALL_STATE(8162)] = 372108,
  [SMALL_STATE(8163)] = 372163,
  [SMALL_STATE(8164)] = 372218,
  [SMALL_STATE(8165)] = 372273,
  [SMALL_STATE(8166)] = 372330,
  [SMALL_STATE(8167)] = 372385,
  [SMALL_STATE(8168)] = 372440,
  [SMALL_STATE(8169)] = 372495,
  [SMALL_STATE(8170)] = 372550,
  [SMALL_STATE(8171)] = 372605,
  [SMALL_STATE(8172)] = 372660,
  [SMALL_STATE(8173)] = 372715,
  [SMALL_STATE(8174)] = 372770,
  [SMALL_STATE(8175)] = 372825,
  [SMALL_STATE(8176)] = 372880,
  [SMALL_STATE(8177)] = 372935,
  [SMALL_STATE(8178)] = 372990,
  [SMALL_STATE(8179)] = 373095,
  [SMALL_STATE(8180)] = 373152,
  [SMALL_STATE(8181)] = 373207,
  [SMALL_STATE(8182)] = 373262,
  [SMALL_STATE(8183)] = 373317,
  [SMALL_STATE(8184)] = 373372,
  [SMALL_STATE(8185)] = 373427,
  [SMALL_STATE(8186)] = 373482,
  [SMALL_STATE(8187)] = 373537,
  [SMALL_STATE(8188)] = 373592,
  [SMALL_STATE(8189)] = 373649,
  [SMALL_STATE(8190)] = 373706,
  [SMALL_STATE(8191)] = 373811,
  [SMALL_STATE(8192)] = 373866,
  [SMALL_STATE(8193)] = 373923,
  [SMALL_STATE(8194)] = 373978,
  [SMALL_STATE(8195)] = 374033,
  [SMALL_STATE(8196)] = 374088,
  [SMALL_STATE(8197)] = 374143,
  [SMALL_STATE(8198)] = 374198,
  [SMALL_STATE(8199)] = 374253,
  [SMALL_STATE(8200)] = 374310,
  [SMALL_STATE(8201)] = 374371,
  [SMALL_STATE(8202)] = 374426,
  [SMALL_STATE(8203)] = 374481,
  [SMALL_STATE(8204)] = 374536,
  [SMALL_STATE(8205)] = 374591,
  [SMALL_STATE(8206)] = 374646,
  [SMALL_STATE(8207)] = 374701,
  [SMALL_STATE(8208)] = 374756,
  [SMALL_STATE(8209)] = 374811,
  [SMALL_STATE(8210)] = 374866,
  [SMALL_STATE(8211)] = 374921,
  [SMALL_STATE(8212)] = 374976,
  [SMALL_STATE(8213)] = 375031,
  [SMALL_STATE(8214)] = 375086,
  [SMALL_STATE(8215)] = 375141,
  [SMALL_STATE(8216)] = 375196,
  [SMALL_STATE(8217)] = 375251,
  [SMALL_STATE(8218)] = 375306,
  [SMALL_STATE(8219)] = 375361,
  [SMALL_STATE(8220)] = 375416,
  [SMALL_STATE(8221)] = 375471,
  [SMALL_STATE(8222)] = 375526,
  [SMALL_STATE(8223)] = 375581,
  [SMALL_STATE(8224)] = 375636,
  [SMALL_STATE(8225)] = 375691,
  [SMALL_STATE(8226)] = 375746,
  [SMALL_STATE(8227)] = 375801,
  [SMALL_STATE(8228)] = 375856,
  [SMALL_STATE(8229)] = 375911,
  [SMALL_STATE(8230)] = 375972,
  [SMALL_STATE(8231)] = 376033,
  [SMALL_STATE(8232)] = 376088,
  [SMALL_STATE(8233)] = 376143,
  [SMALL_STATE(8234)] = 376198,
  [SMALL_STATE(8235)] = 376253,
  [SMALL_STATE(8236)] = 376308,
  [SMALL_STATE(8237)] = 376363,
  [SMALL_STATE(8238)] = 376418,
  [SMALL_STATE(8239)] = 376473,
  [SMALL_STATE(8240)] = 376528,
  [SMALL_STATE(8241)] = 376583,
  [SMALL_STATE(8242)] = 376638,
  [SMALL_STATE(8243)] = 376693,
  [SMALL_STATE(8244)] = 376748,
  [SMALL_STATE(8245)] = 376803,
  [SMALL_STATE(8246)] = 376858,
  [SMALL_STATE(8247)] = 376913,
  [SMALL_STATE(8248)] = 376968,
  [SMALL_STATE(8249)] = 377023,
  [SMALL_STATE(8250)] = 377078,
  [SMALL_STATE(8251)] = 377133,
  [SMALL_STATE(8252)] = 377188,
  [SMALL_STATE(8253)] = 377243,
  [SMALL_STATE(8254)] = 377298,
  [SMALL_STATE(8255)] = 377353,
  [SMALL_STATE(8256)] = 377408,
  [SMALL_STATE(8257)] = 377463,
  [SMALL_STATE(8258)] = 377518,
  [SMALL_STATE(8259)] = 377573,
  [SMALL_STATE(8260)] = 377628,
  [SMALL_STATE(8261)] = 377685,
  [SMALL_STATE(8262)] = 377740,
  [SMALL_STATE(8263)] = 377795,
  [SMALL_STATE(8264)] = 377850,
  [SMALL_STATE(8265)] = 377905,
  [SMALL_STATE(8266)] = 377960,
  [SMALL_STATE(8267)] = 378015,
  [SMALL_STATE(8268)] = 378070,
  [SMALL_STATE(8269)] = 378125,
  [SMALL_STATE(8270)] = 378180,
  [SMALL_STATE(8271)] = 378235,
  [SMALL_STATE(8272)] = 378290,
  [SMALL_STATE(8273)] = 378345,
  [SMALL_STATE(8274)] = 378400,
  [SMALL_STATE(8275)] = 378455,
  [SMALL_STATE(8276)] = 378510,
  [SMALL_STATE(8277)] = 378565,
  [SMALL_STATE(8278)] = 378620,
  [SMALL_STATE(8279)] = 378675,
  [SMALL_STATE(8280)] = 378736,
  [SMALL_STATE(8281)] = 378793,
  [SMALL_STATE(8282)] = 378848,
  [SMALL_STATE(8283)] = 378905,
  [SMALL_STATE(8284)] = 378960,
  [SMALL_STATE(8285)] = 379017,
  [SMALL_STATE(8286)] = 379072,
  [SMALL_STATE(8287)] = 379127,
  [SMALL_STATE(8288)] = 379182,
  [SMALL_STATE(8289)] = 379237,
  [SMALL_STATE(8290)] = 379292,
  [SMALL_STATE(8291)] = 379347,
  [SMALL_STATE(8292)] = 379402,
  [SMALL_STATE(8293)] = 379457,
  [SMALL_STATE(8294)] = 379512,
  [SMALL_STATE(8295)] = 379567,
  [SMALL_STATE(8296)] = 379622,
  [SMALL_STATE(8297)] = 379677,
  [SMALL_STATE(8298)] = 379732,
  [SMALL_STATE(8299)] = 379787,
  [SMALL_STATE(8300)] = 379842,
  [SMALL_STATE(8301)] = 379897,
  [SMALL_STATE(8302)] = 379952,
  [SMALL_STATE(8303)] = 380007,
  [SMALL_STATE(8304)] = 380062,
  [SMALL_STATE(8305)] = 380117,
  [SMALL_STATE(8306)] = 380222,
  [SMALL_STATE(8307)] = 380279,
  [SMALL_STATE(8308)] = 380334,
  [SMALL_STATE(8309)] = 380389,
  [SMALL_STATE(8310)] = 380444,
  [SMALL_STATE(8311)] = 380499,
  [SMALL_STATE(8312)] = 380554,
  [SMALL_STATE(8313)] = 380609,
  [SMALL_STATE(8314)] = 380664,
  [SMALL_STATE(8315)] = 380719,
  [SMALL_STATE(8316)] = 380773,
  [SMALL_STATE(8317)] = 380827,
  [SMALL_STATE(8318)] = 380883,
  [SMALL_STATE(8319)] = 380937,
  [SMALL_STATE(8320)] = 380991,
  [SMALL_STATE(8321)] = 381045,
  [SMALL_STATE(8322)] = 381099,
  [SMALL_STATE(8323)] = 381153,
  [SMALL_STATE(8324)] = 381207,
  [SMALL_STATE(8325)] = 381261,
  [SMALL_STATE(8326)] = 381317,
  [SMALL_STATE(8327)] = 381371,
  [SMALL_STATE(8328)] = 381425,
  [SMALL_STATE(8329)] = 381479,
  [SMALL_STATE(8330)] = 381533,
  [SMALL_STATE(8331)] = 381587,
  [SMALL_STATE(8332)] = 381641,
  [SMALL_STATE(8333)] = 381695,
  [SMALL_STATE(8334)] = 381749,
  [SMALL_STATE(8335)] = 381803,
  [SMALL_STATE(8336)] = 381857,
  [SMALL_STATE(8337)] = 381911,
  [SMALL_STATE(8338)] = 381965,
  [SMALL_STATE(8339)] = 382025,
  [SMALL_STATE(8340)] = 382079,
  [SMALL_STATE(8341)] = 382133,
  [SMALL_STATE(8342)] = 382187,
  [SMALL_STATE(8343)] = 382247,
  [SMALL_STATE(8344)] = 382301,
  [SMALL_STATE(8345)] = 382355,
  [SMALL_STATE(8346)] = 382409,
  [SMALL_STATE(8347)] = 382465,
  [SMALL_STATE(8348)] = 382519,
  [SMALL_STATE(8349)] = 382573,
  [SMALL_STATE(8350)] = 382627,
  [SMALL_STATE(8351)] = 382681,
  [SMALL_STATE(8352)] = 382735,
  [SMALL_STATE(8353)] = 382789,
  [SMALL_STATE(8354)] = 382843,
  [SMALL_STATE(8355)] = 382897,
  [SMALL_STATE(8356)] = 382951,
  [SMALL_STATE(8357)] = 383005,
  [SMALL_STATE(8358)] = 383059,
  [SMALL_STATE(8359)] = 383113,
  [SMALL_STATE(8360)] = 383167,
  [SMALL_STATE(8361)] = 383223,
  [SMALL_STATE(8362)] = 383277,
  [SMALL_STATE(8363)] = 383331,
  [SMALL_STATE(8364)] = 383385,
  [SMALL_STATE(8365)] = 383439,
  [SMALL_STATE(8366)] = 383493,
  [SMALL_STATE(8367)] = 383547,
  [SMALL_STATE(8368)] = 383603,
  [SMALL_STATE(8369)] = 383657,
  [SMALL_STATE(8370)] = 383711,
  [SMALL_STATE(8371)] = 383765,
  [SMALL_STATE(8372)] = 383819,
  [SMALL_STATE(8373)] = 383873,
  [SMALL_STATE(8374)] = 383927,
  [SMALL_STATE(8375)] = 383981,
  [SMALL_STATE(8376)] = 384035,
  [SMALL_STATE(8377)] = 384089,
  [SMALL_STATE(8378)] = 384143,
  [SMALL_STATE(8379)] = 384197,
  [SMALL_STATE(8380)] = 384251,
  [SMALL_STATE(8381)] = 384305,
  [SMALL_STATE(8382)] = 384359,
  [SMALL_STATE(8383)] = 384413,
  [SMALL_STATE(8384)] = 384467,
  [SMALL_STATE(8385)] = 384521,
  [SMALL_STATE(8386)] = 384575,
  [SMALL_STATE(8387)] = 384629,
  [SMALL_STATE(8388)] = 384683,
  [SMALL_STATE(8389)] = 384737,
  [SMALL_STATE(8390)] = 384791,
  [SMALL_STATE(8391)] = 384845,
  [SMALL_STATE(8392)] = 384899,
  [SMALL_STATE(8393)] = 384953,
  [SMALL_STATE(8394)] = 385007,
  [SMALL_STATE(8395)] = 385061,
  [SMALL_STATE(8396)] = 385115,
  [SMALL_STATE(8397)] = 385169,
  [SMALL_STATE(8398)] = 385223,
  [SMALL_STATE(8399)] = 385277,
  [SMALL_STATE(8400)] = 385331,
  [SMALL_STATE(8401)] = 385385,
  [SMALL_STATE(8402)] = 385439,
  [SMALL_STATE(8403)] = 385493,
  [SMALL_STATE(8404)] = 385547,
  [SMALL_STATE(8405)] = 385601,
  [SMALL_STATE(8406)] = 385655,
  [SMALL_STATE(8407)] = 385709,
  [SMALL_STATE(8408)] = 385763,
  [SMALL_STATE(8409)] = 385817,
  [SMALL_STATE(8410)] = 385871,
  [SMALL_STATE(8411)] = 385925,
  [SMALL_STATE(8412)] = 385979,
  [SMALL_STATE(8413)] = 386033,
  [SMALL_STATE(8414)] = 386089,
  [SMALL_STATE(8415)] = 386143,
  [SMALL_STATE(8416)] = 386197,
  [SMALL_STATE(8417)] = 386251,
  [SMALL_STATE(8418)] = 386305,
  [SMALL_STATE(8419)] = 386359,
  [SMALL_STATE(8420)] = 386413,
  [SMALL_STATE(8421)] = 386467,
  [SMALL_STATE(8422)] = 386523,
  [SMALL_STATE(8423)] = 386577,
  [SMALL_STATE(8424)] = 386631,
  [SMALL_STATE(8425)] = 386685,
  [SMALL_STATE(8426)] = 386739,
  [SMALL_STATE(8427)] = 386793,
  [SMALL_STATE(8428)] = 386847,
  [SMALL_STATE(8429)] = 386901,
  [SMALL_STATE(8430)] = 386955,
  [SMALL_STATE(8431)] = 387009,
  [SMALL_STATE(8432)] = 387063,
  [SMALL_STATE(8433)] = 387117,
  [SMALL_STATE(8434)] = 387173,
  [SMALL_STATE(8435)] = 387227,
  [SMALL_STATE(8436)] = 387281,
  [SMALL_STATE(8437)] = 387335,
  [SMALL_STATE(8438)] = 387389,
  [SMALL_STATE(8439)] = 387443,
  [SMALL_STATE(8440)] = 387497,
  [SMALL_STATE(8441)] = 387551,
  [SMALL_STATE(8442)] = 387605,
  [SMALL_STATE(8443)] = 387665,
  [SMALL_STATE(8444)] = 387719,
  [SMALL_STATE(8445)] = 387773,
  [SMALL_STATE(8446)] = 387827,
  [SMALL_STATE(8447)] = 387881,
  [SMALL_STATE(8448)] = 387935,
  [SMALL_STATE(8449)] = 387989,
  [SMALL_STATE(8450)] = 388049,
  [SMALL_STATE(8451)] = 388103,
  [SMALL_STATE(8452)] = 388157,
  [SMALL_STATE(8453)] = 388211,
  [SMALL_STATE(8454)] = 388265,
  [SMALL_STATE(8455)] = 388319,
  [SMALL_STATE(8456)] = 388373,
  [SMALL_STATE(8457)] = 388427,
  [SMALL_STATE(8458)] = 388481,
  [SMALL_STATE(8459)] = 388535,
  [SMALL_STATE(8460)] = 388589,
  [SMALL_STATE(8461)] = 388643,
  [SMALL_STATE(8462)] = 388697,
  [SMALL_STATE(8463)] = 388753,
  [SMALL_STATE(8464)] = 388807,
  [SMALL_STATE(8465)] = 388863,
  [SMALL_STATE(8466)] = 388917,
  [SMALL_STATE(8467)] = 388971,
  [SMALL_STATE(8468)] = 389027,
  [SMALL_STATE(8469)] = 389081,
  [SMALL_STATE(8470)] = 389135,
  [SMALL_STATE(8471)] = 389189,
  [SMALL_STATE(8472)] = 389243,
  [SMALL_STATE(8473)] = 389297,
  [SMALL_STATE(8474)] = 389351,
  [SMALL_STATE(8475)] = 389405,
  [SMALL_STATE(8476)] = 389459,
  [SMALL_STATE(8477)] = 389513,
  [SMALL_STATE(8478)] = 389567,
  [SMALL_STATE(8479)] = 389621,
  [SMALL_STATE(8480)] = 389675,
  [SMALL_STATE(8481)] = 389731,
  [SMALL_STATE(8482)] = 389785,
  [SMALL_STATE(8483)] = 389839,
  [SMALL_STATE(8484)] = 389893,
  [SMALL_STATE(8485)] = 389947,
  [SMALL_STATE(8486)] = 390001,
  [SMALL_STATE(8487)] = 390055,
  [SMALL_STATE(8488)] = 390109,
  [SMALL_STATE(8489)] = 390163,
  [SMALL_STATE(8490)] = 390217,
  [SMALL_STATE(8491)] = 390271,
  [SMALL_STATE(8492)] = 390325,
  [SMALL_STATE(8493)] = 390378,
  [SMALL_STATE(8494)] = 390431,
  [SMALL_STATE(8495)] = 390490,
  [SMALL_STATE(8496)] = 390543,
  [SMALL_STATE(8497)] = 390596,
  [SMALL_STATE(8498)] = 390649,
  [SMALL_STATE(8499)] = 390708,
  [SMALL_STATE(8500)] = 390761,
  [SMALL_STATE(8501)] = 390814,
  [SMALL_STATE(8502)] = 390869,
  [SMALL_STATE(8503)] = 390922,
  [SMALL_STATE(8504)] = 390975,
  [SMALL_STATE(8505)] = 391028,
  [SMALL_STATE(8506)] = 391081,
  [SMALL_STATE(8507)] = 391134,
  [SMALL_STATE(8508)] = 391187,
  [SMALL_STATE(8509)] = 391240,
  [SMALL_STATE(8510)] = 391293,
  [SMALL_STATE(8511)] = 391348,
  [SMALL_STATE(8512)] = 391401,
  [SMALL_STATE(8513)] = 391454,
  [SMALL_STATE(8514)] = 391507,
  [SMALL_STATE(8515)] = 391560,
  [SMALL_STATE(8516)] = 391613,
  [SMALL_STATE(8517)] = 391666,
  [SMALL_STATE(8518)] = 391719,
  [SMALL_STATE(8519)] = 391772,
  [SMALL_STATE(8520)] = 391825,
  [SMALL_STATE(8521)] = 391878,
  [SMALL_STATE(8522)] = 391931,
  [SMALL_STATE(8523)] = 391984,
  [SMALL_STATE(8524)] = 392037,
  [SMALL_STATE(8525)] = 392092,
  [SMALL_STATE(8526)] = 392147,
  [SMALL_STATE(8527)] = 392200,
  [SMALL_STATE(8528)] = 392253,
  [SMALL_STATE(8529)] = 392306,
  [SMALL_STATE(8530)] = 392359,
  [SMALL_STATE(8531)] = 392412,
  [SMALL_STATE(8532)] = 392465,
  [SMALL_STATE(8533)] = 392518,
  [SMALL_STATE(8534)] = 392571,
  [SMALL_STATE(8535)] = 392624,
  [SMALL_STATE(8536)] = 392677,
  [SMALL_STATE(8537)] = 392730,
  [SMALL_STATE(8538)] = 392783,
  [SMALL_STATE(8539)] = 392836,
  [SMALL_STATE(8540)] = 392889,
  [SMALL_STATE(8541)] = 392942,
  [SMALL_STATE(8542)] = 392995,
  [SMALL_STATE(8543)] = 393048,
  [SMALL_STATE(8544)] = 393101,
  [SMALL_STATE(8545)] = 393154,
  [SMALL_STATE(8546)] = 393207,
  [SMALL_STATE(8547)] = 393260,
  [SMALL_STATE(8548)] = 393313,
  [SMALL_STATE(8549)] = 393366,
  [SMALL_STATE(8550)] = 393419,
  [SMALL_STATE(8551)] = 393472,
  [SMALL_STATE(8552)] = 393525,
  [SMALL_STATE(8553)] = 393578,
  [SMALL_STATE(8554)] = 393631,
  [SMALL_STATE(8555)] = 393684,
  [SMALL_STATE(8556)] = 393739,
  [SMALL_STATE(8557)] = 393792,
  [SMALL_STATE(8558)] = 393845,
  [SMALL_STATE(8559)] = 393898,
  [SMALL_STATE(8560)] = 393951,
  [SMALL_STATE(8561)] = 394004,
  [SMALL_STATE(8562)] = 394057,
  [SMALL_STATE(8563)] = 394110,
  [SMALL_STATE(8564)] = 394163,
  [SMALL_STATE(8565)] = 394216,
  [SMALL_STATE(8566)] = 394269,
  [SMALL_STATE(8567)] = 394322,
  [SMALL_STATE(8568)] = 394375,
  [SMALL_STATE(8569)] = 394428,
  [SMALL_STATE(8570)] = 394481,
  [SMALL_STATE(8571)] = 394534,
  [SMALL_STATE(8572)] = 394589,
  [SMALL_STATE(8573)] = 394642,
  [SMALL_STATE(8574)] = 394695,
  [SMALL_STATE(8575)] = 394754,
  [SMALL_STATE(8576)] = 394807,
  [SMALL_STATE(8577)] = 394860,
  [SMALL_STATE(8578)] = 394913,
  [SMALL_STATE(8579)] = 394966,
  [SMALL_STATE(8580)] = 395019,
  [SMALL_STATE(8581)] = 395072,
  [SMALL_STATE(8582)] = 395125,
  [SMALL_STATE(8583)] = 395178,
  [SMALL_STATE(8584)] = 395231,
  [SMALL_STATE(8585)] = 395284,
  [SMALL_STATE(8586)] = 395337,
  [SMALL_STATE(8587)] = 395390,
  [SMALL_STATE(8588)] = 395443,
  [SMALL_STATE(8589)] = 395496,
  [SMALL_STATE(8590)] = 395549,
  [SMALL_STATE(8591)] = 395602,
  [SMALL_STATE(8592)] = 395655,
  [SMALL_STATE(8593)] = 395708,
  [SMALL_STATE(8594)] = 395761,
  [SMALL_STATE(8595)] = 395814,
  [SMALL_STATE(8596)] = 395867,
  [SMALL_STATE(8597)] = 395920,
  [SMALL_STATE(8598)] = 395973,
  [SMALL_STATE(8599)] = 396026,
  [SMALL_STATE(8600)] = 396079,
  [SMALL_STATE(8601)] = 396132,
  [SMALL_STATE(8602)] = 396185,
  [SMALL_STATE(8603)] = 396238,
  [SMALL_STATE(8604)] = 396291,
  [SMALL_STATE(8605)] = 396344,
  [SMALL_STATE(8606)] = 396397,
  [SMALL_STATE(8607)] = 396450,
  [SMALL_STATE(8608)] = 396503,
  [SMALL_STATE(8609)] = 396556,
  [SMALL_STATE(8610)] = 396609,
  [SMALL_STATE(8611)] = 396662,
  [SMALL_STATE(8612)] = 396715,
  [SMALL_STATE(8613)] = 396768,
  [SMALL_STATE(8614)] = 396821,
  [SMALL_STATE(8615)] = 396874,
  [SMALL_STATE(8616)] = 396927,
  [SMALL_STATE(8617)] = 396980,
  [SMALL_STATE(8618)] = 397033,
  [SMALL_STATE(8619)] = 397086,
  [SMALL_STATE(8620)] = 397139,
  [SMALL_STATE(8621)] = 397192,
  [SMALL_STATE(8622)] = 397245,
  [SMALL_STATE(8623)] = 397298,
  [SMALL_STATE(8624)] = 397351,
  [SMALL_STATE(8625)] = 397404,
  [SMALL_STATE(8626)] = 397457,
  [SMALL_STATE(8627)] = 397510,
  [SMALL_STATE(8628)] = 397563,
  [SMALL_STATE(8629)] = 397616,
  [SMALL_STATE(8630)] = 397669,
  [SMALL_STATE(8631)] = 397722,
  [SMALL_STATE(8632)] = 397775,
  [SMALL_STATE(8633)] = 397828,
  [SMALL_STATE(8634)] = 397881,
  [SMALL_STATE(8635)] = 397934,
  [SMALL_STATE(8636)] = 397987,
  [SMALL_STATE(8637)] = 398040,
  [SMALL_STATE(8638)] = 398093,
  [SMALL_STATE(8639)] = 398146,
  [SMALL_STATE(8640)] = 398199,
  [SMALL_STATE(8641)] = 398252,
  [SMALL_STATE(8642)] = 398305,
  [SMALL_STATE(8643)] = 398358,
  [SMALL_STATE(8644)] = 398413,
  [SMALL_STATE(8645)] = 398466,
  [SMALL_STATE(8646)] = 398519,
  [SMALL_STATE(8647)] = 398572,
  [SMALL_STATE(8648)] = 398625,
  [SMALL_STATE(8649)] = 398678,
  [SMALL_STATE(8650)] = 398731,
  [SMALL_STATE(8651)] = 398786,
  [SMALL_STATE(8652)] = 398839,
  [SMALL_STATE(8653)] = 398892,
  [SMALL_STATE(8654)] = 398945,
  [SMALL_STATE(8655)] = 398998,
  [SMALL_STATE(8656)] = 399051,
  [SMALL_STATE(8657)] = 399104,
  [SMALL_STATE(8658)] = 399159,
  [SMALL_STATE(8659)] = 399212,
  [SMALL_STATE(8660)] = 399265,
  [SMALL_STATE(8661)] = 399318,
  [SMALL_STATE(8662)] = 399371,
  [SMALL_STATE(8663)] = 399424,
  [SMALL_STATE(8664)] = 399477,
  [SMALL_STATE(8665)] = 399530,
  [SMALL_STATE(8666)] = 399583,
  [SMALL_STATE(8667)] = 399636,
  [SMALL_STATE(8668)] = 399689,
  [SMALL_STATE(8669)] = 399742,
  [SMALL_STATE(8670)] = 399795,
  [SMALL_STATE(8671)] = 399848,
  [SMALL_STATE(8672)] = 399901,
  [SMALL_STATE(8673)] = 399954,
  [SMALL_STATE(8674)] = 400007,
  [SMALL_STATE(8675)] = 400060,
  [SMALL_STATE(8676)] = 400113,
  [SMALL_STATE(8677)] = 400166,
  [SMALL_STATE(8678)] = 400219,
  [SMALL_STATE(8679)] = 400272,
  [SMALL_STATE(8680)] = 400325,
  [SMALL_STATE(8681)] = 400378,
  [SMALL_STATE(8682)] = 400431,
  [SMALL_STATE(8683)] = 400484,
  [SMALL_STATE(8684)] = 400539,
  [SMALL_STATE(8685)] = 400592,
  [SMALL_STATE(8686)] = 400645,
  [SMALL_STATE(8687)] = 400698,
  [SMALL_STATE(8688)] = 400751,
  [SMALL_STATE(8689)] = 400804,
  [SMALL_STATE(8690)] = 400857,
  [SMALL_STATE(8691)] = 400910,
  [SMALL_STATE(8692)] = 400963,
  [SMALL_STATE(8693)] = 401016,
  [SMALL_STATE(8694)] = 401069,
  [SMALL_STATE(8695)] = 401122,
  [SMALL_STATE(8696)] = 401175,
  [SMALL_STATE(8697)] = 401228,
  [SMALL_STATE(8698)] = 401281,
  [SMALL_STATE(8699)] = 401334,
  [SMALL_STATE(8700)] = 401387,
  [SMALL_STATE(8701)] = 401440,
  [SMALL_STATE(8702)] = 401493,
  [SMALL_STATE(8703)] = 401546,
  [SMALL_STATE(8704)] = 401599,
  [SMALL_STATE(8705)] = 401652,
  [SMALL_STATE(8706)] = 401705,
  [SMALL_STATE(8707)] = 401758,
  [SMALL_STATE(8708)] = 401811,
  [SMALL_STATE(8709)] = 401864,
  [SMALL_STATE(8710)] = 401917,
  [SMALL_STATE(8711)] = 401970,
  [SMALL_STATE(8712)] = 402023,
  [SMALL_STATE(8713)] = 402082,
  [SMALL_STATE(8714)] = 402137,
  [SMALL_STATE(8715)] = 402190,
  [SMALL_STATE(8716)] = 402243,
  [SMALL_STATE(8717)] = 402296,
  [SMALL_STATE(8718)] = 402349,
  [SMALL_STATE(8719)] = 402402,
  [SMALL_STATE(8720)] = 402455,
  [SMALL_STATE(8721)] = 402508,
  [SMALL_STATE(8722)] = 402563,
  [SMALL_STATE(8723)] = 402622,
  [SMALL_STATE(8724)] = 402675,
  [SMALL_STATE(8725)] = 402728,
  [SMALL_STATE(8726)] = 402787,
  [SMALL_STATE(8727)] = 402840,
  [SMALL_STATE(8728)] = 402899,
  [SMALL_STATE(8729)] = 402952,
  [SMALL_STATE(8730)] = 403005,
  [SMALL_STATE(8731)] = 403058,
  [SMALL_STATE(8732)] = 403113,
  [SMALL_STATE(8733)] = 403166,
  [SMALL_STATE(8734)] = 403219,
  [SMALL_STATE(8735)] = 403272,
  [SMALL_STATE(8736)] = 403325,
  [SMALL_STATE(8737)] = 403378,
  [SMALL_STATE(8738)] = 403437,
  [SMALL_STATE(8739)] = 403490,
  [SMALL_STATE(8740)] = 403542,
  [SMALL_STATE(8741)] = 403594,
  [SMALL_STATE(8742)] = 403694,
  [SMALL_STATE(8743)] = 403746,
  [SMALL_STATE(8744)] = 403798,
  [SMALL_STATE(8745)] = 403850,
  [SMALL_STATE(8746)] = 403902,
  [SMALL_STATE(8747)] = 403954,
  [SMALL_STATE(8748)] = 404006,
  [SMALL_STATE(8749)] = 404058,
  [SMALL_STATE(8750)] = 404158,
  [SMALL_STATE(8751)] = 404210,
  [SMALL_STATE(8752)] = 404262,
  [SMALL_STATE(8753)] = 404314,
  [SMALL_STATE(8754)] = 404366,
  [SMALL_STATE(8755)] = 404418,
  [SMALL_STATE(8756)] = 404518,
  [SMALL_STATE(8757)] = 404570,
  [SMALL_STATE(8758)] = 404622,
  [SMALL_STATE(8759)] = 404674,
  [SMALL_STATE(8760)] = 404726,
  [SMALL_STATE(8761)] = 404778,
  [SMALL_STATE(8762)] = 404830,
  [SMALL_STATE(8763)] = 404882,
  [SMALL_STATE(8764)] = 404934,
  [SMALL_STATE(8765)] = 404986,
  [SMALL_STATE(8766)] = 405038,
  [SMALL_STATE(8767)] = 405092,
  [SMALL_STATE(8768)] = 405192,
  [SMALL_STATE(8769)] = 405244,
  [SMALL_STATE(8770)] = 405344,
  [SMALL_STATE(8771)] = 405444,
  [SMALL_STATE(8772)] = 405544,
  [SMALL_STATE(8773)] = 405596,
  [SMALL_STATE(8774)] = 405648,
  [SMALL_STATE(8775)] = 405700,
  [SMALL_STATE(8776)] = 405752,
  [SMALL_STATE(8777)] = 405804,
  [SMALL_STATE(8778)] = 405856,
  [SMALL_STATE(8779)] = 405956,
  [SMALL_STATE(8780)] = 406010,
  [SMALL_STATE(8781)] = 406062,
  [SMALL_STATE(8782)] = 406114,
  [SMALL_STATE(8783)] = 406214,
  [SMALL_STATE(8784)] = 406314,
  [SMALL_STATE(8785)] = 406366,
  [SMALL_STATE(8786)] = 406418,
  [SMALL_STATE(8787)] = 406470,
  [SMALL_STATE(8788)] = 406522,
  [SMALL_STATE(8789)] = 406576,
  [SMALL_STATE(8790)] = 406628,
  [SMALL_STATE(8791)] = 406680,
  [SMALL_STATE(8792)] = 406780,
  [SMALL_STATE(8793)] = 406880,
  [SMALL_STATE(8794)] = 406932,
  [SMALL_STATE(8795)] = 406990,
  [SMALL_STATE(8796)] = 407048,
  [SMALL_STATE(8797)] = 407148,
  [SMALL_STATE(8798)] = 407200,
  [SMALL_STATE(8799)] = 407252,
  [SMALL_STATE(8800)] = 407304,
  [SMALL_STATE(8801)] = 407356,
  [SMALL_STATE(8802)] = 407410,
  [SMALL_STATE(8803)] = 407462,
  [SMALL_STATE(8804)] = 407514,
  [SMALL_STATE(8805)] = 407566,
  [SMALL_STATE(8806)] = 407666,
  [SMALL_STATE(8807)] = 407718,
  [SMALL_STATE(8808)] = 407770,
  [SMALL_STATE(8809)] = 407822,
  [SMALL_STATE(8810)] = 407874,
  [SMALL_STATE(8811)] = 407926,
  [SMALL_STATE(8812)] = 407978,
  [SMALL_STATE(8813)] = 408078,
  [SMALL_STATE(8814)] = 408178,
  [SMALL_STATE(8815)] = 408230,
  [SMALL_STATE(8816)] = 408282,
  [SMALL_STATE(8817)] = 408334,
  [SMALL_STATE(8818)] = 408388,
  [SMALL_STATE(8819)] = 408488,
  [SMALL_STATE(8820)] = 408588,
  [SMALL_STATE(8821)] = 408688,
  [SMALL_STATE(8822)] = 408740,
  [SMALL_STATE(8823)] = 408792,
  [SMALL_STATE(8824)] = 408844,
  [SMALL_STATE(8825)] = 408896,
  [SMALL_STATE(8826)] = 408948,
  [SMALL_STATE(8827)] = 409000,
  [SMALL_STATE(8828)] = 409052,
  [SMALL_STATE(8829)] = 409132,
  [SMALL_STATE(8830)] = 409184,
  [SMALL_STATE(8831)] = 409236,
  [SMALL_STATE(8832)] = 409336,
  [SMALL_STATE(8833)] = 409388,
  [SMALL_STATE(8834)] = 409440,
  [SMALL_STATE(8835)] = 409492,
  [SMALL_STATE(8836)] = 409544,
  [SMALL_STATE(8837)] = 409598,
  [SMALL_STATE(8838)] = 409650,
  [SMALL_STATE(8839)] = 409702,
  [SMALL_STATE(8840)] = 409760,
  [SMALL_STATE(8841)] = 409812,
  [SMALL_STATE(8842)] = 409864,
  [SMALL_STATE(8843)] = 409916,
  [SMALL_STATE(8844)] = 409968,
  [SMALL_STATE(8845)] = 410020,
  [SMALL_STATE(8846)] = 410120,
  [SMALL_STATE(8847)] = 410220,
  [SMALL_STATE(8848)] = 410272,
  [SMALL_STATE(8849)] = 410324,
  [SMALL_STATE(8850)] = 410424,
  [SMALL_STATE(8851)] = 410476,
  [SMALL_STATE(8852)] = 410528,
  [SMALL_STATE(8853)] = 410580,
  [SMALL_STATE(8854)] = 410632,
  [SMALL_STATE(8855)] = 410684,
  [SMALL_STATE(8856)] = 410736,
  [SMALL_STATE(8857)] = 410788,
  [SMALL_STATE(8858)] = 410846,
  [SMALL_STATE(8859)] = 410898,
  [SMALL_STATE(8860)] = 410950,
  [SMALL_STATE(8861)] = 411004,
  [SMALL_STATE(8862)] = 411056,
  [SMALL_STATE(8863)] = 411108,
  [SMALL_STATE(8864)] = 411160,
  [SMALL_STATE(8865)] = 411212,
  [SMALL_STATE(8866)] = 411312,
  [SMALL_STATE(8867)] = 411364,
  [SMALL_STATE(8868)] = 411416,
  [SMALL_STATE(8869)] = 411468,
  [SMALL_STATE(8870)] = 411520,
  [SMALL_STATE(8871)] = 411572,
  [SMALL_STATE(8872)] = 411672,
  [SMALL_STATE(8873)] = 411724,
  [SMALL_STATE(8874)] = 411824,
  [SMALL_STATE(8875)] = 411875,
  [SMALL_STATE(8876)] = 411926,
  [SMALL_STATE(8877)] = 411983,
  [SMALL_STATE(8878)] = 412034,
  [SMALL_STATE(8879)] = 412127,
  [SMALL_STATE(8880)] = 412178,
  [SMALL_STATE(8881)] = 412229,
  [SMALL_STATE(8882)] = 412280,
  [SMALL_STATE(8883)] = 412331,
  [SMALL_STATE(8884)] = 412382,
  [SMALL_STATE(8885)] = 412479,
  [SMALL_STATE(8886)] = 412576,
  [SMALL_STATE(8887)] = 412627,
  [SMALL_STATE(8888)] = 412724,
  [SMALL_STATE(8889)] = 412775,
  [SMALL_STATE(8890)] = 412826,
  [SMALL_STATE(8891)] = 412919,
  [SMALL_STATE(8892)] = 412970,
  [SMALL_STATE(8893)] = 413021,
  [SMALL_STATE(8894)] = 413072,
  [SMALL_STATE(8895)] = 413169,
  [SMALL_STATE(8896)] = 413266,
  [SMALL_STATE(8897)] = 413317,
  [SMALL_STATE(8898)] = 413368,
  [SMALL_STATE(8899)] = 413419,
  [SMALL_STATE(8900)] = 413470,
  [SMALL_STATE(8901)] = 413521,
  [SMALL_STATE(8902)] = 413572,
  [SMALL_STATE(8903)] = 413665,
  [SMALL_STATE(8904)] = 413716,
  [SMALL_STATE(8905)] = 413813,
  [SMALL_STATE(8906)] = 413910,
  [SMALL_STATE(8907)] = 413961,
  [SMALL_STATE(8908)] = 414060,
  [SMALL_STATE(8909)] = 414111,
  [SMALL_STATE(8910)] = 414204,
  [SMALL_STATE(8911)] = 414255,
  [SMALL_STATE(8912)] = 414352,
  [SMALL_STATE(8913)] = 414449,
  [SMALL_STATE(8914)] = 414500,
  [SMALL_STATE(8915)] = 414597,
  [SMALL_STATE(8916)] = 414648,
  [SMALL_STATE(8917)] = 414699,
  [SMALL_STATE(8918)] = 414750,
  [SMALL_STATE(8919)] = 414801,
  [SMALL_STATE(8920)] = 414898,
  [SMALL_STATE(8921)] = 414995,
  [SMALL_STATE(8922)] = 415046,
  [SMALL_STATE(8923)] = 415143,
  [SMALL_STATE(8924)] = 415194,
  [SMALL_STATE(8925)] = 415291,
  [SMALL_STATE(8926)] = 415388,
  [SMALL_STATE(8927)] = 415485,
  [SMALL_STATE(8928)] = 415536,
  [SMALL_STATE(8929)] = 415587,
  [SMALL_STATE(8930)] = 415638,
  [SMALL_STATE(8931)] = 415689,
  [SMALL_STATE(8932)] = 415740,
  [SMALL_STATE(8933)] = 415791,
  [SMALL_STATE(8934)] = 415888,
  [SMALL_STATE(8935)] = 415985,
  [SMALL_STATE(8936)] = 416036,
  [SMALL_STATE(8937)] = 416129,
  [SMALL_STATE(8938)] = 416180,
  [SMALL_STATE(8939)] = 416277,
  [SMALL_STATE(8940)] = 416374,
  [SMALL_STATE(8941)] = 416425,
  [SMALL_STATE(8942)] = 416476,
  [SMALL_STATE(8943)] = 416527,
  [SMALL_STATE(8944)] = 416620,
  [SMALL_STATE(8945)] = 416671,
  [SMALL_STATE(8946)] = 416722,
  [SMALL_STATE(8947)] = 416773,
  [SMALL_STATE(8948)] = 416824,
  [SMALL_STATE(8949)] = 416875,
  [SMALL_STATE(8950)] = 416972,
  [SMALL_STATE(8951)] = 417069,
  [SMALL_STATE(8952)] = 417166,
  [SMALL_STATE(8953)] = 417263,
  [SMALL_STATE(8954)] = 417314,
  [SMALL_STATE(8955)] = 417365,
  [SMALL_STATE(8956)] = 417462,
  [SMALL_STATE(8957)] = 417513,
  [SMALL_STATE(8958)] = 417568,
  [SMALL_STATE(8959)] = 417665,
  [SMALL_STATE(8960)] = 417762,
  [SMALL_STATE(8961)] = 417859,
  [SMALL_STATE(8962)] = 417910,
  [SMALL_STATE(8963)] = 417963,
  [SMALL_STATE(8964)] = 418014,
  [SMALL_STATE(8965)] = 418111,
  [SMALL_STATE(8966)] = 418162,
  [SMALL_STATE(8967)] = 418259,
  [SMALL_STATE(8968)] = 418356,
  [SMALL_STATE(8969)] = 418449,
  [SMALL_STATE(8970)] = 418500,
  [SMALL_STATE(8971)] = 418551,
  [SMALL_STATE(8972)] = 418644,
  [SMALL_STATE(8973)] = 418743,
  [SMALL_STATE(8974)] = 418794,
  [SMALL_STATE(8975)] = 418845,
  [SMALL_STATE(8976)] = 418896,
  [SMALL_STATE(8977)] = 418947,
  [SMALL_STATE(8978)] = 418998,
  [SMALL_STATE(8979)] = 419095,
  [SMALL_STATE(8980)] = 419146,
  [SMALL_STATE(8981)] = 419197,
  [SMALL_STATE(8982)] = 419250,
  [SMALL_STATE(8983)] = 419347,
  [SMALL_STATE(8984)] = 419398,
  [SMALL_STATE(8985)] = 419495,
  [SMALL_STATE(8986)] = 419546,
  [SMALL_STATE(8987)] = 419597,
  [SMALL_STATE(8988)] = 419648,
  [SMALL_STATE(8989)] = 419699,
  [SMALL_STATE(8990)] = 419750,
  [SMALL_STATE(8991)] = 419843,
  [SMALL_STATE(8992)] = 419940,
  [SMALL_STATE(8993)] = 419991,
  [SMALL_STATE(8994)] = 420042,
  [SMALL_STATE(8995)] = 420093,
  [SMALL_STATE(8996)] = 420144,
  [SMALL_STATE(8997)] = 420195,
  [SMALL_STATE(8998)] = 420246,
  [SMALL_STATE(8999)] = 420297,
  [SMALL_STATE(9000)] = 420348,
  [SMALL_STATE(9001)] = 420399,
  [SMALL_STATE(9002)] = 420450,
  [SMALL_STATE(9003)] = 420501,
  [SMALL_STATE(9004)] = 420552,
  [SMALL_STATE(9005)] = 420603,
  [SMALL_STATE(9006)] = 420654,
  [SMALL_STATE(9007)] = 420705,
  [SMALL_STATE(9008)] = 420756,
  [SMALL_STATE(9009)] = 420807,
  [SMALL_STATE(9010)] = 420858,
  [SMALL_STATE(9011)] = 420951,
  [SMALL_STATE(9012)] = 421048,
  [SMALL_STATE(9013)] = 421099,
  [SMALL_STATE(9014)] = 421196,
  [SMALL_STATE(9015)] = 421247,
  [SMALL_STATE(9016)] = 421298,
  [SMALL_STATE(9017)] = 421349,
  [SMALL_STATE(9018)] = 421400,
  [SMALL_STATE(9019)] = 421497,
  [SMALL_STATE(9020)] = 421548,
  [SMALL_STATE(9021)] = 421645,
  [SMALL_STATE(9022)] = 421696,
  [SMALL_STATE(9023)] = 421747,
  [SMALL_STATE(9024)] = 421840,
  [SMALL_STATE(9025)] = 421937,
  [SMALL_STATE(9026)] = 421988,
  [SMALL_STATE(9027)] = 422085,
  [SMALL_STATE(9028)] = 422136,
  [SMALL_STATE(9029)] = 422187,
  [SMALL_STATE(9030)] = 422238,
  [SMALL_STATE(9031)] = 422289,
  [SMALL_STATE(9032)] = 422382,
  [SMALL_STATE(9033)] = 422433,
  [SMALL_STATE(9034)] = 422484,
  [SMALL_STATE(9035)] = 422535,
  [SMALL_STATE(9036)] = 422634,
  [SMALL_STATE(9037)] = 422685,
  [SMALL_STATE(9038)] = 422778,
  [SMALL_STATE(9039)] = 422829,
  [SMALL_STATE(9040)] = 422884,
  [SMALL_STATE(9041)] = 422935,
  [SMALL_STATE(9042)] = 422986,
  [SMALL_STATE(9043)] = 423037,
  [SMALL_STATE(9044)] = 423088,
  [SMALL_STATE(9045)] = 423139,
  [SMALL_STATE(9046)] = 423190,
  [SMALL_STATE(9047)] = 423241,
  [SMALL_STATE(9048)] = 423292,
  [SMALL_STATE(9049)] = 423343,
  [SMALL_STATE(9050)] = 423394,
  [SMALL_STATE(9051)] = 423445,
  [SMALL_STATE(9052)] = 423496,
  [SMALL_STATE(9053)] = 423589,
  [SMALL_STATE(9054)] = 423640,
  [SMALL_STATE(9055)] = 423719,
  [SMALL_STATE(9056)] = 423776,
  [SMALL_STATE(9057)] = 423827,
  [SMALL_STATE(9058)] = 423878,
  [SMALL_STATE(9059)] = 423929,
  [SMALL_STATE(9060)] = 424026,
  [SMALL_STATE(9061)] = 424077,
  [SMALL_STATE(9062)] = 424128,
  [SMALL_STATE(9063)] = 424227,
  [SMALL_STATE(9064)] = 424278,
  [SMALL_STATE(9065)] = 424329,
  [SMALL_STATE(9066)] = 424380,
  [SMALL_STATE(9067)] = 424431,
  [SMALL_STATE(9068)] = 424524,
  [SMALL_STATE(9069)] = 424575,
  [SMALL_STATE(9070)] = 424626,
  [SMALL_STATE(9071)] = 424677,
  [SMALL_STATE(9072)] = 424728,
  [SMALL_STATE(9073)] = 424779,
  [SMALL_STATE(9074)] = 424830,
  [SMALL_STATE(9075)] = 424881,
  [SMALL_STATE(9076)] = 424932,
  [SMALL_STATE(9077)] = 424983,
  [SMALL_STATE(9078)] = 425034,
  [SMALL_STATE(9079)] = 425131,
  [SMALL_STATE(9080)] = 425224,
  [SMALL_STATE(9081)] = 425275,
  [SMALL_STATE(9082)] = 425326,
  [SMALL_STATE(9083)] = 425379,
  [SMALL_STATE(9084)] = 425476,
  [SMALL_STATE(9085)] = 425573,
  [SMALL_STATE(9086)] = 425670,
  [SMALL_STATE(9087)] = 425723,
  [SMALL_STATE(9088)] = 425774,
  [SMALL_STATE(9089)] = 425825,
  [SMALL_STATE(9090)] = 425876,
  [SMALL_STATE(9091)] = 425973,
  [SMALL_STATE(9092)] = 426066,
  [SMALL_STATE(9093)] = 426117,
  [SMALL_STATE(9094)] = 426168,
  [SMALL_STATE(9095)] = 426219,
  [SMALL_STATE(9096)] = 426270,
  [SMALL_STATE(9097)] = 426321,
  [SMALL_STATE(9098)] = 426372,
  [SMALL_STATE(9099)] = 426423,
  [SMALL_STATE(9100)] = 426474,
  [SMALL_STATE(9101)] = 426525,
  [SMALL_STATE(9102)] = 426576,
  [SMALL_STATE(9103)] = 426627,
  [SMALL_STATE(9104)] = 426678,
  [SMALL_STATE(9105)] = 426729,
  [SMALL_STATE(9106)] = 426780,
  [SMALL_STATE(9107)] = 426877,
  [SMALL_STATE(9108)] = 426928,
  [SMALL_STATE(9109)] = 427025,
  [SMALL_STATE(9110)] = 427076,
  [SMALL_STATE(9111)] = 427127,
  [SMALL_STATE(9112)] = 427178,
  [SMALL_STATE(9113)] = 427229,
  [SMALL_STATE(9114)] = 427280,
  [SMALL_STATE(9115)] = 427331,
  [SMALL_STATE(9116)] = 427382,
  [SMALL_STATE(9117)] = 427433,
  [SMALL_STATE(9118)] = 427484,
  [SMALL_STATE(9119)] = 427583,
  [SMALL_STATE(9120)] = 427676,
  [SMALL_STATE(9121)] = 427727,
  [SMALL_STATE(9122)] = 427778,
  [SMALL_STATE(9123)] = 427829,
  [SMALL_STATE(9124)] = 427880,
  [SMALL_STATE(9125)] = 427977,
  [SMALL_STATE(9126)] = 428028,
  [SMALL_STATE(9127)] = 428079,
  [SMALL_STATE(9128)] = 428130,
  [SMALL_STATE(9129)] = 428181,
  [SMALL_STATE(9130)] = 428232,
  [SMALL_STATE(9131)] = 428283,
  [SMALL_STATE(9132)] = 428380,
  [SMALL_STATE(9133)] = 428477,
  [SMALL_STATE(9134)] = 428528,
  [SMALL_STATE(9135)] = 428579,
  [SMALL_STATE(9136)] = 428630,
  [SMALL_STATE(9137)] = 428681,
  [SMALL_STATE(9138)] = 428732,
  [SMALL_STATE(9139)] = 428783,
  [SMALL_STATE(9140)] = 428834,
  [SMALL_STATE(9141)] = 428885,
  [SMALL_STATE(9142)] = 428936,
  [SMALL_STATE(9143)] = 428987,
  [SMALL_STATE(9144)] = 429038,
  [SMALL_STATE(9145)] = 429089,
  [SMALL_STATE(9146)] = 429140,
  [SMALL_STATE(9147)] = 429191,
  [SMALL_STATE(9148)] = 429242,
  [SMALL_STATE(9149)] = 429339,
  [SMALL_STATE(9150)] = 429390,
  [SMALL_STATE(9151)] = 429441,
  [SMALL_STATE(9152)] = 429538,
  [SMALL_STATE(9153)] = 429589,
  [SMALL_STATE(9154)] = 429640,
  [SMALL_STATE(9155)] = 429733,
  [SMALL_STATE(9156)] = 429784,
  [SMALL_STATE(9157)] = 429835,
  [SMALL_STATE(9158)] = 429886,
  [SMALL_STATE(9159)] = 429937,
  [SMALL_STATE(9160)] = 429988,
  [SMALL_STATE(9161)] = 430087,
  [SMALL_STATE(9162)] = 430138,
  [SMALL_STATE(9163)] = 430189,
  [SMALL_STATE(9164)] = 430240,
  [SMALL_STATE(9165)] = 430291,
  [SMALL_STATE(9166)] = 430342,
  [SMALL_STATE(9167)] = 430439,
  [SMALL_STATE(9168)] = 430532,
  [SMALL_STATE(9169)] = 430583,
  [SMALL_STATE(9170)] = 430680,
  [SMALL_STATE(9171)] = 430731,
  [SMALL_STATE(9172)] = 430782,
  [SMALL_STATE(9173)] = 430879,
  [SMALL_STATE(9174)] = 430930,
  [SMALL_STATE(9175)] = 430981,
  [SMALL_STATE(9176)] = 431078,
  [SMALL_STATE(9177)] = 431129,
  [SMALL_STATE(9178)] = 431180,
  [SMALL_STATE(9179)] = 431231,
  [SMALL_STATE(9180)] = 431282,
  [SMALL_STATE(9181)] = 431333,
  [SMALL_STATE(9182)] = 431384,
  [SMALL_STATE(9183)] = 431435,
  [SMALL_STATE(9184)] = 431486,
  [SMALL_STATE(9185)] = 431537,
  [SMALL_STATE(9186)] = 431588,
  [SMALL_STATE(9187)] = 431639,
  [SMALL_STATE(9188)] = 431690,
  [SMALL_STATE(9189)] = 431741,
  [SMALL_STATE(9190)] = 431792,
  [SMALL_STATE(9191)] = 431843,
  [SMALL_STATE(9192)] = 431894,
  [SMALL_STATE(9193)] = 431945,
  [SMALL_STATE(9194)] = 431996,
  [SMALL_STATE(9195)] = 432093,
  [SMALL_STATE(9196)] = 432190,
  [SMALL_STATE(9197)] = 432241,
  [SMALL_STATE(9198)] = 432292,
  [SMALL_STATE(9199)] = 432343,
  [SMALL_STATE(9200)] = 432440,
  [SMALL_STATE(9201)] = 432491,
  [SMALL_STATE(9202)] = 432588,
  [SMALL_STATE(9203)] = 432685,
  [SMALL_STATE(9204)] = 432782,
  [SMALL_STATE(9205)] = 432833,
  [SMALL_STATE(9206)] = 432930,
  [SMALL_STATE(9207)] = 432981,
  [SMALL_STATE(9208)] = 433032,
  [SMALL_STATE(9209)] = 433129,
  [SMALL_STATE(9210)] = 433180,
  [SMALL_STATE(9211)] = 433231,
  [SMALL_STATE(9212)] = 433282,
  [SMALL_STATE(9213)] = 433333,
  [SMALL_STATE(9214)] = 433384,
  [SMALL_STATE(9215)] = 433435,
  [SMALL_STATE(9216)] = 433486,
  [SMALL_STATE(9217)] = 433537,
  [SMALL_STATE(9218)] = 433588,
  [SMALL_STATE(9219)] = 433639,
  [SMALL_STATE(9220)] = 433690,
  [SMALL_STATE(9221)] = 433741,
  [SMALL_STATE(9222)] = 433838,
  [SMALL_STATE(9223)] = 433935,
  [SMALL_STATE(9224)] = 433986,
  [SMALL_STATE(9225)] = 434036,
  [SMALL_STATE(9226)] = 434102,
  [SMALL_STATE(9227)] = 434196,
  [SMALL_STATE(9228)] = 434264,
  [SMALL_STATE(9229)] = 434314,
  [SMALL_STATE(9230)] = 434368,
  [SMALL_STATE(9231)] = 434440,
  [SMALL_STATE(9232)] = 434490,
  [SMALL_STATE(9233)] = 434584,
  [SMALL_STATE(9234)] = 434678,
  [SMALL_STATE(9235)] = 434772,
  [SMALL_STATE(9236)] = 434866,
  [SMALL_STATE(9237)] = 434960,
  [SMALL_STATE(9238)] = 435010,
  [SMALL_STATE(9239)] = 435104,
  [SMALL_STATE(9240)] = 435160,
  [SMALL_STATE(9241)] = 435254,
  [SMALL_STATE(9242)] = 435308,
  [SMALL_STATE(9243)] = 435362,
  [SMALL_STATE(9244)] = 435414,
  [SMALL_STATE(9245)] = 435486,
  [SMALL_STATE(9246)] = 435540,
  [SMALL_STATE(9247)] = 435590,
  [SMALL_STATE(9248)] = 435684,
  [SMALL_STATE(9249)] = 435778,
  [SMALL_STATE(9250)] = 435850,
  [SMALL_STATE(9251)] = 435944,
  [SMALL_STATE(9252)] = 436038,
  [SMALL_STATE(9253)] = 436088,
  [SMALL_STATE(9254)] = 436182,
  [SMALL_STATE(9255)] = 436236,
  [SMALL_STATE(9256)] = 436290,
  [SMALL_STATE(9257)] = 436344,
  [SMALL_STATE(9258)] = 436438,
  [SMALL_STATE(9259)] = 436492,
  [SMALL_STATE(9260)] = 436586,
  [SMALL_STATE(9261)] = 436640,
  [SMALL_STATE(9262)] = 436734,
  [SMALL_STATE(9263)] = 436784,
  [SMALL_STATE(9264)] = 436856,
  [SMALL_STATE(9265)] = 436950,
  [SMALL_STATE(9266)] = 437044,
  [SMALL_STATE(9267)] = 437138,
  [SMALL_STATE(9268)] = 437206,
  [SMALL_STATE(9269)] = 437300,
  [SMALL_STATE(9270)] = 437350,
  [SMALL_STATE(9271)] = 437444,
  [SMALL_STATE(9272)] = 437494,
  [SMALL_STATE(9273)] = 437588,
  [SMALL_STATE(9274)] = 437648,
  [SMALL_STATE(9275)] = 437698,
  [SMALL_STATE(9276)] = 437748,
  [SMALL_STATE(9277)] = 437842,
  [SMALL_STATE(9278)] = 437936,
  [SMALL_STATE(9279)] = 438030,
  [SMALL_STATE(9280)] = 438080,
  [SMALL_STATE(9281)] = 438134,
  [SMALL_STATE(9282)] = 438228,
  [SMALL_STATE(9283)] = 438322,
  [SMALL_STATE(9284)] = 438416,
  [SMALL_STATE(9285)] = 438510,
  [SMALL_STATE(9286)] = 438560,
  [SMALL_STATE(9287)] = 438654,
  [SMALL_STATE(9288)] = 438748,
  [SMALL_STATE(9289)] = 438842,
  [SMALL_STATE(9290)] = 438936,
  [SMALL_STATE(9291)] = 438986,
  [SMALL_STATE(9292)] = 439040,
  [SMALL_STATE(9293)] = 439090,
  [SMALL_STATE(9294)] = 439142,
  [SMALL_STATE(9295)] = 439236,
  [SMALL_STATE(9296)] = 439286,
  [SMALL_STATE(9297)] = 439336,
  [SMALL_STATE(9298)] = 439390,
  [SMALL_STATE(9299)] = 439444,
  [SMALL_STATE(9300)] = 439506,
  [SMALL_STATE(9301)] = 439568,
  [SMALL_STATE(9302)] = 439618,
  [SMALL_STATE(9303)] = 439668,
  [SMALL_STATE(9304)] = 439742,
  [SMALL_STATE(9305)] = 439808,
  [SMALL_STATE(9306)] = 439876,
  [SMALL_STATE(9307)] = 439970,
  [SMALL_STATE(9308)] = 440064,
  [SMALL_STATE(9309)] = 440158,
  [SMALL_STATE(9310)] = 440210,
  [SMALL_STATE(9311)] = 440262,
  [SMALL_STATE(9312)] = 440356,
  [SMALL_STATE(9313)] = 440410,
  [SMALL_STATE(9314)] = 440504,
  [SMALL_STATE(9315)] = 440572,
  [SMALL_STATE(9316)] = 440666,
  [SMALL_STATE(9317)] = 440716,
  [SMALL_STATE(9318)] = 440776,
  [SMALL_STATE(9319)] = 440830,
  [SMALL_STATE(9320)] = 440884,
  [SMALL_STATE(9321)] = 440934,
  [SMALL_STATE(9322)] = 440986,
  [SMALL_STATE(9323)] = 441058,
  [SMALL_STATE(9324)] = 441114,
  [SMALL_STATE(9325)] = 441186,
  [SMALL_STATE(9326)] = 441240,
  [SMALL_STATE(9327)] = 441290,
  [SMALL_STATE(9328)] = 441344,
  [SMALL_STATE(9329)] = 441416,
  [SMALL_STATE(9330)] = 441470,
  [SMALL_STATE(9331)] = 441524,
  [SMALL_STATE(9332)] = 441586,
  [SMALL_STATE(9333)] = 441680,
  [SMALL_STATE(9334)] = 441774,
  [SMALL_STATE(9335)] = 441828,
  [SMALL_STATE(9336)] = 441922,
  [SMALL_STATE(9337)] = 442016,
  [SMALL_STATE(9338)] = 442110,
  [SMALL_STATE(9339)] = 442204,
  [SMALL_STATE(9340)] = 442298,
  [SMALL_STATE(9341)] = 442352,
  [SMALL_STATE(9342)] = 442402,
  [SMALL_STATE(9343)] = 442496,
  [SMALL_STATE(9344)] = 442590,
  [SMALL_STATE(9345)] = 442640,
  [SMALL_STATE(9346)] = 442690,
  [SMALL_STATE(9347)] = 442752,
  [SMALL_STATE(9348)] = 442802,
  [SMALL_STATE(9349)] = 442896,
  [SMALL_STATE(9350)] = 442970,
  [SMALL_STATE(9351)] = 443064,
  [SMALL_STATE(9352)] = 443114,
  [SMALL_STATE(9353)] = 443164,
  [SMALL_STATE(9354)] = 443214,
  [SMALL_STATE(9355)] = 443264,
  [SMALL_STATE(9356)] = 443338,
  [SMALL_STATE(9357)] = 443388,
  [SMALL_STATE(9358)] = 443442,
  [SMALL_STATE(9359)] = 443496,
  [SMALL_STATE(9360)] = 443590,
  [SMALL_STATE(9361)] = 443684,
  [SMALL_STATE(9362)] = 443778,
  [SMALL_STATE(9363)] = 443872,
  [SMALL_STATE(9364)] = 443966,
  [SMALL_STATE(9365)] = 444020,
  [SMALL_STATE(9366)] = 444114,
  [SMALL_STATE(9367)] = 444208,
  [SMALL_STATE(9368)] = 444302,
  [SMALL_STATE(9369)] = 444396,
  [SMALL_STATE(9370)] = 444464,
  [SMALL_STATE(9371)] = 444536,
  [SMALL_STATE(9372)] = 444586,
  [SMALL_STATE(9373)] = 444680,
  [SMALL_STATE(9374)] = 444740,
  [SMALL_STATE(9375)] = 444794,
  [SMALL_STATE(9376)] = 444848,
  [SMALL_STATE(9377)] = 444942,
  [SMALL_STATE(9378)] = 445004,
  [SMALL_STATE(9379)] = 445076,
  [SMALL_STATE(9380)] = 445138,
  [SMALL_STATE(9381)] = 445204,
  [SMALL_STATE(9382)] = 445272,
  [SMALL_STATE(9383)] = 445366,
  [SMALL_STATE(9384)] = 445438,
  [SMALL_STATE(9385)] = 445494,
  [SMALL_STATE(9386)] = 445566,
  [SMALL_STATE(9387)] = 445618,
  [SMALL_STATE(9388)] = 445672,
  [SMALL_STATE(9389)] = 445724,
  [SMALL_STATE(9390)] = 445796,
  [SMALL_STATE(9391)] = 445846,
  [SMALL_STATE(9392)] = 445898,
  [SMALL_STATE(9393)] = 445992,
  [SMALL_STATE(9394)] = 446042,
  [SMALL_STATE(9395)] = 446096,
  [SMALL_STATE(9396)] = 446190,
  [SMALL_STATE(9397)] = 446240,
  [SMALL_STATE(9398)] = 446334,
  [SMALL_STATE(9399)] = 446384,
  [SMALL_STATE(9400)] = 446478,
  [SMALL_STATE(9401)] = 446530,
  [SMALL_STATE(9402)] = 446584,
  [SMALL_STATE(9403)] = 446657,
  [SMALL_STATE(9404)] = 446716,
  [SMALL_STATE(9405)] = 446769,
  [SMALL_STATE(9406)] = 446822,
  [SMALL_STATE(9407)] = 446883,
  [SMALL_STATE(9408)] = 446944,
  [SMALL_STATE(9409)] = 447009,
  [SMALL_STATE(9410)] = 447076,
  [SMALL_STATE(9411)] = 447147,
  [SMALL_STATE(9412)] = 447202,
  [SMALL_STATE(9413)] = 447273,
  [SMALL_STATE(9414)] = 447326,
  [SMALL_STATE(9415)] = 447397,
  [SMALL_STATE(9416)] = 447468,
  [SMALL_STATE(9417)] = 447559,
  [SMALL_STATE(9418)] = 447610,
  [SMALL_STATE(9419)] = 447681,
  [SMALL_STATE(9420)] = 447732,
  [SMALL_STATE(9421)] = 447785,
  [SMALL_STATE(9422)] = 447852,
  [SMALL_STATE(9423)] = 447911,
  [SMALL_STATE(9424)] = 447964,
  [SMALL_STATE(9425)] = 448017,
  [SMALL_STATE(9426)] = 448078,
  [SMALL_STATE(9427)] = 448139,
  [SMALL_STATE(9428)] = 448204,
  [SMALL_STATE(9429)] = 448271,
  [SMALL_STATE(9430)] = 448342,
  [SMALL_STATE(9431)] = 448397,
  [SMALL_STATE(9432)] = 448468,
  [SMALL_STATE(9433)] = 448559,
  [SMALL_STATE(9434)] = 448612,
  [SMALL_STATE(9435)] = 448665,
  [SMALL_STATE(9436)] = 448718,
  [SMALL_STATE(9437)] = 448791,
  [SMALL_STATE(9438)] = 448842,
  [SMALL_STATE(9439)] = 448895,
  [SMALL_STATE(9440)] = 448948,
  [SMALL_STATE(9441)] = 449015,
  [SMALL_STATE(9442)] = 449074,
  [SMALL_STATE(9443)] = 449127,
  [SMALL_STATE(9444)] = 449198,
  [SMALL_STATE(9445)] = 449251,
  [SMALL_STATE(9446)] = 449312,
  [SMALL_STATE(9447)] = 449361,
  [SMALL_STATE(9448)] = 449422,
  [SMALL_STATE(9449)] = 449487,
  [SMALL_STATE(9450)] = 449560,
  [SMALL_STATE(9451)] = 449627,
  [SMALL_STATE(9452)] = 449698,
  [SMALL_STATE(9453)] = 449753,
  [SMALL_STATE(9454)] = 449824,
  [SMALL_STATE(9455)] = 449877,
  [SMALL_STATE(9456)] = 449948,
  [SMALL_STATE(9457)] = 450001,
  [SMALL_STATE(9458)] = 450052,
  [SMALL_STATE(9459)] = 450119,
  [SMALL_STATE(9460)] = 450170,
  [SMALL_STATE(9461)] = 450237,
  [SMALL_STATE(9462)] = 450296,
  [SMALL_STATE(9463)] = 450349,
  [SMALL_STATE(9464)] = 450402,
  [SMALL_STATE(9465)] = 450451,
  [SMALL_STATE(9466)] = 450512,
  [SMALL_STATE(9467)] = 450603,
  [SMALL_STATE(9468)] = 450664,
  [SMALL_STATE(9469)] = 450729,
  [SMALL_STATE(9470)] = 450796,
  [SMALL_STATE(9471)] = 450867,
  [SMALL_STATE(9472)] = 450922,
  [SMALL_STATE(9473)] = 450993,
  [SMALL_STATE(9474)] = 451046,
  [SMALL_STATE(9475)] = 451117,
  [SMALL_STATE(9476)] = 451170,
  [SMALL_STATE(9477)] = 451223,
  [SMALL_STATE(9478)] = 451274,
  [SMALL_STATE(9479)] = 451333,
  [SMALL_STATE(9480)] = 451386,
  [SMALL_STATE(9481)] = 451459,
  [SMALL_STATE(9482)] = 451512,
  [SMALL_STATE(9483)] = 451573,
  [SMALL_STATE(9484)] = 451634,
  [SMALL_STATE(9485)] = 451687,
  [SMALL_STATE(9486)] = 451736,
  [SMALL_STATE(9487)] = 451801,
  [SMALL_STATE(9488)] = 451854,
  [SMALL_STATE(9489)] = 451921,
  [SMALL_STATE(9490)] = 451992,
  [SMALL_STATE(9491)] = 452047,
  [SMALL_STATE(9492)] = 452118,
  [SMALL_STATE(9493)] = 452169,
  [SMALL_STATE(9494)] = 452222,
  [SMALL_STATE(9495)] = 452289,
  [SMALL_STATE(9496)] = 452348,
  [SMALL_STATE(9497)] = 452401,
  [SMALL_STATE(9498)] = 452454,
  [SMALL_STATE(9499)] = 452515,
  [SMALL_STATE(9500)] = 452576,
  [SMALL_STATE(9501)] = 452641,
  [SMALL_STATE(9502)] = 452708,
  [SMALL_STATE(9503)] = 452779,
  [SMALL_STATE(9504)] = 452834,
  [SMALL_STATE(9505)] = 452905,
  [SMALL_STATE(9506)] = 452976,
  [SMALL_STATE(9507)] = 453029,
  [SMALL_STATE(9508)] = 453082,
  [SMALL_STATE(9509)] = 453133,
  [SMALL_STATE(9510)] = 453206,
  [SMALL_STATE(9511)] = 453259,
  [SMALL_STATE(9512)] = 453312,
  [SMALL_STATE(9513)] = 453365,
  [SMALL_STATE(9514)] = 453418,
  [SMALL_STATE(9515)] = 453471,
  [SMALL_STATE(9516)] = 453522,
  [SMALL_STATE(9517)] = 453575,
  [SMALL_STATE(9518)] = 453628,
  [SMALL_STATE(9519)] = 453681,
  [SMALL_STATE(9520)] = 453734,
  [SMALL_STATE(9521)] = 453805,
  [SMALL_STATE(9522)] = 453878,
  [SMALL_STATE(9523)] = 453931,
  [SMALL_STATE(9524)] = 453982,
  [SMALL_STATE(9525)] = 454033,
  [SMALL_STATE(9526)] = 454086,
  [SMALL_STATE(9527)] = 454177,
  [SMALL_STATE(9528)] = 454228,
  [SMALL_STATE(9529)] = 454281,
  [SMALL_STATE(9530)] = 454334,
  [SMALL_STATE(9531)] = 454387,
  [SMALL_STATE(9532)] = 454438,
  [SMALL_STATE(9533)] = 454491,
  [SMALL_STATE(9534)] = 454544,
  [SMALL_STATE(9535)] = 454597,
  [SMALL_STATE(9536)] = 454668,
  [SMALL_STATE(9537)] = 454721,
  [SMALL_STATE(9538)] = 454774,
  [SMALL_STATE(9539)] = 454841,
  [SMALL_STATE(9540)] = 454893,
  [SMALL_STATE(9541)] = 454953,
  [SMALL_STATE(9542)] = 455013,
  [SMALL_STATE(9543)] = 455065,
  [SMALL_STATE(9544)] = 455129,
  [SMALL_STATE(9545)] = 455195,
  [SMALL_STATE(9546)] = 455247,
  [SMALL_STATE(9547)] = 455299,
  [SMALL_STATE(9548)] = 455349,
  [SMALL_STATE(9549)] = 455419,
  [SMALL_STATE(9550)] = 455471,
  [SMALL_STATE(9551)] = 455543,
  [SMALL_STATE(9552)] = 455613,
  [SMALL_STATE(9553)] = 455665,
  [SMALL_STATE(9554)] = 455749,
  [SMALL_STATE(9555)] = 455797,
  [SMALL_STATE(9556)] = 455855,
  [SMALL_STATE(9557)] = 455937,
  [SMALL_STATE(9558)] = 455991,
  [SMALL_STATE(9559)] = 456061,
  [SMALL_STATE(9560)] = 456111,
  [SMALL_STATE(9561)] = 456195,
  [SMALL_STATE(9562)] = 456265,
  [SMALL_STATE(9563)] = 456331,
  [SMALL_STATE(9564)] = 456381,
  [SMALL_STATE(9565)] = 456429,
  [SMALL_STATE(9566)] = 456487,
  [SMALL_STATE(9567)] = 456539,
  [SMALL_STATE(9568)] = 456623,
  [SMALL_STATE(9569)] = 456675,
  [SMALL_STATE(9570)] = 456735,
  [SMALL_STATE(9571)] = 456819,
  [SMALL_STATE(9572)] = 456879,
  [SMALL_STATE(9573)] = 456943,
  [SMALL_STATE(9574)] = 457009,
  [SMALL_STATE(9575)] = 457059,
  [SMALL_STATE(9576)] = 457129,
  [SMALL_STATE(9577)] = 457183,
  [SMALL_STATE(9578)] = 457267,
  [SMALL_STATE(9579)] = 457317,
  [SMALL_STATE(9580)] = 457389,
  [SMALL_STATE(9581)] = 457459,
  [SMALL_STATE(9582)] = 457543,
  [SMALL_STATE(9583)] = 457613,
  [SMALL_STATE(9584)] = 457671,
  [SMALL_STATE(9585)] = 457719,
  [SMALL_STATE(9586)] = 457803,
  [SMALL_STATE(9587)] = 457855,
  [SMALL_STATE(9588)] = 457903,
  [SMALL_STATE(9589)] = 457953,
  [SMALL_STATE(9590)] = 458025,
  [SMALL_STATE(9591)] = 458107,
  [SMALL_STATE(9592)] = 458191,
  [SMALL_STATE(9593)] = 458263,
  [SMALL_STATE(9594)] = 458311,
  [SMALL_STATE(9595)] = 458377,
  [SMALL_STATE(9596)] = 458429,
  [SMALL_STATE(9597)] = 458477,
  [SMALL_STATE(9598)] = 458559,
  [SMALL_STATE(9599)] = 458643,
  [SMALL_STATE(9600)] = 458701,
  [SMALL_STATE(9601)] = 458753,
  [SMALL_STATE(9602)] = 458805,
  [SMALL_STATE(9603)] = 458857,
  [SMALL_STATE(9604)] = 458917,
  [SMALL_STATE(9605)] = 458977,
  [SMALL_STATE(9606)] = 459041,
  [SMALL_STATE(9607)] = 459107,
  [SMALL_STATE(9608)] = 459177,
  [SMALL_STATE(9609)] = 459231,
  [SMALL_STATE(9610)] = 459283,
  [SMALL_STATE(9611)] = 459353,
  [SMALL_STATE(9612)] = 459419,
  [SMALL_STATE(9613)] = 459467,
  [SMALL_STATE(9614)] = 459551,
  [SMALL_STATE(9615)] = 459601,
  [SMALL_STATE(9616)] = 459653,
  [SMALL_STATE(9617)] = 459737,
  [SMALL_STATE(9618)] = 459787,
  [SMALL_STATE(9619)] = 459837,
  [SMALL_STATE(9620)] = 459895,
  [SMALL_STATE(9621)] = 459967,
  [SMALL_STATE(9622)] = 460019,
  [SMALL_STATE(9623)] = 460069,
  [SMALL_STATE(9624)] = 460121,
  [SMALL_STATE(9625)] = 460193,
  [SMALL_STATE(9626)] = 460277,
  [SMALL_STATE(9627)] = 460329,
  [SMALL_STATE(9628)] = 460376,
  [SMALL_STATE(9629)] = 460423,
  [SMALL_STATE(9630)] = 460474,
  [SMALL_STATE(9631)] = 460559,
  [SMALL_STATE(9632)] = 460608,
  [SMALL_STATE(9633)] = 460655,
  [SMALL_STATE(9634)] = 460706,
  [SMALL_STATE(9635)] = 460791,
  [SMALL_STATE(9636)] = 460842,
  [SMALL_STATE(9637)] = 460927,
  [SMALL_STATE(9638)] = 460978,
  [SMALL_STATE(9639)] = 461063,
  [SMALL_STATE(9640)] = 461148,
  [SMALL_STATE(9641)] = 461219,
  [SMALL_STATE(9642)] = 461266,
  [SMALL_STATE(9643)] = 461351,
  [SMALL_STATE(9644)] = 461402,
  [SMALL_STATE(9645)] = 461449,
  [SMALL_STATE(9646)] = 461496,
  [SMALL_STATE(9647)] = 461581,
  [SMALL_STATE(9648)] = 461652,
  [SMALL_STATE(9649)] = 461737,
  [SMALL_STATE(9650)] = 461808,
  [SMALL_STATE(9651)] = 461893,
  [SMALL_STATE(9652)] = 461978,
  [SMALL_STATE(9653)] = 462029,
  [SMALL_STATE(9654)] = 462114,
  [SMALL_STATE(9655)] = 462199,
  [SMALL_STATE(9656)] = 462284,
  [SMALL_STATE(9657)] = 462353,
  [SMALL_STATE(9658)] = 462404,
  [SMALL_STATE(9659)] = 462453,
  [SMALL_STATE(9660)] = 462538,
  [SMALL_STATE(9661)] = 462609,
  [SMALL_STATE(9662)] = 462694,
  [SMALL_STATE(9663)] = 462779,
  [SMALL_STATE(9664)] = 462864,
  [SMALL_STATE(9665)] = 462913,
  [SMALL_STATE(9666)] = 462998,
  [SMALL_STATE(9667)] = 463083,
  [SMALL_STATE(9668)] = 463168,
  [SMALL_STATE(9669)] = 463253,
  [SMALL_STATE(9670)] = 463304,
  [SMALL_STATE(9671)] = 463389,
  [SMALL_STATE(9672)] = 463454,
  [SMALL_STATE(9673)] = 463539,
  [SMALL_STATE(9674)] = 463624,
  [SMALL_STATE(9675)] = 463675,
  [SMALL_STATE(9676)] = 463724,
  [SMALL_STATE(9677)] = 463809,
  [SMALL_STATE(9678)] = 463860,
  [SMALL_STATE(9679)] = 463909,
  [SMALL_STATE(9680)] = 463966,
  [SMALL_STATE(9681)] = 464017,
  [SMALL_STATE(9682)] = 464102,
  [SMALL_STATE(9683)] = 464151,
  [SMALL_STATE(9684)] = 464220,
  [SMALL_STATE(9685)] = 464271,
  [SMALL_STATE(9686)] = 464356,
  [SMALL_STATE(9687)] = 464407,
  [SMALL_STATE(9688)] = 464454,
  [SMALL_STATE(9689)] = 464539,
  [SMALL_STATE(9690)] = 464590,
  [SMALL_STATE(9691)] = 464649,
  [SMALL_STATE(9692)] = 464700,
  [SMALL_STATE(9693)] = 464785,
  [SMALL_STATE(9694)] = 464836,
  [SMALL_STATE(9695)] = 464921,
  [SMALL_STATE(9696)] = 464986,
  [SMALL_STATE(9697)] = 465037,
  [SMALL_STATE(9698)] = 465096,
  [SMALL_STATE(9699)] = 465165,
  [SMALL_STATE(9700)] = 465228,
  [SMALL_STATE(9701)] = 465293,
  [SMALL_STATE(9702)] = 465350,
  [SMALL_STATE(9703)] = 465419,
  [SMALL_STATE(9704)] = 465470,
  [SMALL_STATE(9705)] = 465555,
  [SMALL_STATE(9706)] = 465604,
  [SMALL_STATE(9707)] = 465689,
  [SMALL_STATE(9708)] = 465740,
  [SMALL_STATE(9709)] = 465825,
  [SMALL_STATE(9710)] = 465878,
  [SMALL_STATE(9711)] = 465963,
  [SMALL_STATE(9712)] = 466048,
  [SMALL_STATE(9713)] = 466117,
  [SMALL_STATE(9714)] = 466202,
  [SMALL_STATE(9715)] = 466287,
  [SMALL_STATE(9716)] = 466338,
  [SMALL_STATE(9717)] = 466389,
  [SMALL_STATE(9718)] = 466474,
  [SMALL_STATE(9719)] = 466523,
  [SMALL_STATE(9720)] = 466572,
  [SMALL_STATE(9721)] = 466657,
  [SMALL_STATE(9722)] = 466742,
  [SMALL_STATE(9723)] = 466793,
  [SMALL_STATE(9724)] = 466878,
  [SMALL_STATE(9725)] = 466963,
  [SMALL_STATE(9726)] = 467012,
  [SMALL_STATE(9727)] = 467097,
  [SMALL_STATE(9728)] = 467182,
  [SMALL_STATE(9729)] = 467267,
  [SMALL_STATE(9730)] = 467352,
  [SMALL_STATE(9731)] = 467403,
  [SMALL_STATE(9732)] = 467468,
  [SMALL_STATE(9733)] = 467525,
  [SMALL_STATE(9734)] = 467576,
  [SMALL_STATE(9735)] = 467627,
  [SMALL_STATE(9736)] = 467696,
  [SMALL_STATE(9737)] = 467755,
  [SMALL_STATE(9738)] = 467814,
  [SMALL_STATE(9739)] = 467865,
  [SMALL_STATE(9740)] = 467934,
  [SMALL_STATE(9741)] = 467997,
  [SMALL_STATE(9742)] = 468056,
  [SMALL_STATE(9743)] = 468121,
  [SMALL_STATE(9744)] = 468190,
  [SMALL_STATE(9745)] = 468243,
  [SMALL_STATE(9746)] = 468312,
  [SMALL_STATE(9747)] = 468371,
  [SMALL_STATE(9748)] = 468456,
  [SMALL_STATE(9749)] = 468507,
  [SMALL_STATE(9750)] = 468576,
  [SMALL_STATE(9751)] = 468661,
  [SMALL_STATE(9752)] = 468746,
  [SMALL_STATE(9753)] = 468831,
  [SMALL_STATE(9754)] = 468900,
  [SMALL_STATE(9755)] = 468985,
  [SMALL_STATE(9756)] = 469048,
  [SMALL_STATE(9757)] = 469095,
  [SMALL_STATE(9758)] = 469160,
  [SMALL_STATE(9759)] = 469245,
  [SMALL_STATE(9760)] = 469296,
  [SMALL_STATE(9761)] = 469367,
  [SMALL_STATE(9762)] = 469436,
  [SMALL_STATE(9763)] = 469487,
  [SMALL_STATE(9764)] = 469558,
  [SMALL_STATE(9765)] = 469607,
  [SMALL_STATE(9766)] = 469692,
  [SMALL_STATE(9767)] = 469777,
  [SMALL_STATE(9768)] = 469862,
  [SMALL_STATE(9769)] = 469913,
  [SMALL_STATE(9770)] = 469966,
  [SMALL_STATE(9771)] = 470012,
  [SMALL_STATE(9772)] = 470094,
  [SMALL_STATE(9773)] = 470176,
  [SMALL_STATE(9774)] = 470258,
  [SMALL_STATE(9775)] = 470340,
  [SMALL_STATE(9776)] = 470422,
  [SMALL_STATE(9777)] = 470504,
  [SMALL_STATE(9778)] = 470586,
  [SMALL_STATE(9779)] = 470668,
  [SMALL_STATE(9780)] = 470750,
  [SMALL_STATE(9781)] = 470832,
  [SMALL_STATE(9782)] = 470914,
  [SMALL_STATE(9783)] = 470996,
  [SMALL_STATE(9784)] = 471078,
  [SMALL_STATE(9785)] = 471160,
  [SMALL_STATE(9786)] = 471208,
  [SMALL_STATE(9787)] = 471254,
  [SMALL_STATE(9788)] = 471300,
  [SMALL_STATE(9789)] = 471348,
  [SMALL_STATE(9790)] = 471394,
  [SMALL_STATE(9791)] = 471476,
  [SMALL_STATE(9792)] = 471526,
  [SMALL_STATE(9793)] = 471572,
  [SMALL_STATE(9794)] = 471618,
  [SMALL_STATE(9795)] = 471700,
  [SMALL_STATE(9796)] = 471746,
  [SMALL_STATE(9797)] = 471794,
  [SMALL_STATE(9798)] = 471876,
  [SMALL_STATE(9799)] = 471958,
  [SMALL_STATE(9800)] = 472040,
  [SMALL_STATE(9801)] = 472122,
  [SMALL_STATE(9802)] = 472168,
  [SMALL_STATE(9803)] = 472250,
  [SMALL_STATE(9804)] = 472332,
  [SMALL_STATE(9805)] = 472414,
  [SMALL_STATE(9806)] = 472496,
  [SMALL_STATE(9807)] = 472578,
  [SMALL_STATE(9808)] = 472624,
  [SMALL_STATE(9809)] = 472706,
  [SMALL_STATE(9810)] = 472762,
  [SMALL_STATE(9811)] = 472844,
  [SMALL_STATE(9812)] = 472926,
  [SMALL_STATE(9813)] = 473008,
  [SMALL_STATE(9814)] = 473090,
  [SMALL_STATE(9815)] = 473136,
  [SMALL_STATE(9816)] = 473186,
  [SMALL_STATE(9817)] = 473250,
  [SMALL_STATE(9818)] = 473332,
  [SMALL_STATE(9819)] = 473414,
  [SMALL_STATE(9820)] = 473464,
  [SMALL_STATE(9821)] = 473510,
  [SMALL_STATE(9822)] = 473592,
  [SMALL_STATE(9823)] = 473674,
  [SMALL_STATE(9824)] = 473756,
  [SMALL_STATE(9825)] = 473838,
  [SMALL_STATE(9826)] = 473884,
  [SMALL_STATE(9827)] = 473930,
  [SMALL_STATE(9828)] = 474012,
  [SMALL_STATE(9829)] = 474094,
  [SMALL_STATE(9830)] = 474144,
  [SMALL_STATE(9831)] = 474226,
  [SMALL_STATE(9832)] = 474308,
  [SMALL_STATE(9833)] = 474390,
  [SMALL_STATE(9834)] = 474472,
  [SMALL_STATE(9835)] = 474518,
  [SMALL_STATE(9836)] = 474600,
  [SMALL_STATE(9837)] = 474682,
  [SMALL_STATE(9838)] = 474764,
  [SMALL_STATE(9839)] = 474846,
  [SMALL_STATE(9840)] = 474928,
  [SMALL_STATE(9841)] = 475010,
  [SMALL_STATE(9842)] = 475092,
  [SMALL_STATE(9843)] = 475174,
  [SMALL_STATE(9844)] = 475220,
  [SMALL_STATE(9845)] = 475302,
  [SMALL_STATE(9846)] = 475384,
  [SMALL_STATE(9847)] = 475466,
  [SMALL_STATE(9848)] = 475548,
  [SMALL_STATE(9849)] = 475610,
  [SMALL_STATE(9850)] = 475656,
  [SMALL_STATE(9851)] = 475738,
  [SMALL_STATE(9852)] = 475784,
  [SMALL_STATE(9853)] = 475866,
  [SMALL_STATE(9854)] = 475912,
  [SMALL_STATE(9855)] = 475994,
  [SMALL_STATE(9856)] = 476076,
  [SMALL_STATE(9857)] = 476158,
  [SMALL_STATE(9858)] = 476206,
  [SMALL_STATE(9859)] = 476288,
  [SMALL_STATE(9860)] = 476370,
  [SMALL_STATE(9861)] = 476452,
  [SMALL_STATE(9862)] = 476534,
  [SMALL_STATE(9863)] = 476616,
  [SMALL_STATE(9864)] = 476698,
  [SMALL_STATE(9865)] = 476780,
  [SMALL_STATE(9866)] = 476862,
  [SMALL_STATE(9867)] = 476944,
  [SMALL_STATE(9868)] = 476990,
  [SMALL_STATE(9869)] = 477058,
  [SMALL_STATE(9870)] = 477104,
  [SMALL_STATE(9871)] = 477186,
  [SMALL_STATE(9872)] = 477268,
  [SMALL_STATE(9873)] = 477318,
  [SMALL_STATE(9874)] = 477400,
  [SMALL_STATE(9875)] = 477446,
  [SMALL_STATE(9876)] = 477528,
  [SMALL_STATE(9877)] = 477610,
  [SMALL_STATE(9878)] = 477692,
  [SMALL_STATE(9879)] = 477738,
  [SMALL_STATE(9880)] = 477820,
  [SMALL_STATE(9881)] = 477902,
  [SMALL_STATE(9882)] = 477984,
  [SMALL_STATE(9883)] = 478030,
  [SMALL_STATE(9884)] = 478112,
  [SMALL_STATE(9885)] = 478194,
  [SMALL_STATE(9886)] = 478276,
  [SMALL_STATE(9887)] = 478358,
  [SMALL_STATE(9888)] = 478440,
  [SMALL_STATE(9889)] = 478504,
  [SMALL_STATE(9890)] = 478586,
  [SMALL_STATE(9891)] = 478632,
  [SMALL_STATE(9892)] = 478714,
  [SMALL_STATE(9893)] = 478796,
  [SMALL_STATE(9894)] = 478878,
  [SMALL_STATE(9895)] = 478936,
  [SMALL_STATE(9896)] = 479018,
  [SMALL_STATE(9897)] = 479080,
  [SMALL_STATE(9898)] = 479130,
  [SMALL_STATE(9899)] = 479212,
  [SMALL_STATE(9900)] = 479294,
  [SMALL_STATE(9901)] = 479352,
  [SMALL_STATE(9902)] = 479398,
  [SMALL_STATE(9903)] = 479444,
  [SMALL_STATE(9904)] = 479490,
  [SMALL_STATE(9905)] = 479572,
  [SMALL_STATE(9906)] = 479654,
  [SMALL_STATE(9907)] = 479700,
  [SMALL_STATE(9908)] = 479746,
  [SMALL_STATE(9909)] = 479828,
  [SMALL_STATE(9910)] = 479910,
  [SMALL_STATE(9911)] = 479992,
  [SMALL_STATE(9912)] = 480074,
  [SMALL_STATE(9913)] = 480120,
  [SMALL_STATE(9914)] = 480166,
  [SMALL_STATE(9915)] = 480212,
  [SMALL_STATE(9916)] = 480294,
  [SMALL_STATE(9917)] = 480340,
  [SMALL_STATE(9918)] = 480422,
  [SMALL_STATE(9919)] = 480484,
  [SMALL_STATE(9920)] = 480530,
  [SMALL_STATE(9921)] = 480588,
  [SMALL_STATE(9922)] = 480670,
  [SMALL_STATE(9923)] = 480716,
  [SMALL_STATE(9924)] = 480798,
  [SMALL_STATE(9925)] = 480844,
  [SMALL_STATE(9926)] = 480906,
  [SMALL_STATE(9927)] = 480952,
  [SMALL_STATE(9928)] = 481034,
  [SMALL_STATE(9929)] = 481080,
  [SMALL_STATE(9930)] = 481162,
  [SMALL_STATE(9931)] = 481244,
  [SMALL_STATE(9932)] = 481308,
  [SMALL_STATE(9933)] = 481376,
  [SMALL_STATE(9934)] = 481422,
  [SMALL_STATE(9935)] = 481468,
  [SMALL_STATE(9936)] = 481520,
  [SMALL_STATE(9937)] = 481602,
  [SMALL_STATE(9938)] = 481684,
  [SMALL_STATE(9939)] = 481730,
  [SMALL_STATE(9940)] = 481812,
  [SMALL_STATE(9941)] = 481894,
  [SMALL_STATE(9942)] = 481944,
  [SMALL_STATE(9943)] = 481990,
  [SMALL_STATE(9944)] = 482072,
  [SMALL_STATE(9945)] = 482154,
  [SMALL_STATE(9946)] = 482236,
  [SMALL_STATE(9947)] = 482318,
  [SMALL_STATE(9948)] = 482364,
  [SMALL_STATE(9949)] = 482446,
  [SMALL_STATE(9950)] = 482528,
  [SMALL_STATE(9951)] = 482610,
  [SMALL_STATE(9952)] = 482674,
  [SMALL_STATE(9953)] = 482742,
  [SMALL_STATE(9954)] = 482824,
  [SMALL_STATE(9955)] = 482872,
  [SMALL_STATE(9956)] = 482934,
  [SMALL_STATE(9957)] = 483016,
  [SMALL_STATE(9958)] = 483062,
  [SMALL_STATE(9959)] = 483108,
  [SMALL_STATE(9960)] = 483154,
  [SMALL_STATE(9961)] = 483200,
  [SMALL_STATE(9962)] = 483282,
  [SMALL_STATE(9963)] = 483364,
  [SMALL_STATE(9964)] = 483434,
  [SMALL_STATE(9965)] = 483484,
  [SMALL_STATE(9966)] = 483566,
  [SMALL_STATE(9967)] = 483648,
  [SMALL_STATE(9968)] = 483698,
  [SMALL_STATE(9969)] = 483744,
  [SMALL_STATE(9970)] = 483814,
  [SMALL_STATE(9971)] = 483896,
  [SMALL_STATE(9972)] = 483978,
  [SMALL_STATE(9973)] = 484026,
  [SMALL_STATE(9974)] = 484072,
  [SMALL_STATE(9975)] = 484118,
  [SMALL_STATE(9976)] = 484164,
  [SMALL_STATE(9977)] = 484246,
  [SMALL_STATE(9978)] = 484328,
  [SMALL_STATE(9979)] = 484410,
  [SMALL_STATE(9980)] = 484460,
  [SMALL_STATE(9981)] = 484542,
  [SMALL_STATE(9982)] = 484588,
  [SMALL_STATE(9983)] = 484670,
  [SMALL_STATE(9984)] = 484752,
  [SMALL_STATE(9985)] = 484820,
  [SMALL_STATE(9986)] = 484876,
  [SMALL_STATE(9987)] = 484958,
  [SMALL_STATE(9988)] = 485004,
  [SMALL_STATE(9989)] = 485056,
  [SMALL_STATE(9990)] = 485102,
  [SMALL_STATE(9991)] = 485148,
  [SMALL_STATE(9992)] = 485230,
  [SMALL_STATE(9993)] = 485312,
  [SMALL_STATE(9994)] = 485358,
  [SMALL_STATE(9995)] = 485440,
  [SMALL_STATE(9996)] = 485486,
  [SMALL_STATE(9997)] = 485568,
  [SMALL_STATE(9998)] = 485650,
  [SMALL_STATE(9999)] = 485732,
  [SMALL_STATE(10000)] = 485814,
  [SMALL_STATE(10001)] = 485864,
  [SMALL_STATE(10002)] = 485946,
  [SMALL_STATE(10003)] = 485992,
  [SMALL_STATE(10004)] = 486038,
  [SMALL_STATE(10005)] = 486120,
  [SMALL_STATE(10006)] = 486202,
  [SMALL_STATE(10007)] = 486284,
  [SMALL_STATE(10008)] = 486330,
  [SMALL_STATE(10009)] = 486378,
  [SMALL_STATE(10010)] = 486460,
  [SMALL_STATE(10011)] = 486506,
  [SMALL_STATE(10012)] = 486552,
  [SMALL_STATE(10013)] = 486634,
  [SMALL_STATE(10014)] = 486716,
  [SMALL_STATE(10015)] = 486762,
  [SMALL_STATE(10016)] = 486808,
  [SMALL_STATE(10017)] = 486890,
  [SMALL_STATE(10018)] = 486972,
  [SMALL_STATE(10019)] = 487018,
  [SMALL_STATE(10020)] = 487100,
  [SMALL_STATE(10021)] = 487182,
  [SMALL_STATE(10022)] = 487228,
  [SMALL_STATE(10023)] = 487310,
  [SMALL_STATE(10024)] = 487356,
  [SMALL_STATE(10025)] = 487402,
  [SMALL_STATE(10026)] = 487452,
  [SMALL_STATE(10027)] = 487534,
  [SMALL_STATE(10028)] = 487616,
  [SMALL_STATE(10029)] = 487698,
  [SMALL_STATE(10030)] = 487780,
  [SMALL_STATE(10031)] = 487828,
  [SMALL_STATE(10032)] = 487910,
  [SMALL_STATE(10033)] = 487960,
  [SMALL_STATE(10034)] = 488006,
  [SMALL_STATE(10035)] = 488088,
  [SMALL_STATE(10036)] = 488170,
  [SMALL_STATE(10037)] = 488252,
  [SMALL_STATE(10038)] = 488322,
  [SMALL_STATE(10039)] = 488404,
  [SMALL_STATE(10040)] = 488486,
  [SMALL_STATE(10041)] = 488568,
  [SMALL_STATE(10042)] = 488650,
  [SMALL_STATE(10043)] = 488696,
  [SMALL_STATE(10044)] = 488754,
  [SMALL_STATE(10045)] = 488836,
  [SMALL_STATE(10046)] = 488904,
  [SMALL_STATE(10047)] = 488950,
  [SMALL_STATE(10048)] = 488996,
  [SMALL_STATE(10049)] = 489046,
  [SMALL_STATE(10050)] = 489128,
  [SMALL_STATE(10051)] = 489210,
  [SMALL_STATE(10052)] = 489292,
  [SMALL_STATE(10053)] = 489374,
  [SMALL_STATE(10054)] = 489420,
  [SMALL_STATE(10055)] = 489502,
  [SMALL_STATE(10056)] = 489570,
  [SMALL_STATE(10057)] = 489652,
  [SMALL_STATE(10058)] = 489734,
  [SMALL_STATE(10059)] = 489816,
  [SMALL_STATE(10060)] = 489898,
  [SMALL_STATE(10061)] = 489980,
  [SMALL_STATE(10062)] = 490030,
  [SMALL_STATE(10063)] = 490112,
  [SMALL_STATE(10064)] = 490194,
  [SMALL_STATE(10065)] = 490240,
  [SMALL_STATE(10066)] = 490286,
  [SMALL_STATE(10067)] = 490332,
  [SMALL_STATE(10068)] = 490414,
  [SMALL_STATE(10069)] = 490496,
  [SMALL_STATE(10070)] = 490578,
  [SMALL_STATE(10071)] = 490624,
  [SMALL_STATE(10072)] = 490706,
  [SMALL_STATE(10073)] = 490788,
  [SMALL_STATE(10074)] = 490870,
  [SMALL_STATE(10075)] = 490952,
  [SMALL_STATE(10076)] = 491034,
  [SMALL_STATE(10077)] = 491116,
  [SMALL_STATE(10078)] = 491198,
  [SMALL_STATE(10079)] = 491280,
  [SMALL_STATE(10080)] = 491330,
  [SMALL_STATE(10081)] = 491412,
  [SMALL_STATE(10082)] = 491494,
  [SMALL_STATE(10083)] = 491576,
  [SMALL_STATE(10084)] = 491622,
  [SMALL_STATE(10085)] = 491704,
  [SMALL_STATE(10086)] = 491786,
  [SMALL_STATE(10087)] = 491868,
  [SMALL_STATE(10088)] = 491950,
  [SMALL_STATE(10089)] = 492032,
  [SMALL_STATE(10090)] = 492096,
  [SMALL_STATE(10091)] = 492142,
  [SMALL_STATE(10092)] = 492224,
  [SMALL_STATE(10093)] = 492280,
  [SMALL_STATE(10094)] = 492362,
  [SMALL_STATE(10095)] = 492412,
  [SMALL_STATE(10096)] = 492462,
  [SMALL_STATE(10097)] = 492520,
  [SMALL_STATE(10098)] = 492602,
  [SMALL_STATE(10099)] = 492660,
  [SMALL_STATE(10100)] = 492722,
  [SMALL_STATE(10101)] = 492786,
  [SMALL_STATE(10102)] = 492854,
  [SMALL_STATE(10103)] = 492906,
  [SMALL_STATE(10104)] = 492974,
  [SMALL_STATE(10105)] = 493056,
  [SMALL_STATE(10106)] = 493138,
  [SMALL_STATE(10107)] = 493206,
  [SMALL_STATE(10108)] = 493288,
  [SMALL_STATE(10109)] = 493370,
  [SMALL_STATE(10110)] = 493452,
  [SMALL_STATE(10111)] = 493534,
  [SMALL_STATE(10112)] = 493616,
  [SMALL_STATE(10113)] = 493698,
  [SMALL_STATE(10114)] = 493780,
  [SMALL_STATE(10115)] = 493828,
  [SMALL_STATE(10116)] = 493876,
  [SMALL_STATE(10117)] = 493958,
  [SMALL_STATE(10118)] = 494004,
  [SMALL_STATE(10119)] = 494086,
  [SMALL_STATE(10120)] = 494168,
  [SMALL_STATE(10121)] = 494250,
  [SMALL_STATE(10122)] = 494296,
  [SMALL_STATE(10123)] = 494341,
  [SMALL_STATE(10124)] = 494386,
  [SMALL_STATE(10125)] = 494431,
  [SMALL_STATE(10126)] = 494476,
  [SMALL_STATE(10127)] = 494521,
  [SMALL_STATE(10128)] = 494566,
  [SMALL_STATE(10129)] = 494611,
  [SMALL_STATE(10130)] = 494656,
  [SMALL_STATE(10131)] = 494701,
  [SMALL_STATE(10132)] = 494746,
  [SMALL_STATE(10133)] = 494807,
  [SMALL_STATE(10134)] = 494852,
  [SMALL_STATE(10135)] = 494897,
  [SMALL_STATE(10136)] = 494942,
  [SMALL_STATE(10137)] = 494987,
  [SMALL_STATE(10138)] = 495032,
  [SMALL_STATE(10139)] = 495109,
  [SMALL_STATE(10140)] = 495156,
  [SMALL_STATE(10141)] = 495201,
  [SMALL_STATE(10142)] = 495246,
  [SMALL_STATE(10143)] = 495291,
  [SMALL_STATE(10144)] = 495336,
  [SMALL_STATE(10145)] = 495383,
  [SMALL_STATE(10146)] = 495444,
  [SMALL_STATE(10147)] = 495489,
  [SMALL_STATE(10148)] = 495534,
  [SMALL_STATE(10149)] = 495579,
  [SMALL_STATE(10150)] = 495634,
  [SMALL_STATE(10151)] = 495679,
  [SMALL_STATE(10152)] = 495724,
  [SMALL_STATE(10153)] = 495769,
  [SMALL_STATE(10154)] = 495814,
  [SMALL_STATE(10155)] = 495859,
  [SMALL_STATE(10156)] = 495920,
  [SMALL_STATE(10157)] = 495965,
  [SMALL_STATE(10158)] = 496010,
  [SMALL_STATE(10159)] = 496055,
  [SMALL_STATE(10160)] = 496100,
  [SMALL_STATE(10161)] = 496145,
  [SMALL_STATE(10162)] = 496190,
  [SMALL_STATE(10163)] = 496259,
  [SMALL_STATE(10164)] = 496304,
  [SMALL_STATE(10165)] = 496349,
  [SMALL_STATE(10166)] = 496394,
  [SMALL_STATE(10167)] = 496439,
  [SMALL_STATE(10168)] = 496484,
  [SMALL_STATE(10169)] = 496529,
  [SMALL_STATE(10170)] = 496574,
  [SMALL_STATE(10171)] = 496623,
  [SMALL_STATE(10172)] = 496668,
  [SMALL_STATE(10173)] = 496713,
  [SMALL_STATE(10174)] = 496758,
  [SMALL_STATE(10175)] = 496803,
  [SMALL_STATE(10176)] = 496848,
  [SMALL_STATE(10177)] = 496893,
  [SMALL_STATE(10178)] = 496938,
  [SMALL_STATE(10179)] = 497015,
  [SMALL_STATE(10180)] = 497060,
  [SMALL_STATE(10181)] = 497115,
  [SMALL_STATE(10182)] = 497160,
  [SMALL_STATE(10183)] = 497205,
  [SMALL_STATE(10184)] = 497250,
  [SMALL_STATE(10185)] = 497295,
  [SMALL_STATE(10186)] = 497340,
  [SMALL_STATE(10187)] = 497385,
  [SMALL_STATE(10188)] = 497430,
  [SMALL_STATE(10189)] = 497475,
  [SMALL_STATE(10190)] = 497520,
  [SMALL_STATE(10191)] = 497565,
  [SMALL_STATE(10192)] = 497620,
  [SMALL_STATE(10193)] = 497689,
  [SMALL_STATE(10194)] = 497734,
  [SMALL_STATE(10195)] = 497779,
  [SMALL_STATE(10196)] = 497824,
  [SMALL_STATE(10197)] = 497869,
  [SMALL_STATE(10198)] = 497938,
  [SMALL_STATE(10199)] = 497983,
  [SMALL_STATE(10200)] = 498028,
  [SMALL_STATE(10201)] = 498082,
  [SMALL_STATE(10202)] = 498154,
  [SMALL_STATE(10203)] = 498208,
  [SMALL_STATE(10204)] = 498282,
  [SMALL_STATE(10205)] = 498354,
  [SMALL_STATE(10206)] = 498400,
  [SMALL_STATE(10207)] = 498474,
  [SMALL_STATE(10208)] = 498528,
  [SMALL_STATE(10209)] = 498588,
  [SMALL_STATE(10210)] = 498642,
  [SMALL_STATE(10211)] = 498702,
  [SMALL_STATE(10212)] = 498746,
  [SMALL_STATE(10213)] = 498823,
  [SMALL_STATE(10214)] = 498900,
  [SMALL_STATE(10215)] = 498971,
  [SMALL_STATE(10216)] = 499030,
  [SMALL_STATE(10217)] = 499107,
  [SMALL_STATE(10218)] = 499184,
  [SMALL_STATE(10219)] = 499261,
  [SMALL_STATE(10220)] = 499338,
  [SMALL_STATE(10221)] = 499415,
  [SMALL_STATE(10222)] = 499458,
  [SMALL_STATE(10223)] = 499501,
  [SMALL_STATE(10224)] = 499560,
  [SMALL_STATE(10225)] = 499603,
  [SMALL_STATE(10226)] = 499680,
  [SMALL_STATE(10227)] = 499723,
  [SMALL_STATE(10228)] = 499782,
  [SMALL_STATE(10229)] = 499825,
  [SMALL_STATE(10230)] = 499868,
  [SMALL_STATE(10231)] = 499911,
  [SMALL_STATE(10232)] = 499954,
  [SMALL_STATE(10233)] = 499997,
  [SMALL_STATE(10234)] = 500074,
  [SMALL_STATE(10235)] = 500133,
  [SMALL_STATE(10236)] = 500210,
  [SMALL_STATE(10237)] = 500281,
  [SMALL_STATE(10238)] = 500324,
  [SMALL_STATE(10239)] = 500395,
  [SMALL_STATE(10240)] = 500454,
  [SMALL_STATE(10241)] = 500531,
  [SMALL_STATE(10242)] = 500608,
  [SMALL_STATE(10243)] = 500685,
  [SMALL_STATE(10244)] = 500728,
  [SMALL_STATE(10245)] = 500781,
  [SMALL_STATE(10246)] = 500824,
  [SMALL_STATE(10247)] = 500901,
  [SMALL_STATE(10248)] = 500944,
  [SMALL_STATE(10249)] = 501021,
  [SMALL_STATE(10250)] = 501066,
  [SMALL_STATE(10251)] = 501137,
  [SMALL_STATE(10252)] = 501180,
  [SMALL_STATE(10253)] = 501227,
  [SMALL_STATE(10254)] = 501270,
  [SMALL_STATE(10255)] = 501347,
  [SMALL_STATE(10256)] = 501424,
  [SMALL_STATE(10257)] = 501501,
  [SMALL_STATE(10258)] = 501578,
  [SMALL_STATE(10259)] = 501621,
  [SMALL_STATE(10260)] = 501698,
  [SMALL_STATE(10261)] = 501775,
  [SMALL_STATE(10262)] = 501818,
  [SMALL_STATE(10263)] = 501863,
  [SMALL_STATE(10264)] = 501940,
  [SMALL_STATE(10265)] = 502017,
  [SMALL_STATE(10266)] = 502060,
  [SMALL_STATE(10267)] = 502137,
  [SMALL_STATE(10268)] = 502182,
  [SMALL_STATE(10269)] = 502225,
  [SMALL_STATE(10270)] = 502302,
  [SMALL_STATE(10271)] = 502355,
  [SMALL_STATE(10272)] = 502398,
  [SMALL_STATE(10273)] = 502475,
  [SMALL_STATE(10274)] = 502552,
  [SMALL_STATE(10275)] = 502629,
  [SMALL_STATE(10276)] = 502672,
  [SMALL_STATE(10277)] = 502749,
  [SMALL_STATE(10278)] = 502826,
  [SMALL_STATE(10279)] = 502869,
  [SMALL_STATE(10280)] = 502946,
  [SMALL_STATE(10281)] = 502989,
  [SMALL_STATE(10282)] = 503066,
  [SMALL_STATE(10283)] = 503109,
  [SMALL_STATE(10284)] = 503152,
  [SMALL_STATE(10285)] = 503195,
  [SMALL_STATE(10286)] = 503238,
  [SMALL_STATE(10287)] = 503315,
  [SMALL_STATE(10288)] = 503374,
  [SMALL_STATE(10289)] = 503417,
  [SMALL_STATE(10290)] = 503494,
  [SMALL_STATE(10291)] = 503537,
  [SMALL_STATE(10292)] = 503580,
  [SMALL_STATE(10293)] = 503623,
  [SMALL_STATE(10294)] = 503666,
  [SMALL_STATE(10295)] = 503743,
  [SMALL_STATE(10296)] = 503820,
  [SMALL_STATE(10297)] = 503863,
  [SMALL_STATE(10298)] = 503940,
  [SMALL_STATE(10299)] = 504017,
  [SMALL_STATE(10300)] = 504094,
  [SMALL_STATE(10301)] = 504137,
  [SMALL_STATE(10302)] = 504190,
  [SMALL_STATE(10303)] = 504233,
  [SMALL_STATE(10304)] = 504276,
  [SMALL_STATE(10305)] = 504348,
  [SMALL_STATE(10306)] = 504390,
  [SMALL_STATE(10307)] = 504448,
  [SMALL_STATE(10308)] = 504506,
  [SMALL_STATE(10309)] = 504564,
  [SMALL_STATE(10310)] = 504606,
  [SMALL_STATE(10311)] = 504648,
  [SMALL_STATE(10312)] = 504690,
  [SMALL_STATE(10313)] = 504732,
  [SMALL_STATE(10314)] = 504804,
  [SMALL_STATE(10315)] = 504876,
  [SMALL_STATE(10316)] = 504948,
  [SMALL_STATE(10317)] = 504990,
  [SMALL_STATE(10318)] = 505062,
  [SMALL_STATE(10319)] = 505134,
  [SMALL_STATE(10320)] = 505206,
  [SMALL_STATE(10321)] = 505278,
  [SMALL_STATE(10322)] = 505350,
  [SMALL_STATE(10323)] = 505422,
  [SMALL_STATE(10324)] = 505464,
  [SMALL_STATE(10325)] = 505506,
  [SMALL_STATE(10326)] = 505548,
  [SMALL_STATE(10327)] = 505620,
  [SMALL_STATE(10328)] = 505692,
  [SMALL_STATE(10329)] = 505764,
  [SMALL_STATE(10330)] = 505806,
  [SMALL_STATE(10331)] = 505878,
  [SMALL_STATE(10332)] = 505920,
  [SMALL_STATE(10333)] = 505962,
  [SMALL_STATE(10334)] = 506034,
  [SMALL_STATE(10335)] = 506106,
  [SMALL_STATE(10336)] = 506178,
  [SMALL_STATE(10337)] = 506250,
  [SMALL_STATE(10338)] = 506322,
  [SMALL_STATE(10339)] = 506364,
  [SMALL_STATE(10340)] = 506406,
  [SMALL_STATE(10341)] = 506448,
  [SMALL_STATE(10342)] = 506490,
  [SMALL_STATE(10343)] = 506562,
  [SMALL_STATE(10344)] = 506634,
  [SMALL_STATE(10345)] = 506676,
  [SMALL_STATE(10346)] = 506748,
  [SMALL_STATE(10347)] = 506820,
  [SMALL_STATE(10348)] = 506862,
  [SMALL_STATE(10349)] = 506934,
  [SMALL_STATE(10350)] = 507006,
  [SMALL_STATE(10351)] = 507078,
  [SMALL_STATE(10352)] = 507150,
  [SMALL_STATE(10353)] = 507222,
  [SMALL_STATE(10354)] = 507266,
  [SMALL_STATE(10355)] = 507308,
  [SMALL_STATE(10356)] = 507350,
  [SMALL_STATE(10357)] = 507392,
  [SMALL_STATE(10358)] = 507434,
  [SMALL_STATE(10359)] = 507506,
  [SMALL_STATE(10360)] = 507578,
  [SMALL_STATE(10361)] = 507650,
  [SMALL_STATE(10362)] = 507722,
  [SMALL_STATE(10363)] = 507794,
  [SMALL_STATE(10364)] = 507866,
  [SMALL_STATE(10365)] = 507938,
  [SMALL_STATE(10366)] = 508010,
  [SMALL_STATE(10367)] = 508082,
  [SMALL_STATE(10368)] = 508154,
  [SMALL_STATE(10369)] = 508226,
  [SMALL_STATE(10370)] = 508298,
  [SMALL_STATE(10371)] = 508370,
  [SMALL_STATE(10372)] = 508442,
  [SMALL_STATE(10373)] = 508514,
  [SMALL_STATE(10374)] = 508586,
  [SMALL_STATE(10375)] = 508658,
  [SMALL_STATE(10376)] = 508730,
  [SMALL_STATE(10377)] = 508772,
  [SMALL_STATE(10378)] = 508814,
  [SMALL_STATE(10379)] = 508856,
  [SMALL_STATE(10380)] = 508898,
  [SMALL_STATE(10381)] = 508940,
  [SMALL_STATE(10382)] = 509012,
  [SMALL_STATE(10383)] = 509084,
  [SMALL_STATE(10384)] = 509156,
  [SMALL_STATE(10385)] = 509198,
  [SMALL_STATE(10386)] = 509270,
  [SMALL_STATE(10387)] = 509342,
  [SMALL_STATE(10388)] = 509384,
  [SMALL_STATE(10389)] = 509426,
  [SMALL_STATE(10390)] = 509498,
  [SMALL_STATE(10391)] = 509570,
  [SMALL_STATE(10392)] = 509642,
  [SMALL_STATE(10393)] = 509714,
  [SMALL_STATE(10394)] = 509786,
  [SMALL_STATE(10395)] = 509828,
  [SMALL_STATE(10396)] = 509870,
  [SMALL_STATE(10397)] = 509912,
  [SMALL_STATE(10398)] = 509954,
  [SMALL_STATE(10399)] = 510006,
  [SMALL_STATE(10400)] = 510048,
  [SMALL_STATE(10401)] = 510090,
  [SMALL_STATE(10402)] = 510132,
  [SMALL_STATE(10403)] = 510204,
  [SMALL_STATE(10404)] = 510276,
  [SMALL_STATE(10405)] = 510348,
  [SMALL_STATE(10406)] = 510390,
  [SMALL_STATE(10407)] = 510462,
  [SMALL_STATE(10408)] = 510534,
  [SMALL_STATE(10409)] = 510606,
  [SMALL_STATE(10410)] = 510678,
  [SMALL_STATE(10411)] = 510750,
  [SMALL_STATE(10412)] = 510822,
  [SMALL_STATE(10413)] = 510868,
  [SMALL_STATE(10414)] = 510920,
  [SMALL_STATE(10415)] = 510992,
  [SMALL_STATE(10416)] = 511064,
  [SMALL_STATE(10417)] = 511136,
  [SMALL_STATE(10418)] = 511208,
  [SMALL_STATE(10419)] = 511280,
  [SMALL_STATE(10420)] = 511352,
  [SMALL_STATE(10421)] = 511424,
  [SMALL_STATE(10422)] = 511496,
  [SMALL_STATE(10423)] = 511568,
  [SMALL_STATE(10424)] = 511640,
  [SMALL_STATE(10425)] = 511712,
  [SMALL_STATE(10426)] = 511784,
  [SMALL_STATE(10427)] = 511856,
  [SMALL_STATE(10428)] = 511928,
  [SMALL_STATE(10429)] = 512000,
  [SMALL_STATE(10430)] = 512072,
  [SMALL_STATE(10431)] = 512144,
  [SMALL_STATE(10432)] = 512216,
  [SMALL_STATE(10433)] = 512288,
  [SMALL_STATE(10434)] = 512360,
  [SMALL_STATE(10435)] = 512420,
  [SMALL_STATE(10436)] = 512492,
  [SMALL_STATE(10437)] = 512564,
  [SMALL_STATE(10438)] = 512636,
  [SMALL_STATE(10439)] = 512708,
  [SMALL_STATE(10440)] = 512764,
  [SMALL_STATE(10441)] = 512836,
  [SMALL_STATE(10442)] = 512908,
  [SMALL_STATE(10443)] = 512950,
  [SMALL_STATE(10444)] = 512998,
  [SMALL_STATE(10445)] = 513070,
  [SMALL_STATE(10446)] = 513142,
  [SMALL_STATE(10447)] = 513214,
  [SMALL_STATE(10448)] = 513256,
  [SMALL_STATE(10449)] = 513328,
  [SMALL_STATE(10450)] = 513370,
  [SMALL_STATE(10451)] = 513442,
  [SMALL_STATE(10452)] = 513514,
  [SMALL_STATE(10453)] = 513562,
  [SMALL_STATE(10454)] = 513634,
  [SMALL_STATE(10455)] = 513706,
  [SMALL_STATE(10456)] = 513778,
  [SMALL_STATE(10457)] = 513820,
  [SMALL_STATE(10458)] = 513892,
  [SMALL_STATE(10459)] = 513954,
  [SMALL_STATE(10460)] = 514026,
  [SMALL_STATE(10461)] = 514098,
  [SMALL_STATE(10462)] = 514150,
  [SMALL_STATE(10463)] = 514222,
  [SMALL_STATE(10464)] = 514294,
  [SMALL_STATE(10465)] = 514366,
  [SMALL_STATE(10466)] = 514418,
  [SMALL_STATE(10467)] = 514490,
  [SMALL_STATE(10468)] = 514562,
  [SMALL_STATE(10469)] = 514634,
  [SMALL_STATE(10470)] = 514706,
  [SMALL_STATE(10471)] = 514748,
  [SMALL_STATE(10472)] = 514790,
  [SMALL_STATE(10473)] = 514832,
  [SMALL_STATE(10474)] = 514884,
  [SMALL_STATE(10475)] = 514956,
  [SMALL_STATE(10476)] = 514998,
  [SMALL_STATE(10477)] = 515040,
  [SMALL_STATE(10478)] = 515082,
  [SMALL_STATE(10479)] = 515154,
  [SMALL_STATE(10480)] = 515226,
  [SMALL_STATE(10481)] = 515268,
  [SMALL_STATE(10482)] = 515310,
  [SMALL_STATE(10483)] = 515368,
  [SMALL_STATE(10484)] = 515426,
  [SMALL_STATE(10485)] = 515484,
  [SMALL_STATE(10486)] = 515536,
  [SMALL_STATE(10487)] = 515594,
  [SMALL_STATE(10488)] = 515652,
  [SMALL_STATE(10489)] = 515712,
  [SMALL_STATE(10490)] = 515756,
  [SMALL_STATE(10491)] = 515814,
  [SMALL_STATE(10492)] = 515886,
  [SMALL_STATE(10493)] = 515930,
  [SMALL_STATE(10494)] = 515982,
  [SMALL_STATE(10495)] = 516024,
  [SMALL_STATE(10496)] = 516092,
  [SMALL_STATE(10497)] = 516164,
  [SMALL_STATE(10498)] = 516208,
  [SMALL_STATE(10499)] = 516250,
  [SMALL_STATE(10500)] = 516322,
  [SMALL_STATE(10501)] = 516364,
  [SMALL_STATE(10502)] = 516406,
  [SMALL_STATE(10503)] = 516448,
  [SMALL_STATE(10504)] = 516490,
  [SMALL_STATE(10505)] = 516532,
  [SMALL_STATE(10506)] = 516574,
  [SMALL_STATE(10507)] = 516616,
  [SMALL_STATE(10508)] = 516658,
  [SMALL_STATE(10509)] = 516700,
  [SMALL_STATE(10510)] = 516742,
  [SMALL_STATE(10511)] = 516784,
  [SMALL_STATE(10512)] = 516826,
  [SMALL_STATE(10513)] = 516868,
  [SMALL_STATE(10514)] = 516910,
  [SMALL_STATE(10515)] = 516954,
  [SMALL_STATE(10516)] = 516996,
  [SMALL_STATE(10517)] = 517038,
  [SMALL_STATE(10518)] = 517080,
  [SMALL_STATE(10519)] = 517122,
  [SMALL_STATE(10520)] = 517164,
  [SMALL_STATE(10521)] = 517232,
  [SMALL_STATE(10522)] = 517274,
  [SMALL_STATE(10523)] = 517316,
  [SMALL_STATE(10524)] = 517358,
  [SMALL_STATE(10525)] = 517400,
  [SMALL_STATE(10526)] = 517442,
  [SMALL_STATE(10527)] = 517484,
  [SMALL_STATE(10528)] = 517526,
  [SMALL_STATE(10529)] = 517568,
  [SMALL_STATE(10530)] = 517610,
  [SMALL_STATE(10531)] = 517652,
  [SMALL_STATE(10532)] = 517694,
  [SMALL_STATE(10533)] = 517736,
  [SMALL_STATE(10534)] = 517778,
  [SMALL_STATE(10535)] = 517820,
  [SMALL_STATE(10536)] = 517862,
  [SMALL_STATE(10537)] = 517904,
  [SMALL_STATE(10538)] = 517946,
  [SMALL_STATE(10539)] = 517988,
  [SMALL_STATE(10540)] = 518030,
  [SMALL_STATE(10541)] = 518072,
  [SMALL_STATE(10542)] = 518114,
  [SMALL_STATE(10543)] = 518156,
  [SMALL_STATE(10544)] = 518228,
  [SMALL_STATE(10545)] = 518270,
  [SMALL_STATE(10546)] = 518312,
  [SMALL_STATE(10547)] = 518354,
  [SMALL_STATE(10548)] = 518396,
  [SMALL_STATE(10549)] = 518438,
  [SMALL_STATE(10550)] = 518480,
  [SMALL_STATE(10551)] = 518522,
  [SMALL_STATE(10552)] = 518574,
  [SMALL_STATE(10553)] = 518616,
  [SMALL_STATE(10554)] = 518658,
  [SMALL_STATE(10555)] = 518700,
  [SMALL_STATE(10556)] = 518742,
  [SMALL_STATE(10557)] = 518784,
  [SMALL_STATE(10558)] = 518826,
  [SMALL_STATE(10559)] = 518868,
  [SMALL_STATE(10560)] = 518910,
  [SMALL_STATE(10561)] = 518952,
  [SMALL_STATE(10562)] = 518994,
  [SMALL_STATE(10563)] = 519036,
  [SMALL_STATE(10564)] = 519078,
  [SMALL_STATE(10565)] = 519120,
  [SMALL_STATE(10566)] = 519162,
  [SMALL_STATE(10567)] = 519204,
  [SMALL_STATE(10568)] = 519246,
  [SMALL_STATE(10569)] = 519288,
  [SMALL_STATE(10570)] = 519330,
  [SMALL_STATE(10571)] = 519372,
  [SMALL_STATE(10572)] = 519414,
  [SMALL_STATE(10573)] = 519456,
  [SMALL_STATE(10574)] = 519498,
  [SMALL_STATE(10575)] = 519540,
  [SMALL_STATE(10576)] = 519582,
  [SMALL_STATE(10577)] = 519624,
  [SMALL_STATE(10578)] = 519666,
  [SMALL_STATE(10579)] = 519708,
  [SMALL_STATE(10580)] = 519750,
  [SMALL_STATE(10581)] = 519792,
  [SMALL_STATE(10582)] = 519834,
  [SMALL_STATE(10583)] = 519876,
  [SMALL_STATE(10584)] = 519948,
  [SMALL_STATE(10585)] = 520020,
  [SMALL_STATE(10586)] = 520092,
  [SMALL_STATE(10587)] = 520134,
  [SMALL_STATE(10588)] = 520206,
  [SMALL_STATE(10589)] = 520248,
  [SMALL_STATE(10590)] = 520320,
  [SMALL_STATE(10591)] = 520392,
  [SMALL_STATE(10592)] = 520464,
  [SMALL_STATE(10593)] = 520536,
  [SMALL_STATE(10594)] = 520608,
  [SMALL_STATE(10595)] = 520650,
  [SMALL_STATE(10596)] = 520692,
  [SMALL_STATE(10597)] = 520764,
  [SMALL_STATE(10598)] = 520836,
  [SMALL_STATE(10599)] = 520878,
  [SMALL_STATE(10600)] = 520920,
  [SMALL_STATE(10601)] = 520992,
  [SMALL_STATE(10602)] = 521034,
  [SMALL_STATE(10603)] = 521106,
  [SMALL_STATE(10604)] = 521178,
  [SMALL_STATE(10605)] = 521250,
  [SMALL_STATE(10606)] = 521322,
  [SMALL_STATE(10607)] = 521394,
  [SMALL_STATE(10608)] = 521466,
  [SMALL_STATE(10609)] = 521524,
  [SMALL_STATE(10610)] = 521582,
  [SMALL_STATE(10611)] = 521644,
  [SMALL_STATE(10612)] = 521716,
  [SMALL_STATE(10613)] = 521788,
  [SMALL_STATE(10614)] = 521860,
  [SMALL_STATE(10615)] = 521918,
  [SMALL_STATE(10616)] = 521990,
  [SMALL_STATE(10617)] = 522032,
  [SMALL_STATE(10618)] = 522104,
  [SMALL_STATE(10619)] = 522176,
  [SMALL_STATE(10620)] = 522248,
  [SMALL_STATE(10621)] = 522292,
  [SMALL_STATE(10622)] = 522364,
  [SMALL_STATE(10623)] = 522436,
  [SMALL_STATE(10624)] = 522478,
  [SMALL_STATE(10625)] = 522519,
  [SMALL_STATE(10626)] = 522560,
  [SMALL_STATE(10627)] = 522629,
  [SMALL_STATE(10628)] = 522670,
  [SMALL_STATE(10629)] = 522739,
  [SMALL_STATE(10630)] = 522780,
  [SMALL_STATE(10631)] = 522831,
  [SMALL_STATE(10632)] = 522890,
  [SMALL_STATE(10633)] = 522941,
  [SMALL_STATE(10634)] = 522986,
  [SMALL_STATE(10635)] = 523031,
  [SMALL_STATE(10636)] = 523084,
  [SMALL_STATE(10637)] = 523137,
  [SMALL_STATE(10638)] = 523194,
  [SMALL_STATE(10639)] = 523253,
  [SMALL_STATE(10640)] = 523316,
  [SMALL_STATE(10641)] = 523363,
  [SMALL_STATE(10642)] = 523426,
  [SMALL_STATE(10643)] = 523489,
  [SMALL_STATE(10644)] = 523530,
  [SMALL_STATE(10645)] = 523581,
  [SMALL_STATE(10646)] = 523650,
  [SMALL_STATE(10647)] = 523691,
  [SMALL_STATE(10648)] = 523732,
  [SMALL_STATE(10649)] = 523791,
  [SMALL_STATE(10650)] = 523832,
  [SMALL_STATE(10651)] = 523873,
  [SMALL_STATE(10652)] = 523926,
  [SMALL_STATE(10653)] = 523967,
  [SMALL_STATE(10654)] = 524008,
  [SMALL_STATE(10655)] = 524049,
  [SMALL_STATE(10656)] = 524090,
  [SMALL_STATE(10657)] = 524151,
  [SMALL_STATE(10658)] = 524192,
  [SMALL_STATE(10659)] = 524233,
  [SMALL_STATE(10660)] = 524276,
  [SMALL_STATE(10661)] = 524321,
  [SMALL_STATE(10662)] = 524364,
  [SMALL_STATE(10663)] = 524409,
  [SMALL_STATE(10664)] = 524454,
  [SMALL_STATE(10665)] = 524499,
  [SMALL_STATE(10666)] = 524544,
  [SMALL_STATE(10667)] = 524587,
  [SMALL_STATE(10668)] = 524658,
  [SMALL_STATE(10669)] = 524699,
  [SMALL_STATE(10670)] = 524744,
  [SMALL_STATE(10671)] = 524785,
  [SMALL_STATE(10672)] = 524826,
  [SMALL_STATE(10673)] = 524867,
  [SMALL_STATE(10674)] = 524924,
  [SMALL_STATE(10675)] = 524965,
  [SMALL_STATE(10676)] = 525006,
  [SMALL_STATE(10677)] = 525047,
  [SMALL_STATE(10678)] = 525088,
  [SMALL_STATE(10679)] = 525129,
  [SMALL_STATE(10680)] = 525174,
  [SMALL_STATE(10681)] = 525225,
  [SMALL_STATE(10682)] = 525270,
  [SMALL_STATE(10683)] = 525311,
  [SMALL_STATE(10684)] = 525352,
  [SMALL_STATE(10685)] = 525393,
  [SMALL_STATE(10686)] = 525434,
  [SMALL_STATE(10687)] = 525475,
  [SMALL_STATE(10688)] = 525516,
  [SMALL_STATE(10689)] = 525557,
  [SMALL_STATE(10690)] = 525598,
  [SMALL_STATE(10691)] = 525639,
  [SMALL_STATE(10692)] = 525696,
  [SMALL_STATE(10693)] = 525737,
  [SMALL_STATE(10694)] = 525778,
  [SMALL_STATE(10695)] = 525819,
  [SMALL_STATE(10696)] = 525860,
  [SMALL_STATE(10697)] = 525901,
  [SMALL_STATE(10698)] = 525942,
  [SMALL_STATE(10699)] = 525983,
  [SMALL_STATE(10700)] = 526024,
  [SMALL_STATE(10701)] = 526065,
  [SMALL_STATE(10702)] = 526122,
  [SMALL_STATE(10703)] = 526179,
  [SMALL_STATE(10704)] = 526236,
  [SMALL_STATE(10705)] = 526279,
  [SMALL_STATE(10706)] = 526320,
  [SMALL_STATE(10707)] = 526361,
  [SMALL_STATE(10708)] = 526416,
  [SMALL_STATE(10709)] = 526485,
  [SMALL_STATE(10710)] = 526554,
  [SMALL_STATE(10711)] = 526623,
  [SMALL_STATE(10712)] = 526692,
  [SMALL_STATE(10713)] = 526751,
  [SMALL_STATE(10714)] = 526812,
  [SMALL_STATE(10715)] = 526855,
  [SMALL_STATE(10716)] = 526896,
  [SMALL_STATE(10717)] = 526951,
  [SMALL_STATE(10718)] = 526992,
  [SMALL_STATE(10719)] = 527061,
  [SMALL_STATE(10720)] = 527102,
  [SMALL_STATE(10721)] = 527167,
  [SMALL_STATE(10722)] = 527236,
  [SMALL_STATE(10723)] = 527293,
  [SMALL_STATE(10724)] = 527356,
  [SMALL_STATE(10725)] = 527397,
  [SMALL_STATE(10726)] = 527466,
  [SMALL_STATE(10727)] = 527511,
  [SMALL_STATE(10728)] = 527552,
  [SMALL_STATE(10729)] = 527603,
  [SMALL_STATE(10730)] = 527644,
  [SMALL_STATE(10731)] = 527685,
  [SMALL_STATE(10732)] = 527728,
  [SMALL_STATE(10733)] = 527771,
  [SMALL_STATE(10734)] = 527812,
  [SMALL_STATE(10735)] = 527864,
  [SMALL_STATE(10736)] = 527932,
  [SMALL_STATE(10737)] = 527972,
  [SMALL_STATE(10738)] = 528012,
  [SMALL_STATE(10739)] = 528080,
  [SMALL_STATE(10740)] = 528120,
  [SMALL_STATE(10741)] = 528160,
  [SMALL_STATE(10742)] = 528212,
  [SMALL_STATE(10743)] = 528268,
  [SMALL_STATE(10744)] = 528336,
  [SMALL_STATE(10745)] = 528392,
  [SMALL_STATE(10746)] = 528460,
  [SMALL_STATE(10747)] = 528518,
  [SMALL_STATE(10748)] = 528586,
  [SMALL_STATE(10749)] = 528654,
  [SMALL_STATE(10750)] = 528716,
  [SMALL_STATE(10751)] = 528784,
  [SMALL_STATE(10752)] = 528852,
  [SMALL_STATE(10753)] = 528920,
  [SMALL_STATE(10754)] = 528988,
  [SMALL_STATE(10755)] = 529056,
  [SMALL_STATE(10756)] = 529124,
  [SMALL_STATE(10757)] = 529192,
  [SMALL_STATE(10758)] = 529260,
  [SMALL_STATE(10759)] = 529328,
  [SMALL_STATE(10760)] = 529384,
  [SMALL_STATE(10761)] = 529452,
  [SMALL_STATE(10762)] = 529498,
  [SMALL_STATE(10763)] = 529560,
  [SMALL_STATE(10764)] = 529604,
  [SMALL_STATE(10765)] = 529646,
  [SMALL_STATE(10766)] = 529708,
  [SMALL_STATE(10767)] = 529752,
  [SMALL_STATE(10768)] = 529808,
  [SMALL_STATE(10769)] = 529864,
  [SMALL_STATE(10770)] = 529932,
  [SMALL_STATE(10771)] = 529972,
  [SMALL_STATE(10772)] = 530028,
  [SMALL_STATE(10773)] = 530096,
  [SMALL_STATE(10774)] = 530152,
  [SMALL_STATE(10775)] = 530192,
  [SMALL_STATE(10776)] = 530248,
  [SMALL_STATE(10777)] = 530304,
  [SMALL_STATE(10778)] = 530372,
  [SMALL_STATE(10779)] = 530434,
  [SMALL_STATE(10780)] = 530490,
  [SMALL_STATE(10781)] = 530530,
  [SMALL_STATE(10782)] = 530598,
  [SMALL_STATE(10783)] = 530654,
  [SMALL_STATE(10784)] = 530710,
  [SMALL_STATE(10785)] = 530750,
  [SMALL_STATE(10786)] = 530818,
  [SMALL_STATE(10787)] = 530860,
  [SMALL_STATE(10788)] = 530928,
  [SMALL_STATE(10789)] = 530996,
  [SMALL_STATE(10790)] = 531036,
  [SMALL_STATE(10791)] = 531076,
  [SMALL_STATE(10792)] = 531116,
  [SMALL_STATE(10793)] = 531156,
  [SMALL_STATE(10794)] = 531196,
  [SMALL_STATE(10795)] = 531236,
  [SMALL_STATE(10796)] = 531276,
  [SMALL_STATE(10797)] = 531326,
  [SMALL_STATE(10798)] = 531366,
  [SMALL_STATE(10799)] = 531434,
  [SMALL_STATE(10800)] = 531474,
  [SMALL_STATE(10801)] = 531514,
  [SMALL_STATE(10802)] = 531554,
  [SMALL_STATE(10803)] = 531594,
  [SMALL_STATE(10804)] = 531634,
  [SMALL_STATE(10805)] = 531690,
  [SMALL_STATE(10806)] = 531732,
  [SMALL_STATE(10807)] = 531800,
  [SMALL_STATE(10808)] = 531840,
  [SMALL_STATE(10809)] = 531880,
  [SMALL_STATE(10810)] = 531920,
  [SMALL_STATE(10811)] = 531960,
  [SMALL_STATE(10812)] = 532000,
  [SMALL_STATE(10813)] = 532040,
  [SMALL_STATE(10814)] = 532080,
  [SMALL_STATE(10815)] = 532120,
  [SMALL_STATE(10816)] = 532160,
  [SMALL_STATE(10817)] = 532200,
  [SMALL_STATE(10818)] = 532240,
  [SMALL_STATE(10819)] = 532280,
  [SMALL_STATE(10820)] = 532320,
  [SMALL_STATE(10821)] = 532360,
  [SMALL_STATE(10822)] = 532428,
  [SMALL_STATE(10823)] = 532468,
  [SMALL_STATE(10824)] = 532508,
  [SMALL_STATE(10825)] = 532548,
  [SMALL_STATE(10826)] = 532588,
  [SMALL_STATE(10827)] = 532628,
  [SMALL_STATE(10828)] = 532696,
  [SMALL_STATE(10829)] = 532736,
  [SMALL_STATE(10830)] = 532776,
  [SMALL_STATE(10831)] = 532816,
  [SMALL_STATE(10832)] = 532856,
  [SMALL_STATE(10833)] = 532896,
  [SMALL_STATE(10834)] = 532936,
  [SMALL_STATE(10835)] = 532976,
  [SMALL_STATE(10836)] = 533044,
  [SMALL_STATE(10837)] = 533084,
  [SMALL_STATE(10838)] = 533124,
  [SMALL_STATE(10839)] = 533164,
  [SMALL_STATE(10840)] = 533204,
  [SMALL_STATE(10841)] = 533258,
  [SMALL_STATE(10842)] = 533298,
  [SMALL_STATE(10843)] = 533338,
  [SMALL_STATE(10844)] = 533378,
  [SMALL_STATE(10845)] = 533418,
  [SMALL_STATE(10846)] = 533458,
  [SMALL_STATE(10847)] = 533498,
  [SMALL_STATE(10848)] = 533538,
  [SMALL_STATE(10849)] = 533578,
  [SMALL_STATE(10850)] = 533646,
  [SMALL_STATE(10851)] = 533702,
  [SMALL_STATE(10852)] = 533744,
  [SMALL_STATE(10853)] = 533784,
  [SMALL_STATE(10854)] = 533824,
  [SMALL_STATE(10855)] = 533866,
  [SMALL_STATE(10856)] = 533906,
  [SMALL_STATE(10857)] = 533952,
  [SMALL_STATE(10858)] = 533998,
  [SMALL_STATE(10859)] = 534054,
  [SMALL_STATE(10860)] = 534094,
  [SMALL_STATE(10861)] = 534162,
  [SMALL_STATE(10862)] = 534202,
  [SMALL_STATE(10863)] = 534242,
  [SMALL_STATE(10864)] = 534282,
  [SMALL_STATE(10865)] = 534322,
  [SMALL_STATE(10866)] = 534362,
  [SMALL_STATE(10867)] = 534402,
  [SMALL_STATE(10868)] = 534442,
  [SMALL_STATE(10869)] = 534486,
  [SMALL_STATE(10870)] = 534530,
  [SMALL_STATE(10871)] = 534574,
  [SMALL_STATE(10872)] = 534618,
  [SMALL_STATE(10873)] = 534660,
  [SMALL_STATE(10874)] = 534700,
  [SMALL_STATE(10875)] = 534740,
  [SMALL_STATE(10876)] = 534780,
  [SMALL_STATE(10877)] = 534820,
  [SMALL_STATE(10878)] = 534860,
  [SMALL_STATE(10879)] = 534900,
  [SMALL_STATE(10880)] = 534940,
  [SMALL_STATE(10881)] = 534980,
  [SMALL_STATE(10882)] = 535020,
  [SMALL_STATE(10883)] = 535060,
  [SMALL_STATE(10884)] = 535100,
  [SMALL_STATE(10885)] = 535140,
  [SMALL_STATE(10886)] = 535180,
  [SMALL_STATE(10887)] = 535220,
  [SMALL_STATE(10888)] = 535260,
  [SMALL_STATE(10889)] = 535328,
  [SMALL_STATE(10890)] = 535396,
  [SMALL_STATE(10891)] = 535452,
  [SMALL_STATE(10892)] = 535492,
  [SMALL_STATE(10893)] = 535542,
  [SMALL_STATE(10894)] = 535610,
  [SMALL_STATE(10895)] = 535674,
  [SMALL_STATE(10896)] = 535720,
  [SMALL_STATE(10897)] = 535766,
  [SMALL_STATE(10898)] = 535816,
  [SMALL_STATE(10899)] = 535872,
  [SMALL_STATE(10900)] = 535912,
  [SMALL_STATE(10901)] = 535952,
  [SMALL_STATE(10902)] = 536020,
  [SMALL_STATE(10903)] = 536088,
  [SMALL_STATE(10904)] = 536156,
  [SMALL_STATE(10905)] = 536196,
  [SMALL_STATE(10906)] = 536236,
  [SMALL_STATE(10907)] = 536286,
  [SMALL_STATE(10908)] = 536326,
  [SMALL_STATE(10909)] = 536366,
  [SMALL_STATE(10910)] = 536406,
  [SMALL_STATE(10911)] = 536446,
  [SMALL_STATE(10912)] = 536496,
  [SMALL_STATE(10913)] = 536546,
  [SMALL_STATE(10914)] = 536602,
  [SMALL_STATE(10915)] = 536658,
  [SMALL_STATE(10916)] = 536726,
  [SMALL_STATE(10917)] = 536794,
  [SMALL_STATE(10918)] = 536834,
  [SMALL_STATE(10919)] = 536874,
  [SMALL_STATE(10920)] = 536914,
  [SMALL_STATE(10921)] = 536958,
  [SMALL_STATE(10922)] = 536998,
  [SMALL_STATE(10923)] = 537048,
  [SMALL_STATE(10924)] = 537116,
  [SMALL_STATE(10925)] = 537156,
  [SMALL_STATE(10926)] = 537198,
  [SMALL_STATE(10927)] = 537266,
  [SMALL_STATE(10928)] = 537332,
  [SMALL_STATE(10929)] = 537372,
  [SMALL_STATE(10930)] = 537440,
  [SMALL_STATE(10931)] = 537508,
  [SMALL_STATE(10932)] = 537576,
  [SMALL_STATE(10933)] = 537616,
  [SMALL_STATE(10934)] = 537656,
  [SMALL_STATE(10935)] = 537696,
  [SMALL_STATE(10936)] = 537736,
  [SMALL_STATE(10937)] = 537776,
  [SMALL_STATE(10938)] = 537816,
  [SMALL_STATE(10939)] = 537856,
  [SMALL_STATE(10940)] = 537896,
  [SMALL_STATE(10941)] = 537964,
  [SMALL_STATE(10942)] = 538032,
  [SMALL_STATE(10943)] = 538072,
  [SMALL_STATE(10944)] = 538140,
  [SMALL_STATE(10945)] = 538208,
  [SMALL_STATE(10946)] = 538258,
  [SMALL_STATE(10947)] = 538326,
  [SMALL_STATE(10948)] = 538394,
  [SMALL_STATE(10949)] = 538434,
  [SMALL_STATE(10950)] = 538502,
  [SMALL_STATE(10951)] = 538570,
  [SMALL_STATE(10952)] = 538638,
  [SMALL_STATE(10953)] = 538706,
  [SMALL_STATE(10954)] = 538774,
  [SMALL_STATE(10955)] = 538842,
  [SMALL_STATE(10956)] = 538910,
  [SMALL_STATE(10957)] = 538978,
  [SMALL_STATE(10958)] = 539018,
  [SMALL_STATE(10959)] = 539064,
  [SMALL_STATE(10960)] = 539106,
  [SMALL_STATE(10961)] = 539174,
  [SMALL_STATE(10962)] = 539242,
  [SMALL_STATE(10963)] = 539310,
  [SMALL_STATE(10964)] = 539350,
  [SMALL_STATE(10965)] = 539390,
  [SMALL_STATE(10966)] = 539430,
  [SMALL_STATE(10967)] = 539480,
  [SMALL_STATE(10968)] = 539520,
  [SMALL_STATE(10969)] = 539566,
  [SMALL_STATE(10970)] = 539612,
  [SMALL_STATE(10971)] = 539652,
  [SMALL_STATE(10972)] = 539692,
  [SMALL_STATE(10973)] = 539732,
  [SMALL_STATE(10974)] = 539772,
  [SMALL_STATE(10975)] = 539812,
  [SMALL_STATE(10976)] = 539870,
  [SMALL_STATE(10977)] = 539920,
  [SMALL_STATE(10978)] = 539964,
  [SMALL_STATE(10979)] = 540008,
  [SMALL_STATE(10980)] = 540060,
  [SMALL_STATE(10981)] = 540112,
  [SMALL_STATE(10982)] = 540168,
  [SMALL_STATE(10983)] = 540226,
  [SMALL_STATE(10984)] = 540288,
  [SMALL_STATE(10985)] = 540334,
  [SMALL_STATE(10986)] = 540396,
  [SMALL_STATE(10987)] = 540464,
  [SMALL_STATE(10988)] = 540504,
  [SMALL_STATE(10989)] = 540566,
  [SMALL_STATE(10990)] = 540634,
  [SMALL_STATE(10991)] = 540674,
  [SMALL_STATE(10992)] = 540714,
  [SMALL_STATE(10993)] = 540754,
  [SMALL_STATE(10994)] = 540800,
  [SMALL_STATE(10995)] = 540840,
  [SMALL_STATE(10996)] = 540880,
  [SMALL_STATE(10997)] = 540920,
  [SMALL_STATE(10998)] = 540960,
  [SMALL_STATE(10999)] = 541000,
  [SMALL_STATE(11000)] = 541050,
  [SMALL_STATE(11001)] = 541090,
  [SMALL_STATE(11002)] = 541158,
  [SMALL_STATE(11003)] = 541198,
  [SMALL_STATE(11004)] = 541238,
  [SMALL_STATE(11005)] = 541278,
  [SMALL_STATE(11006)] = 541318,
  [SMALL_STATE(11007)] = 541358,
  [SMALL_STATE(11008)] = 541398,
  [SMALL_STATE(11009)] = 541438,
  [SMALL_STATE(11010)] = 541478,
  [SMALL_STATE(11011)] = 541518,
  [SMALL_STATE(11012)] = 541558,
  [SMALL_STATE(11013)] = 541598,
  [SMALL_STATE(11014)] = 541638,
  [SMALL_STATE(11015)] = 541678,
  [SMALL_STATE(11016)] = 541718,
  [SMALL_STATE(11017)] = 541786,
  [SMALL_STATE(11018)] = 541826,
  [SMALL_STATE(11019)] = 541894,
  [SMALL_STATE(11020)] = 541934,
  [SMALL_STATE(11021)] = 542002,
  [SMALL_STATE(11022)] = 542060,
  [SMALL_STATE(11023)] = 542100,
  [SMALL_STATE(11024)] = 542150,
  [SMALL_STATE(11025)] = 542190,
  [SMALL_STATE(11026)] = 542258,
  [SMALL_STATE(11027)] = 542326,
  [SMALL_STATE(11028)] = 542394,
  [SMALL_STATE(11029)] = 542462,
  [SMALL_STATE(11030)] = 542512,
  [SMALL_STATE(11031)] = 542580,
  [SMALL_STATE(11032)] = 542648,
  [SMALL_STATE(11033)] = 542688,
  [SMALL_STATE(11034)] = 542756,
  [SMALL_STATE(11035)] = 542824,
  [SMALL_STATE(11036)] = 542892,
  [SMALL_STATE(11037)] = 542942,
  [SMALL_STATE(11038)] = 543010,
  [SMALL_STATE(11039)] = 543078,
  [SMALL_STATE(11040)] = 543122,
  [SMALL_STATE(11041)] = 543174,
  [SMALL_STATE(11042)] = 543242,
  [SMALL_STATE(11043)] = 543310,
  [SMALL_STATE(11044)] = 543378,
  [SMALL_STATE(11045)] = 543446,
  [SMALL_STATE(11046)] = 543514,
  [SMALL_STATE(11047)] = 543582,
  [SMALL_STATE(11048)] = 543650,
  [SMALL_STATE(11049)] = 543694,
  [SMALL_STATE(11050)] = 543762,
  [SMALL_STATE(11051)] = 543802,
  [SMALL_STATE(11052)] = 543866,
  [SMALL_STATE(11053)] = 543906,
  [SMALL_STATE(11054)] = 543956,
  [SMALL_STATE(11055)] = 544000,
  [SMALL_STATE(11056)] = 544068,
  [SMALL_STATE(11057)] = 544108,
  [SMALL_STATE(11058)] = 544148,
  [SMALL_STATE(11059)] = 544216,
  [SMALL_STATE(11060)] = 544268,
  [SMALL_STATE(11061)] = 544336,
  [SMALL_STATE(11062)] = 544404,
  [SMALL_STATE(11063)] = 544444,
  [SMALL_STATE(11064)] = 544512,
  [SMALL_STATE(11065)] = 544554,
  [SMALL_STATE(11066)] = 544622,
  [SMALL_STATE(11067)] = 544690,
  [SMALL_STATE(11068)] = 544758,
  [SMALL_STATE(11069)] = 544798,
  [SMALL_STATE(11070)] = 544842,
  [SMALL_STATE(11071)] = 544910,
  [SMALL_STATE(11072)] = 544978,
  [SMALL_STATE(11073)] = 545046,
  [SMALL_STATE(11074)] = 545114,
  [SMALL_STATE(11075)] = 545154,
  [SMALL_STATE(11076)] = 545222,
  [SMALL_STATE(11077)] = 545290,
  [SMALL_STATE(11078)] = 545330,
  [SMALL_STATE(11079)] = 545376,
  [SMALL_STATE(11080)] = 545444,
  [SMALL_STATE(11081)] = 545512,
  [SMALL_STATE(11082)] = 545580,
  [SMALL_STATE(11083)] = 545648,
  [SMALL_STATE(11084)] = 545688,
  [SMALL_STATE(11085)] = 545728,
  [SMALL_STATE(11086)] = 545767,
  [SMALL_STATE(11087)] = 545806,
  [SMALL_STATE(11088)] = 545845,
  [SMALL_STATE(11089)] = 545900,
  [SMALL_STATE(11090)] = 545955,
  [SMALL_STATE(11091)] = 546010,
  [SMALL_STATE(11092)] = 546049,
  [SMALL_STATE(11093)] = 546104,
  [SMALL_STATE(11094)] = 546153,
  [SMALL_STATE(11095)] = 546206,
  [SMALL_STATE(11096)] = 546255,
  [SMALL_STATE(11097)] = 546318,
  [SMALL_STATE(11098)] = 546357,
  [SMALL_STATE(11099)] = 546396,
  [SMALL_STATE(11100)] = 546439,
  [SMALL_STATE(11101)] = 546502,
  [SMALL_STATE(11102)] = 546565,
  [SMALL_STATE(11103)] = 546604,
  [SMALL_STATE(11104)] = 546667,
  [SMALL_STATE(11105)] = 546730,
  [SMALL_STATE(11106)] = 546793,
  [SMALL_STATE(11107)] = 546856,
  [SMALL_STATE(11108)] = 546919,
  [SMALL_STATE(11109)] = 546970,
  [SMALL_STATE(11110)] = 547033,
  [SMALL_STATE(11111)] = 547096,
  [SMALL_STATE(11112)] = 547159,
  [SMALL_STATE(11113)] = 547200,
  [SMALL_STATE(11114)] = 547263,
  [SMALL_STATE(11115)] = 547302,
  [SMALL_STATE(11116)] = 547365,
  [SMALL_STATE(11117)] = 547428,
  [SMALL_STATE(11118)] = 547491,
  [SMALL_STATE(11119)] = 547532,
  [SMALL_STATE(11120)] = 547571,
  [SMALL_STATE(11121)] = 547610,
  [SMALL_STATE(11122)] = 547649,
  [SMALL_STATE(11123)] = 547688,
  [SMALL_STATE(11124)] = 547727,
  [SMALL_STATE(11125)] = 547774,
  [SMALL_STATE(11126)] = 547813,
  [SMALL_STATE(11127)] = 547870,
  [SMALL_STATE(11128)] = 547923,
  [SMALL_STATE(11129)] = 547972,
  [SMALL_STATE(11130)] = 548021,
  [SMALL_STATE(11131)] = 548070,
  [SMALL_STATE(11132)] = 548113,
  [SMALL_STATE(11133)] = 548152,
  [SMALL_STATE(11134)] = 548201,
  [SMALL_STATE(11135)] = 548250,
  [SMALL_STATE(11136)] = 548299,
  [SMALL_STATE(11137)] = 548348,
  [SMALL_STATE(11138)] = 548401,
  [SMALL_STATE(11139)] = 548440,
  [SMALL_STATE(11140)] = 548503,
  [SMALL_STATE(11141)] = 548542,
  [SMALL_STATE(11142)] = 548605,
  [SMALL_STATE(11143)] = 548668,
  [SMALL_STATE(11144)] = 548731,
  [SMALL_STATE(11145)] = 548780,
  [SMALL_STATE(11146)] = 548829,
  [SMALL_STATE(11147)] = 548892,
  [SMALL_STATE(11148)] = 548955,
  [SMALL_STATE(11149)] = 549018,
  [SMALL_STATE(11150)] = 549081,
  [SMALL_STATE(11151)] = 549124,
  [SMALL_STATE(11152)] = 549165,
  [SMALL_STATE(11153)] = 549206,
  [SMALL_STATE(11154)] = 549257,
  [SMALL_STATE(11155)] = 549306,
  [SMALL_STATE(11156)] = 549361,
  [SMALL_STATE(11157)] = 549416,
  [SMALL_STATE(11158)] = 549467,
  [SMALL_STATE(11159)] = 549518,
  [SMALL_STATE(11160)] = 549573,
  [SMALL_STATE(11161)] = 549636,
  [SMALL_STATE(11162)] = 549691,
  [SMALL_STATE(11163)] = 549730,
  [SMALL_STATE(11164)] = 549785,
  [SMALL_STATE(11165)] = 549840,
  [SMALL_STATE(11166)] = 549897,
  [SMALL_STATE(11167)] = 549960,
  [SMALL_STATE(11168)] = 550023,
  [SMALL_STATE(11169)] = 550086,
  [SMALL_STATE(11170)] = 550147,
  [SMALL_STATE(11171)] = 550210,
  [SMALL_STATE(11172)] = 550255,
  [SMALL_STATE(11173)] = 550294,
  [SMALL_STATE(11174)] = 550355,
  [SMALL_STATE(11175)] = 550418,
  [SMALL_STATE(11176)] = 550467,
  [SMALL_STATE(11177)] = 550530,
  [SMALL_STATE(11178)] = 550593,
  [SMALL_STATE(11179)] = 550632,
  [SMALL_STATE(11180)] = 550671,
  [SMALL_STATE(11181)] = 550734,
  [SMALL_STATE(11182)] = 550773,
  [SMALL_STATE(11183)] = 550828,
  [SMALL_STATE(11184)] = 550891,
  [SMALL_STATE(11185)] = 550944,
  [SMALL_STATE(11186)] = 550983,
  [SMALL_STATE(11187)] = 551022,
  [SMALL_STATE(11188)] = 551085,
  [SMALL_STATE(11189)] = 551124,
  [SMALL_STATE(11190)] = 551187,
  [SMALL_STATE(11191)] = 551250,
  [SMALL_STATE(11192)] = 551313,
  [SMALL_STATE(11193)] = 551376,
  [SMALL_STATE(11194)] = 551415,
  [SMALL_STATE(11195)] = 551454,
  [SMALL_STATE(11196)] = 551493,
  [SMALL_STATE(11197)] = 551556,
  [SMALL_STATE(11198)] = 551619,
  [SMALL_STATE(11199)] = 551682,
  [SMALL_STATE(11200)] = 551731,
  [SMALL_STATE(11201)] = 551794,
  [SMALL_STATE(11202)] = 551833,
  [SMALL_STATE(11203)] = 551878,
  [SMALL_STATE(11204)] = 551917,
  [SMALL_STATE(11205)] = 551956,
  [SMALL_STATE(11206)] = 551995,
  [SMALL_STATE(11207)] = 552034,
  [SMALL_STATE(11208)] = 552073,
  [SMALL_STATE(11209)] = 552128,
  [SMALL_STATE(11210)] = 552183,
  [SMALL_STATE(11211)] = 552222,
  [SMALL_STATE(11212)] = 552285,
  [SMALL_STATE(11213)] = 552324,
  [SMALL_STATE(11214)] = 552367,
  [SMALL_STATE(11215)] = 552430,
  [SMALL_STATE(11216)] = 552469,
  [SMALL_STATE(11217)] = 552508,
  [SMALL_STATE(11218)] = 552571,
  [SMALL_STATE(11219)] = 552634,
  [SMALL_STATE(11220)] = 552697,
  [SMALL_STATE(11221)] = 552760,
  [SMALL_STATE(11222)] = 552823,
  [SMALL_STATE(11223)] = 552886,
  [SMALL_STATE(11224)] = 552949,
  [SMALL_STATE(11225)] = 553006,
  [SMALL_STATE(11226)] = 553069,
  [SMALL_STATE(11227)] = 553132,
  [SMALL_STATE(11228)] = 553171,
  [SMALL_STATE(11229)] = 553218,
  [SMALL_STATE(11230)] = 553273,
  [SMALL_STATE(11231)] = 553312,
  [SMALL_STATE(11232)] = 553351,
  [SMALL_STATE(11233)] = 553390,
  [SMALL_STATE(11234)] = 553429,
  [SMALL_STATE(11235)] = 553468,
  [SMALL_STATE(11236)] = 553525,
  [SMALL_STATE(11237)] = 553566,
  [SMALL_STATE(11238)] = 553605,
  [SMALL_STATE(11239)] = 553668,
  [SMALL_STATE(11240)] = 553707,
  [SMALL_STATE(11241)] = 553746,
  [SMALL_STATE(11242)] = 553801,
  [SMALL_STATE(11243)] = 553840,
  [SMALL_STATE(11244)] = 553895,
  [SMALL_STATE(11245)] = 553934,
  [SMALL_STATE(11246)] = 553973,
  [SMALL_STATE(11247)] = 554012,
  [SMALL_STATE(11248)] = 554051,
  [SMALL_STATE(11249)] = 554090,
  [SMALL_STATE(11250)] = 554145,
  [SMALL_STATE(11251)] = 554208,
  [SMALL_STATE(11252)] = 554271,
  [SMALL_STATE(11253)] = 554334,
  [SMALL_STATE(11254)] = 554397,
  [SMALL_STATE(11255)] = 554460,
  [SMALL_STATE(11256)] = 554523,
  [SMALL_STATE(11257)] = 554586,
  [SMALL_STATE(11258)] = 554625,
  [SMALL_STATE(11259)] = 554664,
  [SMALL_STATE(11260)] = 554703,
  [SMALL_STATE(11261)] = 554742,
  [SMALL_STATE(11262)] = 554805,
  [SMALL_STATE(11263)] = 554868,
  [SMALL_STATE(11264)] = 554931,
  [SMALL_STATE(11265)] = 554994,
  [SMALL_STATE(11266)] = 555057,
  [SMALL_STATE(11267)] = 555120,
  [SMALL_STATE(11268)] = 555183,
  [SMALL_STATE(11269)] = 555246,
  [SMALL_STATE(11270)] = 555301,
  [SMALL_STATE(11271)] = 555340,
  [SMALL_STATE(11272)] = 555379,
  [SMALL_STATE(11273)] = 555418,
  [SMALL_STATE(11274)] = 555457,
  [SMALL_STATE(11275)] = 555496,
  [SMALL_STATE(11276)] = 555535,
  [SMALL_STATE(11277)] = 555574,
  [SMALL_STATE(11278)] = 555613,
  [SMALL_STATE(11279)] = 555652,
  [SMALL_STATE(11280)] = 555691,
  [SMALL_STATE(11281)] = 555732,
  [SMALL_STATE(11282)] = 555771,
  [SMALL_STATE(11283)] = 555814,
  [SMALL_STATE(11284)] = 555875,
  [SMALL_STATE(11285)] = 555918,
  [SMALL_STATE(11286)] = 555957,
  [SMALL_STATE(11287)] = 555996,
  [SMALL_STATE(11288)] = 556035,
  [SMALL_STATE(11289)] = 556074,
  [SMALL_STATE(11290)] = 556137,
  [SMALL_STATE(11291)] = 556200,
  [SMALL_STATE(11292)] = 556239,
  [SMALL_STATE(11293)] = 556302,
  [SMALL_STATE(11294)] = 556365,
  [SMALL_STATE(11295)] = 556428,
  [SMALL_STATE(11296)] = 556491,
  [SMALL_STATE(11297)] = 556530,
  [SMALL_STATE(11298)] = 556573,
  [SMALL_STATE(11299)] = 556636,
  [SMALL_STATE(11300)] = 556699,
  [SMALL_STATE(11301)] = 556762,
  [SMALL_STATE(11302)] = 556801,
  [SMALL_STATE(11303)] = 556840,
  [SMALL_STATE(11304)] = 556903,
  [SMALL_STATE(11305)] = 556942,
  [SMALL_STATE(11306)] = 556981,
  [SMALL_STATE(11307)] = 557044,
  [SMALL_STATE(11308)] = 557107,
  [SMALL_STATE(11309)] = 557146,
  [SMALL_STATE(11310)] = 557185,
  [SMALL_STATE(11311)] = 557224,
  [SMALL_STATE(11312)] = 557263,
  [SMALL_STATE(11313)] = 557302,
  [SMALL_STATE(11314)] = 557341,
  [SMALL_STATE(11315)] = 557404,
  [SMALL_STATE(11316)] = 557443,
  [SMALL_STATE(11317)] = 557482,
  [SMALL_STATE(11318)] = 557521,
  [SMALL_STATE(11319)] = 557560,
  [SMALL_STATE(11320)] = 557623,
  [SMALL_STATE(11321)] = 557662,
  [SMALL_STATE(11322)] = 557725,
  [SMALL_STATE(11323)] = 557788,
  [SMALL_STATE(11324)] = 557827,
  [SMALL_STATE(11325)] = 557890,
  [SMALL_STATE(11326)] = 557931,
  [SMALL_STATE(11327)] = 557994,
  [SMALL_STATE(11328)] = 558057,
  [SMALL_STATE(11329)] = 558120,
  [SMALL_STATE(11330)] = 558183,
  [SMALL_STATE(11331)] = 558246,
  [SMALL_STATE(11332)] = 558309,
  [SMALL_STATE(11333)] = 558348,
  [SMALL_STATE(11334)] = 558401,
  [SMALL_STATE(11335)] = 558440,
  [SMALL_STATE(11336)] = 558479,
  [SMALL_STATE(11337)] = 558518,
  [SMALL_STATE(11338)] = 558581,
  [SMALL_STATE(11339)] = 558620,
  [SMALL_STATE(11340)] = 558683,
  [SMALL_STATE(11341)] = 558746,
  [SMALL_STATE(11342)] = 558787,
  [SMALL_STATE(11343)] = 558826,
  [SMALL_STATE(11344)] = 558889,
  [SMALL_STATE(11345)] = 558928,
  [SMALL_STATE(11346)] = 558967,
  [SMALL_STATE(11347)] = 559006,
  [SMALL_STATE(11348)] = 559045,
  [SMALL_STATE(11349)] = 559084,
  [SMALL_STATE(11350)] = 559141,
  [SMALL_STATE(11351)] = 559180,
  [SMALL_STATE(11352)] = 559219,
  [SMALL_STATE(11353)] = 559258,
  [SMALL_STATE(11354)] = 559321,
  [SMALL_STATE(11355)] = 559384,
  [SMALL_STATE(11356)] = 559447,
  [SMALL_STATE(11357)] = 559486,
  [SMALL_STATE(11358)] = 559549,
  [SMALL_STATE(11359)] = 559612,
  [SMALL_STATE(11360)] = 559675,
  [SMALL_STATE(11361)] = 559738,
  [SMALL_STATE(11362)] = 559789,
  [SMALL_STATE(11363)] = 559852,
  [SMALL_STATE(11364)] = 559907,
  [SMALL_STATE(11365)] = 559950,
  [SMALL_STATE(11366)] = 559989,
  [SMALL_STATE(11367)] = 560046,
  [SMALL_STATE(11368)] = 560085,
  [SMALL_STATE(11369)] = 560126,
  [SMALL_STATE(11370)] = 560165,
  [SMALL_STATE(11371)] = 560228,
  [SMALL_STATE(11372)] = 560283,
  [SMALL_STATE(11373)] = 560338,
  [SMALL_STATE(11374)] = 560401,
  [SMALL_STATE(11375)] = 560464,
  [SMALL_STATE(11376)] = 560527,
  [SMALL_STATE(11377)] = 560566,
  [SMALL_STATE(11378)] = 560629,
  [SMALL_STATE(11379)] = 560678,
  [SMALL_STATE(11380)] = 560721,
  [SMALL_STATE(11381)] = 560784,
  [SMALL_STATE(11382)] = 560829,
  [SMALL_STATE(11383)] = 560874,
  [SMALL_STATE(11384)] = 560919,
  [SMALL_STATE(11385)] = 560964,
  [SMALL_STATE(11386)] = 561019,
  [SMALL_STATE(11387)] = 561074,
  [SMALL_STATE(11388)] = 561113,
  [SMALL_STATE(11389)] = 561151,
  [SMALL_STATE(11390)] = 561189,
  [SMALL_STATE(11391)] = 561233,
  [SMALL_STATE(11392)] = 561275,
  [SMALL_STATE(11393)] = 561313,
  [SMALL_STATE(11394)] = 561363,
  [SMALL_STATE(11395)] = 561413,
  [SMALL_STATE(11396)] = 561451,
  [SMALL_STATE(11397)] = 561493,
  [SMALL_STATE(11398)] = 561531,
  [SMALL_STATE(11399)] = 561573,
  [SMALL_STATE(11400)] = 561623,
  [SMALL_STATE(11401)] = 561661,
  [SMALL_STATE(11402)] = 561711,
  [SMALL_STATE(11403)] = 561753,
  [SMALL_STATE(11404)] = 561791,
  [SMALL_STATE(11405)] = 561829,
  [SMALL_STATE(11406)] = 561867,
  [SMALL_STATE(11407)] = 561905,
  [SMALL_STATE(11408)] = 561943,
  [SMALL_STATE(11409)] = 561987,
  [SMALL_STATE(11410)] = 562031,
  [SMALL_STATE(11411)] = 562075,
  [SMALL_STATE(11412)] = 562115,
  [SMALL_STATE(11413)] = 562153,
  [SMALL_STATE(11414)] = 562219,
  [SMALL_STATE(11415)] = 562285,
  [SMALL_STATE(11416)] = 562323,
  [SMALL_STATE(11417)] = 562361,
  [SMALL_STATE(11418)] = 562405,
  [SMALL_STATE(11419)] = 562443,
  [SMALL_STATE(11420)] = 562485,
  [SMALL_STATE(11421)] = 562551,
  [SMALL_STATE(11422)] = 562599,
  [SMALL_STATE(11423)] = 562639,
  [SMALL_STATE(11424)] = 562687,
  [SMALL_STATE(11425)] = 562727,
  [SMALL_STATE(11426)] = 562769,
  [SMALL_STATE(11427)] = 562821,
  [SMALL_STATE(11428)] = 562859,
  [SMALL_STATE(11429)] = 562897,
  [SMALL_STATE(11430)] = 562935,
  [SMALL_STATE(11431)] = 562991,
  [SMALL_STATE(11432)] = 563039,
  [SMALL_STATE(11433)] = 563081,
  [SMALL_STATE(11434)] = 563123,
  [SMALL_STATE(11435)] = 563173,
  [SMALL_STATE(11436)] = 563223,
  [SMALL_STATE(11437)] = 563277,
  [SMALL_STATE(11438)] = 563333,
  [SMALL_STATE(11439)] = 563393,
  [SMALL_STATE(11440)] = 563437,
  [SMALL_STATE(11441)] = 563497,
  [SMALL_STATE(11442)] = 563557,
  [SMALL_STATE(11443)] = 563607,
  [SMALL_STATE(11444)] = 563655,
  [SMALL_STATE(11445)] = 563721,
  [SMALL_STATE(11446)] = 563759,
  [SMALL_STATE(11447)] = 563797,
  [SMALL_STATE(11448)] = 563839,
  [SMALL_STATE(11449)] = 563877,
  [SMALL_STATE(11450)] = 563915,
  [SMALL_STATE(11451)] = 563953,
  [SMALL_STATE(11452)] = 563991,
  [SMALL_STATE(11453)] = 564029,
  [SMALL_STATE(11454)] = 564095,
  [SMALL_STATE(11455)] = 564145,
  [SMALL_STATE(11456)] = 564183,
  [SMALL_STATE(11457)] = 564221,
  [SMALL_STATE(11458)] = 564265,
  [SMALL_STATE(11459)] = 564309,
  [SMALL_STATE(11460)] = 564347,
  [SMALL_STATE(11461)] = 564385,
  [SMALL_STATE(11462)] = 564433,
  [SMALL_STATE(11463)] = 564499,
  [SMALL_STATE(11464)] = 564549,
  [SMALL_STATE(11465)] = 564589,
  [SMALL_STATE(11466)] = 564627,
  [SMALL_STATE(11467)] = 564677,
  [SMALL_STATE(11468)] = 564719,
  [SMALL_STATE(11469)] = 564769,
  [SMALL_STATE(11470)] = 564807,
  [SMALL_STATE(11471)] = 564845,
  [SMALL_STATE(11472)] = 564911,
  [SMALL_STATE(11473)] = 564959,
  [SMALL_STATE(11474)] = 564997,
  [SMALL_STATE(11475)] = 565039,
  [SMALL_STATE(11476)] = 565089,
  [SMALL_STATE(11477)] = 565139,
  [SMALL_STATE(11478)] = 565177,
  [SMALL_STATE(11479)] = 565215,
  [SMALL_STATE(11480)] = 565257,
  [SMALL_STATE(11481)] = 565295,
  [SMALL_STATE(11482)] = 565333,
  [SMALL_STATE(11483)] = 565399,
  [SMALL_STATE(11484)] = 565437,
  [SMALL_STATE(11485)] = 565475,
  [SMALL_STATE(11486)] = 565517,
  [SMALL_STATE(11487)] = 565559,
  [SMALL_STATE(11488)] = 565601,
  [SMALL_STATE(11489)] = 565643,
  [SMALL_STATE(11490)] = 565683,
  [SMALL_STATE(11491)] = 565749,
  [SMALL_STATE(11492)] = 565787,
  [SMALL_STATE(11493)] = 565853,
  [SMALL_STATE(11494)] = 565891,
  [SMALL_STATE(11495)] = 565939,
  [SMALL_STATE(11496)] = 565977,
  [SMALL_STATE(11497)] = 566015,
  [SMALL_STATE(11498)] = 566081,
  [SMALL_STATE(11499)] = 566119,
  [SMALL_STATE(11500)] = 566157,
  [SMALL_STATE(11501)] = 566195,
  [SMALL_STATE(11502)] = 566233,
  [SMALL_STATE(11503)] = 566299,
  [SMALL_STATE(11504)] = 566365,
  [SMALL_STATE(11505)] = 566409,
  [SMALL_STATE(11506)] = 566475,
  [SMALL_STATE(11507)] = 566513,
  [SMALL_STATE(11508)] = 566551,
  [SMALL_STATE(11509)] = 566617,
  [SMALL_STATE(11510)] = 566655,
  [SMALL_STATE(11511)] = 566693,
  [SMALL_STATE(11512)] = 566731,
  [SMALL_STATE(11513)] = 566769,
  [SMALL_STATE(11514)] = 566817,
  [SMALL_STATE(11515)] = 566859,
  [SMALL_STATE(11516)] = 566897,
  [SMALL_STATE(11517)] = 566963,
  [SMALL_STATE(11518)] = 567001,
  [SMALL_STATE(11519)] = 567067,
  [SMALL_STATE(11520)] = 567109,
  [SMALL_STATE(11521)] = 567147,
  [SMALL_STATE(11522)] = 567213,
  [SMALL_STATE(11523)] = 567253,
  [SMALL_STATE(11524)] = 567319,
  [SMALL_STATE(11525)] = 567357,
  [SMALL_STATE(11526)] = 567395,
  [SMALL_STATE(11527)] = 567439,
  [SMALL_STATE(11528)] = 567483,
  [SMALL_STATE(11529)] = 567521,
  [SMALL_STATE(11530)] = 567587,
  [SMALL_STATE(11531)] = 567625,
  [SMALL_STATE(11532)] = 567675,
  [SMALL_STATE(11533)] = 567713,
  [SMALL_STATE(11534)] = 567753,
  [SMALL_STATE(11535)] = 567819,
  [SMALL_STATE(11536)] = 567861,
  [SMALL_STATE(11537)] = 567927,
  [SMALL_STATE(11538)] = 567965,
  [SMALL_STATE(11539)] = 568003,
  [SMALL_STATE(11540)] = 568069,
  [SMALL_STATE(11541)] = 568135,
  [SMALL_STATE(11542)] = 568173,
  [SMALL_STATE(11543)] = 568213,
  [SMALL_STATE(11544)] = 568251,
  [SMALL_STATE(11545)] = 568295,
  [SMALL_STATE(11546)] = 568335,
  [SMALL_STATE(11547)] = 568377,
  [SMALL_STATE(11548)] = 568417,
  [SMALL_STATE(11549)] = 568465,
  [SMALL_STATE(11550)] = 568503,
  [SMALL_STATE(11551)] = 568555,
  [SMALL_STATE(11552)] = 568593,
  [SMALL_STATE(11553)] = 568631,
  [SMALL_STATE(11554)] = 568669,
  [SMALL_STATE(11555)] = 568713,
  [SMALL_STATE(11556)] = 568751,
  [SMALL_STATE(11557)] = 568789,
  [SMALL_STATE(11558)] = 568833,
  [SMALL_STATE(11559)] = 568871,
  [SMALL_STATE(11560)] = 568909,
  [SMALL_STATE(11561)] = 568971,
  [SMALL_STATE(11562)] = 569023,
  [SMALL_STATE(11563)] = 569071,
  [SMALL_STATE(11564)] = 569123,
  [SMALL_STATE(11565)] = 569167,
  [SMALL_STATE(11566)] = 569217,
  [SMALL_STATE(11567)] = 569255,
  [SMALL_STATE(11568)] = 569293,
  [SMALL_STATE(11569)] = 569353,
  [SMALL_STATE(11570)] = 569391,
  [SMALL_STATE(11571)] = 569429,
  [SMALL_STATE(11572)] = 569479,
  [SMALL_STATE(11573)] = 569529,
  [SMALL_STATE(11574)] = 569567,
  [SMALL_STATE(11575)] = 569617,
  [SMALL_STATE(11576)] = 569655,
  [SMALL_STATE(11577)] = 569693,
  [SMALL_STATE(11578)] = 569731,
  [SMALL_STATE(11579)] = 569779,
  [SMALL_STATE(11580)] = 569817,
  [SMALL_STATE(11581)] = 569867,
  [SMALL_STATE(11582)] = 569933,
  [SMALL_STATE(11583)] = 569971,
  [SMALL_STATE(11584)] = 570019,
  [SMALL_STATE(11585)] = 570057,
  [SMALL_STATE(11586)] = 570107,
  [SMALL_STATE(11587)] = 570159,
  [SMALL_STATE(11588)] = 570197,
  [SMALL_STATE(11589)] = 570235,
  [SMALL_STATE(11590)] = 570273,
  [SMALL_STATE(11591)] = 570311,
  [SMALL_STATE(11592)] = 570359,
  [SMALL_STATE(11593)] = 570397,
  [SMALL_STATE(11594)] = 570435,
  [SMALL_STATE(11595)] = 570473,
  [SMALL_STATE(11596)] = 570539,
  [SMALL_STATE(11597)] = 570581,
  [SMALL_STATE(11598)] = 570619,
  [SMALL_STATE(11599)] = 570682,
  [SMALL_STATE(11600)] = 570719,
  [SMALL_STATE(11601)] = 570766,
  [SMALL_STATE(11602)] = 570803,
  [SMALL_STATE(11603)] = 570840,
  [SMALL_STATE(11604)] = 570877,
  [SMALL_STATE(11605)] = 570914,
  [SMALL_STATE(11606)] = 570977,
  [SMALL_STATE(11607)] = 571014,
  [SMALL_STATE(11608)] = 571051,
  [SMALL_STATE(11609)] = 571088,
  [SMALL_STATE(11610)] = 571135,
  [SMALL_STATE(11611)] = 571172,
  [SMALL_STATE(11612)] = 571209,
  [SMALL_STATE(11613)] = 571246,
  [SMALL_STATE(11614)] = 571307,
  [SMALL_STATE(11615)] = 571344,
  [SMALL_STATE(11616)] = 571385,
  [SMALL_STATE(11617)] = 571424,
  [SMALL_STATE(11618)] = 571467,
  [SMALL_STATE(11619)] = 571510,
  [SMALL_STATE(11620)] = 571547,
  [SMALL_STATE(11621)] = 571590,
  [SMALL_STATE(11622)] = 571627,
  [SMALL_STATE(11623)] = 571690,
  [SMALL_STATE(11624)] = 571733,
  [SMALL_STATE(11625)] = 571774,
  [SMALL_STATE(11626)] = 571837,
  [SMALL_STATE(11627)] = 571874,
  [SMALL_STATE(11628)] = 571917,
  [SMALL_STATE(11629)] = 571960,
  [SMALL_STATE(11630)] = 572003,
  [SMALL_STATE(11631)] = 572046,
  [SMALL_STATE(11632)] = 572109,
  [SMALL_STATE(11633)] = 572150,
  [SMALL_STATE(11634)] = 572187,
  [SMALL_STATE(11635)] = 572224,
  [SMALL_STATE(11636)] = 572265,
  [SMALL_STATE(11637)] = 572308,
  [SMALL_STATE(11638)] = 572355,
  [SMALL_STATE(11639)] = 572392,
  [SMALL_STATE(11640)] = 572435,
  [SMALL_STATE(11641)] = 572488,
  [SMALL_STATE(11642)] = 572551,
  [SMALL_STATE(11643)] = 572594,
  [SMALL_STATE(11644)] = 572637,
  [SMALL_STATE(11645)] = 572676,
  [SMALL_STATE(11646)] = 572713,
  [SMALL_STATE(11647)] = 572752,
  [SMALL_STATE(11648)] = 572811,
  [SMALL_STATE(11649)] = 572854,
  [SMALL_STATE(11650)] = 572893,
  [SMALL_STATE(11651)] = 572934,
  [SMALL_STATE(11652)] = 572997,
  [SMALL_STATE(11653)] = 573040,
  [SMALL_STATE(11654)] = 573077,
  [SMALL_STATE(11655)] = 573114,
  [SMALL_STATE(11656)] = 573155,
  [SMALL_STATE(11657)] = 573218,
  [SMALL_STATE(11658)] = 573255,
  [SMALL_STATE(11659)] = 573302,
  [SMALL_STATE(11660)] = 573365,
  [SMALL_STATE(11661)] = 573406,
  [SMALL_STATE(11662)] = 573469,
  [SMALL_STATE(11663)] = 573506,
  [SMALL_STATE(11664)] = 573569,
  [SMALL_STATE(11665)] = 573612,
  [SMALL_STATE(11666)] = 573675,
  [SMALL_STATE(11667)] = 573718,
  [SMALL_STATE(11668)] = 573761,
  [SMALL_STATE(11669)] = 573804,
  [SMALL_STATE(11670)] = 573847,
  [SMALL_STATE(11671)] = 573890,
  [SMALL_STATE(11672)] = 573927,
  [SMALL_STATE(11673)] = 573970,
  [SMALL_STATE(11674)] = 574013,
  [SMALL_STATE(11675)] = 574050,
  [SMALL_STATE(11676)] = 574087,
  [SMALL_STATE(11677)] = 574130,
  [SMALL_STATE(11678)] = 574177,
  [SMALL_STATE(11679)] = 574214,
  [SMALL_STATE(11680)] = 574267,
  [SMALL_STATE(11681)] = 574304,
  [SMALL_STATE(11682)] = 574357,
  [SMALL_STATE(11683)] = 574394,
  [SMALL_STATE(11684)] = 574431,
  [SMALL_STATE(11685)] = 574494,
  [SMALL_STATE(11686)] = 574531,
  [SMALL_STATE(11687)] = 574568,
  [SMALL_STATE(11688)] = 574605,
  [SMALL_STATE(11689)] = 574642,
  [SMALL_STATE(11690)] = 574705,
  [SMALL_STATE(11691)] = 574742,
  [SMALL_STATE(11692)] = 574779,
  [SMALL_STATE(11693)] = 574840,
  [SMALL_STATE(11694)] = 574893,
  [SMALL_STATE(11695)] = 574932,
  [SMALL_STATE(11696)] = 574995,
  [SMALL_STATE(11697)] = 575032,
  [SMALL_STATE(11698)] = 575075,
  [SMALL_STATE(11699)] = 575114,
  [SMALL_STATE(11700)] = 575155,
  [SMALL_STATE(11701)] = 575218,
  [SMALL_STATE(11702)] = 575259,
  [SMALL_STATE(11703)] = 575302,
  [SMALL_STATE(11704)] = 575339,
  [SMALL_STATE(11705)] = 575402,
  [SMALL_STATE(11706)] = 575439,
  [SMALL_STATE(11707)] = 575482,
  [SMALL_STATE(11708)] = 575545,
  [SMALL_STATE(11709)] = 575588,
  [SMALL_STATE(11710)] = 575631,
  [SMALL_STATE(11711)] = 575668,
  [SMALL_STATE(11712)] = 575717,
  [SMALL_STATE(11713)] = 575756,
  [SMALL_STATE(11714)] = 575799,
  [SMALL_STATE(11715)] = 575862,
  [SMALL_STATE(11716)] = 575899,
  [SMALL_STATE(11717)] = 575948,
  [SMALL_STATE(11718)] = 576011,
  [SMALL_STATE(11719)] = 576074,
  [SMALL_STATE(11720)] = 576117,
  [SMALL_STATE(11721)] = 576180,
  [SMALL_STATE(11722)] = 576221,
  [SMALL_STATE(11723)] = 576258,
  [SMALL_STATE(11724)] = 576301,
  [SMALL_STATE(11725)] = 576344,
  [SMALL_STATE(11726)] = 576407,
  [SMALL_STATE(11727)] = 576450,
  [SMALL_STATE(11728)] = 576487,
  [SMALL_STATE(11729)] = 576530,
  [SMALL_STATE(11730)] = 576577,
  [SMALL_STATE(11731)] = 576620,
  [SMALL_STATE(11732)] = 576663,
  [SMALL_STATE(11733)] = 576700,
  [SMALL_STATE(11734)] = 576743,
  [SMALL_STATE(11735)] = 576806,
  [SMALL_STATE(11736)] = 576843,
  [SMALL_STATE(11737)] = 576906,
  [SMALL_STATE(11738)] = 576949,
  [SMALL_STATE(11739)] = 576992,
  [SMALL_STATE(11740)] = 577033,
  [SMALL_STATE(11741)] = 577080,
  [SMALL_STATE(11742)] = 577117,
  [SMALL_STATE(11743)] = 577160,
  [SMALL_STATE(11744)] = 577197,
  [SMALL_STATE(11745)] = 577240,
  [SMALL_STATE(11746)] = 577293,
  [SMALL_STATE(11747)] = 577336,
  [SMALL_STATE(11748)] = 577379,
  [SMALL_STATE(11749)] = 577442,
  [SMALL_STATE(11750)] = 577497,
  [SMALL_STATE(11751)] = 577544,
  [SMALL_STATE(11752)] = 577591,
  [SMALL_STATE(11753)] = 577650,
  [SMALL_STATE(11754)] = 577693,
  [SMALL_STATE(11755)] = 577736,
  [SMALL_STATE(11756)] = 577779,
  [SMALL_STATE(11757)] = 577822,
  [SMALL_STATE(11758)] = 577869,
  [SMALL_STATE(11759)] = 577932,
  [SMALL_STATE(11760)] = 577975,
  [SMALL_STATE(11761)] = 578012,
  [SMALL_STATE(11762)] = 578055,
  [SMALL_STATE(11763)] = 578098,
  [SMALL_STATE(11764)] = 578135,
  [SMALL_STATE(11765)] = 578178,
  [SMALL_STATE(11766)] = 578241,
  [SMALL_STATE(11767)] = 578284,
  [SMALL_STATE(11768)] = 578321,
  [SMALL_STATE(11769)] = 578358,
  [SMALL_STATE(11770)] = 578421,
  [SMALL_STATE(11771)] = 578458,
  [SMALL_STATE(11772)] = 578495,
  [SMALL_STATE(11773)] = 578542,
  [SMALL_STATE(11774)] = 578579,
  [SMALL_STATE(11775)] = 578616,
  [SMALL_STATE(11776)] = 578679,
  [SMALL_STATE(11777)] = 578716,
  [SMALL_STATE(11778)] = 578775,
  [SMALL_STATE(11779)] = 578812,
  [SMALL_STATE(11780)] = 578849,
  [SMALL_STATE(11781)] = 578892,
  [SMALL_STATE(11782)] = 578939,
  [SMALL_STATE(11783)] = 578982,
  [SMALL_STATE(11784)] = 579025,
  [SMALL_STATE(11785)] = 579068,
  [SMALL_STATE(11786)] = 579111,
  [SMALL_STATE(11787)] = 579154,
  [SMALL_STATE(11788)] = 579197,
  [SMALL_STATE(11789)] = 579250,
  [SMALL_STATE(11790)] = 579303,
  [SMALL_STATE(11791)] = 579366,
  [SMALL_STATE(11792)] = 579425,
  [SMALL_STATE(11793)] = 579468,
  [SMALL_STATE(11794)] = 579507,
  [SMALL_STATE(11795)] = 579570,
  [SMALL_STATE(11796)] = 579607,
  [SMALL_STATE(11797)] = 579648,
  [SMALL_STATE(11798)] = 579711,
  [SMALL_STATE(11799)] = 579754,
  [SMALL_STATE(11800)] = 579797,
  [SMALL_STATE(11801)] = 579840,
  [SMALL_STATE(11802)] = 579887,
  [SMALL_STATE(11803)] = 579934,
  [SMALL_STATE(11804)] = 579977,
  [SMALL_STATE(11805)] = 580014,
  [SMALL_STATE(11806)] = 580051,
  [SMALL_STATE(11807)] = 580098,
  [SMALL_STATE(11808)] = 580139,
  [SMALL_STATE(11809)] = 580202,
  [SMALL_STATE(11810)] = 580245,
  [SMALL_STATE(11811)] = 580288,
  [SMALL_STATE(11812)] = 580331,
  [SMALL_STATE(11813)] = 580384,
  [SMALL_STATE(11814)] = 580427,
  [SMALL_STATE(11815)] = 580470,
  [SMALL_STATE(11816)] = 580513,
  [SMALL_STATE(11817)] = 580550,
  [SMALL_STATE(11818)] = 580597,
  [SMALL_STATE(11819)] = 580640,
  [SMALL_STATE(11820)] = 580683,
  [SMALL_STATE(11821)] = 580746,
  [SMALL_STATE(11822)] = 580789,
  [SMALL_STATE(11823)] = 580844,
  [SMALL_STATE(11824)] = 580887,
  [SMALL_STATE(11825)] = 580930,
  [SMALL_STATE(11826)] = 580973,
  [SMALL_STATE(11827)] = 581016,
  [SMALL_STATE(11828)] = 581059,
  [SMALL_STATE(11829)] = 581112,
  [SMALL_STATE(11830)] = 581165,
  [SMALL_STATE(11831)] = 581212,
  [SMALL_STATE(11832)] = 581249,
  [SMALL_STATE(11833)] = 581312,
  [SMALL_STATE(11834)] = 581365,
  [SMALL_STATE(11835)] = 581428,
  [SMALL_STATE(11836)] = 581475,
  [SMALL_STATE(11837)] = 581522,
  [SMALL_STATE(11838)] = 581565,
  [SMALL_STATE(11839)] = 581628,
  [SMALL_STATE(11840)] = 581675,
  [SMALL_STATE(11841)] = 581714,
  [SMALL_STATE(11842)] = 581751,
  [SMALL_STATE(11843)] = 581788,
  [SMALL_STATE(11844)] = 581851,
  [SMALL_STATE(11845)] = 581894,
  [SMALL_STATE(11846)] = 581931,
  [SMALL_STATE(11847)] = 581968,
  [SMALL_STATE(11848)] = 582009,
  [SMALL_STATE(11849)] = 582056,
  [SMALL_STATE(11850)] = 582097,
  [SMALL_STATE(11851)] = 582160,
  [SMALL_STATE(11852)] = 582207,
  [SMALL_STATE(11853)] = 582248,
  [SMALL_STATE(11854)] = 582301,
  [SMALL_STATE(11855)] = 582354,
  [SMALL_STATE(11856)] = 582403,
  [SMALL_STATE(11857)] = 582440,
  [SMALL_STATE(11858)] = 582495,
  [SMALL_STATE(11859)] = 582532,
  [SMALL_STATE(11860)] = 582581,
  [SMALL_STATE(11861)] = 582618,
  [SMALL_STATE(11862)] = 582667,
  [SMALL_STATE(11863)] = 582714,
  [SMALL_STATE(11864)] = 582763,
  [SMALL_STATE(11865)] = 582812,
  [SMALL_STATE(11866)] = 582861,
  [SMALL_STATE(11867)] = 582910,
  [SMALL_STATE(11868)] = 582959,
  [SMALL_STATE(11869)] = 583008,
  [SMALL_STATE(11870)] = 583057,
  [SMALL_STATE(11871)] = 583106,
  [SMALL_STATE(11872)] = 583155,
  [SMALL_STATE(11873)] = 583204,
  [SMALL_STATE(11874)] = 583253,
  [SMALL_STATE(11875)] = 583302,
  [SMALL_STATE(11876)] = 583351,
  [SMALL_STATE(11877)] = 583394,
  [SMALL_STATE(11878)] = 583431,
  [SMALL_STATE(11879)] = 583470,
  [SMALL_STATE(11880)] = 583507,
  [SMALL_STATE(11881)] = 583548,
  [SMALL_STATE(11882)] = 583589,
  [SMALL_STATE(11883)] = 583652,
  [SMALL_STATE(11884)] = 583701,
  [SMALL_STATE(11885)] = 583764,
  [SMALL_STATE(11886)] = 583807,
  [SMALL_STATE(11887)] = 583870,
  [SMALL_STATE(11888)] = 583919,
  [SMALL_STATE(11889)] = 583962,
  [SMALL_STATE(11890)] = 584015,
  [SMALL_STATE(11891)] = 584056,
  [SMALL_STATE(11892)] = 584097,
  [SMALL_STATE(11893)] = 584136,
  [SMALL_STATE(11894)] = 584185,
  [SMALL_STATE(11895)] = 584226,
  [SMALL_STATE(11896)] = 584263,
  [SMALL_STATE(11897)] = 584318,
  [SMALL_STATE(11898)] = 584377,
  [SMALL_STATE(11899)] = 584426,
  [SMALL_STATE(11900)] = 584473,
  [SMALL_STATE(11901)] = 584510,
  [SMALL_STATE(11902)] = 584553,
  [SMALL_STATE(11903)] = 584596,
  [SMALL_STATE(11904)] = 584639,
  [SMALL_STATE(11905)] = 584702,
  [SMALL_STATE(11906)] = 584761,
  [SMALL_STATE(11907)] = 584800,
  [SMALL_STATE(11908)] = 584837,
  [SMALL_STATE(11909)] = 584880,
  [SMALL_STATE(11910)] = 584923,
  [SMALL_STATE(11911)] = 584986,
  [SMALL_STATE(11912)] = 585027,
  [SMALL_STATE(11913)] = 585070,
  [SMALL_STATE(11914)] = 585133,
  [SMALL_STATE(11915)] = 585176,
  [SMALL_STATE(11916)] = 585219,
  [SMALL_STATE(11917)] = 585282,
  [SMALL_STATE(11918)] = 585345,
  [SMALL_STATE(11919)] = 585392,
  [SMALL_STATE(11920)] = 585435,
  [SMALL_STATE(11921)] = 585498,
  [SMALL_STATE(11922)] = 585541,
  [SMALL_STATE(11923)] = 585584,
  [SMALL_STATE(11924)] = 585627,
  [SMALL_STATE(11925)] = 585690,
  [SMALL_STATE(11926)] = 585727,
  [SMALL_STATE(11927)] = 585774,
  [SMALL_STATE(11928)] = 585817,
  [SMALL_STATE(11929)] = 585854,
  [SMALL_STATE(11930)] = 585917,
  [SMALL_STATE(11931)] = 585964,
  [SMALL_STATE(11932)] = 586007,
  [SMALL_STATE(11933)] = 586054,
  [SMALL_STATE(11934)] = 586095,
  [SMALL_STATE(11935)] = 586132,
  [SMALL_STATE(11936)] = 586175,
  [SMALL_STATE(11937)] = 586218,
  [SMALL_STATE(11938)] = 586261,
  [SMALL_STATE(11939)] = 586304,
  [SMALL_STATE(11940)] = 586345,
  [SMALL_STATE(11941)] = 586382,
  [SMALL_STATE(11942)] = 586429,
  [SMALL_STATE(11943)] = 586472,
  [SMALL_STATE(11944)] = 586515,
  [SMALL_STATE(11945)] = 586558,
  [SMALL_STATE(11946)] = 586601,
  [SMALL_STATE(11947)] = 586642,
  [SMALL_STATE(11948)] = 586705,
  [SMALL_STATE(11949)] = 586742,
  [SMALL_STATE(11950)] = 586783,
  [SMALL_STATE(11951)] = 586842,
  [SMALL_STATE(11952)] = 586879,
  [SMALL_STATE(11953)] = 586916,
  [SMALL_STATE(11954)] = 586953,
  [SMALL_STATE(11955)] = 586990,
  [SMALL_STATE(11956)] = 587027,
  [SMALL_STATE(11957)] = 587064,
  [SMALL_STATE(11958)] = 587101,
  [SMALL_STATE(11959)] = 587155,
  [SMALL_STATE(11960)] = 587193,
  [SMALL_STATE(11961)] = 587229,
  [SMALL_STATE(11962)] = 587283,
  [SMALL_STATE(11963)] = 587329,
  [SMALL_STATE(11964)] = 587371,
  [SMALL_STATE(11965)] = 587431,
  [SMALL_STATE(11966)] = 587467,
  [SMALL_STATE(11967)] = 587503,
  [SMALL_STATE(11968)] = 587549,
  [SMALL_STATE(11969)] = 587609,
  [SMALL_STATE(11970)] = 587645,
  [SMALL_STATE(11971)] = 587681,
  [SMALL_STATE(11972)] = 587741,
  [SMALL_STATE(11973)] = 587781,
  [SMALL_STATE(11974)] = 587827,
  [SMALL_STATE(11975)] = 587863,
  [SMALL_STATE(11976)] = 587923,
  [SMALL_STATE(11977)] = 587965,
  [SMALL_STATE(11978)] = 588009,
  [SMALL_STATE(11979)] = 588045,
  [SMALL_STATE(11980)] = 588081,
  [SMALL_STATE(11981)] = 588141,
  [SMALL_STATE(11982)] = 588181,
  [SMALL_STATE(11983)] = 588221,
  [SMALL_STATE(11984)] = 588257,
  [SMALL_STATE(11985)] = 588293,
  [SMALL_STATE(11986)] = 588329,
  [SMALL_STATE(11987)] = 588365,
  [SMALL_STATE(11988)] = 588425,
  [SMALL_STATE(11989)] = 588473,
  [SMALL_STATE(11990)] = 588513,
  [SMALL_STATE(11991)] = 588573,
  [SMALL_STATE(11992)] = 588619,
  [SMALL_STATE(11993)] = 588655,
  [SMALL_STATE(11994)] = 588691,
  [SMALL_STATE(11995)] = 588727,
  [SMALL_STATE(11996)] = 588763,
  [SMALL_STATE(11997)] = 588809,
  [SMALL_STATE(11998)] = 588845,
  [SMALL_STATE(11999)] = 588881,
  [SMALL_STATE(12000)] = 588917,
  [SMALL_STATE(12001)] = 588953,
  [SMALL_STATE(12002)] = 588989,
  [SMALL_STATE(12003)] = 589025,
  [SMALL_STATE(12004)] = 589061,
  [SMALL_STATE(12005)] = 589097,
  [SMALL_STATE(12006)] = 589133,
  [SMALL_STATE(12007)] = 589169,
  [SMALL_STATE(12008)] = 589205,
  [SMALL_STATE(12009)] = 589245,
  [SMALL_STATE(12010)] = 589305,
  [SMALL_STATE(12011)] = 589341,
  [SMALL_STATE(12012)] = 589381,
  [SMALL_STATE(12013)] = 589419,
  [SMALL_STATE(12014)] = 589477,
  [SMALL_STATE(12015)] = 589513,
  [SMALL_STATE(12016)] = 589549,
  [SMALL_STATE(12017)] = 589585,
  [SMALL_STATE(12018)] = 589621,
  [SMALL_STATE(12019)] = 589667,
  [SMALL_STATE(12020)] = 589707,
  [SMALL_STATE(12021)] = 589745,
  [SMALL_STATE(12022)] = 589793,
  [SMALL_STATE(12023)] = 589853,
  [SMALL_STATE(12024)] = 589905,
  [SMALL_STATE(12025)] = 589941,
  [SMALL_STATE(12026)] = 589977,
  [SMALL_STATE(12027)] = 590015,
  [SMALL_STATE(12028)] = 590057,
  [SMALL_STATE(12029)] = 590093,
  [SMALL_STATE(12030)] = 590135,
  [SMALL_STATE(12031)] = 590195,
  [SMALL_STATE(12032)] = 590231,
  [SMALL_STATE(12033)] = 590267,
  [SMALL_STATE(12034)] = 590303,
  [SMALL_STATE(12035)] = 590343,
  [SMALL_STATE(12036)] = 590379,
  [SMALL_STATE(12037)] = 590421,
  [SMALL_STATE(12038)] = 590463,
  [SMALL_STATE(12039)] = 590513,
  [SMALL_STATE(12040)] = 590549,
  [SMALL_STATE(12041)] = 590607,
  [SMALL_STATE(12042)] = 590653,
  [SMALL_STATE(12043)] = 590689,
  [SMALL_STATE(12044)] = 590735,
  [SMALL_STATE(12045)] = 590775,
  [SMALL_STATE(12046)] = 590835,
  [SMALL_STATE(12047)] = 590895,
  [SMALL_STATE(12048)] = 590937,
  [SMALL_STATE(12049)] = 590979,
  [SMALL_STATE(12050)] = 591019,
  [SMALL_STATE(12051)] = 591059,
  [SMALL_STATE(12052)] = 591095,
  [SMALL_STATE(12053)] = 591131,
  [SMALL_STATE(12054)] = 591167,
  [SMALL_STATE(12055)] = 591203,
  [SMALL_STATE(12056)] = 591239,
  [SMALL_STATE(12057)] = 591275,
  [SMALL_STATE(12058)] = 591321,
  [SMALL_STATE(12059)] = 591363,
  [SMALL_STATE(12060)] = 591423,
  [SMALL_STATE(12061)] = 591459,
  [SMALL_STATE(12062)] = 591505,
  [SMALL_STATE(12063)] = 591551,
  [SMALL_STATE(12064)] = 591597,
  [SMALL_STATE(12065)] = 591637,
  [SMALL_STATE(12066)] = 591675,
  [SMALL_STATE(12067)] = 591711,
  [SMALL_STATE(12068)] = 591747,
  [SMALL_STATE(12069)] = 591783,
  [SMALL_STATE(12070)] = 591841,
  [SMALL_STATE(12071)] = 591877,
  [SMALL_STATE(12072)] = 591913,
  [SMALL_STATE(12073)] = 591949,
  [SMALL_STATE(12074)] = 591985,
  [SMALL_STATE(12075)] = 592021,
  [SMALL_STATE(12076)] = 592063,
  [SMALL_STATE(12077)] = 592123,
  [SMALL_STATE(12078)] = 592165,
  [SMALL_STATE(12079)] = 592207,
  [SMALL_STATE(12080)] = 592249,
  [SMALL_STATE(12081)] = 592291,
  [SMALL_STATE(12082)] = 592333,
  [SMALL_STATE(12083)] = 592393,
  [SMALL_STATE(12084)] = 592453,
  [SMALL_STATE(12085)] = 592489,
  [SMALL_STATE(12086)] = 592549,
  [SMALL_STATE(12087)] = 592609,
  [SMALL_STATE(12088)] = 592669,
  [SMALL_STATE(12089)] = 592705,
  [SMALL_STATE(12090)] = 592741,
  [SMALL_STATE(12091)] = 592801,
  [SMALL_STATE(12092)] = 592837,
  [SMALL_STATE(12093)] = 592873,
  [SMALL_STATE(12094)] = 592909,
  [SMALL_STATE(12095)] = 592951,
  [SMALL_STATE(12096)] = 592991,
  [SMALL_STATE(12097)] = 593051,
  [SMALL_STATE(12098)] = 593111,
  [SMALL_STATE(12099)] = 593147,
  [SMALL_STATE(12100)] = 593183,
  [SMALL_STATE(12101)] = 593229,
  [SMALL_STATE(12102)] = 593265,
  [SMALL_STATE(12103)] = 593305,
  [SMALL_STATE(12104)] = 593365,
  [SMALL_STATE(12105)] = 593401,
  [SMALL_STATE(12106)] = 593441,
  [SMALL_STATE(12107)] = 593477,
  [SMALL_STATE(12108)] = 593537,
  [SMALL_STATE(12109)] = 593573,
  [SMALL_STATE(12110)] = 593609,
  [SMALL_STATE(12111)] = 593645,
  [SMALL_STATE(12112)] = 593705,
  [SMALL_STATE(12113)] = 593765,
  [SMALL_STATE(12114)] = 593825,
  [SMALL_STATE(12115)] = 593867,
  [SMALL_STATE(12116)] = 593927,
  [SMALL_STATE(12117)] = 593963,
  [SMALL_STATE(12118)] = 594005,
  [SMALL_STATE(12119)] = 594065,
  [SMALL_STATE(12120)] = 594103,
  [SMALL_STATE(12121)] = 594143,
  [SMALL_STATE(12122)] = 594203,
  [SMALL_STATE(12123)] = 594241,
  [SMALL_STATE(12124)] = 594281,
  [SMALL_STATE(12125)] = 594341,
  [SMALL_STATE(12126)] = 594401,
  [SMALL_STATE(12127)] = 594461,
  [SMALL_STATE(12128)] = 594497,
  [SMALL_STATE(12129)] = 594557,
  [SMALL_STATE(12130)] = 594617,
  [SMALL_STATE(12131)] = 594657,
  [SMALL_STATE(12132)] = 594693,
  [SMALL_STATE(12133)] = 594753,
  [SMALL_STATE(12134)] = 594793,
  [SMALL_STATE(12135)] = 594829,
  [SMALL_STATE(12136)] = 594879,
  [SMALL_STATE(12137)] = 594923,
  [SMALL_STATE(12138)] = 594965,
  [SMALL_STATE(12139)] = 595011,
  [SMALL_STATE(12140)] = 595053,
  [SMALL_STATE(12141)] = 595113,
  [SMALL_STATE(12142)] = 595173,
  [SMALL_STATE(12143)] = 595219,
  [SMALL_STATE(12144)] = 595265,
  [SMALL_STATE(12145)] = 595305,
  [SMALL_STATE(12146)] = 595347,
  [SMALL_STATE(12147)] = 595389,
  [SMALL_STATE(12148)] = 595425,
  [SMALL_STATE(12149)] = 595467,
  [SMALL_STATE(12150)] = 595509,
  [SMALL_STATE(12151)] = 595569,
  [SMALL_STATE(12152)] = 595629,
  [SMALL_STATE(12153)] = 595689,
  [SMALL_STATE(12154)] = 595749,
  [SMALL_STATE(12155)] = 595795,
  [SMALL_STATE(12156)] = 595855,
  [SMALL_STATE(12157)] = 595903,
  [SMALL_STATE(12158)] = 595951,
  [SMALL_STATE(12159)] = 595999,
  [SMALL_STATE(12160)] = 596047,
  [SMALL_STATE(12161)] = 596083,
  [SMALL_STATE(12162)] = 596121,
  [SMALL_STATE(12163)] = 596157,
  [SMALL_STATE(12164)] = 596195,
  [SMALL_STATE(12165)] = 596231,
  [SMALL_STATE(12166)] = 596267,
  [SMALL_STATE(12167)] = 596303,
  [SMALL_STATE(12168)] = 596339,
  [SMALL_STATE(12169)] = 596375,
  [SMALL_STATE(12170)] = 596411,
  [SMALL_STATE(12171)] = 596447,
  [SMALL_STATE(12172)] = 596483,
  [SMALL_STATE(12173)] = 596519,
  [SMALL_STATE(12174)] = 596579,
  [SMALL_STATE(12175)] = 596639,
  [SMALL_STATE(12176)] = 596685,
  [SMALL_STATE(12177)] = 596721,
  [SMALL_STATE(12178)] = 596767,
  [SMALL_STATE(12179)] = 596813,
  [SMALL_STATE(12180)] = 596859,
  [SMALL_STATE(12181)] = 596899,
  [SMALL_STATE(12182)] = 596939,
  [SMALL_STATE(12183)] = 596999,
  [SMALL_STATE(12184)] = 597059,
  [SMALL_STATE(12185)] = 597119,
  [SMALL_STATE(12186)] = 597159,
  [SMALL_STATE(12187)] = 597199,
  [SMALL_STATE(12188)] = 597259,
  [SMALL_STATE(12189)] = 597319,
  [SMALL_STATE(12190)] = 597379,
  [SMALL_STATE(12191)] = 597439,
  [SMALL_STATE(12192)] = 597479,
  [SMALL_STATE(12193)] = 597539,
  [SMALL_STATE(12194)] = 597599,
  [SMALL_STATE(12195)] = 597659,
  [SMALL_STATE(12196)] = 597695,
  [SMALL_STATE(12197)] = 597755,
  [SMALL_STATE(12198)] = 597815,
  [SMALL_STATE(12199)] = 597875,
  [SMALL_STATE(12200)] = 597935,
  [SMALL_STATE(12201)] = 597995,
  [SMALL_STATE(12202)] = 598055,
  [SMALL_STATE(12203)] = 598115,
  [SMALL_STATE(12204)] = 598175,
  [SMALL_STATE(12205)] = 598235,
  [SMALL_STATE(12206)] = 598275,
  [SMALL_STATE(12207)] = 598335,
  [SMALL_STATE(12208)] = 598395,
  [SMALL_STATE(12209)] = 598455,
  [SMALL_STATE(12210)] = 598497,
  [SMALL_STATE(12211)] = 598533,
  [SMALL_STATE(12212)] = 598572,
  [SMALL_STATE(12213)] = 598629,
  [SMALL_STATE(12214)] = 598664,
  [SMALL_STATE(12215)] = 598699,
  [SMALL_STATE(12216)] = 598752,
  [SMALL_STATE(12217)] = 598797,
  [SMALL_STATE(12218)] = 598836,
  [SMALL_STATE(12219)] = 598875,
  [SMALL_STATE(12220)] = 598922,
  [SMALL_STATE(12221)] = 598969,
  [SMALL_STATE(12222)] = 599020,
  [SMALL_STATE(12223)] = 599073,
  [SMALL_STATE(12224)] = 599130,
  [SMALL_STATE(12225)] = 599171,
  [SMALL_STATE(12226)] = 599228,
  [SMALL_STATE(12227)] = 599267,
  [SMALL_STATE(12228)] = 599324,
  [SMALL_STATE(12229)] = 599365,
  [SMALL_STATE(12230)] = 599408,
  [SMALL_STATE(12231)] = 599443,
  [SMALL_STATE(12232)] = 599500,
  [SMALL_STATE(12233)] = 599543,
  [SMALL_STATE(12234)] = 599580,
  [SMALL_STATE(12235)] = 599615,
  [SMALL_STATE(12236)] = 599672,
  [SMALL_STATE(12237)] = 599707,
  [SMALL_STATE(12238)] = 599764,
  [SMALL_STATE(12239)] = 599799,
  [SMALL_STATE(12240)] = 599856,
  [SMALL_STATE(12241)] = 599891,
  [SMALL_STATE(12242)] = 599926,
  [SMALL_STATE(12243)] = 599961,
  [SMALL_STATE(12244)] = 599996,
  [SMALL_STATE(12245)] = 600037,
  [SMALL_STATE(12246)] = 600094,
  [SMALL_STATE(12247)] = 600139,
  [SMALL_STATE(12248)] = 600178,
  [SMALL_STATE(12249)] = 600217,
  [SMALL_STATE(12250)] = 600252,
  [SMALL_STATE(12251)] = 600309,
  [SMALL_STATE(12252)] = 600348,
  [SMALL_STATE(12253)] = 600387,
  [SMALL_STATE(12254)] = 600426,
  [SMALL_STATE(12255)] = 600465,
  [SMALL_STATE(12256)] = 600504,
  [SMALL_STATE(12257)] = 600541,
  [SMALL_STATE(12258)] = 600576,
  [SMALL_STATE(12259)] = 600611,
  [SMALL_STATE(12260)] = 600654,
  [SMALL_STATE(12261)] = 600689,
  [SMALL_STATE(12262)] = 600746,
  [SMALL_STATE(12263)] = 600781,
  [SMALL_STATE(12264)] = 600838,
  [SMALL_STATE(12265)] = 600873,
  [SMALL_STATE(12266)] = 600916,
  [SMALL_STATE(12267)] = 600973,
  [SMALL_STATE(12268)] = 601016,
  [SMALL_STATE(12269)] = 601051,
  [SMALL_STATE(12270)] = 601086,
  [SMALL_STATE(12271)] = 601121,
  [SMALL_STATE(12272)] = 601158,
  [SMALL_STATE(12273)] = 601193,
  [SMALL_STATE(12274)] = 601250,
  [SMALL_STATE(12275)] = 601285,
  [SMALL_STATE(12276)] = 601342,
  [SMALL_STATE(12277)] = 601379,
  [SMALL_STATE(12278)] = 601436,
  [SMALL_STATE(12279)] = 601479,
  [SMALL_STATE(12280)] = 601518,
  [SMALL_STATE(12281)] = 601555,
  [SMALL_STATE(12282)] = 601598,
  [SMALL_STATE(12283)] = 601655,
  [SMALL_STATE(12284)] = 601694,
  [SMALL_STATE(12285)] = 601751,
  [SMALL_STATE(12286)] = 601792,
  [SMALL_STATE(12287)] = 601833,
  [SMALL_STATE(12288)] = 601874,
  [SMALL_STATE(12289)] = 601913,
  [SMALL_STATE(12290)] = 601948,
  [SMALL_STATE(12291)] = 601991,
  [SMALL_STATE(12292)] = 602048,
  [SMALL_STATE(12293)] = 602089,
  [SMALL_STATE(12294)] = 602124,
  [SMALL_STATE(12295)] = 602165,
  [SMALL_STATE(12296)] = 602206,
  [SMALL_STATE(12297)] = 602247,
  [SMALL_STATE(12298)] = 602290,
  [SMALL_STATE(12299)] = 602331,
  [SMALL_STATE(12300)] = 602374,
  [SMALL_STATE(12301)] = 602431,
  [SMALL_STATE(12302)] = 602488,
  [SMALL_STATE(12303)] = 602533,
  [SMALL_STATE(12304)] = 602568,
  [SMALL_STATE(12305)] = 602625,
  [SMALL_STATE(12306)] = 602682,
  [SMALL_STATE(12307)] = 602717,
  [SMALL_STATE(12308)] = 602756,
  [SMALL_STATE(12309)] = 602813,
  [SMALL_STATE(12310)] = 602848,
  [SMALL_STATE(12311)] = 602905,
  [SMALL_STATE(12312)] = 602962,
  [SMALL_STATE(12313)] = 603019,
  [SMALL_STATE(12314)] = 603054,
  [SMALL_STATE(12315)] = 603089,
  [SMALL_STATE(12316)] = 603146,
  [SMALL_STATE(12317)] = 603191,
  [SMALL_STATE(12318)] = 603226,
  [SMALL_STATE(12319)] = 603269,
  [SMALL_STATE(12320)] = 603304,
  [SMALL_STATE(12321)] = 603339,
  [SMALL_STATE(12322)] = 603382,
  [SMALL_STATE(12323)] = 603439,
  [SMALL_STATE(12324)] = 603496,
  [SMALL_STATE(12325)] = 603539,
  [SMALL_STATE(12326)] = 603574,
  [SMALL_STATE(12327)] = 603631,
  [SMALL_STATE(12328)] = 603666,
  [SMALL_STATE(12329)] = 603723,
  [SMALL_STATE(12330)] = 603766,
  [SMALL_STATE(12331)] = 603801,
  [SMALL_STATE(12332)] = 603836,
  [SMALL_STATE(12333)] = 603871,
  [SMALL_STATE(12334)] = 603906,
  [SMALL_STATE(12335)] = 603941,
  [SMALL_STATE(12336)] = 603976,
  [SMALL_STATE(12337)] = 604019,
  [SMALL_STATE(12338)] = 604054,
  [SMALL_STATE(12339)] = 604111,
  [SMALL_STATE(12340)] = 604146,
  [SMALL_STATE(12341)] = 604181,
  [SMALL_STATE(12342)] = 604238,
  [SMALL_STATE(12343)] = 604295,
  [SMALL_STATE(12344)] = 604330,
  [SMALL_STATE(12345)] = 604365,
  [SMALL_STATE(12346)] = 604422,
  [SMALL_STATE(12347)] = 604463,
  [SMALL_STATE(12348)] = 604508,
  [SMALL_STATE(12349)] = 604543,
  [SMALL_STATE(12350)] = 604578,
  [SMALL_STATE(12351)] = 604613,
  [SMALL_STATE(12352)] = 604648,
  [SMALL_STATE(12353)] = 604705,
  [SMALL_STATE(12354)] = 604740,
  [SMALL_STATE(12355)] = 604775,
  [SMALL_STATE(12356)] = 604832,
  [SMALL_STATE(12357)] = 604867,
  [SMALL_STATE(12358)] = 604902,
  [SMALL_STATE(12359)] = 604959,
  [SMALL_STATE(12360)] = 604994,
  [SMALL_STATE(12361)] = 605029,
  [SMALL_STATE(12362)] = 605086,
  [SMALL_STATE(12363)] = 605143,
  [SMALL_STATE(12364)] = 605186,
  [SMALL_STATE(12365)] = 605225,
  [SMALL_STATE(12366)] = 605264,
  [SMALL_STATE(12367)] = 605307,
  [SMALL_STATE(12368)] = 605350,
  [SMALL_STATE(12369)] = 605389,
  [SMALL_STATE(12370)] = 605448,
  [SMALL_STATE(12371)] = 605491,
  [SMALL_STATE(12372)] = 605526,
  [SMALL_STATE(12373)] = 605565,
  [SMALL_STATE(12374)] = 605602,
  [SMALL_STATE(12375)] = 605659,
  [SMALL_STATE(12376)] = 605702,
  [SMALL_STATE(12377)] = 605741,
  [SMALL_STATE(12378)] = 605784,
  [SMALL_STATE(12379)] = 605827,
  [SMALL_STATE(12380)] = 605884,
  [SMALL_STATE(12381)] = 605921,
  [SMALL_STATE(12382)] = 605964,
  [SMALL_STATE(12383)] = 606007,
  [SMALL_STATE(12384)] = 606050,
  [SMALL_STATE(12385)] = 606085,
  [SMALL_STATE(12386)] = 606120,
  [SMALL_STATE(12387)] = 606177,
  [SMALL_STATE(12388)] = 606220,
  [SMALL_STATE(12389)] = 606265,
  [SMALL_STATE(12390)] = 606300,
  [SMALL_STATE(12391)] = 606345,
  [SMALL_STATE(12392)] = 606390,
  [SMALL_STATE(12393)] = 606435,
  [SMALL_STATE(12394)] = 606480,
  [SMALL_STATE(12395)] = 606525,
  [SMALL_STATE(12396)] = 606564,
  [SMALL_STATE(12397)] = 606609,
  [SMALL_STATE(12398)] = 606654,
  [SMALL_STATE(12399)] = 606699,
  [SMALL_STATE(12400)] = 606738,
  [SMALL_STATE(12401)] = 606775,
  [SMALL_STATE(12402)] = 606820,
  [SMALL_STATE(12403)] = 606865,
  [SMALL_STATE(12404)] = 606910,
  [SMALL_STATE(12405)] = 606955,
  [SMALL_STATE(12406)] = 607000,
  [SMALL_STATE(12407)] = 607045,
  [SMALL_STATE(12408)] = 607090,
  [SMALL_STATE(12409)] = 607125,
  [SMALL_STATE(12410)] = 607170,
  [SMALL_STATE(12411)] = 607205,
  [SMALL_STATE(12412)] = 607240,
  [SMALL_STATE(12413)] = 607285,
  [SMALL_STATE(12414)] = 607320,
  [SMALL_STATE(12415)] = 607365,
  [SMALL_STATE(12416)] = 607422,
  [SMALL_STATE(12417)] = 607467,
  [SMALL_STATE(12418)] = 607512,
  [SMALL_STATE(12419)] = 607557,
  [SMALL_STATE(12420)] = 607602,
  [SMALL_STATE(12421)] = 607647,
  [SMALL_STATE(12422)] = 607692,
  [SMALL_STATE(12423)] = 607737,
  [SMALL_STATE(12424)] = 607782,
  [SMALL_STATE(12425)] = 607827,
  [SMALL_STATE(12426)] = 607872,
  [SMALL_STATE(12427)] = 607917,
  [SMALL_STATE(12428)] = 607962,
  [SMALL_STATE(12429)] = 608001,
  [SMALL_STATE(12430)] = 608046,
  [SMALL_STATE(12431)] = 608083,
  [SMALL_STATE(12432)] = 608140,
  [SMALL_STATE(12433)] = 608175,
  [SMALL_STATE(12434)] = 608232,
  [SMALL_STATE(12435)] = 608267,
  [SMALL_STATE(12436)] = 608302,
  [SMALL_STATE(12437)] = 608337,
  [SMALL_STATE(12438)] = 608380,
  [SMALL_STATE(12439)] = 608415,
  [SMALL_STATE(12440)] = 608450,
  [SMALL_STATE(12441)] = 608507,
  [SMALL_STATE(12442)] = 608564,
  [SMALL_STATE(12443)] = 608621,
  [SMALL_STATE(12444)] = 608678,
  [SMALL_STATE(12445)] = 608735,
  [SMALL_STATE(12446)] = 608792,
  [SMALL_STATE(12447)] = 608835,
  [SMALL_STATE(12448)] = 608892,
  [SMALL_STATE(12449)] = 608949,
  [SMALL_STATE(12450)] = 608988,
  [SMALL_STATE(12451)] = 609023,
  [SMALL_STATE(12452)] = 609060,
  [SMALL_STATE(12453)] = 609099,
  [SMALL_STATE(12454)] = 609156,
  [SMALL_STATE(12455)] = 609195,
  [SMALL_STATE(12456)] = 609234,
  [SMALL_STATE(12457)] = 609279,
  [SMALL_STATE(12458)] = 609324,
  [SMALL_STATE(12459)] = 609367,
  [SMALL_STATE(12460)] = 609406,
  [SMALL_STATE(12461)] = 609445,
  [SMALL_STATE(12462)] = 609484,
  [SMALL_STATE(12463)] = 609541,
  [SMALL_STATE(12464)] = 609576,
  [SMALL_STATE(12465)] = 609621,
  [SMALL_STATE(12466)] = 609658,
  [SMALL_STATE(12467)] = 609697,
  [SMALL_STATE(12468)] = 609740,
  [SMALL_STATE(12469)] = 609783,
  [SMALL_STATE(12470)] = 609824,
  [SMALL_STATE(12471)] = 609881,
  [SMALL_STATE(12472)] = 609924,
  [SMALL_STATE(12473)] = 609965,
  [SMALL_STATE(12474)] = 610019,
  [SMALL_STATE(12475)] = 610073,
  [SMALL_STATE(12476)] = 610113,
  [SMALL_STATE(12477)] = 610167,
  [SMALL_STATE(12478)] = 610201,
  [SMALL_STATE(12479)] = 610245,
  [SMALL_STATE(12480)] = 610299,
  [SMALL_STATE(12481)] = 610337,
  [SMALL_STATE(12482)] = 610373,
  [SMALL_STATE(12483)] = 610427,
  [SMALL_STATE(12484)] = 610481,
  [SMALL_STATE(12485)] = 610535,
  [SMALL_STATE(12486)] = 610589,
  [SMALL_STATE(12487)] = 610641,
  [SMALL_STATE(12488)] = 610695,
  [SMALL_STATE(12489)] = 610753,
  [SMALL_STATE(12490)] = 610807,
  [SMALL_STATE(12491)] = 610861,
  [SMALL_STATE(12492)] = 610915,
  [SMALL_STATE(12493)] = 610969,
  [SMALL_STATE(12494)] = 611023,
  [SMALL_STATE(12495)] = 611077,
  [SMALL_STATE(12496)] = 611131,
  [SMALL_STATE(12497)] = 611185,
  [SMALL_STATE(12498)] = 611239,
  [SMALL_STATE(12499)] = 611283,
  [SMALL_STATE(12500)] = 611337,
  [SMALL_STATE(12501)] = 611391,
  [SMALL_STATE(12502)] = 611445,
  [SMALL_STATE(12503)] = 611489,
  [SMALL_STATE(12504)] = 611543,
  [SMALL_STATE(12505)] = 611583,
  [SMALL_STATE(12506)] = 611623,
  [SMALL_STATE(12507)] = 611677,
  [SMALL_STATE(12508)] = 611731,
  [SMALL_STATE(12509)] = 611785,
  [SMALL_STATE(12510)] = 611825,
  [SMALL_STATE(12511)] = 611863,
  [SMALL_STATE(12512)] = 611917,
  [SMALL_STATE(12513)] = 611971,
  [SMALL_STATE(12514)] = 612025,
  [SMALL_STATE(12515)] = 612065,
  [SMALL_STATE(12516)] = 612119,
  [SMALL_STATE(12517)] = 612155,
  [SMALL_STATE(12518)] = 612209,
  [SMALL_STATE(12519)] = 612263,
  [SMALL_STATE(12520)] = 612307,
  [SMALL_STATE(12521)] = 612361,
  [SMALL_STATE(12522)] = 612397,
  [SMALL_STATE(12523)] = 612451,
  [SMALL_STATE(12524)] = 612505,
  [SMALL_STATE(12525)] = 612559,
  [SMALL_STATE(12526)] = 612613,
  [SMALL_STATE(12527)] = 612667,
  [SMALL_STATE(12528)] = 612721,
  [SMALL_STATE(12529)] = 612775,
  [SMALL_STATE(12530)] = 612829,
  [SMALL_STATE(12531)] = 612883,
  [SMALL_STATE(12532)] = 612937,
  [SMALL_STATE(12533)] = 612975,
  [SMALL_STATE(12534)] = 613029,
  [SMALL_STATE(12535)] = 613083,
  [SMALL_STATE(12536)] = 613137,
  [SMALL_STATE(12537)] = 613191,
  [SMALL_STATE(12538)] = 613245,
  [SMALL_STATE(12539)] = 613285,
  [SMALL_STATE(12540)] = 613339,
  [SMALL_STATE(12541)] = 613393,
  [SMALL_STATE(12542)] = 613433,
  [SMALL_STATE(12543)] = 613487,
  [SMALL_STATE(12544)] = 613541,
  [SMALL_STATE(12545)] = 613595,
  [SMALL_STATE(12546)] = 613649,
  [SMALL_STATE(12547)] = 613703,
  [SMALL_STATE(12548)] = 613757,
  [SMALL_STATE(12549)] = 613811,
  [SMALL_STATE(12550)] = 613851,
  [SMALL_STATE(12551)] = 613905,
  [SMALL_STATE(12552)] = 613959,
  [SMALL_STATE(12553)] = 614013,
  [SMALL_STATE(12554)] = 614067,
  [SMALL_STATE(12555)] = 614121,
  [SMALL_STATE(12556)] = 614175,
  [SMALL_STATE(12557)] = 614229,
  [SMALL_STATE(12558)] = 614283,
  [SMALL_STATE(12559)] = 614337,
  [SMALL_STATE(12560)] = 614391,
  [SMALL_STATE(12561)] = 614445,
  [SMALL_STATE(12562)] = 614485,
  [SMALL_STATE(12563)] = 614539,
  [SMALL_STATE(12564)] = 614579,
  [SMALL_STATE(12565)] = 614633,
  [SMALL_STATE(12566)] = 614687,
  [SMALL_STATE(12567)] = 614741,
  [SMALL_STATE(12568)] = 614795,
  [SMALL_STATE(12569)] = 614849,
  [SMALL_STATE(12570)] = 614903,
  [SMALL_STATE(12571)] = 614957,
  [SMALL_STATE(12572)] = 615011,
  [SMALL_STATE(12573)] = 615065,
  [SMALL_STATE(12574)] = 615119,
  [SMALL_STATE(12575)] = 615157,
  [SMALL_STATE(12576)] = 615211,
  [SMALL_STATE(12577)] = 615265,
  [SMALL_STATE(12578)] = 615319,
  [SMALL_STATE(12579)] = 615373,
  [SMALL_STATE(12580)] = 615427,
  [SMALL_STATE(12581)] = 615481,
  [SMALL_STATE(12582)] = 615535,
  [SMALL_STATE(12583)] = 615589,
  [SMALL_STATE(12584)] = 615643,
  [SMALL_STATE(12585)] = 615679,
  [SMALL_STATE(12586)] = 615733,
  [SMALL_STATE(12587)] = 615769,
  [SMALL_STATE(12588)] = 615823,
  [SMALL_STATE(12589)] = 615877,
  [SMALL_STATE(12590)] = 615931,
  [SMALL_STATE(12591)] = 615985,
  [SMALL_STATE(12592)] = 616039,
  [SMALL_STATE(12593)] = 616093,
  [SMALL_STATE(12594)] = 616147,
  [SMALL_STATE(12595)] = 616201,
  [SMALL_STATE(12596)] = 616255,
  [SMALL_STATE(12597)] = 616309,
  [SMALL_STATE(12598)] = 616363,
  [SMALL_STATE(12599)] = 616417,
  [SMALL_STATE(12600)] = 616471,
  [SMALL_STATE(12601)] = 616525,
  [SMALL_STATE(12602)] = 616579,
  [SMALL_STATE(12603)] = 616633,
  [SMALL_STATE(12604)] = 616687,
  [SMALL_STATE(12605)] = 616741,
  [SMALL_STATE(12606)] = 616795,
  [SMALL_STATE(12607)] = 616849,
  [SMALL_STATE(12608)] = 616903,
  [SMALL_STATE(12609)] = 616957,
  [SMALL_STATE(12610)] = 617011,
  [SMALL_STATE(12611)] = 617065,
  [SMALL_STATE(12612)] = 617119,
  [SMALL_STATE(12613)] = 617173,
  [SMALL_STATE(12614)] = 617227,
  [SMALL_STATE(12615)] = 617263,
  [SMALL_STATE(12616)] = 617317,
  [SMALL_STATE(12617)] = 617371,
  [SMALL_STATE(12618)] = 617425,
  [SMALL_STATE(12619)] = 617479,
  [SMALL_STATE(12620)] = 617533,
  [SMALL_STATE(12621)] = 617587,
  [SMALL_STATE(12622)] = 617641,
  [SMALL_STATE(12623)] = 617695,
  [SMALL_STATE(12624)] = 617749,
  [SMALL_STATE(12625)] = 617803,
  [SMALL_STATE(12626)] = 617857,
  [SMALL_STATE(12627)] = 617911,
  [SMALL_STATE(12628)] = 617965,
  [SMALL_STATE(12629)] = 618019,
  [SMALL_STATE(12630)] = 618073,
  [SMALL_STATE(12631)] = 618127,
  [SMALL_STATE(12632)] = 618181,
  [SMALL_STATE(12633)] = 618235,
  [SMALL_STATE(12634)] = 618289,
  [SMALL_STATE(12635)] = 618343,
  [SMALL_STATE(12636)] = 618397,
  [SMALL_STATE(12637)] = 618451,
  [SMALL_STATE(12638)] = 618505,
  [SMALL_STATE(12639)] = 618559,
  [SMALL_STATE(12640)] = 618613,
  [SMALL_STATE(12641)] = 618667,
  [SMALL_STATE(12642)] = 618721,
  [SMALL_STATE(12643)] = 618775,
  [SMALL_STATE(12644)] = 618829,
  [SMALL_STATE(12645)] = 618883,
  [SMALL_STATE(12646)] = 618937,
  [SMALL_STATE(12647)] = 618991,
  [SMALL_STATE(12648)] = 619045,
  [SMALL_STATE(12649)] = 619099,
  [SMALL_STATE(12650)] = 619153,
  [SMALL_STATE(12651)] = 619207,
  [SMALL_STATE(12652)] = 619243,
  [SMALL_STATE(12653)] = 619297,
  [SMALL_STATE(12654)] = 619351,
  [SMALL_STATE(12655)] = 619405,
  [SMALL_STATE(12656)] = 619459,
  [SMALL_STATE(12657)] = 619513,
  [SMALL_STATE(12658)] = 619567,
  [SMALL_STATE(12659)] = 619621,
  [SMALL_STATE(12660)] = 619675,
  [SMALL_STATE(12661)] = 619729,
  [SMALL_STATE(12662)] = 619783,
  [SMALL_STATE(12663)] = 619837,
  [SMALL_STATE(12664)] = 619891,
  [SMALL_STATE(12665)] = 619945,
  [SMALL_STATE(12666)] = 619999,
  [SMALL_STATE(12667)] = 620053,
  [SMALL_STATE(12668)] = 620107,
  [SMALL_STATE(12669)] = 620161,
  [SMALL_STATE(12670)] = 620215,
  [SMALL_STATE(12671)] = 620269,
  [SMALL_STATE(12672)] = 620323,
  [SMALL_STATE(12673)] = 620377,
  [SMALL_STATE(12674)] = 620431,
  [SMALL_STATE(12675)] = 620485,
  [SMALL_STATE(12676)] = 620539,
  [SMALL_STATE(12677)] = 620593,
  [SMALL_STATE(12678)] = 620647,
  [SMALL_STATE(12679)] = 620701,
  [SMALL_STATE(12680)] = 620755,
  [SMALL_STATE(12681)] = 620809,
  [SMALL_STATE(12682)] = 620863,
  [SMALL_STATE(12683)] = 620917,
  [SMALL_STATE(12684)] = 620971,
  [SMALL_STATE(12685)] = 621025,
  [SMALL_STATE(12686)] = 621079,
  [SMALL_STATE(12687)] = 621133,
  [SMALL_STATE(12688)] = 621187,
  [SMALL_STATE(12689)] = 621241,
  [SMALL_STATE(12690)] = 621295,
  [SMALL_STATE(12691)] = 621349,
  [SMALL_STATE(12692)] = 621403,
  [SMALL_STATE(12693)] = 621457,
  [SMALL_STATE(12694)] = 621511,
  [SMALL_STATE(12695)] = 621565,
  [SMALL_STATE(12696)] = 621619,
  [SMALL_STATE(12697)] = 621673,
  [SMALL_STATE(12698)] = 621727,
  [SMALL_STATE(12699)] = 621781,
  [SMALL_STATE(12700)] = 621835,
  [SMALL_STATE(12701)] = 621889,
  [SMALL_STATE(12702)] = 621943,
  [SMALL_STATE(12703)] = 621997,
  [SMALL_STATE(12704)] = 622051,
  [SMALL_STATE(12705)] = 622087,
  [SMALL_STATE(12706)] = 622141,
  [SMALL_STATE(12707)] = 622195,
  [SMALL_STATE(12708)] = 622249,
  [SMALL_STATE(12709)] = 622303,
  [SMALL_STATE(12710)] = 622357,
  [SMALL_STATE(12711)] = 622411,
  [SMALL_STATE(12712)] = 622465,
  [SMALL_STATE(12713)] = 622519,
  [SMALL_STATE(12714)] = 622573,
  [SMALL_STATE(12715)] = 622627,
  [SMALL_STATE(12716)] = 622681,
  [SMALL_STATE(12717)] = 622737,
  [SMALL_STATE(12718)] = 622791,
  [SMALL_STATE(12719)] = 622845,
  [SMALL_STATE(12720)] = 622903,
  [SMALL_STATE(12721)] = 622957,
  [SMALL_STATE(12722)] = 623001,
  [SMALL_STATE(12723)] = 623055,
  [SMALL_STATE(12724)] = 623109,
  [SMALL_STATE(12725)] = 623153,
  [SMALL_STATE(12726)] = 623207,
  [SMALL_STATE(12727)] = 623261,
  [SMALL_STATE(12728)] = 623315,
  [SMALL_STATE(12729)] = 623369,
  [SMALL_STATE(12730)] = 623423,
  [SMALL_STATE(12731)] = 623477,
  [SMALL_STATE(12732)] = 623531,
  [SMALL_STATE(12733)] = 623585,
  [SMALL_STATE(12734)] = 623639,
  [SMALL_STATE(12735)] = 623693,
  [SMALL_STATE(12736)] = 623737,
  [SMALL_STATE(12737)] = 623791,
  [SMALL_STATE(12738)] = 623845,
  [SMALL_STATE(12739)] = 623899,
  [SMALL_STATE(12740)] = 623953,
  [SMALL_STATE(12741)] = 624007,
  [SMALL_STATE(12742)] = 624061,
  [SMALL_STATE(12743)] = 624115,
  [SMALL_STATE(12744)] = 624169,
  [SMALL_STATE(12745)] = 624223,
  [SMALL_STATE(12746)] = 624277,
  [SMALL_STATE(12747)] = 624331,
  [SMALL_STATE(12748)] = 624385,
  [SMALL_STATE(12749)] = 624429,
  [SMALL_STATE(12750)] = 624483,
  [SMALL_STATE(12751)] = 624527,
  [SMALL_STATE(12752)] = 624581,
  [SMALL_STATE(12753)] = 624635,
  [SMALL_STATE(12754)] = 624689,
  [SMALL_STATE(12755)] = 624743,
  [SMALL_STATE(12756)] = 624797,
  [SMALL_STATE(12757)] = 624851,
  [SMALL_STATE(12758)] = 624905,
  [SMALL_STATE(12759)] = 624959,
  [SMALL_STATE(12760)] = 625013,
  [SMALL_STATE(12761)] = 625067,
  [SMALL_STATE(12762)] = 625111,
  [SMALL_STATE(12763)] = 625165,
  [SMALL_STATE(12764)] = 625219,
  [SMALL_STATE(12765)] = 625273,
  [SMALL_STATE(12766)] = 625327,
  [SMALL_STATE(12767)] = 625381,
  [SMALL_STATE(12768)] = 625435,
  [SMALL_STATE(12769)] = 625489,
  [SMALL_STATE(12770)] = 625543,
  [SMALL_STATE(12771)] = 625597,
  [SMALL_STATE(12772)] = 625651,
  [SMALL_STATE(12773)] = 625705,
  [SMALL_STATE(12774)] = 625759,
  [SMALL_STATE(12775)] = 625797,
  [SMALL_STATE(12776)] = 625851,
  [SMALL_STATE(12777)] = 625905,
  [SMALL_STATE(12778)] = 625959,
  [SMALL_STATE(12779)] = 626013,
  [SMALL_STATE(12780)] = 626067,
  [SMALL_STATE(12781)] = 626121,
  [SMALL_STATE(12782)] = 626175,
  [SMALL_STATE(12783)] = 626229,
  [SMALL_STATE(12784)] = 626283,
  [SMALL_STATE(12785)] = 626323,
  [SMALL_STATE(12786)] = 626377,
  [SMALL_STATE(12787)] = 626431,
  [SMALL_STATE(12788)] = 626469,
  [SMALL_STATE(12789)] = 626509,
  [SMALL_STATE(12790)] = 626563,
  [SMALL_STATE(12791)] = 626617,
  [SMALL_STATE(12792)] = 626671,
  [SMALL_STATE(12793)] = 626711,
  [SMALL_STATE(12794)] = 626765,
  [SMALL_STATE(12795)] = 626819,
  [SMALL_STATE(12796)] = 626873,
  [SMALL_STATE(12797)] = 626927,
  [SMALL_STATE(12798)] = 626967,
  [SMALL_STATE(12799)] = 627021,
  [SMALL_STATE(12800)] = 627075,
  [SMALL_STATE(12801)] = 627115,
  [SMALL_STATE(12802)] = 627169,
  [SMALL_STATE(12803)] = 627223,
  [SMALL_STATE(12804)] = 627277,
  [SMALL_STATE(12805)] = 627331,
  [SMALL_STATE(12806)] = 627385,
  [SMALL_STATE(12807)] = 627439,
  [SMALL_STATE(12808)] = 627493,
  [SMALL_STATE(12809)] = 627547,
  [SMALL_STATE(12810)] = 627601,
  [SMALL_STATE(12811)] = 627655,
  [SMALL_STATE(12812)] = 627709,
  [SMALL_STATE(12813)] = 627763,
  [SMALL_STATE(12814)] = 627817,
  [SMALL_STATE(12815)] = 627871,
  [SMALL_STATE(12816)] = 627925,
  [SMALL_STATE(12817)] = 627979,
  [SMALL_STATE(12818)] = 628033,
  [SMALL_STATE(12819)] = 628087,
  [SMALL_STATE(12820)] = 628141,
  [SMALL_STATE(12821)] = 628195,
  [SMALL_STATE(12822)] = 628249,
  [SMALL_STATE(12823)] = 628303,
  [SMALL_STATE(12824)] = 628357,
  [SMALL_STATE(12825)] = 628395,
  [SMALL_STATE(12826)] = 628449,
  [SMALL_STATE(12827)] = 628503,
  [SMALL_STATE(12828)] = 628557,
  [SMALL_STATE(12829)] = 628611,
  [SMALL_STATE(12830)] = 628665,
  [SMALL_STATE(12831)] = 628719,
  [SMALL_STATE(12832)] = 628773,
  [SMALL_STATE(12833)] = 628827,
  [SMALL_STATE(12834)] = 628881,
  [SMALL_STATE(12835)] = 628935,
  [SMALL_STATE(12836)] = 628989,
  [SMALL_STATE(12837)] = 629023,
  [SMALL_STATE(12838)] = 629077,
  [SMALL_STATE(12839)] = 629131,
  [SMALL_STATE(12840)] = 629185,
  [SMALL_STATE(12841)] = 629239,
  [SMALL_STATE(12842)] = 629293,
  [SMALL_STATE(12843)] = 629331,
  [SMALL_STATE(12844)] = 629385,
  [SMALL_STATE(12845)] = 629439,
  [SMALL_STATE(12846)] = 629493,
  [SMALL_STATE(12847)] = 629551,
  [SMALL_STATE(12848)] = 629605,
  [SMALL_STATE(12849)] = 629657,
  [SMALL_STATE(12850)] = 629711,
  [SMALL_STATE(12851)] = 629765,
  [SMALL_STATE(12852)] = 629809,
  [SMALL_STATE(12853)] = 629863,
  [SMALL_STATE(12854)] = 629917,
  [SMALL_STATE(12855)] = 629971,
  [SMALL_STATE(12856)] = 630025,
  [SMALL_STATE(12857)] = 630079,
  [SMALL_STATE(12858)] = 630133,
  [SMALL_STATE(12859)] = 630187,
  [SMALL_STATE(12860)] = 630241,
  [SMALL_STATE(12861)] = 630295,
  [SMALL_STATE(12862)] = 630349,
  [SMALL_STATE(12863)] = 630403,
  [SMALL_STATE(12864)] = 630457,
  [SMALL_STATE(12865)] = 630511,
  [SMALL_STATE(12866)] = 630549,
  [SMALL_STATE(12867)] = 630587,
  [SMALL_STATE(12868)] = 630641,
  [SMALL_STATE(12869)] = 630695,
  [SMALL_STATE(12870)] = 630733,
  [SMALL_STATE(12871)] = 630773,
  [SMALL_STATE(12872)] = 630819,
  [SMALL_STATE(12873)] = 630865,
  [SMALL_STATE(12874)] = 630919,
  [SMALL_STATE(12875)] = 630969,
  [SMALL_STATE(12876)] = 631009,
  [SMALL_STATE(12877)] = 631043,
  [SMALL_STATE(12878)] = 631097,
  [SMALL_STATE(12879)] = 631151,
  [SMALL_STATE(12880)] = 631205,
  [SMALL_STATE(12881)] = 631259,
  [SMALL_STATE(12882)] = 631313,
  [SMALL_STATE(12883)] = 631367,
  [SMALL_STATE(12884)] = 631421,
  [SMALL_STATE(12885)] = 631475,
  [SMALL_STATE(12886)] = 631529,
  [SMALL_STATE(12887)] = 631569,
  [SMALL_STATE(12888)] = 631607,
  [SMALL_STATE(12889)] = 631661,
  [SMALL_STATE(12890)] = 631715,
  [SMALL_STATE(12891)] = 631769,
  [SMALL_STATE(12892)] = 631807,
  [SMALL_STATE(12893)] = 631843,
  [SMALL_STATE(12894)] = 631897,
  [SMALL_STATE(12895)] = 631951,
  [SMALL_STATE(12896)] = 632003,
  [SMALL_STATE(12897)] = 632059,
  [SMALL_STATE(12898)] = 632113,
  [SMALL_STATE(12899)] = 632153,
  [SMALL_STATE(12900)] = 632207,
  [SMALL_STATE(12901)] = 632261,
  [SMALL_STATE(12902)] = 632315,
  [SMALL_STATE(12903)] = 632369,
  [SMALL_STATE(12904)] = 632423,
  [SMALL_STATE(12905)] = 632477,
  [SMALL_STATE(12906)] = 632531,
  [SMALL_STATE(12907)] = 632585,
  [SMALL_STATE(12908)] = 632641,
  [SMALL_STATE(12909)] = 632695,
  [SMALL_STATE(12910)] = 632749,
  [SMALL_STATE(12911)] = 632803,
  [SMALL_STATE(12912)] = 632857,
  [SMALL_STATE(12913)] = 632911,
  [SMALL_STATE(12914)] = 632965,
  [SMALL_STATE(12915)] = 633019,
  [SMALL_STATE(12916)] = 633073,
  [SMALL_STATE(12917)] = 633127,
  [SMALL_STATE(12918)] = 633181,
  [SMALL_STATE(12919)] = 633235,
  [SMALL_STATE(12920)] = 633289,
  [SMALL_STATE(12921)] = 633343,
  [SMALL_STATE(12922)] = 633397,
  [SMALL_STATE(12923)] = 633435,
  [SMALL_STATE(12924)] = 633489,
  [SMALL_STATE(12925)] = 633543,
  [SMALL_STATE(12926)] = 633581,
  [SMALL_STATE(12927)] = 633617,
  [SMALL_STATE(12928)] = 633671,
  [SMALL_STATE(12929)] = 633727,
  [SMALL_STATE(12930)] = 633781,
  [SMALL_STATE(12931)] = 633835,
  [SMALL_STATE(12932)] = 633873,
  [SMALL_STATE(12933)] = 633927,
  [SMALL_STATE(12934)] = 633981,
  [SMALL_STATE(12935)] = 634035,
  [SMALL_STATE(12936)] = 634089,
  [SMALL_STATE(12937)] = 634143,
  [SMALL_STATE(12938)] = 634197,
  [SMALL_STATE(12939)] = 634251,
  [SMALL_STATE(12940)] = 634289,
  [SMALL_STATE(12941)] = 634327,
  [SMALL_STATE(12942)] = 634381,
  [SMALL_STATE(12943)] = 634415,
  [SMALL_STATE(12944)] = 634469,
  [SMALL_STATE(12945)] = 634523,
  [SMALL_STATE(12946)] = 634577,
  [SMALL_STATE(12947)] = 634631,
  [SMALL_STATE(12948)] = 634685,
  [SMALL_STATE(12949)] = 634739,
  [SMALL_STATE(12950)] = 634793,
  [SMALL_STATE(12951)] = 634847,
  [SMALL_STATE(12952)] = 634901,
  [SMALL_STATE(12953)] = 634955,
  [SMALL_STATE(12954)] = 634993,
  [SMALL_STATE(12955)] = 635047,
  [SMALL_STATE(12956)] = 635101,
  [SMALL_STATE(12957)] = 635137,
  [SMALL_STATE(12958)] = 635191,
  [SMALL_STATE(12959)] = 635245,
  [SMALL_STATE(12960)] = 635299,
  [SMALL_STATE(12961)] = 635353,
  [SMALL_STATE(12962)] = 635407,
  [SMALL_STATE(12963)] = 635461,
  [SMALL_STATE(12964)] = 635515,
  [SMALL_STATE(12965)] = 635569,
  [SMALL_STATE(12966)] = 635609,
  [SMALL_STATE(12967)] = 635663,
  [SMALL_STATE(12968)] = 635717,
  [SMALL_STATE(12969)] = 635755,
  [SMALL_STATE(12970)] = 635809,
  [SMALL_STATE(12971)] = 635863,
  [SMALL_STATE(12972)] = 635915,
  [SMALL_STATE(12973)] = 635959,
  [SMALL_STATE(12974)] = 636003,
  [SMALL_STATE(12975)] = 636057,
  [SMALL_STATE(12976)] = 636111,
  [SMALL_STATE(12977)] = 636165,
  [SMALL_STATE(12978)] = 636219,
  [SMALL_STATE(12979)] = 636273,
  [SMALL_STATE(12980)] = 636307,
  [SMALL_STATE(12981)] = 636351,
  [SMALL_STATE(12982)] = 636405,
  [SMALL_STATE(12983)] = 636459,
  [SMALL_STATE(12984)] = 636513,
  [SMALL_STATE(12985)] = 636547,
  [SMALL_STATE(12986)] = 636585,
  [SMALL_STATE(12987)] = 636639,
  [SMALL_STATE(12988)] = 636693,
  [SMALL_STATE(12989)] = 636747,
  [SMALL_STATE(12990)] = 636801,
  [SMALL_STATE(12991)] = 636855,
  [SMALL_STATE(12992)] = 636909,
  [SMALL_STATE(12993)] = 636947,
  [SMALL_STATE(12994)] = 637001,
  [SMALL_STATE(12995)] = 637039,
  [SMALL_STATE(12996)] = 637093,
  [SMALL_STATE(12997)] = 637147,
  [SMALL_STATE(12998)] = 637201,
  [SMALL_STATE(12999)] = 637255,
  [SMALL_STATE(13000)] = 637309,
  [SMALL_STATE(13001)] = 637363,
  [SMALL_STATE(13002)] = 637417,
  [SMALL_STATE(13003)] = 637455,
  [SMALL_STATE(13004)] = 637493,
  [SMALL_STATE(13005)] = 637547,
  [SMALL_STATE(13006)] = 637585,
  [SMALL_STATE(13007)] = 637639,
  [SMALL_STATE(13008)] = 637677,
  [SMALL_STATE(13009)] = 637731,
  [SMALL_STATE(13010)] = 637785,
  [SMALL_STATE(13011)] = 637823,
  [SMALL_STATE(13012)] = 637869,
  [SMALL_STATE(13013)] = 637915,
  [SMALL_STATE(13014)] = 637969,
  [SMALL_STATE(13015)] = 638023,
  [SMALL_STATE(13016)] = 638077,
  [SMALL_STATE(13017)] = 638131,
  [SMALL_STATE(13018)] = 638177,
  [SMALL_STATE(13019)] = 638227,
  [SMALL_STATE(13020)] = 638279,
  [SMALL_STATE(13021)] = 638333,
  [SMALL_STATE(13022)] = 638389,
  [SMALL_STATE(13023)] = 638427,
  [SMALL_STATE(13024)] = 638467,
  [SMALL_STATE(13025)] = 638523,
  [SMALL_STATE(13026)] = 638561,
  [SMALL_STATE(13027)] = 638617,
  [SMALL_STATE(13028)] = 638655,
  [SMALL_STATE(13029)] = 638709,
  [SMALL_STATE(13030)] = 638747,
  [SMALL_STATE(13031)] = 638801,
  [SMALL_STATE(13032)] = 638855,
  [SMALL_STATE(13033)] = 638893,
  [SMALL_STATE(13034)] = 638947,
  [SMALL_STATE(13035)] = 639001,
  [SMALL_STATE(13036)] = 639055,
  [SMALL_STATE(13037)] = 639109,
  [SMALL_STATE(13038)] = 639163,
  [SMALL_STATE(13039)] = 639201,
  [SMALL_STATE(13040)] = 639255,
  [SMALL_STATE(13041)] = 639309,
  [SMALL_STATE(13042)] = 639349,
  [SMALL_STATE(13043)] = 639403,
  [SMALL_STATE(13044)] = 639443,
  [SMALL_STATE(13045)] = 639497,
  [SMALL_STATE(13046)] = 639537,
  [SMALL_STATE(13047)] = 639591,
  [SMALL_STATE(13048)] = 639645,
  [SMALL_STATE(13049)] = 639685,
  [SMALL_STATE(13050)] = 639725,
  [SMALL_STATE(13051)] = 639765,
  [SMALL_STATE(13052)] = 639819,
  [SMALL_STATE(13053)] = 639873,
  [SMALL_STATE(13054)] = 639927,
  [SMALL_STATE(13055)] = 639967,
  [SMALL_STATE(13056)] = 640021,
  [SMALL_STATE(13057)] = 640075,
  [SMALL_STATE(13058)] = 640129,
  [SMALL_STATE(13059)] = 640169,
  [SMALL_STATE(13060)] = 640223,
  [SMALL_STATE(13061)] = 640260,
  [SMALL_STATE(13062)] = 640297,
  [SMALL_STATE(13063)] = 640330,
  [SMALL_STATE(13064)] = 640367,
  [SMALL_STATE(13065)] = 640418,
  [SMALL_STATE(13066)] = 640461,
  [SMALL_STATE(13067)] = 640498,
  [SMALL_STATE(13068)] = 640535,
  [SMALL_STATE(13069)] = 640580,
  [SMALL_STATE(13070)] = 640625,
  [SMALL_STATE(13071)] = 640674,
  [SMALL_STATE(13072)] = 640725,
  [SMALL_STATE(13073)] = 640780,
  [SMALL_STATE(13074)] = 640819,
  [SMALL_STATE(13075)] = 640874,
  [SMALL_STATE(13076)] = 640911,
  [SMALL_STATE(13077)] = 640966,
  [SMALL_STATE(13078)] = 641001,
  [SMALL_STATE(13079)] = 641038,
  [SMALL_STATE(13080)] = 641073,
  [SMALL_STATE(13081)] = 641116,
  [SMALL_STATE(13082)] = 641153,
  [SMALL_STATE(13083)] = 641190,
  [SMALL_STATE(13084)] = 641233,
  [SMALL_STATE(13085)] = 641272,
  [SMALL_STATE(13086)] = 641311,
  [SMALL_STATE(13087)] = 641350,
  [SMALL_STATE(13088)] = 641389,
  [SMALL_STATE(13089)] = 641428,
  [SMALL_STATE(13090)] = 641467,
  [SMALL_STATE(13091)] = 641506,
  [SMALL_STATE(13092)] = 641545,
  [SMALL_STATE(13093)] = 641584,
  [SMALL_STATE(13094)] = 641623,
  [SMALL_STATE(13095)] = 641662,
  [SMALL_STATE(13096)] = 641701,
  [SMALL_STATE(13097)] = 641738,
  [SMALL_STATE(13098)] = 641777,
  [SMALL_STATE(13099)] = 641816,
  [SMALL_STATE(13100)] = 641859,
  [SMALL_STATE(13101)] = 641898,
  [SMALL_STATE(13102)] = 641937,
  [SMALL_STATE(13103)] = 641974,
  [SMALL_STATE(13104)] = 642009,
  [SMALL_STATE(13105)] = 642052,
  [SMALL_STATE(13106)] = 642091,
  [SMALL_STATE(13107)] = 642130,
  [SMALL_STATE(13108)] = 642169,
  [SMALL_STATE(13109)] = 642208,
  [SMALL_STATE(13110)] = 642247,
  [SMALL_STATE(13111)] = 642286,
  [SMALL_STATE(13112)] = 642325,
  [SMALL_STATE(13113)] = 642364,
  [SMALL_STATE(13114)] = 642403,
  [SMALL_STATE(13115)] = 642442,
  [SMALL_STATE(13116)] = 642479,
  [SMALL_STATE(13117)] = 642516,
  [SMALL_STATE(13118)] = 642553,
  [SMALL_STATE(13119)] = 642590,
  [SMALL_STATE(13120)] = 642625,
  [SMALL_STATE(13121)] = 642660,
  [SMALL_STATE(13122)] = 642717,
  [SMALL_STATE(13123)] = 642770,
  [SMALL_STATE(13124)] = 642813,
  [SMALL_STATE(13125)] = 642846,
  [SMALL_STATE(13126)] = 642879,
  [SMALL_STATE(13127)] = 642916,
  [SMALL_STATE(13128)] = 642959,
  [SMALL_STATE(13129)] = 642998,
  [SMALL_STATE(13130)] = 643049,
  [SMALL_STATE(13131)] = 643092,
  [SMALL_STATE(13132)] = 643129,
  [SMALL_STATE(13133)] = 643166,
  [SMALL_STATE(13134)] = 643199,
  [SMALL_STATE(13135)] = 643244,
  [SMALL_STATE(13136)] = 643289,
  [SMALL_STATE(13137)] = 643338,
  [SMALL_STATE(13138)] = 643389,
  [SMALL_STATE(13139)] = 643444,
  [SMALL_STATE(13140)] = 643483,
  [SMALL_STATE(13141)] = 643538,
  [SMALL_STATE(13142)] = 643579,
  [SMALL_STATE(13143)] = 643616,
  [SMALL_STATE(13144)] = 643659,
  [SMALL_STATE(13145)] = 643698,
  [SMALL_STATE(13146)] = 643741,
  [SMALL_STATE(13147)] = 643782,
  [SMALL_STATE(13148)] = 643817,
  [SMALL_STATE(13149)] = 643856,
  [SMALL_STATE(13150)] = 643907,
  [SMALL_STATE(13151)] = 643950,
  [SMALL_STATE(13152)] = 644005,
  [SMALL_STATE(13153)] = 644042,
  [SMALL_STATE(13154)] = 644077,
  [SMALL_STATE(13155)] = 644110,
  [SMALL_STATE(13156)] = 644143,
  [SMALL_STATE(13157)] = 644182,
  [SMALL_STATE(13158)] = 644215,
  [SMALL_STATE(13159)] = 644248,
  [SMALL_STATE(13160)] = 644285,
  [SMALL_STATE(13161)] = 644320,
  [SMALL_STATE(13162)] = 644353,
  [SMALL_STATE(13163)] = 644386,
  [SMALL_STATE(13164)] = 644419,
  [SMALL_STATE(13165)] = 644452,
  [SMALL_STATE(13166)] = 644489,
  [SMALL_STATE(13167)] = 644526,
  [SMALL_STATE(13168)] = 644577,
  [SMALL_STATE(13169)] = 644614,
  [SMALL_STATE(13170)] = 644651,
  [SMALL_STATE(13171)] = 644688,
  [SMALL_STATE(13172)] = 644745,
  [SMALL_STATE(13173)] = 644778,
  [SMALL_STATE(13174)] = 644811,
  [SMALL_STATE(13175)] = 644844,
  [SMALL_STATE(13176)] = 644877,
  [SMALL_STATE(13177)] = 644914,
  [SMALL_STATE(13178)] = 644953,
  [SMALL_STATE(13179)] = 645004,
  [SMALL_STATE(13180)] = 645041,
  [SMALL_STATE(13181)] = 645092,
  [SMALL_STATE(13182)] = 645131,
  [SMALL_STATE(13183)] = 645164,
  [SMALL_STATE(13184)] = 645203,
  [SMALL_STATE(13185)] = 645242,
  [SMALL_STATE(13186)] = 645279,
  [SMALL_STATE(13187)] = 645318,
  [SMALL_STATE(13188)] = 645357,
  [SMALL_STATE(13189)] = 645396,
  [SMALL_STATE(13190)] = 645435,
  [SMALL_STATE(13191)] = 645472,
  [SMALL_STATE(13192)] = 645505,
  [SMALL_STATE(13193)] = 645538,
  [SMALL_STATE(13194)] = 645571,
  [SMALL_STATE(13195)] = 645604,
  [SMALL_STATE(13196)] = 645655,
  [SMALL_STATE(13197)] = 645692,
  [SMALL_STATE(13198)] = 645725,
  [SMALL_STATE(13199)] = 645758,
  [SMALL_STATE(13200)] = 645815,
  [SMALL_STATE(13201)] = 645852,
  [SMALL_STATE(13202)] = 645895,
  [SMALL_STATE(13203)] = 645946,
  [SMALL_STATE(13204)] = 645979,
  [SMALL_STATE(13205)] = 646016,
  [SMALL_STATE(13206)] = 646049,
  [SMALL_STATE(13207)] = 646082,
  [SMALL_STATE(13208)] = 646115,
  [SMALL_STATE(13209)] = 646148,
  [SMALL_STATE(13210)] = 646181,
  [SMALL_STATE(13211)] = 646218,
  [SMALL_STATE(13212)] = 646255,
  [SMALL_STATE(13213)] = 646290,
  [SMALL_STATE(13214)] = 646327,
  [SMALL_STATE(13215)] = 646364,
  [SMALL_STATE(13216)] = 646399,
  [SMALL_STATE(13217)] = 646432,
  [SMALL_STATE(13218)] = 646475,
  [SMALL_STATE(13219)] = 646508,
  [SMALL_STATE(13220)] = 646543,
  [SMALL_STATE(13221)] = 646594,
  [SMALL_STATE(13222)] = 646631,
  [SMALL_STATE(13223)] = 646664,
  [SMALL_STATE(13224)] = 646715,
  [SMALL_STATE(13225)] = 646752,
  [SMALL_STATE(13226)] = 646793,
  [SMALL_STATE(13227)] = 646830,
  [SMALL_STATE(13228)] = 646867,
  [SMALL_STATE(13229)] = 646904,
  [SMALL_STATE(13230)] = 646945,
  [SMALL_STATE(13231)] = 646984,
  [SMALL_STATE(13232)] = 647025,
  [SMALL_STATE(13233)] = 647066,
  [SMALL_STATE(13234)] = 647121,
  [SMALL_STATE(13235)] = 647162,
  [SMALL_STATE(13236)] = 647203,
  [SMALL_STATE(13237)] = 647254,
  [SMALL_STATE(13238)] = 647293,
  [SMALL_STATE(13239)] = 647332,
  [SMALL_STATE(13240)] = 647371,
  [SMALL_STATE(13241)] = 647404,
  [SMALL_STATE(13242)] = 647452,
  [SMALL_STATE(13243)] = 647500,
  [SMALL_STATE(13244)] = 647532,
  [SMALL_STATE(13245)] = 647568,
  [SMALL_STATE(13246)] = 647624,
  [SMALL_STATE(13247)] = 647678,
  [SMALL_STATE(13248)] = 647726,
  [SMALL_STATE(13249)] = 647762,
  [SMALL_STATE(13250)] = 647798,
  [SMALL_STATE(13251)] = 647834,
  [SMALL_STATE(13252)] = 647870,
  [SMALL_STATE(13253)] = 647906,
  [SMALL_STATE(13254)] = 647942,
  [SMALL_STATE(13255)] = 647976,
  [SMALL_STATE(13256)] = 648024,
  [SMALL_STATE(13257)] = 648080,
  [SMALL_STATE(13258)] = 648134,
  [SMALL_STATE(13259)] = 648170,
  [SMALL_STATE(13260)] = 648204,
  [SMALL_STATE(13261)] = 648240,
  [SMALL_STATE(13262)] = 648290,
  [SMALL_STATE(13263)] = 648338,
  [SMALL_STATE(13264)] = 648370,
  [SMALL_STATE(13265)] = 648402,
  [SMALL_STATE(13266)] = 648444,
  [SMALL_STATE(13267)] = 648480,
  [SMALL_STATE(13268)] = 648516,
  [SMALL_STATE(13269)] = 648552,
  [SMALL_STATE(13270)] = 648600,
  [SMALL_STATE(13271)] = 648636,
  [SMALL_STATE(13272)] = 648670,
  [SMALL_STATE(13273)] = 648714,
  [SMALL_STATE(13274)] = 648746,
  [SMALL_STATE(13275)] = 648782,
  [SMALL_STATE(13276)] = 648824,
  [SMALL_STATE(13277)] = 648860,
  [SMALL_STATE(13278)] = 648896,
  [SMALL_STATE(13279)] = 648932,
  [SMALL_STATE(13280)] = 648968,
  [SMALL_STATE(13281)] = 649002,
  [SMALL_STATE(13282)] = 649052,
  [SMALL_STATE(13283)] = 649096,
  [SMALL_STATE(13284)] = 649144,
  [SMALL_STATE(13285)] = 649178,
  [SMALL_STATE(13286)] = 649226,
  [SMALL_STATE(13287)] = 649276,
  [SMALL_STATE(13288)] = 649312,
  [SMALL_STATE(13289)] = 649348,
  [SMALL_STATE(13290)] = 649384,
  [SMALL_STATE(13291)] = 649420,
  [SMALL_STATE(13292)] = 649454,
  [SMALL_STATE(13293)] = 649508,
  [SMALL_STATE(13294)] = 649546,
  [SMALL_STATE(13295)] = 649600,
  [SMALL_STATE(13296)] = 649648,
  [SMALL_STATE(13297)] = 649702,
  [SMALL_STATE(13298)] = 649734,
  [SMALL_STATE(13299)] = 649770,
  [SMALL_STATE(13300)] = 649806,
  [SMALL_STATE(13301)] = 649842,
  [SMALL_STATE(13302)] = 649878,
  [SMALL_STATE(13303)] = 649912,
  [SMALL_STATE(13304)] = 649948,
  [SMALL_STATE(13305)] = 649982,
  [SMALL_STATE(13306)] = 650032,
  [SMALL_STATE(13307)] = 650080,
  [SMALL_STATE(13308)] = 650116,
  [SMALL_STATE(13309)] = 650152,
  [SMALL_STATE(13310)] = 650188,
  [SMALL_STATE(13311)] = 650224,
  [SMALL_STATE(13312)] = 650258,
  [SMALL_STATE(13313)] = 650306,
  [SMALL_STATE(13314)] = 650364,
  [SMALL_STATE(13315)] = 650400,
  [SMALL_STATE(13316)] = 650436,
  [SMALL_STATE(13317)] = 650484,
  [SMALL_STATE(13318)] = 650532,
  [SMALL_STATE(13319)] = 650564,
  [SMALL_STATE(13320)] = 650612,
  [SMALL_STATE(13321)] = 650660,
  [SMALL_STATE(13322)] = 650708,
  [SMALL_STATE(13323)] = 650756,
  [SMALL_STATE(13324)] = 650790,
  [SMALL_STATE(13325)] = 650838,
  [SMALL_STATE(13326)] = 650894,
  [SMALL_STATE(13327)] = 650926,
  [SMALL_STATE(13328)] = 650968,
  [SMALL_STATE(13329)] = 651004,
  [SMALL_STATE(13330)] = 651052,
  [SMALL_STATE(13331)] = 651102,
  [SMALL_STATE(13332)] = 651144,
  [SMALL_STATE(13333)] = 651180,
  [SMALL_STATE(13334)] = 651216,
  [SMALL_STATE(13335)] = 651260,
  [SMALL_STATE(13336)] = 651304,
  [SMALL_STATE(13337)] = 651352,
  [SMALL_STATE(13338)] = 651400,
  [SMALL_STATE(13339)] = 651450,
  [SMALL_STATE(13340)] = 651486,
  [SMALL_STATE(13341)] = 651540,
  [SMALL_STATE(13342)] = 651578,
  [SMALL_STATE(13343)] = 651632,
  [SMALL_STATE(13344)] = 651686,
  [SMALL_STATE(13345)] = 651734,
  [SMALL_STATE(13346)] = 651770,
  [SMALL_STATE(13347)] = 651826,
  [SMALL_STATE(13348)] = 651858,
  [SMALL_STATE(13349)] = 651890,
  [SMALL_STATE(13350)] = 651924,
  [SMALL_STATE(13351)] = 651972,
  [SMALL_STATE(13352)] = 652022,
  [SMALL_STATE(13353)] = 652070,
  [SMALL_STATE(13354)] = 652106,
  [SMALL_STATE(13355)] = 652154,
  [SMALL_STATE(13356)] = 652190,
  [SMALL_STATE(13357)] = 652226,
  [SMALL_STATE(13358)] = 652258,
  [SMALL_STATE(13359)] = 652306,
  [SMALL_STATE(13360)] = 652342,
  [SMALL_STATE(13361)] = 652378,
  [SMALL_STATE(13362)] = 652414,
  [SMALL_STATE(13363)] = 652446,
  [SMALL_STATE(13364)] = 652494,
  [SMALL_STATE(13365)] = 652542,
  [SMALL_STATE(13366)] = 652578,
  [SMALL_STATE(13367)] = 652634,
  [SMALL_STATE(13368)] = 652682,
  [SMALL_STATE(13369)] = 652730,
  [SMALL_STATE(13370)] = 652762,
  [SMALL_STATE(13371)] = 652816,
  [SMALL_STATE(13372)] = 652848,
  [SMALL_STATE(13373)] = 652896,
  [SMALL_STATE(13374)] = 652928,
  [SMALL_STATE(13375)] = 652964,
  [SMALL_STATE(13376)] = 653000,
  [SMALL_STATE(13377)] = 653032,
  [SMALL_STATE(13378)] = 653064,
  [SMALL_STATE(13379)] = 653096,
  [SMALL_STATE(13380)] = 653144,
  [SMALL_STATE(13381)] = 653192,
  [SMALL_STATE(13382)] = 653240,
  [SMALL_STATE(13383)] = 653276,
  [SMALL_STATE(13384)] = 653312,
  [SMALL_STATE(13385)] = 653360,
  [SMALL_STATE(13386)] = 653408,
  [SMALL_STATE(13387)] = 653442,
  [SMALL_STATE(13388)] = 653474,
  [SMALL_STATE(13389)] = 653522,
  [SMALL_STATE(13390)] = 653572,
  [SMALL_STATE(13391)] = 653614,
  [SMALL_STATE(13392)] = 653650,
  [SMALL_STATE(13393)] = 653686,
  [SMALL_STATE(13394)] = 653730,
  [SMALL_STATE(13395)] = 653774,
  [SMALL_STATE(13396)] = 653822,
  [SMALL_STATE(13397)] = 653872,
  [SMALL_STATE(13398)] = 653926,
  [SMALL_STATE(13399)] = 653964,
  [SMALL_STATE(13400)] = 653996,
  [SMALL_STATE(13401)] = 654050,
  [SMALL_STATE(13402)] = 654098,
  [SMALL_STATE(13403)] = 654134,
  [SMALL_STATE(13404)] = 654188,
  [SMALL_STATE(13405)] = 654236,
  [SMALL_STATE(13406)] = 654284,
  [SMALL_STATE(13407)] = 654332,
  [SMALL_STATE(13408)] = 654380,
  [SMALL_STATE(13409)] = 654428,
  [SMALL_STATE(13410)] = 654464,
  [SMALL_STATE(13411)] = 654512,
  [SMALL_STATE(13412)] = 654566,
  [SMALL_STATE(13413)] = 654614,
  [SMALL_STATE(13414)] = 654662,
  [SMALL_STATE(13415)] = 654710,
  [SMALL_STATE(13416)] = 654758,
  [SMALL_STATE(13417)] = 654806,
  [SMALL_STATE(13418)] = 654854,
  [SMALL_STATE(13419)] = 654902,
  [SMALL_STATE(13420)] = 654950,
  [SMALL_STATE(13421)] = 654986,
  [SMALL_STATE(13422)] = 655034,
  [SMALL_STATE(13423)] = 655082,
  [SMALL_STATE(13424)] = 655114,
  [SMALL_STATE(13425)] = 655162,
  [SMALL_STATE(13426)] = 655222,
  [SMALL_STATE(13427)] = 655258,
  [SMALL_STATE(13428)] = 655294,
  [SMALL_STATE(13429)] = 655326,
  [SMALL_STATE(13430)] = 655362,
  [SMALL_STATE(13431)] = 655398,
  [SMALL_STATE(13432)] = 655442,
  [SMALL_STATE(13433)] = 655490,
  [SMALL_STATE(13434)] = 655524,
  [SMALL_STATE(13435)] = 655560,
  [SMALL_STATE(13436)] = 655608,
  [SMALL_STATE(13437)] = 655652,
  [SMALL_STATE(13438)] = 655694,
  [SMALL_STATE(13439)] = 655730,
  [SMALL_STATE(13440)] = 655784,
  [SMALL_STATE(13441)] = 655832,
  [SMALL_STATE(13442)] = 655882,
  [SMALL_STATE(13443)] = 655918,
  [SMALL_STATE(13444)] = 655950,
  [SMALL_STATE(13445)] = 656004,
  [SMALL_STATE(13446)] = 656042,
  [SMALL_STATE(13447)] = 656096,
  [SMALL_STATE(13448)] = 656146,
  [SMALL_STATE(13449)] = 656194,
  [SMALL_STATE(13450)] = 656254,
  [SMALL_STATE(13451)] = 656296,
  [SMALL_STATE(13452)] = 656332,
  [SMALL_STATE(13453)] = 656368,
  [SMALL_STATE(13454)] = 656412,
  [SMALL_STATE(13455)] = 656456,
  [SMALL_STATE(13456)] = 656504,
  [SMALL_STATE(13457)] = 656554,
  [SMALL_STATE(13458)] = 656608,
  [SMALL_STATE(13459)] = 656646,
  [SMALL_STATE(13460)] = 656706,
  [SMALL_STATE(13461)] = 656754,
  [SMALL_STATE(13462)] = 656808,
  [SMALL_STATE(13463)] = 656868,
  [SMALL_STATE(13464)] = 656922,
  [SMALL_STATE(13465)] = 656954,
  [SMALL_STATE(13466)] = 656990,
  [SMALL_STATE(13467)] = 657022,
  [SMALL_STATE(13468)] = 657056,
  [SMALL_STATE(13469)] = 657092,
  [SMALL_STATE(13470)] = 657146,
  [SMALL_STATE(13471)] = 657194,
  [SMALL_STATE(13472)] = 657242,
  [SMALL_STATE(13473)] = 657278,
  [SMALL_STATE(13474)] = 657316,
  [SMALL_STATE(13475)] = 657354,
  [SMALL_STATE(13476)] = 657386,
  [SMALL_STATE(13477)] = 657420,
  [SMALL_STATE(13478)] = 657452,
  [SMALL_STATE(13479)] = 657500,
  [SMALL_STATE(13480)] = 657538,
  [SMALL_STATE(13481)] = 657586,
  [SMALL_STATE(13482)] = 657622,
  [SMALL_STATE(13483)] = 657656,
  [SMALL_STATE(13484)] = 657692,
  [SMALL_STATE(13485)] = 657728,
  [SMALL_STATE(13486)] = 657762,
  [SMALL_STATE(13487)] = 657798,
  [SMALL_STATE(13488)] = 657834,
  [SMALL_STATE(13489)] = 657868,
  [SMALL_STATE(13490)] = 657904,
  [SMALL_STATE(13491)] = 657940,
  [SMALL_STATE(13492)] = 657974,
  [SMALL_STATE(13493)] = 658010,
  [SMALL_STATE(13494)] = 658046,
  [SMALL_STATE(13495)] = 658082,
  [SMALL_STATE(13496)] = 658116,
  [SMALL_STATE(13497)] = 658164,
  [SMALL_STATE(13498)] = 658196,
  [SMALL_STATE(13499)] = 658232,
  [SMALL_STATE(13500)] = 658264,
  [SMALL_STATE(13501)] = 658298,
  [SMALL_STATE(13502)] = 658334,
  [SMALL_STATE(13503)] = 658370,
  [SMALL_STATE(13504)] = 658402,
  [SMALL_STATE(13505)] = 658452,
  [SMALL_STATE(13506)] = 658500,
  [SMALL_STATE(13507)] = 658548,
  [SMALL_STATE(13508)] = 658590,
  [SMALL_STATE(13509)] = 658648,
  [SMALL_STATE(13510)] = 658684,
  [SMALL_STATE(13511)] = 658720,
  [SMALL_STATE(13512)] = 658756,
  [SMALL_STATE(13513)] = 658812,
  [SMALL_STATE(13514)] = 658862,
  [SMALL_STATE(13515)] = 658898,
  [SMALL_STATE(13516)] = 658940,
  [SMALL_STATE(13517)] = 658976,
  [SMALL_STATE(13518)] = 659012,
  [SMALL_STATE(13519)] = 659048,
  [SMALL_STATE(13520)] = 659092,
  [SMALL_STATE(13521)] = 659128,
  [SMALL_STATE(13522)] = 659172,
  [SMALL_STATE(13523)] = 659216,
  [SMALL_STATE(13524)] = 659252,
  [SMALL_STATE(13525)] = 659300,
  [SMALL_STATE(13526)] = 659350,
  [SMALL_STATE(13527)] = 659394,
  [SMALL_STATE(13528)] = 659442,
  [SMALL_STATE(13529)] = 659478,
  [SMALL_STATE(13530)] = 659514,
  [SMALL_STATE(13531)] = 659568,
  [SMALL_STATE(13532)] = 659606,
  [SMALL_STATE(13533)] = 659660,
  [SMALL_STATE(13534)] = 659696,
  [SMALL_STATE(13535)] = 659732,
  [SMALL_STATE(13536)] = 659782,
  [SMALL_STATE(13537)] = 659836,
  [SMALL_STATE(13538)] = 659872,
  [SMALL_STATE(13539)] = 659908,
  [SMALL_STATE(13540)] = 659944,
  [SMALL_STATE(13541)] = 659998,
  [SMALL_STATE(13542)] = 660032,
  [SMALL_STATE(13543)] = 660070,
  [SMALL_STATE(13544)] = 660106,
  [SMALL_STATE(13545)] = 660142,
  [SMALL_STATE(13546)] = 660196,
  [SMALL_STATE(13547)] = 660232,
  [SMALL_STATE(13548)] = 660286,
  [SMALL_STATE(13549)] = 660340,
  [SMALL_STATE(13550)] = 660376,
  [SMALL_STATE(13551)] = 660410,
  [SMALL_STATE(13552)] = 660448,
  [SMALL_STATE(13553)] = 660496,
  [SMALL_STATE(13554)] = 660534,
  [SMALL_STATE(13555)] = 660582,
  [SMALL_STATE(13556)] = 660630,
  [SMALL_STATE(13557)] = 660686,
  [SMALL_STATE(13558)] = 660724,
  [SMALL_STATE(13559)] = 660774,
  [SMALL_STATE(13560)] = 660810,
  [SMALL_STATE(13561)] = 660846,
  [SMALL_STATE(13562)] = 660880,
  [SMALL_STATE(13563)] = 660916,
  [SMALL_STATE(13564)] = 660952,
  [SMALL_STATE(13565)] = 660994,
  [SMALL_STATE(13566)] = 661028,
  [SMALL_STATE(13567)] = 661064,
  [SMALL_STATE(13568)] = 661112,
  [SMALL_STATE(13569)] = 661167,
  [SMALL_STATE(13570)] = 661218,
  [SMALL_STATE(13571)] = 661253,
  [SMALL_STATE(13572)] = 661284,
  [SMALL_STATE(13573)] = 661335,
  [SMALL_STATE(13574)] = 661376,
  [SMALL_STATE(13575)] = 661415,
  [SMALL_STATE(13576)] = 661470,
  [SMALL_STATE(13577)] = 661525,
  [SMALL_STATE(13578)] = 661580,
  [SMALL_STATE(13579)] = 661627,
  [SMALL_STATE(13580)] = 661668,
  [SMALL_STATE(13581)] = 661709,
  [SMALL_STATE(13582)] = 661744,
  [SMALL_STATE(13583)] = 661785,
  [SMALL_STATE(13584)] = 661818,
  [SMALL_STATE(13585)] = 661873,
  [SMALL_STATE(13586)] = 661928,
  [SMALL_STATE(13587)] = 661969,
  [SMALL_STATE(13588)] = 662002,
  [SMALL_STATE(13589)] = 662035,
  [SMALL_STATE(13590)] = 662090,
  [SMALL_STATE(13591)] = 662125,
  [SMALL_STATE(13592)] = 662160,
  [SMALL_STATE(13593)] = 662215,
  [SMALL_STATE(13594)] = 662258,
  [SMALL_STATE(13595)] = 662301,
  [SMALL_STATE(13596)] = 662348,
  [SMALL_STATE(13597)] = 662395,
  [SMALL_STATE(13598)] = 662426,
  [SMALL_STATE(13599)] = 662477,
  [SMALL_STATE(13600)] = 662514,
  [SMALL_STATE(13601)] = 662555,
  [SMALL_STATE(13602)] = 662606,
  [SMALL_STATE(13603)] = 662661,
  [SMALL_STATE(13604)] = 662702,
  [SMALL_STATE(13605)] = 662757,
  [SMALL_STATE(13606)] = 662798,
  [SMALL_STATE(13607)] = 662853,
  [SMALL_STATE(13608)] = 662908,
  [SMALL_STATE(13609)] = 662963,
  [SMALL_STATE(13610)] = 663004,
  [SMALL_STATE(13611)] = 663045,
  [SMALL_STATE(13612)] = 663076,
  [SMALL_STATE(13613)] = 663131,
  [SMALL_STATE(13614)] = 663162,
  [SMALL_STATE(13615)] = 663217,
  [SMALL_STATE(13616)] = 663272,
  [SMALL_STATE(13617)] = 663327,
  [SMALL_STATE(13618)] = 663374,
  [SMALL_STATE(13619)] = 663405,
  [SMALL_STATE(13620)] = 663446,
  [SMALL_STATE(13621)] = 663477,
  [SMALL_STATE(13622)] = 663508,
  [SMALL_STATE(13623)] = 663539,
  [SMALL_STATE(13624)] = 663594,
  [SMALL_STATE(13625)] = 663625,
  [SMALL_STATE(13626)] = 663680,
  [SMALL_STATE(13627)] = 663721,
  [SMALL_STATE(13628)] = 663776,
  [SMALL_STATE(13629)] = 663807,
  [SMALL_STATE(13630)] = 663862,
  [SMALL_STATE(13631)] = 663911,
  [SMALL_STATE(13632)] = 663952,
  [SMALL_STATE(13633)] = 664007,
  [SMALL_STATE(13634)] = 664042,
  [SMALL_STATE(13635)] = 664073,
  [SMALL_STATE(13636)] = 664114,
  [SMALL_STATE(13637)] = 664149,
  [SMALL_STATE(13638)] = 664204,
  [SMALL_STATE(13639)] = 664245,
  [SMALL_STATE(13640)] = 664280,
  [SMALL_STATE(13641)] = 664335,
  [SMALL_STATE(13642)] = 664370,
  [SMALL_STATE(13643)] = 664405,
  [SMALL_STATE(13644)] = 664460,
  [SMALL_STATE(13645)] = 664495,
  [SMALL_STATE(13646)] = 664526,
  [SMALL_STATE(13647)] = 664569,
  [SMALL_STATE(13648)] = 664612,
  [SMALL_STATE(13649)] = 664659,
  [SMALL_STATE(13650)] = 664708,
  [SMALL_STATE(13651)] = 664749,
  [SMALL_STATE(13652)] = 664804,
  [SMALL_STATE(13653)] = 664845,
  [SMALL_STATE(13654)] = 664900,
  [SMALL_STATE(13655)] = 664953,
  [SMALL_STATE(13656)] = 664990,
  [SMALL_STATE(13657)] = 665045,
  [SMALL_STATE(13658)] = 665100,
  [SMALL_STATE(13659)] = 665153,
  [SMALL_STATE(13660)] = 665188,
  [SMALL_STATE(13661)] = 665219,
  [SMALL_STATE(13662)] = 665274,
  [SMALL_STATE(13663)] = 665307,
  [SMALL_STATE(13664)] = 665348,
  [SMALL_STATE(13665)] = 665401,
  [SMALL_STATE(13666)] = 665436,
  [SMALL_STATE(13667)] = 665491,
  [SMALL_STATE(13668)] = 665526,
  [SMALL_STATE(13669)] = 665581,
  [SMALL_STATE(13670)] = 665632,
  [SMALL_STATE(13671)] = 665663,
  [SMALL_STATE(13672)] = 665698,
  [SMALL_STATE(13673)] = 665733,
  [SMALL_STATE(13674)] = 665788,
  [SMALL_STATE(13675)] = 665841,
  [SMALL_STATE(13676)] = 665874,
  [SMALL_STATE(13677)] = 665929,
  [SMALL_STATE(13678)] = 665962,
  [SMALL_STATE(13679)] = 665995,
  [SMALL_STATE(13680)] = 666044,
  [SMALL_STATE(13681)] = 666085,
  [SMALL_STATE(13682)] = 666120,
  [SMALL_STATE(13683)] = 666155,
  [SMALL_STATE(13684)] = 666198,
  [SMALL_STATE(13685)] = 666241,
  [SMALL_STATE(13686)] = 666288,
  [SMALL_STATE(13687)] = 666337,
  [SMALL_STATE(13688)] = 666390,
  [SMALL_STATE(13689)] = 666427,
  [SMALL_STATE(13690)] = 666480,
  [SMALL_STATE(13691)] = 666515,
  [SMALL_STATE(13692)] = 666550,
  [SMALL_STATE(13693)] = 666585,
  [SMALL_STATE(13694)] = 666638,
  [SMALL_STATE(13695)] = 666679,
  [SMALL_STATE(13696)] = 666710,
  [SMALL_STATE(13697)] = 666765,
  [SMALL_STATE(13698)] = 666806,
  [SMALL_STATE(13699)] = 666861,
  [SMALL_STATE(13700)] = 666894,
  [SMALL_STATE(13701)] = 666927,
  [SMALL_STATE(13702)] = 666976,
  [SMALL_STATE(13703)] = 667017,
  [SMALL_STATE(13704)] = 667052,
  [SMALL_STATE(13705)] = 667087,
  [SMALL_STATE(13706)] = 667130,
  [SMALL_STATE(13707)] = 667173,
  [SMALL_STATE(13708)] = 667220,
  [SMALL_STATE(13709)] = 667269,
  [SMALL_STATE(13710)] = 667322,
  [SMALL_STATE(13711)] = 667359,
  [SMALL_STATE(13712)] = 667412,
  [SMALL_STATE(13713)] = 667465,
  [SMALL_STATE(13714)] = 667496,
  [SMALL_STATE(13715)] = 667527,
  [SMALL_STATE(13716)] = 667558,
  [SMALL_STATE(13717)] = 667607,
  [SMALL_STATE(13718)] = 667638,
  [SMALL_STATE(13719)] = 667679,
  [SMALL_STATE(13720)] = 667714,
  [SMALL_STATE(13721)] = 667749,
  [SMALL_STATE(13722)] = 667792,
  [SMALL_STATE(13723)] = 667835,
  [SMALL_STATE(13724)] = 667882,
  [SMALL_STATE(13725)] = 667931,
  [SMALL_STATE(13726)] = 667984,
  [SMALL_STATE(13727)] = 668021,
  [SMALL_STATE(13728)] = 668074,
  [SMALL_STATE(13729)] = 668109,
  [SMALL_STATE(13730)] = 668162,
  [SMALL_STATE(13731)] = 668217,
  [SMALL_STATE(13732)] = 668260,
  [SMALL_STATE(13733)] = 668295,
  [SMALL_STATE(13734)] = 668350,
  [SMALL_STATE(13735)] = 668385,
  [SMALL_STATE(13736)] = 668434,
  [SMALL_STATE(13737)] = 668475,
  [SMALL_STATE(13738)] = 668510,
  [SMALL_STATE(13739)] = 668545,
  [SMALL_STATE(13740)] = 668588,
  [SMALL_STATE(13741)] = 668631,
  [SMALL_STATE(13742)] = 668678,
  [SMALL_STATE(13743)] = 668727,
  [SMALL_STATE(13744)] = 668780,
  [SMALL_STATE(13745)] = 668817,
  [SMALL_STATE(13746)] = 668852,
  [SMALL_STATE(13747)] = 668905,
  [SMALL_STATE(13748)] = 668938,
  [SMALL_STATE(13749)] = 668991,
  [SMALL_STATE(13750)] = 669032,
  [SMALL_STATE(13751)] = 669087,
  [SMALL_STATE(13752)] = 669142,
  [SMALL_STATE(13753)] = 669183,
  [SMALL_STATE(13754)] = 669224,
  [SMALL_STATE(13755)] = 669279,
  [SMALL_STATE(13756)] = 669334,
  [SMALL_STATE(13757)] = 669375,
  [SMALL_STATE(13758)] = 669410,
  [SMALL_STATE(13759)] = 669441,
  [SMALL_STATE(13760)] = 669476,
  [SMALL_STATE(13761)] = 669519,
  [SMALL_STATE(13762)] = 669554,
  [SMALL_STATE(13763)] = 669609,
  [SMALL_STATE(13764)] = 669662,
  [SMALL_STATE(13765)] = 669709,
  [SMALL_STATE(13766)] = 669750,
  [SMALL_STATE(13767)] = 669785,
  [SMALL_STATE(13768)] = 669820,
  [SMALL_STATE(13769)] = 669863,
  [SMALL_STATE(13770)] = 669906,
  [SMALL_STATE(13771)] = 669953,
  [SMALL_STATE(13772)] = 670000,
  [SMALL_STATE(13773)] = 670051,
  [SMALL_STATE(13774)] = 670088,
  [SMALL_STATE(13775)] = 670139,
  [SMALL_STATE(13776)] = 670174,
  [SMALL_STATE(13777)] = 670225,
  [SMALL_STATE(13778)] = 670280,
  [SMALL_STATE(13779)] = 670321,
  [SMALL_STATE(13780)] = 670362,
  [SMALL_STATE(13781)] = 670417,
  [SMALL_STATE(13782)] = 670472,
  [SMALL_STATE(13783)] = 670507,
  [SMALL_STATE(13784)] = 670540,
  [SMALL_STATE(13785)] = 670581,
  [SMALL_STATE(13786)] = 670636,
  [SMALL_STATE(13787)] = 670691,
  [SMALL_STATE(13788)] = 670734,
  [SMALL_STATE(13789)] = 670777,
  [SMALL_STATE(13790)] = 670832,
  [SMALL_STATE(13791)] = 670887,
  [SMALL_STATE(13792)] = 670928,
  [SMALL_STATE(13793)] = 670961,
  [SMALL_STATE(13794)] = 671004,
  [SMALL_STATE(13795)] = 671045,
  [SMALL_STATE(13796)] = 671100,
  [SMALL_STATE(13797)] = 671155,
  [SMALL_STATE(13798)] = 671208,
  [SMALL_STATE(13799)] = 671263,
  [SMALL_STATE(13800)] = 671318,
  [SMALL_STATE(13801)] = 671373,
  [SMALL_STATE(13802)] = 671408,
  [SMALL_STATE(13803)] = 671463,
  [SMALL_STATE(13804)] = 671504,
  [SMALL_STATE(13805)] = 671559,
  [SMALL_STATE(13806)] = 671590,
  [SMALL_STATE(13807)] = 671645,
  [SMALL_STATE(13808)] = 671700,
  [SMALL_STATE(13809)] = 671755,
  [SMALL_STATE(13810)] = 671796,
  [SMALL_STATE(13811)] = 671837,
  [SMALL_STATE(13812)] = 671884,
  [SMALL_STATE(13813)] = 671935,
  [SMALL_STATE(13814)] = 671982,
  [SMALL_STATE(13815)] = 672033,
  [SMALL_STATE(13816)] = 672088,
  [SMALL_STATE(13817)] = 672129,
  [SMALL_STATE(13818)] = 672160,
  [SMALL_STATE(13819)] = 672215,
  [SMALL_STATE(13820)] = 672256,
  [SMALL_STATE(13821)] = 672297,
  [SMALL_STATE(13822)] = 672334,
  [SMALL_STATE(13823)] = 672389,
  [SMALL_STATE(13824)] = 672444,
  [SMALL_STATE(13825)] = 672499,
  [SMALL_STATE(13826)] = 672554,
  [SMALL_STATE(13827)] = 672589,
  [SMALL_STATE(13828)] = 672630,
  [SMALL_STATE(13829)] = 672685,
  [SMALL_STATE(13830)] = 672740,
  [SMALL_STATE(13831)] = 672773,
  [SMALL_STATE(13832)] = 672814,
  [SMALL_STATE(13833)] = 672855,
  [SMALL_STATE(13834)] = 672896,
  [SMALL_STATE(13835)] = 672937,
  [SMALL_STATE(13836)] = 672978,
  [SMALL_STATE(13837)] = 673019,
  [SMALL_STATE(13838)] = 673060,
  [SMALL_STATE(13839)] = 673101,
  [SMALL_STATE(13840)] = 673142,
  [SMALL_STATE(13841)] = 673183,
  [SMALL_STATE(13842)] = 673224,
  [SMALL_STATE(13843)] = 673265,
  [SMALL_STATE(13844)] = 673306,
  [SMALL_STATE(13845)] = 673347,
  [SMALL_STATE(13846)] = 673388,
  [SMALL_STATE(13847)] = 673429,
  [SMALL_STATE(13848)] = 673484,
  [SMALL_STATE(13849)] = 673539,
  [SMALL_STATE(13850)] = 673594,
  [SMALL_STATE(13851)] = 673635,
  [SMALL_STATE(13852)] = 673690,
  [SMALL_STATE(13853)] = 673745,
  [SMALL_STATE(13854)] = 673800,
  [SMALL_STATE(13855)] = 673833,
  [SMALL_STATE(13856)] = 673868,
  [SMALL_STATE(13857)] = 673921,
  [SMALL_STATE(13858)] = 673976,
  [SMALL_STATE(13859)] = 674011,
  [SMALL_STATE(13860)] = 674046,
  [SMALL_STATE(13861)] = 674081,
  [SMALL_STATE(13862)] = 674116,
  [SMALL_STATE(13863)] = 674149,
  [SMALL_STATE(13864)] = 674190,
  [SMALL_STATE(13865)] = 674245,
  [SMALL_STATE(13866)] = 674300,
  [SMALL_STATE(13867)] = 674355,
  [SMALL_STATE(13868)] = 674390,
  [SMALL_STATE(13869)] = 674423,
  [SMALL_STATE(13870)] = 674458,
  [SMALL_STATE(13871)] = 674493,
  [SMALL_STATE(13872)] = 674526,
  [SMALL_STATE(13873)] = 674581,
  [SMALL_STATE(13874)] = 674616,
  [SMALL_STATE(13875)] = 674667,
  [SMALL_STATE(13876)] = 674708,
  [SMALL_STATE(13877)] = 674759,
  [SMALL_STATE(13878)] = 674794,
  [SMALL_STATE(13879)] = 674829,
  [SMALL_STATE(13880)] = 674884,
  [SMALL_STATE(13881)] = 674917,
  [SMALL_STATE(13882)] = 674958,
  [SMALL_STATE(13883)] = 674999,
  [SMALL_STATE(13884)] = 675034,
  [SMALL_STATE(13885)] = 675065,
  [SMALL_STATE(13886)] = 675100,
  [SMALL_STATE(13887)] = 675133,
  [SMALL_STATE(13888)] = 675188,
  [SMALL_STATE(13889)] = 675243,
  [SMALL_STATE(13890)] = 675290,
  [SMALL_STATE(13891)] = 675331,
  [SMALL_STATE(13892)] = 675366,
  [SMALL_STATE(13893)] = 675401,
  [SMALL_STATE(13894)] = 675444,
  [SMALL_STATE(13895)] = 675487,
  [SMALL_STATE(13896)] = 675534,
  [SMALL_STATE(13897)] = 675581,
  [SMALL_STATE(13898)] = 675632,
  [SMALL_STATE(13899)] = 675669,
  [SMALL_STATE(13900)] = 675720,
  [SMALL_STATE(13901)] = 675775,
  [SMALL_STATE(13902)] = 675810,
  [SMALL_STATE(13903)] = 675845,
  [SMALL_STATE(13904)] = 675896,
  [SMALL_STATE(13905)] = 675937,
  [SMALL_STATE(13906)] = 675968,
  [SMALL_STATE(13907)] = 676023,
  [SMALL_STATE(13908)] = 676064,
  [SMALL_STATE(13909)] = 676097,
  [SMALL_STATE(13910)] = 676152,
  [SMALL_STATE(13911)] = 676187,
  [SMALL_STATE(13912)] = 676242,
  [SMALL_STATE(13913)] = 676297,
  [SMALL_STATE(13914)] = 676328,
  [SMALL_STATE(13915)] = 676359,
  [SMALL_STATE(13916)] = 676390,
  [SMALL_STATE(13917)] = 676445,
  [SMALL_STATE(13918)] = 676480,
  [SMALL_STATE(13919)] = 676515,
  [SMALL_STATE(13920)] = 676570,
  [SMALL_STATE(13921)] = 676611,
  [SMALL_STATE(13922)] = 676652,
  [SMALL_STATE(13923)] = 676685,
  [SMALL_STATE(13924)] = 676740,
  [SMALL_STATE(13925)] = 676793,
  [SMALL_STATE(13926)] = 676848,
  [SMALL_STATE(13927)] = 676883,
  [SMALL_STATE(13928)] = 676924,
  [SMALL_STATE(13929)] = 676975,
  [SMALL_STATE(13930)] = 677016,
  [SMALL_STATE(13931)] = 677047,
  [SMALL_STATE(13932)] = 677078,
  [SMALL_STATE(13933)] = 677133,
  [SMALL_STATE(13934)] = 677166,
  [SMALL_STATE(13935)] = 677221,
  [SMALL_STATE(13936)] = 677256,
  [SMALL_STATE(13937)] = 677291,
  [SMALL_STATE(13938)] = 677326,
  [SMALL_STATE(13939)] = 677375,
  [SMALL_STATE(13940)] = 677416,
  [SMALL_STATE(13941)] = 677451,
  [SMALL_STATE(13942)] = 677486,
  [SMALL_STATE(13943)] = 677529,
  [SMALL_STATE(13944)] = 677572,
  [SMALL_STATE(13945)] = 677619,
  [SMALL_STATE(13946)] = 677668,
  [SMALL_STATE(13947)] = 677721,
  [SMALL_STATE(13948)] = 677758,
  [SMALL_STATE(13949)] = 677811,
  [SMALL_STATE(13950)] = 677846,
  [SMALL_STATE(13951)] = 677879,
  [SMALL_STATE(13952)] = 677914,
  [SMALL_STATE(13953)] = 677947,
  [SMALL_STATE(13954)] = 678000,
  [SMALL_STATE(13955)] = 678035,
  [SMALL_STATE(13956)] = 678066,
  [SMALL_STATE(13957)] = 678121,
  [SMALL_STATE(13958)] = 678176,
  [SMALL_STATE(13959)] = 678207,
  [SMALL_STATE(13960)] = 678248,
  [SMALL_STATE(13961)] = 678289,
  [SMALL_STATE(13962)] = 678328,
  [SMALL_STATE(13963)] = 678369,
  [SMALL_STATE(13964)] = 678400,
  [SMALL_STATE(13965)] = 678431,
  [SMALL_STATE(13966)] = 678486,
  [SMALL_STATE(13967)] = 678541,
  [SMALL_STATE(13968)] = 678582,
  [SMALL_STATE(13969)] = 678637,
  [SMALL_STATE(13970)] = 678692,
  [SMALL_STATE(13971)] = 678733,
  [SMALL_STATE(13972)] = 678788,
  [SMALL_STATE(13973)] = 678843,
  [SMALL_STATE(13974)] = 678898,
  [SMALL_STATE(13975)] = 678953,
  [SMALL_STATE(13976)] = 679008,
  [SMALL_STATE(13977)] = 679063,
  [SMALL_STATE(13978)] = 679118,
  [SMALL_STATE(13979)] = 679150,
  [SMALL_STATE(13980)] = 679182,
  [SMALL_STATE(13981)] = 679228,
  [SMALL_STATE(13982)] = 679276,
  [SMALL_STATE(13983)] = 679324,
  [SMALL_STATE(13984)] = 679374,
  [SMALL_STATE(13985)] = 679414,
  [SMALL_STATE(13986)] = 679444,
  [SMALL_STATE(13987)] = 679476,
  [SMALL_STATE(13988)] = 679510,
  [SMALL_STATE(13989)] = 679542,
  [SMALL_STATE(13990)] = 679582,
  [SMALL_STATE(13991)] = 679616,
  [SMALL_STATE(13992)] = 679658,
  [SMALL_STATE(13993)] = 679706,
  [SMALL_STATE(13994)] = 679738,
  [SMALL_STATE(13995)] = 679786,
  [SMALL_STATE(13996)] = 679832,
  [SMALL_STATE(13997)] = 679880,
  [SMALL_STATE(13998)] = 679910,
  [SMALL_STATE(13999)] = 679940,
  [SMALL_STATE(14000)] = 679982,
  [SMALL_STATE(14001)] = 680028,
  [SMALL_STATE(14002)] = 680068,
  [SMALL_STATE(14003)] = 680108,
  [SMALL_STATE(14004)] = 680154,
  [SMALL_STATE(14005)] = 680200,
  [SMALL_STATE(14006)] = 680234,
  [SMALL_STATE(14007)] = 680264,
  [SMALL_STATE(14008)] = 680298,
  [SMALL_STATE(14009)] = 680346,
  [SMALL_STATE(14010)] = 680400,
  [SMALL_STATE(14011)] = 680442,
  [SMALL_STATE(14012)] = 680472,
  [SMALL_STATE(14013)] = 680512,
  [SMALL_STATE(14014)] = 680560,
  [SMALL_STATE(14015)] = 680590,
  [SMALL_STATE(14016)] = 680638,
  [SMALL_STATE(14017)] = 680686,
  [SMALL_STATE(14018)] = 680726,
  [SMALL_STATE(14019)] = 680768,
  [SMALL_STATE(14020)] = 680816,
  [SMALL_STATE(14021)] = 680862,
  [SMALL_STATE(14022)] = 680892,
  [SMALL_STATE(14023)] = 680922,
  [SMALL_STATE(14024)] = 680952,
  [SMALL_STATE(14025)] = 680998,
  [SMALL_STATE(14026)] = 681048,
  [SMALL_STATE(14027)] = 681084,
  [SMALL_STATE(14028)] = 681134,
  [SMALL_STATE(14029)] = 681182,
  [SMALL_STATE(14030)] = 681230,
  [SMALL_STATE(14031)] = 681284,
  [SMALL_STATE(14032)] = 681316,
  [SMALL_STATE(14033)] = 681366,
  [SMALL_STATE(14034)] = 681412,
  [SMALL_STATE(14035)] = 681452,
  [SMALL_STATE(14036)] = 681482,
  [SMALL_STATE(14037)] = 681530,
  [SMALL_STATE(14038)] = 681578,
  [SMALL_STATE(14039)] = 681624,
  [SMALL_STATE(14040)] = 681672,
  [SMALL_STATE(14041)] = 681718,
  [SMALL_STATE(14042)] = 681766,
  [SMALL_STATE(14043)] = 681796,
  [SMALL_STATE(14044)] = 681846,
  [SMALL_STATE(14045)] = 681878,
  [SMALL_STATE(14046)] = 681908,
  [SMALL_STATE(14047)] = 681954,
  [SMALL_STATE(14048)] = 681984,
  [SMALL_STATE(14049)] = 682024,
  [SMALL_STATE(14050)] = 682072,
  [SMALL_STATE(14051)] = 682106,
  [SMALL_STATE(14052)] = 682136,
  [SMALL_STATE(14053)] = 682186,
  [SMALL_STATE(14054)] = 682234,
  [SMALL_STATE(14055)] = 682274,
  [SMALL_STATE(14056)] = 682308,
  [SMALL_STATE(14057)] = 682350,
  [SMALL_STATE(14058)] = 682392,
  [SMALL_STATE(14059)] = 682428,
  [SMALL_STATE(14060)] = 682474,
  [SMALL_STATE(14061)] = 682520,
  [SMALL_STATE(14062)] = 682568,
  [SMALL_STATE(14063)] = 682600,
  [SMALL_STATE(14064)] = 682650,
  [SMALL_STATE(14065)] = 682686,
  [SMALL_STATE(14066)] = 682736,
  [SMALL_STATE(14067)] = 682784,
  [SMALL_STATE(14068)] = 682824,
  [SMALL_STATE(14069)] = 682854,
  [SMALL_STATE(14070)] = 682884,
  [SMALL_STATE(14071)] = 682932,
  [SMALL_STATE(14072)] = 682964,
  [SMALL_STATE(14073)] = 682994,
  [SMALL_STATE(14074)] = 683042,
  [SMALL_STATE(14075)] = 683072,
  [SMALL_STATE(14076)] = 683120,
  [SMALL_STATE(14077)] = 683170,
  [SMALL_STATE(14078)] = 683218,
  [SMALL_STATE(14079)] = 683248,
  [SMALL_STATE(14080)] = 683298,
  [SMALL_STATE(14081)] = 683346,
  [SMALL_STATE(14082)] = 683380,
  [SMALL_STATE(14083)] = 683428,
  [SMALL_STATE(14084)] = 683468,
  [SMALL_STATE(14085)] = 683498,
  [SMALL_STATE(14086)] = 683528,
  [SMALL_STATE(14087)] = 683558,
  [SMALL_STATE(14088)] = 683588,
  [SMALL_STATE(14089)] = 683618,
  [SMALL_STATE(14090)] = 683648,
  [SMALL_STATE(14091)] = 683678,
  [SMALL_STATE(14092)] = 683718,
  [SMALL_STATE(14093)] = 683752,
  [SMALL_STATE(14094)] = 683800,
  [SMALL_STATE(14095)] = 683836,
  [SMALL_STATE(14096)] = 683884,
  [SMALL_STATE(14097)] = 683934,
  [SMALL_STATE(14098)] = 683966,
  [SMALL_STATE(14099)] = 683998,
  [SMALL_STATE(14100)] = 684028,
  [SMALL_STATE(14101)] = 684076,
  [SMALL_STATE(14102)] = 684128,
  [SMALL_STATE(14103)] = 684176,
  [SMALL_STATE(14104)] = 684206,
  [SMALL_STATE(14105)] = 684238,
  [SMALL_STATE(14106)] = 684268,
  [SMALL_STATE(14107)] = 684300,
  [SMALL_STATE(14108)] = 684332,
  [SMALL_STATE(14109)] = 684364,
  [SMALL_STATE(14110)] = 684418,
  [SMALL_STATE(14111)] = 684450,
  [SMALL_STATE(14112)] = 684500,
  [SMALL_STATE(14113)] = 684548,
  [SMALL_STATE(14114)] = 684600,
  [SMALL_STATE(14115)] = 684648,
  [SMALL_STATE(14116)] = 684696,
  [SMALL_STATE(14117)] = 684748,
  [SMALL_STATE(14118)] = 684778,
  [SMALL_STATE(14119)] = 684810,
  [SMALL_STATE(14120)] = 684858,
  [SMALL_STATE(14121)] = 684888,
  [SMALL_STATE(14122)] = 684920,
  [SMALL_STATE(14123)] = 684972,
  [SMALL_STATE(14124)] = 685010,
  [SMALL_STATE(14125)] = 685062,
  [SMALL_STATE(14126)] = 685110,
  [SMALL_STATE(14127)] = 685164,
  [SMALL_STATE(14128)] = 685214,
  [SMALL_STATE(14129)] = 685266,
  [SMALL_STATE(14130)] = 685318,
  [SMALL_STATE(14131)] = 685366,
  [SMALL_STATE(14132)] = 685414,
  [SMALL_STATE(14133)] = 685446,
  [SMALL_STATE(14134)] = 685488,
  [SMALL_STATE(14135)] = 685520,
  [SMALL_STATE(14136)] = 685552,
  [SMALL_STATE(14137)] = 685594,
  [SMALL_STATE(14138)] = 685624,
  [SMALL_STATE(14139)] = 685672,
  [SMALL_STATE(14140)] = 685720,
  [SMALL_STATE(14141)] = 685766,
  [SMALL_STATE(14142)] = 685806,
  [SMALL_STATE(14143)] = 685846,
  [SMALL_STATE(14144)] = 685892,
  [SMALL_STATE(14145)] = 685938,
  [SMALL_STATE(14146)] = 685990,
  [SMALL_STATE(14147)] = 686036,
  [SMALL_STATE(14148)] = 686084,
  [SMALL_STATE(14149)] = 686136,
  [SMALL_STATE(14150)] = 686166,
  [SMALL_STATE(14151)] = 686214,
  [SMALL_STATE(14152)] = 686244,
  [SMALL_STATE(14153)] = 686276,
  [SMALL_STATE(14154)] = 686306,
  [SMALL_STATE(14155)] = 686336,
  [SMALL_STATE(14156)] = 686382,
  [SMALL_STATE(14157)] = 686430,
  [SMALL_STATE(14158)] = 686480,
  [SMALL_STATE(14159)] = 686510,
  [SMALL_STATE(14160)] = 686542,
  [SMALL_STATE(14161)] = 686572,
  [SMALL_STATE(14162)] = 686618,
  [SMALL_STATE(14163)] = 686654,
  [SMALL_STATE(14164)] = 686702,
  [SMALL_STATE(14165)] = 686750,
  [SMALL_STATE(14166)] = 686780,
  [SMALL_STATE(14167)] = 686830,
  [SMALL_STATE(14168)] = 686860,
  [SMALL_STATE(14169)] = 686908,
  [SMALL_STATE(14170)] = 686956,
  [SMALL_STATE(14171)] = 686988,
  [SMALL_STATE(14172)] = 687018,
  [SMALL_STATE(14173)] = 687066,
  [SMALL_STATE(14174)] = 687116,
  [SMALL_STATE(14175)] = 687164,
  [SMALL_STATE(14176)] = 687212,
  [SMALL_STATE(14177)] = 687244,
  [SMALL_STATE(14178)] = 687276,
  [SMALL_STATE(14179)] = 687322,
  [SMALL_STATE(14180)] = 687370,
  [SMALL_STATE(14181)] = 687418,
  [SMALL_STATE(14182)] = 687468,
  [SMALL_STATE(14183)] = 687516,
  [SMALL_STATE(14184)] = 687548,
  [SMALL_STATE(14185)] = 687580,
  [SMALL_STATE(14186)] = 687610,
  [SMALL_STATE(14187)] = 687642,
  [SMALL_STATE(14188)] = 687674,
  [SMALL_STATE(14189)] = 687706,
  [SMALL_STATE(14190)] = 687738,
  [SMALL_STATE(14191)] = 687768,
  [SMALL_STATE(14192)] = 687800,
  [SMALL_STATE(14193)] = 687832,
  [SMALL_STATE(14194)] = 687864,
  [SMALL_STATE(14195)] = 687896,
  [SMALL_STATE(14196)] = 687928,
  [SMALL_STATE(14197)] = 687980,
  [SMALL_STATE(14198)] = 688031,
  [SMALL_STATE(14199)] = 688082,
  [SMALL_STATE(14200)] = 688133,
  [SMALL_STATE(14201)] = 688166,
  [SMALL_STATE(14202)] = 688217,
  [SMALL_STATE(14203)] = 688244,
  [SMALL_STATE(14204)] = 688281,
  [SMALL_STATE(14205)] = 688308,
  [SMALL_STATE(14206)] = 688335,
  [SMALL_STATE(14207)] = 688372,
  [SMALL_STATE(14208)] = 688415,
  [SMALL_STATE(14209)] = 688444,
  [SMALL_STATE(14210)] = 688471,
  [SMALL_STATE(14211)] = 688508,
  [SMALL_STATE(14212)] = 688559,
  [SMALL_STATE(14213)] = 688590,
  [SMALL_STATE(14214)] = 688641,
  [SMALL_STATE(14215)] = 688672,
  [SMALL_STATE(14216)] = 688723,
  [SMALL_STATE(14217)] = 688766,
  [SMALL_STATE(14218)] = 688803,
  [SMALL_STATE(14219)] = 688854,
  [SMALL_STATE(14220)] = 688891,
  [SMALL_STATE(14221)] = 688934,
  [SMALL_STATE(14222)] = 688985,
  [SMALL_STATE(14223)] = 689036,
  [SMALL_STATE(14224)] = 689087,
  [SMALL_STATE(14225)] = 689138,
  [SMALL_STATE(14226)] = 689166,
  [SMALL_STATE(14227)] = 689194,
  [SMALL_STATE(14228)] = 689232,
  [SMALL_STATE(14229)] = 689260,
  [SMALL_STATE(14230)] = 689288,
  [SMALL_STATE(14231)] = 689316,
  [SMALL_STATE(14232)] = 689350,
  [SMALL_STATE(14233)] = 689378,
  [SMALL_STATE(14234)] = 689406,
  [SMALL_STATE(14235)] = 689434,
  [SMALL_STATE(14236)] = 689470,
  [SMALL_STATE(14237)] = 689498,
  [SMALL_STATE(14238)] = 689530,
  [SMALL_STATE(14239)] = 689578,
  [SMALL_STATE(14240)] = 689606,
  [SMALL_STATE(14241)] = 689654,
  [SMALL_STATE(14242)] = 689682,
  [SMALL_STATE(14243)] = 689710,
  [SMALL_STATE(14244)] = 689740,
  [SMALL_STATE(14245)] = 689774,
  [SMALL_STATE(14246)] = 689820,
  [SMALL_STATE(14247)] = 689848,
  [SMALL_STATE(14248)] = 689876,
  [SMALL_STATE(14249)] = 689922,
  [SMALL_STATE(14250)] = 689950,
  [SMALL_STATE(14251)] = 689984,
  [SMALL_STATE(14252)] = 690018,
  [SMALL_STATE(14253)] = 690064,
  [SMALL_STATE(14254)] = 690112,
  [SMALL_STATE(14255)] = 690138,
  [SMALL_STATE(14256)] = 690166,
  [SMALL_STATE(14257)] = 690194,
  [SMALL_STATE(14258)] = 690222,
  [SMALL_STATE(14259)] = 690250,
  [SMALL_STATE(14260)] = 690278,
  [SMALL_STATE(14261)] = 690320,
  [SMALL_STATE(14262)] = 690348,
  [SMALL_STATE(14263)] = 690376,
  [SMALL_STATE(14264)] = 690418,
  [SMALL_STATE(14265)] = 690446,
  [SMALL_STATE(14266)] = 690474,
  [SMALL_STATE(14267)] = 690520,
  [SMALL_STATE(14268)] = 690548,
  [SMALL_STATE(14269)] = 690576,
  [SMALL_STATE(14270)] = 690604,
  [SMALL_STATE(14271)] = 690632,
  [SMALL_STATE(14272)] = 690666,
  [SMALL_STATE(14273)] = 690694,
  [SMALL_STATE(14274)] = 690722,
  [SMALL_STATE(14275)] = 690750,
  [SMALL_STATE(14276)] = 690782,
  [SMALL_STATE(14277)] = 690830,
  [SMALL_STATE(14278)] = 690864,
  [SMALL_STATE(14279)] = 690910,
  [SMALL_STATE(14280)] = 690956,
  [SMALL_STATE(14281)] = 691002,
  [SMALL_STATE(14282)] = 691030,
  [SMALL_STATE(14283)] = 691068,
  [SMALL_STATE(14284)] = 691114,
  [SMALL_STATE(14285)] = 691152,
  [SMALL_STATE(14286)] = 691200,
  [SMALL_STATE(14287)] = 691228,
  [SMALL_STATE(14288)] = 691258,
  [SMALL_STATE(14289)] = 691286,
  [SMALL_STATE(14290)] = 691314,
  [SMALL_STATE(14291)] = 691346,
  [SMALL_STATE(14292)] = 691394,
  [SMALL_STATE(14293)] = 691436,
  [SMALL_STATE(14294)] = 691464,
  [SMALL_STATE(14295)] = 691492,
  [SMALL_STATE(14296)] = 691520,
  [SMALL_STATE(14297)] = 691548,
  [SMALL_STATE(14298)] = 691576,
  [SMALL_STATE(14299)] = 691604,
  [SMALL_STATE(14300)] = 691632,
  [SMALL_STATE(14301)] = 691666,
  [SMALL_STATE(14302)] = 691700,
  [SMALL_STATE(14303)] = 691728,
  [SMALL_STATE(14304)] = 691767,
  [SMALL_STATE(14305)] = 691806,
  [SMALL_STATE(14306)] = 691845,
  [SMALL_STATE(14307)] = 691876,
  [SMALL_STATE(14308)] = 691915,
  [SMALL_STATE(14309)] = 691946,
  [SMALL_STATE(14310)] = 691973,
  [SMALL_STATE(14311)] = 692016,
  [SMALL_STATE(14312)] = 692055,
  [SMALL_STATE(14313)] = 692094,
  [SMALL_STATE(14314)] = 692133,
  [SMALL_STATE(14315)] = 692172,
  [SMALL_STATE(14316)] = 692203,
  [SMALL_STATE(14317)] = 692234,
  [SMALL_STATE(14318)] = 692273,
  [SMALL_STATE(14319)] = 692300,
  [SMALL_STATE(14320)] = 692339,
  [SMALL_STATE(14321)] = 692378,
  [SMALL_STATE(14322)] = 692417,
  [SMALL_STATE(14323)] = 692444,
  [SMALL_STATE(14324)] = 692475,
  [SMALL_STATE(14325)] = 692514,
  [SMALL_STATE(14326)] = 692553,
  [SMALL_STATE(14327)] = 692584,
  [SMALL_STATE(14328)] = 692623,
  [SMALL_STATE(14329)] = 692654,
  [SMALL_STATE(14330)] = 692685,
  [SMALL_STATE(14331)] = 692716,
  [SMALL_STATE(14332)] = 692747,
  [SMALL_STATE(14333)] = 692778,
  [SMALL_STATE(14334)] = 692809,
  [SMALL_STATE(14335)] = 692840,
  [SMALL_STATE(14336)] = 692871,
  [SMALL_STATE(14337)] = 692902,
  [SMALL_STATE(14338)] = 692941,
  [SMALL_STATE(14339)] = 692980,
  [SMALL_STATE(14340)] = 693011,
  [SMALL_STATE(14341)] = 693042,
  [SMALL_STATE(14342)] = 693073,
  [SMALL_STATE(14343)] = 693112,
  [SMALL_STATE(14344)] = 693155,
  [SMALL_STATE(14345)] = 693182,
  [SMALL_STATE(14346)] = 693221,
  [SMALL_STATE(14347)] = 693252,
  [SMALL_STATE(14348)] = 693283,
  [SMALL_STATE(14349)] = 693322,
  [SMALL_STATE(14350)] = 693353,
  [SMALL_STATE(14351)] = 693392,
  [SMALL_STATE(14352)] = 693435,
  [SMALL_STATE(14353)] = 693474,
  [SMALL_STATE(14354)] = 693505,
  [SMALL_STATE(14355)] = 693544,
  [SMALL_STATE(14356)] = 693575,
  [SMALL_STATE(14357)] = 693614,
  [SMALL_STATE(14358)] = 693645,
  [SMALL_STATE(14359)] = 693676,
  [SMALL_STATE(14360)] = 693703,
  [SMALL_STATE(14361)] = 693734,
  [SMALL_STATE(14362)] = 693765,
  [SMALL_STATE(14363)] = 693796,
  [SMALL_STATE(14364)] = 693835,
  [SMALL_STATE(14365)] = 693866,
  [SMALL_STATE(14366)] = 693905,
  [SMALL_STATE(14367)] = 693936,
  [SMALL_STATE(14368)] = 693967,
  [SMALL_STATE(14369)] = 693996,
  [SMALL_STATE(14370)] = 694027,
  [SMALL_STATE(14371)] = 694066,
  [SMALL_STATE(14372)] = 694105,
  [SMALL_STATE(14373)] = 694136,
  [SMALL_STATE(14374)] = 694175,
  [SMALL_STATE(14375)] = 694206,
  [SMALL_STATE(14376)] = 694237,
  [SMALL_STATE(14377)] = 694276,
  [SMALL_STATE(14378)] = 694303,
  [SMALL_STATE(14379)] = 694334,
  [SMALL_STATE(14380)] = 694377,
  [SMALL_STATE(14381)] = 694416,
  [SMALL_STATE(14382)] = 694447,
  [SMALL_STATE(14383)] = 694474,
  [SMALL_STATE(14384)] = 694513,
  [SMALL_STATE(14385)] = 694552,
  [SMALL_STATE(14386)] = 694583,
  [SMALL_STATE(14387)] = 694614,
  [SMALL_STATE(14388)] = 694657,
  [SMALL_STATE(14389)] = 694688,
  [SMALL_STATE(14390)] = 694719,
  [SMALL_STATE(14391)] = 694758,
  [SMALL_STATE(14392)] = 694797,
  [SMALL_STATE(14393)] = 694828,
  [SMALL_STATE(14394)] = 694867,
  [SMALL_STATE(14395)] = 694898,
  [SMALL_STATE(14396)] = 694937,
  [SMALL_STATE(14397)] = 694968,
  [SMALL_STATE(14398)] = 694995,
  [SMALL_STATE(14399)] = 695034,
  [SMALL_STATE(14400)] = 695077,
  [SMALL_STATE(14401)] = 695116,
  [SMALL_STATE(14402)] = 695155,
  [SMALL_STATE(14403)] = 695184,
  [SMALL_STATE(14404)] = 695215,
  [SMALL_STATE(14405)] = 695254,
  [SMALL_STATE(14406)] = 695297,
  [SMALL_STATE(14407)] = 695336,
  [SMALL_STATE(14408)] = 695375,
  [SMALL_STATE(14409)] = 695414,
  [SMALL_STATE(14410)] = 695445,
  [SMALL_STATE(14411)] = 695484,
  [SMALL_STATE(14412)] = 695515,
  [SMALL_STATE(14413)] = 695554,
  [SMALL_STATE(14414)] = 695593,
  [SMALL_STATE(14415)] = 695620,
  [SMALL_STATE(14416)] = 695647,
  [SMALL_STATE(14417)] = 695674,
  [SMALL_STATE(14418)] = 695713,
  [SMALL_STATE(14419)] = 695744,
  [SMALL_STATE(14420)] = 695775,
  [SMALL_STATE(14421)] = 695806,
  [SMALL_STATE(14422)] = 695845,
  [SMALL_STATE(14423)] = 695884,
  [SMALL_STATE(14424)] = 695923,
  [SMALL_STATE(14425)] = 695950,
  [SMALL_STATE(14426)] = 695981,
  [SMALL_STATE(14427)] = 696012,
  [SMALL_STATE(14428)] = 696043,
  [SMALL_STATE(14429)] = 696082,
  [SMALL_STATE(14430)] = 696113,
  [SMALL_STATE(14431)] = 696144,
  [SMALL_STATE(14432)] = 696171,
  [SMALL_STATE(14433)] = 696210,
  [SMALL_STATE(14434)] = 696249,
  [SMALL_STATE(14435)] = 696276,
  [SMALL_STATE(14436)] = 696303,
  [SMALL_STATE(14437)] = 696330,
  [SMALL_STATE(14438)] = 696361,
  [SMALL_STATE(14439)] = 696400,
  [SMALL_STATE(14440)] = 696439,
  [SMALL_STATE(14441)] = 696478,
  [SMALL_STATE(14442)] = 696509,
  [SMALL_STATE(14443)] = 696540,
  [SMALL_STATE(14444)] = 696571,
  [SMALL_STATE(14445)] = 696602,
  [SMALL_STATE(14446)] = 696633,
  [SMALL_STATE(14447)] = 696660,
  [SMALL_STATE(14448)] = 696687,
  [SMALL_STATE(14449)] = 696726,
  [SMALL_STATE(14450)] = 696753,
  [SMALL_STATE(14451)] = 696792,
  [SMALL_STATE(14452)] = 696823,
  [SMALL_STATE(14453)] = 696862,
  [SMALL_STATE(14454)] = 696893,
  [SMALL_STATE(14455)] = 696924,
  [SMALL_STATE(14456)] = 696955,
  [SMALL_STATE(14457)] = 696982,
  [SMALL_STATE(14458)] = 697013,
  [SMALL_STATE(14459)] = 697052,
  [SMALL_STATE(14460)] = 697091,
  [SMALL_STATE(14461)] = 697122,
  [SMALL_STATE(14462)] = 697153,
  [SMALL_STATE(14463)] = 697196,
  [SMALL_STATE(14464)] = 697235,
  [SMALL_STATE(14465)] = 697262,
  [SMALL_STATE(14466)] = 697301,
  [SMALL_STATE(14467)] = 697332,
  [SMALL_STATE(14468)] = 697363,
  [SMALL_STATE(14469)] = 697402,
  [SMALL_STATE(14470)] = 697433,
  [SMALL_STATE(14471)] = 697472,
  [SMALL_STATE(14472)] = 697511,
  [SMALL_STATE(14473)] = 697540,
  [SMALL_STATE(14474)] = 697579,
  [SMALL_STATE(14475)] = 697622,
  [SMALL_STATE(14476)] = 697649,
  [SMALL_STATE(14477)] = 697688,
  [SMALL_STATE(14478)] = 697727,
  [SMALL_STATE(14479)] = 697766,
  [SMALL_STATE(14480)] = 697805,
  [SMALL_STATE(14481)] = 697844,
  [SMALL_STATE(14482)] = 697883,
  [SMALL_STATE(14483)] = 697910,
  [SMALL_STATE(14484)] = 697941,
  [SMALL_STATE(14485)] = 697968,
  [SMALL_STATE(14486)] = 697999,
  [SMALL_STATE(14487)] = 698038,
  [SMALL_STATE(14488)] = 698065,
  [SMALL_STATE(14489)] = 698092,
  [SMALL_STATE(14490)] = 698117,
  [SMALL_STATE(14491)] = 698144,
  [SMALL_STATE(14492)] = 698183,
  [SMALL_STATE(14493)] = 698214,
  [SMALL_STATE(14494)] = 698253,
  [SMALL_STATE(14495)] = 698292,
  [SMALL_STATE(14496)] = 698331,
  [SMALL_STATE(14497)] = 698370,
  [SMALL_STATE(14498)] = 698409,
  [SMALL_STATE(14499)] = 698448,
  [SMALL_STATE(14500)] = 698491,
  [SMALL_STATE(14501)] = 698530,
  [SMALL_STATE(14502)] = 698569,
  [SMALL_STATE(14503)] = 698608,
  [SMALL_STATE(14504)] = 698637,
  [SMALL_STATE(14505)] = 698668,
  [SMALL_STATE(14506)] = 698707,
  [SMALL_STATE(14507)] = 698746,
  [SMALL_STATE(14508)] = 698773,
  [SMALL_STATE(14509)] = 698812,
  [SMALL_STATE(14510)] = 698839,
  [SMALL_STATE(14511)] = 698878,
  [SMALL_STATE(14512)] = 698909,
  [SMALL_STATE(14513)] = 698948,
  [SMALL_STATE(14514)] = 698987,
  [SMALL_STATE(14515)] = 699012,
  [SMALL_STATE(14516)] = 699051,
  [SMALL_STATE(14517)] = 699078,
  [SMALL_STATE(14518)] = 699117,
  [SMALL_STATE(14519)] = 699156,
  [SMALL_STATE(14520)] = 699195,
  [SMALL_STATE(14521)] = 699222,
  [SMALL_STATE(14522)] = 699261,
  [SMALL_STATE(14523)] = 699288,
  [SMALL_STATE(14524)] = 699319,
  [SMALL_STATE(14525)] = 699358,
  [SMALL_STATE(14526)] = 699389,
  [SMALL_STATE(14527)] = 699416,
  [SMALL_STATE(14528)] = 699443,
  [SMALL_STATE(14529)] = 699482,
  [SMALL_STATE(14530)] = 699521,
  [SMALL_STATE(14531)] = 699560,
  [SMALL_STATE(14532)] = 699599,
  [SMALL_STATE(14533)] = 699638,
  [SMALL_STATE(14534)] = 699669,
  [SMALL_STATE(14535)] = 699696,
  [SMALL_STATE(14536)] = 699727,
  [SMALL_STATE(14537)] = 699753,
  [SMALL_STATE(14538)] = 699783,
  [SMALL_STATE(14539)] = 699813,
  [SMALL_STATE(14540)] = 699839,
  [SMALL_STATE(14541)] = 699865,
  [SMALL_STATE(14542)] = 699891,
  [SMALL_STATE(14543)] = 699921,
  [SMALL_STATE(14544)] = 699951,
  [SMALL_STATE(14545)] = 699977,
  [SMALL_STATE(14546)] = 700003,
  [SMALL_STATE(14547)] = 700029,
  [SMALL_STATE(14548)] = 700055,
  [SMALL_STATE(14549)] = 700085,
  [SMALL_STATE(14550)] = 700111,
  [SMALL_STATE(14551)] = 700137,
  [SMALL_STATE(14552)] = 700163,
  [SMALL_STATE(14553)] = 700189,
  [SMALL_STATE(14554)] = 700215,
  [SMALL_STATE(14555)] = 700245,
  [SMALL_STATE(14556)] = 700271,
  [SMALL_STATE(14557)] = 700297,
  [SMALL_STATE(14558)] = 700323,
  [SMALL_STATE(14559)] = 700349,
  [SMALL_STATE(14560)] = 700375,
  [SMALL_STATE(14561)] = 700405,
  [SMALL_STATE(14562)] = 700431,
  [SMALL_STATE(14563)] = 700461,
  [SMALL_STATE(14564)] = 700491,
  [SMALL_STATE(14565)] = 700521,
  [SMALL_STATE(14566)] = 700549,
  [SMALL_STATE(14567)] = 700573,
  [SMALL_STATE(14568)] = 700603,
  [SMALL_STATE(14569)] = 700629,
  [SMALL_STATE(14570)] = 700659,
  [SMALL_STATE(14571)] = 700689,
  [SMALL_STATE(14572)] = 700715,
  [SMALL_STATE(14573)] = 700741,
  [SMALL_STATE(14574)] = 700765,
  [SMALL_STATE(14575)] = 700791,
  [SMALL_STATE(14576)] = 700815,
  [SMALL_STATE(14577)] = 700841,
  [SMALL_STATE(14578)] = 700867,
  [SMALL_STATE(14579)] = 700895,
  [SMALL_STATE(14580)] = 700925,
  [SMALL_STATE(14581)] = 700951,
  [SMALL_STATE(14582)] = 700981,
  [SMALL_STATE(14583)] = 701007,
  [SMALL_STATE(14584)] = 701033,
  [SMALL_STATE(14585)] = 701063,
  [SMALL_STATE(14586)] = 701089,
  [SMALL_STATE(14587)] = 701115,
  [SMALL_STATE(14588)] = 701141,
  [SMALL_STATE(14589)] = 701167,
  [SMALL_STATE(14590)] = 701193,
  [SMALL_STATE(14591)] = 701219,
  [SMALL_STATE(14592)] = 701245,
  [SMALL_STATE(14593)] = 701284,
  [SMALL_STATE(14594)] = 701307,
  [SMALL_STATE(14595)] = 701330,
  [SMALL_STATE(14596)] = 701353,
  [SMALL_STATE(14597)] = 701376,
  [SMALL_STATE(14598)] = 701415,
  [SMALL_STATE(14599)] = 701454,
  [SMALL_STATE(14600)] = 701493,
  [SMALL_STATE(14601)] = 701516,
  [SMALL_STATE(14602)] = 701543,
  [SMALL_STATE(14603)] = 701568,
  [SMALL_STATE(14604)] = 701609,
  [SMALL_STATE(14605)] = 701634,
  [SMALL_STATE(14606)] = 701667,
  [SMALL_STATE(14607)] = 701692,
  [SMALL_STATE(14608)] = 701721,
  [SMALL_STATE(14609)] = 701760,
  [SMALL_STATE(14610)] = 701783,
  [SMALL_STATE(14611)] = 701806,
  [SMALL_STATE(14612)] = 701835,
  [SMALL_STATE(14613)] = 701868,
  [SMALL_STATE(14614)] = 701909,
  [SMALL_STATE(14615)] = 701932,
  [SMALL_STATE(14616)] = 701973,
  [SMALL_STATE(14617)] = 702012,
  [SMALL_STATE(14618)] = 702053,
  [SMALL_STATE(14619)] = 702092,
  [SMALL_STATE(14620)] = 702115,
  [SMALL_STATE(14621)] = 702142,
  [SMALL_STATE(14622)] = 702165,
  [SMALL_STATE(14623)] = 702192,
  [SMALL_STATE(14624)] = 702215,
  [SMALL_STATE(14625)] = 702238,
  [SMALL_STATE(14626)] = 702279,
  [SMALL_STATE(14627)] = 702318,
  [SMALL_STATE(14628)] = 702343,
  [SMALL_STATE(14629)] = 702372,
  [SMALL_STATE(14630)] = 702401,
  [SMALL_STATE(14631)] = 702428,
  [SMALL_STATE(14632)] = 702451,
  [SMALL_STATE(14633)] = 702476,
  [SMALL_STATE(14634)] = 702505,
  [SMALL_STATE(14635)] = 702546,
  [SMALL_STATE(14636)] = 702584,
  [SMALL_STATE(14637)] = 702622,
  [SMALL_STATE(14638)] = 702652,
  [SMALL_STATE(14639)] = 702676,
  [SMALL_STATE(14640)] = 702702,
  [SMALL_STATE(14641)] = 702740,
  [SMALL_STATE(14642)] = 702778,
  [SMALL_STATE(14643)] = 702804,
  [SMALL_STATE(14644)] = 702828,
  [SMALL_STATE(14645)] = 702864,
  [SMALL_STATE(14646)] = 702894,
  [SMALL_STATE(14647)] = 702932,
  [SMALL_STATE(14648)] = 702970,
  [SMALL_STATE(14649)] = 703000,
  [SMALL_STATE(14650)] = 703030,
  [SMALL_STATE(14651)] = 703060,
  [SMALL_STATE(14652)] = 703098,
  [SMALL_STATE(14653)] = 703128,
  [SMALL_STATE(14654)] = 703154,
  [SMALL_STATE(14655)] = 703188,
  [SMALL_STATE(14656)] = 703212,
  [SMALL_STATE(14657)] = 703250,
  [SMALL_STATE(14658)] = 703284,
  [SMALL_STATE(14659)] = 703314,
  [SMALL_STATE(14660)] = 703350,
  [SMALL_STATE(14661)] = 703388,
  [SMALL_STATE(14662)] = 703418,
  [SMALL_STATE(14663)] = 703452,
  [SMALL_STATE(14664)] = 703482,
  [SMALL_STATE(14665)] = 703520,
  [SMALL_STATE(14666)] = 703544,
  [SMALL_STATE(14667)] = 703574,
  [SMALL_STATE(14668)] = 703612,
  [SMALL_STATE(14669)] = 703646,
  [SMALL_STATE(14670)] = 703670,
  [SMALL_STATE(14671)] = 703700,
  [SMALL_STATE(14672)] = 703738,
  [SMALL_STATE(14673)] = 703774,
  [SMALL_STATE(14674)] = 703810,
  [SMALL_STATE(14675)] = 703844,
  [SMALL_STATE(14676)] = 703868,
  [SMALL_STATE(14677)] = 703890,
  [SMALL_STATE(14678)] = 703928,
  [SMALL_STATE(14679)] = 703958,
  [SMALL_STATE(14680)] = 703988,
  [SMALL_STATE(14681)] = 704018,
  [SMALL_STATE(14682)] = 704048,
  [SMALL_STATE(14683)] = 704082,
  [SMALL_STATE(14684)] = 704120,
  [SMALL_STATE(14685)] = 704146,
  [SMALL_STATE(14686)] = 704184,
  [SMALL_STATE(14687)] = 704214,
  [SMALL_STATE(14688)] = 704248,
  [SMALL_STATE(14689)] = 704278,
  [SMALL_STATE(14690)] = 704308,
  [SMALL_STATE(14691)] = 704346,
  [SMALL_STATE(14692)] = 704384,
  [SMALL_STATE(14693)] = 704420,
  [SMALL_STATE(14694)] = 704450,
  [SMALL_STATE(14695)] = 704484,
  [SMALL_STATE(14696)] = 704514,
  [SMALL_STATE(14697)] = 704552,
  [SMALL_STATE(14698)] = 704576,
  [SMALL_STATE(14699)] = 704600,
  [SMALL_STATE(14700)] = 704630,
  [SMALL_STATE(14701)] = 704668,
  [SMALL_STATE(14702)] = 704706,
  [SMALL_STATE(14703)] = 704730,
  [SMALL_STATE(14704)] = 704754,
  [SMALL_STATE(14705)] = 704784,
  [SMALL_STATE(14706)] = 704818,
  [SMALL_STATE(14707)] = 704840,
  [SMALL_STATE(14708)] = 704862,
  [SMALL_STATE(14709)] = 704900,
  [SMALL_STATE(14710)] = 704938,
  [SMALL_STATE(14711)] = 704976,
  [SMALL_STATE(14712)] = 705000,
  [SMALL_STATE(14713)] = 705030,
  [SMALL_STATE(14714)] = 705060,
  [SMALL_STATE(14715)] = 705090,
  [SMALL_STATE(14716)] = 705120,
  [SMALL_STATE(14717)] = 705154,
  [SMALL_STATE(14718)] = 705190,
  [SMALL_STATE(14719)] = 705228,
  [SMALL_STATE(14720)] = 705258,
  [SMALL_STATE(14721)] = 705288,
  [SMALL_STATE(14722)] = 705326,
  [SMALL_STATE(14723)] = 705356,
  [SMALL_STATE(14724)] = 705392,
  [SMALL_STATE(14725)] = 705422,
  [SMALL_STATE(14726)] = 705460,
  [SMALL_STATE(14727)] = 705494,
  [SMALL_STATE(14728)] = 705522,
  [SMALL_STATE(14729)] = 705560,
  [SMALL_STATE(14730)] = 705582,
  [SMALL_STATE(14731)] = 705618,
  [SMALL_STATE(14732)] = 705656,
  [SMALL_STATE(14733)] = 705690,
  [SMALL_STATE(14734)] = 705712,
  [SMALL_STATE(14735)] = 705742,
  [SMALL_STATE(14736)] = 705776,
  [SMALL_STATE(14737)] = 705806,
  [SMALL_STATE(14738)] = 705836,
  [SMALL_STATE(14739)] = 705866,
  [SMALL_STATE(14740)] = 705900,
  [SMALL_STATE(14741)] = 705930,
  [SMALL_STATE(14742)] = 705954,
  [SMALL_STATE(14743)] = 705978,
  [SMALL_STATE(14744)] = 706014,
  [SMALL_STATE(14745)] = 706044,
  [SMALL_STATE(14746)] = 706082,
  [SMALL_STATE(14747)] = 706112,
  [SMALL_STATE(14748)] = 706142,
  [SMALL_STATE(14749)] = 706172,
  [SMALL_STATE(14750)] = 706202,
  [SMALL_STATE(14751)] = 706226,
  [SMALL_STATE(14752)] = 706256,
  [SMALL_STATE(14753)] = 706286,
  [SMALL_STATE(14754)] = 706324,
  [SMALL_STATE(14755)] = 706354,
  [SMALL_STATE(14756)] = 706390,
  [SMALL_STATE(14757)] = 706428,
  [SMALL_STATE(14758)] = 706458,
  [SMALL_STATE(14759)] = 706496,
  [SMALL_STATE(14760)] = 706526,
  [SMALL_STATE(14761)] = 706562,
  [SMALL_STATE(14762)] = 706592,
  [SMALL_STATE(14763)] = 706616,
  [SMALL_STATE(14764)] = 706646,
  [SMALL_STATE(14765)] = 706680,
  [SMALL_STATE(14766)] = 706706,
  [SMALL_STATE(14767)] = 706744,
  [SMALL_STATE(14768)] = 706768,
  [SMALL_STATE(14769)] = 706798,
  [SMALL_STATE(14770)] = 706828,
  [SMALL_STATE(14771)] = 706858,
  [SMALL_STATE(14772)] = 706894,
  [SMALL_STATE(14773)] = 706932,
  [SMALL_STATE(14774)] = 706962,
  [SMALL_STATE(14775)] = 707000,
  [SMALL_STATE(14776)] = 707024,
  [SMALL_STATE(14777)] = 707054,
  [SMALL_STATE(14778)] = 707078,
  [SMALL_STATE(14779)] = 707102,
  [SMALL_STATE(14780)] = 707126,
  [SMALL_STATE(14781)] = 707156,
  [SMALL_STATE(14782)] = 707186,
  [SMALL_STATE(14783)] = 707224,
  [SMALL_STATE(14784)] = 707262,
  [SMALL_STATE(14785)] = 707286,
  [SMALL_STATE(14786)] = 707310,
  [SMALL_STATE(14787)] = 707334,
  [SMALL_STATE(14788)] = 707358,
  [SMALL_STATE(14789)] = 707380,
  [SMALL_STATE(14790)] = 707410,
  [SMALL_STATE(14791)] = 707434,
  [SMALL_STATE(14792)] = 707464,
  [SMALL_STATE(14793)] = 707502,
  [SMALL_STATE(14794)] = 707526,
  [SMALL_STATE(14795)] = 707564,
  [SMALL_STATE(14796)] = 707602,
  [SMALL_STATE(14797)] = 707640,
  [SMALL_STATE(14798)] = 707676,
  [SMALL_STATE(14799)] = 707706,
  [SMALL_STATE(14800)] = 707730,
  [SMALL_STATE(14801)] = 707752,
  [SMALL_STATE(14802)] = 707776,
  [SMALL_STATE(14803)] = 707806,
  [SMALL_STATE(14804)] = 707844,
  [SMALL_STATE(14805)] = 707868,
  [SMALL_STATE(14806)] = 707906,
  [SMALL_STATE(14807)] = 707936,
  [SMALL_STATE(14808)] = 707970,
  [SMALL_STATE(14809)] = 708000,
  [SMALL_STATE(14810)] = 708038,
  [SMALL_STATE(14811)] = 708068,
  [SMALL_STATE(14812)] = 708102,
  [SMALL_STATE(14813)] = 708132,
  [SMALL_STATE(14814)] = 708162,
  [SMALL_STATE(14815)] = 708186,
  [SMALL_STATE(14816)] = 708224,
  [SMALL_STATE(14817)] = 708262,
  [SMALL_STATE(14818)] = 708286,
  [SMALL_STATE(14819)] = 708310,
  [SMALL_STATE(14820)] = 708348,
  [SMALL_STATE(14821)] = 708386,
  [SMALL_STATE(14822)] = 708416,
  [SMALL_STATE(14823)] = 708446,
  [SMALL_STATE(14824)] = 708484,
  [SMALL_STATE(14825)] = 708522,
  [SMALL_STATE(14826)] = 708560,
  [SMALL_STATE(14827)] = 708594,
  [SMALL_STATE(14828)] = 708616,
  [SMALL_STATE(14829)] = 708650,
  [SMALL_STATE(14830)] = 708688,
  [SMALL_STATE(14831)] = 708723,
  [SMALL_STATE(14832)] = 708758,
  [SMALL_STATE(14833)] = 708779,
  [SMALL_STATE(14834)] = 708800,
  [SMALL_STATE(14835)] = 708833,
  [SMALL_STATE(14836)] = 708866,
  [SMALL_STATE(14837)] = 708901,
  [SMALL_STATE(14838)] = 708934,
  [SMALL_STATE(14839)] = 708969,
  [SMALL_STATE(14840)] = 709002,
  [SMALL_STATE(14841)] = 709037,
  [SMALL_STATE(14842)] = 709072,
  [SMALL_STATE(14843)] = 709105,
  [SMALL_STATE(14844)] = 709138,
  [SMALL_STATE(14845)] = 709173,
  [SMALL_STATE(14846)] = 709208,
  [SMALL_STATE(14847)] = 709241,
  [SMALL_STATE(14848)] = 709274,
  [SMALL_STATE(14849)] = 709307,
  [SMALL_STATE(14850)] = 709342,
  [SMALL_STATE(14851)] = 709375,
  [SMALL_STATE(14852)] = 709410,
  [SMALL_STATE(14853)] = 709443,
  [SMALL_STATE(14854)] = 709478,
  [SMALL_STATE(14855)] = 709513,
  [SMALL_STATE(14856)] = 709546,
  [SMALL_STATE(14857)] = 709581,
  [SMALL_STATE(14858)] = 709616,
  [SMALL_STATE(14859)] = 709651,
  [SMALL_STATE(14860)] = 709684,
  [SMALL_STATE(14861)] = 709709,
  [SMALL_STATE(14862)] = 709742,
  [SMALL_STATE(14863)] = 709777,
  [SMALL_STATE(14864)] = 709810,
  [SMALL_STATE(14865)] = 709843,
  [SMALL_STATE(14866)] = 709868,
  [SMALL_STATE(14867)] = 709903,
  [SMALL_STATE(14868)] = 709938,
  [SMALL_STATE(14869)] = 709971,
  [SMALL_STATE(14870)] = 709996,
  [SMALL_STATE(14871)] = 710023,
  [SMALL_STATE(14872)] = 710058,
  [SMALL_STATE(14873)] = 710093,
  [SMALL_STATE(14874)] = 710116,
  [SMALL_STATE(14875)] = 710151,
  [SMALL_STATE(14876)] = 710184,
  [SMALL_STATE(14877)] = 710217,
  [SMALL_STATE(14878)] = 710244,
  [SMALL_STATE(14879)] = 710277,
  [SMALL_STATE(14880)] = 710312,
  [SMALL_STATE(14881)] = 710335,
  [SMALL_STATE(14882)] = 710368,
  [SMALL_STATE(14883)] = 710403,
  [SMALL_STATE(14884)] = 710426,
  [SMALL_STATE(14885)] = 710451,
  [SMALL_STATE(14886)] = 710486,
  [SMALL_STATE(14887)] = 710521,
  [SMALL_STATE(14888)] = 710554,
  [SMALL_STATE(14889)] = 710587,
  [SMALL_STATE(14890)] = 710620,
  [SMALL_STATE(14891)] = 710643,
  [SMALL_STATE(14892)] = 710676,
  [SMALL_STATE(14893)] = 710709,
  [SMALL_STATE(14894)] = 710744,
  [SMALL_STATE(14895)] = 710769,
  [SMALL_STATE(14896)] = 710802,
  [SMALL_STATE(14897)] = 710827,
  [SMALL_STATE(14898)] = 710848,
  [SMALL_STATE(14899)] = 710883,
  [SMALL_STATE(14900)] = 710916,
  [SMALL_STATE(14901)] = 710943,
  [SMALL_STATE(14902)] = 710970,
  [SMALL_STATE(14903)] = 710997,
  [SMALL_STATE(14904)] = 711032,
  [SMALL_STATE(14905)] = 711064,
  [SMALL_STATE(14906)] = 711096,
  [SMALL_STATE(14907)] = 711128,
  [SMALL_STATE(14908)] = 711160,
  [SMALL_STATE(14909)] = 711192,
  [SMALL_STATE(14910)] = 711224,
  [SMALL_STATE(14911)] = 711254,
  [SMALL_STATE(14912)] = 711286,
  [SMALL_STATE(14913)] = 711318,
  [SMALL_STATE(14914)] = 711350,
  [SMALL_STATE(14915)] = 711382,
  [SMALL_STATE(14916)] = 711412,
  [SMALL_STATE(14917)] = 711444,
  [SMALL_STATE(14918)] = 711476,
  [SMALL_STATE(14919)] = 711506,
  [SMALL_STATE(14920)] = 711538,
  [SMALL_STATE(14921)] = 711568,
  [SMALL_STATE(14922)] = 711592,
  [SMALL_STATE(14923)] = 711624,
  [SMALL_STATE(14924)] = 711654,
  [SMALL_STATE(14925)] = 711686,
  [SMALL_STATE(14926)] = 711718,
  [SMALL_STATE(14927)] = 711750,
  [SMALL_STATE(14928)] = 711782,
  [SMALL_STATE(14929)] = 711814,
  [SMALL_STATE(14930)] = 711846,
  [SMALL_STATE(14931)] = 711878,
  [SMALL_STATE(14932)] = 711902,
  [SMALL_STATE(14933)] = 711924,
  [SMALL_STATE(14934)] = 711956,
  [SMALL_STATE(14935)] = 711988,
  [SMALL_STATE(14936)] = 712020,
  [SMALL_STATE(14937)] = 712044,
  [SMALL_STATE(14938)] = 712068,
  [SMALL_STATE(14939)] = 712100,
  [SMALL_STATE(14940)] = 712132,
  [SMALL_STATE(14941)] = 712164,
  [SMALL_STATE(14942)] = 712186,
  [SMALL_STATE(14943)] = 712210,
  [SMALL_STATE(14944)] = 712230,
  [SMALL_STATE(14945)] = 712262,
  [SMALL_STATE(14946)] = 712294,
  [SMALL_STATE(14947)] = 712326,
  [SMALL_STATE(14948)] = 712358,
  [SMALL_STATE(14949)] = 712390,
  [SMALL_STATE(14950)] = 712422,
  [SMALL_STATE(14951)] = 712444,
  [SMALL_STATE(14952)] = 712476,
  [SMALL_STATE(14953)] = 712506,
  [SMALL_STATE(14954)] = 712538,
  [SMALL_STATE(14955)] = 712570,
  [SMALL_STATE(14956)] = 712590,
  [SMALL_STATE(14957)] = 712622,
  [SMALL_STATE(14958)] = 712654,
  [SMALL_STATE(14959)] = 712686,
  [SMALL_STATE(14960)] = 712718,
  [SMALL_STATE(14961)] = 712750,
  [SMALL_STATE(14962)] = 712774,
  [SMALL_STATE(14963)] = 712806,
  [SMALL_STATE(14964)] = 712838,
  [SMALL_STATE(14965)] = 712870,
  [SMALL_STATE(14966)] = 712894,
  [SMALL_STATE(14967)] = 712926,
  [SMALL_STATE(14968)] = 712958,
  [SMALL_STATE(14969)] = 712986,
  [SMALL_STATE(14970)] = 713018,
  [SMALL_STATE(14971)] = 713038,
  [SMALL_STATE(14972)] = 713068,
  [SMALL_STATE(14973)] = 713100,
  [SMALL_STATE(14974)] = 713132,
  [SMALL_STATE(14975)] = 713164,
  [SMALL_STATE(14976)] = 713186,
  [SMALL_STATE(14977)] = 713208,
  [SMALL_STATE(14978)] = 713230,
  [SMALL_STATE(14979)] = 713262,
  [SMALL_STATE(14980)] = 713284,
  [SMALL_STATE(14981)] = 713306,
  [SMALL_STATE(14982)] = 713328,
  [SMALL_STATE(14983)] = 713360,
  [SMALL_STATE(14984)] = 713392,
  [SMALL_STATE(14985)] = 713424,
  [SMALL_STATE(14986)] = 713456,
  [SMALL_STATE(14987)] = 713488,
  [SMALL_STATE(14988)] = 713510,
  [SMALL_STATE(14989)] = 713532,
  [SMALL_STATE(14990)] = 713564,
  [SMALL_STATE(14991)] = 713594,
  [SMALL_STATE(14992)] = 713626,
  [SMALL_STATE(14993)] = 713658,
  [SMALL_STATE(14994)] = 713680,
  [SMALL_STATE(14995)] = 713712,
  [SMALL_STATE(14996)] = 713744,
  [SMALL_STATE(14997)] = 713776,
  [SMALL_STATE(14998)] = 713798,
  [SMALL_STATE(14999)] = 713820,
  [SMALL_STATE(15000)] = 713852,
  [SMALL_STATE(15001)] = 713876,
  [SMALL_STATE(15002)] = 713898,
  [SMALL_STATE(15003)] = 713930,
  [SMALL_STATE(15004)] = 713954,
  [SMALL_STATE(15005)] = 713986,
  [SMALL_STATE(15006)] = 714018,
  [SMALL_STATE(15007)] = 714048,
  [SMALL_STATE(15008)] = 714080,
  [SMALL_STATE(15009)] = 714112,
  [SMALL_STATE(15010)] = 714144,
  [SMALL_STATE(15011)] = 714176,
  [SMALL_STATE(15012)] = 714208,
  [SMALL_STATE(15013)] = 714240,
  [SMALL_STATE(15014)] = 714270,
  [SMALL_STATE(15015)] = 714298,
  [SMALL_STATE(15016)] = 714330,
  [SMALL_STATE(15017)] = 714362,
  [SMALL_STATE(15018)] = 714394,
  [SMALL_STATE(15019)] = 714416,
  [SMALL_STATE(15020)] = 714436,
  [SMALL_STATE(15021)] = 714468,
  [SMALL_STATE(15022)] = 714500,
  [SMALL_STATE(15023)] = 714532,
  [SMALL_STATE(15024)] = 714554,
  [SMALL_STATE(15025)] = 714586,
  [SMALL_STATE(15026)] = 714618,
  [SMALL_STATE(15027)] = 714638,
  [SMALL_STATE(15028)] = 714662,
  [SMALL_STATE(15029)] = 714682,
  [SMALL_STATE(15030)] = 714714,
  [SMALL_STATE(15031)] = 714746,
  [SMALL_STATE(15032)] = 714778,
  [SMALL_STATE(15033)] = 714810,
  [SMALL_STATE(15034)] = 714842,
  [SMALL_STATE(15035)] = 714874,
  [SMALL_STATE(15036)] = 714906,
  [SMALL_STATE(15037)] = 714938,
  [SMALL_STATE(15038)] = 714970,
  [SMALL_STATE(15039)] = 715002,
  [SMALL_STATE(15040)] = 715034,
  [SMALL_STATE(15041)] = 715066,
  [SMALL_STATE(15042)] = 715098,
  [SMALL_STATE(15043)] = 715130,
  [SMALL_STATE(15044)] = 715162,
  [SMALL_STATE(15045)] = 715194,
  [SMALL_STATE(15046)] = 715226,
  [SMALL_STATE(15047)] = 715258,
  [SMALL_STATE(15048)] = 715290,
  [SMALL_STATE(15049)] = 715322,
  [SMALL_STATE(15050)] = 715354,
  [SMALL_STATE(15051)] = 715382,
  [SMALL_STATE(15052)] = 715414,
  [SMALL_STATE(15053)] = 715446,
  [SMALL_STATE(15054)] = 715478,
  [SMALL_STATE(15055)] = 715510,
  [SMALL_STATE(15056)] = 715542,
  [SMALL_STATE(15057)] = 715574,
  [SMALL_STATE(15058)] = 715606,
  [SMALL_STATE(15059)] = 715638,
  [SMALL_STATE(15060)] = 715670,
  [SMALL_STATE(15061)] = 715702,
  [SMALL_STATE(15062)] = 715734,
  [SMALL_STATE(15063)] = 715766,
  [SMALL_STATE(15064)] = 715798,
  [SMALL_STATE(15065)] = 715830,
  [SMALL_STATE(15066)] = 715862,
  [SMALL_STATE(15067)] = 715894,
  [SMALL_STATE(15068)] = 715926,
  [SMALL_STATE(15069)] = 715958,
  [SMALL_STATE(15070)] = 715990,
  [SMALL_STATE(15071)] = 716012,
  [SMALL_STATE(15072)] = 716044,
  [SMALL_STATE(15073)] = 716066,
  [SMALL_STATE(15074)] = 716098,
  [SMALL_STATE(15075)] = 716130,
  [SMALL_STATE(15076)] = 716162,
  [SMALL_STATE(15077)] = 716184,
  [SMALL_STATE(15078)] = 716208,
  [SMALL_STATE(15079)] = 716230,
  [SMALL_STATE(15080)] = 716252,
  [SMALL_STATE(15081)] = 716284,
  [SMALL_STATE(15082)] = 716306,
  [SMALL_STATE(15083)] = 716338,
  [SMALL_STATE(15084)] = 716370,
  [SMALL_STATE(15085)] = 716402,
  [SMALL_STATE(15086)] = 716434,
  [SMALL_STATE(15087)] = 716466,
  [SMALL_STATE(15088)] = 716488,
  [SMALL_STATE(15089)] = 716510,
  [SMALL_STATE(15090)] = 716532,
  [SMALL_STATE(15091)] = 716564,
  [SMALL_STATE(15092)] = 716596,
  [SMALL_STATE(15093)] = 716618,
  [SMALL_STATE(15094)] = 716650,
  [SMALL_STATE(15095)] = 716682,
  [SMALL_STATE(15096)] = 716714,
  [SMALL_STATE(15097)] = 716746,
  [SMALL_STATE(15098)] = 716778,
  [SMALL_STATE(15099)] = 716810,
  [SMALL_STATE(15100)] = 716842,
  [SMALL_STATE(15101)] = 716874,
  [SMALL_STATE(15102)] = 716906,
  [SMALL_STATE(15103)] = 716938,
  [SMALL_STATE(15104)] = 716970,
  [SMALL_STATE(15105)] = 717002,
  [SMALL_STATE(15106)] = 717034,
  [SMALL_STATE(15107)] = 717066,
  [SMALL_STATE(15108)] = 717098,
  [SMALL_STATE(15109)] = 717130,
  [SMALL_STATE(15110)] = 717162,
  [SMALL_STATE(15111)] = 717194,
  [SMALL_STATE(15112)] = 717226,
  [SMALL_STATE(15113)] = 717258,
  [SMALL_STATE(15114)] = 717290,
  [SMALL_STATE(15115)] = 717322,
  [SMALL_STATE(15116)] = 717354,
  [SMALL_STATE(15117)] = 717386,
  [SMALL_STATE(15118)] = 717408,
  [SMALL_STATE(15119)] = 717440,
  [SMALL_STATE(15120)] = 717470,
  [SMALL_STATE(15121)] = 717502,
  [SMALL_STATE(15122)] = 717534,
  [SMALL_STATE(15123)] = 717566,
  [SMALL_STATE(15124)] = 717598,
  [SMALL_STATE(15125)] = 717630,
  [SMALL_STATE(15126)] = 717662,
  [SMALL_STATE(15127)] = 717694,
  [SMALL_STATE(15128)] = 717726,
  [SMALL_STATE(15129)] = 717758,
  [SMALL_STATE(15130)] = 717780,
  [SMALL_STATE(15131)] = 717812,
  [SMALL_STATE(15132)] = 717844,
  [SMALL_STATE(15133)] = 717876,
  [SMALL_STATE(15134)] = 717908,
  [SMALL_STATE(15135)] = 717940,
  [SMALL_STATE(15136)] = 717972,
  [SMALL_STATE(15137)] = 718004,
  [SMALL_STATE(15138)] = 718036,
  [SMALL_STATE(15139)] = 718068,
  [SMALL_STATE(15140)] = 718100,
  [SMALL_STATE(15141)] = 718132,
  [SMALL_STATE(15142)] = 718164,
  [SMALL_STATE(15143)] = 718196,
  [SMALL_STATE(15144)] = 718228,
  [SMALL_STATE(15145)] = 718260,
  [SMALL_STATE(15146)] = 718284,
  [SMALL_STATE(15147)] = 718316,
  [SMALL_STATE(15148)] = 718348,
  [SMALL_STATE(15149)] = 718380,
  [SMALL_STATE(15150)] = 718412,
  [SMALL_STATE(15151)] = 718444,
  [SMALL_STATE(15152)] = 718476,
  [SMALL_STATE(15153)] = 718508,
  [SMALL_STATE(15154)] = 718540,
  [SMALL_STATE(15155)] = 718572,
  [SMALL_STATE(15156)] = 718604,
  [SMALL_STATE(15157)] = 718636,
  [SMALL_STATE(15158)] = 718668,
  [SMALL_STATE(15159)] = 718700,
  [SMALL_STATE(15160)] = 718732,
  [SMALL_STATE(15161)] = 718764,
  [SMALL_STATE(15162)] = 718796,
  [SMALL_STATE(15163)] = 718826,
  [SMALL_STATE(15164)] = 718858,
  [SMALL_STATE(15165)] = 718890,
  [SMALL_STATE(15166)] = 718922,
  [SMALL_STATE(15167)] = 718954,
  [SMALL_STATE(15168)] = 718986,
  [SMALL_STATE(15169)] = 719018,
  [SMALL_STATE(15170)] = 719050,
  [SMALL_STATE(15171)] = 719082,
  [SMALL_STATE(15172)] = 719114,
  [SMALL_STATE(15173)] = 719146,
  [SMALL_STATE(15174)] = 719178,
  [SMALL_STATE(15175)] = 719210,
  [SMALL_STATE(15176)] = 719242,
  [SMALL_STATE(15177)] = 719274,
  [SMALL_STATE(15178)] = 719306,
  [SMALL_STATE(15179)] = 719338,
  [SMALL_STATE(15180)] = 719370,
  [SMALL_STATE(15181)] = 719402,
  [SMALL_STATE(15182)] = 719434,
  [SMALL_STATE(15183)] = 719466,
  [SMALL_STATE(15184)] = 719496,
  [SMALL_STATE(15185)] = 719526,
  [SMALL_STATE(15186)] = 719550,
  [SMALL_STATE(15187)] = 719578,
  [SMALL_STATE(15188)] = 719600,
  [SMALL_STATE(15189)] = 719624,
  [SMALL_STATE(15190)] = 719646,
  [SMALL_STATE(15191)] = 719678,
  [SMALL_STATE(15192)] = 719708,
  [SMALL_STATE(15193)] = 719738,
  [SMALL_STATE(15194)] = 719768,
  [SMALL_STATE(15195)] = 719800,
  [SMALL_STATE(15196)] = 719830,
  [SMALL_STATE(15197)] = 719860,
  [SMALL_STATE(15198)] = 719890,
  [SMALL_STATE(15199)] = 719920,
  [SMALL_STATE(15200)] = 719946,
  [SMALL_STATE(15201)] = 719976,
  [SMALL_STATE(15202)] = 720006,
  [SMALL_STATE(15203)] = 720038,
  [SMALL_STATE(15204)] = 720070,
  [SMALL_STATE(15205)] = 720090,
  [SMALL_STATE(15206)] = 720112,
  [SMALL_STATE(15207)] = 720142,
  [SMALL_STATE(15208)] = 720164,
  [SMALL_STATE(15209)] = 720186,
  [SMALL_STATE(15210)] = 720208,
  [SMALL_STATE(15211)] = 720238,
  [SMALL_STATE(15212)] = 720260,
  [SMALL_STATE(15213)] = 720282,
  [SMALL_STATE(15214)] = 720312,
  [SMALL_STATE(15215)] = 720342,
  [SMALL_STATE(15216)] = 720374,
  [SMALL_STATE(15217)] = 720406,
  [SMALL_STATE(15218)] = 720436,
  [SMALL_STATE(15219)] = 720458,
  [SMALL_STATE(15220)] = 720490,
  [SMALL_STATE(15221)] = 720522,
  [SMALL_STATE(15222)] = 720554,
  [SMALL_STATE(15223)] = 720586,
  [SMALL_STATE(15224)] = 720618,
  [SMALL_STATE(15225)] = 720650,
  [SMALL_STATE(15226)] = 720674,
  [SMALL_STATE(15227)] = 720706,
  [SMALL_STATE(15228)] = 720738,
  [SMALL_STATE(15229)] = 720770,
  [SMALL_STATE(15230)] = 720802,
  [SMALL_STATE(15231)] = 720824,
  [SMALL_STATE(15232)] = 720852,
  [SMALL_STATE(15233)] = 720884,
  [SMALL_STATE(15234)] = 720916,
  [SMALL_STATE(15235)] = 720948,
  [SMALL_STATE(15236)] = 720980,
  [SMALL_STATE(15237)] = 721012,
  [SMALL_STATE(15238)] = 721034,
  [SMALL_STATE(15239)] = 721066,
  [SMALL_STATE(15240)] = 721098,
  [SMALL_STATE(15241)] = 721130,
  [SMALL_STATE(15242)] = 721158,
  [SMALL_STATE(15243)] = 721180,
  [SMALL_STATE(15244)] = 721212,
  [SMALL_STATE(15245)] = 721232,
  [SMALL_STATE(15246)] = 721262,
  [SMALL_STATE(15247)] = 721292,
  [SMALL_STATE(15248)] = 721314,
  [SMALL_STATE(15249)] = 721336,
  [SMALL_STATE(15250)] = 721358,
  [SMALL_STATE(15251)] = 721390,
  [SMALL_STATE(15252)] = 721412,
  [SMALL_STATE(15253)] = 721442,
  [SMALL_STATE(15254)] = 721472,
  [SMALL_STATE(15255)] = 721502,
  [SMALL_STATE(15256)] = 721534,
  [SMALL_STATE(15257)] = 721561,
  [SMALL_STATE(15258)] = 721590,
  [SMALL_STATE(15259)] = 721611,
  [SMALL_STATE(15260)] = 721640,
  [SMALL_STATE(15261)] = 721669,
  [SMALL_STATE(15262)] = 721690,
  [SMALL_STATE(15263)] = 721719,
  [SMALL_STATE(15264)] = 721748,
  [SMALL_STATE(15265)] = 721777,
  [SMALL_STATE(15266)] = 721806,
  [SMALL_STATE(15267)] = 721835,
  [SMALL_STATE(15268)] = 721864,
  [SMALL_STATE(15269)] = 721893,
  [SMALL_STATE(15270)] = 721922,
  [SMALL_STATE(15271)] = 721943,
  [SMALL_STATE(15272)] = 721972,
  [SMALL_STATE(15273)] = 722001,
  [SMALL_STATE(15274)] = 722030,
  [SMALL_STATE(15275)] = 722059,
  [SMALL_STATE(15276)] = 722088,
  [SMALL_STATE(15277)] = 722117,
  [SMALL_STATE(15278)] = 722146,
  [SMALL_STATE(15279)] = 722175,
  [SMALL_STATE(15280)] = 722204,
  [SMALL_STATE(15281)] = 722233,
  [SMALL_STATE(15282)] = 722260,
  [SMALL_STATE(15283)] = 722289,
  [SMALL_STATE(15284)] = 722318,
  [SMALL_STATE(15285)] = 722339,
  [SMALL_STATE(15286)] = 722360,
  [SMALL_STATE(15287)] = 722389,
  [SMALL_STATE(15288)] = 722418,
  [SMALL_STATE(15289)] = 722447,
  [SMALL_STATE(15290)] = 722476,
  [SMALL_STATE(15291)] = 722505,
  [SMALL_STATE(15292)] = 722526,
  [SMALL_STATE(15293)] = 722555,
  [SMALL_STATE(15294)] = 722584,
  [SMALL_STATE(15295)] = 722613,
  [SMALL_STATE(15296)] = 722642,
  [SMALL_STATE(15297)] = 722671,
  [SMALL_STATE(15298)] = 722700,
  [SMALL_STATE(15299)] = 722729,
  [SMALL_STATE(15300)] = 722758,
  [SMALL_STATE(15301)] = 722787,
  [SMALL_STATE(15302)] = 722816,
  [SMALL_STATE(15303)] = 722845,
  [SMALL_STATE(15304)] = 722874,
  [SMALL_STATE(15305)] = 722903,
  [SMALL_STATE(15306)] = 722932,
  [SMALL_STATE(15307)] = 722961,
  [SMALL_STATE(15308)] = 722982,
  [SMALL_STATE(15309)] = 723003,
  [SMALL_STATE(15310)] = 723032,
  [SMALL_STATE(15311)] = 723061,
  [SMALL_STATE(15312)] = 723090,
  [SMALL_STATE(15313)] = 723119,
  [SMALL_STATE(15314)] = 723148,
  [SMALL_STATE(15315)] = 723177,
  [SMALL_STATE(15316)] = 723206,
  [SMALL_STATE(15317)] = 723233,
  [SMALL_STATE(15318)] = 723262,
  [SMALL_STATE(15319)] = 723291,
  [SMALL_STATE(15320)] = 723312,
  [SMALL_STATE(15321)] = 723341,
  [SMALL_STATE(15322)] = 723370,
  [SMALL_STATE(15323)] = 723399,
  [SMALL_STATE(15324)] = 723428,
  [SMALL_STATE(15325)] = 723449,
  [SMALL_STATE(15326)] = 723478,
  [SMALL_STATE(15327)] = 723499,
  [SMALL_STATE(15328)] = 723528,
  [SMALL_STATE(15329)] = 723557,
  [SMALL_STATE(15330)] = 723584,
  [SMALL_STATE(15331)] = 723613,
  [SMALL_STATE(15332)] = 723642,
  [SMALL_STATE(15333)] = 723671,
  [SMALL_STATE(15334)] = 723700,
  [SMALL_STATE(15335)] = 723729,
  [SMALL_STATE(15336)] = 723758,
  [SMALL_STATE(15337)] = 723787,
  [SMALL_STATE(15338)] = 723814,
  [SMALL_STATE(15339)] = 723843,
  [SMALL_STATE(15340)] = 723866,
  [SMALL_STATE(15341)] = 723895,
  [SMALL_STATE(15342)] = 723924,
  [SMALL_STATE(15343)] = 723951,
  [SMALL_STATE(15344)] = 723980,
  [SMALL_STATE(15345)] = 724009,
  [SMALL_STATE(15346)] = 724038,
  [SMALL_STATE(15347)] = 724067,
  [SMALL_STATE(15348)] = 724096,
  [SMALL_STATE(15349)] = 724117,
  [SMALL_STATE(15350)] = 724146,
  [SMALL_STATE(15351)] = 724175,
  [SMALL_STATE(15352)] = 724204,
  [SMALL_STATE(15353)] = 724233,
  [SMALL_STATE(15354)] = 724262,
  [SMALL_STATE(15355)] = 724291,
  [SMALL_STATE(15356)] = 724312,
  [SMALL_STATE(15357)] = 724341,
  [SMALL_STATE(15358)] = 724368,
  [SMALL_STATE(15359)] = 724397,
  [SMALL_STATE(15360)] = 724426,
  [SMALL_STATE(15361)] = 724455,
  [SMALL_STATE(15362)] = 724484,
  [SMALL_STATE(15363)] = 724513,
  [SMALL_STATE(15364)] = 724534,
  [SMALL_STATE(15365)] = 724563,
  [SMALL_STATE(15366)] = 724592,
  [SMALL_STATE(15367)] = 724621,
  [SMALL_STATE(15368)] = 724650,
  [SMALL_STATE(15369)] = 724671,
  [SMALL_STATE(15370)] = 724694,
  [SMALL_STATE(15371)] = 724715,
  [SMALL_STATE(15372)] = 724744,
  [SMALL_STATE(15373)] = 724773,
  [SMALL_STATE(15374)] = 724794,
  [SMALL_STATE(15375)] = 724821,
  [SMALL_STATE(15376)] = 724850,
  [SMALL_STATE(15377)] = 724871,
  [SMALL_STATE(15378)] = 724900,
  [SMALL_STATE(15379)] = 724927,
  [SMALL_STATE(15380)] = 724956,
  [SMALL_STATE(15381)] = 724985,
  [SMALL_STATE(15382)] = 725014,
  [SMALL_STATE(15383)] = 725035,
  [SMALL_STATE(15384)] = 725064,
  [SMALL_STATE(15385)] = 725093,
  [SMALL_STATE(15386)] = 725114,
  [SMALL_STATE(15387)] = 725135,
  [SMALL_STATE(15388)] = 725156,
  [SMALL_STATE(15389)] = 725185,
  [SMALL_STATE(15390)] = 725214,
  [SMALL_STATE(15391)] = 725241,
  [SMALL_STATE(15392)] = 725264,
  [SMALL_STATE(15393)] = 725293,
  [SMALL_STATE(15394)] = 725320,
  [SMALL_STATE(15395)] = 725349,
  [SMALL_STATE(15396)] = 725378,
  [SMALL_STATE(15397)] = 725407,
  [SMALL_STATE(15398)] = 725436,
  [SMALL_STATE(15399)] = 725465,
  [SMALL_STATE(15400)] = 725494,
  [SMALL_STATE(15401)] = 725519,
  [SMALL_STATE(15402)] = 725548,
  [SMALL_STATE(15403)] = 725569,
  [SMALL_STATE(15404)] = 725590,
  [SMALL_STATE(15405)] = 725619,
  [SMALL_STATE(15406)] = 725640,
  [SMALL_STATE(15407)] = 725661,
  [SMALL_STATE(15408)] = 725684,
  [SMALL_STATE(15409)] = 725713,
  [SMALL_STATE(15410)] = 725742,
  [SMALL_STATE(15411)] = 725763,
  [SMALL_STATE(15412)] = 725784,
  [SMALL_STATE(15413)] = 725811,
  [SMALL_STATE(15414)] = 725840,
  [SMALL_STATE(15415)] = 725869,
  [SMALL_STATE(15416)] = 725898,
  [SMALL_STATE(15417)] = 725927,
  [SMALL_STATE(15418)] = 725954,
  [SMALL_STATE(15419)] = 725975,
  [SMALL_STATE(15420)] = 725996,
  [SMALL_STATE(15421)] = 726025,
  [SMALL_STATE(15422)] = 726054,
  [SMALL_STATE(15423)] = 726083,
  [SMALL_STATE(15424)] = 726112,
  [SMALL_STATE(15425)] = 726141,
  [SMALL_STATE(15426)] = 726170,
  [SMALL_STATE(15427)] = 726191,
  [SMALL_STATE(15428)] = 726212,
  [SMALL_STATE(15429)] = 726233,
  [SMALL_STATE(15430)] = 726262,
  [SMALL_STATE(15431)] = 726283,
  [SMALL_STATE(15432)] = 726312,
  [SMALL_STATE(15433)] = 726341,
  [SMALL_STATE(15434)] = 726370,
  [SMALL_STATE(15435)] = 726399,
  [SMALL_STATE(15436)] = 726428,
  [SMALL_STATE(15437)] = 726457,
  [SMALL_STATE(15438)] = 726486,
  [SMALL_STATE(15439)] = 726515,
  [SMALL_STATE(15440)] = 726544,
  [SMALL_STATE(15441)] = 726573,
  [SMALL_STATE(15442)] = 726602,
  [SMALL_STATE(15443)] = 726631,
  [SMALL_STATE(15444)] = 726660,
  [SMALL_STATE(15445)] = 726689,
  [SMALL_STATE(15446)] = 726718,
  [SMALL_STATE(15447)] = 726747,
  [SMALL_STATE(15448)] = 726776,
  [SMALL_STATE(15449)] = 726805,
  [SMALL_STATE(15450)] = 726834,
  [SMALL_STATE(15451)] = 726863,
  [SMALL_STATE(15452)] = 726892,
  [SMALL_STATE(15453)] = 726921,
  [SMALL_STATE(15454)] = 726950,
  [SMALL_STATE(15455)] = 726979,
  [SMALL_STATE(15456)] = 727008,
  [SMALL_STATE(15457)] = 727037,
  [SMALL_STATE(15458)] = 727066,
  [SMALL_STATE(15459)] = 727095,
  [SMALL_STATE(15460)] = 727124,
  [SMALL_STATE(15461)] = 727145,
  [SMALL_STATE(15462)] = 727174,
  [SMALL_STATE(15463)] = 727203,
  [SMALL_STATE(15464)] = 727232,
  [SMALL_STATE(15465)] = 727261,
  [SMALL_STATE(15466)] = 727290,
  [SMALL_STATE(15467)] = 727319,
  [SMALL_STATE(15468)] = 727348,
  [SMALL_STATE(15469)] = 727377,
  [SMALL_STATE(15470)] = 727406,
  [SMALL_STATE(15471)] = 727429,
  [SMALL_STATE(15472)] = 727456,
  [SMALL_STATE(15473)] = 727483,
  [SMALL_STATE(15474)] = 727504,
  [SMALL_STATE(15475)] = 727525,
  [SMALL_STATE(15476)] = 727554,
  [SMALL_STATE(15477)] = 727575,
  [SMALL_STATE(15478)] = 727604,
  [SMALL_STATE(15479)] = 727625,
  [SMALL_STATE(15480)] = 727646,
  [SMALL_STATE(15481)] = 727667,
  [SMALL_STATE(15482)] = 727696,
  [SMALL_STATE(15483)] = 727725,
  [SMALL_STATE(15484)] = 727746,
  [SMALL_STATE(15485)] = 727767,
  [SMALL_STATE(15486)] = 727796,
  [SMALL_STATE(15487)] = 727825,
  [SMALL_STATE(15488)] = 727854,
  [SMALL_STATE(15489)] = 727883,
  [SMALL_STATE(15490)] = 727912,
  [SMALL_STATE(15491)] = 727941,
  [SMALL_STATE(15492)] = 727962,
  [SMALL_STATE(15493)] = 727991,
  [SMALL_STATE(15494)] = 728020,
  [SMALL_STATE(15495)] = 728049,
  [SMALL_STATE(15496)] = 728078,
  [SMALL_STATE(15497)] = 728099,
  [SMALL_STATE(15498)] = 728120,
  [SMALL_STATE(15499)] = 728149,
  [SMALL_STATE(15500)] = 728178,
  [SMALL_STATE(15501)] = 728207,
  [SMALL_STATE(15502)] = 728228,
  [SMALL_STATE(15503)] = 728257,
  [SMALL_STATE(15504)] = 728286,
  [SMALL_STATE(15505)] = 728315,
  [SMALL_STATE(15506)] = 728344,
  [SMALL_STATE(15507)] = 728365,
  [SMALL_STATE(15508)] = 728392,
  [SMALL_STATE(15509)] = 728413,
  [SMALL_STATE(15510)] = 728442,
  [SMALL_STATE(15511)] = 728471,
  [SMALL_STATE(15512)] = 728500,
  [SMALL_STATE(15513)] = 728525,
  [SMALL_STATE(15514)] = 728554,
  [SMALL_STATE(15515)] = 728583,
  [SMALL_STATE(15516)] = 728612,
  [SMALL_STATE(15517)] = 728641,
  [SMALL_STATE(15518)] = 728662,
  [SMALL_STATE(15519)] = 728683,
  [SMALL_STATE(15520)] = 728712,
  [SMALL_STATE(15521)] = 728739,
  [SMALL_STATE(15522)] = 728760,
  [SMALL_STATE(15523)] = 728789,
  [SMALL_STATE(15524)] = 728812,
  [SMALL_STATE(15525)] = 728833,
  [SMALL_STATE(15526)] = 728854,
  [SMALL_STATE(15527)] = 728875,
  [SMALL_STATE(15528)] = 728896,
  [SMALL_STATE(15529)] = 728925,
  [SMALL_STATE(15530)] = 728954,
  [SMALL_STATE(15531)] = 728975,
  [SMALL_STATE(15532)] = 729004,
  [SMALL_STATE(15533)] = 729033,
  [SMALL_STATE(15534)] = 729060,
  [SMALL_STATE(15535)] = 729089,
  [SMALL_STATE(15536)] = 729116,
  [SMALL_STATE(15537)] = 729145,
  [SMALL_STATE(15538)] = 729172,
  [SMALL_STATE(15539)] = 729201,
  [SMALL_STATE(15540)] = 729230,
  [SMALL_STATE(15541)] = 729251,
  [SMALL_STATE(15542)] = 729280,
  [SMALL_STATE(15543)] = 729309,
  [SMALL_STATE(15544)] = 729338,
  [SMALL_STATE(15545)] = 729367,
  [SMALL_STATE(15546)] = 729388,
  [SMALL_STATE(15547)] = 729417,
  [SMALL_STATE(15548)] = 729438,
  [SMALL_STATE(15549)] = 729459,
  [SMALL_STATE(15550)] = 729480,
  [SMALL_STATE(15551)] = 729509,
  [SMALL_STATE(15552)] = 729530,
  [SMALL_STATE(15553)] = 729559,
  [SMALL_STATE(15554)] = 729580,
  [SMALL_STATE(15555)] = 729601,
  [SMALL_STATE(15556)] = 729622,
  [SMALL_STATE(15557)] = 729651,
  [SMALL_STATE(15558)] = 729678,
  [SMALL_STATE(15559)] = 729705,
  [SMALL_STATE(15560)] = 729734,
  [SMALL_STATE(15561)] = 729763,
  [SMALL_STATE(15562)] = 729784,
  [SMALL_STATE(15563)] = 729811,
  [SMALL_STATE(15564)] = 729840,
  [SMALL_STATE(15565)] = 729869,
  [SMALL_STATE(15566)] = 729896,
  [SMALL_STATE(15567)] = 729925,
  [SMALL_STATE(15568)] = 729954,
  [SMALL_STATE(15569)] = 729983,
  [SMALL_STATE(15570)] = 730012,
  [SMALL_STATE(15571)] = 730035,
  [SMALL_STATE(15572)] = 730064,
  [SMALL_STATE(15573)] = 730093,
  [SMALL_STATE(15574)] = 730122,
  [SMALL_STATE(15575)] = 730143,
  [SMALL_STATE(15576)] = 730172,
  [SMALL_STATE(15577)] = 730201,
  [SMALL_STATE(15578)] = 730228,
  [SMALL_STATE(15579)] = 730257,
  [SMALL_STATE(15580)] = 730282,
  [SMALL_STATE(15581)] = 730311,
  [SMALL_STATE(15582)] = 730340,
  [SMALL_STATE(15583)] = 730369,
  [SMALL_STATE(15584)] = 730398,
  [SMALL_STATE(15585)] = 730427,
  [SMALL_STATE(15586)] = 730448,
  [SMALL_STATE(15587)] = 730477,
  [SMALL_STATE(15588)] = 730506,
  [SMALL_STATE(15589)] = 730527,
  [SMALL_STATE(15590)] = 730556,
  [SMALL_STATE(15591)] = 730585,
  [SMALL_STATE(15592)] = 730614,
  [SMALL_STATE(15593)] = 730635,
  [SMALL_STATE(15594)] = 730664,
  [SMALL_STATE(15595)] = 730693,
  [SMALL_STATE(15596)] = 730716,
  [SMALL_STATE(15597)] = 730737,
  [SMALL_STATE(15598)] = 730766,
  [SMALL_STATE(15599)] = 730795,
  [SMALL_STATE(15600)] = 730820,
  [SMALL_STATE(15601)] = 730849,
  [SMALL_STATE(15602)] = 730870,
  [SMALL_STATE(15603)] = 730899,
  [SMALL_STATE(15604)] = 730928,
  [SMALL_STATE(15605)] = 730949,
  [SMALL_STATE(15606)] = 730978,
  [SMALL_STATE(15607)] = 731001,
  [SMALL_STATE(15608)] = 731030,
  [SMALL_STATE(15609)] = 731059,
  [SMALL_STATE(15610)] = 731088,
  [SMALL_STATE(15611)] = 731117,
  [SMALL_STATE(15612)] = 731146,
  [SMALL_STATE(15613)] = 731175,
  [SMALL_STATE(15614)] = 731204,
  [SMALL_STATE(15615)] = 731233,
  [SMALL_STATE(15616)] = 731260,
  [SMALL_STATE(15617)] = 731289,
  [SMALL_STATE(15618)] = 731318,
  [SMALL_STATE(15619)] = 731347,
  [SMALL_STATE(15620)] = 731376,
  [SMALL_STATE(15621)] = 731403,
  [SMALL_STATE(15622)] = 731432,
  [SMALL_STATE(15623)] = 731461,
  [SMALL_STATE(15624)] = 731482,
  [SMALL_STATE(15625)] = 731511,
  [SMALL_STATE(15626)] = 731540,
  [SMALL_STATE(15627)] = 731561,
  [SMALL_STATE(15628)] = 731590,
  [SMALL_STATE(15629)] = 731611,
  [SMALL_STATE(15630)] = 731640,
  [SMALL_STATE(15631)] = 731666,
  [SMALL_STATE(15632)] = 731692,
  [SMALL_STATE(15633)] = 731718,
  [SMALL_STATE(15634)] = 731744,
  [SMALL_STATE(15635)] = 731762,
  [SMALL_STATE(15636)] = 731780,
  [SMALL_STATE(15637)] = 731806,
  [SMALL_STATE(15638)] = 731832,
  [SMALL_STATE(15639)] = 731856,
  [SMALL_STATE(15640)] = 731882,
  [SMALL_STATE(15641)] = 731908,
  [SMALL_STATE(15642)] = 731934,
  [SMALL_STATE(15643)] = 731960,
  [SMALL_STATE(15644)] = 731984,
  [SMALL_STATE(15645)] = 732010,
  [SMALL_STATE(15646)] = 732036,
  [SMALL_STATE(15647)] = 732062,
  [SMALL_STATE(15648)] = 732088,
  [SMALL_STATE(15649)] = 732114,
  [SMALL_STATE(15650)] = 732140,
  [SMALL_STATE(15651)] = 732166,
  [SMALL_STATE(15652)] = 732192,
  [SMALL_STATE(15653)] = 732216,
  [SMALL_STATE(15654)] = 732242,
  [SMALL_STATE(15655)] = 732266,
  [SMALL_STATE(15656)] = 732292,
  [SMALL_STATE(15657)] = 732314,
  [SMALL_STATE(15658)] = 732340,
  [SMALL_STATE(15659)] = 732366,
  [SMALL_STATE(15660)] = 732392,
  [SMALL_STATE(15661)] = 732418,
  [SMALL_STATE(15662)] = 732444,
  [SMALL_STATE(15663)] = 732470,
  [SMALL_STATE(15664)] = 732496,
  [SMALL_STATE(15665)] = 732522,
  [SMALL_STATE(15666)] = 732548,
  [SMALL_STATE(15667)] = 732574,
  [SMALL_STATE(15668)] = 732600,
  [SMALL_STATE(15669)] = 732624,
  [SMALL_STATE(15670)] = 732650,
  [SMALL_STATE(15671)] = 732676,
  [SMALL_STATE(15672)] = 732702,
  [SMALL_STATE(15673)] = 732728,
  [SMALL_STATE(15674)] = 732754,
  [SMALL_STATE(15675)] = 732780,
  [SMALL_STATE(15676)] = 732802,
  [SMALL_STATE(15677)] = 732828,
  [SMALL_STATE(15678)] = 732854,
  [SMALL_STATE(15679)] = 732880,
  [SMALL_STATE(15680)] = 732906,
  [SMALL_STATE(15681)] = 732932,
  [SMALL_STATE(15682)] = 732958,
  [SMALL_STATE(15683)] = 732984,
  [SMALL_STATE(15684)] = 733010,
  [SMALL_STATE(15685)] = 733036,
  [SMALL_STATE(15686)] = 733062,
  [SMALL_STATE(15687)] = 733088,
  [SMALL_STATE(15688)] = 733114,
  [SMALL_STATE(15689)] = 733138,
  [SMALL_STATE(15690)] = 733160,
  [SMALL_STATE(15691)] = 733186,
  [SMALL_STATE(15692)] = 733212,
  [SMALL_STATE(15693)] = 733238,
  [SMALL_STATE(15694)] = 733264,
  [SMALL_STATE(15695)] = 733290,
  [SMALL_STATE(15696)] = 733312,
  [SMALL_STATE(15697)] = 733334,
  [SMALL_STATE(15698)] = 733360,
  [SMALL_STATE(15699)] = 733386,
  [SMALL_STATE(15700)] = 733412,
  [SMALL_STATE(15701)] = 733436,
  [SMALL_STATE(15702)] = 733462,
  [SMALL_STATE(15703)] = 733480,
  [SMALL_STATE(15704)] = 733506,
  [SMALL_STATE(15705)] = 733524,
  [SMALL_STATE(15706)] = 733546,
  [SMALL_STATE(15707)] = 733572,
  [SMALL_STATE(15708)] = 733598,
  [SMALL_STATE(15709)] = 733624,
  [SMALL_STATE(15710)] = 733650,
  [SMALL_STATE(15711)] = 733674,
  [SMALL_STATE(15712)] = 733692,
  [SMALL_STATE(15713)] = 733718,
  [SMALL_STATE(15714)] = 733744,
  [SMALL_STATE(15715)] = 733770,
  [SMALL_STATE(15716)] = 733796,
  [SMALL_STATE(15717)] = 733822,
  [SMALL_STATE(15718)] = 733848,
  [SMALL_STATE(15719)] = 733874,
  [SMALL_STATE(15720)] = 733900,
  [SMALL_STATE(15721)] = 733926,
  [SMALL_STATE(15722)] = 733952,
  [SMALL_STATE(15723)] = 733974,
  [SMALL_STATE(15724)] = 734000,
  [SMALL_STATE(15725)] = 734026,
  [SMALL_STATE(15726)] = 734052,
  [SMALL_STATE(15727)] = 734078,
  [SMALL_STATE(15728)] = 734104,
  [SMALL_STATE(15729)] = 734126,
  [SMALL_STATE(15730)] = 734152,
  [SMALL_STATE(15731)] = 734172,
  [SMALL_STATE(15732)] = 734198,
  [SMALL_STATE(15733)] = 734222,
  [SMALL_STATE(15734)] = 734248,
  [SMALL_STATE(15735)] = 734274,
  [SMALL_STATE(15736)] = 734300,
  [SMALL_STATE(15737)] = 734326,
  [SMALL_STATE(15738)] = 734352,
  [SMALL_STATE(15739)] = 734378,
  [SMALL_STATE(15740)] = 734404,
  [SMALL_STATE(15741)] = 734430,
  [SMALL_STATE(15742)] = 734456,
  [SMALL_STATE(15743)] = 734482,
  [SMALL_STATE(15744)] = 734508,
  [SMALL_STATE(15745)] = 734534,
  [SMALL_STATE(15746)] = 734560,
  [SMALL_STATE(15747)] = 734586,
  [SMALL_STATE(15748)] = 734612,
  [SMALL_STATE(15749)] = 734638,
  [SMALL_STATE(15750)] = 734664,
  [SMALL_STATE(15751)] = 734690,
  [SMALL_STATE(15752)] = 734716,
  [SMALL_STATE(15753)] = 734742,
  [SMALL_STATE(15754)] = 734768,
  [SMALL_STATE(15755)] = 734794,
  [SMALL_STATE(15756)] = 734820,
  [SMALL_STATE(15757)] = 734846,
  [SMALL_STATE(15758)] = 734872,
  [SMALL_STATE(15759)] = 734898,
  [SMALL_STATE(15760)] = 734924,
  [SMALL_STATE(15761)] = 734950,
  [SMALL_STATE(15762)] = 734972,
  [SMALL_STATE(15763)] = 734998,
  [SMALL_STATE(15764)] = 735024,
  [SMALL_STATE(15765)] = 735050,
  [SMALL_STATE(15766)] = 735076,
  [SMALL_STATE(15767)] = 735102,
  [SMALL_STATE(15768)] = 735128,
  [SMALL_STATE(15769)] = 735154,
  [SMALL_STATE(15770)] = 735180,
  [SMALL_STATE(15771)] = 735206,
  [SMALL_STATE(15772)] = 735232,
  [SMALL_STATE(15773)] = 735258,
  [SMALL_STATE(15774)] = 735284,
  [SMALL_STATE(15775)] = 735308,
  [SMALL_STATE(15776)] = 735334,
  [SMALL_STATE(15777)] = 735360,
  [SMALL_STATE(15778)] = 735382,
  [SMALL_STATE(15779)] = 735408,
  [SMALL_STATE(15780)] = 735434,
  [SMALL_STATE(15781)] = 735460,
  [SMALL_STATE(15782)] = 735486,
  [SMALL_STATE(15783)] = 735510,
  [SMALL_STATE(15784)] = 735536,
  [SMALL_STATE(15785)] = 735562,
  [SMALL_STATE(15786)] = 735588,
  [SMALL_STATE(15787)] = 735614,
  [SMALL_STATE(15788)] = 735640,
  [SMALL_STATE(15789)] = 735666,
  [SMALL_STATE(15790)] = 735690,
  [SMALL_STATE(15791)] = 735714,
  [SMALL_STATE(15792)] = 735740,
  [SMALL_STATE(15793)] = 735758,
  [SMALL_STATE(15794)] = 735784,
  [SMALL_STATE(15795)] = 735810,
  [SMALL_STATE(15796)] = 735834,
  [SMALL_STATE(15797)] = 735860,
  [SMALL_STATE(15798)] = 735886,
  [SMALL_STATE(15799)] = 735912,
  [SMALL_STATE(15800)] = 735938,
  [SMALL_STATE(15801)] = 735964,
  [SMALL_STATE(15802)] = 735990,
  [SMALL_STATE(15803)] = 736016,
  [SMALL_STATE(15804)] = 736042,
  [SMALL_STATE(15805)] = 736068,
  [SMALL_STATE(15806)] = 736094,
  [SMALL_STATE(15807)] = 736120,
  [SMALL_STATE(15808)] = 736146,
  [SMALL_STATE(15809)] = 736172,
  [SMALL_STATE(15810)] = 736198,
  [SMALL_STATE(15811)] = 736224,
  [SMALL_STATE(15812)] = 736250,
  [SMALL_STATE(15813)] = 736272,
  [SMALL_STATE(15814)] = 736298,
  [SMALL_STATE(15815)] = 736324,
  [SMALL_STATE(15816)] = 736350,
  [SMALL_STATE(15817)] = 736376,
  [SMALL_STATE(15818)] = 736402,
  [SMALL_STATE(15819)] = 736428,
  [SMALL_STATE(15820)] = 736454,
  [SMALL_STATE(15821)] = 736476,
  [SMALL_STATE(15822)] = 736502,
  [SMALL_STATE(15823)] = 736524,
  [SMALL_STATE(15824)] = 736546,
  [SMALL_STATE(15825)] = 736572,
  [SMALL_STATE(15826)] = 736598,
  [SMALL_STATE(15827)] = 736620,
  [SMALL_STATE(15828)] = 736646,
  [SMALL_STATE(15829)] = 736672,
  [SMALL_STATE(15830)] = 736698,
  [SMALL_STATE(15831)] = 736720,
  [SMALL_STATE(15832)] = 736742,
  [SMALL_STATE(15833)] = 736764,
  [SMALL_STATE(15834)] = 736790,
  [SMALL_STATE(15835)] = 736816,
  [SMALL_STATE(15836)] = 736842,
  [SMALL_STATE(15837)] = 736868,
  [SMALL_STATE(15838)] = 736894,
  [SMALL_STATE(15839)] = 736918,
  [SMALL_STATE(15840)] = 736944,
  [SMALL_STATE(15841)] = 736970,
  [SMALL_STATE(15842)] = 736994,
  [SMALL_STATE(15843)] = 737020,
  [SMALL_STATE(15844)] = 737044,
  [SMALL_STATE(15845)] = 737062,
  [SMALL_STATE(15846)] = 737088,
  [SMALL_STATE(15847)] = 737114,
  [SMALL_STATE(15848)] = 737140,
  [SMALL_STATE(15849)] = 737166,
  [SMALL_STATE(15850)] = 737192,
  [SMALL_STATE(15851)] = 737218,
  [SMALL_STATE(15852)] = 737242,
  [SMALL_STATE(15853)] = 737268,
  [SMALL_STATE(15854)] = 737292,
  [SMALL_STATE(15855)] = 737318,
  [SMALL_STATE(15856)] = 737344,
  [SMALL_STATE(15857)] = 737370,
  [SMALL_STATE(15858)] = 737396,
  [SMALL_STATE(15859)] = 737422,
  [SMALL_STATE(15860)] = 737448,
  [SMALL_STATE(15861)] = 737474,
  [SMALL_STATE(15862)] = 737500,
  [SMALL_STATE(15863)] = 737526,
  [SMALL_STATE(15864)] = 737552,
  [SMALL_STATE(15865)] = 737578,
  [SMALL_STATE(15866)] = 737604,
  [SMALL_STATE(15867)] = 737626,
  [SMALL_STATE(15868)] = 737648,
  [SMALL_STATE(15869)] = 737674,
  [SMALL_STATE(15870)] = 737696,
  [SMALL_STATE(15871)] = 737718,
  [SMALL_STATE(15872)] = 737740,
  [SMALL_STATE(15873)] = 737762,
  [SMALL_STATE(15874)] = 737788,
  [SMALL_STATE(15875)] = 737814,
  [SMALL_STATE(15876)] = 737840,
  [SMALL_STATE(15877)] = 737862,
  [SMALL_STATE(15878)] = 737883,
  [SMALL_STATE(15879)] = 737906,
  [SMALL_STATE(15880)] = 737929,
  [SMALL_STATE(15881)] = 737952,
  [SMALL_STATE(15882)] = 737975,
  [SMALL_STATE(15883)] = 737998,
  [SMALL_STATE(15884)] = 738019,
  [SMALL_STATE(15885)] = 738042,
  [SMALL_STATE(15886)] = 738065,
  [SMALL_STATE(15887)] = 738088,
  [SMALL_STATE(15888)] = 738111,
  [SMALL_STATE(15889)] = 738134,
  [SMALL_STATE(15890)] = 738157,
  [SMALL_STATE(15891)] = 738180,
  [SMALL_STATE(15892)] = 738203,
  [SMALL_STATE(15893)] = 738226,
  [SMALL_STATE(15894)] = 738249,
  [SMALL_STATE(15895)] = 738272,
  [SMALL_STATE(15896)] = 738295,
  [SMALL_STATE(15897)] = 738318,
  [SMALL_STATE(15898)] = 738341,
  [SMALL_STATE(15899)] = 738364,
  [SMALL_STATE(15900)] = 738385,
  [SMALL_STATE(15901)] = 738406,
  [SMALL_STATE(15902)] = 738429,
  [SMALL_STATE(15903)] = 738452,
  [SMALL_STATE(15904)] = 738475,
  [SMALL_STATE(15905)] = 738498,
  [SMALL_STATE(15906)] = 738521,
  [SMALL_STATE(15907)] = 738544,
  [SMALL_STATE(15908)] = 738567,
  [SMALL_STATE(15909)] = 738590,
  [SMALL_STATE(15910)] = 738613,
  [SMALL_STATE(15911)] = 738636,
  [SMALL_STATE(15912)] = 738659,
  [SMALL_STATE(15913)] = 738682,
  [SMALL_STATE(15914)] = 738705,
  [SMALL_STATE(15915)] = 738728,
  [SMALL_STATE(15916)] = 738747,
  [SMALL_STATE(15917)] = 738770,
  [SMALL_STATE(15918)] = 738793,
  [SMALL_STATE(15919)] = 738816,
  [SMALL_STATE(15920)] = 738837,
  [SMALL_STATE(15921)] = 738860,
  [SMALL_STATE(15922)] = 738883,
  [SMALL_STATE(15923)] = 738906,
  [SMALL_STATE(15924)] = 738927,
  [SMALL_STATE(15925)] = 738950,
  [SMALL_STATE(15926)] = 738973,
  [SMALL_STATE(15927)] = 738996,
  [SMALL_STATE(15928)] = 739015,
  [SMALL_STATE(15929)] = 739038,
  [SMALL_STATE(15930)] = 739061,
  [SMALL_STATE(15931)] = 739084,
  [SMALL_STATE(15932)] = 739107,
  [SMALL_STATE(15933)] = 739130,
  [SMALL_STATE(15934)] = 739153,
  [SMALL_STATE(15935)] = 739176,
  [SMALL_STATE(15936)] = 739199,
  [SMALL_STATE(15937)] = 739222,
  [SMALL_STATE(15938)] = 739243,
  [SMALL_STATE(15939)] = 739266,
  [SMALL_STATE(15940)] = 739289,
  [SMALL_STATE(15941)] = 739312,
  [SMALL_STATE(15942)] = 739335,
  [SMALL_STATE(15943)] = 739358,
  [SMALL_STATE(15944)] = 739381,
  [SMALL_STATE(15945)] = 739404,
  [SMALL_STATE(15946)] = 739427,
  [SMALL_STATE(15947)] = 739450,
  [SMALL_STATE(15948)] = 739473,
  [SMALL_STATE(15949)] = 739496,
  [SMALL_STATE(15950)] = 739519,
  [SMALL_STATE(15951)] = 739542,
  [SMALL_STATE(15952)] = 739565,
  [SMALL_STATE(15953)] = 739588,
  [SMALL_STATE(15954)] = 739611,
  [SMALL_STATE(15955)] = 739634,
  [SMALL_STATE(15956)] = 739657,
  [SMALL_STATE(15957)] = 739680,
  [SMALL_STATE(15958)] = 739703,
  [SMALL_STATE(15959)] = 739726,
  [SMALL_STATE(15960)] = 739749,
  [SMALL_STATE(15961)] = 739772,
  [SMALL_STATE(15962)] = 739795,
  [SMALL_STATE(15963)] = 739818,
  [SMALL_STATE(15964)] = 739841,
  [SMALL_STATE(15965)] = 739864,
  [SMALL_STATE(15966)] = 739887,
  [SMALL_STATE(15967)] = 739910,
  [SMALL_STATE(15968)] = 739933,
  [SMALL_STATE(15969)] = 739956,
  [SMALL_STATE(15970)] = 739979,
  [SMALL_STATE(15971)] = 740002,
  [SMALL_STATE(15972)] = 740025,
  [SMALL_STATE(15973)] = 740048,
  [SMALL_STATE(15974)] = 740071,
  [SMALL_STATE(15975)] = 740094,
  [SMALL_STATE(15976)] = 740117,
  [SMALL_STATE(15977)] = 740140,
  [SMALL_STATE(15978)] = 740163,
  [SMALL_STATE(15979)] = 740186,
  [SMALL_STATE(15980)] = 740209,
  [SMALL_STATE(15981)] = 740232,
  [SMALL_STATE(15982)] = 740255,
  [SMALL_STATE(15983)] = 740278,
  [SMALL_STATE(15984)] = 740301,
  [SMALL_STATE(15985)] = 740324,
  [SMALL_STATE(15986)] = 740347,
  [SMALL_STATE(15987)] = 740370,
  [SMALL_STATE(15988)] = 740393,
  [SMALL_STATE(15989)] = 740416,
  [SMALL_STATE(15990)] = 740439,
  [SMALL_STATE(15991)] = 740462,
  [SMALL_STATE(15992)] = 740485,
  [SMALL_STATE(15993)] = 740508,
  [SMALL_STATE(15994)] = 740531,
  [SMALL_STATE(15995)] = 740554,
  [SMALL_STATE(15996)] = 740577,
  [SMALL_STATE(15997)] = 740600,
  [SMALL_STATE(15998)] = 740623,
  [SMALL_STATE(15999)] = 740646,
  [SMALL_STATE(16000)] = 740669,
  [SMALL_STATE(16001)] = 740692,
  [SMALL_STATE(16002)] = 740715,
  [SMALL_STATE(16003)] = 740738,
  [SMALL_STATE(16004)] = 740761,
  [SMALL_STATE(16005)] = 740780,
  [SMALL_STATE(16006)] = 740803,
  [SMALL_STATE(16007)] = 740826,
  [SMALL_STATE(16008)] = 740849,
  [SMALL_STATE(16009)] = 740872,
  [SMALL_STATE(16010)] = 740895,
  [SMALL_STATE(16011)] = 740918,
  [SMALL_STATE(16012)] = 740941,
  [SMALL_STATE(16013)] = 740964,
  [SMALL_STATE(16014)] = 740987,
  [SMALL_STATE(16015)] = 741010,
  [SMALL_STATE(16016)] = 741033,
  [SMALL_STATE(16017)] = 741056,
  [SMALL_STATE(16018)] = 741079,
  [SMALL_STATE(16019)] = 741102,
  [SMALL_STATE(16020)] = 741125,
  [SMALL_STATE(16021)] = 741148,
  [SMALL_STATE(16022)] = 741171,
  [SMALL_STATE(16023)] = 741194,
  [SMALL_STATE(16024)] = 741217,
  [SMALL_STATE(16025)] = 741240,
  [SMALL_STATE(16026)] = 741263,
  [SMALL_STATE(16027)] = 741286,
  [SMALL_STATE(16028)] = 741309,
  [SMALL_STATE(16029)] = 741330,
  [SMALL_STATE(16030)] = 741353,
  [SMALL_STATE(16031)] = 741376,
  [SMALL_STATE(16032)] = 741399,
  [SMALL_STATE(16033)] = 741422,
  [SMALL_STATE(16034)] = 741445,
  [SMALL_STATE(16035)] = 741468,
  [SMALL_STATE(16036)] = 741489,
  [SMALL_STATE(16037)] = 741512,
  [SMALL_STATE(16038)] = 741535,
  [SMALL_STATE(16039)] = 741558,
  [SMALL_STATE(16040)] = 741581,
  [SMALL_STATE(16041)] = 741602,
  [SMALL_STATE(16042)] = 741625,
  [SMALL_STATE(16043)] = 741648,
  [SMALL_STATE(16044)] = 741671,
  [SMALL_STATE(16045)] = 741694,
  [SMALL_STATE(16046)] = 741717,
  [SMALL_STATE(16047)] = 741740,
  [SMALL_STATE(16048)] = 741763,
  [SMALL_STATE(16049)] = 741786,
  [SMALL_STATE(16050)] = 741809,
  [SMALL_STATE(16051)] = 741832,
  [SMALL_STATE(16052)] = 741855,
  [SMALL_STATE(16053)] = 741878,
  [SMALL_STATE(16054)] = 741901,
  [SMALL_STATE(16055)] = 741924,
  [SMALL_STATE(16056)] = 741947,
  [SMALL_STATE(16057)] = 741970,
  [SMALL_STATE(16058)] = 741993,
  [SMALL_STATE(16059)] = 742016,
  [SMALL_STATE(16060)] = 742039,
  [SMALL_STATE(16061)] = 742062,
  [SMALL_STATE(16062)] = 742085,
  [SMALL_STATE(16063)] = 742108,
  [SMALL_STATE(16064)] = 742127,
  [SMALL_STATE(16065)] = 742150,
  [SMALL_STATE(16066)] = 742169,
  [SMALL_STATE(16067)] = 742192,
  [SMALL_STATE(16068)] = 742215,
  [SMALL_STATE(16069)] = 742236,
  [SMALL_STATE(16070)] = 742259,
  [SMALL_STATE(16071)] = 742282,
  [SMALL_STATE(16072)] = 742305,
  [SMALL_STATE(16073)] = 742328,
  [SMALL_STATE(16074)] = 742351,
  [SMALL_STATE(16075)] = 742374,
  [SMALL_STATE(16076)] = 742397,
  [SMALL_STATE(16077)] = 742420,
  [SMALL_STATE(16078)] = 742443,
  [SMALL_STATE(16079)] = 742466,
  [SMALL_STATE(16080)] = 742489,
  [SMALL_STATE(16081)] = 742510,
  [SMALL_STATE(16082)] = 742533,
  [SMALL_STATE(16083)] = 742556,
  [SMALL_STATE(16084)] = 742579,
  [SMALL_STATE(16085)] = 742602,
  [SMALL_STATE(16086)] = 742625,
  [SMALL_STATE(16087)] = 742648,
  [SMALL_STATE(16088)] = 742669,
  [SMALL_STATE(16089)] = 742692,
  [SMALL_STATE(16090)] = 742715,
  [SMALL_STATE(16091)] = 742738,
  [SMALL_STATE(16092)] = 742761,
  [SMALL_STATE(16093)] = 742784,
  [SMALL_STATE(16094)] = 742805,
  [SMALL_STATE(16095)] = 742828,
  [SMALL_STATE(16096)] = 742851,
  [SMALL_STATE(16097)] = 742874,
  [SMALL_STATE(16098)] = 742897,
  [SMALL_STATE(16099)] = 742920,
  [SMALL_STATE(16100)] = 742943,
  [SMALL_STATE(16101)] = 742966,
  [SMALL_STATE(16102)] = 742989,
  [SMALL_STATE(16103)] = 743012,
  [SMALL_STATE(16104)] = 743035,
  [SMALL_STATE(16105)] = 743058,
  [SMALL_STATE(16106)] = 743081,
  [SMALL_STATE(16107)] = 743104,
  [SMALL_STATE(16108)] = 743127,
  [SMALL_STATE(16109)] = 743150,
  [SMALL_STATE(16110)] = 743173,
  [SMALL_STATE(16111)] = 743196,
  [SMALL_STATE(16112)] = 743217,
  [SMALL_STATE(16113)] = 743238,
  [SMALL_STATE(16114)] = 743261,
  [SMALL_STATE(16115)] = 743284,
  [SMALL_STATE(16116)] = 743307,
  [SMALL_STATE(16117)] = 743330,
  [SMALL_STATE(16118)] = 743353,
  [SMALL_STATE(16119)] = 743376,
  [SMALL_STATE(16120)] = 743399,
  [SMALL_STATE(16121)] = 743422,
  [SMALL_STATE(16122)] = 743445,
  [SMALL_STATE(16123)] = 743468,
  [SMALL_STATE(16124)] = 743491,
  [SMALL_STATE(16125)] = 743514,
  [SMALL_STATE(16126)] = 743537,
  [SMALL_STATE(16127)] = 743560,
  [SMALL_STATE(16128)] = 743583,
  [SMALL_STATE(16129)] = 743606,
  [SMALL_STATE(16130)] = 743629,
  [SMALL_STATE(16131)] = 743652,
  [SMALL_STATE(16132)] = 743675,
  [SMALL_STATE(16133)] = 743696,
  [SMALL_STATE(16134)] = 743719,
  [SMALL_STATE(16135)] = 743742,
  [SMALL_STATE(16136)] = 743765,
  [SMALL_STATE(16137)] = 743788,
  [SMALL_STATE(16138)] = 743811,
  [SMALL_STATE(16139)] = 743834,
  [SMALL_STATE(16140)] = 743857,
  [SMALL_STATE(16141)] = 743880,
  [SMALL_STATE(16142)] = 743903,
  [SMALL_STATE(16143)] = 743926,
  [SMALL_STATE(16144)] = 743949,
  [SMALL_STATE(16145)] = 743972,
  [SMALL_STATE(16146)] = 743995,
  [SMALL_STATE(16147)] = 744018,
  [SMALL_STATE(16148)] = 744041,
  [SMALL_STATE(16149)] = 744064,
  [SMALL_STATE(16150)] = 744087,
  [SMALL_STATE(16151)] = 744108,
  [SMALL_STATE(16152)] = 744131,
  [SMALL_STATE(16153)] = 744154,
  [SMALL_STATE(16154)] = 744177,
  [SMALL_STATE(16155)] = 744200,
  [SMALL_STATE(16156)] = 744223,
  [SMALL_STATE(16157)] = 744246,
  [SMALL_STATE(16158)] = 744269,
  [SMALL_STATE(16159)] = 744292,
  [SMALL_STATE(16160)] = 744315,
  [SMALL_STATE(16161)] = 744338,
  [SMALL_STATE(16162)] = 744361,
  [SMALL_STATE(16163)] = 744384,
  [SMALL_STATE(16164)] = 744405,
  [SMALL_STATE(16165)] = 744428,
  [SMALL_STATE(16166)] = 744451,
  [SMALL_STATE(16167)] = 744474,
  [SMALL_STATE(16168)] = 744497,
  [SMALL_STATE(16169)] = 744520,
  [SMALL_STATE(16170)] = 744541,
  [SMALL_STATE(16171)] = 744564,
  [SMALL_STATE(16172)] = 744587,
  [SMALL_STATE(16173)] = 744610,
  [SMALL_STATE(16174)] = 744633,
  [SMALL_STATE(16175)] = 744656,
  [SMALL_STATE(16176)] = 744679,
  [SMALL_STATE(16177)] = 744702,
  [SMALL_STATE(16178)] = 744725,
  [SMALL_STATE(16179)] = 744748,
  [SMALL_STATE(16180)] = 744767,
  [SMALL_STATE(16181)] = 744790,
  [SMALL_STATE(16182)] = 744813,
  [SMALL_STATE(16183)] = 744836,
  [SMALL_STATE(16184)] = 744859,
  [SMALL_STATE(16185)] = 744882,
  [SMALL_STATE(16186)] = 744905,
  [SMALL_STATE(16187)] = 744928,
  [SMALL_STATE(16188)] = 744951,
  [SMALL_STATE(16189)] = 744974,
  [SMALL_STATE(16190)] = 744997,
  [SMALL_STATE(16191)] = 745020,
  [SMALL_STATE(16192)] = 745043,
  [SMALL_STATE(16193)] = 745066,
  [SMALL_STATE(16194)] = 745089,
  [SMALL_STATE(16195)] = 745112,
  [SMALL_STATE(16196)] = 745135,
  [SMALL_STATE(16197)] = 745158,
  [SMALL_STATE(16198)] = 745181,
  [SMALL_STATE(16199)] = 745204,
  [SMALL_STATE(16200)] = 745227,
  [SMALL_STATE(16201)] = 745250,
  [SMALL_STATE(16202)] = 745273,
  [SMALL_STATE(16203)] = 745294,
  [SMALL_STATE(16204)] = 745317,
  [SMALL_STATE(16205)] = 745340,
  [SMALL_STATE(16206)] = 745363,
  [SMALL_STATE(16207)] = 745386,
  [SMALL_STATE(16208)] = 745409,
  [SMALL_STATE(16209)] = 745432,
  [SMALL_STATE(16210)] = 745451,
  [SMALL_STATE(16211)] = 745474,
  [SMALL_STATE(16212)] = 745497,
  [SMALL_STATE(16213)] = 745520,
  [SMALL_STATE(16214)] = 745543,
  [SMALL_STATE(16215)] = 745566,
  [SMALL_STATE(16216)] = 745589,
  [SMALL_STATE(16217)] = 745612,
  [SMALL_STATE(16218)] = 745635,
  [SMALL_STATE(16219)] = 745658,
  [SMALL_STATE(16220)] = 745681,
  [SMALL_STATE(16221)] = 745704,
  [SMALL_STATE(16222)] = 745727,
  [SMALL_STATE(16223)] = 745750,
  [SMALL_STATE(16224)] = 745773,
  [SMALL_STATE(16225)] = 745794,
  [SMALL_STATE(16226)] = 745817,
  [SMALL_STATE(16227)] = 745840,
  [SMALL_STATE(16228)] = 745863,
  [SMALL_STATE(16229)] = 745886,
  [SMALL_STATE(16230)] = 745909,
  [SMALL_STATE(16231)] = 745932,
  [SMALL_STATE(16232)] = 745955,
  [SMALL_STATE(16233)] = 745978,
  [SMALL_STATE(16234)] = 745999,
  [SMALL_STATE(16235)] = 746022,
  [SMALL_STATE(16236)] = 746045,
  [SMALL_STATE(16237)] = 746068,
  [SMALL_STATE(16238)] = 746091,
  [SMALL_STATE(16239)] = 746114,
  [SMALL_STATE(16240)] = 746137,
  [SMALL_STATE(16241)] = 746160,
  [SMALL_STATE(16242)] = 746183,
  [SMALL_STATE(16243)] = 746206,
  [SMALL_STATE(16244)] = 746229,
  [SMALL_STATE(16245)] = 746252,
  [SMALL_STATE(16246)] = 746275,
  [SMALL_STATE(16247)] = 746298,
  [SMALL_STATE(16248)] = 746321,
  [SMALL_STATE(16249)] = 746340,
  [SMALL_STATE(16250)] = 746363,
  [SMALL_STATE(16251)] = 746386,
  [SMALL_STATE(16252)] = 746409,
  [SMALL_STATE(16253)] = 746432,
  [SMALL_STATE(16254)] = 746451,
  [SMALL_STATE(16255)] = 746474,
  [SMALL_STATE(16256)] = 746497,
  [SMALL_STATE(16257)] = 746520,
  [SMALL_STATE(16258)] = 746543,
  [SMALL_STATE(16259)] = 746566,
  [SMALL_STATE(16260)] = 746589,
  [SMALL_STATE(16261)] = 746612,
  [SMALL_STATE(16262)] = 746635,
  [SMALL_STATE(16263)] = 746658,
  [SMALL_STATE(16264)] = 746681,
  [SMALL_STATE(16265)] = 746702,
  [SMALL_STATE(16266)] = 746725,
  [SMALL_STATE(16267)] = 746748,
  [SMALL_STATE(16268)] = 746771,
  [SMALL_STATE(16269)] = 746794,
  [SMALL_STATE(16270)] = 746817,
  [SMALL_STATE(16271)] = 746840,
  [SMALL_STATE(16272)] = 746863,
  [SMALL_STATE(16273)] = 746886,
  [SMALL_STATE(16274)] = 746909,
  [SMALL_STATE(16275)] = 746932,
  [SMALL_STATE(16276)] = 746955,
  [SMALL_STATE(16277)] = 746978,
  [SMALL_STATE(16278)] = 747001,
  [SMALL_STATE(16279)] = 747024,
  [SMALL_STATE(16280)] = 747047,
  [SMALL_STATE(16281)] = 747070,
  [SMALL_STATE(16282)] = 747093,
  [SMALL_STATE(16283)] = 747116,
  [SMALL_STATE(16284)] = 747139,
  [SMALL_STATE(16285)] = 747162,
  [SMALL_STATE(16286)] = 747185,
  [SMALL_STATE(16287)] = 747208,
  [SMALL_STATE(16288)] = 747231,
  [SMALL_STATE(16289)] = 747254,
  [SMALL_STATE(16290)] = 747277,
  [SMALL_STATE(16291)] = 747300,
  [SMALL_STATE(16292)] = 747323,
  [SMALL_STATE(16293)] = 747346,
  [SMALL_STATE(16294)] = 747369,
  [SMALL_STATE(16295)] = 747392,
  [SMALL_STATE(16296)] = 747415,
  [SMALL_STATE(16297)] = 747438,
  [SMALL_STATE(16298)] = 747461,
  [SMALL_STATE(16299)] = 747484,
  [SMALL_STATE(16300)] = 747507,
  [SMALL_STATE(16301)] = 747530,
  [SMALL_STATE(16302)] = 747551,
  [SMALL_STATE(16303)] = 747574,
  [SMALL_STATE(16304)] = 747597,
  [SMALL_STATE(16305)] = 747620,
  [SMALL_STATE(16306)] = 747643,
  [SMALL_STATE(16307)] = 747666,
  [SMALL_STATE(16308)] = 747689,
  [SMALL_STATE(16309)] = 747712,
  [SMALL_STATE(16310)] = 747735,
  [SMALL_STATE(16311)] = 747758,
  [SMALL_STATE(16312)] = 747781,
  [SMALL_STATE(16313)] = 747804,
  [SMALL_STATE(16314)] = 747827,
  [SMALL_STATE(16315)] = 747850,
  [SMALL_STATE(16316)] = 747873,
  [SMALL_STATE(16317)] = 747896,
  [SMALL_STATE(16318)] = 747917,
  [SMALL_STATE(16319)] = 747940,
  [SMALL_STATE(16320)] = 747963,
  [SMALL_STATE(16321)] = 747986,
  [SMALL_STATE(16322)] = 748009,
  [SMALL_STATE(16323)] = 748032,
  [SMALL_STATE(16324)] = 748055,
  [SMALL_STATE(16325)] = 748078,
  [SMALL_STATE(16326)] = 748099,
  [SMALL_STATE(16327)] = 748122,
  [SMALL_STATE(16328)] = 748145,
  [SMALL_STATE(16329)] = 748168,
  [SMALL_STATE(16330)] = 748191,
  [SMALL_STATE(16331)] = 748214,
  [SMALL_STATE(16332)] = 748237,
  [SMALL_STATE(16333)] = 748260,
  [SMALL_STATE(16334)] = 748283,
  [SMALL_STATE(16335)] = 748306,
  [SMALL_STATE(16336)] = 748329,
  [SMALL_STATE(16337)] = 748352,
  [SMALL_STATE(16338)] = 748375,
  [SMALL_STATE(16339)] = 748396,
  [SMALL_STATE(16340)] = 748419,
  [SMALL_STATE(16341)] = 748442,
  [SMALL_STATE(16342)] = 748465,
  [SMALL_STATE(16343)] = 748488,
  [SMALL_STATE(16344)] = 748511,
  [SMALL_STATE(16345)] = 748534,
  [SMALL_STATE(16346)] = 748557,
  [SMALL_STATE(16347)] = 748580,
  [SMALL_STATE(16348)] = 748603,
  [SMALL_STATE(16349)] = 748626,
  [SMALL_STATE(16350)] = 748649,
  [SMALL_STATE(16351)] = 748672,
  [SMALL_STATE(16352)] = 748695,
  [SMALL_STATE(16353)] = 748718,
  [SMALL_STATE(16354)] = 748741,
  [SMALL_STATE(16355)] = 748764,
  [SMALL_STATE(16356)] = 748785,
  [SMALL_STATE(16357)] = 748808,
  [SMALL_STATE(16358)] = 748831,
  [SMALL_STATE(16359)] = 748854,
  [SMALL_STATE(16360)] = 748877,
  [SMALL_STATE(16361)] = 748900,
  [SMALL_STATE(16362)] = 748923,
  [SMALL_STATE(16363)] = 748946,
  [SMALL_STATE(16364)] = 748969,
  [SMALL_STATE(16365)] = 748992,
  [SMALL_STATE(16366)] = 749015,
  [SMALL_STATE(16367)] = 749038,
  [SMALL_STATE(16368)] = 749061,
  [SMALL_STATE(16369)] = 749084,
  [SMALL_STATE(16370)] = 749107,
  [SMALL_STATE(16371)] = 749130,
  [SMALL_STATE(16372)] = 749153,
  [SMALL_STATE(16373)] = 749176,
  [SMALL_STATE(16374)] = 749199,
  [SMALL_STATE(16375)] = 749220,
  [SMALL_STATE(16376)] = 749243,
  [SMALL_STATE(16377)] = 749266,
  [SMALL_STATE(16378)] = 749289,
  [SMALL_STATE(16379)] = 749312,
  [SMALL_STATE(16380)] = 749335,
  [SMALL_STATE(16381)] = 749358,
  [SMALL_STATE(16382)] = 749381,
  [SMALL_STATE(16383)] = 749404,
  [SMALL_STATE(16384)] = 749427,
  [SMALL_STATE(16385)] = 749450,
  [SMALL_STATE(16386)] = 749473,
  [SMALL_STATE(16387)] = 749496,
  [SMALL_STATE(16388)] = 749519,
  [SMALL_STATE(16389)] = 749542,
  [SMALL_STATE(16390)] = 749565,
  [SMALL_STATE(16391)] = 749588,
  [SMALL_STATE(16392)] = 749609,
  [SMALL_STATE(16393)] = 749632,
  [SMALL_STATE(16394)] = 749655,
  [SMALL_STATE(16395)] = 749678,
  [SMALL_STATE(16396)] = 749701,
  [SMALL_STATE(16397)] = 749724,
  [SMALL_STATE(16398)] = 749747,
  [SMALL_STATE(16399)] = 749768,
  [SMALL_STATE(16400)] = 749791,
  [SMALL_STATE(16401)] = 749814,
  [SMALL_STATE(16402)] = 749837,
  [SMALL_STATE(16403)] = 749860,
  [SMALL_STATE(16404)] = 749883,
  [SMALL_STATE(16405)] = 749906,
  [SMALL_STATE(16406)] = 749929,
  [SMALL_STATE(16407)] = 749952,
  [SMALL_STATE(16408)] = 749975,
  [SMALL_STATE(16409)] = 749998,
  [SMALL_STATE(16410)] = 750021,
  [SMALL_STATE(16411)] = 750044,
  [SMALL_STATE(16412)] = 750067,
  [SMALL_STATE(16413)] = 750090,
  [SMALL_STATE(16414)] = 750113,
  [SMALL_STATE(16415)] = 750136,
  [SMALL_STATE(16416)] = 750159,
  [SMALL_STATE(16417)] = 750182,
  [SMALL_STATE(16418)] = 750205,
  [SMALL_STATE(16419)] = 750228,
  [SMALL_STATE(16420)] = 750251,
  [SMALL_STATE(16421)] = 750274,
  [SMALL_STATE(16422)] = 750297,
  [SMALL_STATE(16423)] = 750320,
  [SMALL_STATE(16424)] = 750343,
  [SMALL_STATE(16425)] = 750366,
  [SMALL_STATE(16426)] = 750389,
  [SMALL_STATE(16427)] = 750412,
  [SMALL_STATE(16428)] = 750435,
  [SMALL_STATE(16429)] = 750458,
  [SMALL_STATE(16430)] = 750479,
  [SMALL_STATE(16431)] = 750502,
  [SMALL_STATE(16432)] = 750525,
  [SMALL_STATE(16433)] = 750548,
  [SMALL_STATE(16434)] = 750571,
  [SMALL_STATE(16435)] = 750594,
  [SMALL_STATE(16436)] = 750617,
  [SMALL_STATE(16437)] = 750640,
  [SMALL_STATE(16438)] = 750661,
  [SMALL_STATE(16439)] = 750684,
  [SMALL_STATE(16440)] = 750707,
  [SMALL_STATE(16441)] = 750730,
  [SMALL_STATE(16442)] = 750753,
  [SMALL_STATE(16443)] = 750776,
  [SMALL_STATE(16444)] = 750799,
  [SMALL_STATE(16445)] = 750822,
  [SMALL_STATE(16446)] = 750845,
  [SMALL_STATE(16447)] = 750868,
  [SMALL_STATE(16448)] = 750891,
  [SMALL_STATE(16449)] = 750914,
  [SMALL_STATE(16450)] = 750937,
  [SMALL_STATE(16451)] = 750960,
  [SMALL_STATE(16452)] = 750983,
  [SMALL_STATE(16453)] = 751006,
  [SMALL_STATE(16454)] = 751029,
  [SMALL_STATE(16455)] = 751052,
  [SMALL_STATE(16456)] = 751075,
  [SMALL_STATE(16457)] = 751098,
  [SMALL_STATE(16458)] = 751121,
  [SMALL_STATE(16459)] = 751144,
  [SMALL_STATE(16460)] = 751167,
  [SMALL_STATE(16461)] = 751190,
  [SMALL_STATE(16462)] = 751213,
  [SMALL_STATE(16463)] = 751236,
  [SMALL_STATE(16464)] = 751259,
  [SMALL_STATE(16465)] = 751282,
  [SMALL_STATE(16466)] = 751305,
  [SMALL_STATE(16467)] = 751328,
  [SMALL_STATE(16468)] = 751351,
  [SMALL_STATE(16469)] = 751374,
  [SMALL_STATE(16470)] = 751397,
  [SMALL_STATE(16471)] = 751420,
  [SMALL_STATE(16472)] = 751443,
  [SMALL_STATE(16473)] = 751466,
  [SMALL_STATE(16474)] = 751489,
  [SMALL_STATE(16475)] = 751512,
  [SMALL_STATE(16476)] = 751535,
  [SMALL_STATE(16477)] = 751558,
  [SMALL_STATE(16478)] = 751581,
  [SMALL_STATE(16479)] = 751604,
  [SMALL_STATE(16480)] = 751627,
  [SMALL_STATE(16481)] = 751650,
  [SMALL_STATE(16482)] = 751673,
  [SMALL_STATE(16483)] = 751696,
  [SMALL_STATE(16484)] = 751719,
  [SMALL_STATE(16485)] = 751742,
  [SMALL_STATE(16486)] = 751765,
  [SMALL_STATE(16487)] = 751788,
  [SMALL_STATE(16488)] = 751811,
  [SMALL_STATE(16489)] = 751834,
  [SMALL_STATE(16490)] = 751857,
  [SMALL_STATE(16491)] = 751880,
  [SMALL_STATE(16492)] = 751901,
  [SMALL_STATE(16493)] = 751924,
  [SMALL_STATE(16494)] = 751947,
  [SMALL_STATE(16495)] = 751970,
  [SMALL_STATE(16496)] = 751993,
  [SMALL_STATE(16497)] = 752016,
  [SMALL_STATE(16498)] = 752039,
  [SMALL_STATE(16499)] = 752062,
  [SMALL_STATE(16500)] = 752085,
  [SMALL_STATE(16501)] = 752108,
  [SMALL_STATE(16502)] = 752131,
  [SMALL_STATE(16503)] = 752154,
  [SMALL_STATE(16504)] = 752177,
  [SMALL_STATE(16505)] = 752198,
  [SMALL_STATE(16506)] = 752221,
  [SMALL_STATE(16507)] = 752244,
  [SMALL_STATE(16508)] = 752267,
  [SMALL_STATE(16509)] = 752290,
  [SMALL_STATE(16510)] = 752313,
  [SMALL_STATE(16511)] = 752336,
  [SMALL_STATE(16512)] = 752359,
  [SMALL_STATE(16513)] = 752382,
  [SMALL_STATE(16514)] = 752405,
  [SMALL_STATE(16515)] = 752424,
  [SMALL_STATE(16516)] = 752447,
  [SMALL_STATE(16517)] = 752470,
  [SMALL_STATE(16518)] = 752493,
  [SMALL_STATE(16519)] = 752516,
  [SMALL_STATE(16520)] = 752539,
  [SMALL_STATE(16521)] = 752562,
  [SMALL_STATE(16522)] = 752585,
  [SMALL_STATE(16523)] = 752608,
  [SMALL_STATE(16524)] = 752631,
  [SMALL_STATE(16525)] = 752654,
  [SMALL_STATE(16526)] = 752675,
  [SMALL_STATE(16527)] = 752698,
  [SMALL_STATE(16528)] = 752721,
  [SMALL_STATE(16529)] = 752744,
  [SMALL_STATE(16530)] = 752767,
  [SMALL_STATE(16531)] = 752790,
  [SMALL_STATE(16532)] = 752813,
  [SMALL_STATE(16533)] = 752836,
  [SMALL_STATE(16534)] = 752859,
  [SMALL_STATE(16535)] = 752878,
  [SMALL_STATE(16536)] = 752901,
  [SMALL_STATE(16537)] = 752924,
  [SMALL_STATE(16538)] = 752947,
  [SMALL_STATE(16539)] = 752970,
  [SMALL_STATE(16540)] = 752993,
  [SMALL_STATE(16541)] = 753016,
  [SMALL_STATE(16542)] = 753039,
  [SMALL_STATE(16543)] = 753062,
  [SMALL_STATE(16544)] = 753085,
  [SMALL_STATE(16545)] = 753108,
  [SMALL_STATE(16546)] = 753131,
  [SMALL_STATE(16547)] = 753154,
  [SMALL_STATE(16548)] = 753177,
  [SMALL_STATE(16549)] = 753200,
  [SMALL_STATE(16550)] = 753223,
  [SMALL_STATE(16551)] = 753246,
  [SMALL_STATE(16552)] = 753267,
  [SMALL_STATE(16553)] = 753290,
  [SMALL_STATE(16554)] = 753313,
  [SMALL_STATE(16555)] = 753336,
  [SMALL_STATE(16556)] = 753359,
  [SMALL_STATE(16557)] = 753382,
  [SMALL_STATE(16558)] = 753405,
  [SMALL_STATE(16559)] = 753426,
  [SMALL_STATE(16560)] = 753449,
  [SMALL_STATE(16561)] = 753472,
  [SMALL_STATE(16562)] = 753495,
  [SMALL_STATE(16563)] = 753518,
  [SMALL_STATE(16564)] = 753541,
  [SMALL_STATE(16565)] = 753562,
  [SMALL_STATE(16566)] = 753583,
  [SMALL_STATE(16567)] = 753606,
  [SMALL_STATE(16568)] = 753629,
  [SMALL_STATE(16569)] = 753652,
  [SMALL_STATE(16570)] = 753675,
  [SMALL_STATE(16571)] = 753696,
  [SMALL_STATE(16572)] = 753719,
  [SMALL_STATE(16573)] = 753742,
  [SMALL_STATE(16574)] = 753763,
  [SMALL_STATE(16575)] = 753786,
  [SMALL_STATE(16576)] = 753809,
  [SMALL_STATE(16577)] = 753832,
  [SMALL_STATE(16578)] = 753853,
  [SMALL_STATE(16579)] = 753876,
  [SMALL_STATE(16580)] = 753895,
  [SMALL_STATE(16581)] = 753918,
  [SMALL_STATE(16582)] = 753939,
  [SMALL_STATE(16583)] = 753962,
  [SMALL_STATE(16584)] = 753985,
  [SMALL_STATE(16585)] = 754006,
  [SMALL_STATE(16586)] = 754029,
  [SMALL_STATE(16587)] = 754052,
  [SMALL_STATE(16588)] = 754073,
  [SMALL_STATE(16589)] = 754096,
  [SMALL_STATE(16590)] = 754119,
  [SMALL_STATE(16591)] = 754142,
  [SMALL_STATE(16592)] = 754162,
  [SMALL_STATE(16593)] = 754182,
  [SMALL_STATE(16594)] = 754202,
  [SMALL_STATE(16595)] = 754222,
  [SMALL_STATE(16596)] = 754242,
  [SMALL_STATE(16597)] = 754262,
  [SMALL_STATE(16598)] = 754282,
  [SMALL_STATE(16599)] = 754302,
  [SMALL_STATE(16600)] = 754322,
  [SMALL_STATE(16601)] = 754342,
  [SMALL_STATE(16602)] = 754362,
  [SMALL_STATE(16603)] = 754382,
  [SMALL_STATE(16604)] = 754402,
  [SMALL_STATE(16605)] = 754422,
  [SMALL_STATE(16606)] = 754442,
  [SMALL_STATE(16607)] = 754462,
  [SMALL_STATE(16608)] = 754482,
  [SMALL_STATE(16609)] = 754502,
  [SMALL_STATE(16610)] = 754522,
  [SMALL_STATE(16611)] = 754542,
  [SMALL_STATE(16612)] = 754562,
  [SMALL_STATE(16613)] = 754582,
  [SMALL_STATE(16614)] = 754602,
  [SMALL_STATE(16615)] = 754622,
  [SMALL_STATE(16616)] = 754642,
  [SMALL_STATE(16617)] = 754662,
  [SMALL_STATE(16618)] = 754682,
  [SMALL_STATE(16619)] = 754702,
  [SMALL_STATE(16620)] = 754722,
  [SMALL_STATE(16621)] = 754742,
  [SMALL_STATE(16622)] = 754762,
  [SMALL_STATE(16623)] = 754782,
  [SMALL_STATE(16624)] = 754802,
  [SMALL_STATE(16625)] = 754822,
  [SMALL_STATE(16626)] = 754842,
  [SMALL_STATE(16627)] = 754862,
  [SMALL_STATE(16628)] = 754882,
  [SMALL_STATE(16629)] = 754902,
  [SMALL_STATE(16630)] = 754922,
  [SMALL_STATE(16631)] = 754942,
  [SMALL_STATE(16632)] = 754962,
  [SMALL_STATE(16633)] = 754982,
  [SMALL_STATE(16634)] = 755002,
  [SMALL_STATE(16635)] = 755022,
  [SMALL_STATE(16636)] = 755042,
  [SMALL_STATE(16637)] = 755062,
  [SMALL_STATE(16638)] = 755082,
  [SMALL_STATE(16639)] = 755102,
  [SMALL_STATE(16640)] = 755122,
  [SMALL_STATE(16641)] = 755142,
  [SMALL_STATE(16642)] = 755162,
  [SMALL_STATE(16643)] = 755182,
  [SMALL_STATE(16644)] = 755202,
  [SMALL_STATE(16645)] = 755222,
  [SMALL_STATE(16646)] = 755242,
  [SMALL_STATE(16647)] = 755262,
  [SMALL_STATE(16648)] = 755278,
  [SMALL_STATE(16649)] = 755298,
  [SMALL_STATE(16650)] = 755318,
  [SMALL_STATE(16651)] = 755338,
  [SMALL_STATE(16652)] = 755358,
  [SMALL_STATE(16653)] = 755378,
  [SMALL_STATE(16654)] = 755398,
  [SMALL_STATE(16655)] = 755418,
  [SMALL_STATE(16656)] = 755438,
  [SMALL_STATE(16657)] = 755458,
  [SMALL_STATE(16658)] = 755478,
  [SMALL_STATE(16659)] = 755498,
  [SMALL_STATE(16660)] = 755518,
  [SMALL_STATE(16661)] = 755538,
  [SMALL_STATE(16662)] = 755558,
  [SMALL_STATE(16663)] = 755578,
  [SMALL_STATE(16664)] = 755598,
  [SMALL_STATE(16665)] = 755618,
  [SMALL_STATE(16666)] = 755638,
  [SMALL_STATE(16667)] = 755658,
  [SMALL_STATE(16668)] = 755678,
  [SMALL_STATE(16669)] = 755698,
  [SMALL_STATE(16670)] = 755718,
  [SMALL_STATE(16671)] = 755738,
  [SMALL_STATE(16672)] = 755758,
  [SMALL_STATE(16673)] = 755778,
  [SMALL_STATE(16674)] = 755798,
  [SMALL_STATE(16675)] = 755818,
  [SMALL_STATE(16676)] = 755838,
  [SMALL_STATE(16677)] = 755858,
  [SMALL_STATE(16678)] = 755878,
  [SMALL_STATE(16679)] = 755898,
  [SMALL_STATE(16680)] = 755918,
  [SMALL_STATE(16681)] = 755938,
  [SMALL_STATE(16682)] = 755958,
  [SMALL_STATE(16683)] = 755978,
  [SMALL_STATE(16684)] = 755998,
  [SMALL_STATE(16685)] = 756018,
  [SMALL_STATE(16686)] = 756038,
  [SMALL_STATE(16687)] = 756058,
  [SMALL_STATE(16688)] = 756078,
  [SMALL_STATE(16689)] = 756098,
  [SMALL_STATE(16690)] = 756118,
  [SMALL_STATE(16691)] = 756138,
  [SMALL_STATE(16692)] = 756158,
  [SMALL_STATE(16693)] = 756178,
  [SMALL_STATE(16694)] = 756198,
  [SMALL_STATE(16695)] = 756218,
  [SMALL_STATE(16696)] = 756238,
  [SMALL_STATE(16697)] = 756258,
  [SMALL_STATE(16698)] = 756278,
  [SMALL_STATE(16699)] = 756298,
  [SMALL_STATE(16700)] = 756318,
  [SMALL_STATE(16701)] = 756338,
  [SMALL_STATE(16702)] = 756358,
  [SMALL_STATE(16703)] = 756378,
  [SMALL_STATE(16704)] = 756398,
  [SMALL_STATE(16705)] = 756418,
  [SMALL_STATE(16706)] = 756438,
  [SMALL_STATE(16707)] = 756458,
  [SMALL_STATE(16708)] = 756478,
  [SMALL_STATE(16709)] = 756498,
  [SMALL_STATE(16710)] = 756518,
  [SMALL_STATE(16711)] = 756538,
  [SMALL_STATE(16712)] = 756558,
  [SMALL_STATE(16713)] = 756578,
  [SMALL_STATE(16714)] = 756598,
  [SMALL_STATE(16715)] = 756618,
  [SMALL_STATE(16716)] = 756638,
  [SMALL_STATE(16717)] = 756658,
  [SMALL_STATE(16718)] = 756678,
  [SMALL_STATE(16719)] = 756696,
  [SMALL_STATE(16720)] = 756716,
  [SMALL_STATE(16721)] = 756736,
  [SMALL_STATE(16722)] = 756756,
  [SMALL_STATE(16723)] = 756776,
  [SMALL_STATE(16724)] = 756796,
  [SMALL_STATE(16725)] = 756816,
  [SMALL_STATE(16726)] = 756836,
  [SMALL_STATE(16727)] = 756854,
  [SMALL_STATE(16728)] = 756872,
  [SMALL_STATE(16729)] = 756892,
  [SMALL_STATE(16730)] = 756912,
  [SMALL_STATE(16731)] = 756932,
  [SMALL_STATE(16732)] = 756952,
  [SMALL_STATE(16733)] = 756972,
  [SMALL_STATE(16734)] = 756992,
  [SMALL_STATE(16735)] = 757012,
  [SMALL_STATE(16736)] = 757032,
  [SMALL_STATE(16737)] = 757052,
  [SMALL_STATE(16738)] = 757072,
  [SMALL_STATE(16739)] = 757092,
  [SMALL_STATE(16740)] = 757112,
  [SMALL_STATE(16741)] = 757132,
  [SMALL_STATE(16742)] = 757152,
  [SMALL_STATE(16743)] = 757172,
  [SMALL_STATE(16744)] = 757192,
  [SMALL_STATE(16745)] = 757210,
  [SMALL_STATE(16746)] = 757230,
  [SMALL_STATE(16747)] = 757250,
  [SMALL_STATE(16748)] = 757270,
  [SMALL_STATE(16749)] = 757290,
  [SMALL_STATE(16750)] = 757310,
  [SMALL_STATE(16751)] = 757330,
  [SMALL_STATE(16752)] = 757350,
  [SMALL_STATE(16753)] = 757370,
  [SMALL_STATE(16754)] = 757388,
  [SMALL_STATE(16755)] = 757408,
  [SMALL_STATE(16756)] = 757428,
  [SMALL_STATE(16757)] = 757448,
  [SMALL_STATE(16758)] = 757468,
  [SMALL_STATE(16759)] = 757488,
  [SMALL_STATE(16760)] = 757506,
  [SMALL_STATE(16761)] = 757526,
  [SMALL_STATE(16762)] = 757546,
  [SMALL_STATE(16763)] = 757566,
  [SMALL_STATE(16764)] = 757584,
  [SMALL_STATE(16765)] = 757604,
  [SMALL_STATE(16766)] = 757624,
  [SMALL_STATE(16767)] = 757644,
  [SMALL_STATE(16768)] = 757664,
  [SMALL_STATE(16769)] = 757684,
  [SMALL_STATE(16770)] = 757704,
  [SMALL_STATE(16771)] = 757724,
  [SMALL_STATE(16772)] = 757744,
  [SMALL_STATE(16773)] = 757764,
  [SMALL_STATE(16774)] = 757784,
  [SMALL_STATE(16775)] = 757804,
  [SMALL_STATE(16776)] = 757824,
  [SMALL_STATE(16777)] = 757844,
  [SMALL_STATE(16778)] = 757864,
  [SMALL_STATE(16779)] = 757884,
  [SMALL_STATE(16780)] = 757904,
  [SMALL_STATE(16781)] = 757924,
  [SMALL_STATE(16782)] = 757944,
  [SMALL_STATE(16783)] = 757964,
  [SMALL_STATE(16784)] = 757984,
  [SMALL_STATE(16785)] = 758004,
  [SMALL_STATE(16786)] = 758024,
  [SMALL_STATE(16787)] = 758044,
  [SMALL_STATE(16788)] = 758064,
  [SMALL_STATE(16789)] = 758084,
  [SMALL_STATE(16790)] = 758104,
  [SMALL_STATE(16791)] = 758124,
  [SMALL_STATE(16792)] = 758144,
  [SMALL_STATE(16793)] = 758164,
  [SMALL_STATE(16794)] = 758184,
  [SMALL_STATE(16795)] = 758204,
  [SMALL_STATE(16796)] = 758224,
  [SMALL_STATE(16797)] = 758244,
  [SMALL_STATE(16798)] = 758264,
  [SMALL_STATE(16799)] = 758284,
  [SMALL_STATE(16800)] = 758304,
  [SMALL_STATE(16801)] = 758324,
  [SMALL_STATE(16802)] = 758344,
  [SMALL_STATE(16803)] = 758364,
  [SMALL_STATE(16804)] = 758384,
  [SMALL_STATE(16805)] = 758404,
  [SMALL_STATE(16806)] = 758424,
  [SMALL_STATE(16807)] = 758444,
  [SMALL_STATE(16808)] = 758460,
  [SMALL_STATE(16809)] = 758480,
  [SMALL_STATE(16810)] = 758500,
  [SMALL_STATE(16811)] = 758520,
  [SMALL_STATE(16812)] = 758540,
  [SMALL_STATE(16813)] = 758558,
  [SMALL_STATE(16814)] = 758578,
  [SMALL_STATE(16815)] = 758598,
  [SMALL_STATE(16816)] = 758618,
  [SMALL_STATE(16817)] = 758638,
  [SMALL_STATE(16818)] = 758658,
  [SMALL_STATE(16819)] = 758678,
  [SMALL_STATE(16820)] = 758698,
  [SMALL_STATE(16821)] = 758718,
  [SMALL_STATE(16822)] = 758738,
  [SMALL_STATE(16823)] = 758756,
  [SMALL_STATE(16824)] = 758772,
  [SMALL_STATE(16825)] = 758792,
  [SMALL_STATE(16826)] = 758812,
  [SMALL_STATE(16827)] = 758832,
  [SMALL_STATE(16828)] = 758852,
  [SMALL_STATE(16829)] = 758872,
  [SMALL_STATE(16830)] = 758892,
  [SMALL_STATE(16831)] = 758912,
  [SMALL_STATE(16832)] = 758932,
  [SMALL_STATE(16833)] = 758952,
  [SMALL_STATE(16834)] = 758972,
  [SMALL_STATE(16835)] = 758990,
  [SMALL_STATE(16836)] = 759010,
  [SMALL_STATE(16837)] = 759030,
  [SMALL_STATE(16838)] = 759050,
  [SMALL_STATE(16839)] = 759070,
  [SMALL_STATE(16840)] = 759090,
  [SMALL_STATE(16841)] = 759110,
  [SMALL_STATE(16842)] = 759130,
  [SMALL_STATE(16843)] = 759150,
  [SMALL_STATE(16844)] = 759170,
  [SMALL_STATE(16845)] = 759188,
  [SMALL_STATE(16846)] = 759208,
  [SMALL_STATE(16847)] = 759228,
  [SMALL_STATE(16848)] = 759248,
  [SMALL_STATE(16849)] = 759268,
  [SMALL_STATE(16850)] = 759288,
  [SMALL_STATE(16851)] = 759308,
  [SMALL_STATE(16852)] = 759328,
  [SMALL_STATE(16853)] = 759344,
  [SMALL_STATE(16854)] = 759364,
  [SMALL_STATE(16855)] = 759384,
  [SMALL_STATE(16856)] = 759402,
  [SMALL_STATE(16857)] = 759422,
  [SMALL_STATE(16858)] = 759442,
  [SMALL_STATE(16859)] = 759462,
  [SMALL_STATE(16860)] = 759482,
  [SMALL_STATE(16861)] = 759502,
  [SMALL_STATE(16862)] = 759522,
  [SMALL_STATE(16863)] = 759542,
  [SMALL_STATE(16864)] = 759560,
  [SMALL_STATE(16865)] = 759580,
  [SMALL_STATE(16866)] = 759600,
  [SMALL_STATE(16867)] = 759620,
  [SMALL_STATE(16868)] = 759640,
  [SMALL_STATE(16869)] = 759660,
  [SMALL_STATE(16870)] = 759680,
  [SMALL_STATE(16871)] = 759700,
  [SMALL_STATE(16872)] = 759720,
  [SMALL_STATE(16873)] = 759740,
  [SMALL_STATE(16874)] = 759760,
  [SMALL_STATE(16875)] = 759780,
  [SMALL_STATE(16876)] = 759800,
  [SMALL_STATE(16877)] = 759820,
  [SMALL_STATE(16878)] = 759840,
  [SMALL_STATE(16879)] = 759860,
  [SMALL_STATE(16880)] = 759880,
  [SMALL_STATE(16881)] = 759900,
  [SMALL_STATE(16882)] = 759920,
  [SMALL_STATE(16883)] = 759940,
  [SMALL_STATE(16884)] = 759960,
  [SMALL_STATE(16885)] = 759980,
  [SMALL_STATE(16886)] = 760000,
  [SMALL_STATE(16887)] = 760020,
  [SMALL_STATE(16888)] = 760040,
  [SMALL_STATE(16889)] = 760060,
  [SMALL_STATE(16890)] = 760080,
  [SMALL_STATE(16891)] = 760100,
  [SMALL_STATE(16892)] = 760120,
  [SMALL_STATE(16893)] = 760140,
  [SMALL_STATE(16894)] = 760160,
  [SMALL_STATE(16895)] = 760180,
  [SMALL_STATE(16896)] = 760198,
  [SMALL_STATE(16897)] = 760218,
  [SMALL_STATE(16898)] = 760236,
  [SMALL_STATE(16899)] = 760256,
  [SMALL_STATE(16900)] = 760276,
  [SMALL_STATE(16901)] = 760296,
  [SMALL_STATE(16902)] = 760316,
  [SMALL_STATE(16903)] = 760336,
  [SMALL_STATE(16904)] = 760356,
  [SMALL_STATE(16905)] = 760376,
  [SMALL_STATE(16906)] = 760396,
  [SMALL_STATE(16907)] = 760416,
  [SMALL_STATE(16908)] = 760436,
  [SMALL_STATE(16909)] = 760456,
  [SMALL_STATE(16910)] = 760476,
  [SMALL_STATE(16911)] = 760496,
  [SMALL_STATE(16912)] = 760516,
  [SMALL_STATE(16913)] = 760536,
  [SMALL_STATE(16914)] = 760554,
  [SMALL_STATE(16915)] = 760574,
  [SMALL_STATE(16916)] = 760594,
  [SMALL_STATE(16917)] = 760612,
  [SMALL_STATE(16918)] = 760632,
  [SMALL_STATE(16919)] = 760652,
  [SMALL_STATE(16920)] = 760672,
  [SMALL_STATE(16921)] = 760692,
  [SMALL_STATE(16922)] = 760712,
  [SMALL_STATE(16923)] = 760732,
  [SMALL_STATE(16924)] = 760752,
  [SMALL_STATE(16925)] = 760772,
  [SMALL_STATE(16926)] = 760792,
  [SMALL_STATE(16927)] = 760812,
  [SMALL_STATE(16928)] = 760830,
  [SMALL_STATE(16929)] = 760850,
  [SMALL_STATE(16930)] = 760870,
  [SMALL_STATE(16931)] = 760890,
  [SMALL_STATE(16932)] = 760910,
  [SMALL_STATE(16933)] = 760930,
  [SMALL_STATE(16934)] = 760950,
  [SMALL_STATE(16935)] = 760970,
  [SMALL_STATE(16936)] = 760990,
  [SMALL_STATE(16937)] = 761010,
  [SMALL_STATE(16938)] = 761030,
  [SMALL_STATE(16939)] = 761050,
  [SMALL_STATE(16940)] = 761070,
  [SMALL_STATE(16941)] = 761090,
  [SMALL_STATE(16942)] = 761110,
  [SMALL_STATE(16943)] = 761130,
  [SMALL_STATE(16944)] = 761150,
  [SMALL_STATE(16945)] = 761170,
  [SMALL_STATE(16946)] = 761190,
  [SMALL_STATE(16947)] = 761210,
  [SMALL_STATE(16948)] = 761230,
  [SMALL_STATE(16949)] = 761250,
  [SMALL_STATE(16950)] = 761270,
  [SMALL_STATE(16951)] = 761290,
  [SMALL_STATE(16952)] = 761310,
  [SMALL_STATE(16953)] = 761328,
  [SMALL_STATE(16954)] = 761348,
  [SMALL_STATE(16955)] = 761368,
  [SMALL_STATE(16956)] = 761386,
  [SMALL_STATE(16957)] = 761406,
  [SMALL_STATE(16958)] = 761426,
  [SMALL_STATE(16959)] = 761446,
  [SMALL_STATE(16960)] = 761466,
  [SMALL_STATE(16961)] = 761484,
  [SMALL_STATE(16962)] = 761504,
  [SMALL_STATE(16963)] = 761524,
  [SMALL_STATE(16964)] = 761542,
  [SMALL_STATE(16965)] = 761558,
  [SMALL_STATE(16966)] = 761578,
  [SMALL_STATE(16967)] = 761598,
  [SMALL_STATE(16968)] = 761618,
  [SMALL_STATE(16969)] = 761638,
  [SMALL_STATE(16970)] = 761656,
  [SMALL_STATE(16971)] = 761676,
  [SMALL_STATE(16972)] = 761696,
  [SMALL_STATE(16973)] = 761716,
  [SMALL_STATE(16974)] = 761736,
  [SMALL_STATE(16975)] = 761756,
  [SMALL_STATE(16976)] = 761776,
  [SMALL_STATE(16977)] = 761796,
  [SMALL_STATE(16978)] = 761814,
  [SMALL_STATE(16979)] = 761834,
  [SMALL_STATE(16980)] = 761852,
  [SMALL_STATE(16981)] = 761872,
  [SMALL_STATE(16982)] = 761892,
  [SMALL_STATE(16983)] = 761912,
  [SMALL_STATE(16984)] = 761932,
  [SMALL_STATE(16985)] = 761950,
  [SMALL_STATE(16986)] = 761970,
  [SMALL_STATE(16987)] = 761988,
  [SMALL_STATE(16988)] = 762008,
  [SMALL_STATE(16989)] = 762028,
  [SMALL_STATE(16990)] = 762048,
  [SMALL_STATE(16991)] = 762068,
  [SMALL_STATE(16992)] = 762088,
  [SMALL_STATE(16993)] = 762108,
  [SMALL_STATE(16994)] = 762128,
  [SMALL_STATE(16995)] = 762148,
  [SMALL_STATE(16996)] = 762168,
  [SMALL_STATE(16997)] = 762188,
  [SMALL_STATE(16998)] = 762208,
  [SMALL_STATE(16999)] = 762228,
  [SMALL_STATE(17000)] = 762248,
  [SMALL_STATE(17001)] = 762268,
  [SMALL_STATE(17002)] = 762288,
  [SMALL_STATE(17003)] = 762306,
  [SMALL_STATE(17004)] = 762326,
  [SMALL_STATE(17005)] = 762346,
  [SMALL_STATE(17006)] = 762364,
  [SMALL_STATE(17007)] = 762382,
  [SMALL_STATE(17008)] = 762402,
  [SMALL_STATE(17009)] = 762422,
  [SMALL_STATE(17010)] = 762442,
  [SMALL_STATE(17011)] = 762460,
  [SMALL_STATE(17012)] = 762480,
  [SMALL_STATE(17013)] = 762500,
  [SMALL_STATE(17014)] = 762520,
  [SMALL_STATE(17015)] = 762540,
  [SMALL_STATE(17016)] = 762560,
  [SMALL_STATE(17017)] = 762580,
  [SMALL_STATE(17018)] = 762600,
  [SMALL_STATE(17019)] = 762620,
  [SMALL_STATE(17020)] = 762640,
  [SMALL_STATE(17021)] = 762660,
  [SMALL_STATE(17022)] = 762680,
  [SMALL_STATE(17023)] = 762700,
  [SMALL_STATE(17024)] = 762720,
  [SMALL_STATE(17025)] = 762738,
  [SMALL_STATE(17026)] = 762758,
  [SMALL_STATE(17027)] = 762778,
  [SMALL_STATE(17028)] = 762798,
  [SMALL_STATE(17029)] = 762818,
  [SMALL_STATE(17030)] = 762838,
  [SMALL_STATE(17031)] = 762858,
  [SMALL_STATE(17032)] = 762878,
  [SMALL_STATE(17033)] = 762898,
  [SMALL_STATE(17034)] = 762918,
  [SMALL_STATE(17035)] = 762938,
  [SMALL_STATE(17036)] = 762958,
  [SMALL_STATE(17037)] = 762978,
  [SMALL_STATE(17038)] = 762998,
  [SMALL_STATE(17039)] = 763018,
  [SMALL_STATE(17040)] = 763038,
  [SMALL_STATE(17041)] = 763058,
  [SMALL_STATE(17042)] = 763078,
  [SMALL_STATE(17043)] = 763096,
  [SMALL_STATE(17044)] = 763116,
  [SMALL_STATE(17045)] = 763136,
  [SMALL_STATE(17046)] = 763156,
  [SMALL_STATE(17047)] = 763176,
  [SMALL_STATE(17048)] = 763196,
  [SMALL_STATE(17049)] = 763216,
  [SMALL_STATE(17050)] = 763236,
  [SMALL_STATE(17051)] = 763256,
  [SMALL_STATE(17052)] = 763276,
  [SMALL_STATE(17053)] = 763296,
  [SMALL_STATE(17054)] = 763316,
  [SMALL_STATE(17055)] = 763334,
  [SMALL_STATE(17056)] = 763352,
  [SMALL_STATE(17057)] = 763372,
  [SMALL_STATE(17058)] = 763392,
  [SMALL_STATE(17059)] = 763410,
  [SMALL_STATE(17060)] = 763430,
  [SMALL_STATE(17061)] = 763450,
  [SMALL_STATE(17062)] = 763470,
  [SMALL_STATE(17063)] = 763490,
  [SMALL_STATE(17064)] = 763510,
  [SMALL_STATE(17065)] = 763530,
  [SMALL_STATE(17066)] = 763550,
  [SMALL_STATE(17067)] = 763570,
  [SMALL_STATE(17068)] = 763590,
  [SMALL_STATE(17069)] = 763610,
  [SMALL_STATE(17070)] = 763628,
  [SMALL_STATE(17071)] = 763648,
  [SMALL_STATE(17072)] = 763668,
  [SMALL_STATE(17073)] = 763688,
  [SMALL_STATE(17074)] = 763708,
  [SMALL_STATE(17075)] = 763728,
  [SMALL_STATE(17076)] = 763748,
  [SMALL_STATE(17077)] = 763768,
  [SMALL_STATE(17078)] = 763788,
  [SMALL_STATE(17079)] = 763808,
  [SMALL_STATE(17080)] = 763828,
  [SMALL_STATE(17081)] = 763848,
  [SMALL_STATE(17082)] = 763868,
  [SMALL_STATE(17083)] = 763888,
  [SMALL_STATE(17084)] = 763908,
  [SMALL_STATE(17085)] = 763928,
  [SMALL_STATE(17086)] = 763948,
  [SMALL_STATE(17087)] = 763968,
  [SMALL_STATE(17088)] = 763988,
  [SMALL_STATE(17089)] = 764008,
  [SMALL_STATE(17090)] = 764028,
  [SMALL_STATE(17091)] = 764048,
  [SMALL_STATE(17092)] = 764068,
  [SMALL_STATE(17093)] = 764088,
  [SMALL_STATE(17094)] = 764108,
  [SMALL_STATE(17095)] = 764128,
  [SMALL_STATE(17096)] = 764148,
  [SMALL_STATE(17097)] = 764168,
  [SMALL_STATE(17098)] = 764188,
  [SMALL_STATE(17099)] = 764208,
  [SMALL_STATE(17100)] = 764226,
  [SMALL_STATE(17101)] = 764244,
  [SMALL_STATE(17102)] = 764264,
  [SMALL_STATE(17103)] = 764284,
  [SMALL_STATE(17104)] = 764304,
  [SMALL_STATE(17105)] = 764324,
  [SMALL_STATE(17106)] = 764344,
  [SMALL_STATE(17107)] = 764362,
  [SMALL_STATE(17108)] = 764382,
  [SMALL_STATE(17109)] = 764402,
  [SMALL_STATE(17110)] = 764422,
  [SMALL_STATE(17111)] = 764442,
  [SMALL_STATE(17112)] = 764462,
  [SMALL_STATE(17113)] = 764482,
  [SMALL_STATE(17114)] = 764502,
  [SMALL_STATE(17115)] = 764522,
  [SMALL_STATE(17116)] = 764542,
  [SMALL_STATE(17117)] = 764562,
  [SMALL_STATE(17118)] = 764582,
  [SMALL_STATE(17119)] = 764602,
  [SMALL_STATE(17120)] = 764622,
  [SMALL_STATE(17121)] = 764642,
  [SMALL_STATE(17122)] = 764662,
  [SMALL_STATE(17123)] = 764682,
  [SMALL_STATE(17124)] = 764702,
  [SMALL_STATE(17125)] = 764722,
  [SMALL_STATE(17126)] = 764742,
  [SMALL_STATE(17127)] = 764760,
  [SMALL_STATE(17128)] = 764780,
  [SMALL_STATE(17129)] = 764800,
  [SMALL_STATE(17130)] = 764820,
  [SMALL_STATE(17131)] = 764840,
  [SMALL_STATE(17132)] = 764860,
  [SMALL_STATE(17133)] = 764880,
  [SMALL_STATE(17134)] = 764900,
  [SMALL_STATE(17135)] = 764920,
  [SMALL_STATE(17136)] = 764940,
  [SMALL_STATE(17137)] = 764960,
  [SMALL_STATE(17138)] = 764980,
  [SMALL_STATE(17139)] = 765000,
  [SMALL_STATE(17140)] = 765020,
  [SMALL_STATE(17141)] = 765040,
  [SMALL_STATE(17142)] = 765060,
  [SMALL_STATE(17143)] = 765080,
  [SMALL_STATE(17144)] = 765100,
  [SMALL_STATE(17145)] = 765120,
  [SMALL_STATE(17146)] = 765140,
  [SMALL_STATE(17147)] = 765160,
  [SMALL_STATE(17148)] = 765180,
  [SMALL_STATE(17149)] = 765200,
  [SMALL_STATE(17150)] = 765220,
  [SMALL_STATE(17151)] = 765240,
  [SMALL_STATE(17152)] = 765260,
  [SMALL_STATE(17153)] = 765278,
  [SMALL_STATE(17154)] = 765298,
  [SMALL_STATE(17155)] = 765318,
  [SMALL_STATE(17156)] = 765338,
  [SMALL_STATE(17157)] = 765358,
  [SMALL_STATE(17158)] = 765376,
  [SMALL_STATE(17159)] = 765396,
  [SMALL_STATE(17160)] = 765416,
  [SMALL_STATE(17161)] = 765436,
  [SMALL_STATE(17162)] = 765456,
  [SMALL_STATE(17163)] = 765476,
  [SMALL_STATE(17164)] = 765496,
  [SMALL_STATE(17165)] = 765516,
  [SMALL_STATE(17166)] = 765536,
  [SMALL_STATE(17167)] = 765556,
  [SMALL_STATE(17168)] = 765576,
  [SMALL_STATE(17169)] = 765596,
  [SMALL_STATE(17170)] = 765616,
  [SMALL_STATE(17171)] = 765636,
  [SMALL_STATE(17172)] = 765656,
  [SMALL_STATE(17173)] = 765676,
  [SMALL_STATE(17174)] = 765696,
  [SMALL_STATE(17175)] = 765716,
  [SMALL_STATE(17176)] = 765736,
  [SMALL_STATE(17177)] = 765754,
  [SMALL_STATE(17178)] = 765774,
  [SMALL_STATE(17179)] = 765794,
  [SMALL_STATE(17180)] = 765814,
  [SMALL_STATE(17181)] = 765834,
  [SMALL_STATE(17182)] = 765854,
  [SMALL_STATE(17183)] = 765874,
  [SMALL_STATE(17184)] = 765894,
  [SMALL_STATE(17185)] = 765914,
  [SMALL_STATE(17186)] = 765934,
  [SMALL_STATE(17187)] = 765954,
  [SMALL_STATE(17188)] = 765974,
  [SMALL_STATE(17189)] = 765994,
  [SMALL_STATE(17190)] = 766014,
  [SMALL_STATE(17191)] = 766034,
  [SMALL_STATE(17192)] = 766054,
  [SMALL_STATE(17193)] = 766074,
  [SMALL_STATE(17194)] = 766094,
  [SMALL_STATE(17195)] = 766114,
  [SMALL_STATE(17196)] = 766134,
  [SMALL_STATE(17197)] = 766154,
  [SMALL_STATE(17198)] = 766174,
  [SMALL_STATE(17199)] = 766194,
  [SMALL_STATE(17200)] = 766214,
  [SMALL_STATE(17201)] = 766234,
  [SMALL_STATE(17202)] = 766252,
  [SMALL_STATE(17203)] = 766272,
  [SMALL_STATE(17204)] = 766292,
  [SMALL_STATE(17205)] = 766312,
  [SMALL_STATE(17206)] = 766332,
  [SMALL_STATE(17207)] = 766352,
  [SMALL_STATE(17208)] = 766372,
  [SMALL_STATE(17209)] = 766392,
  [SMALL_STATE(17210)] = 766412,
  [SMALL_STATE(17211)] = 766432,
  [SMALL_STATE(17212)] = 766452,
  [SMALL_STATE(17213)] = 766472,
  [SMALL_STATE(17214)] = 766492,
  [SMALL_STATE(17215)] = 766512,
  [SMALL_STATE(17216)] = 766532,
  [SMALL_STATE(17217)] = 766552,
  [SMALL_STATE(17218)] = 766572,
  [SMALL_STATE(17219)] = 766592,
  [SMALL_STATE(17220)] = 766612,
  [SMALL_STATE(17221)] = 766632,
  [SMALL_STATE(17222)] = 766652,
  [SMALL_STATE(17223)] = 766672,
  [SMALL_STATE(17224)] = 766692,
  [SMALL_STATE(17225)] = 766712,
  [SMALL_STATE(17226)] = 766732,
  [SMALL_STATE(17227)] = 766752,
  [SMALL_STATE(17228)] = 766772,
  [SMALL_STATE(17229)] = 766792,
  [SMALL_STATE(17230)] = 766810,
  [SMALL_STATE(17231)] = 766830,
  [SMALL_STATE(17232)] = 766850,
  [SMALL_STATE(17233)] = 766870,
  [SMALL_STATE(17234)] = 766890,
  [SMALL_STATE(17235)] = 766910,
  [SMALL_STATE(17236)] = 766930,
  [SMALL_STATE(17237)] = 766950,
  [SMALL_STATE(17238)] = 766970,
  [SMALL_STATE(17239)] = 766990,
  [SMALL_STATE(17240)] = 767010,
  [SMALL_STATE(17241)] = 767030,
  [SMALL_STATE(17242)] = 767050,
  [SMALL_STATE(17243)] = 767070,
  [SMALL_STATE(17244)] = 767090,
  [SMALL_STATE(17245)] = 767110,
  [SMALL_STATE(17246)] = 767130,
  [SMALL_STATE(17247)] = 767150,
  [SMALL_STATE(17248)] = 767170,
  [SMALL_STATE(17249)] = 767190,
  [SMALL_STATE(17250)] = 767210,
  [SMALL_STATE(17251)] = 767230,
  [SMALL_STATE(17252)] = 767250,
  [SMALL_STATE(17253)] = 767270,
  [SMALL_STATE(17254)] = 767290,
  [SMALL_STATE(17255)] = 767310,
  [SMALL_STATE(17256)] = 767330,
  [SMALL_STATE(17257)] = 767350,
  [SMALL_STATE(17258)] = 767370,
  [SMALL_STATE(17259)] = 767388,
  [SMALL_STATE(17260)] = 767408,
  [SMALL_STATE(17261)] = 767428,
  [SMALL_STATE(17262)] = 767448,
  [SMALL_STATE(17263)] = 767468,
  [SMALL_STATE(17264)] = 767488,
  [SMALL_STATE(17265)] = 767508,
  [SMALL_STATE(17266)] = 767528,
  [SMALL_STATE(17267)] = 767548,
  [SMALL_STATE(17268)] = 767568,
  [SMALL_STATE(17269)] = 767588,
  [SMALL_STATE(17270)] = 767608,
  [SMALL_STATE(17271)] = 767628,
  [SMALL_STATE(17272)] = 767648,
  [SMALL_STATE(17273)] = 767668,
  [SMALL_STATE(17274)] = 767686,
  [SMALL_STATE(17275)] = 767706,
  [SMALL_STATE(17276)] = 767726,
  [SMALL_STATE(17277)] = 767746,
  [SMALL_STATE(17278)] = 767766,
  [SMALL_STATE(17279)] = 767786,
  [SMALL_STATE(17280)] = 767804,
  [SMALL_STATE(17281)] = 767824,
  [SMALL_STATE(17282)] = 767842,
  [SMALL_STATE(17283)] = 767862,
  [SMALL_STATE(17284)] = 767882,
  [SMALL_STATE(17285)] = 767902,
  [SMALL_STATE(17286)] = 767922,
  [SMALL_STATE(17287)] = 767942,
  [SMALL_STATE(17288)] = 767962,
  [SMALL_STATE(17289)] = 767982,
  [SMALL_STATE(17290)] = 768002,
  [SMALL_STATE(17291)] = 768022,
  [SMALL_STATE(17292)] = 768042,
  [SMALL_STATE(17293)] = 768062,
  [SMALL_STATE(17294)] = 768080,
  [SMALL_STATE(17295)] = 768100,
  [SMALL_STATE(17296)] = 768120,
  [SMALL_STATE(17297)] = 768140,
  [SMALL_STATE(17298)] = 768160,
  [SMALL_STATE(17299)] = 768180,
  [SMALL_STATE(17300)] = 768198,
  [SMALL_STATE(17301)] = 768216,
  [SMALL_STATE(17302)] = 768232,
  [SMALL_STATE(17303)] = 768252,
  [SMALL_STATE(17304)] = 768272,
  [SMALL_STATE(17305)] = 768292,
  [SMALL_STATE(17306)] = 768312,
  [SMALL_STATE(17307)] = 768332,
  [SMALL_STATE(17308)] = 768352,
  [SMALL_STATE(17309)] = 768372,
  [SMALL_STATE(17310)] = 768392,
  [SMALL_STATE(17311)] = 768412,
  [SMALL_STATE(17312)] = 768430,
  [SMALL_STATE(17313)] = 768448,
  [SMALL_STATE(17314)] = 768468,
  [SMALL_STATE(17315)] = 768488,
  [SMALL_STATE(17316)] = 768508,
  [SMALL_STATE(17317)] = 768528,
  [SMALL_STATE(17318)] = 768548,
  [SMALL_STATE(17319)] = 768568,
  [SMALL_STATE(17320)] = 768588,
  [SMALL_STATE(17321)] = 768608,
  [SMALL_STATE(17322)] = 768628,
  [SMALL_STATE(17323)] = 768648,
  [SMALL_STATE(17324)] = 768666,
  [SMALL_STATE(17325)] = 768686,
  [SMALL_STATE(17326)] = 768706,
  [SMALL_STATE(17327)] = 768726,
  [SMALL_STATE(17328)] = 768746,
  [SMALL_STATE(17329)] = 768766,
  [SMALL_STATE(17330)] = 768784,
  [SMALL_STATE(17331)] = 768804,
  [SMALL_STATE(17332)] = 768824,
  [SMALL_STATE(17333)] = 768844,
  [SMALL_STATE(17334)] = 768864,
  [SMALL_STATE(17335)] = 768884,
  [SMALL_STATE(17336)] = 768904,
  [SMALL_STATE(17337)] = 768924,
  [SMALL_STATE(17338)] = 768944,
  [SMALL_STATE(17339)] = 768962,
  [SMALL_STATE(17340)] = 768980,
  [SMALL_STATE(17341)] = 769000,
  [SMALL_STATE(17342)] = 769020,
  [SMALL_STATE(17343)] = 769040,
  [SMALL_STATE(17344)] = 769060,
  [SMALL_STATE(17345)] = 769080,
  [SMALL_STATE(17346)] = 769100,
  [SMALL_STATE(17347)] = 769120,
  [SMALL_STATE(17348)] = 769140,
  [SMALL_STATE(17349)] = 769160,
  [SMALL_STATE(17350)] = 769180,
  [SMALL_STATE(17351)] = 769198,
  [SMALL_STATE(17352)] = 769216,
  [SMALL_STATE(17353)] = 769234,
  [SMALL_STATE(17354)] = 769254,
  [SMALL_STATE(17355)] = 769274,
  [SMALL_STATE(17356)] = 769294,
  [SMALL_STATE(17357)] = 769314,
  [SMALL_STATE(17358)] = 769334,
  [SMALL_STATE(17359)] = 769354,
  [SMALL_STATE(17360)] = 769374,
  [SMALL_STATE(17361)] = 769394,
  [SMALL_STATE(17362)] = 769414,
  [SMALL_STATE(17363)] = 769434,
  [SMALL_STATE(17364)] = 769454,
  [SMALL_STATE(17365)] = 769474,
  [SMALL_STATE(17366)] = 769494,
  [SMALL_STATE(17367)] = 769514,
  [SMALL_STATE(17368)] = 769534,
  [SMALL_STATE(17369)] = 769552,
  [SMALL_STATE(17370)] = 769572,
  [SMALL_STATE(17371)] = 769592,
  [SMALL_STATE(17372)] = 769612,
  [SMALL_STATE(17373)] = 769632,
  [SMALL_STATE(17374)] = 769652,
  [SMALL_STATE(17375)] = 769672,
  [SMALL_STATE(17376)] = 769692,
  [SMALL_STATE(17377)] = 769712,
  [SMALL_STATE(17378)] = 769732,
  [SMALL_STATE(17379)] = 769752,
  [SMALL_STATE(17380)] = 769772,
  [SMALL_STATE(17381)] = 769792,
  [SMALL_STATE(17382)] = 769812,
  [SMALL_STATE(17383)] = 769832,
  [SMALL_STATE(17384)] = 769852,
  [SMALL_STATE(17385)] = 769872,
  [SMALL_STATE(17386)] = 769890,
  [SMALL_STATE(17387)] = 769910,
  [SMALL_STATE(17388)] = 769930,
  [SMALL_STATE(17389)] = 769950,
  [SMALL_STATE(17390)] = 769970,
  [SMALL_STATE(17391)] = 769990,
  [SMALL_STATE(17392)] = 770010,
  [SMALL_STATE(17393)] = 770030,
  [SMALL_STATE(17394)] = 770050,
  [SMALL_STATE(17395)] = 770070,
  [SMALL_STATE(17396)] = 770090,
  [SMALL_STATE(17397)] = 770110,
  [SMALL_STATE(17398)] = 770130,
  [SMALL_STATE(17399)] = 770150,
  [SMALL_STATE(17400)] = 770170,
  [SMALL_STATE(17401)] = 770190,
  [SMALL_STATE(17402)] = 770210,
  [SMALL_STATE(17403)] = 770228,
  [SMALL_STATE(17404)] = 770248,
  [SMALL_STATE(17405)] = 770268,
  [SMALL_STATE(17406)] = 770288,
  [SMALL_STATE(17407)] = 770308,
  [SMALL_STATE(17408)] = 770328,
  [SMALL_STATE(17409)] = 770346,
  [SMALL_STATE(17410)] = 770366,
  [SMALL_STATE(17411)] = 770384,
  [SMALL_STATE(17412)] = 770402,
  [SMALL_STATE(17413)] = 770422,
  [SMALL_STATE(17414)] = 770442,
  [SMALL_STATE(17415)] = 770462,
  [SMALL_STATE(17416)] = 770482,
  [SMALL_STATE(17417)] = 770502,
  [SMALL_STATE(17418)] = 770522,
  [SMALL_STATE(17419)] = 770542,
  [SMALL_STATE(17420)] = 770562,
  [SMALL_STATE(17421)] = 770580,
  [SMALL_STATE(17422)] = 770600,
  [SMALL_STATE(17423)] = 770618,
  [SMALL_STATE(17424)] = 770638,
  [SMALL_STATE(17425)] = 770658,
  [SMALL_STATE(17426)] = 770678,
  [SMALL_STATE(17427)] = 770698,
  [SMALL_STATE(17428)] = 770718,
  [SMALL_STATE(17429)] = 770738,
  [SMALL_STATE(17430)] = 770758,
  [SMALL_STATE(17431)] = 770776,
  [SMALL_STATE(17432)] = 770796,
  [SMALL_STATE(17433)] = 770816,
  [SMALL_STATE(17434)] = 770836,
  [SMALL_STATE(17435)] = 770856,
  [SMALL_STATE(17436)] = 770876,
  [SMALL_STATE(17437)] = 770896,
  [SMALL_STATE(17438)] = 770916,
  [SMALL_STATE(17439)] = 770936,
  [SMALL_STATE(17440)] = 770954,
  [SMALL_STATE(17441)] = 770974,
  [SMALL_STATE(17442)] = 770994,
  [SMALL_STATE(17443)] = 771010,
  [SMALL_STATE(17444)] = 771030,
  [SMALL_STATE(17445)] = 771050,
  [SMALL_STATE(17446)] = 771068,
  [SMALL_STATE(17447)] = 771088,
  [SMALL_STATE(17448)] = 771108,
  [SMALL_STATE(17449)] = 771128,
  [SMALL_STATE(17450)] = 771148,
  [SMALL_STATE(17451)] = 771168,
  [SMALL_STATE(17452)] = 771188,
  [SMALL_STATE(17453)] = 771208,
  [SMALL_STATE(17454)] = 771226,
  [SMALL_STATE(17455)] = 771246,
  [SMALL_STATE(17456)] = 771266,
  [SMALL_STATE(17457)] = 771286,
  [SMALL_STATE(17458)] = 771306,
  [SMALL_STATE(17459)] = 771326,
  [SMALL_STATE(17460)] = 771344,
  [SMALL_STATE(17461)] = 771364,
  [SMALL_STATE(17462)] = 771384,
  [SMALL_STATE(17463)] = 771404,
  [SMALL_STATE(17464)] = 771424,
  [SMALL_STATE(17465)] = 771444,
  [SMALL_STATE(17466)] = 771464,
  [SMALL_STATE(17467)] = 771482,
  [SMALL_STATE(17468)] = 771502,
  [SMALL_STATE(17469)] = 771522,
  [SMALL_STATE(17470)] = 771542,
  [SMALL_STATE(17471)] = 771562,
  [SMALL_STATE(17472)] = 771582,
  [SMALL_STATE(17473)] = 771602,
  [SMALL_STATE(17474)] = 771620,
  [SMALL_STATE(17475)] = 771640,
  [SMALL_STATE(17476)] = 771660,
  [SMALL_STATE(17477)] = 771680,
  [SMALL_STATE(17478)] = 771700,
  [SMALL_STATE(17479)] = 771720,
  [SMALL_STATE(17480)] = 771740,
  [SMALL_STATE(17481)] = 771760,
  [SMALL_STATE(17482)] = 771780,
  [SMALL_STATE(17483)] = 771798,
  [SMALL_STATE(17484)] = 771818,
  [SMALL_STATE(17485)] = 771838,
  [SMALL_STATE(17486)] = 771858,
  [SMALL_STATE(17487)] = 771878,
  [SMALL_STATE(17488)] = 771898,
  [SMALL_STATE(17489)] = 771916,
  [SMALL_STATE(17490)] = 771934,
  [SMALL_STATE(17491)] = 771954,
  [SMALL_STATE(17492)] = 771974,
  [SMALL_STATE(17493)] = 771994,
  [SMALL_STATE(17494)] = 772014,
  [SMALL_STATE(17495)] = 772034,
  [SMALL_STATE(17496)] = 772054,
  [SMALL_STATE(17497)] = 772072,
  [SMALL_STATE(17498)] = 772090,
  [SMALL_STATE(17499)] = 772110,
  [SMALL_STATE(17500)] = 772130,
  [SMALL_STATE(17501)] = 772150,
  [SMALL_STATE(17502)] = 772170,
  [SMALL_STATE(17503)] = 772190,
  [SMALL_STATE(17504)] = 772210,
  [SMALL_STATE(17505)] = 772230,
  [SMALL_STATE(17506)] = 772250,
  [SMALL_STATE(17507)] = 772268,
  [SMALL_STATE(17508)] = 772288,
  [SMALL_STATE(17509)] = 772306,
  [SMALL_STATE(17510)] = 772324,
  [SMALL_STATE(17511)] = 772344,
  [SMALL_STATE(17512)] = 772364,
  [SMALL_STATE(17513)] = 772384,
  [SMALL_STATE(17514)] = 772404,
  [SMALL_STATE(17515)] = 772424,
  [SMALL_STATE(17516)] = 772444,
  [SMALL_STATE(17517)] = 772464,
  [SMALL_STATE(17518)] = 772484,
  [SMALL_STATE(17519)] = 772504,
  [SMALL_STATE(17520)] = 772522,
  [SMALL_STATE(17521)] = 772542,
  [SMALL_STATE(17522)] = 772562,
  [SMALL_STATE(17523)] = 772582,
  [SMALL_STATE(17524)] = 772602,
  [SMALL_STATE(17525)] = 772622,
  [SMALL_STATE(17526)] = 772640,
  [SMALL_STATE(17527)] = 772660,
  [SMALL_STATE(17528)] = 772680,
  [SMALL_STATE(17529)] = 772700,
  [SMALL_STATE(17530)] = 772720,
  [SMALL_STATE(17531)] = 772738,
  [SMALL_STATE(17532)] = 772758,
  [SMALL_STATE(17533)] = 772778,
  [SMALL_STATE(17534)] = 772798,
  [SMALL_STATE(17535)] = 772818,
  [SMALL_STATE(17536)] = 772838,
  [SMALL_STATE(17537)] = 772858,
  [SMALL_STATE(17538)] = 772878,
  [SMALL_STATE(17539)] = 772896,
  [SMALL_STATE(17540)] = 772916,
  [SMALL_STATE(17541)] = 772936,
  [SMALL_STATE(17542)] = 772956,
  [SMALL_STATE(17543)] = 772976,
  [SMALL_STATE(17544)] = 772996,
  [SMALL_STATE(17545)] = 773016,
  [SMALL_STATE(17546)] = 773036,
  [SMALL_STATE(17547)] = 773054,
  [SMALL_STATE(17548)] = 773074,
  [SMALL_STATE(17549)] = 773094,
  [SMALL_STATE(17550)] = 773114,
  [SMALL_STATE(17551)] = 773134,
  [SMALL_STATE(17552)] = 773154,
  [SMALL_STATE(17553)] = 773174,
  [SMALL_STATE(17554)] = 773194,
  [SMALL_STATE(17555)] = 773214,
  [SMALL_STATE(17556)] = 773232,
  [SMALL_STATE(17557)] = 773250,
  [SMALL_STATE(17558)] = 773270,
  [SMALL_STATE(17559)] = 773290,
  [SMALL_STATE(17560)] = 773310,
  [SMALL_STATE(17561)] = 773330,
  [SMALL_STATE(17562)] = 773350,
  [SMALL_STATE(17563)] = 773370,
  [SMALL_STATE(17564)] = 773390,
  [SMALL_STATE(17565)] = 773410,
  [SMALL_STATE(17566)] = 773430,
  [SMALL_STATE(17567)] = 773450,
  [SMALL_STATE(17568)] = 773468,
  [SMALL_STATE(17569)] = 773488,
  [SMALL_STATE(17570)] = 773508,
  [SMALL_STATE(17571)] = 773528,
  [SMALL_STATE(17572)] = 773548,
  [SMALL_STATE(17573)] = 773568,
  [SMALL_STATE(17574)] = 773588,
  [SMALL_STATE(17575)] = 773608,
  [SMALL_STATE(17576)] = 773626,
  [SMALL_STATE(17577)] = 773646,
  [SMALL_STATE(17578)] = 773666,
  [SMALL_STATE(17579)] = 773686,
  [SMALL_STATE(17580)] = 773706,
  [SMALL_STATE(17581)] = 773726,
  [SMALL_STATE(17582)] = 773746,
  [SMALL_STATE(17583)] = 773766,
  [SMALL_STATE(17584)] = 773786,
  [SMALL_STATE(17585)] = 773804,
  [SMALL_STATE(17586)] = 773824,
  [SMALL_STATE(17587)] = 773844,
  [SMALL_STATE(17588)] = 773864,
  [SMALL_STATE(17589)] = 773884,
  [SMALL_STATE(17590)] = 773904,
  [SMALL_STATE(17591)] = 773924,
  [SMALL_STATE(17592)] = 773942,
  [SMALL_STATE(17593)] = 773962,
  [SMALL_STATE(17594)] = 773982,
  [SMALL_STATE(17595)] = 774002,
  [SMALL_STATE(17596)] = 774022,
  [SMALL_STATE(17597)] = 774042,
  [SMALL_STATE(17598)] = 774062,
  [SMALL_STATE(17599)] = 774082,
  [SMALL_STATE(17600)] = 774102,
  [SMALL_STATE(17601)] = 774122,
  [SMALL_STATE(17602)] = 774140,
  [SMALL_STATE(17603)] = 774160,
  [SMALL_STATE(17604)] = 774180,
  [SMALL_STATE(17605)] = 774200,
  [SMALL_STATE(17606)] = 774218,
  [SMALL_STATE(17607)] = 774238,
  [SMALL_STATE(17608)] = 774258,
  [SMALL_STATE(17609)] = 774278,
  [SMALL_STATE(17610)] = 774298,
  [SMALL_STATE(17611)] = 774318,
  [SMALL_STATE(17612)] = 774336,
  [SMALL_STATE(17613)] = 774356,
  [SMALL_STATE(17614)] = 774376,
  [SMALL_STATE(17615)] = 774394,
  [SMALL_STATE(17616)] = 774414,
  [SMALL_STATE(17617)] = 774434,
  [SMALL_STATE(17618)] = 774452,
  [SMALL_STATE(17619)] = 774472,
  [SMALL_STATE(17620)] = 774492,
  [SMALL_STATE(17621)] = 774510,
  [SMALL_STATE(17622)] = 774530,
  [SMALL_STATE(17623)] = 774548,
  [SMALL_STATE(17624)] = 774568,
  [SMALL_STATE(17625)] = 774586,
  [SMALL_STATE(17626)] = 774606,
  [SMALL_STATE(17627)] = 774624,
  [SMALL_STATE(17628)] = 774644,
  [SMALL_STATE(17629)] = 774664,
  [SMALL_STATE(17630)] = 774682,
  [SMALL_STATE(17631)] = 774702,
  [SMALL_STATE(17632)] = 774722,
  [SMALL_STATE(17633)] = 774740,
  [SMALL_STATE(17634)] = 774760,
  [SMALL_STATE(17635)] = 774780,
  [SMALL_STATE(17636)] = 774798,
  [SMALL_STATE(17637)] = 774818,
  [SMALL_STATE(17638)] = 774836,
  [SMALL_STATE(17639)] = 774856,
  [SMALL_STATE(17640)] = 774876,
  [SMALL_STATE(17641)] = 774894,
  [SMALL_STATE(17642)] = 774914,
  [SMALL_STATE(17643)] = 774934,
  [SMALL_STATE(17644)] = 774952,
  [SMALL_STATE(17645)] = 774972,
  [SMALL_STATE(17646)] = 774990,
  [SMALL_STATE(17647)] = 775010,
  [SMALL_STATE(17648)] = 775028,
  [SMALL_STATE(17649)] = 775048,
  [SMALL_STATE(17650)] = 775066,
  [SMALL_STATE(17651)] = 775086,
  [SMALL_STATE(17652)] = 775104,
  [SMALL_STATE(17653)] = 775124,
  [SMALL_STATE(17654)] = 775142,
  [SMALL_STATE(17655)] = 775162,
  [SMALL_STATE(17656)] = 775180,
  [SMALL_STATE(17657)] = 775200,
  [SMALL_STATE(17658)] = 775218,
  [SMALL_STATE(17659)] = 775238,
  [SMALL_STATE(17660)] = 775256,
  [SMALL_STATE(17661)] = 775276,
  [SMALL_STATE(17662)] = 775294,
  [SMALL_STATE(17663)] = 775314,
  [SMALL_STATE(17664)] = 775332,
  [SMALL_STATE(17665)] = 775352,
  [SMALL_STATE(17666)] = 775370,
  [SMALL_STATE(17667)] = 775390,
  [SMALL_STATE(17668)] = 775408,
  [SMALL_STATE(17669)] = 775428,
  [SMALL_STATE(17670)] = 775446,
  [SMALL_STATE(17671)] = 775466,
  [SMALL_STATE(17672)] = 775484,
  [SMALL_STATE(17673)] = 775504,
  [SMALL_STATE(17674)] = 775522,
  [SMALL_STATE(17675)] = 775542,
  [SMALL_STATE(17676)] = 775560,
  [SMALL_STATE(17677)] = 775580,
  [SMALL_STATE(17678)] = 775598,
  [SMALL_STATE(17679)] = 775618,
  [SMALL_STATE(17680)] = 775636,
  [SMALL_STATE(17681)] = 775656,
  [SMALL_STATE(17682)] = 775674,
  [SMALL_STATE(17683)] = 775694,
  [SMALL_STATE(17684)] = 775712,
  [SMALL_STATE(17685)] = 775732,
  [SMALL_STATE(17686)] = 775750,
  [SMALL_STATE(17687)] = 775770,
  [SMALL_STATE(17688)] = 775788,
  [SMALL_STATE(17689)] = 775808,
  [SMALL_STATE(17690)] = 775826,
  [SMALL_STATE(17691)] = 775846,
  [SMALL_STATE(17692)] = 775864,
  [SMALL_STATE(17693)] = 775884,
  [SMALL_STATE(17694)] = 775904,
  [SMALL_STATE(17695)] = 775924,
  [SMALL_STATE(17696)] = 775944,
  [SMALL_STATE(17697)] = 775962,
  [SMALL_STATE(17698)] = 775980,
  [SMALL_STATE(17699)] = 776000,
  [SMALL_STATE(17700)] = 776020,
  [SMALL_STATE(17701)] = 776040,
  [SMALL_STATE(17702)] = 776060,
  [SMALL_STATE(17703)] = 776080,
  [SMALL_STATE(17704)] = 776100,
  [SMALL_STATE(17705)] = 776120,
  [SMALL_STATE(17706)] = 776140,
  [SMALL_STATE(17707)] = 776160,
  [SMALL_STATE(17708)] = 776180,
  [SMALL_STATE(17709)] = 776200,
  [SMALL_STATE(17710)] = 776220,
  [SMALL_STATE(17711)] = 776240,
  [SMALL_STATE(17712)] = 776260,
  [SMALL_STATE(17713)] = 776280,
  [SMALL_STATE(17714)] = 776300,
  [SMALL_STATE(17715)] = 776320,
  [SMALL_STATE(17716)] = 776340,
  [SMALL_STATE(17717)] = 776360,
  [SMALL_STATE(17718)] = 776380,
  [SMALL_STATE(17719)] = 776400,
  [SMALL_STATE(17720)] = 776420,
  [SMALL_STATE(17721)] = 776440,
  [SMALL_STATE(17722)] = 776460,
  [SMALL_STATE(17723)] = 776478,
  [SMALL_STATE(17724)] = 776498,
  [SMALL_STATE(17725)] = 776518,
  [SMALL_STATE(17726)] = 776538,
  [SMALL_STATE(17727)] = 776558,
  [SMALL_STATE(17728)] = 776576,
  [SMALL_STATE(17729)] = 776596,
  [SMALL_STATE(17730)] = 776616,
  [SMALL_STATE(17731)] = 776636,
  [SMALL_STATE(17732)] = 776656,
  [SMALL_STATE(17733)] = 776676,
  [SMALL_STATE(17734)] = 776696,
  [SMALL_STATE(17735)] = 776716,
  [SMALL_STATE(17736)] = 776736,
  [SMALL_STATE(17737)] = 776756,
  [SMALL_STATE(17738)] = 776776,
  [SMALL_STATE(17739)] = 776796,
  [SMALL_STATE(17740)] = 776814,
  [SMALL_STATE(17741)] = 776834,
  [SMALL_STATE(17742)] = 776854,
  [SMALL_STATE(17743)] = 776874,
  [SMALL_STATE(17744)] = 776894,
  [SMALL_STATE(17745)] = 776914,
  [SMALL_STATE(17746)] = 776934,
  [SMALL_STATE(17747)] = 776954,
  [SMALL_STATE(17748)] = 776974,
  [SMALL_STATE(17749)] = 776994,
  [SMALL_STATE(17750)] = 777014,
  [SMALL_STATE(17751)] = 777034,
  [SMALL_STATE(17752)] = 777054,
  [SMALL_STATE(17753)] = 777074,
  [SMALL_STATE(17754)] = 777094,
  [SMALL_STATE(17755)] = 777114,
  [SMALL_STATE(17756)] = 777134,
  [SMALL_STATE(17757)] = 777154,
  [SMALL_STATE(17758)] = 777172,
  [SMALL_STATE(17759)] = 777192,
  [SMALL_STATE(17760)] = 777212,
  [SMALL_STATE(17761)] = 777232,
  [SMALL_STATE(17762)] = 777252,
  [SMALL_STATE(17763)] = 777272,
  [SMALL_STATE(17764)] = 777292,
  [SMALL_STATE(17765)] = 777312,
  [SMALL_STATE(17766)] = 777332,
  [SMALL_STATE(17767)] = 777352,
  [SMALL_STATE(17768)] = 777372,
  [SMALL_STATE(17769)] = 777392,
  [SMALL_STATE(17770)] = 777412,
  [SMALL_STATE(17771)] = 777432,
  [SMALL_STATE(17772)] = 777452,
  [SMALL_STATE(17773)] = 777472,
  [SMALL_STATE(17774)] = 777488,
  [SMALL_STATE(17775)] = 777506,
  [SMALL_STATE(17776)] = 777526,
  [SMALL_STATE(17777)] = 777544,
  [SMALL_STATE(17778)] = 777564,
  [SMALL_STATE(17779)] = 777584,
  [SMALL_STATE(17780)] = 777604,
  [SMALL_STATE(17781)] = 777624,
  [SMALL_STATE(17782)] = 777644,
  [SMALL_STATE(17783)] = 777664,
  [SMALL_STATE(17784)] = 777684,
  [SMALL_STATE(17785)] = 777704,
  [SMALL_STATE(17786)] = 777724,
  [SMALL_STATE(17787)] = 777742,
  [SMALL_STATE(17788)] = 777762,
  [SMALL_STATE(17789)] = 777780,
  [SMALL_STATE(17790)] = 777800,
  [SMALL_STATE(17791)] = 777820,
  [SMALL_STATE(17792)] = 777840,
  [SMALL_STATE(17793)] = 777860,
  [SMALL_STATE(17794)] = 777878,
  [SMALL_STATE(17795)] = 777898,
  [SMALL_STATE(17796)] = 777918,
  [SMALL_STATE(17797)] = 777936,
  [SMALL_STATE(17798)] = 777956,
  [SMALL_STATE(17799)] = 777976,
  [SMALL_STATE(17800)] = 777996,
  [SMALL_STATE(17801)] = 778016,
  [SMALL_STATE(17802)] = 778034,
  [SMALL_STATE(17803)] = 778054,
  [SMALL_STATE(17804)] = 778074,
  [SMALL_STATE(17805)] = 778094,
  [SMALL_STATE(17806)] = 778112,
  [SMALL_STATE(17807)] = 778132,
  [SMALL_STATE(17808)] = 778150,
  [SMALL_STATE(17809)] = 778170,
  [SMALL_STATE(17810)] = 778190,
  [SMALL_STATE(17811)] = 778210,
  [SMALL_STATE(17812)] = 778228,
  [SMALL_STATE(17813)] = 778246,
  [SMALL_STATE(17814)] = 778266,
  [SMALL_STATE(17815)] = 778286,
  [SMALL_STATE(17816)] = 778302,
  [SMALL_STATE(17817)] = 778320,
  [SMALL_STATE(17818)] = 778340,
  [SMALL_STATE(17819)] = 778360,
  [SMALL_STATE(17820)] = 778380,
  [SMALL_STATE(17821)] = 778398,
  [SMALL_STATE(17822)] = 778418,
  [SMALL_STATE(17823)] = 778438,
  [SMALL_STATE(17824)] = 778458,
  [SMALL_STATE(17825)] = 778478,
  [SMALL_STATE(17826)] = 778498,
  [SMALL_STATE(17827)] = 778516,
  [SMALL_STATE(17828)] = 778536,
  [SMALL_STATE(17829)] = 778556,
  [SMALL_STATE(17830)] = 778576,
  [SMALL_STATE(17831)] = 778596,
  [SMALL_STATE(17832)] = 778616,
  [SMALL_STATE(17833)] = 778634,
  [SMALL_STATE(17834)] = 778654,
  [SMALL_STATE(17835)] = 778674,
  [SMALL_STATE(17836)] = 778694,
  [SMALL_STATE(17837)] = 778712,
  [SMALL_STATE(17838)] = 778732,
  [SMALL_STATE(17839)] = 778752,
  [SMALL_STATE(17840)] = 778772,
  [SMALL_STATE(17841)] = 778790,
  [SMALL_STATE(17842)] = 778810,
  [SMALL_STATE(17843)] = 778830,
  [SMALL_STATE(17844)] = 778848,
  [SMALL_STATE(17845)] = 778868,
  [SMALL_STATE(17846)] = 778886,
  [SMALL_STATE(17847)] = 778906,
  [SMALL_STATE(17848)] = 778926,
  [SMALL_STATE(17849)] = 778946,
  [SMALL_STATE(17850)] = 778964,
  [SMALL_STATE(17851)] = 778984,
  [SMALL_STATE(17852)] = 779004,
  [SMALL_STATE(17853)] = 779024,
  [SMALL_STATE(17854)] = 779044,
  [SMALL_STATE(17855)] = 779062,
  [SMALL_STATE(17856)] = 779082,
  [SMALL_STATE(17857)] = 779102,
  [SMALL_STATE(17858)] = 779122,
  [SMALL_STATE(17859)] = 779142,
  [SMALL_STATE(17860)] = 779160,
  [SMALL_STATE(17861)] = 779180,
  [SMALL_STATE(17862)] = 779200,
  [SMALL_STATE(17863)] = 779220,
  [SMALL_STATE(17864)] = 779238,
  [SMALL_STATE(17865)] = 779258,
  [SMALL_STATE(17866)] = 779278,
  [SMALL_STATE(17867)] = 779298,
  [SMALL_STATE(17868)] = 779316,
  [SMALL_STATE(17869)] = 779336,
  [SMALL_STATE(17870)] = 779356,
  [SMALL_STATE(17871)] = 779376,
  [SMALL_STATE(17872)] = 779394,
  [SMALL_STATE(17873)] = 779414,
  [SMALL_STATE(17874)] = 779434,
  [SMALL_STATE(17875)] = 779454,
  [SMALL_STATE(17876)] = 779474,
  [SMALL_STATE(17877)] = 779494,
  [SMALL_STATE(17878)] = 779514,
  [SMALL_STATE(17879)] = 779532,
  [SMALL_STATE(17880)] = 779552,
  [SMALL_STATE(17881)] = 779572,
  [SMALL_STATE(17882)] = 779592,
  [SMALL_STATE(17883)] = 779612,
  [SMALL_STATE(17884)] = 779630,
  [SMALL_STATE(17885)] = 779650,
  [SMALL_STATE(17886)] = 779670,
  [SMALL_STATE(17887)] = 779690,
  [SMALL_STATE(17888)] = 779710,
  [SMALL_STATE(17889)] = 779730,
  [SMALL_STATE(17890)] = 779748,
  [SMALL_STATE(17891)] = 779768,
  [SMALL_STATE(17892)] = 779788,
  [SMALL_STATE(17893)] = 779806,
  [SMALL_STATE(17894)] = 779826,
  [SMALL_STATE(17895)] = 779846,
  [SMALL_STATE(17896)] = 779866,
  [SMALL_STATE(17897)] = 779886,
  [SMALL_STATE(17898)] = 779906,
  [SMALL_STATE(17899)] = 779924,
  [SMALL_STATE(17900)] = 779944,
  [SMALL_STATE(17901)] = 779964,
  [SMALL_STATE(17902)] = 779984,
  [SMALL_STATE(17903)] = 780004,
  [SMALL_STATE(17904)] = 780024,
  [SMALL_STATE(17905)] = 780042,
  [SMALL_STATE(17906)] = 780062,
  [SMALL_STATE(17907)] = 780082,
  [SMALL_STATE(17908)] = 780102,
  [SMALL_STATE(17909)] = 780122,
  [SMALL_STATE(17910)] = 780142,
  [SMALL_STATE(17911)] = 780160,
  [SMALL_STATE(17912)] = 780180,
  [SMALL_STATE(17913)] = 780200,
  [SMALL_STATE(17914)] = 780220,
  [SMALL_STATE(17915)] = 780240,
  [SMALL_STATE(17916)] = 780260,
  [SMALL_STATE(17917)] = 780278,
  [SMALL_STATE(17918)] = 780296,
  [SMALL_STATE(17919)] = 780316,
  [SMALL_STATE(17920)] = 780336,
  [SMALL_STATE(17921)] = 780354,
  [SMALL_STATE(17922)] = 780374,
  [SMALL_STATE(17923)] = 780394,
  [SMALL_STATE(17924)] = 780414,
  [SMALL_STATE(17925)] = 780434,
  [SMALL_STATE(17926)] = 780454,
  [SMALL_STATE(17927)] = 780472,
  [SMALL_STATE(17928)] = 780492,
  [SMALL_STATE(17929)] = 780512,
  [SMALL_STATE(17930)] = 780532,
  [SMALL_STATE(17931)] = 780552,
  [SMALL_STATE(17932)] = 780570,
  [SMALL_STATE(17933)] = 780590,
  [SMALL_STATE(17934)] = 780610,
  [SMALL_STATE(17935)] = 780630,
  [SMALL_STATE(17936)] = 780650,
  [SMALL_STATE(17937)] = 780668,
  [SMALL_STATE(17938)] = 780686,
  [SMALL_STATE(17939)] = 780706,
  [SMALL_STATE(17940)] = 780726,
  [SMALL_STATE(17941)] = 780746,
  [SMALL_STATE(17942)] = 780764,
  [SMALL_STATE(17943)] = 780784,
  [SMALL_STATE(17944)] = 780804,
  [SMALL_STATE(17945)] = 780824,
  [SMALL_STATE(17946)] = 780844,
  [SMALL_STATE(17947)] = 780862,
  [SMALL_STATE(17948)] = 780882,
  [SMALL_STATE(17949)] = 780902,
  [SMALL_STATE(17950)] = 780922,
  [SMALL_STATE(17951)] = 780942,
  [SMALL_STATE(17952)] = 780962,
  [SMALL_STATE(17953)] = 780980,
  [SMALL_STATE(17954)] = 781000,
  [SMALL_STATE(17955)] = 781020,
  [SMALL_STATE(17956)] = 781040,
  [SMALL_STATE(17957)] = 781060,
  [SMALL_STATE(17958)] = 781080,
  [SMALL_STATE(17959)] = 781098,
  [SMALL_STATE(17960)] = 781118,
  [SMALL_STATE(17961)] = 781138,
  [SMALL_STATE(17962)] = 781158,
  [SMALL_STATE(17963)] = 781178,
  [SMALL_STATE(17964)] = 781198,
  [SMALL_STATE(17965)] = 781216,
  [SMALL_STATE(17966)] = 781236,
  [SMALL_STATE(17967)] = 781256,
  [SMALL_STATE(17968)] = 781276,
  [SMALL_STATE(17969)] = 781296,
  [SMALL_STATE(17970)] = 781314,
  [SMALL_STATE(17971)] = 781334,
  [SMALL_STATE(17972)] = 781354,
  [SMALL_STATE(17973)] = 781374,
  [SMALL_STATE(17974)] = 781394,
  [SMALL_STATE(17975)] = 781412,
  [SMALL_STATE(17976)] = 781432,
  [SMALL_STATE(17977)] = 781452,
  [SMALL_STATE(17978)] = 781472,
  [SMALL_STATE(17979)] = 781492,
  [SMALL_STATE(17980)] = 781512,
  [SMALL_STATE(17981)] = 781530,
  [SMALL_STATE(17982)] = 781550,
  [SMALL_STATE(17983)] = 781570,
  [SMALL_STATE(17984)] = 781590,
  [SMALL_STATE(17985)] = 781610,
  [SMALL_STATE(17986)] = 781630,
  [SMALL_STATE(17987)] = 781648,
  [SMALL_STATE(17988)] = 781668,
  [SMALL_STATE(17989)] = 781688,
  [SMALL_STATE(17990)] = 781708,
  [SMALL_STATE(17991)] = 781726,
  [SMALL_STATE(17992)] = 781744,
  [SMALL_STATE(17993)] = 781764,
  [SMALL_STATE(17994)] = 781784,
  [SMALL_STATE(17995)] = 781804,
  [SMALL_STATE(17996)] = 781824,
  [SMALL_STATE(17997)] = 781844,
  [SMALL_STATE(17998)] = 781862,
  [SMALL_STATE(17999)] = 781882,
  [SMALL_STATE(18000)] = 781902,
  [SMALL_STATE(18001)] = 781922,
  [SMALL_STATE(18002)] = 781942,
  [SMALL_STATE(18003)] = 781960,
  [SMALL_STATE(18004)] = 781980,
  [SMALL_STATE(18005)] = 782000,
  [SMALL_STATE(18006)] = 782018,
  [SMALL_STATE(18007)] = 782038,
  [SMALL_STATE(18008)] = 782058,
  [SMALL_STATE(18009)] = 782076,
  [SMALL_STATE(18010)] = 782096,
  [SMALL_STATE(18011)] = 782116,
  [SMALL_STATE(18012)] = 782136,
  [SMALL_STATE(18013)] = 782156,
  [SMALL_STATE(18014)] = 782174,
  [SMALL_STATE(18015)] = 782194,
  [SMALL_STATE(18016)] = 782214,
  [SMALL_STATE(18017)] = 782234,
  [SMALL_STATE(18018)] = 782254,
  [SMALL_STATE(18019)] = 782272,
  [SMALL_STATE(18020)] = 782292,
  [SMALL_STATE(18021)] = 782312,
  [SMALL_STATE(18022)] = 782332,
  [SMALL_STATE(18023)] = 782352,
  [SMALL_STATE(18024)] = 782372,
  [SMALL_STATE(18025)] = 782390,
  [SMALL_STATE(18026)] = 782410,
  [SMALL_STATE(18027)] = 782430,
  [SMALL_STATE(18028)] = 782448,
  [SMALL_STATE(18029)] = 782468,
  [SMALL_STATE(18030)] = 782488,
  [SMALL_STATE(18031)] = 782506,
  [SMALL_STATE(18032)] = 782526,
  [SMALL_STATE(18033)] = 782544,
  [SMALL_STATE(18034)] = 782564,
  [SMALL_STATE(18035)] = 782582,
  [SMALL_STATE(18036)] = 782602,
  [SMALL_STATE(18037)] = 782620,
  [SMALL_STATE(18038)] = 782640,
  [SMALL_STATE(18039)] = 782658,
  [SMALL_STATE(18040)] = 782678,
  [SMALL_STATE(18041)] = 782696,
  [SMALL_STATE(18042)] = 782716,
  [SMALL_STATE(18043)] = 782734,
  [SMALL_STATE(18044)] = 782754,
  [SMALL_STATE(18045)] = 782772,
  [SMALL_STATE(18046)] = 782792,
  [SMALL_STATE(18047)] = 782810,
  [SMALL_STATE(18048)] = 782830,
  [SMALL_STATE(18049)] = 782848,
  [SMALL_STATE(18050)] = 782868,
  [SMALL_STATE(18051)] = 782886,
  [SMALL_STATE(18052)] = 782906,
  [SMALL_STATE(18053)] = 782924,
  [SMALL_STATE(18054)] = 782944,
  [SMALL_STATE(18055)] = 782962,
  [SMALL_STATE(18056)] = 782980,
  [SMALL_STATE(18057)] = 782998,
  [SMALL_STATE(18058)] = 783016,
  [SMALL_STATE(18059)] = 783034,
  [SMALL_STATE(18060)] = 783052,
  [SMALL_STATE(18061)] = 783070,
  [SMALL_STATE(18062)] = 783088,
  [SMALL_STATE(18063)] = 783106,
  [SMALL_STATE(18064)] = 783124,
  [SMALL_STATE(18065)] = 783142,
  [SMALL_STATE(18066)] = 783160,
  [SMALL_STATE(18067)] = 783178,
  [SMALL_STATE(18068)] = 783196,
  [SMALL_STATE(18069)] = 783214,
  [SMALL_STATE(18070)] = 783232,
  [SMALL_STATE(18071)] = 783250,
  [SMALL_STATE(18072)] = 783268,
  [SMALL_STATE(18073)] = 783286,
  [SMALL_STATE(18074)] = 783304,
  [SMALL_STATE(18075)] = 783322,
  [SMALL_STATE(18076)] = 783340,
  [SMALL_STATE(18077)] = 783358,
  [SMALL_STATE(18078)] = 783376,
  [SMALL_STATE(18079)] = 783396,
  [SMALL_STATE(18080)] = 783416,
  [SMALL_STATE(18081)] = 783436,
  [SMALL_STATE(18082)] = 783456,
  [SMALL_STATE(18083)] = 783476,
  [SMALL_STATE(18084)] = 783496,
  [SMALL_STATE(18085)] = 783516,
  [SMALL_STATE(18086)] = 783536,
  [SMALL_STATE(18087)] = 783556,
  [SMALL_STATE(18088)] = 783576,
  [SMALL_STATE(18089)] = 783596,
  [SMALL_STATE(18090)] = 783616,
  [SMALL_STATE(18091)] = 783636,
  [SMALL_STATE(18092)] = 783656,
  [SMALL_STATE(18093)] = 783676,
  [SMALL_STATE(18094)] = 783696,
  [SMALL_STATE(18095)] = 783716,
  [SMALL_STATE(18096)] = 783736,
  [SMALL_STATE(18097)] = 783756,
  [SMALL_STATE(18098)] = 783776,
  [SMALL_STATE(18099)] = 783796,
  [SMALL_STATE(18100)] = 783816,
  [SMALL_STATE(18101)] = 783836,
  [SMALL_STATE(18102)] = 783856,
  [SMALL_STATE(18103)] = 783876,
  [SMALL_STATE(18104)] = 783896,
  [SMALL_STATE(18105)] = 783916,
  [SMALL_STATE(18106)] = 783936,
  [SMALL_STATE(18107)] = 783956,
  [SMALL_STATE(18108)] = 783976,
  [SMALL_STATE(18109)] = 783996,
  [SMALL_STATE(18110)] = 784016,
  [SMALL_STATE(18111)] = 784036,
  [SMALL_STATE(18112)] = 784056,
  [SMALL_STATE(18113)] = 784076,
  [SMALL_STATE(18114)] = 784096,
  [SMALL_STATE(18115)] = 784114,
  [SMALL_STATE(18116)] = 784132,
  [SMALL_STATE(18117)] = 784152,
  [SMALL_STATE(18118)] = 784172,
  [SMALL_STATE(18119)] = 784190,
  [SMALL_STATE(18120)] = 784208,
  [SMALL_STATE(18121)] = 784228,
  [SMALL_STATE(18122)] = 784246,
  [SMALL_STATE(18123)] = 784264,
  [SMALL_STATE(18124)] = 784284,
  [SMALL_STATE(18125)] = 784304,
  [SMALL_STATE(18126)] = 784322,
  [SMALL_STATE(18127)] = 784342,
  [SMALL_STATE(18128)] = 784362,
  [SMALL_STATE(18129)] = 784380,
  [SMALL_STATE(18130)] = 784400,
  [SMALL_STATE(18131)] = 784418,
  [SMALL_STATE(18132)] = 784438,
  [SMALL_STATE(18133)] = 784458,
  [SMALL_STATE(18134)] = 784475,
  [SMALL_STATE(18135)] = 784492,
  [SMALL_STATE(18136)] = 784509,
  [SMALL_STATE(18137)] = 784526,
  [SMALL_STATE(18138)] = 784543,
  [SMALL_STATE(18139)] = 784560,
  [SMALL_STATE(18140)] = 784575,
  [SMALL_STATE(18141)] = 784592,
  [SMALL_STATE(18142)] = 784609,
  [SMALL_STATE(18143)] = 784626,
  [SMALL_STATE(18144)] = 784641,
  [SMALL_STATE(18145)] = 784658,
  [SMALL_STATE(18146)] = 784675,
  [SMALL_STATE(18147)] = 784692,
  [SMALL_STATE(18148)] = 784709,
  [SMALL_STATE(18149)] = 784726,
  [SMALL_STATE(18150)] = 784743,
  [SMALL_STATE(18151)] = 784760,
  [SMALL_STATE(18152)] = 784777,
  [SMALL_STATE(18153)] = 784794,
  [SMALL_STATE(18154)] = 784811,
  [SMALL_STATE(18155)] = 784828,
  [SMALL_STATE(18156)] = 784843,
  [SMALL_STATE(18157)] = 784860,
  [SMALL_STATE(18158)] = 784877,
  [SMALL_STATE(18159)] = 784894,
  [SMALL_STATE(18160)] = 784911,
  [SMALL_STATE(18161)] = 784928,
  [SMALL_STATE(18162)] = 784945,
  [SMALL_STATE(18163)] = 784962,
  [SMALL_STATE(18164)] = 784979,
  [SMALL_STATE(18165)] = 784996,
  [SMALL_STATE(18166)] = 785013,
  [SMALL_STATE(18167)] = 785030,
  [SMALL_STATE(18168)] = 785047,
  [SMALL_STATE(18169)] = 785064,
  [SMALL_STATE(18170)] = 785081,
  [SMALL_STATE(18171)] = 785096,
  [SMALL_STATE(18172)] = 785113,
  [SMALL_STATE(18173)] = 785130,
  [SMALL_STATE(18174)] = 785147,
  [SMALL_STATE(18175)] = 785164,
  [SMALL_STATE(18176)] = 785181,
  [SMALL_STATE(18177)] = 785198,
  [SMALL_STATE(18178)] = 785215,
  [SMALL_STATE(18179)] = 785232,
  [SMALL_STATE(18180)] = 785249,
  [SMALL_STATE(18181)] = 785266,
  [SMALL_STATE(18182)] = 785281,
  [SMALL_STATE(18183)] = 785298,
  [SMALL_STATE(18184)] = 785315,
  [SMALL_STATE(18185)] = 785332,
  [SMALL_STATE(18186)] = 785349,
  [SMALL_STATE(18187)] = 785366,
  [SMALL_STATE(18188)] = 785383,
  [SMALL_STATE(18189)] = 785398,
  [SMALL_STATE(18190)] = 785415,
  [SMALL_STATE(18191)] = 785432,
  [SMALL_STATE(18192)] = 785449,
  [SMALL_STATE(18193)] = 785466,
  [SMALL_STATE(18194)] = 785483,
  [SMALL_STATE(18195)] = 785500,
  [SMALL_STATE(18196)] = 785517,
  [SMALL_STATE(18197)] = 785534,
  [SMALL_STATE(18198)] = 785551,
  [SMALL_STATE(18199)] = 785568,
  [SMALL_STATE(18200)] = 785585,
  [SMALL_STATE(18201)] = 785602,
  [SMALL_STATE(18202)] = 785619,
  [SMALL_STATE(18203)] = 785636,
  [SMALL_STATE(18204)] = 785653,
  [SMALL_STATE(18205)] = 785670,
  [SMALL_STATE(18206)] = 785687,
  [SMALL_STATE(18207)] = 785704,
  [SMALL_STATE(18208)] = 785721,
  [SMALL_STATE(18209)] = 785738,
  [SMALL_STATE(18210)] = 785755,
  [SMALL_STATE(18211)] = 785772,
  [SMALL_STATE(18212)] = 785789,
  [SMALL_STATE(18213)] = 785806,
  [SMALL_STATE(18214)] = 785823,
  [SMALL_STATE(18215)] = 785840,
  [SMALL_STATE(18216)] = 785857,
  [SMALL_STATE(18217)] = 785874,
  [SMALL_STATE(18218)] = 785891,
  [SMALL_STATE(18219)] = 785906,
  [SMALL_STATE(18220)] = 785923,
  [SMALL_STATE(18221)] = 785940,
  [SMALL_STATE(18222)] = 785957,
  [SMALL_STATE(18223)] = 785974,
  [SMALL_STATE(18224)] = 785991,
  [SMALL_STATE(18225)] = 786008,
  [SMALL_STATE(18226)] = 786025,
  [SMALL_STATE(18227)] = 786040,
  [SMALL_STATE(18228)] = 786057,
  [SMALL_STATE(18229)] = 786072,
  [SMALL_STATE(18230)] = 786089,
  [SMALL_STATE(18231)] = 786106,
  [SMALL_STATE(18232)] = 786121,
  [SMALL_STATE(18233)] = 786138,
  [SMALL_STATE(18234)] = 786155,
  [SMALL_STATE(18235)] = 786172,
  [SMALL_STATE(18236)] = 786187,
  [SMALL_STATE(18237)] = 786204,
  [SMALL_STATE(18238)] = 786221,
  [SMALL_STATE(18239)] = 786238,
  [SMALL_STATE(18240)] = 786255,
  [SMALL_STATE(18241)] = 786270,
  [SMALL_STATE(18242)] = 786287,
  [SMALL_STATE(18243)] = 786304,
  [SMALL_STATE(18244)] = 786319,
  [SMALL_STATE(18245)] = 786336,
  [SMALL_STATE(18246)] = 786353,
  [SMALL_STATE(18247)] = 786370,
  [SMALL_STATE(18248)] = 786387,
  [SMALL_STATE(18249)] = 786404,
  [SMALL_STATE(18250)] = 786421,
  [SMALL_STATE(18251)] = 786438,
  [SMALL_STATE(18252)] = 786455,
  [SMALL_STATE(18253)] = 786472,
  [SMALL_STATE(18254)] = 786489,
  [SMALL_STATE(18255)] = 786504,
  [SMALL_STATE(18256)] = 786521,
  [SMALL_STATE(18257)] = 786538,
  [SMALL_STATE(18258)] = 786553,
  [SMALL_STATE(18259)] = 786570,
  [SMALL_STATE(18260)] = 786585,
  [SMALL_STATE(18261)] = 786602,
  [SMALL_STATE(18262)] = 786619,
  [SMALL_STATE(18263)] = 786636,
  [SMALL_STATE(18264)] = 786653,
  [SMALL_STATE(18265)] = 786670,
  [SMALL_STATE(18266)] = 786687,
  [SMALL_STATE(18267)] = 786704,
  [SMALL_STATE(18268)] = 786721,
  [SMALL_STATE(18269)] = 786738,
  [SMALL_STATE(18270)] = 786755,
  [SMALL_STATE(18271)] = 786772,
  [SMALL_STATE(18272)] = 786789,
  [SMALL_STATE(18273)] = 786806,
  [SMALL_STATE(18274)] = 786823,
  [SMALL_STATE(18275)] = 786840,
  [SMALL_STATE(18276)] = 786857,
  [SMALL_STATE(18277)] = 786874,
  [SMALL_STATE(18278)] = 786891,
  [SMALL_STATE(18279)] = 786908,
  [SMALL_STATE(18280)] = 786923,
  [SMALL_STATE(18281)] = 786940,
  [SMALL_STATE(18282)] = 786955,
  [SMALL_STATE(18283)] = 786972,
  [SMALL_STATE(18284)] = 786989,
  [SMALL_STATE(18285)] = 787006,
  [SMALL_STATE(18286)] = 787021,
  [SMALL_STATE(18287)] = 787038,
  [SMALL_STATE(18288)] = 787055,
  [SMALL_STATE(18289)] = 787072,
  [SMALL_STATE(18290)] = 787089,
  [SMALL_STATE(18291)] = 787106,
  [SMALL_STATE(18292)] = 787121,
  [SMALL_STATE(18293)] = 787136,
  [SMALL_STATE(18294)] = 787153,
  [SMALL_STATE(18295)] = 787170,
  [SMALL_STATE(18296)] = 787185,
  [SMALL_STATE(18297)] = 787202,
  [SMALL_STATE(18298)] = 787219,
  [SMALL_STATE(18299)] = 787236,
  [SMALL_STATE(18300)] = 787253,
  [SMALL_STATE(18301)] = 787270,
  [SMALL_STATE(18302)] = 787287,
  [SMALL_STATE(18303)] = 787304,
  [SMALL_STATE(18304)] = 787321,
  [SMALL_STATE(18305)] = 787338,
  [SMALL_STATE(18306)] = 787353,
  [SMALL_STATE(18307)] = 787370,
  [SMALL_STATE(18308)] = 787387,
  [SMALL_STATE(18309)] = 787402,
  [SMALL_STATE(18310)] = 787419,
  [SMALL_STATE(18311)] = 787436,
  [SMALL_STATE(18312)] = 787453,
  [SMALL_STATE(18313)] = 787470,
  [SMALL_STATE(18314)] = 787487,
  [SMALL_STATE(18315)] = 787504,
  [SMALL_STATE(18316)] = 787521,
  [SMALL_STATE(18317)] = 787538,
  [SMALL_STATE(18318)] = 787555,
  [SMALL_STATE(18319)] = 787572,
  [SMALL_STATE(18320)] = 787589,
  [SMALL_STATE(18321)] = 787606,
  [SMALL_STATE(18322)] = 787623,
  [SMALL_STATE(18323)] = 787640,
  [SMALL_STATE(18324)] = 787657,
  [SMALL_STATE(18325)] = 787674,
  [SMALL_STATE(18326)] = 787691,
  [SMALL_STATE(18327)] = 787708,
  [SMALL_STATE(18328)] = 787725,
  [SMALL_STATE(18329)] = 787742,
  [SMALL_STATE(18330)] = 787759,
  [SMALL_STATE(18331)] = 787776,
  [SMALL_STATE(18332)] = 787793,
  [SMALL_STATE(18333)] = 787810,
  [SMALL_STATE(18334)] = 787827,
  [SMALL_STATE(18335)] = 787844,
  [SMALL_STATE(18336)] = 787861,
  [SMALL_STATE(18337)] = 787878,
  [SMALL_STATE(18338)] = 787895,
  [SMALL_STATE(18339)] = 787912,
  [SMALL_STATE(18340)] = 787929,
  [SMALL_STATE(18341)] = 787944,
  [SMALL_STATE(18342)] = 787961,
  [SMALL_STATE(18343)] = 787976,
  [SMALL_STATE(18344)] = 787993,
  [SMALL_STATE(18345)] = 788010,
  [SMALL_STATE(18346)] = 788027,
  [SMALL_STATE(18347)] = 788044,
  [SMALL_STATE(18348)] = 788059,
  [SMALL_STATE(18349)] = 788076,
  [SMALL_STATE(18350)] = 788093,
  [SMALL_STATE(18351)] = 788110,
  [SMALL_STATE(18352)] = 788127,
  [SMALL_STATE(18353)] = 788144,
  [SMALL_STATE(18354)] = 788161,
  [SMALL_STATE(18355)] = 788178,
  [SMALL_STATE(18356)] = 788195,
  [SMALL_STATE(18357)] = 788212,
  [SMALL_STATE(18358)] = 788229,
  [SMALL_STATE(18359)] = 788246,
  [SMALL_STATE(18360)] = 788263,
  [SMALL_STATE(18361)] = 788280,
  [SMALL_STATE(18362)] = 788297,
  [SMALL_STATE(18363)] = 788314,
  [SMALL_STATE(18364)] = 788331,
  [SMALL_STATE(18365)] = 788348,
  [SMALL_STATE(18366)] = 788365,
  [SMALL_STATE(18367)] = 788382,
  [SMALL_STATE(18368)] = 788399,
  [SMALL_STATE(18369)] = 788416,
  [SMALL_STATE(18370)] = 788433,
  [SMALL_STATE(18371)] = 788450,
  [SMALL_STATE(18372)] = 788467,
  [SMALL_STATE(18373)] = 788484,
  [SMALL_STATE(18374)] = 788501,
  [SMALL_STATE(18375)] = 788518,
  [SMALL_STATE(18376)] = 788535,
  [SMALL_STATE(18377)] = 788552,
  [SMALL_STATE(18378)] = 788569,
  [SMALL_STATE(18379)] = 788586,
  [SMALL_STATE(18380)] = 788603,
  [SMALL_STATE(18381)] = 788620,
  [SMALL_STATE(18382)] = 788637,
  [SMALL_STATE(18383)] = 788654,
  [SMALL_STATE(18384)] = 788671,
  [SMALL_STATE(18385)] = 788688,
  [SMALL_STATE(18386)] = 788705,
  [SMALL_STATE(18387)] = 788722,
  [SMALL_STATE(18388)] = 788739,
  [SMALL_STATE(18389)] = 788756,
  [SMALL_STATE(18390)] = 788773,
  [SMALL_STATE(18391)] = 788790,
  [SMALL_STATE(18392)] = 788807,
  [SMALL_STATE(18393)] = 788824,
  [SMALL_STATE(18394)] = 788841,
  [SMALL_STATE(18395)] = 788858,
  [SMALL_STATE(18396)] = 788875,
  [SMALL_STATE(18397)] = 788892,
  [SMALL_STATE(18398)] = 788909,
  [SMALL_STATE(18399)] = 788926,
  [SMALL_STATE(18400)] = 788943,
  [SMALL_STATE(18401)] = 788958,
  [SMALL_STATE(18402)] = 788975,
  [SMALL_STATE(18403)] = 788992,
  [SMALL_STATE(18404)] = 789007,
  [SMALL_STATE(18405)] = 789022,
  [SMALL_STATE(18406)] = 789039,
  [SMALL_STATE(18407)] = 789056,
  [SMALL_STATE(18408)] = 789073,
  [SMALL_STATE(18409)] = 789090,
  [SMALL_STATE(18410)] = 789107,
  [SMALL_STATE(18411)] = 789124,
  [SMALL_STATE(18412)] = 789141,
  [SMALL_STATE(18413)] = 789158,
  [SMALL_STATE(18414)] = 789175,
  [SMALL_STATE(18415)] = 789192,
  [SMALL_STATE(18416)] = 789209,
  [SMALL_STATE(18417)] = 789226,
  [SMALL_STATE(18418)] = 789243,
  [SMALL_STATE(18419)] = 789260,
  [SMALL_STATE(18420)] = 789277,
  [SMALL_STATE(18421)] = 789294,
  [SMALL_STATE(18422)] = 789309,
  [SMALL_STATE(18423)] = 789326,
  [SMALL_STATE(18424)] = 789343,
  [SMALL_STATE(18425)] = 789360,
  [SMALL_STATE(18426)] = 789377,
  [SMALL_STATE(18427)] = 789394,
  [SMALL_STATE(18428)] = 789411,
  [SMALL_STATE(18429)] = 789426,
  [SMALL_STATE(18430)] = 789443,
  [SMALL_STATE(18431)] = 789460,
  [SMALL_STATE(18432)] = 789475,
  [SMALL_STATE(18433)] = 789492,
  [SMALL_STATE(18434)] = 789509,
  [SMALL_STATE(18435)] = 789526,
  [SMALL_STATE(18436)] = 789543,
  [SMALL_STATE(18437)] = 789560,
  [SMALL_STATE(18438)] = 789575,
  [SMALL_STATE(18439)] = 789592,
  [SMALL_STATE(18440)] = 789609,
  [SMALL_STATE(18441)] = 789626,
  [SMALL_STATE(18442)] = 789643,
  [SMALL_STATE(18443)] = 789660,
  [SMALL_STATE(18444)] = 789677,
  [SMALL_STATE(18445)] = 789694,
  [SMALL_STATE(18446)] = 789709,
  [SMALL_STATE(18447)] = 789726,
  [SMALL_STATE(18448)] = 789743,
  [SMALL_STATE(18449)] = 789760,
  [SMALL_STATE(18450)] = 789777,
  [SMALL_STATE(18451)] = 789794,
  [SMALL_STATE(18452)] = 789811,
  [SMALL_STATE(18453)] = 789828,
  [SMALL_STATE(18454)] = 789845,
  [SMALL_STATE(18455)] = 789862,
  [SMALL_STATE(18456)] = 789879,
  [SMALL_STATE(18457)] = 789896,
  [SMALL_STATE(18458)] = 789913,
  [SMALL_STATE(18459)] = 789928,
  [SMALL_STATE(18460)] = 789945,
  [SMALL_STATE(18461)] = 789962,
  [SMALL_STATE(18462)] = 789979,
  [SMALL_STATE(18463)] = 789996,
  [SMALL_STATE(18464)] = 790013,
  [SMALL_STATE(18465)] = 790030,
  [SMALL_STATE(18466)] = 790045,
  [SMALL_STATE(18467)] = 790062,
  [SMALL_STATE(18468)] = 790079,
  [SMALL_STATE(18469)] = 790096,
  [SMALL_STATE(18470)] = 790113,
  [SMALL_STATE(18471)] = 790130,
  [SMALL_STATE(18472)] = 790147,
  [SMALL_STATE(18473)] = 790164,
  [SMALL_STATE(18474)] = 790179,
  [SMALL_STATE(18475)] = 790196,
  [SMALL_STATE(18476)] = 790213,
  [SMALL_STATE(18477)] = 790228,
  [SMALL_STATE(18478)] = 790245,
  [SMALL_STATE(18479)] = 790260,
  [SMALL_STATE(18480)] = 790277,
  [SMALL_STATE(18481)] = 790294,
  [SMALL_STATE(18482)] = 790311,
  [SMALL_STATE(18483)] = 790328,
  [SMALL_STATE(18484)] = 790345,
  [SMALL_STATE(18485)] = 790362,
  [SMALL_STATE(18486)] = 790379,
  [SMALL_STATE(18487)] = 790396,
  [SMALL_STATE(18488)] = 790413,
  [SMALL_STATE(18489)] = 790430,
  [SMALL_STATE(18490)] = 790447,
  [SMALL_STATE(18491)] = 790464,
  [SMALL_STATE(18492)] = 790481,
  [SMALL_STATE(18493)] = 790498,
  [SMALL_STATE(18494)] = 790515,
  [SMALL_STATE(18495)] = 790532,
  [SMALL_STATE(18496)] = 790549,
  [SMALL_STATE(18497)] = 790566,
  [SMALL_STATE(18498)] = 790583,
  [SMALL_STATE(18499)] = 790600,
  [SMALL_STATE(18500)] = 790617,
  [SMALL_STATE(18501)] = 790634,
  [SMALL_STATE(18502)] = 790651,
  [SMALL_STATE(18503)] = 790668,
  [SMALL_STATE(18504)] = 790685,
  [SMALL_STATE(18505)] = 790702,
  [SMALL_STATE(18506)] = 790719,
  [SMALL_STATE(18507)] = 790736,
  [SMALL_STATE(18508)] = 790753,
  [SMALL_STATE(18509)] = 790770,
  [SMALL_STATE(18510)] = 790787,
  [SMALL_STATE(18511)] = 790804,
  [SMALL_STATE(18512)] = 790821,
  [SMALL_STATE(18513)] = 790838,
  [SMALL_STATE(18514)] = 790855,
  [SMALL_STATE(18515)] = 790872,
  [SMALL_STATE(18516)] = 790889,
  [SMALL_STATE(18517)] = 790906,
  [SMALL_STATE(18518)] = 790921,
  [SMALL_STATE(18519)] = 790938,
  [SMALL_STATE(18520)] = 790953,
  [SMALL_STATE(18521)] = 790970,
  [SMALL_STATE(18522)] = 790987,
  [SMALL_STATE(18523)] = 791004,
  [SMALL_STATE(18524)] = 791021,
  [SMALL_STATE(18525)] = 791038,
  [SMALL_STATE(18526)] = 791055,
  [SMALL_STATE(18527)] = 791072,
  [SMALL_STATE(18528)] = 791089,
  [SMALL_STATE(18529)] = 791106,
  [SMALL_STATE(18530)] = 791123,
  [SMALL_STATE(18531)] = 791140,
  [SMALL_STATE(18532)] = 791157,
  [SMALL_STATE(18533)] = 791174,
  [SMALL_STATE(18534)] = 791191,
  [SMALL_STATE(18535)] = 791208,
  [SMALL_STATE(18536)] = 791225,
  [SMALL_STATE(18537)] = 791242,
  [SMALL_STATE(18538)] = 791259,
  [SMALL_STATE(18539)] = 791276,
  [SMALL_STATE(18540)] = 791293,
  [SMALL_STATE(18541)] = 791310,
  [SMALL_STATE(18542)] = 791327,
  [SMALL_STATE(18543)] = 791344,
  [SMALL_STATE(18544)] = 791361,
  [SMALL_STATE(18545)] = 791376,
  [SMALL_STATE(18546)] = 791393,
  [SMALL_STATE(18547)] = 791410,
  [SMALL_STATE(18548)] = 791427,
  [SMALL_STATE(18549)] = 791444,
  [SMALL_STATE(18550)] = 791461,
  [SMALL_STATE(18551)] = 791478,
  [SMALL_STATE(18552)] = 791495,
  [SMALL_STATE(18553)] = 791512,
  [SMALL_STATE(18554)] = 791529,
  [SMALL_STATE(18555)] = 791546,
  [SMALL_STATE(18556)] = 791563,
  [SMALL_STATE(18557)] = 791580,
  [SMALL_STATE(18558)] = 791597,
  [SMALL_STATE(18559)] = 791612,
  [SMALL_STATE(18560)] = 791629,
  [SMALL_STATE(18561)] = 791646,
  [SMALL_STATE(18562)] = 791663,
  [SMALL_STATE(18563)] = 791680,
  [SMALL_STATE(18564)] = 791697,
  [SMALL_STATE(18565)] = 791714,
  [SMALL_STATE(18566)] = 791731,
  [SMALL_STATE(18567)] = 791748,
  [SMALL_STATE(18568)] = 791765,
  [SMALL_STATE(18569)] = 791782,
  [SMALL_STATE(18570)] = 791799,
  [SMALL_STATE(18571)] = 791816,
  [SMALL_STATE(18572)] = 791831,
  [SMALL_STATE(18573)] = 791848,
  [SMALL_STATE(18574)] = 791865,
  [SMALL_STATE(18575)] = 791882,
  [SMALL_STATE(18576)] = 791899,
  [SMALL_STATE(18577)] = 791916,
  [SMALL_STATE(18578)] = 791931,
  [SMALL_STATE(18579)] = 791948,
  [SMALL_STATE(18580)] = 791965,
  [SMALL_STATE(18581)] = 791982,
  [SMALL_STATE(18582)] = 791999,
  [SMALL_STATE(18583)] = 792016,
  [SMALL_STATE(18584)] = 792033,
  [SMALL_STATE(18585)] = 792050,
  [SMALL_STATE(18586)] = 792067,
  [SMALL_STATE(18587)] = 792084,
  [SMALL_STATE(18588)] = 792101,
  [SMALL_STATE(18589)] = 792118,
  [SMALL_STATE(18590)] = 792135,
  [SMALL_STATE(18591)] = 792152,
  [SMALL_STATE(18592)] = 792169,
  [SMALL_STATE(18593)] = 792186,
  [SMALL_STATE(18594)] = 792203,
  [SMALL_STATE(18595)] = 792220,
  [SMALL_STATE(18596)] = 792237,
  [SMALL_STATE(18597)] = 792254,
  [SMALL_STATE(18598)] = 792271,
  [SMALL_STATE(18599)] = 792288,
  [SMALL_STATE(18600)] = 792305,
  [SMALL_STATE(18601)] = 792322,
  [SMALL_STATE(18602)] = 792339,
  [SMALL_STATE(18603)] = 792356,
  [SMALL_STATE(18604)] = 792373,
  [SMALL_STATE(18605)] = 792390,
  [SMALL_STATE(18606)] = 792407,
  [SMALL_STATE(18607)] = 792422,
  [SMALL_STATE(18608)] = 792439,
  [SMALL_STATE(18609)] = 792456,
  [SMALL_STATE(18610)] = 792471,
  [SMALL_STATE(18611)] = 792488,
  [SMALL_STATE(18612)] = 792505,
  [SMALL_STATE(18613)] = 792522,
  [SMALL_STATE(18614)] = 792539,
  [SMALL_STATE(18615)] = 792556,
  [SMALL_STATE(18616)] = 792573,
  [SMALL_STATE(18617)] = 792590,
  [SMALL_STATE(18618)] = 792607,
  [SMALL_STATE(18619)] = 792624,
  [SMALL_STATE(18620)] = 792641,
  [SMALL_STATE(18621)] = 792658,
  [SMALL_STATE(18622)] = 792675,
  [SMALL_STATE(18623)] = 792692,
  [SMALL_STATE(18624)] = 792709,
  [SMALL_STATE(18625)] = 792726,
  [SMALL_STATE(18626)] = 792743,
  [SMALL_STATE(18627)] = 792758,
  [SMALL_STATE(18628)] = 792775,
  [SMALL_STATE(18629)] = 792792,
  [SMALL_STATE(18630)] = 792809,
  [SMALL_STATE(18631)] = 792826,
  [SMALL_STATE(18632)] = 792843,
  [SMALL_STATE(18633)] = 792858,
  [SMALL_STATE(18634)] = 792875,
  [SMALL_STATE(18635)] = 792892,
  [SMALL_STATE(18636)] = 792909,
  [SMALL_STATE(18637)] = 792926,
  [SMALL_STATE(18638)] = 792943,
  [SMALL_STATE(18639)] = 792960,
  [SMALL_STATE(18640)] = 792977,
  [SMALL_STATE(18641)] = 792994,
  [SMALL_STATE(18642)] = 793011,
  [SMALL_STATE(18643)] = 793028,
  [SMALL_STATE(18644)] = 793045,
  [SMALL_STATE(18645)] = 793062,
  [SMALL_STATE(18646)] = 793079,
  [SMALL_STATE(18647)] = 793096,
  [SMALL_STATE(18648)] = 793111,
  [SMALL_STATE(18649)] = 793128,
  [SMALL_STATE(18650)] = 793145,
  [SMALL_STATE(18651)] = 793162,
  [SMALL_STATE(18652)] = 793179,
  [SMALL_STATE(18653)] = 793196,
  [SMALL_STATE(18654)] = 793213,
  [SMALL_STATE(18655)] = 793230,
  [SMALL_STATE(18656)] = 793247,
  [SMALL_STATE(18657)] = 793264,
  [SMALL_STATE(18658)] = 793281,
  [SMALL_STATE(18659)] = 793298,
  [SMALL_STATE(18660)] = 793315,
  [SMALL_STATE(18661)] = 793332,
  [SMALL_STATE(18662)] = 793349,
  [SMALL_STATE(18663)] = 793366,
  [SMALL_STATE(18664)] = 793383,
  [SMALL_STATE(18665)] = 793400,
  [SMALL_STATE(18666)] = 793417,
  [SMALL_STATE(18667)] = 793434,
  [SMALL_STATE(18668)] = 793451,
  [SMALL_STATE(18669)] = 793468,
  [SMALL_STATE(18670)] = 793485,
  [SMALL_STATE(18671)] = 793502,
  [SMALL_STATE(18672)] = 793519,
  [SMALL_STATE(18673)] = 793536,
  [SMALL_STATE(18674)] = 793551,
  [SMALL_STATE(18675)] = 793568,
  [SMALL_STATE(18676)] = 793583,
  [SMALL_STATE(18677)] = 793600,
  [SMALL_STATE(18678)] = 793617,
  [SMALL_STATE(18679)] = 793634,
  [SMALL_STATE(18680)] = 793649,
  [SMALL_STATE(18681)] = 793666,
  [SMALL_STATE(18682)] = 793683,
  [SMALL_STATE(18683)] = 793700,
  [SMALL_STATE(18684)] = 793717,
  [SMALL_STATE(18685)] = 793734,
  [SMALL_STATE(18686)] = 793751,
  [SMALL_STATE(18687)] = 793768,
  [SMALL_STATE(18688)] = 793785,
  [SMALL_STATE(18689)] = 793802,
  [SMALL_STATE(18690)] = 793817,
  [SMALL_STATE(18691)] = 793834,
  [SMALL_STATE(18692)] = 793851,
  [SMALL_STATE(18693)] = 793868,
  [SMALL_STATE(18694)] = 793885,
  [SMALL_STATE(18695)] = 793902,
  [SMALL_STATE(18696)] = 793917,
  [SMALL_STATE(18697)] = 793934,
  [SMALL_STATE(18698)] = 793951,
  [SMALL_STATE(18699)] = 793968,
  [SMALL_STATE(18700)] = 793985,
  [SMALL_STATE(18701)] = 794002,
  [SMALL_STATE(18702)] = 794019,
  [SMALL_STATE(18703)] = 794036,
  [SMALL_STATE(18704)] = 794053,
  [SMALL_STATE(18705)] = 794070,
  [SMALL_STATE(18706)] = 794085,
  [SMALL_STATE(18707)] = 794100,
  [SMALL_STATE(18708)] = 794117,
  [SMALL_STATE(18709)] = 794134,
  [SMALL_STATE(18710)] = 794151,
  [SMALL_STATE(18711)] = 794166,
  [SMALL_STATE(18712)] = 794183,
  [SMALL_STATE(18713)] = 794200,
  [SMALL_STATE(18714)] = 794217,
  [SMALL_STATE(18715)] = 794232,
  [SMALL_STATE(18716)] = 794249,
  [SMALL_STATE(18717)] = 794266,
  [SMALL_STATE(18718)] = 794283,
  [SMALL_STATE(18719)] = 794300,
  [SMALL_STATE(18720)] = 794317,
  [SMALL_STATE(18721)] = 794334,
  [SMALL_STATE(18722)] = 794351,
  [SMALL_STATE(18723)] = 794368,
  [SMALL_STATE(18724)] = 794385,
  [SMALL_STATE(18725)] = 794402,
  [SMALL_STATE(18726)] = 794419,
  [SMALL_STATE(18727)] = 794436,
  [SMALL_STATE(18728)] = 794453,
  [SMALL_STATE(18729)] = 794470,
  [SMALL_STATE(18730)] = 794485,
  [SMALL_STATE(18731)] = 794502,
  [SMALL_STATE(18732)] = 794517,
  [SMALL_STATE(18733)] = 794532,
  [SMALL_STATE(18734)] = 794549,
  [SMALL_STATE(18735)] = 794566,
  [SMALL_STATE(18736)] = 794583,
  [SMALL_STATE(18737)] = 794600,
  [SMALL_STATE(18738)] = 794617,
  [SMALL_STATE(18739)] = 794634,
  [SMALL_STATE(18740)] = 794651,
  [SMALL_STATE(18741)] = 794668,
  [SMALL_STATE(18742)] = 794685,
  [SMALL_STATE(18743)] = 794702,
  [SMALL_STATE(18744)] = 794719,
  [SMALL_STATE(18745)] = 794736,
  [SMALL_STATE(18746)] = 794753,
  [SMALL_STATE(18747)] = 794770,
  [SMALL_STATE(18748)] = 794787,
  [SMALL_STATE(18749)] = 794804,
  [SMALL_STATE(18750)] = 794821,
  [SMALL_STATE(18751)] = 794838,
  [SMALL_STATE(18752)] = 794855,
  [SMALL_STATE(18753)] = 794872,
  [SMALL_STATE(18754)] = 794889,
  [SMALL_STATE(18755)] = 794906,
  [SMALL_STATE(18756)] = 794921,
  [SMALL_STATE(18757)] = 794936,
  [SMALL_STATE(18758)] = 794953,
  [SMALL_STATE(18759)] = 794970,
  [SMALL_STATE(18760)] = 794987,
  [SMALL_STATE(18761)] = 795004,
  [SMALL_STATE(18762)] = 795019,
  [SMALL_STATE(18763)] = 795036,
  [SMALL_STATE(18764)] = 795053,
  [SMALL_STATE(18765)] = 795070,
  [SMALL_STATE(18766)] = 795087,
  [SMALL_STATE(18767)] = 795104,
  [SMALL_STATE(18768)] = 795121,
  [SMALL_STATE(18769)] = 795136,
  [SMALL_STATE(18770)] = 795153,
  [SMALL_STATE(18771)] = 795170,
  [SMALL_STATE(18772)] = 795187,
  [SMALL_STATE(18773)] = 795204,
  [SMALL_STATE(18774)] = 795221,
  [SMALL_STATE(18775)] = 795236,
  [SMALL_STATE(18776)] = 795253,
  [SMALL_STATE(18777)] = 795270,
  [SMALL_STATE(18778)] = 795287,
  [SMALL_STATE(18779)] = 795304,
  [SMALL_STATE(18780)] = 795319,
  [SMALL_STATE(18781)] = 795336,
  [SMALL_STATE(18782)] = 795353,
  [SMALL_STATE(18783)] = 795370,
  [SMALL_STATE(18784)] = 795387,
  [SMALL_STATE(18785)] = 795404,
  [SMALL_STATE(18786)] = 795421,
  [SMALL_STATE(18787)] = 795438,
  [SMALL_STATE(18788)] = 795455,
  [SMALL_STATE(18789)] = 795472,
  [SMALL_STATE(18790)] = 795489,
  [SMALL_STATE(18791)] = 795506,
  [SMALL_STATE(18792)] = 795523,
  [SMALL_STATE(18793)] = 795540,
  [SMALL_STATE(18794)] = 795557,
  [SMALL_STATE(18795)] = 795572,
  [SMALL_STATE(18796)] = 795589,
  [SMALL_STATE(18797)] = 795606,
  [SMALL_STATE(18798)] = 795623,
  [SMALL_STATE(18799)] = 795638,
  [SMALL_STATE(18800)] = 795653,
  [SMALL_STATE(18801)] = 795668,
  [SMALL_STATE(18802)] = 795685,
  [SMALL_STATE(18803)] = 795702,
  [SMALL_STATE(18804)] = 795717,
  [SMALL_STATE(18805)] = 795734,
  [SMALL_STATE(18806)] = 795751,
  [SMALL_STATE(18807)] = 795768,
  [SMALL_STATE(18808)] = 795785,
  [SMALL_STATE(18809)] = 795802,
  [SMALL_STATE(18810)] = 795817,
  [SMALL_STATE(18811)] = 795832,
  [SMALL_STATE(18812)] = 795849,
  [SMALL_STATE(18813)] = 795866,
  [SMALL_STATE(18814)] = 795883,
  [SMALL_STATE(18815)] = 795898,
  [SMALL_STATE(18816)] = 795915,
  [SMALL_STATE(18817)] = 795932,
  [SMALL_STATE(18818)] = 795947,
  [SMALL_STATE(18819)] = 795964,
  [SMALL_STATE(18820)] = 795981,
  [SMALL_STATE(18821)] = 795998,
  [SMALL_STATE(18822)] = 796015,
  [SMALL_STATE(18823)] = 796032,
  [SMALL_STATE(18824)] = 796049,
  [SMALL_STATE(18825)] = 796064,
  [SMALL_STATE(18826)] = 796081,
  [SMALL_STATE(18827)] = 796098,
  [SMALL_STATE(18828)] = 796115,
  [SMALL_STATE(18829)] = 796130,
  [SMALL_STATE(18830)] = 796147,
  [SMALL_STATE(18831)] = 796164,
  [SMALL_STATE(18832)] = 796181,
  [SMALL_STATE(18833)] = 796198,
  [SMALL_STATE(18834)] = 796215,
  [SMALL_STATE(18835)] = 796232,
  [SMALL_STATE(18836)] = 796249,
  [SMALL_STATE(18837)] = 796266,
  [SMALL_STATE(18838)] = 796283,
  [SMALL_STATE(18839)] = 796300,
  [SMALL_STATE(18840)] = 796315,
  [SMALL_STATE(18841)] = 796332,
  [SMALL_STATE(18842)] = 796349,
  [SMALL_STATE(18843)] = 796366,
  [SMALL_STATE(18844)] = 796383,
  [SMALL_STATE(18845)] = 796400,
  [SMALL_STATE(18846)] = 796417,
  [SMALL_STATE(18847)] = 796432,
  [SMALL_STATE(18848)] = 796449,
  [SMALL_STATE(18849)] = 796466,
  [SMALL_STATE(18850)] = 796483,
  [SMALL_STATE(18851)] = 796500,
  [SMALL_STATE(18852)] = 796517,
  [SMALL_STATE(18853)] = 796534,
  [SMALL_STATE(18854)] = 796551,
  [SMALL_STATE(18855)] = 796566,
  [SMALL_STATE(18856)] = 796583,
  [SMALL_STATE(18857)] = 796598,
  [SMALL_STATE(18858)] = 796615,
  [SMALL_STATE(18859)] = 796630,
  [SMALL_STATE(18860)] = 796645,
  [SMALL_STATE(18861)] = 796660,
  [SMALL_STATE(18862)] = 796677,
  [SMALL_STATE(18863)] = 796694,
  [SMALL_STATE(18864)] = 796711,
  [SMALL_STATE(18865)] = 796728,
  [SMALL_STATE(18866)] = 796743,
  [SMALL_STATE(18867)] = 796760,
  [SMALL_STATE(18868)] = 796777,
  [SMALL_STATE(18869)] = 796794,
  [SMALL_STATE(18870)] = 796811,
  [SMALL_STATE(18871)] = 796828,
  [SMALL_STATE(18872)] = 796845,
  [SMALL_STATE(18873)] = 796862,
  [SMALL_STATE(18874)] = 796879,
  [SMALL_STATE(18875)] = 796896,
  [SMALL_STATE(18876)] = 796913,
  [SMALL_STATE(18877)] = 796930,
  [SMALL_STATE(18878)] = 796947,
  [SMALL_STATE(18879)] = 796964,
  [SMALL_STATE(18880)] = 796979,
  [SMALL_STATE(18881)] = 796996,
  [SMALL_STATE(18882)] = 797013,
  [SMALL_STATE(18883)] = 797030,
  [SMALL_STATE(18884)] = 797047,
  [SMALL_STATE(18885)] = 797064,
  [SMALL_STATE(18886)] = 797079,
  [SMALL_STATE(18887)] = 797096,
  [SMALL_STATE(18888)] = 797113,
  [SMALL_STATE(18889)] = 797128,
  [SMALL_STATE(18890)] = 797145,
  [SMALL_STATE(18891)] = 797162,
  [SMALL_STATE(18892)] = 797179,
  [SMALL_STATE(18893)] = 797196,
  [SMALL_STATE(18894)] = 797213,
  [SMALL_STATE(18895)] = 797230,
  [SMALL_STATE(18896)] = 797247,
  [SMALL_STATE(18897)] = 797264,
  [SMALL_STATE(18898)] = 797279,
  [SMALL_STATE(18899)] = 797294,
  [SMALL_STATE(18900)] = 797311,
  [SMALL_STATE(18901)] = 797328,
  [SMALL_STATE(18902)] = 797345,
  [SMALL_STATE(18903)] = 797362,
  [SMALL_STATE(18904)] = 797379,
  [SMALL_STATE(18905)] = 797396,
  [SMALL_STATE(18906)] = 797413,
  [SMALL_STATE(18907)] = 797430,
  [SMALL_STATE(18908)] = 797447,
  [SMALL_STATE(18909)] = 797462,
  [SMALL_STATE(18910)] = 797479,
  [SMALL_STATE(18911)] = 797496,
  [SMALL_STATE(18912)] = 797513,
  [SMALL_STATE(18913)] = 797530,
  [SMALL_STATE(18914)] = 797545,
  [SMALL_STATE(18915)] = 797562,
  [SMALL_STATE(18916)] = 797579,
  [SMALL_STATE(18917)] = 797596,
  [SMALL_STATE(18918)] = 797613,
  [SMALL_STATE(18919)] = 797630,
  [SMALL_STATE(18920)] = 797647,
  [SMALL_STATE(18921)] = 797664,
  [SMALL_STATE(18922)] = 797681,
  [SMALL_STATE(18923)] = 797698,
  [SMALL_STATE(18924)] = 797713,
  [SMALL_STATE(18925)] = 797730,
  [SMALL_STATE(18926)] = 797747,
  [SMALL_STATE(18927)] = 797764,
  [SMALL_STATE(18928)] = 797779,
  [SMALL_STATE(18929)] = 797796,
  [SMALL_STATE(18930)] = 797813,
  [SMALL_STATE(18931)] = 797828,
  [SMALL_STATE(18932)] = 797845,
  [SMALL_STATE(18933)] = 797862,
  [SMALL_STATE(18934)] = 797877,
  [SMALL_STATE(18935)] = 797892,
  [SMALL_STATE(18936)] = 797909,
  [SMALL_STATE(18937)] = 797926,
  [SMALL_STATE(18938)] = 797943,
  [SMALL_STATE(18939)] = 797960,
  [SMALL_STATE(18940)] = 797977,
  [SMALL_STATE(18941)] = 797992,
  [SMALL_STATE(18942)] = 798009,
  [SMALL_STATE(18943)] = 798026,
  [SMALL_STATE(18944)] = 798043,
  [SMALL_STATE(18945)] = 798060,
  [SMALL_STATE(18946)] = 798077,
  [SMALL_STATE(18947)] = 798094,
  [SMALL_STATE(18948)] = 798111,
  [SMALL_STATE(18949)] = 798128,
  [SMALL_STATE(18950)] = 798145,
  [SMALL_STATE(18951)] = 798162,
  [SMALL_STATE(18952)] = 798179,
  [SMALL_STATE(18953)] = 798194,
  [SMALL_STATE(18954)] = 798209,
  [SMALL_STATE(18955)] = 798226,
  [SMALL_STATE(18956)] = 798243,
  [SMALL_STATE(18957)] = 798260,
  [SMALL_STATE(18958)] = 798275,
  [SMALL_STATE(18959)] = 798290,
  [SMALL_STATE(18960)] = 798307,
  [SMALL_STATE(18961)] = 798324,
  [SMALL_STATE(18962)] = 798341,
  [SMALL_STATE(18963)] = 798358,
  [SMALL_STATE(18964)] = 798375,
  [SMALL_STATE(18965)] = 798392,
  [SMALL_STATE(18966)] = 798409,
  [SMALL_STATE(18967)] = 798424,
  [SMALL_STATE(18968)] = 798441,
  [SMALL_STATE(18969)] = 798458,
  [SMALL_STATE(18970)] = 798475,
  [SMALL_STATE(18971)] = 798492,
  [SMALL_STATE(18972)] = 798509,
  [SMALL_STATE(18973)] = 798526,
  [SMALL_STATE(18974)] = 798543,
  [SMALL_STATE(18975)] = 798560,
  [SMALL_STATE(18976)] = 798577,
  [SMALL_STATE(18977)] = 798592,
  [SMALL_STATE(18978)] = 798609,
  [SMALL_STATE(18979)] = 798626,
  [SMALL_STATE(18980)] = 798643,
  [SMALL_STATE(18981)] = 798660,
  [SMALL_STATE(18982)] = 798677,
  [SMALL_STATE(18983)] = 798692,
  [SMALL_STATE(18984)] = 798709,
  [SMALL_STATE(18985)] = 798726,
  [SMALL_STATE(18986)] = 798743,
  [SMALL_STATE(18987)] = 798760,
  [SMALL_STATE(18988)] = 798777,
  [SMALL_STATE(18989)] = 798794,
  [SMALL_STATE(18990)] = 798811,
  [SMALL_STATE(18991)] = 798828,
  [SMALL_STATE(18992)] = 798845,
  [SMALL_STATE(18993)] = 798860,
  [SMALL_STATE(18994)] = 798877,
  [SMALL_STATE(18995)] = 798892,
  [SMALL_STATE(18996)] = 798909,
  [SMALL_STATE(18997)] = 798926,
  [SMALL_STATE(18998)] = 798943,
  [SMALL_STATE(18999)] = 798960,
  [SMALL_STATE(19000)] = 798977,
  [SMALL_STATE(19001)] = 798994,
  [SMALL_STATE(19002)] = 799011,
  [SMALL_STATE(19003)] = 799028,
  [SMALL_STATE(19004)] = 799045,
  [SMALL_STATE(19005)] = 799062,
  [SMALL_STATE(19006)] = 799079,
  [SMALL_STATE(19007)] = 799096,
  [SMALL_STATE(19008)] = 799113,
  [SMALL_STATE(19009)] = 799130,
  [SMALL_STATE(19010)] = 799145,
  [SMALL_STATE(19011)] = 799162,
  [SMALL_STATE(19012)] = 799177,
  [SMALL_STATE(19013)] = 799194,
  [SMALL_STATE(19014)] = 799211,
  [SMALL_STATE(19015)] = 799228,
  [SMALL_STATE(19016)] = 799245,
  [SMALL_STATE(19017)] = 799262,
  [SMALL_STATE(19018)] = 799279,
  [SMALL_STATE(19019)] = 799296,
  [SMALL_STATE(19020)] = 799313,
  [SMALL_STATE(19021)] = 799328,
  [SMALL_STATE(19022)] = 799345,
  [SMALL_STATE(19023)] = 799362,
  [SMALL_STATE(19024)] = 799379,
  [SMALL_STATE(19025)] = 799396,
  [SMALL_STATE(19026)] = 799413,
  [SMALL_STATE(19027)] = 799430,
  [SMALL_STATE(19028)] = 799447,
  [SMALL_STATE(19029)] = 799464,
  [SMALL_STATE(19030)] = 799481,
  [SMALL_STATE(19031)] = 799496,
  [SMALL_STATE(19032)] = 799513,
  [SMALL_STATE(19033)] = 799530,
  [SMALL_STATE(19034)] = 799545,
  [SMALL_STATE(19035)] = 799562,
  [SMALL_STATE(19036)] = 799579,
  [SMALL_STATE(19037)] = 799596,
  [SMALL_STATE(19038)] = 799613,
  [SMALL_STATE(19039)] = 799630,
  [SMALL_STATE(19040)] = 799645,
  [SMALL_STATE(19041)] = 799662,
  [SMALL_STATE(19042)] = 799677,
  [SMALL_STATE(19043)] = 799694,
  [SMALL_STATE(19044)] = 799711,
  [SMALL_STATE(19045)] = 799728,
  [SMALL_STATE(19046)] = 799745,
  [SMALL_STATE(19047)] = 799762,
  [SMALL_STATE(19048)] = 799779,
  [SMALL_STATE(19049)] = 799794,
  [SMALL_STATE(19050)] = 799811,
  [SMALL_STATE(19051)] = 799828,
  [SMALL_STATE(19052)] = 799845,
  [SMALL_STATE(19053)] = 799862,
  [SMALL_STATE(19054)] = 799879,
  [SMALL_STATE(19055)] = 799896,
  [SMALL_STATE(19056)] = 799913,
  [SMALL_STATE(19057)] = 799930,
  [SMALL_STATE(19058)] = 799947,
  [SMALL_STATE(19059)] = 799964,
  [SMALL_STATE(19060)] = 799981,
  [SMALL_STATE(19061)] = 799998,
  [SMALL_STATE(19062)] = 800013,
  [SMALL_STATE(19063)] = 800030,
  [SMALL_STATE(19064)] = 800047,
  [SMALL_STATE(19065)] = 800064,
  [SMALL_STATE(19066)] = 800081,
  [SMALL_STATE(19067)] = 800098,
  [SMALL_STATE(19068)] = 800115,
  [SMALL_STATE(19069)] = 800132,
  [SMALL_STATE(19070)] = 800149,
  [SMALL_STATE(19071)] = 800166,
  [SMALL_STATE(19072)] = 800181,
  [SMALL_STATE(19073)] = 800198,
  [SMALL_STATE(19074)] = 800215,
  [SMALL_STATE(19075)] = 800232,
  [SMALL_STATE(19076)] = 800249,
  [SMALL_STATE(19077)] = 800266,
  [SMALL_STATE(19078)] = 800283,
  [SMALL_STATE(19079)] = 800300,
  [SMALL_STATE(19080)] = 800317,
  [SMALL_STATE(19081)] = 800332,
  [SMALL_STATE(19082)] = 800349,
  [SMALL_STATE(19083)] = 800366,
  [SMALL_STATE(19084)] = 800383,
  [SMALL_STATE(19085)] = 800400,
  [SMALL_STATE(19086)] = 800417,
  [SMALL_STATE(19087)] = 800432,
  [SMALL_STATE(19088)] = 800449,
  [SMALL_STATE(19089)] = 800466,
  [SMALL_STATE(19090)] = 800483,
  [SMALL_STATE(19091)] = 800500,
  [SMALL_STATE(19092)] = 800517,
  [SMALL_STATE(19093)] = 800534,
  [SMALL_STATE(19094)] = 800551,
  [SMALL_STATE(19095)] = 800566,
  [SMALL_STATE(19096)] = 800581,
  [SMALL_STATE(19097)] = 800596,
  [SMALL_STATE(19098)] = 800613,
  [SMALL_STATE(19099)] = 800630,
  [SMALL_STATE(19100)] = 800647,
  [SMALL_STATE(19101)] = 800664,
  [SMALL_STATE(19102)] = 800681,
  [SMALL_STATE(19103)] = 800698,
  [SMALL_STATE(19104)] = 800715,
  [SMALL_STATE(19105)] = 800732,
  [SMALL_STATE(19106)] = 800749,
  [SMALL_STATE(19107)] = 800764,
  [SMALL_STATE(19108)] = 800781,
  [SMALL_STATE(19109)] = 800796,
  [SMALL_STATE(19110)] = 800813,
  [SMALL_STATE(19111)] = 800830,
  [SMALL_STATE(19112)] = 800847,
  [SMALL_STATE(19113)] = 800864,
  [SMALL_STATE(19114)] = 800881,
  [SMALL_STATE(19115)] = 800898,
  [SMALL_STATE(19116)] = 800915,
  [SMALL_STATE(19117)] = 800932,
  [SMALL_STATE(19118)] = 800949,
  [SMALL_STATE(19119)] = 800966,
  [SMALL_STATE(19120)] = 800983,
  [SMALL_STATE(19121)] = 801000,
  [SMALL_STATE(19122)] = 801017,
  [SMALL_STATE(19123)] = 801034,
  [SMALL_STATE(19124)] = 801049,
  [SMALL_STATE(19125)] = 801066,
  [SMALL_STATE(19126)] = 801083,
  [SMALL_STATE(19127)] = 801100,
  [SMALL_STATE(19128)] = 801117,
  [SMALL_STATE(19129)] = 801134,
  [SMALL_STATE(19130)] = 801151,
  [SMALL_STATE(19131)] = 801168,
  [SMALL_STATE(19132)] = 801185,
  [SMALL_STATE(19133)] = 801202,
  [SMALL_STATE(19134)] = 801219,
  [SMALL_STATE(19135)] = 801236,
  [SMALL_STATE(19136)] = 801253,
  [SMALL_STATE(19137)] = 801270,
  [SMALL_STATE(19138)] = 801287,
  [SMALL_STATE(19139)] = 801304,
  [SMALL_STATE(19140)] = 801319,
  [SMALL_STATE(19141)] = 801334,
  [SMALL_STATE(19142)] = 801351,
  [SMALL_STATE(19143)] = 801368,
  [SMALL_STATE(19144)] = 801383,
  [SMALL_STATE(19145)] = 801400,
  [SMALL_STATE(19146)] = 801415,
  [SMALL_STATE(19147)] = 801432,
  [SMALL_STATE(19148)] = 801449,
  [SMALL_STATE(19149)] = 801464,
  [SMALL_STATE(19150)] = 801481,
  [SMALL_STATE(19151)] = 801498,
  [SMALL_STATE(19152)] = 801515,
  [SMALL_STATE(19153)] = 801532,
  [SMALL_STATE(19154)] = 801549,
  [SMALL_STATE(19155)] = 801566,
  [SMALL_STATE(19156)] = 801583,
  [SMALL_STATE(19157)] = 801600,
  [SMALL_STATE(19158)] = 801617,
  [SMALL_STATE(19159)] = 801634,
  [SMALL_STATE(19160)] = 801649,
  [SMALL_STATE(19161)] = 801666,
  [SMALL_STATE(19162)] = 801683,
  [SMALL_STATE(19163)] = 801700,
  [SMALL_STATE(19164)] = 801717,
  [SMALL_STATE(19165)] = 801734,
  [SMALL_STATE(19166)] = 801751,
  [SMALL_STATE(19167)] = 801768,
  [SMALL_STATE(19168)] = 801785,
  [SMALL_STATE(19169)] = 801802,
  [SMALL_STATE(19170)] = 801819,
  [SMALL_STATE(19171)] = 801836,
  [SMALL_STATE(19172)] = 801853,
  [SMALL_STATE(19173)] = 801870,
  [SMALL_STATE(19174)] = 801885,
  [SMALL_STATE(19175)] = 801902,
  [SMALL_STATE(19176)] = 801919,
  [SMALL_STATE(19177)] = 801936,
  [SMALL_STATE(19178)] = 801953,
  [SMALL_STATE(19179)] = 801970,
  [SMALL_STATE(19180)] = 801987,
  [SMALL_STATE(19181)] = 802004,
  [SMALL_STATE(19182)] = 802021,
  [SMALL_STATE(19183)] = 802038,
  [SMALL_STATE(19184)] = 802055,
  [SMALL_STATE(19185)] = 802072,
  [SMALL_STATE(19186)] = 802089,
  [SMALL_STATE(19187)] = 802106,
  [SMALL_STATE(19188)] = 802123,
  [SMALL_STATE(19189)] = 802140,
  [SMALL_STATE(19190)] = 802157,
  [SMALL_STATE(19191)] = 802174,
  [SMALL_STATE(19192)] = 802191,
  [SMALL_STATE(19193)] = 802208,
  [SMALL_STATE(19194)] = 802225,
  [SMALL_STATE(19195)] = 802242,
  [SMALL_STATE(19196)] = 802259,
  [SMALL_STATE(19197)] = 802276,
  [SMALL_STATE(19198)] = 802293,
  [SMALL_STATE(19199)] = 802310,
  [SMALL_STATE(19200)] = 802327,
  [SMALL_STATE(19201)] = 802342,
  [SMALL_STATE(19202)] = 802359,
  [SMALL_STATE(19203)] = 802376,
  [SMALL_STATE(19204)] = 802393,
  [SMALL_STATE(19205)] = 802408,
  [SMALL_STATE(19206)] = 802425,
  [SMALL_STATE(19207)] = 802442,
  [SMALL_STATE(19208)] = 802459,
  [SMALL_STATE(19209)] = 802474,
  [SMALL_STATE(19210)] = 802491,
  [SMALL_STATE(19211)] = 802508,
  [SMALL_STATE(19212)] = 802525,
  [SMALL_STATE(19213)] = 802542,
  [SMALL_STATE(19214)] = 802559,
  [SMALL_STATE(19215)] = 802576,
  [SMALL_STATE(19216)] = 802591,
  [SMALL_STATE(19217)] = 802608,
  [SMALL_STATE(19218)] = 802625,
  [SMALL_STATE(19219)] = 802640,
  [SMALL_STATE(19220)] = 802657,
  [SMALL_STATE(19221)] = 802674,
  [SMALL_STATE(19222)] = 802691,
  [SMALL_STATE(19223)] = 802708,
  [SMALL_STATE(19224)] = 802725,
  [SMALL_STATE(19225)] = 802740,
  [SMALL_STATE(19226)] = 802757,
  [SMALL_STATE(19227)] = 802774,
  [SMALL_STATE(19228)] = 802791,
  [SMALL_STATE(19229)] = 802808,
  [SMALL_STATE(19230)] = 802825,
  [SMALL_STATE(19231)] = 802842,
  [SMALL_STATE(19232)] = 802857,
  [SMALL_STATE(19233)] = 802874,
  [SMALL_STATE(19234)] = 802891,
  [SMALL_STATE(19235)] = 802908,
  [SMALL_STATE(19236)] = 802925,
  [SMALL_STATE(19237)] = 802942,
  [SMALL_STATE(19238)] = 802959,
  [SMALL_STATE(19239)] = 802976,
  [SMALL_STATE(19240)] = 802993,
  [SMALL_STATE(19241)] = 803010,
  [SMALL_STATE(19242)] = 803027,
  [SMALL_STATE(19243)] = 803044,
  [SMALL_STATE(19244)] = 803059,
  [SMALL_STATE(19245)] = 803076,
  [SMALL_STATE(19246)] = 803093,
  [SMALL_STATE(19247)] = 803110,
  [SMALL_STATE(19248)] = 803127,
  [SMALL_STATE(19249)] = 803144,
  [SMALL_STATE(19250)] = 803161,
  [SMALL_STATE(19251)] = 803178,
  [SMALL_STATE(19252)] = 803195,
  [SMALL_STATE(19253)] = 803212,
  [SMALL_STATE(19254)] = 803227,
  [SMALL_STATE(19255)] = 803244,
  [SMALL_STATE(19256)] = 803261,
  [SMALL_STATE(19257)] = 803278,
  [SMALL_STATE(19258)] = 803295,
  [SMALL_STATE(19259)] = 803312,
  [SMALL_STATE(19260)] = 803329,
  [SMALL_STATE(19261)] = 803346,
  [SMALL_STATE(19262)] = 803363,
  [SMALL_STATE(19263)] = 803380,
  [SMALL_STATE(19264)] = 803397,
  [SMALL_STATE(19265)] = 803414,
  [SMALL_STATE(19266)] = 803431,
  [SMALL_STATE(19267)] = 803448,
  [SMALL_STATE(19268)] = 803463,
  [SMALL_STATE(19269)] = 803478,
  [SMALL_STATE(19270)] = 803493,
  [SMALL_STATE(19271)] = 803510,
  [SMALL_STATE(19272)] = 803525,
  [SMALL_STATE(19273)] = 803540,
  [SMALL_STATE(19274)] = 803557,
  [SMALL_STATE(19275)] = 803572,
  [SMALL_STATE(19276)] = 803587,
  [SMALL_STATE(19277)] = 803604,
  [SMALL_STATE(19278)] = 803621,
  [SMALL_STATE(19279)] = 803638,
  [SMALL_STATE(19280)] = 803655,
  [SMALL_STATE(19281)] = 803670,
  [SMALL_STATE(19282)] = 803685,
  [SMALL_STATE(19283)] = 803702,
  [SMALL_STATE(19284)] = 803719,
  [SMALL_STATE(19285)] = 803736,
  [SMALL_STATE(19286)] = 803753,
  [SMALL_STATE(19287)] = 803768,
  [SMALL_STATE(19288)] = 803785,
  [SMALL_STATE(19289)] = 803802,
  [SMALL_STATE(19290)] = 803819,
  [SMALL_STATE(19291)] = 803836,
  [SMALL_STATE(19292)] = 803853,
  [SMALL_STATE(19293)] = 803870,
  [SMALL_STATE(19294)] = 803887,
  [SMALL_STATE(19295)] = 803904,
  [SMALL_STATE(19296)] = 803921,
  [SMALL_STATE(19297)] = 803938,
  [SMALL_STATE(19298)] = 803955,
  [SMALL_STATE(19299)] = 803972,
  [SMALL_STATE(19300)] = 803989,
  [SMALL_STATE(19301)] = 804006,
  [SMALL_STATE(19302)] = 804020,
  [SMALL_STATE(19303)] = 804034,
  [SMALL_STATE(19304)] = 804048,
  [SMALL_STATE(19305)] = 804062,
  [SMALL_STATE(19306)] = 804076,
  [SMALL_STATE(19307)] = 804090,
  [SMALL_STATE(19308)] = 804104,
  [SMALL_STATE(19309)] = 804118,
  [SMALL_STATE(19310)] = 804132,
  [SMALL_STATE(19311)] = 804146,
  [SMALL_STATE(19312)] = 804160,
  [SMALL_STATE(19313)] = 804174,
  [SMALL_STATE(19314)] = 804188,
  [SMALL_STATE(19315)] = 804202,
  [SMALL_STATE(19316)] = 804216,
  [SMALL_STATE(19317)] = 804230,
  [SMALL_STATE(19318)] = 804244,
  [SMALL_STATE(19319)] = 804258,
  [SMALL_STATE(19320)] = 804272,
  [SMALL_STATE(19321)] = 804286,
  [SMALL_STATE(19322)] = 804300,
  [SMALL_STATE(19323)] = 804314,
  [SMALL_STATE(19324)] = 804328,
  [SMALL_STATE(19325)] = 804342,
  [SMALL_STATE(19326)] = 804356,
  [SMALL_STATE(19327)] = 804370,
  [SMALL_STATE(19328)] = 804384,
  [SMALL_STATE(19329)] = 804398,
  [SMALL_STATE(19330)] = 804412,
  [SMALL_STATE(19331)] = 804426,
  [SMALL_STATE(19332)] = 804440,
  [SMALL_STATE(19333)] = 804454,
  [SMALL_STATE(19334)] = 804468,
  [SMALL_STATE(19335)] = 804482,
  [SMALL_STATE(19336)] = 804496,
  [SMALL_STATE(19337)] = 804510,
  [SMALL_STATE(19338)] = 804524,
  [SMALL_STATE(19339)] = 804538,
  [SMALL_STATE(19340)] = 804552,
  [SMALL_STATE(19341)] = 804566,
  [SMALL_STATE(19342)] = 804580,
  [SMALL_STATE(19343)] = 804594,
  [SMALL_STATE(19344)] = 804608,
  [SMALL_STATE(19345)] = 804622,
  [SMALL_STATE(19346)] = 804636,
  [SMALL_STATE(19347)] = 804650,
  [SMALL_STATE(19348)] = 804664,
  [SMALL_STATE(19349)] = 804678,
  [SMALL_STATE(19350)] = 804692,
  [SMALL_STATE(19351)] = 804706,
  [SMALL_STATE(19352)] = 804720,
  [SMALL_STATE(19353)] = 804734,
  [SMALL_STATE(19354)] = 804748,
  [SMALL_STATE(19355)] = 804762,
  [SMALL_STATE(19356)] = 804776,
  [SMALL_STATE(19357)] = 804790,
  [SMALL_STATE(19358)] = 804804,
  [SMALL_STATE(19359)] = 804818,
  [SMALL_STATE(19360)] = 804832,
  [SMALL_STATE(19361)] = 804846,
  [SMALL_STATE(19362)] = 804860,
  [SMALL_STATE(19363)] = 804874,
  [SMALL_STATE(19364)] = 804888,
  [SMALL_STATE(19365)] = 804902,
  [SMALL_STATE(19366)] = 804916,
  [SMALL_STATE(19367)] = 804930,
  [SMALL_STATE(19368)] = 804944,
  [SMALL_STATE(19369)] = 804958,
  [SMALL_STATE(19370)] = 804972,
  [SMALL_STATE(19371)] = 804986,
  [SMALL_STATE(19372)] = 805000,
  [SMALL_STATE(19373)] = 805014,
  [SMALL_STATE(19374)] = 805028,
  [SMALL_STATE(19375)] = 805042,
  [SMALL_STATE(19376)] = 805056,
  [SMALL_STATE(19377)] = 805070,
  [SMALL_STATE(19378)] = 805084,
  [SMALL_STATE(19379)] = 805098,
  [SMALL_STATE(19380)] = 805112,
  [SMALL_STATE(19381)] = 805126,
  [SMALL_STATE(19382)] = 805140,
  [SMALL_STATE(19383)] = 805154,
  [SMALL_STATE(19384)] = 805168,
  [SMALL_STATE(19385)] = 805182,
  [SMALL_STATE(19386)] = 805196,
  [SMALL_STATE(19387)] = 805210,
  [SMALL_STATE(19388)] = 805224,
  [SMALL_STATE(19389)] = 805238,
  [SMALL_STATE(19390)] = 805252,
  [SMALL_STATE(19391)] = 805266,
  [SMALL_STATE(19392)] = 805280,
  [SMALL_STATE(19393)] = 805294,
  [SMALL_STATE(19394)] = 805308,
  [SMALL_STATE(19395)] = 805322,
  [SMALL_STATE(19396)] = 805336,
  [SMALL_STATE(19397)] = 805350,
  [SMALL_STATE(19398)] = 805364,
  [SMALL_STATE(19399)] = 805378,
  [SMALL_STATE(19400)] = 805392,
  [SMALL_STATE(19401)] = 805406,
  [SMALL_STATE(19402)] = 805420,
  [SMALL_STATE(19403)] = 805434,
  [SMALL_STATE(19404)] = 805448,
  [SMALL_STATE(19405)] = 805462,
  [SMALL_STATE(19406)] = 805476,
  [SMALL_STATE(19407)] = 805490,
  [SMALL_STATE(19408)] = 805504,
  [SMALL_STATE(19409)] = 805518,
  [SMALL_STATE(19410)] = 805532,
  [SMALL_STATE(19411)] = 805546,
  [SMALL_STATE(19412)] = 805560,
  [SMALL_STATE(19413)] = 805574,
  [SMALL_STATE(19414)] = 805588,
  [SMALL_STATE(19415)] = 805602,
  [SMALL_STATE(19416)] = 805616,
  [SMALL_STATE(19417)] = 805630,
  [SMALL_STATE(19418)] = 805644,
  [SMALL_STATE(19419)] = 805658,
  [SMALL_STATE(19420)] = 805672,
  [SMALL_STATE(19421)] = 805686,
  [SMALL_STATE(19422)] = 805700,
  [SMALL_STATE(19423)] = 805714,
  [SMALL_STATE(19424)] = 805728,
  [SMALL_STATE(19425)] = 805742,
  [SMALL_STATE(19426)] = 805756,
  [SMALL_STATE(19427)] = 805770,
  [SMALL_STATE(19428)] = 805784,
  [SMALL_STATE(19429)] = 805798,
  [SMALL_STATE(19430)] = 805812,
  [SMALL_STATE(19431)] = 805826,
  [SMALL_STATE(19432)] = 805840,
  [SMALL_STATE(19433)] = 805854,
  [SMALL_STATE(19434)] = 805868,
  [SMALL_STATE(19435)] = 805882,
  [SMALL_STATE(19436)] = 805896,
  [SMALL_STATE(19437)] = 805910,
  [SMALL_STATE(19438)] = 805924,
  [SMALL_STATE(19439)] = 805938,
  [SMALL_STATE(19440)] = 805952,
  [SMALL_STATE(19441)] = 805966,
  [SMALL_STATE(19442)] = 805980,
  [SMALL_STATE(19443)] = 805994,
  [SMALL_STATE(19444)] = 806008,
  [SMALL_STATE(19445)] = 806022,
  [SMALL_STATE(19446)] = 806036,
  [SMALL_STATE(19447)] = 806050,
  [SMALL_STATE(19448)] = 806064,
  [SMALL_STATE(19449)] = 806078,
  [SMALL_STATE(19450)] = 806092,
  [SMALL_STATE(19451)] = 806106,
  [SMALL_STATE(19452)] = 806120,
  [SMALL_STATE(19453)] = 806134,
  [SMALL_STATE(19454)] = 806148,
  [SMALL_STATE(19455)] = 806162,
  [SMALL_STATE(19456)] = 806176,
  [SMALL_STATE(19457)] = 806190,
  [SMALL_STATE(19458)] = 806204,
  [SMALL_STATE(19459)] = 806218,
  [SMALL_STATE(19460)] = 806232,
  [SMALL_STATE(19461)] = 806246,
  [SMALL_STATE(19462)] = 806260,
  [SMALL_STATE(19463)] = 806274,
  [SMALL_STATE(19464)] = 806288,
  [SMALL_STATE(19465)] = 806302,
  [SMALL_STATE(19466)] = 806316,
  [SMALL_STATE(19467)] = 806330,
  [SMALL_STATE(19468)] = 806344,
  [SMALL_STATE(19469)] = 806358,
  [SMALL_STATE(19470)] = 806372,
  [SMALL_STATE(19471)] = 806386,
  [SMALL_STATE(19472)] = 806400,
  [SMALL_STATE(19473)] = 806414,
  [SMALL_STATE(19474)] = 806428,
  [SMALL_STATE(19475)] = 806442,
  [SMALL_STATE(19476)] = 806456,
  [SMALL_STATE(19477)] = 806470,
  [SMALL_STATE(19478)] = 806484,
  [SMALL_STATE(19479)] = 806498,
  [SMALL_STATE(19480)] = 806512,
  [SMALL_STATE(19481)] = 806526,
  [SMALL_STATE(19482)] = 806540,
  [SMALL_STATE(19483)] = 806554,
  [SMALL_STATE(19484)] = 806568,
  [SMALL_STATE(19485)] = 806582,
  [SMALL_STATE(19486)] = 806596,
  [SMALL_STATE(19487)] = 806610,
  [SMALL_STATE(19488)] = 806624,
  [SMALL_STATE(19489)] = 806638,
  [SMALL_STATE(19490)] = 806652,
  [SMALL_STATE(19491)] = 806666,
  [SMALL_STATE(19492)] = 806680,
  [SMALL_STATE(19493)] = 806694,
  [SMALL_STATE(19494)] = 806708,
  [SMALL_STATE(19495)] = 806722,
  [SMALL_STATE(19496)] = 806736,
  [SMALL_STATE(19497)] = 806750,
  [SMALL_STATE(19498)] = 806764,
  [SMALL_STATE(19499)] = 806778,
  [SMALL_STATE(19500)] = 806792,
  [SMALL_STATE(19501)] = 806806,
  [SMALL_STATE(19502)] = 806820,
  [SMALL_STATE(19503)] = 806834,
  [SMALL_STATE(19504)] = 806848,
  [SMALL_STATE(19505)] = 806862,
  [SMALL_STATE(19506)] = 806876,
  [SMALL_STATE(19507)] = 806890,
  [SMALL_STATE(19508)] = 806904,
  [SMALL_STATE(19509)] = 806918,
  [SMALL_STATE(19510)] = 806932,
  [SMALL_STATE(19511)] = 806946,
  [SMALL_STATE(19512)] = 806960,
  [SMALL_STATE(19513)] = 806974,
  [SMALL_STATE(19514)] = 806988,
  [SMALL_STATE(19515)] = 807002,
  [SMALL_STATE(19516)] = 807016,
  [SMALL_STATE(19517)] = 807030,
  [SMALL_STATE(19518)] = 807044,
  [SMALL_STATE(19519)] = 807058,
  [SMALL_STATE(19520)] = 807072,
  [SMALL_STATE(19521)] = 807086,
  [SMALL_STATE(19522)] = 807100,
  [SMALL_STATE(19523)] = 807114,
  [SMALL_STATE(19524)] = 807128,
  [SMALL_STATE(19525)] = 807142,
  [SMALL_STATE(19526)] = 807156,
  [SMALL_STATE(19527)] = 807170,
  [SMALL_STATE(19528)] = 807184,
  [SMALL_STATE(19529)] = 807198,
  [SMALL_STATE(19530)] = 807212,
  [SMALL_STATE(19531)] = 807226,
  [SMALL_STATE(19532)] = 807240,
  [SMALL_STATE(19533)] = 807254,
  [SMALL_STATE(19534)] = 807268,
  [SMALL_STATE(19535)] = 807282,
  [SMALL_STATE(19536)] = 807296,
  [SMALL_STATE(19537)] = 807310,
  [SMALL_STATE(19538)] = 807324,
  [SMALL_STATE(19539)] = 807338,
  [SMALL_STATE(19540)] = 807352,
  [SMALL_STATE(19541)] = 807366,
  [SMALL_STATE(19542)] = 807380,
  [SMALL_STATE(19543)] = 807394,
  [SMALL_STATE(19544)] = 807408,
  [SMALL_STATE(19545)] = 807422,
  [SMALL_STATE(19546)] = 807436,
  [SMALL_STATE(19547)] = 807450,
  [SMALL_STATE(19548)] = 807464,
  [SMALL_STATE(19549)] = 807478,
  [SMALL_STATE(19550)] = 807492,
  [SMALL_STATE(19551)] = 807506,
  [SMALL_STATE(19552)] = 807520,
  [SMALL_STATE(19553)] = 807534,
  [SMALL_STATE(19554)] = 807548,
  [SMALL_STATE(19555)] = 807562,
  [SMALL_STATE(19556)] = 807576,
  [SMALL_STATE(19557)] = 807590,
  [SMALL_STATE(19558)] = 807604,
  [SMALL_STATE(19559)] = 807618,
  [SMALL_STATE(19560)] = 807632,
  [SMALL_STATE(19561)] = 807646,
  [SMALL_STATE(19562)] = 807660,
  [SMALL_STATE(19563)] = 807674,
  [SMALL_STATE(19564)] = 807688,
  [SMALL_STATE(19565)] = 807702,
  [SMALL_STATE(19566)] = 807716,
  [SMALL_STATE(19567)] = 807730,
  [SMALL_STATE(19568)] = 807744,
  [SMALL_STATE(19569)] = 807758,
  [SMALL_STATE(19570)] = 807772,
  [SMALL_STATE(19571)] = 807786,
  [SMALL_STATE(19572)] = 807800,
  [SMALL_STATE(19573)] = 807814,
  [SMALL_STATE(19574)] = 807828,
  [SMALL_STATE(19575)] = 807842,
  [SMALL_STATE(19576)] = 807856,
  [SMALL_STATE(19577)] = 807870,
  [SMALL_STATE(19578)] = 807884,
  [SMALL_STATE(19579)] = 807898,
  [SMALL_STATE(19580)] = 807912,
  [SMALL_STATE(19581)] = 807926,
  [SMALL_STATE(19582)] = 807940,
  [SMALL_STATE(19583)] = 807954,
  [SMALL_STATE(19584)] = 807968,
  [SMALL_STATE(19585)] = 807982,
  [SMALL_STATE(19586)] = 807996,
  [SMALL_STATE(19587)] = 808010,
  [SMALL_STATE(19588)] = 808024,
  [SMALL_STATE(19589)] = 808038,
  [SMALL_STATE(19590)] = 808052,
  [SMALL_STATE(19591)] = 808066,
  [SMALL_STATE(19592)] = 808080,
  [SMALL_STATE(19593)] = 808094,
  [SMALL_STATE(19594)] = 808108,
  [SMALL_STATE(19595)] = 808122,
  [SMALL_STATE(19596)] = 808136,
  [SMALL_STATE(19597)] = 808150,
  [SMALL_STATE(19598)] = 808164,
  [SMALL_STATE(19599)] = 808178,
  [SMALL_STATE(19600)] = 808192,
  [SMALL_STATE(19601)] = 808206,
  [SMALL_STATE(19602)] = 808220,
  [SMALL_STATE(19603)] = 808234,
  [SMALL_STATE(19604)] = 808248,
  [SMALL_STATE(19605)] = 808262,
  [SMALL_STATE(19606)] = 808276,
  [SMALL_STATE(19607)] = 808290,
  [SMALL_STATE(19608)] = 808304,
  [SMALL_STATE(19609)] = 808318,
  [SMALL_STATE(19610)] = 808332,
  [SMALL_STATE(19611)] = 808346,
  [SMALL_STATE(19612)] = 808360,
  [SMALL_STATE(19613)] = 808374,
  [SMALL_STATE(19614)] = 808388,
  [SMALL_STATE(19615)] = 808402,
  [SMALL_STATE(19616)] = 808416,
  [SMALL_STATE(19617)] = 808430,
  [SMALL_STATE(19618)] = 808444,
  [SMALL_STATE(19619)] = 808458,
  [SMALL_STATE(19620)] = 808472,
  [SMALL_STATE(19621)] = 808486,
  [SMALL_STATE(19622)] = 808500,
  [SMALL_STATE(19623)] = 808514,
  [SMALL_STATE(19624)] = 808528,
  [SMALL_STATE(19625)] = 808542,
  [SMALL_STATE(19626)] = 808556,
  [SMALL_STATE(19627)] = 808570,
  [SMALL_STATE(19628)] = 808584,
  [SMALL_STATE(19629)] = 808598,
  [SMALL_STATE(19630)] = 808612,
  [SMALL_STATE(19631)] = 808626,
  [SMALL_STATE(19632)] = 808640,
  [SMALL_STATE(19633)] = 808654,
  [SMALL_STATE(19634)] = 808668,
  [SMALL_STATE(19635)] = 808682,
  [SMALL_STATE(19636)] = 808696,
  [SMALL_STATE(19637)] = 808710,
  [SMALL_STATE(19638)] = 808724,
  [SMALL_STATE(19639)] = 808738,
  [SMALL_STATE(19640)] = 808752,
  [SMALL_STATE(19641)] = 808766,
  [SMALL_STATE(19642)] = 808780,
  [SMALL_STATE(19643)] = 808794,
  [SMALL_STATE(19644)] = 808808,
  [SMALL_STATE(19645)] = 808822,
  [SMALL_STATE(19646)] = 808836,
  [SMALL_STATE(19647)] = 808850,
  [SMALL_STATE(19648)] = 808864,
  [SMALL_STATE(19649)] = 808878,
  [SMALL_STATE(19650)] = 808892,
  [SMALL_STATE(19651)] = 808906,
  [SMALL_STATE(19652)] = 808920,
  [SMALL_STATE(19653)] = 808934,
  [SMALL_STATE(19654)] = 808948,
  [SMALL_STATE(19655)] = 808962,
  [SMALL_STATE(19656)] = 808976,
  [SMALL_STATE(19657)] = 808990,
  [SMALL_STATE(19658)] = 809004,
  [SMALL_STATE(19659)] = 809018,
  [SMALL_STATE(19660)] = 809032,
  [SMALL_STATE(19661)] = 809046,
  [SMALL_STATE(19662)] = 809060,
  [SMALL_STATE(19663)] = 809074,
  [SMALL_STATE(19664)] = 809088,
  [SMALL_STATE(19665)] = 809102,
  [SMALL_STATE(19666)] = 809116,
  [SMALL_STATE(19667)] = 809130,
  [SMALL_STATE(19668)] = 809144,
  [SMALL_STATE(19669)] = 809158,
  [SMALL_STATE(19670)] = 809172,
  [SMALL_STATE(19671)] = 809186,
  [SMALL_STATE(19672)] = 809200,
  [SMALL_STATE(19673)] = 809214,
  [SMALL_STATE(19674)] = 809228,
  [SMALL_STATE(19675)] = 809242,
  [SMALL_STATE(19676)] = 809256,
  [SMALL_STATE(19677)] = 809270,
  [SMALL_STATE(19678)] = 809284,
  [SMALL_STATE(19679)] = 809298,
  [SMALL_STATE(19680)] = 809312,
  [SMALL_STATE(19681)] = 809326,
  [SMALL_STATE(19682)] = 809340,
  [SMALL_STATE(19683)] = 809354,
  [SMALL_STATE(19684)] = 809368,
  [SMALL_STATE(19685)] = 809382,
  [SMALL_STATE(19686)] = 809396,
  [SMALL_STATE(19687)] = 809410,
  [SMALL_STATE(19688)] = 809424,
  [SMALL_STATE(19689)] = 809438,
  [SMALL_STATE(19690)] = 809452,
  [SMALL_STATE(19691)] = 809466,
  [SMALL_STATE(19692)] = 809480,
  [SMALL_STATE(19693)] = 809494,
  [SMALL_STATE(19694)] = 809508,
  [SMALL_STATE(19695)] = 809522,
  [SMALL_STATE(19696)] = 809536,
  [SMALL_STATE(19697)] = 809550,
  [SMALL_STATE(19698)] = 809564,
  [SMALL_STATE(19699)] = 809578,
  [SMALL_STATE(19700)] = 809592,
  [SMALL_STATE(19701)] = 809606,
  [SMALL_STATE(19702)] = 809620,
  [SMALL_STATE(19703)] = 809634,
  [SMALL_STATE(19704)] = 809648,
  [SMALL_STATE(19705)] = 809662,
  [SMALL_STATE(19706)] = 809676,
  [SMALL_STATE(19707)] = 809690,
  [SMALL_STATE(19708)] = 809704,
  [SMALL_STATE(19709)] = 809718,
  [SMALL_STATE(19710)] = 809732,
  [SMALL_STATE(19711)] = 809746,
  [SMALL_STATE(19712)] = 809760,
  [SMALL_STATE(19713)] = 809774,
  [SMALL_STATE(19714)] = 809788,
  [SMALL_STATE(19715)] = 809802,
  [SMALL_STATE(19716)] = 809816,
  [SMALL_STATE(19717)] = 809830,
  [SMALL_STATE(19718)] = 809844,
  [SMALL_STATE(19719)] = 809858,
  [SMALL_STATE(19720)] = 809872,
  [SMALL_STATE(19721)] = 809886,
  [SMALL_STATE(19722)] = 809900,
  [SMALL_STATE(19723)] = 809914,
  [SMALL_STATE(19724)] = 809928,
  [SMALL_STATE(19725)] = 809942,
  [SMALL_STATE(19726)] = 809956,
  [SMALL_STATE(19727)] = 809970,
  [SMALL_STATE(19728)] = 809984,
  [SMALL_STATE(19729)] = 809998,
  [SMALL_STATE(19730)] = 810012,
  [SMALL_STATE(19731)] = 810026,
  [SMALL_STATE(19732)] = 810040,
  [SMALL_STATE(19733)] = 810054,
  [SMALL_STATE(19734)] = 810068,
  [SMALL_STATE(19735)] = 810082,
  [SMALL_STATE(19736)] = 810096,
  [SMALL_STATE(19737)] = 810110,
  [SMALL_STATE(19738)] = 810124,
  [SMALL_STATE(19739)] = 810138,
  [SMALL_STATE(19740)] = 810152,
  [SMALL_STATE(19741)] = 810166,
  [SMALL_STATE(19742)] = 810180,
  [SMALL_STATE(19743)] = 810194,
  [SMALL_STATE(19744)] = 810208,
  [SMALL_STATE(19745)] = 810222,
  [SMALL_STATE(19746)] = 810236,
  [SMALL_STATE(19747)] = 810250,
  [SMALL_STATE(19748)] = 810264,
  [SMALL_STATE(19749)] = 810278,
  [SMALL_STATE(19750)] = 810292,
  [SMALL_STATE(19751)] = 810306,
  [SMALL_STATE(19752)] = 810320,
  [SMALL_STATE(19753)] = 810334,
  [SMALL_STATE(19754)] = 810348,
  [SMALL_STATE(19755)] = 810362,
  [SMALL_STATE(19756)] = 810376,
  [SMALL_STATE(19757)] = 810390,
  [SMALL_STATE(19758)] = 810404,
  [SMALL_STATE(19759)] = 810418,
  [SMALL_STATE(19760)] = 810432,
  [SMALL_STATE(19761)] = 810446,
  [SMALL_STATE(19762)] = 810460,
  [SMALL_STATE(19763)] = 810474,
  [SMALL_STATE(19764)] = 810488,
  [SMALL_STATE(19765)] = 810502,
  [SMALL_STATE(19766)] = 810516,
  [SMALL_STATE(19767)] = 810530,
  [SMALL_STATE(19768)] = 810544,
  [SMALL_STATE(19769)] = 810558,
  [SMALL_STATE(19770)] = 810572,
  [SMALL_STATE(19771)] = 810586,
  [SMALL_STATE(19772)] = 810600,
  [SMALL_STATE(19773)] = 810614,
  [SMALL_STATE(19774)] = 810628,
  [SMALL_STATE(19775)] = 810642,
  [SMALL_STATE(19776)] = 810656,
  [SMALL_STATE(19777)] = 810670,
  [SMALL_STATE(19778)] = 810684,
  [SMALL_STATE(19779)] = 810698,
  [SMALL_STATE(19780)] = 810712,
  [SMALL_STATE(19781)] = 810726,
  [SMALL_STATE(19782)] = 810740,
  [SMALL_STATE(19783)] = 810754,
  [SMALL_STATE(19784)] = 810768,
  [SMALL_STATE(19785)] = 810782,
  [SMALL_STATE(19786)] = 810796,
  [SMALL_STATE(19787)] = 810810,
  [SMALL_STATE(19788)] = 810824,
  [SMALL_STATE(19789)] = 810838,
  [SMALL_STATE(19790)] = 810852,
  [SMALL_STATE(19791)] = 810866,
  [SMALL_STATE(19792)] = 810880,
  [SMALL_STATE(19793)] = 810894,
  [SMALL_STATE(19794)] = 810908,
  [SMALL_STATE(19795)] = 810922,
  [SMALL_STATE(19796)] = 810936,
  [SMALL_STATE(19797)] = 810950,
  [SMALL_STATE(19798)] = 810964,
  [SMALL_STATE(19799)] = 810978,
  [SMALL_STATE(19800)] = 810992,
  [SMALL_STATE(19801)] = 811006,
  [SMALL_STATE(19802)] = 811020,
  [SMALL_STATE(19803)] = 811034,
  [SMALL_STATE(19804)] = 811048,
  [SMALL_STATE(19805)] = 811062,
  [SMALL_STATE(19806)] = 811076,
  [SMALL_STATE(19807)] = 811090,
  [SMALL_STATE(19808)] = 811104,
  [SMALL_STATE(19809)] = 811118,
  [SMALL_STATE(19810)] = 811132,
  [SMALL_STATE(19811)] = 811146,
  [SMALL_STATE(19812)] = 811160,
  [SMALL_STATE(19813)] = 811174,
  [SMALL_STATE(19814)] = 811188,
  [SMALL_STATE(19815)] = 811202,
  [SMALL_STATE(19816)] = 811216,
  [SMALL_STATE(19817)] = 811230,
  [SMALL_STATE(19818)] = 811244,
  [SMALL_STATE(19819)] = 811258,
  [SMALL_STATE(19820)] = 811272,
  [SMALL_STATE(19821)] = 811286,
  [SMALL_STATE(19822)] = 811300,
  [SMALL_STATE(19823)] = 811314,
  [SMALL_STATE(19824)] = 811328,
  [SMALL_STATE(19825)] = 811342,
  [SMALL_STATE(19826)] = 811356,
  [SMALL_STATE(19827)] = 811370,
  [SMALL_STATE(19828)] = 811384,
  [SMALL_STATE(19829)] = 811398,
  [SMALL_STATE(19830)] = 811412,
  [SMALL_STATE(19831)] = 811426,
  [SMALL_STATE(19832)] = 811440,
  [SMALL_STATE(19833)] = 811454,
  [SMALL_STATE(19834)] = 811468,
  [SMALL_STATE(19835)] = 811482,
  [SMALL_STATE(19836)] = 811496,
  [SMALL_STATE(19837)] = 811510,
  [SMALL_STATE(19838)] = 811524,
  [SMALL_STATE(19839)] = 811538,
  [SMALL_STATE(19840)] = 811552,
  [SMALL_STATE(19841)] = 811566,
  [SMALL_STATE(19842)] = 811580,
  [SMALL_STATE(19843)] = 811594,
  [SMALL_STATE(19844)] = 811608,
  [SMALL_STATE(19845)] = 811622,
  [SMALL_STATE(19846)] = 811636,
  [SMALL_STATE(19847)] = 811650,
  [SMALL_STATE(19848)] = 811664,
  [SMALL_STATE(19849)] = 811678,
  [SMALL_STATE(19850)] = 811692,
  [SMALL_STATE(19851)] = 811706,
  [SMALL_STATE(19852)] = 811720,
  [SMALL_STATE(19853)] = 811734,
  [SMALL_STATE(19854)] = 811748,
  [SMALL_STATE(19855)] = 811762,
  [SMALL_STATE(19856)] = 811776,
  [SMALL_STATE(19857)] = 811790,
  [SMALL_STATE(19858)] = 811804,
  [SMALL_STATE(19859)] = 811818,
  [SMALL_STATE(19860)] = 811832,
  [SMALL_STATE(19861)] = 811846,
  [SMALL_STATE(19862)] = 811860,
  [SMALL_STATE(19863)] = 811874,
  [SMALL_STATE(19864)] = 811888,
  [SMALL_STATE(19865)] = 811902,
  [SMALL_STATE(19866)] = 811916,
  [SMALL_STATE(19867)] = 811930,
  [SMALL_STATE(19868)] = 811944,
  [SMALL_STATE(19869)] = 811958,
  [SMALL_STATE(19870)] = 811972,
  [SMALL_STATE(19871)] = 811986,
  [SMALL_STATE(19872)] = 812000,
  [SMALL_STATE(19873)] = 812014,
  [SMALL_STATE(19874)] = 812028,
  [SMALL_STATE(19875)] = 812042,
  [SMALL_STATE(19876)] = 812056,
  [SMALL_STATE(19877)] = 812070,
  [SMALL_STATE(19878)] = 812084,
  [SMALL_STATE(19879)] = 812098,
  [SMALL_STATE(19880)] = 812112,
  [SMALL_STATE(19881)] = 812126,
  [SMALL_STATE(19882)] = 812140,
  [SMALL_STATE(19883)] = 812154,
  [SMALL_STATE(19884)] = 812168,
  [SMALL_STATE(19885)] = 812182,
  [SMALL_STATE(19886)] = 812196,
  [SMALL_STATE(19887)] = 812210,
  [SMALL_STATE(19888)] = 812224,
  [SMALL_STATE(19889)] = 812238,
  [SMALL_STATE(19890)] = 812252,
  [SMALL_STATE(19891)] = 812266,
  [SMALL_STATE(19892)] = 812280,
  [SMALL_STATE(19893)] = 812294,
  [SMALL_STATE(19894)] = 812308,
  [SMALL_STATE(19895)] = 812322,
  [SMALL_STATE(19896)] = 812336,
  [SMALL_STATE(19897)] = 812350,
  [SMALL_STATE(19898)] = 812364,
  [SMALL_STATE(19899)] = 812378,
  [SMALL_STATE(19900)] = 812392,
  [SMALL_STATE(19901)] = 812406,
  [SMALL_STATE(19902)] = 812420,
  [SMALL_STATE(19903)] = 812434,
  [SMALL_STATE(19904)] = 812448,
  [SMALL_STATE(19905)] = 812462,
  [SMALL_STATE(19906)] = 812476,
  [SMALL_STATE(19907)] = 812490,
  [SMALL_STATE(19908)] = 812504,
  [SMALL_STATE(19909)] = 812518,
  [SMALL_STATE(19910)] = 812532,
  [SMALL_STATE(19911)] = 812546,
  [SMALL_STATE(19912)] = 812560,
  [SMALL_STATE(19913)] = 812574,
  [SMALL_STATE(19914)] = 812588,
  [SMALL_STATE(19915)] = 812602,
  [SMALL_STATE(19916)] = 812616,
  [SMALL_STATE(19917)] = 812630,
  [SMALL_STATE(19918)] = 812644,
  [SMALL_STATE(19919)] = 812658,
  [SMALL_STATE(19920)] = 812672,
  [SMALL_STATE(19921)] = 812686,
  [SMALL_STATE(19922)] = 812700,
  [SMALL_STATE(19923)] = 812714,
  [SMALL_STATE(19924)] = 812728,
  [SMALL_STATE(19925)] = 812742,
  [SMALL_STATE(19926)] = 812756,
  [SMALL_STATE(19927)] = 812770,
  [SMALL_STATE(19928)] = 812784,
  [SMALL_STATE(19929)] = 812798,
  [SMALL_STATE(19930)] = 812812,
  [SMALL_STATE(19931)] = 812826,
  [SMALL_STATE(19932)] = 812840,
  [SMALL_STATE(19933)] = 812854,
  [SMALL_STATE(19934)] = 812868,
  [SMALL_STATE(19935)] = 812882,
  [SMALL_STATE(19936)] = 812896,
  [SMALL_STATE(19937)] = 812910,
  [SMALL_STATE(19938)] = 812924,
  [SMALL_STATE(19939)] = 812938,
  [SMALL_STATE(19940)] = 812952,
  [SMALL_STATE(19941)] = 812966,
  [SMALL_STATE(19942)] = 812980,
  [SMALL_STATE(19943)] = 812994,
  [SMALL_STATE(19944)] = 813008,
  [SMALL_STATE(19945)] = 813022,
  [SMALL_STATE(19946)] = 813036,
  [SMALL_STATE(19947)] = 813050,
  [SMALL_STATE(19948)] = 813064,
  [SMALL_STATE(19949)] = 813078,
  [SMALL_STATE(19950)] = 813092,
  [SMALL_STATE(19951)] = 813106,
  [SMALL_STATE(19952)] = 813120,
  [SMALL_STATE(19953)] = 813134,
  [SMALL_STATE(19954)] = 813148,
  [SMALL_STATE(19955)] = 813162,
  [SMALL_STATE(19956)] = 813176,
  [SMALL_STATE(19957)] = 813190,
  [SMALL_STATE(19958)] = 813204,
  [SMALL_STATE(19959)] = 813218,
  [SMALL_STATE(19960)] = 813232,
  [SMALL_STATE(19961)] = 813246,
  [SMALL_STATE(19962)] = 813260,
  [SMALL_STATE(19963)] = 813274,
  [SMALL_STATE(19964)] = 813288,
  [SMALL_STATE(19965)] = 813302,
  [SMALL_STATE(19966)] = 813316,
  [SMALL_STATE(19967)] = 813330,
  [SMALL_STATE(19968)] = 813344,
  [SMALL_STATE(19969)] = 813358,
  [SMALL_STATE(19970)] = 813372,
  [SMALL_STATE(19971)] = 813386,
  [SMALL_STATE(19972)] = 813400,
  [SMALL_STATE(19973)] = 813414,
  [SMALL_STATE(19974)] = 813428,
  [SMALL_STATE(19975)] = 813442,
  [SMALL_STATE(19976)] = 813456,
  [SMALL_STATE(19977)] = 813470,
  [SMALL_STATE(19978)] = 813484,
  [SMALL_STATE(19979)] = 813498,
  [SMALL_STATE(19980)] = 813512,
  [SMALL_STATE(19981)] = 813526,
  [SMALL_STATE(19982)] = 813540,
  [SMALL_STATE(19983)] = 813554,
  [SMALL_STATE(19984)] = 813568,
  [SMALL_STATE(19985)] = 813582,
  [SMALL_STATE(19986)] = 813596,
  [SMALL_STATE(19987)] = 813610,
  [SMALL_STATE(19988)] = 813624,
  [SMALL_STATE(19989)] = 813638,
  [SMALL_STATE(19990)] = 813652,
  [SMALL_STATE(19991)] = 813666,
  [SMALL_STATE(19992)] = 813680,
  [SMALL_STATE(19993)] = 813694,
  [SMALL_STATE(19994)] = 813708,
  [SMALL_STATE(19995)] = 813722,
  [SMALL_STATE(19996)] = 813736,
  [SMALL_STATE(19997)] = 813750,
  [SMALL_STATE(19998)] = 813764,
  [SMALL_STATE(19999)] = 813778,
  [SMALL_STATE(20000)] = 813792,
  [SMALL_STATE(20001)] = 813806,
  [SMALL_STATE(20002)] = 813820,
  [SMALL_STATE(20003)] = 813834,
  [SMALL_STATE(20004)] = 813848,
  [SMALL_STATE(20005)] = 813862,
  [SMALL_STATE(20006)] = 813876,
  [SMALL_STATE(20007)] = 813890,
  [SMALL_STATE(20008)] = 813904,
  [SMALL_STATE(20009)] = 813918,
  [SMALL_STATE(20010)] = 813932,
  [SMALL_STATE(20011)] = 813946,
  [SMALL_STATE(20012)] = 813960,
  [SMALL_STATE(20013)] = 813974,
  [SMALL_STATE(20014)] = 813988,
  [SMALL_STATE(20015)] = 814002,
  [SMALL_STATE(20016)] = 814016,
  [SMALL_STATE(20017)] = 814030,
  [SMALL_STATE(20018)] = 814044,
  [SMALL_STATE(20019)] = 814058,
  [SMALL_STATE(20020)] = 814072,
  [SMALL_STATE(20021)] = 814086,
  [SMALL_STATE(20022)] = 814100,
  [SMALL_STATE(20023)] = 814114,
  [SMALL_STATE(20024)] = 814128,
  [SMALL_STATE(20025)] = 814142,
  [SMALL_STATE(20026)] = 814156,
  [SMALL_STATE(20027)] = 814170,
  [SMALL_STATE(20028)] = 814184,
  [SMALL_STATE(20029)] = 814198,
  [SMALL_STATE(20030)] = 814212,
  [SMALL_STATE(20031)] = 814226,
  [SMALL_STATE(20032)] = 814240,
  [SMALL_STATE(20033)] = 814254,
  [SMALL_STATE(20034)] = 814268,
  [SMALL_STATE(20035)] = 814282,
  [SMALL_STATE(20036)] = 814296,
  [SMALL_STATE(20037)] = 814310,
  [SMALL_STATE(20038)] = 814324,
  [SMALL_STATE(20039)] = 814338,
  [SMALL_STATE(20040)] = 814352,
  [SMALL_STATE(20041)] = 814366,
  [SMALL_STATE(20042)] = 814380,
  [SMALL_STATE(20043)] = 814394,
  [SMALL_STATE(20044)] = 814408,
  [SMALL_STATE(20045)] = 814422,
  [SMALL_STATE(20046)] = 814436,
  [SMALL_STATE(20047)] = 814450,
  [SMALL_STATE(20048)] = 814464,
  [SMALL_STATE(20049)] = 814478,
  [SMALL_STATE(20050)] = 814492,
  [SMALL_STATE(20051)] = 814506,
  [SMALL_STATE(20052)] = 814520,
  [SMALL_STATE(20053)] = 814534,
  [SMALL_STATE(20054)] = 814548,
  [SMALL_STATE(20055)] = 814562,
  [SMALL_STATE(20056)] = 814576,
  [SMALL_STATE(20057)] = 814590,
  [SMALL_STATE(20058)] = 814604,
  [SMALL_STATE(20059)] = 814618,
  [SMALL_STATE(20060)] = 814632,
  [SMALL_STATE(20061)] = 814646,
  [SMALL_STATE(20062)] = 814660,
  [SMALL_STATE(20063)] = 814674,
  [SMALL_STATE(20064)] = 814688,
  [SMALL_STATE(20065)] = 814702,
  [SMALL_STATE(20066)] = 814716,
  [SMALL_STATE(20067)] = 814730,
  [SMALL_STATE(20068)] = 814744,
  [SMALL_STATE(20069)] = 814758,
  [SMALL_STATE(20070)] = 814772,
  [SMALL_STATE(20071)] = 814786,
  [SMALL_STATE(20072)] = 814800,
  [SMALL_STATE(20073)] = 814814,
  [SMALL_STATE(20074)] = 814828,
  [SMALL_STATE(20075)] = 814842,
  [SMALL_STATE(20076)] = 814856,
  [SMALL_STATE(20077)] = 814870,
  [SMALL_STATE(20078)] = 814884,
  [SMALL_STATE(20079)] = 814898,
  [SMALL_STATE(20080)] = 814912,
  [SMALL_STATE(20081)] = 814926,
  [SMALL_STATE(20082)] = 814940,
  [SMALL_STATE(20083)] = 814954,
  [SMALL_STATE(20084)] = 814968,
  [SMALL_STATE(20085)] = 814982,
  [SMALL_STATE(20086)] = 814996,
  [SMALL_STATE(20087)] = 815010,
  [SMALL_STATE(20088)] = 815024,
  [SMALL_STATE(20089)] = 815038,
  [SMALL_STATE(20090)] = 815052,
  [SMALL_STATE(20091)] = 815066,
  [SMALL_STATE(20092)] = 815080,
  [SMALL_STATE(20093)] = 815094,
  [SMALL_STATE(20094)] = 815108,
  [SMALL_STATE(20095)] = 815122,
  [SMALL_STATE(20096)] = 815136,
  [SMALL_STATE(20097)] = 815150,
  [SMALL_STATE(20098)] = 815164,
  [SMALL_STATE(20099)] = 815178,
  [SMALL_STATE(20100)] = 815192,
  [SMALL_STATE(20101)] = 815206,
  [SMALL_STATE(20102)] = 815220,
  [SMALL_STATE(20103)] = 815234,
  [SMALL_STATE(20104)] = 815248,
  [SMALL_STATE(20105)] = 815262,
  [SMALL_STATE(20106)] = 815276,
  [SMALL_STATE(20107)] = 815290,
  [SMALL_STATE(20108)] = 815304,
  [SMALL_STATE(20109)] = 815318,
  [SMALL_STATE(20110)] = 815332,
  [SMALL_STATE(20111)] = 815346,
  [SMALL_STATE(20112)] = 815360,
  [SMALL_STATE(20113)] = 815374,
  [SMALL_STATE(20114)] = 815388,
  [SMALL_STATE(20115)] = 815402,
  [SMALL_STATE(20116)] = 815416,
  [SMALL_STATE(20117)] = 815430,
  [SMALL_STATE(20118)] = 815444,
  [SMALL_STATE(20119)] = 815458,
  [SMALL_STATE(20120)] = 815472,
  [SMALL_STATE(20121)] = 815486,
  [SMALL_STATE(20122)] = 815500,
  [SMALL_STATE(20123)] = 815514,
  [SMALL_STATE(20124)] = 815528,
  [SMALL_STATE(20125)] = 815542,
  [SMALL_STATE(20126)] = 815556,
  [SMALL_STATE(20127)] = 815570,
  [SMALL_STATE(20128)] = 815584,
  [SMALL_STATE(20129)] = 815598,
  [SMALL_STATE(20130)] = 815612,
  [SMALL_STATE(20131)] = 815626,
  [SMALL_STATE(20132)] = 815640,
  [SMALL_STATE(20133)] = 815654,
  [SMALL_STATE(20134)] = 815668,
  [SMALL_STATE(20135)] = 815682,
  [SMALL_STATE(20136)] = 815696,
  [SMALL_STATE(20137)] = 815710,
  [SMALL_STATE(20138)] = 815724,
  [SMALL_STATE(20139)] = 815738,
  [SMALL_STATE(20140)] = 815752,
  [SMALL_STATE(20141)] = 815766,
  [SMALL_STATE(20142)] = 815780,
  [SMALL_STATE(20143)] = 815794,
  [SMALL_STATE(20144)] = 815808,
  [SMALL_STATE(20145)] = 815822,
  [SMALL_STATE(20146)] = 815836,
  [SMALL_STATE(20147)] = 815850,
  [SMALL_STATE(20148)] = 815864,
  [SMALL_STATE(20149)] = 815878,
  [SMALL_STATE(20150)] = 815892,
  [SMALL_STATE(20151)] = 815906,
  [SMALL_STATE(20152)] = 815920,
  [SMALL_STATE(20153)] = 815934,
  [SMALL_STATE(20154)] = 815948,
  [SMALL_STATE(20155)] = 815962,
  [SMALL_STATE(20156)] = 815976,
  [SMALL_STATE(20157)] = 815990,
  [SMALL_STATE(20158)] = 816004,
  [SMALL_STATE(20159)] = 816018,
  [SMALL_STATE(20160)] = 816032,
  [SMALL_STATE(20161)] = 816046,
  [SMALL_STATE(20162)] = 816060,
  [SMALL_STATE(20163)] = 816074,
  [SMALL_STATE(20164)] = 816088,
  [SMALL_STATE(20165)] = 816102,
  [SMALL_STATE(20166)] = 816116,
  [SMALL_STATE(20167)] = 816130,
  [SMALL_STATE(20168)] = 816144,
  [SMALL_STATE(20169)] = 816158,
  [SMALL_STATE(20170)] = 816172,
  [SMALL_STATE(20171)] = 816186,
  [SMALL_STATE(20172)] = 816200,
  [SMALL_STATE(20173)] = 816214,
  [SMALL_STATE(20174)] = 816228,
  [SMALL_STATE(20175)] = 816242,
  [SMALL_STATE(20176)] = 816256,
  [SMALL_STATE(20177)] = 816270,
  [SMALL_STATE(20178)] = 816284,
  [SMALL_STATE(20179)] = 816298,
  [SMALL_STATE(20180)] = 816312,
  [SMALL_STATE(20181)] = 816326,
  [SMALL_STATE(20182)] = 816340,
  [SMALL_STATE(20183)] = 816354,
  [SMALL_STATE(20184)] = 816368,
  [SMALL_STATE(20185)] = 816382,
  [SMALL_STATE(20186)] = 816396,
  [SMALL_STATE(20187)] = 816410,
  [SMALL_STATE(20188)] = 816424,
  [SMALL_STATE(20189)] = 816438,
  [SMALL_STATE(20190)] = 816452,
  [SMALL_STATE(20191)] = 816466,
  [SMALL_STATE(20192)] = 816480,
  [SMALL_STATE(20193)] = 816494,
  [SMALL_STATE(20194)] = 816508,
  [SMALL_STATE(20195)] = 816522,
  [SMALL_STATE(20196)] = 816536,
  [SMALL_STATE(20197)] = 816550,
  [SMALL_STATE(20198)] = 816564,
  [SMALL_STATE(20199)] = 816578,
  [SMALL_STATE(20200)] = 816592,
  [SMALL_STATE(20201)] = 816606,
  [SMALL_STATE(20202)] = 816620,
  [SMALL_STATE(20203)] = 816634,
  [SMALL_STATE(20204)] = 816648,
  [SMALL_STATE(20205)] = 816662,
  [SMALL_STATE(20206)] = 816676,
  [SMALL_STATE(20207)] = 816690,
  [SMALL_STATE(20208)] = 816704,
  [SMALL_STATE(20209)] = 816718,
  [SMALL_STATE(20210)] = 816732,
  [SMALL_STATE(20211)] = 816746,
  [SMALL_STATE(20212)] = 816760,
  [SMALL_STATE(20213)] = 816774,
  [SMALL_STATE(20214)] = 816788,
  [SMALL_STATE(20215)] = 816802,
  [SMALL_STATE(20216)] = 816816,
  [SMALL_STATE(20217)] = 816830,
  [SMALL_STATE(20218)] = 816844,
  [SMALL_STATE(20219)] = 816858,
  [SMALL_STATE(20220)] = 816872,
  [SMALL_STATE(20221)] = 816886,
  [SMALL_STATE(20222)] = 816900,
  [SMALL_STATE(20223)] = 816914,
  [SMALL_STATE(20224)] = 816928,
  [SMALL_STATE(20225)] = 816942,
  [SMALL_STATE(20226)] = 816956,
  [SMALL_STATE(20227)] = 816970,
  [SMALL_STATE(20228)] = 816984,
  [SMALL_STATE(20229)] = 816998,
  [SMALL_STATE(20230)] = 817012,
  [SMALL_STATE(20231)] = 817026,
  [SMALL_STATE(20232)] = 817040,
  [SMALL_STATE(20233)] = 817054,
  [SMALL_STATE(20234)] = 817068,
  [SMALL_STATE(20235)] = 817082,
  [SMALL_STATE(20236)] = 817096,
  [SMALL_STATE(20237)] = 817110,
  [SMALL_STATE(20238)] = 817124,
  [SMALL_STATE(20239)] = 817138,
  [SMALL_STATE(20240)] = 817152,
  [SMALL_STATE(20241)] = 817166,
  [SMALL_STATE(20242)] = 817180,
  [SMALL_STATE(20243)] = 817194,
  [SMALL_STATE(20244)] = 817208,
  [SMALL_STATE(20245)] = 817222,
  [SMALL_STATE(20246)] = 817236,
  [SMALL_STATE(20247)] = 817250,
  [SMALL_STATE(20248)] = 817264,
  [SMALL_STATE(20249)] = 817278,
  [SMALL_STATE(20250)] = 817292,
  [SMALL_STATE(20251)] = 817306,
  [SMALL_STATE(20252)] = 817320,
  [SMALL_STATE(20253)] = 817334,
  [SMALL_STATE(20254)] = 817348,
  [SMALL_STATE(20255)] = 817362,
  [SMALL_STATE(20256)] = 817376,
  [SMALL_STATE(20257)] = 817390,
  [SMALL_STATE(20258)] = 817404,
  [SMALL_STATE(20259)] = 817418,
  [SMALL_STATE(20260)] = 817432,
  [SMALL_STATE(20261)] = 817446,
  [SMALL_STATE(20262)] = 817460,
  [SMALL_STATE(20263)] = 817474,
  [SMALL_STATE(20264)] = 817488,
  [SMALL_STATE(20265)] = 817502,
  [SMALL_STATE(20266)] = 817516,
  [SMALL_STATE(20267)] = 817530,
  [SMALL_STATE(20268)] = 817544,
  [SMALL_STATE(20269)] = 817558,
  [SMALL_STATE(20270)] = 817572,
  [SMALL_STATE(20271)] = 817586,
  [SMALL_STATE(20272)] = 817600,
  [SMALL_STATE(20273)] = 817614,
  [SMALL_STATE(20274)] = 817628,
  [SMALL_STATE(20275)] = 817642,
  [SMALL_STATE(20276)] = 817656,
  [SMALL_STATE(20277)] = 817670,
  [SMALL_STATE(20278)] = 817684,
  [SMALL_STATE(20279)] = 817698,
  [SMALL_STATE(20280)] = 817712,
  [SMALL_STATE(20281)] = 817726,
  [SMALL_STATE(20282)] = 817740,
  [SMALL_STATE(20283)] = 817754,
  [SMALL_STATE(20284)] = 817768,
  [SMALL_STATE(20285)] = 817782,
  [SMALL_STATE(20286)] = 817796,
  [SMALL_STATE(20287)] = 817810,
  [SMALL_STATE(20288)] = 817824,
  [SMALL_STATE(20289)] = 817838,
  [SMALL_STATE(20290)] = 817852,
  [SMALL_STATE(20291)] = 817866,
  [SMALL_STATE(20292)] = 817880,
  [SMALL_STATE(20293)] = 817894,
  [SMALL_STATE(20294)] = 817908,
  [SMALL_STATE(20295)] = 817922,
  [SMALL_STATE(20296)] = 817936,
  [SMALL_STATE(20297)] = 817950,
  [SMALL_STATE(20298)] = 817964,
  [SMALL_STATE(20299)] = 817978,
  [SMALL_STATE(20300)] = 817992,
  [SMALL_STATE(20301)] = 818006,
  [SMALL_STATE(20302)] = 818020,
  [SMALL_STATE(20303)] = 818034,
  [SMALL_STATE(20304)] = 818048,
  [SMALL_STATE(20305)] = 818062,
  [SMALL_STATE(20306)] = 818076,
  [SMALL_STATE(20307)] = 818090,
  [SMALL_STATE(20308)] = 818104,
  [SMALL_STATE(20309)] = 818118,
  [SMALL_STATE(20310)] = 818132,
  [SMALL_STATE(20311)] = 818146,
  [SMALL_STATE(20312)] = 818160,
  [SMALL_STATE(20313)] = 818174,
  [SMALL_STATE(20314)] = 818188,
  [SMALL_STATE(20315)] = 818202,
  [SMALL_STATE(20316)] = 818216,
  [SMALL_STATE(20317)] = 818230,
  [SMALL_STATE(20318)] = 818244,
  [SMALL_STATE(20319)] = 818258,
  [SMALL_STATE(20320)] = 818272,
  [SMALL_STATE(20321)] = 818286,
  [SMALL_STATE(20322)] = 818300,
  [SMALL_STATE(20323)] = 818314,
  [SMALL_STATE(20324)] = 818328,
  [SMALL_STATE(20325)] = 818342,
  [SMALL_STATE(20326)] = 818356,
  [SMALL_STATE(20327)] = 818370,
  [SMALL_STATE(20328)] = 818384,
  [SMALL_STATE(20329)] = 818398,
  [SMALL_STATE(20330)] = 818412,
  [SMALL_STATE(20331)] = 818426,
  [SMALL_STATE(20332)] = 818440,
  [SMALL_STATE(20333)] = 818454,
  [SMALL_STATE(20334)] = 818468,
  [SMALL_STATE(20335)] = 818482,
  [SMALL_STATE(20336)] = 818496,
  [SMALL_STATE(20337)] = 818510,
  [SMALL_STATE(20338)] = 818524,
  [SMALL_STATE(20339)] = 818538,
  [SMALL_STATE(20340)] = 818552,
  [SMALL_STATE(20341)] = 818566,
  [SMALL_STATE(20342)] = 818580,
  [SMALL_STATE(20343)] = 818594,
  [SMALL_STATE(20344)] = 818608,
  [SMALL_STATE(20345)] = 818622,
  [SMALL_STATE(20346)] = 818636,
  [SMALL_STATE(20347)] = 818650,
  [SMALL_STATE(20348)] = 818664,
  [SMALL_STATE(20349)] = 818678,
  [SMALL_STATE(20350)] = 818692,
  [SMALL_STATE(20351)] = 818706,
  [SMALL_STATE(20352)] = 818720,
  [SMALL_STATE(20353)] = 818734,
  [SMALL_STATE(20354)] = 818748,
  [SMALL_STATE(20355)] = 818762,
  [SMALL_STATE(20356)] = 818776,
  [SMALL_STATE(20357)] = 818790,
  [SMALL_STATE(20358)] = 818804,
  [SMALL_STATE(20359)] = 818818,
  [SMALL_STATE(20360)] = 818832,
  [SMALL_STATE(20361)] = 818846,
  [SMALL_STATE(20362)] = 818860,
  [SMALL_STATE(20363)] = 818874,
  [SMALL_STATE(20364)] = 818888,
  [SMALL_STATE(20365)] = 818902,
  [SMALL_STATE(20366)] = 818916,
  [SMALL_STATE(20367)] = 818930,
  [SMALL_STATE(20368)] = 818944,
  [SMALL_STATE(20369)] = 818958,
  [SMALL_STATE(20370)] = 818972,
  [SMALL_STATE(20371)] = 818986,
  [SMALL_STATE(20372)] = 819000,
  [SMALL_STATE(20373)] = 819014,
  [SMALL_STATE(20374)] = 819028,
  [SMALL_STATE(20375)] = 819042,
  [SMALL_STATE(20376)] = 819056,
  [SMALL_STATE(20377)] = 819070,
  [SMALL_STATE(20378)] = 819084,
  [SMALL_STATE(20379)] = 819098,
  [SMALL_STATE(20380)] = 819112,
  [SMALL_STATE(20381)] = 819126,
  [SMALL_STATE(20382)] = 819140,
  [SMALL_STATE(20383)] = 819154,
  [SMALL_STATE(20384)] = 819168,
  [SMALL_STATE(20385)] = 819182,
  [SMALL_STATE(20386)] = 819196,
  [SMALL_STATE(20387)] = 819210,
  [SMALL_STATE(20388)] = 819224,
  [SMALL_STATE(20389)] = 819238,
  [SMALL_STATE(20390)] = 819252,
  [SMALL_STATE(20391)] = 819266,
  [SMALL_STATE(20392)] = 819280,
  [SMALL_STATE(20393)] = 819294,
  [SMALL_STATE(20394)] = 819308,
  [SMALL_STATE(20395)] = 819322,
  [SMALL_STATE(20396)] = 819336,
  [SMALL_STATE(20397)] = 819350,
  [SMALL_STATE(20398)] = 819364,
  [SMALL_STATE(20399)] = 819378,
  [SMALL_STATE(20400)] = 819392,
  [SMALL_STATE(20401)] = 819406,
  [SMALL_STATE(20402)] = 819420,
  [SMALL_STATE(20403)] = 819434,
  [SMALL_STATE(20404)] = 819448,
  [SMALL_STATE(20405)] = 819462,
  [SMALL_STATE(20406)] = 819476,
  [SMALL_STATE(20407)] = 819490,
  [SMALL_STATE(20408)] = 819504,
  [SMALL_STATE(20409)] = 819518,
  [SMALL_STATE(20410)] = 819532,
  [SMALL_STATE(20411)] = 819546,
  [SMALL_STATE(20412)] = 819560,
  [SMALL_STATE(20413)] = 819574,
  [SMALL_STATE(20414)] = 819588,
  [SMALL_STATE(20415)] = 819602,
  [SMALL_STATE(20416)] = 819616,
  [SMALL_STATE(20417)] = 819630,
  [SMALL_STATE(20418)] = 819644,
  [SMALL_STATE(20419)] = 819658,
  [SMALL_STATE(20420)] = 819672,
  [SMALL_STATE(20421)] = 819686,
  [SMALL_STATE(20422)] = 819700,
  [SMALL_STATE(20423)] = 819714,
  [SMALL_STATE(20424)] = 819728,
  [SMALL_STATE(20425)] = 819742,
  [SMALL_STATE(20426)] = 819756,
  [SMALL_STATE(20427)] = 819770,
  [SMALL_STATE(20428)] = 819784,
  [SMALL_STATE(20429)] = 819798,
  [SMALL_STATE(20430)] = 819812,
  [SMALL_STATE(20431)] = 819826,
  [SMALL_STATE(20432)] = 819840,
  [SMALL_STATE(20433)] = 819854,
  [SMALL_STATE(20434)] = 819868,
  [SMALL_STATE(20435)] = 819882,
  [SMALL_STATE(20436)] = 819896,
  [SMALL_STATE(20437)] = 819910,
  [SMALL_STATE(20438)] = 819924,
  [SMALL_STATE(20439)] = 819938,
  [SMALL_STATE(20440)] = 819952,
  [SMALL_STATE(20441)] = 819966,
  [SMALL_STATE(20442)] = 819980,
  [SMALL_STATE(20443)] = 819994,
  [SMALL_STATE(20444)] = 820008,
  [SMALL_STATE(20445)] = 820022,
  [SMALL_STATE(20446)] = 820036,
  [SMALL_STATE(20447)] = 820050,
  [SMALL_STATE(20448)] = 820064,
  [SMALL_STATE(20449)] = 820078,
  [SMALL_STATE(20450)] = 820092,
  [SMALL_STATE(20451)] = 820106,
  [SMALL_STATE(20452)] = 820120,
  [SMALL_STATE(20453)] = 820134,
  [SMALL_STATE(20454)] = 820148,
  [SMALL_STATE(20455)] = 820162,
  [SMALL_STATE(20456)] = 820176,
  [SMALL_STATE(20457)] = 820190,
  [SMALL_STATE(20458)] = 820204,
  [SMALL_STATE(20459)] = 820218,
  [SMALL_STATE(20460)] = 820232,
  [SMALL_STATE(20461)] = 820246,
  [SMALL_STATE(20462)] = 820260,
  [SMALL_STATE(20463)] = 820274,
  [SMALL_STATE(20464)] = 820288,
  [SMALL_STATE(20465)] = 820302,
  [SMALL_STATE(20466)] = 820316,
  [SMALL_STATE(20467)] = 820330,
  [SMALL_STATE(20468)] = 820344,
  [SMALL_STATE(20469)] = 820358,
  [SMALL_STATE(20470)] = 820372,
  [SMALL_STATE(20471)] = 820386,
  [SMALL_STATE(20472)] = 820400,
  [SMALL_STATE(20473)] = 820414,
  [SMALL_STATE(20474)] = 820428,
  [SMALL_STATE(20475)] = 820442,
  [SMALL_STATE(20476)] = 820456,
  [SMALL_STATE(20477)] = 820470,
  [SMALL_STATE(20478)] = 820484,
  [SMALL_STATE(20479)] = 820498,
  [SMALL_STATE(20480)] = 820512,
  [SMALL_STATE(20481)] = 820526,
  [SMALL_STATE(20482)] = 820540,
  [SMALL_STATE(20483)] = 820554,
  [SMALL_STATE(20484)] = 820568,
  [SMALL_STATE(20485)] = 820582,
  [SMALL_STATE(20486)] = 820596,
  [SMALL_STATE(20487)] = 820610,
  [SMALL_STATE(20488)] = 820624,
  [SMALL_STATE(20489)] = 820638,
  [SMALL_STATE(20490)] = 820652,
  [SMALL_STATE(20491)] = 820666,
  [SMALL_STATE(20492)] = 820680,
  [SMALL_STATE(20493)] = 820694,
  [SMALL_STATE(20494)] = 820708,
  [SMALL_STATE(20495)] = 820722,
  [SMALL_STATE(20496)] = 820736,
  [SMALL_STATE(20497)] = 820750,
  [SMALL_STATE(20498)] = 820764,
  [SMALL_STATE(20499)] = 820778,
  [SMALL_STATE(20500)] = 820792,
  [SMALL_STATE(20501)] = 820806,
  [SMALL_STATE(20502)] = 820820,
  [SMALL_STATE(20503)] = 820834,
  [SMALL_STATE(20504)] = 820848,
  [SMALL_STATE(20505)] = 820862,
  [SMALL_STATE(20506)] = 820876,
  [SMALL_STATE(20507)] = 820890,
  [SMALL_STATE(20508)] = 820904,
  [SMALL_STATE(20509)] = 820918,
  [SMALL_STATE(20510)] = 820932,
  [SMALL_STATE(20511)] = 820946,
  [SMALL_STATE(20512)] = 820960,
  [SMALL_STATE(20513)] = 820974,
  [SMALL_STATE(20514)] = 820988,
  [SMALL_STATE(20515)] = 821002,
  [SMALL_STATE(20516)] = 821016,
  [SMALL_STATE(20517)] = 821030,
  [SMALL_STATE(20518)] = 821044,
  [SMALL_STATE(20519)] = 821058,
  [SMALL_STATE(20520)] = 821072,
  [SMALL_STATE(20521)] = 821086,
  [SMALL_STATE(20522)] = 821100,
  [SMALL_STATE(20523)] = 821114,
  [SMALL_STATE(20524)] = 821128,
  [SMALL_STATE(20525)] = 821142,
  [SMALL_STATE(20526)] = 821156,
  [SMALL_STATE(20527)] = 821170,
  [SMALL_STATE(20528)] = 821184,
  [SMALL_STATE(20529)] = 821198,
  [SMALL_STATE(20530)] = 821212,
  [SMALL_STATE(20531)] = 821226,
  [SMALL_STATE(20532)] = 821240,
  [SMALL_STATE(20533)] = 821254,
  [SMALL_STATE(20534)] = 821268,
  [SMALL_STATE(20535)] = 821282,
  [SMALL_STATE(20536)] = 821296,
  [SMALL_STATE(20537)] = 821310,
  [SMALL_STATE(20538)] = 821324,
  [SMALL_STATE(20539)] = 821338,
  [SMALL_STATE(20540)] = 821352,
  [SMALL_STATE(20541)] = 821366,
  [SMALL_STATE(20542)] = 821380,
  [SMALL_STATE(20543)] = 821394,
  [SMALL_STATE(20544)] = 821408,
  [SMALL_STATE(20545)] = 821422,
  [SMALL_STATE(20546)] = 821436,
  [SMALL_STATE(20547)] = 821450,
  [SMALL_STATE(20548)] = 821464,
  [SMALL_STATE(20549)] = 821478,
  [SMALL_STATE(20550)] = 821492,
  [SMALL_STATE(20551)] = 821506,
  [SMALL_STATE(20552)] = 821520,
  [SMALL_STATE(20553)] = 821534,
  [SMALL_STATE(20554)] = 821548,
  [SMALL_STATE(20555)] = 821562,
  [SMALL_STATE(20556)] = 821576,
  [SMALL_STATE(20557)] = 821590,
  [SMALL_STATE(20558)] = 821604,
  [SMALL_STATE(20559)] = 821618,
  [SMALL_STATE(20560)] = 821632,
  [SMALL_STATE(20561)] = 821646,
  [SMALL_STATE(20562)] = 821660,
  [SMALL_STATE(20563)] = 821674,
  [SMALL_STATE(20564)] = 821688,
  [SMALL_STATE(20565)] = 821702,
  [SMALL_STATE(20566)] = 821716,
  [SMALL_STATE(20567)] = 821730,
  [SMALL_STATE(20568)] = 821744,
  [SMALL_STATE(20569)] = 821758,
  [SMALL_STATE(20570)] = 821772,
  [SMALL_STATE(20571)] = 821786,
  [SMALL_STATE(20572)] = 821800,
  [SMALL_STATE(20573)] = 821814,
  [SMALL_STATE(20574)] = 821828,
  [SMALL_STATE(20575)] = 821842,
  [SMALL_STATE(20576)] = 821856,
  [SMALL_STATE(20577)] = 821870,
  [SMALL_STATE(20578)] = 821884,
  [SMALL_STATE(20579)] = 821898,
  [SMALL_STATE(20580)] = 821912,
  [SMALL_STATE(20581)] = 821926,
  [SMALL_STATE(20582)] = 821940,
  [SMALL_STATE(20583)] = 821954,
  [SMALL_STATE(20584)] = 821968,
  [SMALL_STATE(20585)] = 821982,
  [SMALL_STATE(20586)] = 821996,
  [SMALL_STATE(20587)] = 822010,
  [SMALL_STATE(20588)] = 822024,
  [SMALL_STATE(20589)] = 822038,
  [SMALL_STATE(20590)] = 822052,
  [SMALL_STATE(20591)] = 822066,
  [SMALL_STATE(20592)] = 822080,
  [SMALL_STATE(20593)] = 822094,
  [SMALL_STATE(20594)] = 822108,
  [SMALL_STATE(20595)] = 822122,
  [SMALL_STATE(20596)] = 822136,
  [SMALL_STATE(20597)] = 822150,
  [SMALL_STATE(20598)] = 822164,
  [SMALL_STATE(20599)] = 822178,
  [SMALL_STATE(20600)] = 822192,
  [SMALL_STATE(20601)] = 822206,
  [SMALL_STATE(20602)] = 822220,
  [SMALL_STATE(20603)] = 822234,
  [SMALL_STATE(20604)] = 822248,
  [SMALL_STATE(20605)] = 822262,
  [SMALL_STATE(20606)] = 822276,
  [SMALL_STATE(20607)] = 822290,
  [SMALL_STATE(20608)] = 822304,
  [SMALL_STATE(20609)] = 822318,
  [SMALL_STATE(20610)] = 822332,
  [SMALL_STATE(20611)] = 822346,
  [SMALL_STATE(20612)] = 822360,
  [SMALL_STATE(20613)] = 822374,
  [SMALL_STATE(20614)] = 822388,
  [SMALL_STATE(20615)] = 822402,
  [SMALL_STATE(20616)] = 822416,
  [SMALL_STATE(20617)] = 822430,
  [SMALL_STATE(20618)] = 822444,
  [SMALL_STATE(20619)] = 822458,
  [SMALL_STATE(20620)] = 822472,
  [SMALL_STATE(20621)] = 822486,
  [SMALL_STATE(20622)] = 822500,
  [SMALL_STATE(20623)] = 822514,
  [SMALL_STATE(20624)] = 822528,
  [SMALL_STATE(20625)] = 822542,
  [SMALL_STATE(20626)] = 822556,
  [SMALL_STATE(20627)] = 822570,
  [SMALL_STATE(20628)] = 822584,
  [SMALL_STATE(20629)] = 822598,
  [SMALL_STATE(20630)] = 822612,
  [SMALL_STATE(20631)] = 822626,
  [SMALL_STATE(20632)] = 822640,
  [SMALL_STATE(20633)] = 822654,
  [SMALL_STATE(20634)] = 822668,
  [SMALL_STATE(20635)] = 822682,
  [SMALL_STATE(20636)] = 822696,
  [SMALL_STATE(20637)] = 822710,
  [SMALL_STATE(20638)] = 822724,
  [SMALL_STATE(20639)] = 822738,
  [SMALL_STATE(20640)] = 822752,
  [SMALL_STATE(20641)] = 822766,
  [SMALL_STATE(20642)] = 822780,
  [SMALL_STATE(20643)] = 822794,
  [SMALL_STATE(20644)] = 822808,
  [SMALL_STATE(20645)] = 822822,
  [SMALL_STATE(20646)] = 822836,
  [SMALL_STATE(20647)] = 822850,
  [SMALL_STATE(20648)] = 822864,
  [SMALL_STATE(20649)] = 822878,
  [SMALL_STATE(20650)] = 822892,
  [SMALL_STATE(20651)] = 822906,
  [SMALL_STATE(20652)] = 822920,
  [SMALL_STATE(20653)] = 822934,
  [SMALL_STATE(20654)] = 822948,
  [SMALL_STATE(20655)] = 822962,
  [SMALL_STATE(20656)] = 822976,
  [SMALL_STATE(20657)] = 822990,
  [SMALL_STATE(20658)] = 823004,
  [SMALL_STATE(20659)] = 823018,
  [SMALL_STATE(20660)] = 823032,
  [SMALL_STATE(20661)] = 823046,
  [SMALL_STATE(20662)] = 823060,
  [SMALL_STATE(20663)] = 823074,
  [SMALL_STATE(20664)] = 823088,
  [SMALL_STATE(20665)] = 823102,
  [SMALL_STATE(20666)] = 823116,
  [SMALL_STATE(20667)] = 823130,
  [SMALL_STATE(20668)] = 823144,
  [SMALL_STATE(20669)] = 823158,
  [SMALL_STATE(20670)] = 823172,
  [SMALL_STATE(20671)] = 823186,
  [SMALL_STATE(20672)] = 823200,
  [SMALL_STATE(20673)] = 823214,
  [SMALL_STATE(20674)] = 823228,
  [SMALL_STATE(20675)] = 823242,
  [SMALL_STATE(20676)] = 823256,
  [SMALL_STATE(20677)] = 823270,
  [SMALL_STATE(20678)] = 823284,
  [SMALL_STATE(20679)] = 823298,
  [SMALL_STATE(20680)] = 823312,
  [SMALL_STATE(20681)] = 823326,
  [SMALL_STATE(20682)] = 823340,
  [SMALL_STATE(20683)] = 823354,
  [SMALL_STATE(20684)] = 823368,
  [SMALL_STATE(20685)] = 823382,
  [SMALL_STATE(20686)] = 823396,
  [SMALL_STATE(20687)] = 823410,
  [SMALL_STATE(20688)] = 823424,
  [SMALL_STATE(20689)] = 823438,
  [SMALL_STATE(20690)] = 823452,
  [SMALL_STATE(20691)] = 823466,
  [SMALL_STATE(20692)] = 823480,
  [SMALL_STATE(20693)] = 823494,
  [SMALL_STATE(20694)] = 823508,
  [SMALL_STATE(20695)] = 823522,
  [SMALL_STATE(20696)] = 823536,
  [SMALL_STATE(20697)] = 823550,
  [SMALL_STATE(20698)] = 823564,
  [SMALL_STATE(20699)] = 823578,
  [SMALL_STATE(20700)] = 823592,
  [SMALL_STATE(20701)] = 823606,
  [SMALL_STATE(20702)] = 823620,
  [SMALL_STATE(20703)] = 823634,
  [SMALL_STATE(20704)] = 823648,
  [SMALL_STATE(20705)] = 823662,
  [SMALL_STATE(20706)] = 823676,
  [SMALL_STATE(20707)] = 823690,
  [SMALL_STATE(20708)] = 823704,
  [SMALL_STATE(20709)] = 823718,
  [SMALL_STATE(20710)] = 823732,
  [SMALL_STATE(20711)] = 823746,
  [SMALL_STATE(20712)] = 823760,
  [SMALL_STATE(20713)] = 823774,
  [SMALL_STATE(20714)] = 823788,
  [SMALL_STATE(20715)] = 823802,
  [SMALL_STATE(20716)] = 823816,
  [SMALL_STATE(20717)] = 823830,
  [SMALL_STATE(20718)] = 823844,
  [SMALL_STATE(20719)] = 823858,
  [SMALL_STATE(20720)] = 823872,
  [SMALL_STATE(20721)] = 823886,
  [SMALL_STATE(20722)] = 823900,
  [SMALL_STATE(20723)] = 823914,
  [SMALL_STATE(20724)] = 823928,
  [SMALL_STATE(20725)] = 823942,
  [SMALL_STATE(20726)] = 823956,
  [SMALL_STATE(20727)] = 823970,
  [SMALL_STATE(20728)] = 823984,
  [SMALL_STATE(20729)] = 823998,
  [SMALL_STATE(20730)] = 824012,
  [SMALL_STATE(20731)] = 824026,
  [SMALL_STATE(20732)] = 824040,
  [SMALL_STATE(20733)] = 824054,
  [SMALL_STATE(20734)] = 824068,
  [SMALL_STATE(20735)] = 824082,
  [SMALL_STATE(20736)] = 824096,
  [SMALL_STATE(20737)] = 824110,
  [SMALL_STATE(20738)] = 824124,
  [SMALL_STATE(20739)] = 824138,
  [SMALL_STATE(20740)] = 824152,
  [SMALL_STATE(20741)] = 824166,
  [SMALL_STATE(20742)] = 824180,
  [SMALL_STATE(20743)] = 824194,
  [SMALL_STATE(20744)] = 824208,
  [SMALL_STATE(20745)] = 824222,
  [SMALL_STATE(20746)] = 824236,
  [SMALL_STATE(20747)] = 824250,
  [SMALL_STATE(20748)] = 824264,
  [SMALL_STATE(20749)] = 824278,
  [SMALL_STATE(20750)] = 824292,
  [SMALL_STATE(20751)] = 824306,
  [SMALL_STATE(20752)] = 824320,
  [SMALL_STATE(20753)] = 824334,
  [SMALL_STATE(20754)] = 824348,
  [SMALL_STATE(20755)] = 824362,
  [SMALL_STATE(20756)] = 824376,
  [SMALL_STATE(20757)] = 824390,
  [SMALL_STATE(20758)] = 824404,
  [SMALL_STATE(20759)] = 824418,
  [SMALL_STATE(20760)] = 824432,
  [SMALL_STATE(20761)] = 824446,
  [SMALL_STATE(20762)] = 824460,
  [SMALL_STATE(20763)] = 824474,
  [SMALL_STATE(20764)] = 824488,
  [SMALL_STATE(20765)] = 824502,
  [SMALL_STATE(20766)] = 824516,
  [SMALL_STATE(20767)] = 824530,
  [SMALL_STATE(20768)] = 824544,
  [SMALL_STATE(20769)] = 824558,
  [SMALL_STATE(20770)] = 824572,
  [SMALL_STATE(20771)] = 824586,
  [SMALL_STATE(20772)] = 824600,
  [SMALL_STATE(20773)] = 824614,
  [SMALL_STATE(20774)] = 824628,
  [SMALL_STATE(20775)] = 824642,
  [SMALL_STATE(20776)] = 824656,
  [SMALL_STATE(20777)] = 824670,
  [SMALL_STATE(20778)] = 824684,
  [SMALL_STATE(20779)] = 824698,
  [SMALL_STATE(20780)] = 824712,
  [SMALL_STATE(20781)] = 824726,
  [SMALL_STATE(20782)] = 824740,
  [SMALL_STATE(20783)] = 824754,
  [SMALL_STATE(20784)] = 824768,
  [SMALL_STATE(20785)] = 824782,
  [SMALL_STATE(20786)] = 824796,
  [SMALL_STATE(20787)] = 824810,
  [SMALL_STATE(20788)] = 824824,
  [SMALL_STATE(20789)] = 824838,
  [SMALL_STATE(20790)] = 824852,
  [SMALL_STATE(20791)] = 824866,
  [SMALL_STATE(20792)] = 824880,
  [SMALL_STATE(20793)] = 824894,
  [SMALL_STATE(20794)] = 824908,
  [SMALL_STATE(20795)] = 824922,
  [SMALL_STATE(20796)] = 824936,
  [SMALL_STATE(20797)] = 824950,
  [SMALL_STATE(20798)] = 824964,
  [SMALL_STATE(20799)] = 824978,
  [SMALL_STATE(20800)] = 824992,
  [SMALL_STATE(20801)] = 825006,
  [SMALL_STATE(20802)] = 825020,
  [SMALL_STATE(20803)] = 825034,
  [SMALL_STATE(20804)] = 825048,
  [SMALL_STATE(20805)] = 825062,
  [SMALL_STATE(20806)] = 825076,
  [SMALL_STATE(20807)] = 825090,
  [SMALL_STATE(20808)] = 825104,
  [SMALL_STATE(20809)] = 825118,
  [SMALL_STATE(20810)] = 825132,
  [SMALL_STATE(20811)] = 825146,
  [SMALL_STATE(20812)] = 825160,
  [SMALL_STATE(20813)] = 825174,
  [SMALL_STATE(20814)] = 825188,
  [SMALL_STATE(20815)] = 825202,
  [SMALL_STATE(20816)] = 825216,
  [SMALL_STATE(20817)] = 825230,
  [SMALL_STATE(20818)] = 825244,
  [SMALL_STATE(20819)] = 825258,
  [SMALL_STATE(20820)] = 825272,
  [SMALL_STATE(20821)] = 825286,
  [SMALL_STATE(20822)] = 825300,
  [SMALL_STATE(20823)] = 825314,
  [SMALL_STATE(20824)] = 825328,
  [SMALL_STATE(20825)] = 825342,
  [SMALL_STATE(20826)] = 825356,
  [SMALL_STATE(20827)] = 825370,
  [SMALL_STATE(20828)] = 825384,
  [SMALL_STATE(20829)] = 825398,
  [SMALL_STATE(20830)] = 825412,
  [SMALL_STATE(20831)] = 825426,
  [SMALL_STATE(20832)] = 825440,
  [SMALL_STATE(20833)] = 825454,
  [SMALL_STATE(20834)] = 825468,
  [SMALL_STATE(20835)] = 825482,
  [SMALL_STATE(20836)] = 825496,
  [SMALL_STATE(20837)] = 825510,
  [SMALL_STATE(20838)] = 825524,
  [SMALL_STATE(20839)] = 825538,
  [SMALL_STATE(20840)] = 825552,
  [SMALL_STATE(20841)] = 825566,
  [SMALL_STATE(20842)] = 825580,
  [SMALL_STATE(20843)] = 825594,
  [SMALL_STATE(20844)] = 825608,
  [SMALL_STATE(20845)] = 825622,
  [SMALL_STATE(20846)] = 825636,
  [SMALL_STATE(20847)] = 825650,
  [SMALL_STATE(20848)] = 825664,
  [SMALL_STATE(20849)] = 825678,
  [SMALL_STATE(20850)] = 825692,
  [SMALL_STATE(20851)] = 825706,
  [SMALL_STATE(20852)] = 825720,
  [SMALL_STATE(20853)] = 825734,
  [SMALL_STATE(20854)] = 825748,
  [SMALL_STATE(20855)] = 825762,
  [SMALL_STATE(20856)] = 825776,
  [SMALL_STATE(20857)] = 825790,
  [SMALL_STATE(20858)] = 825804,
  [SMALL_STATE(20859)] = 825818,
  [SMALL_STATE(20860)] = 825832,
  [SMALL_STATE(20861)] = 825846,
  [SMALL_STATE(20862)] = 825860,
  [SMALL_STATE(20863)] = 825874,
  [SMALL_STATE(20864)] = 825888,
  [SMALL_STATE(20865)] = 825902,
  [SMALL_STATE(20866)] = 825916,
  [SMALL_STATE(20867)] = 825930,
  [SMALL_STATE(20868)] = 825944,
  [SMALL_STATE(20869)] = 825958,
  [SMALL_STATE(20870)] = 825972,
  [SMALL_STATE(20871)] = 825986,
  [SMALL_STATE(20872)] = 826000,
  [SMALL_STATE(20873)] = 826014,
  [SMALL_STATE(20874)] = 826028,
  [SMALL_STATE(20875)] = 826042,
  [SMALL_STATE(20876)] = 826056,
  [SMALL_STATE(20877)] = 826070,
  [SMALL_STATE(20878)] = 826084,
  [SMALL_STATE(20879)] = 826098,
  [SMALL_STATE(20880)] = 826112,
  [SMALL_STATE(20881)] = 826126,
  [SMALL_STATE(20882)] = 826140,
  [SMALL_STATE(20883)] = 826154,
  [SMALL_STATE(20884)] = 826168,
  [SMALL_STATE(20885)] = 826182,
  [SMALL_STATE(20886)] = 826196,
  [SMALL_STATE(20887)] = 826210,
  [SMALL_STATE(20888)] = 826224,
  [SMALL_STATE(20889)] = 826238,
  [SMALL_STATE(20890)] = 826252,
  [SMALL_STATE(20891)] = 826266,
  [SMALL_STATE(20892)] = 826280,
  [SMALL_STATE(20893)] = 826294,
  [SMALL_STATE(20894)] = 826308,
  [SMALL_STATE(20895)] = 826322,
  [SMALL_STATE(20896)] = 826336,
  [SMALL_STATE(20897)] = 826350,
  [SMALL_STATE(20898)] = 826364,
  [SMALL_STATE(20899)] = 826378,
  [SMALL_STATE(20900)] = 826392,
  [SMALL_STATE(20901)] = 826406,
  [SMALL_STATE(20902)] = 826420,
  [SMALL_STATE(20903)] = 826434,
  [SMALL_STATE(20904)] = 826448,
  [SMALL_STATE(20905)] = 826462,
  [SMALL_STATE(20906)] = 826476,
  [SMALL_STATE(20907)] = 826490,
  [SMALL_STATE(20908)] = 826504,
  [SMALL_STATE(20909)] = 826518,
  [SMALL_STATE(20910)] = 826532,
  [SMALL_STATE(20911)] = 826546,
  [SMALL_STATE(20912)] = 826560,
  [SMALL_STATE(20913)] = 826574,
  [SMALL_STATE(20914)] = 826588,
  [SMALL_STATE(20915)] = 826602,
  [SMALL_STATE(20916)] = 826616,
  [SMALL_STATE(20917)] = 826630,
  [SMALL_STATE(20918)] = 826644,
  [SMALL_STATE(20919)] = 826658,
  [SMALL_STATE(20920)] = 826672,
  [SMALL_STATE(20921)] = 826686,
  [SMALL_STATE(20922)] = 826700,
  [SMALL_STATE(20923)] = 826714,
  [SMALL_STATE(20924)] = 826728,
  [SMALL_STATE(20925)] = 826742,
  [SMALL_STATE(20926)] = 826756,
  [SMALL_STATE(20927)] = 826770,
  [SMALL_STATE(20928)] = 826784,
  [SMALL_STATE(20929)] = 826798,
  [SMALL_STATE(20930)] = 826812,
  [SMALL_STATE(20931)] = 826826,
  [SMALL_STATE(20932)] = 826840,
  [SMALL_STATE(20933)] = 826854,
  [SMALL_STATE(20934)] = 826868,
  [SMALL_STATE(20935)] = 826882,
  [SMALL_STATE(20936)] = 826896,
  [SMALL_STATE(20937)] = 826910,
  [SMALL_STATE(20938)] = 826924,
  [SMALL_STATE(20939)] = 826938,
  [SMALL_STATE(20940)] = 826952,
  [SMALL_STATE(20941)] = 826966,
  [SMALL_STATE(20942)] = 826980,
  [SMALL_STATE(20943)] = 826994,
  [SMALL_STATE(20944)] = 827008,
  [SMALL_STATE(20945)] = 827022,
  [SMALL_STATE(20946)] = 827036,
  [SMALL_STATE(20947)] = 827050,
  [SMALL_STATE(20948)] = 827064,
  [SMALL_STATE(20949)] = 827078,
  [SMALL_STATE(20950)] = 827092,
  [SMALL_STATE(20951)] = 827106,
  [SMALL_STATE(20952)] = 827120,
  [SMALL_STATE(20953)] = 827134,
  [SMALL_STATE(20954)] = 827148,
  [SMALL_STATE(20955)] = 827162,
  [SMALL_STATE(20956)] = 827176,
  [SMALL_STATE(20957)] = 827190,
  [SMALL_STATE(20958)] = 827204,
  [SMALL_STATE(20959)] = 827218,
  [SMALL_STATE(20960)] = 827232,
  [SMALL_STATE(20961)] = 827246,
  [SMALL_STATE(20962)] = 827260,
  [SMALL_STATE(20963)] = 827274,
  [SMALL_STATE(20964)] = 827288,
  [SMALL_STATE(20965)] = 827302,
  [SMALL_STATE(20966)] = 827316,
  [SMALL_STATE(20967)] = 827330,
  [SMALL_STATE(20968)] = 827344,
  [SMALL_STATE(20969)] = 827358,
  [SMALL_STATE(20970)] = 827372,
  [SMALL_STATE(20971)] = 827386,
  [SMALL_STATE(20972)] = 827400,
  [SMALL_STATE(20973)] = 827414,
  [SMALL_STATE(20974)] = 827428,
  [SMALL_STATE(20975)] = 827442,
  [SMALL_STATE(20976)] = 827456,
  [SMALL_STATE(20977)] = 827470,
  [SMALL_STATE(20978)] = 827484,
  [SMALL_STATE(20979)] = 827498,
  [SMALL_STATE(20980)] = 827512,
  [SMALL_STATE(20981)] = 827526,
  [SMALL_STATE(20982)] = 827540,
  [SMALL_STATE(20983)] = 827554,
  [SMALL_STATE(20984)] = 827568,
  [SMALL_STATE(20985)] = 827582,
  [SMALL_STATE(20986)] = 827596,
  [SMALL_STATE(20987)] = 827610,
  [SMALL_STATE(20988)] = 827624,
  [SMALL_STATE(20989)] = 827638,
  [SMALL_STATE(20990)] = 827652,
  [SMALL_STATE(20991)] = 827666,
  [SMALL_STATE(20992)] = 827680,
  [SMALL_STATE(20993)] = 827694,
  [SMALL_STATE(20994)] = 827708,
  [SMALL_STATE(20995)] = 827722,
  [SMALL_STATE(20996)] = 827736,
  [SMALL_STATE(20997)] = 827750,
  [SMALL_STATE(20998)] = 827764,
  [SMALL_STATE(20999)] = 827778,
  [SMALL_STATE(21000)] = 827792,
  [SMALL_STATE(21001)] = 827806,
  [SMALL_STATE(21002)] = 827820,
  [SMALL_STATE(21003)] = 827834,
  [SMALL_STATE(21004)] = 827848,
  [SMALL_STATE(21005)] = 827862,
  [SMALL_STATE(21006)] = 827876,
  [SMALL_STATE(21007)] = 827890,
  [SMALL_STATE(21008)] = 827904,
  [SMALL_STATE(21009)] = 827918,
  [SMALL_STATE(21010)] = 827932,
  [SMALL_STATE(21011)] = 827946,
  [SMALL_STATE(21012)] = 827960,
  [SMALL_STATE(21013)] = 827974,
  [SMALL_STATE(21014)] = 827988,
  [SMALL_STATE(21015)] = 828002,
  [SMALL_STATE(21016)] = 828016,
  [SMALL_STATE(21017)] = 828030,
  [SMALL_STATE(21018)] = 828044,
  [SMALL_STATE(21019)] = 828058,
  [SMALL_STATE(21020)] = 828072,
  [SMALL_STATE(21021)] = 828086,
  [SMALL_STATE(21022)] = 828100,
  [SMALL_STATE(21023)] = 828114,
  [SMALL_STATE(21024)] = 828128,
  [SMALL_STATE(21025)] = 828142,
  [SMALL_STATE(21026)] = 828156,
  [SMALL_STATE(21027)] = 828170,
  [SMALL_STATE(21028)] = 828184,
  [SMALL_STATE(21029)] = 828198,
  [SMALL_STATE(21030)] = 828212,
  [SMALL_STATE(21031)] = 828226,
  [SMALL_STATE(21032)] = 828240,
  [SMALL_STATE(21033)] = 828254,
  [SMALL_STATE(21034)] = 828268,
  [SMALL_STATE(21035)] = 828282,
  [SMALL_STATE(21036)] = 828296,
  [SMALL_STATE(21037)] = 828310,
  [SMALL_STATE(21038)] = 828324,
  [SMALL_STATE(21039)] = 828338,
  [SMALL_STATE(21040)] = 828352,
  [SMALL_STATE(21041)] = 828366,
  [SMALL_STATE(21042)] = 828380,
  [SMALL_STATE(21043)] = 828394,
  [SMALL_STATE(21044)] = 828408,
  [SMALL_STATE(21045)] = 828422,
  [SMALL_STATE(21046)] = 828436,
  [SMALL_STATE(21047)] = 828450,
  [SMALL_STATE(21048)] = 828464,
  [SMALL_STATE(21049)] = 828478,
  [SMALL_STATE(21050)] = 828492,
  [SMALL_STATE(21051)] = 828506,
  [SMALL_STATE(21052)] = 828520,
  [SMALL_STATE(21053)] = 828534,
  [SMALL_STATE(21054)] = 828548,
  [SMALL_STATE(21055)] = 828562,
  [SMALL_STATE(21056)] = 828576,
  [SMALL_STATE(21057)] = 828590,
  [SMALL_STATE(21058)] = 828604,
  [SMALL_STATE(21059)] = 828618,
  [SMALL_STATE(21060)] = 828632,
  [SMALL_STATE(21061)] = 828646,
  [SMALL_STATE(21062)] = 828660,
  [SMALL_STATE(21063)] = 828674,
  [SMALL_STATE(21064)] = 828688,
  [SMALL_STATE(21065)] = 828702,
  [SMALL_STATE(21066)] = 828716,
  [SMALL_STATE(21067)] = 828730,
  [SMALL_STATE(21068)] = 828744,
  [SMALL_STATE(21069)] = 828758,
  [SMALL_STATE(21070)] = 828772,
  [SMALL_STATE(21071)] = 828786,
  [SMALL_STATE(21072)] = 828800,
  [SMALL_STATE(21073)] = 828814,
  [SMALL_STATE(21074)] = 828828,
  [SMALL_STATE(21075)] = 828842,
  [SMALL_STATE(21076)] = 828856,
  [SMALL_STATE(21077)] = 828870,
  [SMALL_STATE(21078)] = 828884,
  [SMALL_STATE(21079)] = 828898,
  [SMALL_STATE(21080)] = 828912,
  [SMALL_STATE(21081)] = 828926,
  [SMALL_STATE(21082)] = 828940,
  [SMALL_STATE(21083)] = 828954,
  [SMALL_STATE(21084)] = 828968,
  [SMALL_STATE(21085)] = 828982,
  [SMALL_STATE(21086)] = 828996,
  [SMALL_STATE(21087)] = 829010,
  [SMALL_STATE(21088)] = 829024,
  [SMALL_STATE(21089)] = 829038,
  [SMALL_STATE(21090)] = 829052,
  [SMALL_STATE(21091)] = 829066,
  [SMALL_STATE(21092)] = 829080,
  [SMALL_STATE(21093)] = 829094,
  [SMALL_STATE(21094)] = 829108,
  [SMALL_STATE(21095)] = 829122,
  [SMALL_STATE(21096)] = 829136,
  [SMALL_STATE(21097)] = 829150,
  [SMALL_STATE(21098)] = 829164,
  [SMALL_STATE(21099)] = 829178,
  [SMALL_STATE(21100)] = 829192,
  [SMALL_STATE(21101)] = 829206,
  [SMALL_STATE(21102)] = 829220,
  [SMALL_STATE(21103)] = 829234,
  [SMALL_STATE(21104)] = 829248,
  [SMALL_STATE(21105)] = 829262,
  [SMALL_STATE(21106)] = 829276,
  [SMALL_STATE(21107)] = 829290,
  [SMALL_STATE(21108)] = 829304,
  [SMALL_STATE(21109)] = 829318,
  [SMALL_STATE(21110)] = 829332,
  [SMALL_STATE(21111)] = 829346,
  [SMALL_STATE(21112)] = 829360,
  [SMALL_STATE(21113)] = 829374,
  [SMALL_STATE(21114)] = 829388,
  [SMALL_STATE(21115)] = 829402,
  [SMALL_STATE(21116)] = 829416,
  [SMALL_STATE(21117)] = 829430,
  [SMALL_STATE(21118)] = 829444,
  [SMALL_STATE(21119)] = 829458,
  [SMALL_STATE(21120)] = 829472,
  [SMALL_STATE(21121)] = 829486,
  [SMALL_STATE(21122)] = 829500,
  [SMALL_STATE(21123)] = 829514,
  [SMALL_STATE(21124)] = 829528,
  [SMALL_STATE(21125)] = 829542,
  [SMALL_STATE(21126)] = 829556,
  [SMALL_STATE(21127)] = 829570,
  [SMALL_STATE(21128)] = 829584,
  [SMALL_STATE(21129)] = 829598,
  [SMALL_STATE(21130)] = 829612,
  [SMALL_STATE(21131)] = 829626,
  [SMALL_STATE(21132)] = 829640,
  [SMALL_STATE(21133)] = 829654,
  [SMALL_STATE(21134)] = 829668,
  [SMALL_STATE(21135)] = 829682,
  [SMALL_STATE(21136)] = 829696,
  [SMALL_STATE(21137)] = 829710,
  [SMALL_STATE(21138)] = 829724,
  [SMALL_STATE(21139)] = 829738,
  [SMALL_STATE(21140)] = 829752,
  [SMALL_STATE(21141)] = 829766,
  [SMALL_STATE(21142)] = 829780,
  [SMALL_STATE(21143)] = 829794,
  [SMALL_STATE(21144)] = 829808,
  [SMALL_STATE(21145)] = 829822,
  [SMALL_STATE(21146)] = 829836,
  [SMALL_STATE(21147)] = 829850,
  [SMALL_STATE(21148)] = 829864,
  [SMALL_STATE(21149)] = 829878,
  [SMALL_STATE(21150)] = 829892,
  [SMALL_STATE(21151)] = 829906,
  [SMALL_STATE(21152)] = 829920,
  [SMALL_STATE(21153)] = 829934,
  [SMALL_STATE(21154)] = 829948,
  [SMALL_STATE(21155)] = 829962,
  [SMALL_STATE(21156)] = 829976,
  [SMALL_STATE(21157)] = 829990,
  [SMALL_STATE(21158)] = 830004,
  [SMALL_STATE(21159)] = 830018,
  [SMALL_STATE(21160)] = 830032,
  [SMALL_STATE(21161)] = 830046,
  [SMALL_STATE(21162)] = 830060,
  [SMALL_STATE(21163)] = 830074,
  [SMALL_STATE(21164)] = 830088,
  [SMALL_STATE(21165)] = 830102,
  [SMALL_STATE(21166)] = 830116,
  [SMALL_STATE(21167)] = 830130,
  [SMALL_STATE(21168)] = 830144,
  [SMALL_STATE(21169)] = 830158,
  [SMALL_STATE(21170)] = 830172,
  [SMALL_STATE(21171)] = 830186,
  [SMALL_STATE(21172)] = 830200,
  [SMALL_STATE(21173)] = 830214,
  [SMALL_STATE(21174)] = 830228,
  [SMALL_STATE(21175)] = 830242,
  [SMALL_STATE(21176)] = 830256,
  [SMALL_STATE(21177)] = 830270,
  [SMALL_STATE(21178)] = 830284,
  [SMALL_STATE(21179)] = 830298,
  [SMALL_STATE(21180)] = 830312,
  [SMALL_STATE(21181)] = 830326,
  [SMALL_STATE(21182)] = 830340,
  [SMALL_STATE(21183)] = 830354,
  [SMALL_STATE(21184)] = 830368,
  [SMALL_STATE(21185)] = 830382,
  [SMALL_STATE(21186)] = 830396,
  [SMALL_STATE(21187)] = 830410,
  [SMALL_STATE(21188)] = 830424,
  [SMALL_STATE(21189)] = 830438,
  [SMALL_STATE(21190)] = 830452,
  [SMALL_STATE(21191)] = 830466,
  [SMALL_STATE(21192)] = 830480,
  [SMALL_STATE(21193)] = 830494,
  [SMALL_STATE(21194)] = 830508,
  [SMALL_STATE(21195)] = 830522,
  [SMALL_STATE(21196)] = 830536,
  [SMALL_STATE(21197)] = 830550,
  [SMALL_STATE(21198)] = 830564,
  [SMALL_STATE(21199)] = 830578,
  [SMALL_STATE(21200)] = 830592,
  [SMALL_STATE(21201)] = 830606,
  [SMALL_STATE(21202)] = 830620,
  [SMALL_STATE(21203)] = 830634,
  [SMALL_STATE(21204)] = 830648,
  [SMALL_STATE(21205)] = 830662,
  [SMALL_STATE(21206)] = 830676,
  [SMALL_STATE(21207)] = 830690,
  [SMALL_STATE(21208)] = 830704,
  [SMALL_STATE(21209)] = 830718,
  [SMALL_STATE(21210)] = 830732,
  [SMALL_STATE(21211)] = 830746,
  [SMALL_STATE(21212)] = 830760,
  [SMALL_STATE(21213)] = 830774,
  [SMALL_STATE(21214)] = 830788,
  [SMALL_STATE(21215)] = 830802,
  [SMALL_STATE(21216)] = 830816,
  [SMALL_STATE(21217)] = 830830,
  [SMALL_STATE(21218)] = 830844,
  [SMALL_STATE(21219)] = 830858,
  [SMALL_STATE(21220)] = 830872,
  [SMALL_STATE(21221)] = 830886,
  [SMALL_STATE(21222)] = 830900,
  [SMALL_STATE(21223)] = 830914,
  [SMALL_STATE(21224)] = 830928,
  [SMALL_STATE(21225)] = 830942,
  [SMALL_STATE(21226)] = 830956,
  [SMALL_STATE(21227)] = 830970,
  [SMALL_STATE(21228)] = 830984,
  [SMALL_STATE(21229)] = 830998,
  [SMALL_STATE(21230)] = 831012,
  [SMALL_STATE(21231)] = 831026,
  [SMALL_STATE(21232)] = 831040,
  [SMALL_STATE(21233)] = 831054,
  [SMALL_STATE(21234)] = 831068,
  [SMALL_STATE(21235)] = 831082,
  [SMALL_STATE(21236)] = 831096,
  [SMALL_STATE(21237)] = 831110,
  [SMALL_STATE(21238)] = 831124,
  [SMALL_STATE(21239)] = 831138,
  [SMALL_STATE(21240)] = 831152,
  [SMALL_STATE(21241)] = 831166,
  [SMALL_STATE(21242)] = 831180,
  [SMALL_STATE(21243)] = 831194,
  [SMALL_STATE(21244)] = 831208,
  [SMALL_STATE(21245)] = 831222,
  [SMALL_STATE(21246)] = 831236,
  [SMALL_STATE(21247)] = 831250,
  [SMALL_STATE(21248)] = 831264,
  [SMALL_STATE(21249)] = 831278,
  [SMALL_STATE(21250)] = 831292,
  [SMALL_STATE(21251)] = 831306,
  [SMALL_STATE(21252)] = 831320,
  [SMALL_STATE(21253)] = 831334,
  [SMALL_STATE(21254)] = 831348,
  [SMALL_STATE(21255)] = 831362,
  [SMALL_STATE(21256)] = 831376,
  [SMALL_STATE(21257)] = 831390,
  [SMALL_STATE(21258)] = 831404,
  [SMALL_STATE(21259)] = 831418,
  [SMALL_STATE(21260)] = 831432,
  [SMALL_STATE(21261)] = 831446,
  [SMALL_STATE(21262)] = 831460,
  [SMALL_STATE(21263)] = 831474,
  [SMALL_STATE(21264)] = 831488,
  [SMALL_STATE(21265)] = 831502,
  [SMALL_STATE(21266)] = 831516,
  [SMALL_STATE(21267)] = 831530,
  [SMALL_STATE(21268)] = 831544,
  [SMALL_STATE(21269)] = 831558,
  [SMALL_STATE(21270)] = 831572,
  [SMALL_STATE(21271)] = 831586,
  [SMALL_STATE(21272)] = 831600,
  [SMALL_STATE(21273)] = 831614,
  [SMALL_STATE(21274)] = 831628,
  [SMALL_STATE(21275)] = 831642,
  [SMALL_STATE(21276)] = 831656,
  [SMALL_STATE(21277)] = 831670,
  [SMALL_STATE(21278)] = 831684,
  [SMALL_STATE(21279)] = 831698,
  [SMALL_STATE(21280)] = 831712,
  [SMALL_STATE(21281)] = 831726,
  [SMALL_STATE(21282)] = 831740,
  [SMALL_STATE(21283)] = 831754,
  [SMALL_STATE(21284)] = 831768,
  [SMALL_STATE(21285)] = 831782,
  [SMALL_STATE(21286)] = 831796,
  [SMALL_STATE(21287)] = 831810,
  [SMALL_STATE(21288)] = 831824,
  [SMALL_STATE(21289)] = 831838,
  [SMALL_STATE(21290)] = 831852,
  [SMALL_STATE(21291)] = 831866,
  [SMALL_STATE(21292)] = 831880,
  [SMALL_STATE(21293)] = 831894,
  [SMALL_STATE(21294)] = 831908,
  [SMALL_STATE(21295)] = 831922,
  [SMALL_STATE(21296)] = 831936,
  [SMALL_STATE(21297)] = 831950,
  [SMALL_STATE(21298)] = 831964,
  [SMALL_STATE(21299)] = 831978,
  [SMALL_STATE(21300)] = 831992,
  [SMALL_STATE(21301)] = 832006,
  [SMALL_STATE(21302)] = 832020,
  [SMALL_STATE(21303)] = 832034,
  [SMALL_STATE(21304)] = 832048,
  [SMALL_STATE(21305)] = 832062,
  [SMALL_STATE(21306)] = 832076,
  [SMALL_STATE(21307)] = 832090,
  [SMALL_STATE(21308)] = 832104,
  [SMALL_STATE(21309)] = 832118,
  [SMALL_STATE(21310)] = 832132,
  [SMALL_STATE(21311)] = 832146,
  [SMALL_STATE(21312)] = 832160,
  [SMALL_STATE(21313)] = 832174,
  [SMALL_STATE(21314)] = 832188,
  [SMALL_STATE(21315)] = 832202,
  [SMALL_STATE(21316)] = 832216,
  [SMALL_STATE(21317)] = 832230,
  [SMALL_STATE(21318)] = 832244,
  [SMALL_STATE(21319)] = 832258,
  [SMALL_STATE(21320)] = 832272,
  [SMALL_STATE(21321)] = 832286,
  [SMALL_STATE(21322)] = 832300,
  [SMALL_STATE(21323)] = 832314,
  [SMALL_STATE(21324)] = 832328,
  [SMALL_STATE(21325)] = 832342,
  [SMALL_STATE(21326)] = 832356,
  [SMALL_STATE(21327)] = 832370,
  [SMALL_STATE(21328)] = 832384,
  [SMALL_STATE(21329)] = 832398,
  [SMALL_STATE(21330)] = 832412,
  [SMALL_STATE(21331)] = 832426,
  [SMALL_STATE(21332)] = 832440,
  [SMALL_STATE(21333)] = 832454,
  [SMALL_STATE(21334)] = 832468,
  [SMALL_STATE(21335)] = 832482,
  [SMALL_STATE(21336)] = 832496,
  [SMALL_STATE(21337)] = 832510,
  [SMALL_STATE(21338)] = 832524,
  [SMALL_STATE(21339)] = 832538,
  [SMALL_STATE(21340)] = 832552,
  [SMALL_STATE(21341)] = 832566,
  [SMALL_STATE(21342)] = 832580,
  [SMALL_STATE(21343)] = 832594,
  [SMALL_STATE(21344)] = 832608,
  [SMALL_STATE(21345)] = 832622,
  [SMALL_STATE(21346)] = 832636,
  [SMALL_STATE(21347)] = 832650,
  [SMALL_STATE(21348)] = 832664,
  [SMALL_STATE(21349)] = 832678,
  [SMALL_STATE(21350)] = 832692,
  [SMALL_STATE(21351)] = 832706,
  [SMALL_STATE(21352)] = 832720,
  [SMALL_STATE(21353)] = 832734,
  [SMALL_STATE(21354)] = 832748,
  [SMALL_STATE(21355)] = 832762,
  [SMALL_STATE(21356)] = 832776,
  [SMALL_STATE(21357)] = 832790,
  [SMALL_STATE(21358)] = 832804,
  [SMALL_STATE(21359)] = 832818,
  [SMALL_STATE(21360)] = 832832,
  [SMALL_STATE(21361)] = 832846,
  [SMALL_STATE(21362)] = 832860,
  [SMALL_STATE(21363)] = 832874,
  [SMALL_STATE(21364)] = 832888,
  [SMALL_STATE(21365)] = 832902,
  [SMALL_STATE(21366)] = 832916,
  [SMALL_STATE(21367)] = 832930,
  [SMALL_STATE(21368)] = 832944,
  [SMALL_STATE(21369)] = 832958,
  [SMALL_STATE(21370)] = 832972,
  [SMALL_STATE(21371)] = 832986,
  [SMALL_STATE(21372)] = 833000,
  [SMALL_STATE(21373)] = 833014,
  [SMALL_STATE(21374)] = 833028,
  [SMALL_STATE(21375)] = 833042,
  [SMALL_STATE(21376)] = 833056,
  [SMALL_STATE(21377)] = 833070,
  [SMALL_STATE(21378)] = 833084,
  [SMALL_STATE(21379)] = 833098,
  [SMALL_STATE(21380)] = 833112,
  [SMALL_STATE(21381)] = 833126,
  [SMALL_STATE(21382)] = 833140,
  [SMALL_STATE(21383)] = 833154,
  [SMALL_STATE(21384)] = 833168,
  [SMALL_STATE(21385)] = 833182,
  [SMALL_STATE(21386)] = 833196,
  [SMALL_STATE(21387)] = 833210,
  [SMALL_STATE(21388)] = 833224,
  [SMALL_STATE(21389)] = 833238,
  [SMALL_STATE(21390)] = 833252,
  [SMALL_STATE(21391)] = 833266,
  [SMALL_STATE(21392)] = 833280,
  [SMALL_STATE(21393)] = 833294,
  [SMALL_STATE(21394)] = 833308,
  [SMALL_STATE(21395)] = 833322,
  [SMALL_STATE(21396)] = 833336,
  [SMALL_STATE(21397)] = 833350,
  [SMALL_STATE(21398)] = 833364,
  [SMALL_STATE(21399)] = 833378,
  [SMALL_STATE(21400)] = 833392,
  [SMALL_STATE(21401)] = 833406,
  [SMALL_STATE(21402)] = 833420,
  [SMALL_STATE(21403)] = 833434,
  [SMALL_STATE(21404)] = 833448,
  [SMALL_STATE(21405)] = 833462,
  [SMALL_STATE(21406)] = 833476,
  [SMALL_STATE(21407)] = 833490,
  [SMALL_STATE(21408)] = 833504,
  [SMALL_STATE(21409)] = 833518,
  [SMALL_STATE(21410)] = 833532,
  [SMALL_STATE(21411)] = 833546,
  [SMALL_STATE(21412)] = 833560,
  [SMALL_STATE(21413)] = 833574,
  [SMALL_STATE(21414)] = 833588,
  [SMALL_STATE(21415)] = 833602,
  [SMALL_STATE(21416)] = 833616,
  [SMALL_STATE(21417)] = 833630,
  [SMALL_STATE(21418)] = 833644,
  [SMALL_STATE(21419)] = 833658,
  [SMALL_STATE(21420)] = 833672,
  [SMALL_STATE(21421)] = 833686,
  [SMALL_STATE(21422)] = 833700,
  [SMALL_STATE(21423)] = 833714,
  [SMALL_STATE(21424)] = 833728,
  [SMALL_STATE(21425)] = 833742,
  [SMALL_STATE(21426)] = 833756,
  [SMALL_STATE(21427)] = 833770,
  [SMALL_STATE(21428)] = 833784,
  [SMALL_STATE(21429)] = 833798,
  [SMALL_STATE(21430)] = 833812,
  [SMALL_STATE(21431)] = 833826,
  [SMALL_STATE(21432)] = 833840,
  [SMALL_STATE(21433)] = 833854,
  [SMALL_STATE(21434)] = 833868,
  [SMALL_STATE(21435)] = 833882,
  [SMALL_STATE(21436)] = 833896,
  [SMALL_STATE(21437)] = 833910,
  [SMALL_STATE(21438)] = 833924,
  [SMALL_STATE(21439)] = 833938,
  [SMALL_STATE(21440)] = 833952,
  [SMALL_STATE(21441)] = 833966,
  [SMALL_STATE(21442)] = 833980,
  [SMALL_STATE(21443)] = 833994,
  [SMALL_STATE(21444)] = 834008,
  [SMALL_STATE(21445)] = 834022,
  [SMALL_STATE(21446)] = 834036,
  [SMALL_STATE(21447)] = 834050,
  [SMALL_STATE(21448)] = 834064,
  [SMALL_STATE(21449)] = 834078,
  [SMALL_STATE(21450)] = 834092,
  [SMALL_STATE(21451)] = 834106,
  [SMALL_STATE(21452)] = 834120,
  [SMALL_STATE(21453)] = 834134,
  [SMALL_STATE(21454)] = 834148,
  [SMALL_STATE(21455)] = 834162,
  [SMALL_STATE(21456)] = 834176,
  [SMALL_STATE(21457)] = 834190,
  [SMALL_STATE(21458)] = 834204,
  [SMALL_STATE(21459)] = 834218,
  [SMALL_STATE(21460)] = 834232,
  [SMALL_STATE(21461)] = 834246,
  [SMALL_STATE(21462)] = 834260,
  [SMALL_STATE(21463)] = 834274,
  [SMALL_STATE(21464)] = 834288,
  [SMALL_STATE(21465)] = 834302,
  [SMALL_STATE(21466)] = 834316,
  [SMALL_STATE(21467)] = 834330,
  [SMALL_STATE(21468)] = 834344,
  [SMALL_STATE(21469)] = 834358,
  [SMALL_STATE(21470)] = 834372,
  [SMALL_STATE(21471)] = 834386,
  [SMALL_STATE(21472)] = 834400,
  [SMALL_STATE(21473)] = 834414,
  [SMALL_STATE(21474)] = 834428,
  [SMALL_STATE(21475)] = 834442,
  [SMALL_STATE(21476)] = 834456,
  [SMALL_STATE(21477)] = 834470,
  [SMALL_STATE(21478)] = 834484,
  [SMALL_STATE(21479)] = 834498,
  [SMALL_STATE(21480)] = 834512,
  [SMALL_STATE(21481)] = 834526,
  [SMALL_STATE(21482)] = 834540,
  [SMALL_STATE(21483)] = 834554,
  [SMALL_STATE(21484)] = 834568,
  [SMALL_STATE(21485)] = 834582,
  [SMALL_STATE(21486)] = 834596,
  [SMALL_STATE(21487)] = 834610,
  [SMALL_STATE(21488)] = 834624,
  [SMALL_STATE(21489)] = 834638,
  [SMALL_STATE(21490)] = 834652,
  [SMALL_STATE(21491)] = 834666,
  [SMALL_STATE(21492)] = 834680,
  [SMALL_STATE(21493)] = 834694,
  [SMALL_STATE(21494)] = 834708,
  [SMALL_STATE(21495)] = 834722,
  [SMALL_STATE(21496)] = 834736,
  [SMALL_STATE(21497)] = 834750,
  [SMALL_STATE(21498)] = 834764,
  [SMALL_STATE(21499)] = 834778,
  [SMALL_STATE(21500)] = 834792,
  [SMALL_STATE(21501)] = 834806,
  [SMALL_STATE(21502)] = 834820,
  [SMALL_STATE(21503)] = 834834,
  [SMALL_STATE(21504)] = 834848,
  [SMALL_STATE(21505)] = 834862,
  [SMALL_STATE(21506)] = 834876,
  [SMALL_STATE(21507)] = 834890,
  [SMALL_STATE(21508)] = 834904,
  [SMALL_STATE(21509)] = 834918,
  [SMALL_STATE(21510)] = 834932,
  [SMALL_STATE(21511)] = 834946,
  [SMALL_STATE(21512)] = 834960,
  [SMALL_STATE(21513)] = 834974,
  [SMALL_STATE(21514)] = 834988,
  [SMALL_STATE(21515)] = 835002,
  [SMALL_STATE(21516)] = 835016,
  [SMALL_STATE(21517)] = 835030,
  [SMALL_STATE(21518)] = 835044,
  [SMALL_STATE(21519)] = 835058,
  [SMALL_STATE(21520)] = 835072,
  [SMALL_STATE(21521)] = 835086,
  [SMALL_STATE(21522)] = 835100,
  [SMALL_STATE(21523)] = 835114,
  [SMALL_STATE(21524)] = 835128,
  [SMALL_STATE(21525)] = 835142,
  [SMALL_STATE(21526)] = 835156,
  [SMALL_STATE(21527)] = 835170,
  [SMALL_STATE(21528)] = 835184,
  [SMALL_STATE(21529)] = 835198,
  [SMALL_STATE(21530)] = 835212,
  [SMALL_STATE(21531)] = 835226,
  [SMALL_STATE(21532)] = 835240,
  [SMALL_STATE(21533)] = 835254,
  [SMALL_STATE(21534)] = 835268,
  [SMALL_STATE(21535)] = 835282,
  [SMALL_STATE(21536)] = 835296,
  [SMALL_STATE(21537)] = 835310,
  [SMALL_STATE(21538)] = 835324,
  [SMALL_STATE(21539)] = 835338,
  [SMALL_STATE(21540)] = 835352,
  [SMALL_STATE(21541)] = 835366,
  [SMALL_STATE(21542)] = 835380,
  [SMALL_STATE(21543)] = 835394,
  [SMALL_STATE(21544)] = 835408,
  [SMALL_STATE(21545)] = 835422,
  [SMALL_STATE(21546)] = 835436,
  [SMALL_STATE(21547)] = 835450,
  [SMALL_STATE(21548)] = 835464,
  [SMALL_STATE(21549)] = 835478,
  [SMALL_STATE(21550)] = 835492,
  [SMALL_STATE(21551)] = 835506,
  [SMALL_STATE(21552)] = 835520,
  [SMALL_STATE(21553)] = 835534,
  [SMALL_STATE(21554)] = 835548,
  [SMALL_STATE(21555)] = 835562,
  [SMALL_STATE(21556)] = 835576,
  [SMALL_STATE(21557)] = 835590,
  [SMALL_STATE(21558)] = 835604,
  [SMALL_STATE(21559)] = 835618,
  [SMALL_STATE(21560)] = 835632,
  [SMALL_STATE(21561)] = 835646,
  [SMALL_STATE(21562)] = 835660,
  [SMALL_STATE(21563)] = 835674,
  [SMALL_STATE(21564)] = 835688,
  [SMALL_STATE(21565)] = 835702,
  [SMALL_STATE(21566)] = 835716,
  [SMALL_STATE(21567)] = 835730,
  [SMALL_STATE(21568)] = 835744,
  [SMALL_STATE(21569)] = 835758,
  [SMALL_STATE(21570)] = 835772,
  [SMALL_STATE(21571)] = 835786,
  [SMALL_STATE(21572)] = 835800,
  [SMALL_STATE(21573)] = 835814,
  [SMALL_STATE(21574)] = 835828,
  [SMALL_STATE(21575)] = 835842,
  [SMALL_STATE(21576)] = 835856,
  [SMALL_STATE(21577)] = 835870,
  [SMALL_STATE(21578)] = 835884,
  [SMALL_STATE(21579)] = 835898,
  [SMALL_STATE(21580)] = 835912,
  [SMALL_STATE(21581)] = 835926,
  [SMALL_STATE(21582)] = 835940,
  [SMALL_STATE(21583)] = 835954,
  [SMALL_STATE(21584)] = 835968,
  [SMALL_STATE(21585)] = 835982,
  [SMALL_STATE(21586)] = 835996,
  [SMALL_STATE(21587)] = 836010,
  [SMALL_STATE(21588)] = 836024,
  [SMALL_STATE(21589)] = 836038,
  [SMALL_STATE(21590)] = 836052,
  [SMALL_STATE(21591)] = 836066,
  [SMALL_STATE(21592)] = 836080,
  [SMALL_STATE(21593)] = 836094,
  [SMALL_STATE(21594)] = 836108,
  [SMALL_STATE(21595)] = 836122,
  [SMALL_STATE(21596)] = 836136,
  [SMALL_STATE(21597)] = 836150,
  [SMALL_STATE(21598)] = 836164,
  [SMALL_STATE(21599)] = 836178,
  [SMALL_STATE(21600)] = 836192,
  [SMALL_STATE(21601)] = 836206,
  [SMALL_STATE(21602)] = 836220,
  [SMALL_STATE(21603)] = 836234,
  [SMALL_STATE(21604)] = 836248,
  [SMALL_STATE(21605)] = 836262,
  [SMALL_STATE(21606)] = 836276,
  [SMALL_STATE(21607)] = 836290,
  [SMALL_STATE(21608)] = 836304,
  [SMALL_STATE(21609)] = 836318,
  [SMALL_STATE(21610)] = 836332,
  [SMALL_STATE(21611)] = 836346,
  [SMALL_STATE(21612)] = 836360,
  [SMALL_STATE(21613)] = 836374,
  [SMALL_STATE(21614)] = 836388,
  [SMALL_STATE(21615)] = 836402,
  [SMALL_STATE(21616)] = 836416,
  [SMALL_STATE(21617)] = 836430,
  [SMALL_STATE(21618)] = 836444,
  [SMALL_STATE(21619)] = 836458,
  [SMALL_STATE(21620)] = 836472,
  [SMALL_STATE(21621)] = 836486,
  [SMALL_STATE(21622)] = 836500,
  [SMALL_STATE(21623)] = 836514,
  [SMALL_STATE(21624)] = 836528,
  [SMALL_STATE(21625)] = 836542,
  [SMALL_STATE(21626)] = 836556,
  [SMALL_STATE(21627)] = 836570,
  [SMALL_STATE(21628)] = 836584,
  [SMALL_STATE(21629)] = 836598,
  [SMALL_STATE(21630)] = 836612,
  [SMALL_STATE(21631)] = 836626,
  [SMALL_STATE(21632)] = 836640,
  [SMALL_STATE(21633)] = 836654,
  [SMALL_STATE(21634)] = 836668,
  [SMALL_STATE(21635)] = 836682,
  [SMALL_STATE(21636)] = 836696,
  [SMALL_STATE(21637)] = 836710,
  [SMALL_STATE(21638)] = 836724,
  [SMALL_STATE(21639)] = 836738,
  [SMALL_STATE(21640)] = 836752,
  [SMALL_STATE(21641)] = 836766,
  [SMALL_STATE(21642)] = 836780,
  [SMALL_STATE(21643)] = 836794,
  [SMALL_STATE(21644)] = 836808,
  [SMALL_STATE(21645)] = 836822,
  [SMALL_STATE(21646)] = 836836,
  [SMALL_STATE(21647)] = 836850,
  [SMALL_STATE(21648)] = 836864,
  [SMALL_STATE(21649)] = 836878,
  [SMALL_STATE(21650)] = 836892,
  [SMALL_STATE(21651)] = 836906,
  [SMALL_STATE(21652)] = 836920,
  [SMALL_STATE(21653)] = 836934,
  [SMALL_STATE(21654)] = 836948,
  [SMALL_STATE(21655)] = 836962,
  [SMALL_STATE(21656)] = 836976,
  [SMALL_STATE(21657)] = 836990,
  [SMALL_STATE(21658)] = 837004,
  [SMALL_STATE(21659)] = 837018,
  [SMALL_STATE(21660)] = 837032,
  [SMALL_STATE(21661)] = 837046,
  [SMALL_STATE(21662)] = 837060,
  [SMALL_STATE(21663)] = 837074,
  [SMALL_STATE(21664)] = 837088,
  [SMALL_STATE(21665)] = 837102,
  [SMALL_STATE(21666)] = 837116,
  [SMALL_STATE(21667)] = 837130,
  [SMALL_STATE(21668)] = 837144,
  [SMALL_STATE(21669)] = 837158,
  [SMALL_STATE(21670)] = 837172,
  [SMALL_STATE(21671)] = 837186,
  [SMALL_STATE(21672)] = 837200,
  [SMALL_STATE(21673)] = 837214,
  [SMALL_STATE(21674)] = 837228,
  [SMALL_STATE(21675)] = 837242,
  [SMALL_STATE(21676)] = 837256,
  [SMALL_STATE(21677)] = 837270,
  [SMALL_STATE(21678)] = 837284,
  [SMALL_STATE(21679)] = 837298,
  [SMALL_STATE(21680)] = 837312,
  [SMALL_STATE(21681)] = 837326,
  [SMALL_STATE(21682)] = 837340,
  [SMALL_STATE(21683)] = 837354,
  [SMALL_STATE(21684)] = 837368,
  [SMALL_STATE(21685)] = 837382,
  [SMALL_STATE(21686)] = 837396,
  [SMALL_STATE(21687)] = 837410,
  [SMALL_STATE(21688)] = 837424,
  [SMALL_STATE(21689)] = 837438,
  [SMALL_STATE(21690)] = 837452,
  [SMALL_STATE(21691)] = 837466,
  [SMALL_STATE(21692)] = 837480,
  [SMALL_STATE(21693)] = 837494,
  [SMALL_STATE(21694)] = 837508,
  [SMALL_STATE(21695)] = 837522,
  [SMALL_STATE(21696)] = 837536,
  [SMALL_STATE(21697)] = 837550,
  [SMALL_STATE(21698)] = 837564,
  [SMALL_STATE(21699)] = 837578,
  [SMALL_STATE(21700)] = 837592,
  [SMALL_STATE(21701)] = 837606,
  [SMALL_STATE(21702)] = 837620,
  [SMALL_STATE(21703)] = 837634,
  [SMALL_STATE(21704)] = 837648,
  [SMALL_STATE(21705)] = 837662,
  [SMALL_STATE(21706)] = 837676,
  [SMALL_STATE(21707)] = 837690,
  [SMALL_STATE(21708)] = 837704,
  [SMALL_STATE(21709)] = 837718,
  [SMALL_STATE(21710)] = 837732,
  [SMALL_STATE(21711)] = 837746,
  [SMALL_STATE(21712)] = 837760,
  [SMALL_STATE(21713)] = 837774,
  [SMALL_STATE(21714)] = 837788,
  [SMALL_STATE(21715)] = 837802,
  [SMALL_STATE(21716)] = 837816,
  [SMALL_STATE(21717)] = 837830,
  [SMALL_STATE(21718)] = 837844,
  [SMALL_STATE(21719)] = 837858,
  [SMALL_STATE(21720)] = 837872,
  [SMALL_STATE(21721)] = 837886,
  [SMALL_STATE(21722)] = 837900,
  [SMALL_STATE(21723)] = 837914,
  [SMALL_STATE(21724)] = 837928,
  [SMALL_STATE(21725)] = 837942,
  [SMALL_STATE(21726)] = 837956,
  [SMALL_STATE(21727)] = 837970,
  [SMALL_STATE(21728)] = 837984,
  [SMALL_STATE(21729)] = 837998,
  [SMALL_STATE(21730)] = 838012,
  [SMALL_STATE(21731)] = 838026,
  [SMALL_STATE(21732)] = 838040,
  [SMALL_STATE(21733)] = 838054,
  [SMALL_STATE(21734)] = 838068,
  [SMALL_STATE(21735)] = 838082,
  [SMALL_STATE(21736)] = 838096,
  [SMALL_STATE(21737)] = 838110,
  [SMALL_STATE(21738)] = 838124,
  [SMALL_STATE(21739)] = 838138,
  [SMALL_STATE(21740)] = 838152,
  [SMALL_STATE(21741)] = 838166,
  [SMALL_STATE(21742)] = 838180,
  [SMALL_STATE(21743)] = 838194,
  [SMALL_STATE(21744)] = 838208,
  [SMALL_STATE(21745)] = 838222,
  [SMALL_STATE(21746)] = 838236,
  [SMALL_STATE(21747)] = 838250,
  [SMALL_STATE(21748)] = 838264,
  [SMALL_STATE(21749)] = 838278,
  [SMALL_STATE(21750)] = 838292,
  [SMALL_STATE(21751)] = 838306,
  [SMALL_STATE(21752)] = 838320,
  [SMALL_STATE(21753)] = 838334,
  [SMALL_STATE(21754)] = 838348,
  [SMALL_STATE(21755)] = 838362,
  [SMALL_STATE(21756)] = 838376,
  [SMALL_STATE(21757)] = 838390,
  [SMALL_STATE(21758)] = 838404,
  [SMALL_STATE(21759)] = 838418,
  [SMALL_STATE(21760)] = 838432,
  [SMALL_STATE(21761)] = 838446,
  [SMALL_STATE(21762)] = 838460,
  [SMALL_STATE(21763)] = 838474,
  [SMALL_STATE(21764)] = 838488,
  [SMALL_STATE(21765)] = 838502,
  [SMALL_STATE(21766)] = 838516,
  [SMALL_STATE(21767)] = 838530,
  [SMALL_STATE(21768)] = 838544,
  [SMALL_STATE(21769)] = 838558,
  [SMALL_STATE(21770)] = 838572,
  [SMALL_STATE(21771)] = 838586,
  [SMALL_STATE(21772)] = 838600,
  [SMALL_STATE(21773)] = 838614,
  [SMALL_STATE(21774)] = 838628,
  [SMALL_STATE(21775)] = 838642,
  [SMALL_STATE(21776)] = 838656,
  [SMALL_STATE(21777)] = 838670,
  [SMALL_STATE(21778)] = 838684,
  [SMALL_STATE(21779)] = 838698,
  [SMALL_STATE(21780)] = 838712,
  [SMALL_STATE(21781)] = 838726,
  [SMALL_STATE(21782)] = 838740,
  [SMALL_STATE(21783)] = 838754,
  [SMALL_STATE(21784)] = 838768,
  [SMALL_STATE(21785)] = 838782,
  [SMALL_STATE(21786)] = 838796,
  [SMALL_STATE(21787)] = 838810,
  [SMALL_STATE(21788)] = 838824,
  [SMALL_STATE(21789)] = 838838,
  [SMALL_STATE(21790)] = 838852,
  [SMALL_STATE(21791)] = 838866,
  [SMALL_STATE(21792)] = 838880,
  [SMALL_STATE(21793)] = 838894,
  [SMALL_STATE(21794)] = 838908,
  [SMALL_STATE(21795)] = 838922,
  [SMALL_STATE(21796)] = 838936,
  [SMALL_STATE(21797)] = 838950,
  [SMALL_STATE(21798)] = 838964,
  [SMALL_STATE(21799)] = 838978,
  [SMALL_STATE(21800)] = 838992,
  [SMALL_STATE(21801)] = 839006,
  [SMALL_STATE(21802)] = 839020,
  [SMALL_STATE(21803)] = 839034,
  [SMALL_STATE(21804)] = 839048,
  [SMALL_STATE(21805)] = 839062,
  [SMALL_STATE(21806)] = 839076,
  [SMALL_STATE(21807)] = 839090,
  [SMALL_STATE(21808)] = 839104,
  [SMALL_STATE(21809)] = 839118,
  [SMALL_STATE(21810)] = 839132,
  [SMALL_STATE(21811)] = 839146,
  [SMALL_STATE(21812)] = 839160,
  [SMALL_STATE(21813)] = 839174,
  [SMALL_STATE(21814)] = 839188,
  [SMALL_STATE(21815)] = 839202,
  [SMALL_STATE(21816)] = 839216,
  [SMALL_STATE(21817)] = 839230,
  [SMALL_STATE(21818)] = 839244,
  [SMALL_STATE(21819)] = 839258,
  [SMALL_STATE(21820)] = 839272,
  [SMALL_STATE(21821)] = 839286,
  [SMALL_STATE(21822)] = 839300,
  [SMALL_STATE(21823)] = 839314,
  [SMALL_STATE(21824)] = 839328,
  [SMALL_STATE(21825)] = 839342,
  [SMALL_STATE(21826)] = 839356,
  [SMALL_STATE(21827)] = 839370,
  [SMALL_STATE(21828)] = 839384,
  [SMALL_STATE(21829)] = 839398,
  [SMALL_STATE(21830)] = 839412,
  [SMALL_STATE(21831)] = 839426,
  [SMALL_STATE(21832)] = 839440,
  [SMALL_STATE(21833)] = 839454,
  [SMALL_STATE(21834)] = 839468,
  [SMALL_STATE(21835)] = 839482,
  [SMALL_STATE(21836)] = 839496,
  [SMALL_STATE(21837)] = 839510,
  [SMALL_STATE(21838)] = 839524,
  [SMALL_STATE(21839)] = 839538,
  [SMALL_STATE(21840)] = 839552,
  [SMALL_STATE(21841)] = 839566,
  [SMALL_STATE(21842)] = 839580,
  [SMALL_STATE(21843)] = 839594,
  [SMALL_STATE(21844)] = 839608,
  [SMALL_STATE(21845)] = 839622,
  [SMALL_STATE(21846)] = 839636,
  [SMALL_STATE(21847)] = 839650,
  [SMALL_STATE(21848)] = 839664,
  [SMALL_STATE(21849)] = 839678,
  [SMALL_STATE(21850)] = 839692,
  [SMALL_STATE(21851)] = 839706,
  [SMALL_STATE(21852)] = 839720,
  [SMALL_STATE(21853)] = 839734,
  [SMALL_STATE(21854)] = 839748,
  [SMALL_STATE(21855)] = 839762,
  [SMALL_STATE(21856)] = 839776,
  [SMALL_STATE(21857)] = 839790,
  [SMALL_STATE(21858)] = 839804,
  [SMALL_STATE(21859)] = 839818,
  [SMALL_STATE(21860)] = 839832,
  [SMALL_STATE(21861)] = 839846,
  [SMALL_STATE(21862)] = 839860,
  [SMALL_STATE(21863)] = 839874,
  [SMALL_STATE(21864)] = 839888,
  [SMALL_STATE(21865)] = 839902,
  [SMALL_STATE(21866)] = 839916,
  [SMALL_STATE(21867)] = 839930,
  [SMALL_STATE(21868)] = 839944,
  [SMALL_STATE(21869)] = 839958,
  [SMALL_STATE(21870)] = 839972,
  [SMALL_STATE(21871)] = 839986,
  [SMALL_STATE(21872)] = 840000,
  [SMALL_STATE(21873)] = 840014,
  [SMALL_STATE(21874)] = 840028,
  [SMALL_STATE(21875)] = 840042,
  [SMALL_STATE(21876)] = 840056,
  [SMALL_STATE(21877)] = 840070,
  [SMALL_STATE(21878)] = 840084,
  [SMALL_STATE(21879)] = 840098,
  [SMALL_STATE(21880)] = 840112,
  [SMALL_STATE(21881)] = 840126,
  [SMALL_STATE(21882)] = 840140,
  [SMALL_STATE(21883)] = 840154,
  [SMALL_STATE(21884)] = 840168,
  [SMALL_STATE(21885)] = 840182,
  [SMALL_STATE(21886)] = 840196,
  [SMALL_STATE(21887)] = 840210,
  [SMALL_STATE(21888)] = 840224,
  [SMALL_STATE(21889)] = 840238,
  [SMALL_STATE(21890)] = 840252,
  [SMALL_STATE(21891)] = 840266,
  [SMALL_STATE(21892)] = 840280,
  [SMALL_STATE(21893)] = 840294,
  [SMALL_STATE(21894)] = 840308,
  [SMALL_STATE(21895)] = 840322,
  [SMALL_STATE(21896)] = 840336,
  [SMALL_STATE(21897)] = 840350,
  [SMALL_STATE(21898)] = 840364,
  [SMALL_STATE(21899)] = 840378,
  [SMALL_STATE(21900)] = 840392,
  [SMALL_STATE(21901)] = 840406,
  [SMALL_STATE(21902)] = 840420,
  [SMALL_STATE(21903)] = 840434,
  [SMALL_STATE(21904)] = 840448,
  [SMALL_STATE(21905)] = 840462,
  [SMALL_STATE(21906)] = 840476,
  [SMALL_STATE(21907)] = 840490,
  [SMALL_STATE(21908)] = 840504,
  [SMALL_STATE(21909)] = 840518,
  [SMALL_STATE(21910)] = 840532,
  [SMALL_STATE(21911)] = 840546,
  [SMALL_STATE(21912)] = 840560,
  [SMALL_STATE(21913)] = 840574,
  [SMALL_STATE(21914)] = 840588,
  [SMALL_STATE(21915)] = 840602,
  [SMALL_STATE(21916)] = 840616,
  [SMALL_STATE(21917)] = 840630,
  [SMALL_STATE(21918)] = 840644,
  [SMALL_STATE(21919)] = 840658,
  [SMALL_STATE(21920)] = 840672,
  [SMALL_STATE(21921)] = 840686,
  [SMALL_STATE(21922)] = 840700,
  [SMALL_STATE(21923)] = 840714,
  [SMALL_STATE(21924)] = 840728,
  [SMALL_STATE(21925)] = 840742,
  [SMALL_STATE(21926)] = 840756,
  [SMALL_STATE(21927)] = 840770,
  [SMALL_STATE(21928)] = 840784,
  [SMALL_STATE(21929)] = 840798,
  [SMALL_STATE(21930)] = 840812,
  [SMALL_STATE(21931)] = 840826,
  [SMALL_STATE(21932)] = 840840,
  [SMALL_STATE(21933)] = 840854,
  [SMALL_STATE(21934)] = 840868,
  [SMALL_STATE(21935)] = 840882,
  [SMALL_STATE(21936)] = 840896,
  [SMALL_STATE(21937)] = 840910,
  [SMALL_STATE(21938)] = 840924,
  [SMALL_STATE(21939)] = 840938,
  [SMALL_STATE(21940)] = 840952,
  [SMALL_STATE(21941)] = 840966,
  [SMALL_STATE(21942)] = 840980,
  [SMALL_STATE(21943)] = 840994,
  [SMALL_STATE(21944)] = 841008,
  [SMALL_STATE(21945)] = 841022,
  [SMALL_STATE(21946)] = 841036,
  [SMALL_STATE(21947)] = 841050,
  [SMALL_STATE(21948)] = 841064,
  [SMALL_STATE(21949)] = 841078,
  [SMALL_STATE(21950)] = 841092,
  [SMALL_STATE(21951)] = 841106,
  [SMALL_STATE(21952)] = 841120,
  [SMALL_STATE(21953)] = 841134,
  [SMALL_STATE(21954)] = 841148,
  [SMALL_STATE(21955)] = 841162,
  [SMALL_STATE(21956)] = 841176,
  [SMALL_STATE(21957)] = 841190,
  [SMALL_STATE(21958)] = 841204,
  [SMALL_STATE(21959)] = 841218,
  [SMALL_STATE(21960)] = 841232,
  [SMALL_STATE(21961)] = 841246,
  [SMALL_STATE(21962)] = 841260,
  [SMALL_STATE(21963)] = 841274,
  [SMALL_STATE(21964)] = 841288,
  [SMALL_STATE(21965)] = 841302,
  [SMALL_STATE(21966)] = 841316,
  [SMALL_STATE(21967)] = 841330,
  [SMALL_STATE(21968)] = 841344,
  [SMALL_STATE(21969)] = 841358,
  [SMALL_STATE(21970)] = 841372,
  [SMALL_STATE(21971)] = 841386,
  [SMALL_STATE(21972)] = 841400,
  [SMALL_STATE(21973)] = 841414,
  [SMALL_STATE(21974)] = 841428,
  [SMALL_STATE(21975)] = 841442,
  [SMALL_STATE(21976)] = 841456,
  [SMALL_STATE(21977)] = 841470,
  [SMALL_STATE(21978)] = 841484,
  [SMALL_STATE(21979)] = 841498,
  [SMALL_STATE(21980)] = 841512,
  [SMALL_STATE(21981)] = 841526,
  [SMALL_STATE(21982)] = 841540,
  [SMALL_STATE(21983)] = 841554,
  [SMALL_STATE(21984)] = 841568,
  [SMALL_STATE(21985)] = 841582,
  [SMALL_STATE(21986)] = 841596,
  [SMALL_STATE(21987)] = 841610,
  [SMALL_STATE(21988)] = 841624,
  [SMALL_STATE(21989)] = 841638,
  [SMALL_STATE(21990)] = 841652,
  [SMALL_STATE(21991)] = 841666,
  [SMALL_STATE(21992)] = 841680,
  [SMALL_STATE(21993)] = 841694,
  [SMALL_STATE(21994)] = 841708,
  [SMALL_STATE(21995)] = 841722,
  [SMALL_STATE(21996)] = 841736,
  [SMALL_STATE(21997)] = 841750,
  [SMALL_STATE(21998)] = 841764,
  [SMALL_STATE(21999)] = 841778,
  [SMALL_STATE(22000)] = 841792,
  [SMALL_STATE(22001)] = 841806,
  [SMALL_STATE(22002)] = 841820,
  [SMALL_STATE(22003)] = 841834,
  [SMALL_STATE(22004)] = 841848,
  [SMALL_STATE(22005)] = 841862,
  [SMALL_STATE(22006)] = 841876,
  [SMALL_STATE(22007)] = 841890,
  [SMALL_STATE(22008)] = 841904,
  [SMALL_STATE(22009)] = 841918,
  [SMALL_STATE(22010)] = 841932,
  [SMALL_STATE(22011)] = 841946,
  [SMALL_STATE(22012)] = 841960,
  [SMALL_STATE(22013)] = 841974,
  [SMALL_STATE(22014)] = 841988,
  [SMALL_STATE(22015)] = 842002,
  [SMALL_STATE(22016)] = 842016,
  [SMALL_STATE(22017)] = 842030,
  [SMALL_STATE(22018)] = 842044,
  [SMALL_STATE(22019)] = 842058,
  [SMALL_STATE(22020)] = 842072,
  [SMALL_STATE(22021)] = 842086,
  [SMALL_STATE(22022)] = 842100,
  [SMALL_STATE(22023)] = 842114,
  [SMALL_STATE(22024)] = 842128,
  [SMALL_STATE(22025)] = 842142,
  [SMALL_STATE(22026)] = 842156,
  [SMALL_STATE(22027)] = 842170,
  [SMALL_STATE(22028)] = 842184,
  [SMALL_STATE(22029)] = 842198,
  [SMALL_STATE(22030)] = 842212,
  [SMALL_STATE(22031)] = 842226,
  [SMALL_STATE(22032)] = 842240,
  [SMALL_STATE(22033)] = 842254,
  [SMALL_STATE(22034)] = 842268,
  [SMALL_STATE(22035)] = 842282,
  [SMALL_STATE(22036)] = 842296,
  [SMALL_STATE(22037)] = 842310,
  [SMALL_STATE(22038)] = 842324,
  [SMALL_STATE(22039)] = 842338,
  [SMALL_STATE(22040)] = 842352,
  [SMALL_STATE(22041)] = 842366,
  [SMALL_STATE(22042)] = 842380,
  [SMALL_STATE(22043)] = 842394,
  [SMALL_STATE(22044)] = 842408,
  [SMALL_STATE(22045)] = 842422,
  [SMALL_STATE(22046)] = 842436,
  [SMALL_STATE(22047)] = 842450,
  [SMALL_STATE(22048)] = 842464,
  [SMALL_STATE(22049)] = 842478,
  [SMALL_STATE(22050)] = 842492,
  [SMALL_STATE(22051)] = 842506,
  [SMALL_STATE(22052)] = 842520,
  [SMALL_STATE(22053)] = 842534,
  [SMALL_STATE(22054)] = 842548,
  [SMALL_STATE(22055)] = 842562,
  [SMALL_STATE(22056)] = 842576,
  [SMALL_STATE(22057)] = 842590,
  [SMALL_STATE(22058)] = 842604,
  [SMALL_STATE(22059)] = 842618,
  [SMALL_STATE(22060)] = 842632,
  [SMALL_STATE(22061)] = 842646,
  [SMALL_STATE(22062)] = 842660,
  [SMALL_STATE(22063)] = 842674,
  [SMALL_STATE(22064)] = 842688,
  [SMALL_STATE(22065)] = 842702,
  [SMALL_STATE(22066)] = 842716,
  [SMALL_STATE(22067)] = 842730,
  [SMALL_STATE(22068)] = 842744,
  [SMALL_STATE(22069)] = 842758,
  [SMALL_STATE(22070)] = 842772,
  [SMALL_STATE(22071)] = 842786,
  [SMALL_STATE(22072)] = 842800,
  [SMALL_STATE(22073)] = 842814,
  [SMALL_STATE(22074)] = 842828,
  [SMALL_STATE(22075)] = 842842,
  [SMALL_STATE(22076)] = 842856,
  [SMALL_STATE(22077)] = 842870,
  [SMALL_STATE(22078)] = 842884,
  [SMALL_STATE(22079)] = 842898,
  [SMALL_STATE(22080)] = 842912,
  [SMALL_STATE(22081)] = 842926,
  [SMALL_STATE(22082)] = 842940,
  [SMALL_STATE(22083)] = 842954,
  [SMALL_STATE(22084)] = 842968,
  [SMALL_STATE(22085)] = 842982,
  [SMALL_STATE(22086)] = 842996,
  [SMALL_STATE(22087)] = 843010,
  [SMALL_STATE(22088)] = 843024,
  [SMALL_STATE(22089)] = 843038,
  [SMALL_STATE(22090)] = 843052,
  [SMALL_STATE(22091)] = 843066,
  [SMALL_STATE(22092)] = 843080,
  [SMALL_STATE(22093)] = 843094,
  [SMALL_STATE(22094)] = 843108,
  [SMALL_STATE(22095)] = 843122,
  [SMALL_STATE(22096)] = 843136,
  [SMALL_STATE(22097)] = 843150,
  [SMALL_STATE(22098)] = 843164,
  [SMALL_STATE(22099)] = 843178,
  [SMALL_STATE(22100)] = 843192,
  [SMALL_STATE(22101)] = 843206,
  [SMALL_STATE(22102)] = 843220,
  [SMALL_STATE(22103)] = 843234,
  [SMALL_STATE(22104)] = 843248,
  [SMALL_STATE(22105)] = 843262,
  [SMALL_STATE(22106)] = 843276,
  [SMALL_STATE(22107)] = 843290,
  [SMALL_STATE(22108)] = 843304,
  [SMALL_STATE(22109)] = 843318,
  [SMALL_STATE(22110)] = 843332,
  [SMALL_STATE(22111)] = 843346,
  [SMALL_STATE(22112)] = 843360,
  [SMALL_STATE(22113)] = 843374,
  [SMALL_STATE(22114)] = 843388,
  [SMALL_STATE(22115)] = 843402,
  [SMALL_STATE(22116)] = 843416,
  [SMALL_STATE(22117)] = 843430,
  [SMALL_STATE(22118)] = 843444,
  [SMALL_STATE(22119)] = 843458,
  [SMALL_STATE(22120)] = 843472,
  [SMALL_STATE(22121)] = 843486,
  [SMALL_STATE(22122)] = 843500,
  [SMALL_STATE(22123)] = 843514,
  [SMALL_STATE(22124)] = 843528,
  [SMALL_STATE(22125)] = 843542,
  [SMALL_STATE(22126)] = 843556,
  [SMALL_STATE(22127)] = 843570,
  [SMALL_STATE(22128)] = 843584,
  [SMALL_STATE(22129)] = 843598,
  [SMALL_STATE(22130)] = 843612,
  [SMALL_STATE(22131)] = 843626,
  [SMALL_STATE(22132)] = 843640,
  [SMALL_STATE(22133)] = 843654,
  [SMALL_STATE(22134)] = 843668,
  [SMALL_STATE(22135)] = 843682,
  [SMALL_STATE(22136)] = 843696,
  [SMALL_STATE(22137)] = 843710,
  [SMALL_STATE(22138)] = 843724,
  [SMALL_STATE(22139)] = 843738,
  [SMALL_STATE(22140)] = 843752,
  [SMALL_STATE(22141)] = 843766,
  [SMALL_STATE(22142)] = 843780,
  [SMALL_STATE(22143)] = 843794,
  [SMALL_STATE(22144)] = 843808,
  [SMALL_STATE(22145)] = 843822,
  [SMALL_STATE(22146)] = 843836,
  [SMALL_STATE(22147)] = 843850,
  [SMALL_STATE(22148)] = 843864,
  [SMALL_STATE(22149)] = 843878,
  [SMALL_STATE(22150)] = 843892,
  [SMALL_STATE(22151)] = 843906,
  [SMALL_STATE(22152)] = 843920,
  [SMALL_STATE(22153)] = 843934,
  [SMALL_STATE(22154)] = 843948,
  [SMALL_STATE(22155)] = 843962,
  [SMALL_STATE(22156)] = 843976,
  [SMALL_STATE(22157)] = 843990,
  [SMALL_STATE(22158)] = 844004,
  [SMALL_STATE(22159)] = 844018,
  [SMALL_STATE(22160)] = 844032,
  [SMALL_STATE(22161)] = 844046,
  [SMALL_STATE(22162)] = 844060,
  [SMALL_STATE(22163)] = 844074,
  [SMALL_STATE(22164)] = 844088,
  [SMALL_STATE(22165)] = 844102,
  [SMALL_STATE(22166)] = 844116,
  [SMALL_STATE(22167)] = 844130,
  [SMALL_STATE(22168)] = 844144,
  [SMALL_STATE(22169)] = 844158,
  [SMALL_STATE(22170)] = 844172,
  [SMALL_STATE(22171)] = 844186,
  [SMALL_STATE(22172)] = 844200,
  [SMALL_STATE(22173)] = 844214,
  [SMALL_STATE(22174)] = 844228,
  [SMALL_STATE(22175)] = 844242,
  [SMALL_STATE(22176)] = 844256,
  [SMALL_STATE(22177)] = 844270,
  [SMALL_STATE(22178)] = 844284,
  [SMALL_STATE(22179)] = 844298,
  [SMALL_STATE(22180)] = 844312,
  [SMALL_STATE(22181)] = 844326,
  [SMALL_STATE(22182)] = 844340,
  [SMALL_STATE(22183)] = 844354,
  [SMALL_STATE(22184)] = 844368,
  [SMALL_STATE(22185)] = 844382,
  [SMALL_STATE(22186)] = 844396,
  [SMALL_STATE(22187)] = 844410,
  [SMALL_STATE(22188)] = 844424,
  [SMALL_STATE(22189)] = 844438,
  [SMALL_STATE(22190)] = 844452,
  [SMALL_STATE(22191)] = 844466,
  [SMALL_STATE(22192)] = 844480,
  [SMALL_STATE(22193)] = 844494,
  [SMALL_STATE(22194)] = 844508,
  [SMALL_STATE(22195)] = 844522,
  [SMALL_STATE(22196)] = 844536,
  [SMALL_STATE(22197)] = 844550,
  [SMALL_STATE(22198)] = 844564,
  [SMALL_STATE(22199)] = 844578,
  [SMALL_STATE(22200)] = 844592,
  [SMALL_STATE(22201)] = 844606,
  [SMALL_STATE(22202)] = 844620,
  [SMALL_STATE(22203)] = 844634,
  [SMALL_STATE(22204)] = 844648,
  [SMALL_STATE(22205)] = 844662,
  [SMALL_STATE(22206)] = 844676,
  [SMALL_STATE(22207)] = 844690,
  [SMALL_STATE(22208)] = 844704,
  [SMALL_STATE(22209)] = 844718,
  [SMALL_STATE(22210)] = 844732,
  [SMALL_STATE(22211)] = 844746,
  [SMALL_STATE(22212)] = 844760,
  [SMALL_STATE(22213)] = 844774,
  [SMALL_STATE(22214)] = 844788,
  [SMALL_STATE(22215)] = 844802,
  [SMALL_STATE(22216)] = 844816,
  [SMALL_STATE(22217)] = 844830,
  [SMALL_STATE(22218)] = 844844,
  [SMALL_STATE(22219)] = 844858,
  [SMALL_STATE(22220)] = 844872,
  [SMALL_STATE(22221)] = 844886,
  [SMALL_STATE(22222)] = 844900,
  [SMALL_STATE(22223)] = 844914,
  [SMALL_STATE(22224)] = 844928,
  [SMALL_STATE(22225)] = 844942,
  [SMALL_STATE(22226)] = 844956,
  [SMALL_STATE(22227)] = 844970,
  [SMALL_STATE(22228)] = 844984,
  [SMALL_STATE(22229)] = 844998,
  [SMALL_STATE(22230)] = 845012,
  [SMALL_STATE(22231)] = 845026,
  [SMALL_STATE(22232)] = 845040,
  [SMALL_STATE(22233)] = 845054,
  [SMALL_STATE(22234)] = 845068,
  [SMALL_STATE(22235)] = 845082,
  [SMALL_STATE(22236)] = 845096,
  [SMALL_STATE(22237)] = 845110,
  [SMALL_STATE(22238)] = 845124,
  [SMALL_STATE(22239)] = 845138,
  [SMALL_STATE(22240)] = 845152,
  [SMALL_STATE(22241)] = 845166,
  [SMALL_STATE(22242)] = 845180,
  [SMALL_STATE(22243)] = 845194,
  [SMALL_STATE(22244)] = 845208,
  [SMALL_STATE(22245)] = 845222,
  [SMALL_STATE(22246)] = 845236,
  [SMALL_STATE(22247)] = 845250,
  [SMALL_STATE(22248)] = 845264,
  [SMALL_STATE(22249)] = 845278,
  [SMALL_STATE(22250)] = 845292,
  [SMALL_STATE(22251)] = 845306,
  [SMALL_STATE(22252)] = 845320,
  [SMALL_STATE(22253)] = 845334,
  [SMALL_STATE(22254)] = 845348,
  [SMALL_STATE(22255)] = 845362,
  [SMALL_STATE(22256)] = 845376,
  [SMALL_STATE(22257)] = 845390,
  [SMALL_STATE(22258)] = 845404,
  [SMALL_STATE(22259)] = 845418,
  [SMALL_STATE(22260)] = 845432,
  [SMALL_STATE(22261)] = 845446,
  [SMALL_STATE(22262)] = 845460,
  [SMALL_STATE(22263)] = 845474,
  [SMALL_STATE(22264)] = 845488,
  [SMALL_STATE(22265)] = 845502,
  [SMALL_STATE(22266)] = 845516,
  [SMALL_STATE(22267)] = 845530,
  [SMALL_STATE(22268)] = 845544,
  [SMALL_STATE(22269)] = 845558,
  [SMALL_STATE(22270)] = 845572,
  [SMALL_STATE(22271)] = 845586,
  [SMALL_STATE(22272)] = 845600,
  [SMALL_STATE(22273)] = 845614,
  [SMALL_STATE(22274)] = 845628,
  [SMALL_STATE(22275)] = 845642,
  [SMALL_STATE(22276)] = 845656,
  [SMALL_STATE(22277)] = 845670,
  [SMALL_STATE(22278)] = 845684,
  [SMALL_STATE(22279)] = 845698,
  [SMALL_STATE(22280)] = 845712,
  [SMALL_STATE(22281)] = 845726,
  [SMALL_STATE(22282)] = 845740,
  [SMALL_STATE(22283)] = 845754,
  [SMALL_STATE(22284)] = 845768,
  [SMALL_STATE(22285)] = 845782,
  [SMALL_STATE(22286)] = 845796,
  [SMALL_STATE(22287)] = 845810,
  [SMALL_STATE(22288)] = 845824,
  [SMALL_STATE(22289)] = 845838,
  [SMALL_STATE(22290)] = 845852,
  [SMALL_STATE(22291)] = 845866,
  [SMALL_STATE(22292)] = 845880,
  [SMALL_STATE(22293)] = 845894,
  [SMALL_STATE(22294)] = 845908,
  [SMALL_STATE(22295)] = 845922,
  [SMALL_STATE(22296)] = 845936,
  [SMALL_STATE(22297)] = 845950,
  [SMALL_STATE(22298)] = 845964,
  [SMALL_STATE(22299)] = 845978,
  [SMALL_STATE(22300)] = 845992,
  [SMALL_STATE(22301)] = 846006,
  [SMALL_STATE(22302)] = 846020,
  [SMALL_STATE(22303)] = 846034,
  [SMALL_STATE(22304)] = 846048,
  [SMALL_STATE(22305)] = 846062,
  [SMALL_STATE(22306)] = 846076,
  [SMALL_STATE(22307)] = 846090,
  [SMALL_STATE(22308)] = 846104,
  [SMALL_STATE(22309)] = 846118,
  [SMALL_STATE(22310)] = 846132,
  [SMALL_STATE(22311)] = 846146,
  [SMALL_STATE(22312)] = 846160,
  [SMALL_STATE(22313)] = 846174,
  [SMALL_STATE(22314)] = 846188,
  [SMALL_STATE(22315)] = 846202,
  [SMALL_STATE(22316)] = 846216,
  [SMALL_STATE(22317)] = 846230,
  [SMALL_STATE(22318)] = 846244,
  [SMALL_STATE(22319)] = 846258,
  [SMALL_STATE(22320)] = 846272,
  [SMALL_STATE(22321)] = 846286,
  [SMALL_STATE(22322)] = 846300,
  [SMALL_STATE(22323)] = 846314,
  [SMALL_STATE(22324)] = 846328,
  [SMALL_STATE(22325)] = 846342,
  [SMALL_STATE(22326)] = 846356,
  [SMALL_STATE(22327)] = 846370,
  [SMALL_STATE(22328)] = 846384,
  [SMALL_STATE(22329)] = 846398,
  [SMALL_STATE(22330)] = 846412,
  [SMALL_STATE(22331)] = 846426,
  [SMALL_STATE(22332)] = 846440,
  [SMALL_STATE(22333)] = 846454,
  [SMALL_STATE(22334)] = 846468,
  [SMALL_STATE(22335)] = 846482,
  [SMALL_STATE(22336)] = 846496,
  [SMALL_STATE(22337)] = 846510,
  [SMALL_STATE(22338)] = 846524,
  [SMALL_STATE(22339)] = 846538,
  [SMALL_STATE(22340)] = 846552,
  [SMALL_STATE(22341)] = 846566,
  [SMALL_STATE(22342)] = 846580,
  [SMALL_STATE(22343)] = 846594,
  [SMALL_STATE(22344)] = 846608,
  [SMALL_STATE(22345)] = 846622,
  [SMALL_STATE(22346)] = 846636,
  [SMALL_STATE(22347)] = 846650,
  [SMALL_STATE(22348)] = 846664,
  [SMALL_STATE(22349)] = 846678,
  [SMALL_STATE(22350)] = 846692,
  [SMALL_STATE(22351)] = 846706,
  [SMALL_STATE(22352)] = 846720,
  [SMALL_STATE(22353)] = 846734,
  [SMALL_STATE(22354)] = 846748,
  [SMALL_STATE(22355)] = 846762,
  [SMALL_STATE(22356)] = 846776,
  [SMALL_STATE(22357)] = 846790,
  [SMALL_STATE(22358)] = 846804,
  [SMALL_STATE(22359)] = 846818,
  [SMALL_STATE(22360)] = 846832,
  [SMALL_STATE(22361)] = 846846,
  [SMALL_STATE(22362)] = 846860,
  [SMALL_STATE(22363)] = 846874,
  [SMALL_STATE(22364)] = 846888,
  [SMALL_STATE(22365)] = 846902,
  [SMALL_STATE(22366)] = 846916,
  [SMALL_STATE(22367)] = 846930,
  [SMALL_STATE(22368)] = 846944,
  [SMALL_STATE(22369)] = 846958,
  [SMALL_STATE(22370)] = 846972,
  [SMALL_STATE(22371)] = 846986,
  [SMALL_STATE(22372)] = 847000,
  [SMALL_STATE(22373)] = 847014,
  [SMALL_STATE(22374)] = 847028,
  [SMALL_STATE(22375)] = 847042,
  [SMALL_STATE(22376)] = 847056,
  [SMALL_STATE(22377)] = 847070,
  [SMALL_STATE(22378)] = 847084,
  [SMALL_STATE(22379)] = 847098,
  [SMALL_STATE(22380)] = 847112,
  [SMALL_STATE(22381)] = 847126,
  [SMALL_STATE(22382)] = 847140,
  [SMALL_STATE(22383)] = 847154,
  [SMALL_STATE(22384)] = 847168,
  [SMALL_STATE(22385)] = 847182,
  [SMALL_STATE(22386)] = 847196,
  [SMALL_STATE(22387)] = 847210,
  [SMALL_STATE(22388)] = 847224,
  [SMALL_STATE(22389)] = 847238,
  [SMALL_STATE(22390)] = 847252,
  [SMALL_STATE(22391)] = 847266,
  [SMALL_STATE(22392)] = 847280,
  [SMALL_STATE(22393)] = 847294,
  [SMALL_STATE(22394)] = 847308,
  [SMALL_STATE(22395)] = 847322,
  [SMALL_STATE(22396)] = 847336,
  [SMALL_STATE(22397)] = 847350,
  [SMALL_STATE(22398)] = 847364,
  [SMALL_STATE(22399)] = 847378,
  [SMALL_STATE(22400)] = 847392,
  [SMALL_STATE(22401)] = 847406,
  [SMALL_STATE(22402)] = 847420,
  [SMALL_STATE(22403)] = 847434,
  [SMALL_STATE(22404)] = 847448,
  [SMALL_STATE(22405)] = 847462,
  [SMALL_STATE(22406)] = 847476,
  [SMALL_STATE(22407)] = 847490,
  [SMALL_STATE(22408)] = 847504,
  [SMALL_STATE(22409)] = 847518,
  [SMALL_STATE(22410)] = 847532,
  [SMALL_STATE(22411)] = 847546,
  [SMALL_STATE(22412)] = 847560,
  [SMALL_STATE(22413)] = 847574,
  [SMALL_STATE(22414)] = 847588,
  [SMALL_STATE(22415)] = 847602,
  [SMALL_STATE(22416)] = 847616,
  [SMALL_STATE(22417)] = 847630,
  [SMALL_STATE(22418)] = 847644,
  [SMALL_STATE(22419)] = 847658,
  [SMALL_STATE(22420)] = 847672,
  [SMALL_STATE(22421)] = 847686,
  [SMALL_STATE(22422)] = 847700,
  [SMALL_STATE(22423)] = 847714,
  [SMALL_STATE(22424)] = 847728,
  [SMALL_STATE(22425)] = 847742,
  [SMALL_STATE(22426)] = 847756,
  [SMALL_STATE(22427)] = 847770,
  [SMALL_STATE(22428)] = 847784,
  [SMALL_STATE(22429)] = 847798,
  [SMALL_STATE(22430)] = 847812,
  [SMALL_STATE(22431)] = 847826,
  [SMALL_STATE(22432)] = 847840,
  [SMALL_STATE(22433)] = 847854,
  [SMALL_STATE(22434)] = 847868,
  [SMALL_STATE(22435)] = 847882,
  [SMALL_STATE(22436)] = 847896,
  [SMALL_STATE(22437)] = 847910,
  [SMALL_STATE(22438)] = 847924,
  [SMALL_STATE(22439)] = 847938,
  [SMALL_STATE(22440)] = 847952,
  [SMALL_STATE(22441)] = 847966,
  [SMALL_STATE(22442)] = 847980,
  [SMALL_STATE(22443)] = 847994,
  [SMALL_STATE(22444)] = 848008,
  [SMALL_STATE(22445)] = 848022,
  [SMALL_STATE(22446)] = 848036,
  [SMALL_STATE(22447)] = 848050,
  [SMALL_STATE(22448)] = 848064,
  [SMALL_STATE(22449)] = 848078,
  [SMALL_STATE(22450)] = 848092,
  [SMALL_STATE(22451)] = 848106,
  [SMALL_STATE(22452)] = 848120,
  [SMALL_STATE(22453)] = 848134,
  [SMALL_STATE(22454)] = 848148,
  [SMALL_STATE(22455)] = 848162,
  [SMALL_STATE(22456)] = 848176,
  [SMALL_STATE(22457)] = 848190,
  [SMALL_STATE(22458)] = 848204,
  [SMALL_STATE(22459)] = 848218,
  [SMALL_STATE(22460)] = 848232,
  [SMALL_STATE(22461)] = 848246,
  [SMALL_STATE(22462)] = 848260,
  [SMALL_STATE(22463)] = 848274,
  [SMALL_STATE(22464)] = 848288,
  [SMALL_STATE(22465)] = 848302,
  [SMALL_STATE(22466)] = 848316,
  [SMALL_STATE(22467)] = 848330,
  [SMALL_STATE(22468)] = 848344,
  [SMALL_STATE(22469)] = 848358,
  [SMALL_STATE(22470)] = 848372,
  [SMALL_STATE(22471)] = 848386,
  [SMALL_STATE(22472)] = 848400,
  [SMALL_STATE(22473)] = 848414,
  [SMALL_STATE(22474)] = 848428,
  [SMALL_STATE(22475)] = 848442,
  [SMALL_STATE(22476)] = 848456,
  [SMALL_STATE(22477)] = 848470,
  [SMALL_STATE(22478)] = 848484,
  [SMALL_STATE(22479)] = 848498,
  [SMALL_STATE(22480)] = 848512,
  [SMALL_STATE(22481)] = 848526,
  [SMALL_STATE(22482)] = 848540,
  [SMALL_STATE(22483)] = 848554,
  [SMALL_STATE(22484)] = 848568,
  [SMALL_STATE(22485)] = 848582,
  [SMALL_STATE(22486)] = 848596,
  [SMALL_STATE(22487)] = 848610,
  [SMALL_STATE(22488)] = 848624,
  [SMALL_STATE(22489)] = 848638,
  [SMALL_STATE(22490)] = 848652,
  [SMALL_STATE(22491)] = 848666,
  [SMALL_STATE(22492)] = 848680,
  [SMALL_STATE(22493)] = 848694,
  [SMALL_STATE(22494)] = 848708,
  [SMALL_STATE(22495)] = 848722,
  [SMALL_STATE(22496)] = 848736,
  [SMALL_STATE(22497)] = 848750,
  [SMALL_STATE(22498)] = 848764,
  [SMALL_STATE(22499)] = 848778,
  [SMALL_STATE(22500)] = 848792,
  [SMALL_STATE(22501)] = 848806,
  [SMALL_STATE(22502)] = 848820,
  [SMALL_STATE(22503)] = 848834,
  [SMALL_STATE(22504)] = 848848,
  [SMALL_STATE(22505)] = 848862,
  [SMALL_STATE(22506)] = 848876,
  [SMALL_STATE(22507)] = 848890,
  [SMALL_STATE(22508)] = 848904,
  [SMALL_STATE(22509)] = 848918,
  [SMALL_STATE(22510)] = 848932,
  [SMALL_STATE(22511)] = 848946,
  [SMALL_STATE(22512)] = 848960,
  [SMALL_STATE(22513)] = 848974,
  [SMALL_STATE(22514)] = 848988,
  [SMALL_STATE(22515)] = 849002,
  [SMALL_STATE(22516)] = 849016,
  [SMALL_STATE(22517)] = 849030,
  [SMALL_STATE(22518)] = 849044,
  [SMALL_STATE(22519)] = 849058,
  [SMALL_STATE(22520)] = 849072,
  [SMALL_STATE(22521)] = 849086,
  [SMALL_STATE(22522)] = 849100,
  [SMALL_STATE(22523)] = 849114,
  [SMALL_STATE(22524)] = 849128,
  [SMALL_STATE(22525)] = 849142,
  [SMALL_STATE(22526)] = 849156,
  [SMALL_STATE(22527)] = 849170,
  [SMALL_STATE(22528)] = 849184,
  [SMALL_STATE(22529)] = 849198,
  [SMALL_STATE(22530)] = 849212,
  [SMALL_STATE(22531)] = 849226,
  [SMALL_STATE(22532)] = 849240,
  [SMALL_STATE(22533)] = 849254,
  [SMALL_STATE(22534)] = 849268,
  [SMALL_STATE(22535)] = 849282,
  [SMALL_STATE(22536)] = 849296,
  [SMALL_STATE(22537)] = 849310,
  [SMALL_STATE(22538)] = 849324,
  [SMALL_STATE(22539)] = 849328,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17488),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15422),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13459),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14771),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14990),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12261),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12636),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14924),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11765),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5805),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15471),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4556),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4641),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15380),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15760),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17496),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17555),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17727),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17805),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17811),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9464),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14802),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13927),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18695),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19173),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5111),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15240),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11736),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5816),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4643),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4644),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15589),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15644),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17201),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17820),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14770),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13962),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18695),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18774),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12148),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11703),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17301),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11114),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16514),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11449),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8299),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7936),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14257),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22538),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11842),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13884),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10544),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11845),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10974),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10595),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10007),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13182),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10907),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10652),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12092),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11172),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11203),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12249),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11682),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11257),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12240),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11948),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14149),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10251),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10864),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14268),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14580),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10875),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10564),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14323),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10168),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 21),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 2, 0, 21),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11700),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15283),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15655),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17673),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18067),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17843),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14769),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13842),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18913),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11758),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15341),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15649),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17645),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18052),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14695),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13816),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18476),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11717),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5870),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15314),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15671),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17677),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18069),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14776),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13844),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18992),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11651),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5845),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15310),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15749),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17611),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18024),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14658),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13694),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18933),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11794),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15267),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15642),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17671),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18066),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14759),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13841),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18885),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11916),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15333),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15692),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17681),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18071),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14781),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13845),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19011),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11622),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5877),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15349),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15716),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17687),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18074),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14789),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13846),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19030),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13425),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5191),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14797),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15252),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15034),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14610),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11659),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5817),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15384),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15744),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17293),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17840),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14812),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13819),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18254),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18340),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10134),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11718),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15432),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15712),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17402),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17871),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14712),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13959),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18517),
  [851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1, 0, 0),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11605),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5843),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15619),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15875),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17584),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18005),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14806),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13619),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19208),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 3, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 2, 0, 0),
  [909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 4, 0, 0),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 1, 0, 0),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 1, 0, 0),
  [915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 2, 0, 0),
  [917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 3, 0, 0),
  [919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 4, 0, 0),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4227),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11920),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5842),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15590),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15859),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17575),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18002),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14791),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13603),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18953),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11598),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5850),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15567),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15849),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17643),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18050),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14650),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13803),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19041),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4477),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11820),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5852),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15445),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15737),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17651),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18056),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14737),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13833),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18689),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4675),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11884),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5821),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15335),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15697),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17459),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17917),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14679),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13779),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18731),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4999),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11625),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5844),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15617),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15837),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17601),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18013),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14704),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13652),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18478),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4491),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4761),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11684),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5909),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15552),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15648),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17624),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18036),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14649),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13749),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19139),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5719),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11695),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5872),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15620),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4653),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15413),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15724),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17626),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18038),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14822),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13756),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18705),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15615),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4631),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5876),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11775),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15546),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15834),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17352),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17859),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14648),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13967),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18958),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5818),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6278),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11924),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5860),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15622),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15632),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17488),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17659),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18060),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14751),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13839),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18854),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6124),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11704),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15568),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15637),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17489),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17941),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14761),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13929),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18473),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6354),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11850),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5829),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15257),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15658),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17497),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17946),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14645),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13970),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19096),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11656),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5789),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15269),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15660),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16855),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17739),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14808),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13791),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18285),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17843),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6595),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6736),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11913),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5878),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15256),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4648),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4649),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15583),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15847),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17657),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18059),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14747),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13837),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18817),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5858),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6683),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6773),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11838),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5859),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15487),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15846),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17482),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17936),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14810),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13907),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19267),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5827),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6766),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6952),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11882),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5857),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15509),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15793),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17655),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18058),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14744),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13835),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18729),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22379),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12641),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21841),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9400),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20934),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21462),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21466),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21462),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22374),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12617),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20945),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21596),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22375),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12623),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21485),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19483),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7075),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7688),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11714),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5861),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15381),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15740),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17530),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17974),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14689),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13850),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18431),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10524),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22376),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12630),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19318),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20966),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7091),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7677),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11910),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5862),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15409),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15757),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17538),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17980),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14713),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13881),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18235),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22377),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12631),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20026),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19331),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7360),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11734),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5863),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15514),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15824),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17556),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17990),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14736),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13573),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18155),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10831),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22378),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12634),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20922),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20033),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7105),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7662),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11886),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5864),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15550),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15836),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17567),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17997),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14768),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13582),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18606),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10996),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5830),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22380),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12649),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19424),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21874),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13297),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22317),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12710),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21666),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21668),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22381),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12665),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19839),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19430),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22382),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12681),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20339),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19852),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6991),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7571),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11661),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15437),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15808),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17473),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17931),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14637),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13863),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19095),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22384),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12685),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21357),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20844),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22385),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12698),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21717),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21363),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22341),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13047),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19981),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20839),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22386),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12702),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22158),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21727),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22387),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12713),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20490),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22174),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7299),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11843),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5854),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15469),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15765),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17653),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18057),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14740),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13834),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18710),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22388),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12717),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20605),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20737),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22389),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12723),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20860),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20673),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20285),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12733),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20298),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21458),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22344),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12699),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22206),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20177),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22390),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12732),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21386),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19412),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22391),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12734),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21794),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20868),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22393),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12738),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22160),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21799),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22347),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12592),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20413),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19752),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22394),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12745),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22267),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22034),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22395),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12749),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22455),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22166),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8215),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22396),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12753),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19327),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22273),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22350),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12840),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21574),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20458),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22397),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12758),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19377),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22498),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22398),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12767),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19414),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19334),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22399),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12770),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19491),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19378),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22351),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12894),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22113),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20041),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22400),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12772),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19576),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19419),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22401),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12773),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19623),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19493),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22402),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12775),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19683),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19578),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22353),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12934),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21582),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22339),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22403),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12780),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19761),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19631),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22404),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12783),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19797),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19685),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22405),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12786),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19826),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19765),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22356),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20594),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19941),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22357),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13039),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21559),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20598),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22359),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12484),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20089),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19519),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22299),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13015),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20354),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20356),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22361),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12503),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19470),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20819),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22362),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12522),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19864),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21635),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22364),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12536),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20688),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19869),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22366),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12543),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21472),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20694),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22367),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12554),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22059),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21228),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22368),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12564),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22485),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21474),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22369),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12577),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22092),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22061),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22370),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12591),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22440),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22488),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22371),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12598),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19475),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22413),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7657),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7957),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3631),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11904),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5832),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15563),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15840),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17069),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17793),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14714),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13810),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19106),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7286),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7880),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11748),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5839),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15360),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15734),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17126),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17807),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14720),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13580),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18347),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5837),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7706),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8257),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11689),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5835),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15334),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15715),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17100),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17801),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14693),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13840),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19145),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5831),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5833),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8087),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11720),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5841),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15354),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15720),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17176),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17816),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14666),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13875),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18846),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5840),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5800),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8081),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11917),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15388),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15756),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17466),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17926),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14749),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13820),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18839),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5804),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5806),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [3381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5814),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [3395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7155),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7296),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5118),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5312),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8654),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8336),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4766),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5197),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5784),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5914),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13297),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [3443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8551),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7333),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6956),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7923),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6740),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7330),
  [3461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8049),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6208),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8034),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8088),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7577),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8271),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6793),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6374),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8091),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6983),
  [3497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10623),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7713),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8806),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7292),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10831),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8117),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8877),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17671),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18066),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13913),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17402),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17871),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11774),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17673),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18067),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17643),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18050),
  [3535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [3539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19293),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14805),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20186),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17677),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18069),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17626),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18038),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17681),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18071),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17645),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18052),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17459),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17917),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [3571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19287),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14677),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22328),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17687),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18074),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17611),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18024),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17201),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17820),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17624),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18036),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17575),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18002),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17651),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18056),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17352),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17859),
  [3607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [3609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18914),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14709),
  [3613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21022),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17584),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18005),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17555),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17727),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17293),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17840),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17601),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18013),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8707),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [3655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [3657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19176),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14796),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22532),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3861),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18246),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14656),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19976),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10616),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18387),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14691),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21825),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19299),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14823),
  [3703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19778),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18297),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14825),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20978),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10832),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18204),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14647),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22293),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9149),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9032),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10650),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11760),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9252),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8290),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4727),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19270),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14731),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22289),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4710),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19273),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14696),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19456),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4741),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18415),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14772),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22022),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [3847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3426),
  [3850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36),
  [3852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36),
  [3854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18914),
  [3857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(226),
  [3860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1765),
  [3863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3503),
  [3866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3529),
  [3869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11717),
  [3872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1766),
  [3875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15314),
  [3878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15671),
  [3881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(319),
  [3884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3589),
  [3887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17677),
  [3890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18069),
  [3893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3505),
  [3896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14776),
  [3899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13844),
  [3902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5260),
  [3905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3535),
  [3908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18992),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10501),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10502),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10518),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10521),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [4079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 2, 0, 20),
  [4081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 2, 0, 20),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [4089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3415),
  [4092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19287),
  [4095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(220),
  [4098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1743),
  [4101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3468),
  [4104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3509),
  [4107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11700),
  [4110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1744),
  [4113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15283),
  [4116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15655),
  [4119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(315),
  [4122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3697),
  [4125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17673),
  [4128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18067),
  [4131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3470),
  [4134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14769),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13842),
  [4140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5236),
  [4143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3507),
  [4146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18913),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10527),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10529),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [4219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3794),
  [4222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19293),
  [4225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(196),
  [4228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1940),
  [4231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3460),
  [4234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3419),
  [4237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11758),
  [4240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1941),
  [4243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15341),
  [4246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15649),
  [4249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(301),
  [4252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3694),
  [4255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17645),
  [4258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18052),
  [4261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3461),
  [4264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14695),
  [4267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13816),
  [4270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5155),
  [4273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3407),
  [4276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18476),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8208),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [4309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18787),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14685),
  [4313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20864),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [4371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19186),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14671),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20742),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8870),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [4513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18757),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14728),
  [4517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22110),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11084),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10928),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10973),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11000),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11003),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [4651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4011),
  [4654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18387),
  [4657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(218),
  [4660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1732),
  [4663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4079),
  [4666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3499),
  [4669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11794),
  [4672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1733),
  [4675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15267),
  [4678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15642),
  [4681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(314),
  [4684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3912),
  [4687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17671),
  [4690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18066),
  [4693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4080),
  [4696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14759),
  [4699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13841),
  [4702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5221),
  [4705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4088),
  [4708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18885),
  [4711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4073),
  [4714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18297),
  [4717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(231),
  [4720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1788),
  [4723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4109),
  [4726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3547),
  [4729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11622),
  [4732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1789),
  [4735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15349),
  [4738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15716),
  [4741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(322),
  [4744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4009),
  [4747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17687),
  [4750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18074),
  [4753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4110),
  [4756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14789),
  [4759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13846),
  [4762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5272),
  [4765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4126),
  [4768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19030),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19228),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14783),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20746),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [4781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3850),
  [4784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19176),
  [4787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(173),
  [4790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1821),
  [4793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3884),
  [4796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3726),
  [4799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11605),
  [4802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1822),
  [4805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15619),
  [4808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15875),
  [4811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(287),
  [4814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4260),
  [4817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17584),
  [4820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18005),
  [4823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3885),
  [4826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14806),
  [4829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13619),
  [4832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5405),
  [4835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3901),
  [4838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19208),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5444),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18903),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14824),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21634),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5165),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18819),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14815),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20131),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [4861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4071),
  [4864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19299),
  [4867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(228),
  [4870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1776),
  [4873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4103),
  [4876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3538),
  [4879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11916),
  [4882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1777),
  [4885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15333),
  [4888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15692),
  [4891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(321),
  [4894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3973),
  [4897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17681),
  [4900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18071),
  [4903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4104),
  [4906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14781),
  [4909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13845),
  [4912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5267),
  [4915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4118),
  [4918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19011),
  [4921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4206),
  [4924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18204),
  [4927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(243),
  [4930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1756),
  [4933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4214),
  [4936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3520),
  [4939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11718),
  [4942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1761),
  [4945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15432),
  [4948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15712),
  [4951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(307),
  [4954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4158),
  [4957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17402),
  [4960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17871),
  [4963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4215),
  [4966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14712),
  [4969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13959),
  [4972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5162),
  [4975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4222),
  [4978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18517),
  [4981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3861),
  [4984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18246),
  [4987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(182),
  [4990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1873),
  [4993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3906),
  [4996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3811),
  [4999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11651),
  [5002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1874),
  [5005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15310),
  [5008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15749),
  [5011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(292),
  [5014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4375),
  [5017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17611),
  [5020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18024),
  [5023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3907),
  [5026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14658),
  [5029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13694),
  [5032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5094),
  [5035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3951),
  [5038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18933),
  [5041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4710),
  [5044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19273),
  [5047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(194),
  [5050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1926),
  [5053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4572),
  [5056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3409),
  [5059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11598),
  [5062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1928),
  [5065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15567),
  [5068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15849),
  [5071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(297),
  [5074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4467),
  [5077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17643),
  [5080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18050),
  [5083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4573),
  [5086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14650),
  [5089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13803),
  [5092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5138),
  [5095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4691),
  [5098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19041),
  [5101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4727),
  [5104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19270),
  [5107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(171),
  [5110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1805),
  [5113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4490),
  [5116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3695),
  [5119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11920),
  [5122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1807),
  [5125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15590),
  [5128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15859),
  [5131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(285),
  [5134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4495),
  [5137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17575),
  [5140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18002),
  [5143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4508),
  [5146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14791),
  [5149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13603),
  [5152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5385),
  [5155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4685),
  [5158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18953),
  [5161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4741),
  [5164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18415),
  [5167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(202),
  [5170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1967),
  [5173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4477),
  [5176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3439),
  [5179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11820),
  [5182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1968),
  [5185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15445),
  [5188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15737),
  [5191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(304),
  [5194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4501),
  [5197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17651),
  [5200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18056),
  [5203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4478),
  [5206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14737),
  [5209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13833),
  [5212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5176),
  [5215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4526),
  [5218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18689),
  [5221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4968),
  [5224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19186),
  [5227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(176),
  [5230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1838),
  [5233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4999),
  [5236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3760),
  [5239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11625),
  [5242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1839),
  [5245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15617),
  [5248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15837),
  [5251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(288),
  [5254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5000),
  [5257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17601),
  [5260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18013),
  [5263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5001),
  [5266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14704),
  [5269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13652),
  [5272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5427),
  [5275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4763),
  [5278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18478),
  [5281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4899),
  [5284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18757),
  [5287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(184),
  [5290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1887),
  [5293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4761),
  [5296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3377),
  [5299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11684),
  [5302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1888),
  [5305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15552),
  [5308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15648),
  [5311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(293),
  [5314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4970),
  [5317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17624),
  [5320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18036),
  [5323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4762),
  [5326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14649),
  [5329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13749),
  [5332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5101),
  [5335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4843),
  [5338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19139),
  [5341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4930),
  [5344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18787),
  [5347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(249),
  [5350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1853),
  [5353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4937),
  [5356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3659),
  [5359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11884),
  [5362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1870),
  [5365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15335),
  [5368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15697),
  [5371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(316),
  [5374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4853),
  [5377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17459),
  [5380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17917),
  [5383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4938),
  [5386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14679),
  [5389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13779),
  [5392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5419),
  [5395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4951),
  [5398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18731),
  [5401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5165),
  [5404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18819),
  [5407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(235),
  [5410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1890),
  [5413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5191),
  [5416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3582),
  [5419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11659),
  [5422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1894),
  [5425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15384),
  [5428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15744),
  [5431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(294),
  [5434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5382),
  [5437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17293),
  [5440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17840),
  [5443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5193),
  [5446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14812),
  [5449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13819),
  [5452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5383),
  [5455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5194),
  [5458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18340),
  [5461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5444),
  [5464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18903),
  [5467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(191),
  [5470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1787),
  [5473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5415),
  [5476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3500),
  [5479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11765),
  [5482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1896),
  [5485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15380),
  [5488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15760),
  [5491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(289),
  [5494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5443),
  [5497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17555),
  [5500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17727),
  [5503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5281),
  [5506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14802),
  [5509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13927),
  [5512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5310),
  [5515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5107),
  [5518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19173),
  [5521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5086),
  [5524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19228),
  [5527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(224),
  [5530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1966),
  [5533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5111),
  [5536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3586),
  [5539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11736),
  [5542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1796),
  [5545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15589),
  [5548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15644),
  [5551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(286),
  [5554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5293),
  [5557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17201),
  [5560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17820),
  [5563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5112),
  [5566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14770),
  [5569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13962),
  [5572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5296),
  [5575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5115),
  [5578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18774),
  [5581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5882),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18873),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14646),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20933),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [5591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5950),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19201),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14792),
  [5597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21944),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6097),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19052),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14636),
  [5607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20189),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [5611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [5613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19059),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14700),
  [5617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21416),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [5621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [5623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18385),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14829),
  [5627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21216),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [5631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5882),
  [5634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18873),
  [5637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(187),
  [5640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1900),
  [5643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5885),
  [5646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3388),
  [5649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11695),
  [5652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1901),
  [5655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15413),
  [5658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15724),
  [5661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(295),
  [5664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5846),
  [5667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17626),
  [5670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18038),
  [5673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5889),
  [5676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14822),
  [5679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13756),
  [5682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5109),
  [5685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5781),
  [5688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18705),
  [5691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5950),
  [5694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19201),
  [5697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(237),
  [5700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1865),
  [5703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5989),
  [5706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3751),
  [5709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11775),
  [5712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1806),
  [5715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15546),
  [5718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15834),
  [5721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(298),
  [5724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5982),
  [5727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17352),
  [5730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17859),
  [5733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5990),
  [5736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14648),
  [5739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13967),
  [5742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5083),
  [5745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5994),
  [5748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18958),
  [5751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [5753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18461),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14641),
  [5757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20896),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [5761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6097),
  [5764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19052),
  [5767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(257),
  [5770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1899),
  [5773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6124),
  [5776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3441),
  [5779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11704),
  [5782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1902),
  [5785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15568),
  [5788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15637),
  [5791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(327),
  [5794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6006),
  [5797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17489),
  [5800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17941),
  [5803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6126),
  [5806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14761),
  [5809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13929),
  [5812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5232),
  [5815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6001),
  [5818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18473),
  [5821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6214),
  [5824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19059),
  [5827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(216),
  [5830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2029),
  [5833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6278),
  [5836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3489),
  [5839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11924),
  [5842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2030),
  [5845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15622),
  [5848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15632),
  [5851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(311),
  [5854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6271),
  [5857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17659),
  [5860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18060),
  [5863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6324),
  [5866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14751),
  [5869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13839),
  [5872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5211),
  [5875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6192),
  [5878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18854),
  [5881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6491),
  [5885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [5889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [5891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6314),
  [5893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15093),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16070),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [5899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5477),
  [5901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22131),
  [5903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16718),
  [5905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17696),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22028),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14663),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13586),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18257),
  [5919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6211),
  [5922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18385),
  [5925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(238),
  [5928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1862),
  [5931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6196),
  [5934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3437),
  [5937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11656),
  [5940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1866),
  [5943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15269),
  [5946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15660),
  [5949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(313),
  [5952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6171),
  [5955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16855),
  [5958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17739),
  [5961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6204),
  [5964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14808),
  [5967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13791),
  [5970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5146),
  [5973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6220),
  [5976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18285),
  [5979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6681),
  [5981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19087),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14758),
  [5985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21107),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [5989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11846),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [5995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18742),
  [5997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13263),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22392),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14953),
  [6005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15883),
  [6009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16133),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22017),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [6015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [6017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20334),
  [6019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6064),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16916),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17757),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13264),
  [6027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18790),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14763),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13904),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21405),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19020),
  [6039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16325),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20003),
  [6043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6571),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [6047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5539),
  [6049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6436),
  [6051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15020),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15997),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [6057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5498),
  [6059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20374),
  [6061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17422),
  [6063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17889),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21702),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14748),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13605),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18982),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14979),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22354),
  [6081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16504),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20806),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21601),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6547),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [6091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5605),
  [6093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6393),
  [6095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15009),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15950),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [6101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5457),
  [6103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21427),
  [6105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17368),
  [6107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17863),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22458),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14715),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13753),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18860),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22358),
  [6125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15919),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19517),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21579),
  [6131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6479),
  [6134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18461),
  [6137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(259),
  [6140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1971),
  [6143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6354),
  [6146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3464),
  [6149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11850),
  [6152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1980),
  [6155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15257),
  [6158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15658),
  [6161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(328),
  [6164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6392),
  [6167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17497),
  [6170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17946),
  [6173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6356),
  [6176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14645),
  [6179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13970),
  [6182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5240),
  [6185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6466),
  [6188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19096),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22383),
  [6195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16491),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20832),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20368),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22372),
  [6205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16264),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21510),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22472),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9912),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22365),
  [6215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16169),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21224),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20167),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11495),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22331),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16087),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20717),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19567),
  [6231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6767),
  [6233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18383),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14753),
  [6237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19571),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [6241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6733),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [6247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6585),
  [6249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15030),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16380),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [6255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21649),
  [6259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17509),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17958),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21512),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14780),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13831),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18824),
  [6275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7153),
  [6277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19284),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14690),
  [6281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19989),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [6285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7673),
  [6287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18154),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14708),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20226),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19404),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7697),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18605),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14725),
  [6303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21276),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7637),
  [6309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18917),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14701),
  [6313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19921),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [6317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7731),
  [6319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19034),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14660),
  [6323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21566),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [6327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7707),
  [6329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18741),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14819),
  [6333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19537),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [6337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7449),
  [6339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19031),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14816),
  [6343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21827),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [6347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6681),
  [6350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19087),
  [6353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(213),
  [6356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2015),
  [6359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6736),
  [6362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3479),
  [6365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11913),
  [6368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2016),
  [6371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15583),
  [6374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15847),
  [6377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(309),
  [6380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6761),
  [6383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17657),
  [6386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18059),
  [6389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6737),
  [6392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14747),
  [6395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13837),
  [6398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5200),
  [6401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6682),
  [6404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18817),
  [6407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11538),
  [6409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 1, 0, 5),
  [6411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 1, 0, 5),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9870),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17070),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [6425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3657),
  [6427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11483),
  [6429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8972),
  [6431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14927),
  [6433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16162),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16099),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [6441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21028),
  [6443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17991),
  [6445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17024),
  [6447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17786),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11484),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21030),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13920),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9617),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19159),
  [6461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6767),
  [6464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18383),
  [6467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(255),
  [6470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1790),
  [6473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6773),
  [6476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3401),
  [6479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11838),
  [6482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1791),
  [6485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15487),
  [6488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15846),
  [6491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(325),
  [6494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6770),
  [6497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17482),
  [6500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17936),
  [6503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6777),
  [6506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14810),
  [6509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13907),
  [6512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5206),
  [6515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6769),
  [6518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19267),
  [6521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8022),
  [6523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18338),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14651),
  [6527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21747),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [6531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8089),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18261),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14795),
  [6537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19324),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [6541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8265),
  [6543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18948),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14820),
  [6547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21895),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7777),
  [6557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18210),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14745),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20463),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9880),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [6573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16334),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [6577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7965),
  [6579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18971),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14782),
  [6583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20878),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [6587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7227),
  [6589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_application, 2, 0, 54),
  [6591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_application, 2, 0, 54),
  [6593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19179),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [6597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7129),
  [6601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [6603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11725),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15396),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15779),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17640),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18048),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14719),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13784),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18281),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [6639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16074),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [6643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_expression, 1, 0, 0),
  [6645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_expression, 1, 0, 0),
  [6647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7099),
  [6650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19038),
  [6653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(262),
  [6656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1746),
  [6659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7207),
  [6662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3493),
  [6665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11808),
  [6668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1747),
  [6671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15296),
  [6674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15674),
  [6677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(330),
  [6680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7104),
  [6683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17519),
  [6686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17964),
  [6689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7213),
  [6692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14686),
  [6695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13600),
  [6698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5253),
  [6701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7221),
  [6704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19143),
  [6707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6997),
  [6709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18480),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [6713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6877),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [6719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11790),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [6723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15408),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15690),
  [6727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [6731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17649),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18055),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14734),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13832),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18675),
  [6747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7227),
  [6750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19179),
  [6753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(190),
  [6756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1913),
  [6759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7129),
  [6762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3399),
  [6765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11725),
  [6768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1914),
  [6771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15396),
  [6774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15779),
  [6777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(282),
  [6780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7218),
  [6783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17640),
  [6786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18048),
  [6789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7149),
  [6792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14719),
  [6795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13784),
  [6798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5120),
  [6801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7223),
  [6804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18281),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9904),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [6815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16232),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [6819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6997),
  [6822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18480),
  [6825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(199),
  [6828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1955),
  [6831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6877),
  [6834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3429),
  [6837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11790),
  [6840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1957),
  [6843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15408),
  [6846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15690),
  [6849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(302),
  [6852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6990),
  [6855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17649),
  [6858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18055),
  [6861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6879),
  [6864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14734),
  [6867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13832),
  [6870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5167),
  [6873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6942),
  [6876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18675),
  [6879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7099),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19038),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [6885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [6887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7207),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [6891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11808),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [6895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15296),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15674),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17519),
  [6905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17964),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14686),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13600),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19143),
  [6919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7153),
  [6922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19284),
  [6925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(208),
  [6928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1989),
  [6931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6952),
  [6934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3459),
  [6937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11882),
  [6940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1990),
  [6943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15509),
  [6946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15793),
  [6949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(306),
  [6952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6875),
  [6955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17655),
  [6958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18058),
  [6961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6953),
  [6964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14744),
  [6967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13835),
  [6970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5185),
  [6973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6971),
  [6976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18729),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [6983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7637),
  [6986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18917),
  [6989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(157),
  [6992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1855),
  [6995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7688),
  [6998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3570),
  [7001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11714),
  [7004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1858),
  [7007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15381),
  [7010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15740),
  [7013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(333),
  [7016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7391),
  [7019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17530),
  [7022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17974),
  [7025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7694),
  [7028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14689),
  [7031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13850),
  [7034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5283),
  [7037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7433),
  [7040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18431),
  [7043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7673),
  [7046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18154),
  [7049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(160),
  [7052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1924),
  [7055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7677),
  [7058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3594),
  [7061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11910),
  [7064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1925),
  [7067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15409),
  [7070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15757),
  [7073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(335),
  [7076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7446),
  [7079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17538),
  [7082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17980),
  [7085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7703),
  [7088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14713),
  [7091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13881),
  [7094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5288),
  [7097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7246),
  [7100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18235),
  [7103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7697),
  [7106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18605),
  [7109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(152),
  [7112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2028),
  [7115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7360),
  [7118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3638),
  [7121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11734),
  [7124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2031),
  [7127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15514),
  [7130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15824),
  [7133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(310),
  [7136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7512),
  [7139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17556),
  [7142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17990),
  [7145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7384),
  [7148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14736),
  [7151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13573),
  [7154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5317),
  [7157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7695),
  [7160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18155),
  [7163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7707),
  [7166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18741),
  [7169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(205),
  [7172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1978),
  [7175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7299),
  [7178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3449),
  [7181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11843),
  [7184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1979),
  [7187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15469),
  [7190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15765),
  [7193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(305),
  [7196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7705),
  [7199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17653),
  [7202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18057),
  [7205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7301),
  [7208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14740),
  [7211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13834),
  [7214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5180),
  [7217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7386),
  [7220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18710),
  [7223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7731),
  [7226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19034),
  [7229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(168),
  [7232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1764),
  [7235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7662),
  [7238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3671),
  [7241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11886),
  [7244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1767),
  [7247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15550),
  [7250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15836),
  [7253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(284),
  [7256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7572),
  [7259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17567),
  [7262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17997),
  [7265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7665),
  [7268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14768),
  [7271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13582),
  [7274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5353),
  [7277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7709),
  [7280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18606),
  [7283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7449),
  [7286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19031),
  [7289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(253),
  [7292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1958),
  [7295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7571),
  [7298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3813),
  [7301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11661),
  [7304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1960),
  [7307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15437),
  [7310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15808),
  [7313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(323),
  [7316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7655),
  [7319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17473),
  [7322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17931),
  [7325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7573),
  [7328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14637),
  [7331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13863),
  [7334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5182),
  [7337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7669),
  [7340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19095),
  [7343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7753),
  [7346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19210),
  [7349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(211),
  [7352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2002),
  [7355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7914),
  [7358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3469),
  [7361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11707),
  [7364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2003),
  [7367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15564),
  [7370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15828),
  [7373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(308),
  [7376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8124),
  [7379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17635),
  [7382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18044),
  [7385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7915),
  [7388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14746),
  [7391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13836),
  [7394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5189),
  [7397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7986),
  [7400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18755),
  [7403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8268),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18709),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8026),
  [7413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [7415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11947),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [7419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15299),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15662),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [7427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17665),
  [7429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18063),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14773),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13843),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18957),
  [7443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8268),
  [7446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18709),
  [7449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(223),
  [7452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1754),
  [7455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8026),
  [7458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3519),
  [7461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11947),
  [7464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1755),
  [7467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15299),
  [7470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15662),
  [7473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(318),
  [7476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7927),
  [7479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17665),
  [7482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18063),
  [7485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8027),
  [7488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14773),
  [7491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13843),
  [7494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5248),
  [7497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8070),
  [7500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18957),
  [7503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [7505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19210),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [7509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [7511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7914),
  [7513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [7515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11707),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [7519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15564),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15828),
  [7523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [7527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17635),
  [7529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18044),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14746),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13836),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18755),
  [7543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8089),
  [7546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18261),
  [7549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(200),
  [7552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1859),
  [7555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7880),
  [7558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3715),
  [7561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11748),
  [7564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1860),
  [7567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15360),
  [7570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15734),
  [7573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(329),
  [7576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7958),
  [7579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17126),
  [7582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17807),
  [7585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7913),
  [7588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14720),
  [7591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13580),
  [7594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5365),
  [7597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7946),
  [7600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18347),
  [7603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8022),
  [7606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18338),
  [7609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(180),
  [7612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1784),
  [7615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7957),
  [7618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3631),
  [7621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11904),
  [7624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1793),
  [7627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15563),
  [7630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15840),
  [7633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(312),
  [7636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8269),
  [7639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17069),
  [7642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17793),
  [7645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7961),
  [7648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14714),
  [7651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13810),
  [7654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5298),
  [7657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7972),
  [7660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19106),
  [7663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7965),
  [7666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18971),
  [7669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(251),
  [7672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1772),
  [7675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8081),
  [7678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3752),
  [7681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11917),
  [7684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1779),
  [7687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15388),
  [7690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15756),
  [7693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(320),
  [7696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8196),
  [7699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17466),
  [7702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17926),
  [7705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8084),
  [7708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14749),
  [7711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13820),
  [7714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5106),
  [7717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8165),
  [7720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18839),
  [7723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7777),
  [7726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18210),
  [7729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(217),
  [7732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1997),
  [7735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8087),
  [7738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3805),
  [7741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11720),
  [7744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2001),
  [7747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15354),
  [7750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15720),
  [7753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(337),
  [7756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7889),
  [7759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17176),
  [7762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17816),
  [7765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8090),
  [7768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14666),
  [7771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13875),
  [7774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5255),
  [7777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7780),
  [7780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18846),
  [7783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8265),
  [7786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18948),
  [7789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(192),
  [7792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1800),
  [7795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8257),
  [7798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3674),
  [7801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11689),
  [7804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1801),
  [7807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15334),
  [7810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15715),
  [7813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(324),
  [7816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7824),
  [7819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17100),
  [7822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17801),
  [7825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8258),
  [7828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14693),
  [7831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13840),
  [7834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5235),
  [7837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8260),
  [7840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19145),
  [7843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11389),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [7849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5558),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22265),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14949),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16068),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21037),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [7861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5517),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21039),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22355),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16093),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19780),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21498),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22363),
  [7879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16112),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20164),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19474),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22373),
  [7889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16398),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19439),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19570),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22360),
  [7899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16040),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21631),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20095),
  [7905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8410),
  [7907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 104),
  [7909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 104),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10755),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17109),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [7917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [7919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8383),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [7923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14974),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16069),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [7929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21410),
  [7931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16726),
  [7933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17312),
  [7935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17845),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20464),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14680),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13882),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18170),
  [7949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8655),
  [7951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 91),
  [7953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 91),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10952),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17856),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [7961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [7963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8631),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [7967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15021),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16056),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [7973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21505),
  [7975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17506),
  [7977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17952),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19960),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14681),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13610),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18934),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10953),
  [7993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 104),
  [7995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 104),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10955),
  [7999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 1, 0, 15),
  [8001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 1, 0, 15),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11060),
  [8005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 29),
  [8007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 29),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11081),
  [8011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 15),
  [8013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 15),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10735),
  [8017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 29),
  [8019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 29),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10743),
  [8023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 68),
  [8025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 68),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [8029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 68),
  [8031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 68),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10750),
  [8035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 91),
  [8037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 91),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10757),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10946),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10989),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10961),
  [8051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8970),
  [8054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19252),
  [8057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(246),
  [8060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1850),
  [8063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(9217),
  [8066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3592),
  [8069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11929),
  [8072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1898),
  [8075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15624),
  [8078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15633),
  [8081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(338),
  [8084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(9034),
  [8087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17338),
  [8090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17854),
  [8093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(9219),
  [8096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14757),
  [8099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13650),
  [8102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5291),
  [8105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8962),
  [8108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18218),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10962),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10888),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10916),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10738),
  [8121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8970),
  [8123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19252),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [8127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [8129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9217),
  [8131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [8133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11929),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [8137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15624),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15633),
  [8141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [8145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17338),
  [8147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17854),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14757),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13650),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18218),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11070),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10929),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10930),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11020),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10949),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10950),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10940),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10915),
  [8179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [8183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16133),
  [8187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20343),
  [8189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9190),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11066),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16799),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [8197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [8199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9053),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [8203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15036),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15971),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [8209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21441),
  [8211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17647),
  [8213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18054),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21394),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14722),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13827),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18626),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11061),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11079),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [8233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8988),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11026),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17782),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [8241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [8243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8946),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [8247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15031),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16034),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [8253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21389),
  [8255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17591),
  [8257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18008),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21682),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14821),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13638),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18292),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11018),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11082),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11047),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10893),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10903),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11065),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11072),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10889),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11030),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11042),
  [8291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [8293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8410),
  [8296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [8298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17109),
  [8301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2804),
  [8304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3434),
  [8307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8383),
  [8310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14974),
  [8313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16069),
  [8316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3435),
  [8319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21410),
  [8322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17312),
  [8325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17845),
  [8328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8385),
  [8331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20464),
  [8334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14680),
  [8337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13882),
  [8340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8199),
  [8343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18170),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11037),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11041),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11025),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [8356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8655),
  [8359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17856),
  [8362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2808),
  [8365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3759),
  [8368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8631),
  [8371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15021),
  [8374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16056),
  [8377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3771),
  [8380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21505),
  [8383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17506),
  [8386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17952),
  [8389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8634),
  [8392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19960),
  [8395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14681),
  [8398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13610),
  [8401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8317),
  [8404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18934),
  [8407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3370),
  [8409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [8411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6119),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20343),
  [8415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9190),
  [8418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16799),
  [8421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2798),
  [8424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3730),
  [8427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9053),
  [8430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15036),
  [8433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15971),
  [8436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3733),
  [8439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21441),
  [8442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17647),
  [8445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18054),
  [8448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9060),
  [8451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21394),
  [8454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14722),
  [8457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13827),
  [8460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8766),
  [8463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18626),
  [8466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10165),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10121),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14991),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16238),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5456),
  [8482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20420),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17258),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17832),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10047),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20136),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14798),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13609),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18828),
  [8500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15474),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [8506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14975),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14992),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16408),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [8516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [8518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19822),
  [8520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6121),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17229),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17826),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14976),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21660),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14813),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13809),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10489),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18437),
  [8538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8988),
  [8541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17782),
  [8544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2806),
  [8547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3559),
  [8550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8946),
  [8553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15031),
  [8556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16034),
  [8559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3561),
  [8562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21389),
  [8565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17591),
  [8568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18008),
  [8571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8974),
  [8574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21682),
  [8577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14821),
  [8580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13638),
  [8583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8788),
  [8586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18292),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16969),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [8627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9934),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17517),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [8635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [8637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9874),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [8641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15010),
  [8643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 74),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16471),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [8649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19957),
  [8651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 74),
  [8653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17453),
  [8655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17910),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20376),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14738),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13697),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18428),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [8689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 2, 0, 31),
  [8691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 2, 0, 31),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [8707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 55),
  [8709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 55),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [8713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 55),
  [8715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 55),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [8729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 31),
  [8731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 31),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [8735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 74),
  [8737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 74),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [8741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5557),
  [8743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14673),
  [8745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15390),
  [8747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12273),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16822),
  [8751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5591),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17422),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17889),
  [8757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5586),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16718),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17696),
  [8763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5588),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9835),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [8773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16572),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16927),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17024),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17786),
  [8783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(10498),
  [8786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18970),
  [8789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(154),
  [8792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1803),
  [8795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(10323),
  [8798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3524),
  [8801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11834),
  [8804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1804),
  [8807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15340),
  [8810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15709),
  [8813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(332),
  [8816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(10500),
  [8819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17445),
  [8822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17904),
  [8825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(10324),
  [8828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14661),
  [8831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13778),
  [8834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5269),
  [8837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(9309),
  [8840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18400),
  [8843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10498),
  [8845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18970),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [8849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [8851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10323),
  [8853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [8855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11834),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [8859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15340),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15709),
  [8863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10500),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17445),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17904),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10324),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14661),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13778),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9309),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18400),
  [8883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13284),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14202),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21962),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [8891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13449),
  [8893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8960),
  [8895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 1, 0, 0),
  [8897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14743),
  [8899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15253),
  [8901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11581),
  [8903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15134),
  [8905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15578),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10496),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16207),
  [8915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17323),
  [8917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17849),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10290),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19123),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14397),
  [8929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [8931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [8933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15574),
  [8939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [8941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [8943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [8945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [8947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [8949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [8951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [8953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [8955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [8957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11512),
  [8961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [8963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [8965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 1, 0, 12),
  [8967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 1, 0, 12),
  [8969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 1),
  [8971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 1),
  [8973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__instance_variable_name, 1, 0, 2),
  [8975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [8977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [8979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [8981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 3, 0, 46),
  [8983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 3, 0, 46),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [8989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9934),
  [8992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17517),
  [8995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2809),
  [8998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3466),
  [9001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9874),
  [9004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15010),
  [9007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16471),
  [9010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3483),
  [9013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19957),
  [9016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17453),
  [9019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17910),
  [9022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9878),
  [9025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20376),
  [9028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14738),
  [9031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13697),
  [9034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9682),
  [9037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18428),
  [9040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [9044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14896),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [9048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [9050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [9052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11832),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [9056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15429),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15770),
  [9060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18908),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14688),
  [9072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [9074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [9076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [9078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [9080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 5, 0, 0),
  [9082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 5, 0, 0),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [9088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 7, 0, 0),
  [9090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 7, 0, 0),
  [9092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 3, 0, 57),
  [9094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 3, 0, 57),
  [9096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 5, 0, 0),
  [9098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 5, 0, 0),
  [9100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 1, 0, 0),
  [9102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 1, 0, 0),
  [9104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 4, 0, 0),
  [9106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 4, 0, 0),
  [9108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 0),
  [9110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 0),
  [9112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [9114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [9116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 0),
  [9118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 0),
  [9120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 8, 0, 0),
  [9122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 8, 0, 0),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10024),
  [9126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 1, 0, 4),
  [9128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 1, 0, 4),
  [9130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 1, 0, 3),
  [9132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [9134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9853),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [9142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 5, 0, 0),
  [9144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 5, 0, 0),
  [9146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 19),
  [9148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 19),
  [9150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 5, 0, 0),
  [9152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 5, 0, 0),
  [9154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [9156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [9158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 3, 0, 23),
  [9160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 3, 0, 23),
  [9162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 3, 0, 39),
  [9164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [9166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [9168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 0),
  [9170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 0),
  [9172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 3, 0, 0),
  [9174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 3, 0, 0),
  [9176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 3, 0, 0),
  [9178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 3, 0, 0),
  [9180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [9182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [9188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 3, 0, 0),
  [9190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 3, 0, 0),
  [9192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [9194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [9196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [9198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [9200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [9202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [9204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 4, 0, 33),
  [9206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 4, 0, 33),
  [9208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [9210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [9212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [9214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [9216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [9218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [9220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [9222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [9224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [9226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [9228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant, 1, 0, 0),
  [9230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant, 1, 0, 0),
  [9232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [9234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [9242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [9244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [9246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [9248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [9250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [9252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [9256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [9258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [9260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 2, 0, 0),
  [9262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 2, 0, 0),
  [9264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 1, 0, 17),
  [9266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 1, 0, 17),
  [9268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [9270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [9272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11477),
  [9276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 2, 0, 0),
  [9278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 2, 0, 0),
  [9280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [9282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [9284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 4, 0, 0),
  [9286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 4, 0, 0),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11509),
  [9290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 3, 0, 0),
  [9292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 3, 0, 0),
  [9294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [9296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [9298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [9300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [9302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 3, 0, 0),
  [9304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 3, 0, 0),
  [9306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 4, 0, 0),
  [9308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 4, 0, 0),
  [9310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [9312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [9314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [9316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [9322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [9324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 4, 0, 0),
  [9326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 4, 0, 0),
  [9328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [9330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [9332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 2, 0, 0),
  [9334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 2, 0, 0),
  [9336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [9338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [9340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 4, 0, 0),
  [9342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 4, 0, 0),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14446),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14520),
  [9352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [9354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11511),
  [9362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 0),
  [9364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 0),
  [9366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 6, 0, 0),
  [9368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 6, 0, 0),
  [9370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [9372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [9374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [9376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [9378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 3, 0, 34),
  [9380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 3, 0, 34),
  [9382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 6, 0, 0),
  [9384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 6, 0, 0),
  [9386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_expression, 3, 0, 35),
  [9388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_expression, 3, 0, 35),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15426),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15428),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14447),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14456),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15319),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15628),
  [9404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [9406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 0),
  [9408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 0),
  [9410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [9412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [9414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 18),
  [9416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 18),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [9420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [9422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14414),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15258),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15285),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14424),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [9436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14572),
  [9438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8993),
  [9454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11448),
  [9458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11451),
  [9462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15387),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [9466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5576),
  [9468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14973),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [9472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5495),
  [9474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [9476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [9478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [9480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 2, 0, 33),
  [9482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 2, 0, 33),
  [9484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [9486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [9488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [9490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8573),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [9494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [9496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8798),
  [9498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [9500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11797),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [9504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15346),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15630),
  [9508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17157),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17812),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16727),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14754),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13921),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19271),
  [9530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [9532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8374),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [9536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8329),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [9540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17273),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17836),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14678),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [9554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8549),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [9558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8520),
  [9562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11631),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [9568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15539),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15640),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17385),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17867),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14752),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13838),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19253),
  [9592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10791),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [9596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [9598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10828),
  [9600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3617),
  [9602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11663),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [9606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15467),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15794),
  [9610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10924),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17546),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17986),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10829),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14724),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13960),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10851),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18810),
  [9630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8717),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [9634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [9636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8645),
  [9638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [9640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11641),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [9644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15493),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15816),
  [9648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17605),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18018),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14670),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13663),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18779),
  [9668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [9670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5210),
  [9672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 5, 0, 99),
  [9674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 5, 0, 99),
  [9676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [9678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5604),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17509),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17958),
  [9684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5575),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17368),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17863),
  [9690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [9692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [9694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5251),
  [9696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [9698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5282),
  [9700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5166),
  [9702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5573),
  [9704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [9706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17640),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18048),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17649),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18055),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17635),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18044),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17338),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17854),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17665),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18063),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17519),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17964),
  [9732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [9734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [9736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5220),
  [9738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5179),
  [9740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5608),
  [9742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5585),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [9746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5566),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15484),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [9752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5545),
  [9754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5602),
  [9756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5287),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14665),
  [9760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5569),
  [9762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [9766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5571),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10198),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14675),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [9812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5203),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14741),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14790),
  [9818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5178),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14767),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14697),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14711),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15473),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15496),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15479),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15483),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15596),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15623),
  [9838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5145),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10186),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10194),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10148),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10185),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10183),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10184),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [9862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(11538),
  [9865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17070),
  [9868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2810),
  [9871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3657),
  [9874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(11483),
  [9877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14927),
  [9880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16099),
  [9883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3496),
  [9886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21028),
  [9889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17024),
  [9892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17786),
  [9895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(11484),
  [9898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21030),
  [9901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14699),
  [9904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13920),
  [9907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9617),
  [9910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19159),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10050),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9844),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9864),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9884),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9898),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11300),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [9945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21030),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [9971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [9973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19048),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [10011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [10091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [10093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [10113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [10115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [10117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19048),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [10172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [10174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [10176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [10178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [10180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [10182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(6039),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11034),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10944),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10760),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11058),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10849),
  [10199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [10201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [10203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [10205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(6177),
  [10208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5184),
  [10210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [10212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 37),
  [10214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 3, 0, 37),
  [10216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signed_number, 2, 0, 0),
  [10218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signed_number, 2, 0, 0),
  [10220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 4, 0, 58),
  [10222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 4, 0, 58),
  [10224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [10226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [10228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [10230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [10232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [10234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13223),
  [10238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5239),
  [10240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [10242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [10244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 6),
  [10246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 6),
  [10248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_binding_pattern, 2, 0, 22),
  [10250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_binding_pattern, 2, 0, 22),
  [10252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 7),
  [10254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 7),
  [10256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [10258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [10260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [10262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [10264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [10266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [10268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [10270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [10272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13195),
  [10276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 8),
  [10278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 8),
  [10280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [10282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [10284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [10286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [10288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [10290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [10292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 39),
  [10294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 39),
  [10296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 6, 0, 79),
  [10298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 6, 0, 79),
  [10300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [10302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [10304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [10306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [10308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [10310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [10312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [10314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [10316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [10318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [10320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [10322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [10324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 4, 0, 39),
  [10326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 4, 0, 39),
  [10328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [10330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [10332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [10334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [10336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 1, 0, 11),
  [10338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 1, 0, 11),
  [10340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding_pattern, 4, 0, 22),
  [10342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding_pattern, 4, 0, 22),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13180),
  [10346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [10348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [10350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [10352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [10354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 3, 0, 44),
  [10356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 3, 0, 44),
  [10358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 22),
  [10360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 22),
  [10362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [10364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [10366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [10368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [10370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [10372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [10374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [10376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [10378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 79),
  [10380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 79),
  [10382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [10384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [10386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [10388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [10390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [10392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [10394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5384),
  [10396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13236),
  [10400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5266),
  [10402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [10404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [10406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5403),
  [10408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14606),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19231),
  [10416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [10420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17312),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17845),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15000),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18809),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17647),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18054),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17453),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17910),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17506),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17952),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17591),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18008),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9954),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14718),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14710),
  [10464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21781),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14635),
  [10470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21066),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [10474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [10476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [10478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [10480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [10482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [10484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [10486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [10488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [10490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21225),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [10494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10659),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [10498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7811),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11866),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11040),
  [10504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8818),
  [10506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11642),
  [10508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17754),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10345),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16174),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17614),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18027),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10353),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19094),
  [10526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [10528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10620),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9432),
  [10532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8305),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11399),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10651),
  [10538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8812),
  [10540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11408),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10585),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16235),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17411),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17878),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18291),
  [10556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [10558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [10560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [10562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [10564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7774),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11476),
  [10568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [10570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [10572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [10574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11151),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [10578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8021),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12390),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [10584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8846),
  [10586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12285),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16038),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17629),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18040),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18181),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8045),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12396),
  [10606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11341),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [10610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8178),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12412),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11572),
  [10616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8741),
  [10618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12294),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10404),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16512),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17661),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18061),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19224),
  [10634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8190),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12419),
  [10638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [10640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [10642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7802),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11859),
  [10646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5350),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14809),
  [10650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20480),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [10654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_value_pattern, 1, 0, 16),
  [10656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_value_pattern, 1, 0, 16),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [10660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [10662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11393),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [10668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11870),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [10674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [10678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14667),
  [10682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20138),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12393),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12402),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5247),
  [10692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [10694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12417),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12423),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [10704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [10706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [10708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [10710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [10712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [10714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11580),
  [10718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 9, 0, 131),
  [10720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 9, 0, 131),
  [10722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5425),
  [10724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [10726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14756),
  [10730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20453),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [10734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [10736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [10738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5100),
  [10740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 59),
  [10742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 59),
  [10744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [10746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [10748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [10750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [10754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [10756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [10758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 76),
  [10760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 76),
  [10762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 59),
  [10764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 6, 0, 59),
  [10766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [10768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [10770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [10772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [10774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [10776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [10778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [10780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [10782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [10784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [10786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 8, 0, 131),
  [10788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 8, 0, 131),
  [10790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [10792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [10794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [10796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [10798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5073),
  [10800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [10802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [10804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [10806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [10808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [10810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [10812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [10814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [10816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 22),
  [10818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 2, 0, 22),
  [10820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [10822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [10824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 5),
  [10826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 1, 0, 5),
  [10828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [10830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [10832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [10834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [10836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [10838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [10840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [10842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [10844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 59),
  [10846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 7, 0, 59),
  [10848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [10850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [10852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [10854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5234),
  [10856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [10858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [10860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [10862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [10864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5093),
  [10866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 59),
  [10868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 5, 0, 59),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14803),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21949),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [10876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [10878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5152),
  [10880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14774),
  [10888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19951),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [10892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [10894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13284),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9253),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12296),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17323),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17849),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12028),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10790),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10555),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10243),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11856),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12313),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12214),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10822),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13597),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11587),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11186),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14683),
  [10952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22442),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14286),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10332),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15205),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [10974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11648),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [10980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13998),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [10984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13155),
  [10986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [10988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [10992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13475),
  [10994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18920),
  [10996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21651),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13477),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14652),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13794),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11239),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11210),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12287),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10677),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11965),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12165),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14561),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14721),
  [11038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21807),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [11042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11837),
  [11044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18272),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22333),
  [11048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9148),
  [11050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13122),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17667),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18064),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9250),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9286),
  [11066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11202),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22280),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17622),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18034),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9338),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [11078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14961),
  [11080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18351),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22304),
  [11084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9085),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10560),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9276),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9277),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10293),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9313),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12325),
  [11104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_exception_expression, 4, 0, 40),
  [11106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_exception_expression, 4, 0, 40),
  [11108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_module_expression, 4, 0, 40),
  [11110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_module_expression, 4, 0, 40),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [11120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11078),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21048),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17439),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17898),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9234),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9281),
  [11134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9287),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11983),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18279),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9289),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [11152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 113),
  [11154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7, 0, 113),
  [11156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 8, 0, 123),
  [11158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 8, 0, 123),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [11162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 4, 0, 40),
  [11164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 4, 0, 40),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12268),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [11170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 32),
  [11172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 32),
  [11174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_expression, 4, 0, 40),
  [11176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_expression, 4, 0, 40),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12169),
  [11180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 0),
  [11182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 0),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11473),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14241),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [11190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [11192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [11194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11723),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22322),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17637),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18046),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12053),
  [11206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 32),
  [11208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 32),
  [11210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 3, 0, 0),
  [11212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_expression, 3, 0, 0),
  [11214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 2, 0, 0),
  [11216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 2, 0, 0),
  [11218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 56),
  [11220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 56),
  [11222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12516),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [11226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9195),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8820),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10315),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15903),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17525),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17969),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18732),
  [11242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 0),
  [11244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4, 0, 0),
  [11246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [11248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [11250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2, 0, 0),
  [11252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2, 0, 0),
  [11254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [11256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [11258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 3, 0, 41),
  [11260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 3, 0, 41),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10354),
  [11264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12020),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [11268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9199),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10385),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16115),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17632),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18042),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18897),
  [11284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 0),
  [11286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4, 0, 0),
  [11288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 5, 0, 77),
  [11290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 5, 0, 77),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15248),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [11296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18279),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14577),
  [11301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 56),
  [11303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 56),
  [11305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 3, 0, 0),
  [11307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 3, 0, 0),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14160),
  [11313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, 0, 0),
  [11315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5, 0, 0),
  [11317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 4, 0, 60),
  [11319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 4, 0, 60),
  [11321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12161),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [11325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8884),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10416),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16084),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17663),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18062),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18577),
  [11341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5, 0, 0),
  [11343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 5, 0, 0),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9268),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9272),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13161),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13611),
  [11353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13700),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9666),
  [11357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8904),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10432),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15904),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17669),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18065),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18544),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10800),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11286),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11230),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [11393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 6, 0, 98),
  [11395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 6, 0, 98),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [11401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 35),
  [11403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 35),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [11407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9446),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [11411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [11417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [11419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [11421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 2, 0, 0),
  [11423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 2, 0, 0),
  [11425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [11431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [11433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [11435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [11437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 3, 0, 0),
  [11439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 3, 0, 0),
  [11441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3727),
  [11444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_expression, 3, 0, 38),
  [11446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_expression, 3, 0, 38),
  [11448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 56),
  [11450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 56),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [11454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [11456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [11458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 1, 0, 0),
  [11460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 1, 0, 0),
  [11462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 32),
  [11464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 32),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [11470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [11472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_then_clause, 2, 0, 0),
  [11474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_then_clause, 2, 0, 0),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [11482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [11488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [11490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [11494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_product_expression, 3, 0, 37),
  [11496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_product_expression, 3, 0, 37),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [11502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [11508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [11510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [11512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_expression, 3, 0, 37),
  [11514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_expression, 3, 0, 37),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [11518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [11520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [11522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3484),
  [11525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [11527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_expression, 2, 0, 18),
  [11529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_expression, 2, 0, 18),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [11539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [11541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [11543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3673),
  [11546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [11548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [11550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_operator, 1, 0, 0),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [11554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [11560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [11566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [11568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [11576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [11582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [11584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [11592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11502),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21881),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [11600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [11606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [11608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [11614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11414),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [11618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [11622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [11628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [11634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [11636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [11640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3636),
  [11643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [11645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_operator, 1, 0, 0),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [11649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [11653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [11655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [11661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [11663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [11671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11482),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [11675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [11677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3628),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [11682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [11684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [11688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [11694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [11696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [11700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 2, 0, 0),
  [11702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 2, 0, 0),
  [11704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [11706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3799),
  [11709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [11713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [11715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3798),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [11720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [11722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [11724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3539),
  [11727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11492),
  [11729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3512),
  [11732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [11738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [11742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [11746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [11748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [11750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [11752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3515),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [11761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [11767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [11769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [11775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [11781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [11787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [11789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [11797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4768),
  [11799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15422),
  [11801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13425),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14797),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15252),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12261),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12636),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15034),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [11815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor, 4, 0, 40),
  [11817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor, 4, 0, 40),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12682),
  [11821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16979),
  [11823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17776),
  [11825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [11827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(6039),
  [11830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4779),
  [11833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15422),
  [11836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13459),
  [11839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14771),
  [11842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14990),
  [11845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12261),
  [11848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12636),
  [11851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14924),
  [11854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17496),
  [11857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17805),
  [11860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17811),
  [11863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5574),
  [11866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(18695),
  [11869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13459),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14771),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14990),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14924),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [11881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15240),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [11887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3452),
  [11890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [11892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [11894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [11896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [11898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4971),
  [11901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15240),
  [11904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5572),
  [11907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [11909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4768),
  [11912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13425),
  [11915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14797),
  [11918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15252),
  [11921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15034),
  [11924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5603),
  [11927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(18254),
  [11930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [11932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3585),
  [11935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [11937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9638),
  [11941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10104),
  [11943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9020),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11505),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10051),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [11957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [11963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [11969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [11971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [11973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [11975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11503),
  [11977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11497),
  [11979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [11981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11462),
  [11983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [11985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11471),
  [11987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11539),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [11991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9811),
  [11993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9221),
  [11995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10704),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [11999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9777),
  [12001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8958),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8959),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10462),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16439),
  [12011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17689),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18075),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19009),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [12023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [12029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [12031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [12035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3576),
  [12038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11508),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [12042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [12048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [12054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [12056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [12060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11516),
  [12062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11540),
  [12064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [12066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11453),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9752),
  [12070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10084),
  [12072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9169),
  [12074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3624),
  [12076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10205),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9694),
  [12080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9930),
  [12082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8919),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16128),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17675),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18068),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18976),
  [12098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3624),
  [12101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11518),
  [12103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11490),
  [12105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11521),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [12111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3747),
  [12114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10731),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [12118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9998),
  [12120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8924),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10444),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16263),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17679),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18070),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18445),
  [12136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11523),
  [12138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11529),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [12142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11444),
  [12144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10262),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9667),
  [12148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9923),
  [12150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8966),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10466),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15973),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17691),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18076),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19243),
  [12166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14212),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9717),
  [12170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10071),
  [12172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8933),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10448),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16448),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17683),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18072),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18879),
  [12188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11534),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [12194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10120),
  [12196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9083),
  [12198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11536),
  [12200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [12202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [12204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14472),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9728),
  [12208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10034),
  [12210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8938),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10453),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16403),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17685),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18073),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19272),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11151),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13700),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10704),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12516),
  [12236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3523),
  [12239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3758),
  [12241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3758),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10659),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [12250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [12256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [12262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [12264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10620),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10731),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10262),
  [12272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 89),
  [12274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 89),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14212),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12020),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14472),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [12286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [12292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [12294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [12296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 48),
  [12298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 48),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10205),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12161),
  [12308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 66),
  [12310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 66),
  [12312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 3, 0, 39),
  [12314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [12316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [12320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [12326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [12332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [12334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [12338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3403),
  [12341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 1, 0, 3),
  [12343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_expression, 1, 0, 0),
  [12345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_expression, 1, 0, 0),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22462),
  [12349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13220),
  [12353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_variable, 2, 0, 0),
  [12355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_variable, 2, 0, 0),
  [12357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 7, 0, 0),
  [12359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 7, 0, 0),
  [12361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [12363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [12365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 2, 0, 0),
  [12367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 2, 0, 0),
  [12369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 2, 0, 0),
  [12371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 2, 0, 0),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13462),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14672),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15254),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11595),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15216),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15502),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [12387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 3, 0, 0),
  [12389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 3, 0, 0),
  [12391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 4, 0, 0),
  [12393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 4, 0, 0),
  [12395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10268),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16470),
  [12399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [12401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [12403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 4, 0, 0),
  [12405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 4, 0, 0),
  [12407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 3, 0, 0),
  [12409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 3, 0, 0),
  [12411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 3, 0, 50),
  [12413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 3, 0, 50),
  [12415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [12417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 5, 0, 0),
  [12419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 5, 0, 0),
  [12421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 6, 0, 0),
  [12423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 6, 0, 0),
  [12425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [12427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14943),
  [12431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [12433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [12435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [12437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16487),
  [12441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [12443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 2, 0, 28),
  [12445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 2, 0, 28),
  [12447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [12449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10316),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15957),
  [12453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14202),
  [12456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15422),
  [12459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13462),
  [12462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14672),
  [12465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15254),
  [12468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12261),
  [12471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(11595),
  [12474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15216),
  [12477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15502),
  [12480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0),
  [12482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(17496),
  [12485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(17805),
  [12488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(17811),
  [12491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10471),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16027),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13449),
  [12497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 1, 0, 0),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14743),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15253),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11581),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15134),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15578),
  [12509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13449),
  [12512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14743),
  [12515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15253),
  [12518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(11581),
  [12521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15134),
  [12524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15578),
  [12527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9976),
  [12529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 2, 0, 0),
  [12531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 2, 0, 0),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15958),
  [12535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 3, 0, 0),
  [12537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 3, 0, 0),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11336),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11456),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [12545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8894),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16113),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18898),
  [12557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 2, 0, 0),
  [12559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 4),
  [12561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 4),
  [12563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11321),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16357),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10668),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12015),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9688),
  [12575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9124),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16122),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17617),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18030),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19140),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12134),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9758),
  [12595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8949),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10457),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16051),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18571),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12306),
  [12609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 3, 0, 93),
  [12611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 3, 0, 93),
  [12613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [12615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [12617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 6, 0, 26),
  [12619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 6, 0, 26),
  [12621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 4, 0, 0),
  [12623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 4, 0, 0),
  [12625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [12627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [12629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [12631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [12633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [12635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [12637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [12639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [12641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [12643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [12645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [12647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [12649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [12651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14228),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [12657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8887),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16442),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18923),
  [12669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 26),
  [12671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 26),
  [12673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 2, 0, 0),
  [12675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 2, 0, 0),
  [12677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [12679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [12683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [12685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11654),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [12691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9201),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9202),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10600),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16173),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17420),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17883),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18305),
  [12707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 1, 0, 49),
  [12709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 1, 0, 49),
  [12711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 1, 0, 3),
  [12713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [12715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18474),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20289),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12264),
  [12723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [12725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [12727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 1, 0, 52),
  [12729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 1, 0, 52),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11120),
  [12733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [12735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8951),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10328),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16114),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18865),
  [12747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 3, 0, 88),
  [12749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 3, 0, 88),
  [12751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 3, 0, 39),
  [12753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10668),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16096),
  [12757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 3, 0, 39),
  [12759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 5, 0, 0),
  [12761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 5, 0, 0),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12084),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9681),
  [12767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8911),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10435),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15972),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18240),
  [12779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [12781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [12783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 5, 0, 0),
  [12785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 5, 0, 0),
  [12787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [12789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [12791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [12793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [12795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [12797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [12799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 4),
  [12801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 4),
  [12803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 3, 0, 0),
  [12805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 3, 0, 0),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10471),
  [12809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 1, 0, 3),
  [12811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [12813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [12815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [12817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [12819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [12821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [12823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [12825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [12827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 6, 0, 0),
  [12829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 6, 0, 0),
  [12831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [12833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14936),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20297),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14085),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15949),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21019),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13240),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19369),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19794),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21958),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21113),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11305),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21243),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11312),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21713),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10678),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21930),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22473),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10696),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21583),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12166),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19585),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12072),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19660),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12032),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21500),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19433),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11085),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19503),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11352),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20597),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12230),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21196),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12337),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21214),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12411),
  [12915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11052),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16302),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20251),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11212),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21381),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19389),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11274),
  [12931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [12933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [12935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17937),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21238),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12314),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19809),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12344),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19972),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12353),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19848),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11588),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20604),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11499),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20721),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22452),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14006),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21829),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14051),
  [12970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 1, 0, 14),
  [12972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 1, 0, 14),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13480),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17937),
  [12978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12174),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21584),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12031),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19919),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12074),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20044),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12098),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21080),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10261),
  [12996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11373),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21247),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10232),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21288),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10292),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14766),
  [13010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19539),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22077),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10823),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22470),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10863),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19304),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10881),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19686),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14247),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19930),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14294),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19943),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14230),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20401),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14539),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20554),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14557),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20579),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14553),
  [13050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [13052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21044),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11969),
  [13058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 25),
  [13060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 25),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9754),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21248),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11995),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21290),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12002),
  [13076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11068),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16583),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22082),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10792),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22471),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22536),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10815),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19642),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10556),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19739),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10571),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19756),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10576),
  [13104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11120),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16381),
  [13108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 2, 0, 14),
  [13110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 2, 0, 14),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13496),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21901),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13817),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16369),
  [13120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_class_expression, 3, 0, 38),
  [13122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_class_expression, 3, 0, 38),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21420),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13613),
  [13128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 1, 0, 0),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21686),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13624),
  [13134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_expression, 4, 0, 40),
  [13136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_expression, 4, 0, 40),
  [13138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function, 4, 0, 40),
  [13140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function, 4, 0, 40),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16222),
  [13144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16734),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21946),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10338),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19345),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10379),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19399),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10396),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20743),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11858),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21267),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11619),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21388),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11687),
  [13170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 1, 0, 10),
  [13172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 1, 0, 10),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21959),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15207),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22161),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15023),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9976),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20883),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15089),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12270),
  [13192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11185),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16416),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [13200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [13206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [13208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16382),
  [13216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12194),
  [13218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [13220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18811),
  [13224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21395),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11408),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10921),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [13238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [13240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3413),
  [13243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9189),
  [13245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11035),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10781),
  [13251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10086),
  [13253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6003),
  [13255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [13257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [13259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16726),
  [13262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [13264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [13266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [13268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 3, 0, 0),
  [13270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11456),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16307),
  [13274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [13276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [13280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11336),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15881),
  [13284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [13286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [13288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [13290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2, 0, 0),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [13296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_directive, 2, 0, 0),
  [13298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_directive, 2, 0, 0),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11167),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [13304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [13306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [13308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_type, 1, 0, 0),
  [13310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_type, 1, 0, 0),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18674),
  [13314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21097),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11728),
  [13318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7931),
  [13320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4257),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11063),
  [13324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9840),
  [13326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11769),
  [13328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17430),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17892),
  [13334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [13336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [13338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [13340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6120),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [13346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [13350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11654),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16206),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [13356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [13358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [13364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8144),
  [13366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10835),
  [13370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9883),
  [13372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6129),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [13380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16447),
  [13382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7795),
  [13384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4270),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10860),
  [13388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9895),
  [13390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [13392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [13394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16395),
  [13398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [13400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [13402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [13404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [13406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8318),
  [13408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4261),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10821),
  [13412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9873),
  [13414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11665),
  [13416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6125),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17620),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18032),
  [13422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [13424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [13426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10442),
  [13428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10798),
  [13432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9863),
  [13434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6122),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11189),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14664),
  [13440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20821),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [13444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [13446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3457),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16311),
  [13453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_type, 4, 0, 40),
  [13455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_type, 4, 0, 40),
  [13457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [13459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [13461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 4, 0, 87),
  [13463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 4, 0, 87),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11187),
  [13467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [13469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9881),
  [13473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [13475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [13477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [13479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [13481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [13483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [13489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [13495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [13497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [13503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [13505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [13507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [13509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [13511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 4),
  [13513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 4),
  [13515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [13517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18862),
  [13521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21521),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11642),
  [13525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [13527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [13529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9881),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [13534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 8, 0, 26),
  [13536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 8, 0, 26),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10725),
  [13540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12134),
  [13542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16350),
  [13544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [13546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [13548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 10),
  [13550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 10),
  [13552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14280),
  [13554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [13556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10091),
  [13560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18672),
  [13562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 5, 0, 0),
  [13564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 5, 0, 0),
  [13566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13631),
  [13568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [13572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [13574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [13578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [13580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [13582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 25),
  [13584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 25),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14283),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11217),
  [13590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [13592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0),
  [13594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12015),
  [13596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16571),
  [13598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 6, 0, 0),
  [13600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 6, 0, 0),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14011),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11115),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10268),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10626),
  [13614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12084),
  [13616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16141),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11052),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [13626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 14),
  [13628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 14),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13460),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9653),
  [13636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9871),
  [13638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6791),
  [13640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12200),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [13648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 2, 0, 0),
  [13650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 2, 0, 0),
  [13652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [13654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14576),
  [13658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 3, 0, 0),
  [13660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 3, 0, 0),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11068),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11290),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10316),
  [13670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13062),
  [13674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18841),
  [13676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21465),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12079),
  [13680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12204),
  [13682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(17991),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [13687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [13689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16021),
  [13693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9929),
  [13696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9929),
  [13698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 60),
  [13700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 60),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10067),
  [13704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 61),
  [13706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 61),
  [13708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 43),
  [13710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 43),
  [13712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [13714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [13716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15656),
  [13718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 62),
  [13720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 62),
  [13722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 25),
  [13724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 25),
  [13726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 4),
  [13728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 4),
  [13730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15741),
  [13732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10596),
  [13734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10298),
  [13736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [13738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15769),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10597),
  [13744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10299),
  [13746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 26),
  [13748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 26),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15735),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10602),
  [13754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10289),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11314),
  [13758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10729),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10795),
  [13764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18939),
  [13766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12151),
  [13768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22410),
  [13770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10138),
  [13772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16524),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15199),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16812),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10249),
  [13780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 3, 0, 41),
  [13782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 3, 0, 41),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16158),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16356),
  [13788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11251),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [13794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [13796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [13798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [13800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [13802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [13804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [13806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [13808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [13810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 10),
  [13812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 10),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18342),
  [13816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 81),
  [13818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 81),
  [13820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 100),
  [13822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 100),
  [13824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [13826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [13828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 83),
  [13830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 83),
  [13832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 84),
  [13834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 84),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [13838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 102),
  [13840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 102),
  [13842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [13844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [13846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 43),
  [13848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 43),
  [13850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [13852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3746),
  [13855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 41),
  [13857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 41),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19268),
  [13861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 100),
  [13863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 100),
  [13865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 114),
  [13867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 114),
  [13869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [13871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [13873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 102),
  [13875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 102),
  [13877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15656),
  [13880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19268),
  [13883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 8, 0, 114),
  [13885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 8, 0, 114),
  [13887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18342),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11211),
  [13892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 81),
  [13894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 81),
  [13896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 60),
  [13898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 60),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14252),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14279),
  [13906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 2, 0, 5),
  [13908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 2, 0, 5),
  [13910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 61),
  [13912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 61),
  [13914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [13916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18868),
  [13920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21541),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12285),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18884),
  [13926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21580),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12294),
  [13930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 83),
  [13932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 83),
  [13934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 84),
  [13936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 84),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12197),
  [13940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22342),
  [13942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16554),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16979),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17776),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15908),
  [13950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 62),
  [13952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 62),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [13956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12202),
  [13958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16559),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10012),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15374),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15774),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17697),
  [13976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18077),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17508),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [13992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [13996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [13998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [14000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [14004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 4, 0, 0),
  [14006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 4, 0, 0),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12128),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15831),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9817),
  [14014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 70),
  [14016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 70),
  [14018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 15),
  [14020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 15),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [14032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [14034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [14036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 90),
  [14038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 90),
  [14040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 6, 0, 89),
  [14042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 6, 0, 89),
  [14044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 51),
  [14046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 51),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18139),
  [14054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type, 1, 0, 0),
  [14056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_type, 1, 0, 0),
  [14058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_typed, 2, 0, 0),
  [14060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_typed, 2, 0, 0),
  [14062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 15),
  [14064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 15),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [14070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [14072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 67),
  [14074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 67),
  [14076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12264),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16516),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10358),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10294),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10359),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10295),
  [14092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18139),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [14099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [14101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [14103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10216),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [14115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 45),
  [14117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 45),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [14127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [14133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [14135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11056),
  [14141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 70),
  [14143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 70),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [14149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 5, 0, 90),
  [14151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 5, 0, 90),
  [14153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 103),
  [14155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 103),
  [14157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 68),
  [14159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 68),
  [14161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 94),
  [14163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 94),
  [14165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 92),
  [14167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 92),
  [14169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 105),
  [14171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 105),
  [14173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 94),
  [14175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 94),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [14187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3641),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [14194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 48),
  [14196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 48),
  [14198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11214),
  [14200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 2, 0, 0),
  [14202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 2, 0, 0),
  [14204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [14212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 10),
  [14214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 10),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [14220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 66),
  [14222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 66),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10710),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [14250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 14),
  [14252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 14),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16529),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10612),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10286),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [14266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10266),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [14276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 69),
  [14278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 69),
  [14280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 92),
  [14282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 92),
  [14284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_typed, 2, 0, 0),
  [14286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_typed, 2, 0, 0),
  [14288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 83),
  [14290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 83),
  [14292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 84),
  [14294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 84),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [14300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 6, 0, 115),
  [14302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 6, 0, 115),
  [14304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 103),
  [14306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 103),
  [14308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 116),
  [14310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 116),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [14314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [14316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 68),
  [14318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 68),
  [14320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 117),
  [14322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 117),
  [14324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 91),
  [14326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 91),
  [14328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [14330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [14332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 105),
  [14334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 105),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [14340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12306),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15999),
  [14344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 5, 0, 72),
  [14346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 5, 0, 72),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [14352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 8, 0, 102),
  [14354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 8, 0, 102),
  [14356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 63),
  [14358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 63),
  [14360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 115),
  [14362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 115),
  [14364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 124),
  [14366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 124),
  [14368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 116),
  [14370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 116),
  [14372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 125),
  [14374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 125),
  [14376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 117),
  [14378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 117),
  [14380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15993),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [14386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 126),
  [14388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 126),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11370),
  [14392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [14400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 91),
  [14402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 91),
  [14404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 64),
  [14406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 64),
  [14408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 127),
  [14410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 127),
  [14412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 104),
  [14414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 104),
  [14416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 6, 0, 33),
  [14418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 6, 0, 33),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [14424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 124),
  [14426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 124),
  [14428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 132),
  [14430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 132),
  [14432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 125),
  [14434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 125),
  [14436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 126),
  [14438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 126),
  [14440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 133),
  [14442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 133),
  [14444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 45),
  [14446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 45),
  [14448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 127),
  [14450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 127),
  [14452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 134),
  [14454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 134),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [14460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 104),
  [14462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 104),
  [14464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 9, 0, 132),
  [14466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 9, 0, 132),
  [14468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 133),
  [14470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 133),
  [14472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 134),
  [14474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 134),
  [14476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 136),
  [14478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 136),
  [14480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 11, 0, 136),
  [14482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 11, 0, 136),
  [14484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [14486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [14488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [14490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10470),
  [14492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10718),
  [14494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [14496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [14498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [14500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [14502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [14506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 61),
  [14508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 61),
  [14510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [14512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [14518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [14520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [14522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0), SHIFT_REPEAT(13631),
  [14525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11373),
  [14528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [14532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [14536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 43),
  [14538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 43),
  [14540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [14542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15832),
  [14546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15832),
  [14549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18852),
  [14551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21496),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13041),
  [14555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9893),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18876),
  [14560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21561),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12504),
  [14564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [14566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [14568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 29),
  [14570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 29),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [14576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 3, 0, 67),
  [14578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 3, 0, 67),
  [14580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 69),
  [14582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 69),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [14592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 62),
  [14594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 62),
  [14596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 29),
  [14598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 29),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [14602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [14604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [14606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [14608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 25),
  [14610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 25),
  [14612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [14614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [14616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 85),
  [14618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 85),
  [14620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 63),
  [14622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 63),
  [14624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 64),
  [14626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 64),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [14632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 51),
  [14634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 51),
  [14636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [14638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [14640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 85),
  [14642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 85),
  [14644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [14646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9921),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [14651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [14653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [14655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 3, 0, 0),
  [14657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 3, 0, 0),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [14661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [14663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [14667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [14669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [14671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9944),
  [14675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [14677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9823),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11990),
  [14683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16024),
  [14685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 27),
  [14687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 27),
  [14689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 47),
  [14691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 47),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12113),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [14701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14955),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11413),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12097),
  [14707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20762),
  [14709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10178),
  [14711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16455),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14801),
  [14715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11299),
  [14718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [14720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [14722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [14724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [14726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [14728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 7, 0, 0),
  [14730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 7, 0, 0),
  [14732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11101),
  [14734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15119),
  [14736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 7, 0, 86),
  [14738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 7, 0, 86),
  [14740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11167),
  [14743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 5, 0, 0),
  [14745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 5, 0, 0),
  [14747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [14749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10367),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10213),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10368),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10256),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10370),
  [14761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10217),
  [14763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 65),
  [14765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 65),
  [14767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 47),
  [14769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 47),
  [14771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [14773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [14775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15119),
  [14778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10006),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11141),
  [14783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 3, 0, 27),
  [14785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 3, 0, 27),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11975),
  [14789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 65),
  [14791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 65),
  [14793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 86),
  [14795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 86),
  [14797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 4, 0, 0),
  [14799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 4, 0, 0),
  [14801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [14803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [14805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 3, 0, 0),
  [14807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 3, 0, 0),
  [14809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 5, 0, 0),
  [14811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 5, 0, 0),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14245),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14248),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14266),
  [14819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14278),
  [14821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [14823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [14825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12192),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15872),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [14831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16567),
  [14833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [14835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15823),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [14845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [14847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [14849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [14853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [14855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [14863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 4, 0, 0),
  [14865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 4, 0, 0),
  [14867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [14869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [14871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10941),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11293),
  [14875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [14881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [14883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [14891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [14893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16294),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [14901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [14907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3593),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13167),
  [14912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12703),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16764),
  [14916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17099),
  [14920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [14922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [14924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [14926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [14928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [14930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11096),
  [14932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13202),
  [14934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12899),
  [14936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16723),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [14940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14575),
  [14942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [14944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [14946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18952),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10960),
  [14955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11189),
  [14958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [14960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [14962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [14964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [14966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [14968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10382),
  [14970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10241),
  [14972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10383),
  [14974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10246),
  [14976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10386),
  [14978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10272),
  [14980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18952),
  [14982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10947),
  [14984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [14986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [14988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 2, 0, 0),
  [14990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 2, 0, 0),
  [14992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10414),
  [14994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10240),
  [14996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10415),
  [14998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [15000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10417),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10212),
  [15004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11071),
  [15006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10474),
  [15008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10248),
  [15010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [15012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [15014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [15016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [15018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13062),
  [15020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16003),
  [15022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [15024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11062),
  [15026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [15028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [15030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [15032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [15034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [15036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [15038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [15040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [15042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [15044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [15046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [15048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [15050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16007),
  [15052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10986),
  [15054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [15056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [15058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [15060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [15062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10951),
  [15064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [15066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [15068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [15070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [15072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11001),
  [15074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [15076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [15078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [15080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [15082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [15084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [15086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [15088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [15090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 1, 0, 0),
  [15092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 1, 0, 0),
  [15094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [15096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [15098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [15100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [15104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [15106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [15108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [15110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [15112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [15114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9836),
  [15117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [15119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15191),
  [15121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [15123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10748),
  [15125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [15127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [15129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15191),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [15134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [15136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10753),
  [15138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [15140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [15142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15823),
  [15145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10756),
  [15147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10758),
  [15149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [15151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [15153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10954),
  [15155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15196),
  [15157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15196),
  [15160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [15162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [15164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15830),
  [15166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15830),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [15171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [15173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [15175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [15177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [15181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [15183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [15185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [15187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [15189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [15191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [15193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [15195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [15197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10956),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [15201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [15203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [15205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [15207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [15209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [15211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16294),
  [15214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [15216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [15218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [15220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [15222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [15224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [15226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [15228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [15230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [15232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10469),
  [15234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10274),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [15238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [15240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12196),
  [15242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [15244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [15246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [15248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [15250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 4, 0, 0),
  [15252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 4, 0, 0),
  [15254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5583),
  [15256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [15258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [15260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11290),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [15267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18091),
  [15269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [15271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(10012),
  [15274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15374),
  [15277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0),
  [15279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(10667),
  [15282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15774),
  [15285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(879),
  [15288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(17496),
  [15291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(17697),
  [15294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(18077),
  [15297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [15299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [15301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [15303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [15305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [15307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [15309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [15311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [15313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [15315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [15317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [15319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [15321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [15323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [15325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [15327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [15329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [15331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [15333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [15335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [15337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10423),
  [15339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10259),
  [15341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10424),
  [15343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10264),
  [15345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [15347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10426),
  [15349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10219),
  [15351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5583),
  [15354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5583),
  [15357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [15359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 3, 0, 0),
  [15361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 3, 0, 0),
  [15363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5534),
  [15365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [15367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [15369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [15371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [15373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [15375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [15377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [15379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [15381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [15383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [15385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [15387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [15389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [15391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 2, 0, 0),
  [15393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 2, 0, 0),
  [15395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [15397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [15399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [15401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [15403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [15405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [15407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [15409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [15411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [15413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [15415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11074),
  [15417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [15419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [15421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5568),
  [15423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [15425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [15427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 5, 0, 0),
  [15429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 5, 0, 0),
  [15431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [15433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [15435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [15437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [15439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [15441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [15443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [15445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [15447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [15449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [15451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [15453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [15455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [15457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11083),
  [15459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [15461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [15463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [15469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [15471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [15473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [15475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5926),
  [15477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [15479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [15481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [15483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [15485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [15487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [15489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [15491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10740),
  [15493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [15495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [15497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [15499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [15501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [15503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [15505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [15507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [15509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [15511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [15513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [15515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [15517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [15519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [15521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [15523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [15525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11115),
  [15528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [15532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [15534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [15536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [15538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [15540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [15542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [15544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8174),
  [15552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [15554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [15556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [15558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [15560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [15562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [15564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10158),
  [15566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [15568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [15570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [15572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [15574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [15576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [15578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [15580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [15586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [15588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9771),
  [15590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [15596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [15600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [15614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [15616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [15624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [15628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [15630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [15632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [15634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [15638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [15640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [15642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10475),
  [15644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [15646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [15648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [15650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [15652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [15654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [15656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10480),
  [15660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [15662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [15664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [15666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [15668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10481),
  [15670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [15672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [15674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [15676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [15678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [15680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [15682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [15684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [15686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [15688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [15690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [15692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [15698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [15700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [15702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [15704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [15706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [15708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [15710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [15712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [15714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [15716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8436),
  [15718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [15720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5568),
  [15723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5568),
  [15726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [15728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [15730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [15732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [15734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [15736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [15740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [15742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [15744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [15748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [15750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [15754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [15756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [15758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [15760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [15762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [15764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [15766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [15768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [15770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [15772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [15774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [15776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [15778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [15780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [15784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15201),
  [15786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [15788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [15790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15201),
  [15793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [15795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [15797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [15799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [15801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [15803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [15805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [15807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [15811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [15815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [15817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [15819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [15821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11217),
  [15824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [15826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [15828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [15830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [15832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [15834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [15836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [15838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [15840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [15842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [15846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [15848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [15850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3704),
  [15853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [15855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [15857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [15859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [15861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [15863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [15865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [15867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [15873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [15875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [15877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [15879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [15881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [15883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [15885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [15887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [15889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [15891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12183),
  [15893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15867),
  [15895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [15899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [15901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [15903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12188),
  [15905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15871),
  [15907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [15909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14609),
  [15911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [15913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13503),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22352),
  [15919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21592),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [15925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [15927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [15929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [15931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [15933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5534),
  [15936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5534),
  [15939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10402),
  [15943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10297),
  [15945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [15947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10403),
  [15949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10277),
  [15951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [15953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10406),
  [15955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10279),
  [15957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10313),
  [15959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10218),
  [15961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [15963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10225),
  [15965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [15967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [15969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10317),
  [15971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10260),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [15975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [15977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [15979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [15981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15213),
  [15983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [15985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 0),
  [15987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 0),
  [15989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14224),
  [15991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [15993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [15995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [15997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [15999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [16001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [16003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [16005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [16007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [16009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [16011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12270),
  [16013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16240),
  [16015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 3, 0, 0),
  [16017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 3, 0, 0),
  [16019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17010),
  [16021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 0),
  [16023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 3, 0, 0),
  [16025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11031),
  [16027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11038),
  [16029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [16031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11046),
  [16033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11049),
  [16035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5601),
  [16037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [16039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5601),
  [16042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5601),
  [16045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16407),
  [16047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11211),
  [16050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11073),
  [16052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11080),
  [16054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10926),
  [16056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10769),
  [16058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10806),
  [16060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [16062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3566),
  [16065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [16067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [16069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15842),
  [16071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [16073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [16075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [16077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [16079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [16081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [16083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [16085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [16087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [16089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [16091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10093),
  [16093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [16095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15643),
  [16097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10774),
  [16099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14178),
  [16101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15937),
  [16103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5565),
  [16105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [16107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 2, 0, 0),
  [16109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 0),
  [16111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 2, 0, 0),
  [16113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 3, 0, 0),
  [16115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14224),
  [16118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21788),
  [16120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13263),
  [16122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18206),
  [16124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20334),
  [16126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11251),
  [16129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12206),
  [16131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11328),
  [16134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 2, 0, 0),
  [16136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 2, 0, 0),
  [16138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 0),
  [16140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 0),
  [16142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 4, 0, 0),
  [16144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 4, 0, 0),
  [16146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [16148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20668),
  [16150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14975),
  [16152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18627),
  [16154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19822),
  [16156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5565),
  [16159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5565),
  [16162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19546),
  [16164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [16166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19118),
  [16168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21427),
  [16170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5570),
  [16172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [16174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5570),
  [16177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5570),
  [16180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20977),
  [16182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [16184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18162),
  [16186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20374),
  [16188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9861),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [16193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 5, 0, 0),
  [16195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 5, 0, 0),
  [16197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9871),
  [16200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15206),
  [16202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15206),
  [16205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15213),
  [16208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17010),
  [16211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21908),
  [16213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10121),
  [16215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18910),
  [16217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20420),
  [16219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21593),
  [16221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [16223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19246),
  [16225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22131),
  [16227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20781),
  [16229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [16231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18294),
  [16233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21649),
  [16235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12187),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12190),
  [16239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12201),
  [16241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 0),
  [16243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2, 0, 0),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15975),
  [16247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [16249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [16251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [16253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [16255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [16259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [16261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [16263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [16265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [16267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9832),
  [16270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15643),
  [16273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0),
  [16275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14178),
  [16278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15937),
  [16281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(17496),
  [16284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(17697),
  [16287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(18077),
  [16290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [16292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 0),
  [16294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, 0, 0),
  [16296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3537),
  [16299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [16301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [16303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [16305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [16307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [16309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [16311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [16313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [16315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [16317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [16319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [16321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [16323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [16325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [16327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [16329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [16331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [16333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [16335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [16337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [16339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [16341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [16343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [16345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [16347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [16349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [16351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [16353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [16355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 3, 0, 0),
  [16357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11139),
  [16359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16490),
  [16361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14011),
  [16363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15938),
  [16365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [16367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3832),
  [16370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10964),
  [16372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [16374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3833),
  [16377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [16379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [16381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [16383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3677),
  [16386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [16388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16490),
  [16391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [16393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [16395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [16397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [16399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [16401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [16403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [16405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3613),
  [16407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3613),
  [16410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [16412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14623),
  [16414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12150),
  [16416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 0),
  [16418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 0),
  [16420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [16422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [16424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [16426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [16428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 5, 0, 0),
  [16430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [16432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [16434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [16436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [16438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [16440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [16442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [16444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [16446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [16448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [16450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [16452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10990),
  [16454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [16456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [16458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [16460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure_item, 1, 0, 0),
  [16462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure_item, 1, 0, 0),
  [16464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [16466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18114),
  [16468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [16470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [16472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [16474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [16476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [16478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [16480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [16482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [16484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [16486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [16488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 4, 0, 0),
  [16490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 4, 0, 0),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [16494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10713),
  [16496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15217),
  [16498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14197),
  [16500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16406),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15841),
  [16504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15844),
  [16506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14222),
  [16508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16260),
  [16510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16260),
  [16513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15896),
  [16515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [16517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11224),
  [16519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14211),
  [16521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10610),
  [16523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14201),
  [16525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11235),
  [16527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14215),
  [16529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [16531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [16533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15781),
  [16535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10326),
  [16537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10254),
  [16539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15783),
  [16541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10327),
  [16543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10255),
  [16545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15800),
  [16547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10330),
  [16549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [16551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14222),
  [16554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15210),
  [16556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15210),
  [16559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15214),
  [16561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15214),
  [16564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [16566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [16568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15975),
  [16571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12140),
  [16573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10147),
  [16575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [16577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [16579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3788),
  [16582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [16584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3661),
  [16587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10342),
  [16589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10273),
  [16591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10343),
  [16593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10276),
  [16595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [16597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [16599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10220),
  [16601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10780),
  [16603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(18114),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [16612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [16614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [16618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [16622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [16624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [16626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [16638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [16642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [16644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [16646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [16648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [16650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7321),
  [16652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14232),
  [16654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14232),
  [16656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14296),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13008),
  [16660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [16664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [16666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [16668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [16672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [16674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [16676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [16678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [16680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [16682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [16684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [16686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [16688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [16690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [16694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [16696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [16700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [16702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [16710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [16716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [16718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [16720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8277),
  [16722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [16724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7283),
  [16726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [16728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [16730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [16732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [16734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [16736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6203),
  [16738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [16742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [16744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [16746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [16748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [16750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [16752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [16754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [16756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [16758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [16760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [16762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [16768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7103),
  [16770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [16772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [16774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4642),
  [16776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [16778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [16780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [16782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [16784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [16786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [16790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [16792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [16794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9968),
  [16796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8709),
  [16798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10507),
  [16800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [16802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [16804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10509),
  [16806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [16808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [16810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [16812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [16814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [16816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [16818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [16820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [16822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [16824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [16826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [16828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [16830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [16832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [16834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [16836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [16838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [16840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [16842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [16844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12435),
  [16846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [16848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [16850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [16852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [16854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9186),
  [16856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [16858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [16860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [16862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [16864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [16866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [16868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8879),
  [16870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [16874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [16876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [16878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [16880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [16882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [16884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [16886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [16888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [16890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [16892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [16894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [16896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8513),
  [16898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [16900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [16902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [16904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [16906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [16908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9966),
  [16910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [16912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [16914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [16916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [16918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [16920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [16922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [16926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [16928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [16930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [16932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 82),
  [16934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 82),
  [16936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [16938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [16940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [16942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [16944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [16946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [16948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [16950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [16952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [16954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [16956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [16958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [16960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9770),
  [16962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [16964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [16966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [16968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [16970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [16972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [16974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10108),
  [16976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [16978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9886),
  [16980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 53),
  [16982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [16984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [16986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [16988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [16990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [16992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [16994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [16996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [16998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [17000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [17002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [17004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3824),
  [17007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [17009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [17011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [17013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [17015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [17017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8348),
  [17019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6432),
  [17021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [17023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [17025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [17027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [17029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5887),
  [17031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [17033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [17035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [17037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 73),
  [17039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [17041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [17043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [17045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [17047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [17049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [17051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [17053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [17055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [17057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [17059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [17061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [17063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [17065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10344),
  [17067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [17069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [17071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [17073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [17075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [17077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11101),
  [17080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7209),
  [17082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10936),
  [17084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [17086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [17088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [17090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [17092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10938),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [17098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6226),
  [17100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [17102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [17104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [17106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 2, 0, 30),
  [17108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13243),
  [17110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [17118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [17120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [17124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [17126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [17134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4606),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [17138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [17142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [17152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14987),
  [17154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8099),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [17160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [17162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [17166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5205),
  [17168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8092),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [17172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [17176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [17178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [17180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [17186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9061),
  [17188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [17190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [17194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8270),
  [17196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6578),
  [17198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6930),
  [17200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [17202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [17204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6963),
  [17206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7962),
  [17208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6756),
  [17210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8598),
  [17212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6264),
  [17214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8275),
  [17216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4085),
  [17218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [17220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8053),
  [17222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [17224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [17226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [17232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [17240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7319),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [17246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [17254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [17256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [17260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [17262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3584),
  [17265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7584),
  [17267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [17269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [17271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [17273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [17275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [17277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [17279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [17281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [17283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3619),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [17290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8120),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [17294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [17296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8491),
  [17298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11141),
  [17301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [17303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [17305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [17307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [17309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [17311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [17313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13318),
  [17315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [17317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [17319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6815),
  [17321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3462),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [17338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [17340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3634),
  [17342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [17346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11498),
  [17348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8808),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [17360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [17362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5446),
  [17364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [17366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [17368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [17370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [17372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [17374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3634),
  [17377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3680),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [17386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [17388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [17390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10841),
  [17392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5122),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [17396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [17400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [17402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5916),
  [17404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [17406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [17412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6440),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [17440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16090),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [17450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [17456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [17458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [17460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [17462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [17464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [17472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [17476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 45),
  [17478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16562),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [17484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 73),
  [17486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [17488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [17490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4683),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18121),
  [17496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [17500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [17502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [17504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [17506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [17508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [17510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [17512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [17514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [17516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [17518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [17522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4687),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [17526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [17528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [17532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 30),
  [17534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13660),
  [17536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9847),
  [17538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11119),
  [17540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10063),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [17546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [17548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [17550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14218),
  [17552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14264),
  [17554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16055),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8970),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [17560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [17568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4668),
  [17570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [17576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [17582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 30),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [17588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4457),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [17600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4746),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [17608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [17612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14199),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [17616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 4, 0, 64),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [17620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 53),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [17626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [17634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4696),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [17642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [17648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [17650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [17656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4663),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [17664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [17670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [17672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [17674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [17678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4738),
  [17680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [17682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [17686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [17688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4650),
  [17690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [17692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [17698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [17700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4659),
  [17702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [17708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [17714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14869),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [17720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4647),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [17726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 73),
  [17728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14213),
  [17731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [17733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [17735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4444),
  [17737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [17739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [17741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [17743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [17745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [17747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [17749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [17751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [17753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [17755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [17757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [17759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4655),
  [17761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [17763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10791),
  [17765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [17767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [17769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10854),
  [17771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [17773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [17775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4666),
  [17777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [17779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [17781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [17783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4662),
  [17785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [17787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [17789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14232),
  [17792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14232),
  [17795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14296),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [17800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [17802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4656),
  [17804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [17806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 3, 0, 0),
  [17808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [17810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [17812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [17814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [17822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [17826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16090),
  [17829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16562),
  [17832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14221),
  [17834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14223),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [17838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [17842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [17844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [17846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [17848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [17850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [17852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [17854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4449),
  [17856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [17858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10498),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [17862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4684),
  [17864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [17866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [17868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__instance_variable_name, 1, 0, 2),
  [17870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [17872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [17874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4682),
  [17876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [17878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(14202),
  [17881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [17883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [17885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [17887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [17889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [17891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4658),
  [17893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [17895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14198),
  [17897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [17899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [17901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [17903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [17905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4667),
  [17907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [17909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [17911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [17913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [17915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [17917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [17919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [17921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [17923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [17925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [17927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [17929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4730),
  [17931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [17933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [17935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 53),
  [17937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16057),
  [17939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [17941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [17943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [17945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [17947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [17949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [17951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [17953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [17955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [17957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [17959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [17961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [17963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4751),
  [17965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [17967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14221),
  [17970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [17972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [17974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4733),
  [17976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [17978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [17980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [17982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4671),
  [17984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [17986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14572),
  [17988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [17990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [17992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4443),
  [17994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [17996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [17998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [18000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [18006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [18008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [18010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [18012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [18016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [18018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [18020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [18022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [18024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [18026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [18028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4660),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [18032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [18036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4613),
  [18038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [18040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18118),
  [18042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(18118),
  [18045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(18121),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [18050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typed, 2, 0, 0),
  [18052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typed, 2, 0, 0),
  [18054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_item, 1, 0, 0),
  [18056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10058),
  [18058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [18060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 53),
  [18062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16863),
  [18064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 1, 0, 0),
  [18066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [18070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 30),
  [18072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 4, 0, 0),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9783),
  [18076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [18078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 73),
  [18080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14576),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16194),
  [18084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [18086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10031),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13149),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14379),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17754),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14387),
  [18098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 3, 0, 0),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16233),
  [18102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14343),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14399),
  [18106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 2, 0, 0),
  [18108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16150),
  [18110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [18112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 31),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14405),
  [18116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14351),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14499),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16199),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14462),
  [18124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [18126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [18130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 74),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [18134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 55),
  [18136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12150),
  [18140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [18142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [18144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 5, 0, 0),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [18148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [18150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [18152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13505),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17152),
  [18156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12087),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [18160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [18164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [18166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 108),
  [18168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 4, 0, 0),
  [18170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [18172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [18174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [18178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [18180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [18182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 118),
  [18184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [18186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 109),
  [18188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 53),
  [18190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 30),
  [18192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 85),
  [18194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [18196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [18198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 6, 0, 0),
  [18200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 107),
  [18202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [18204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11869),
  [18206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [18208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [18210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [18212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 96),
  [18214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [18216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 110),
  [18218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [18220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11874),
  [18222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [18224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [18226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 108),
  [18228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [18230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 118),
  [18232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18930),
  [18235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 128),
  [18237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 129),
  [18239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 73),
  [18241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [18243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 119),
  [18245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8309),
  [18247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 120),
  [18249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 121),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18930),
  [18253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [18255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [18257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 122),
  [18259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [18261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 75),
  [18263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 130),
  [18265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [18267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 55),
  [18269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12401),
  [18271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [18273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 119),
  [18275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [18277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [18279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 111),
  [18281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12406),
  [18283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [18285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [18287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 63),
  [18289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14596),
  [18291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [18293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10516),
  [18295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12422),
  [18297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [18299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [18301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [18303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 109),
  [18305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [18307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12427),
  [18309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [18311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [18313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [18315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [18317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 3, 0, 0),
  [18319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [18321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [18323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [18325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 120),
  [18327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 96),
  [18329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 110),
  [18331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [18333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [18335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [18337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 121),
  [18339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 75),
  [18341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 97),
  [18343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [18345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 111),
  [18347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [18349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [18351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_effect_pattern, 4, 0, 78),
  [18353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_effect_pattern, 4, 0, 78),
  [18355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 129),
  [18357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [18359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [18361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [18363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 135),
  [18365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 2, 0, 0),
  [18367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 130),
  [18369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 122),
  [18371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 31),
  [18373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [18375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [18377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [18379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 10, 0, 135),
  [18381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 97),
  [18383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 112),
  [18385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [18387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [18389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 95),
  [18391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11468),
  [18393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [18395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [18397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 74),
  [18399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 5, 0, 0),
  [18401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [18403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 112),
  [18405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [18407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [18409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [18411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13448),
  [18413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [18415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [18417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [18419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [18421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [18423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [18425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [18427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [18429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [18431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [18433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 107),
  [18435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [18437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [18439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [18441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [18443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [18445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [18447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 63),
  [18449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [18451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [18453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10154),
  [18455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [18457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10967),
  [18459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [18461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11574),
  [18463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [18465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [18467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [18469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 95),
  [18471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [18473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [18475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [18477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [18479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [18481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [18483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [18485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10997),
  [18487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [18489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10525),
  [18491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [18493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 85),
  [18495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [18497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [18499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [18501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [18503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [18505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [18507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [18509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [18511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [18513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 0),
  [18515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 128),
  [18517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 3, 0, 0),
  [18519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 3, 0, 106),
  [18521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 106),
  [18523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 4, 0, 0),
  [18525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21423),
  [18527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 3, 0, 0),
  [18529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 34),
  [18531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 2, 0, 0),
  [18533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19204),
  [18535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 5, 0, 0),
  [18537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 5, 0, 34),
  [18539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11339),
  [18541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19204),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14692),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10734),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14755),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11893),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14659),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14644),
  [18558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14228),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16353),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11250),
  [18564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [18566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [18570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [18572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16111),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [18576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9905),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14723),
  [18580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [18582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [18584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [18586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [18588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14717),
  [18590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11898),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14730),
  [18594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9905),
  [18597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [18599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [18601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14760),
  [18603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [18605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [18607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [18609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [18611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [18613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [18615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [18617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17796),
  [18619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [18621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [18623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [18625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [18627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21518),
  [18629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21518),
  [18631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21522),
  [18633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18140),
  [18635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22447),
  [18637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11354),
  [18639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [18641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [18643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [18645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [18647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [18649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19057),
  [18651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [18653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [18655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [18657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [18659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [18661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [18663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [18665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [18667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [18669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [18671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [18673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [18675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [18677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15687),
  [18679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [18681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [18683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [18685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [18687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [18689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [18691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15854),
  [18693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [18695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [18697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [18699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [18701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [18703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [18705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15717),
  [18707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8367),
  [18709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11019),
  [18711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [18713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [18715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [18717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [18719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [18721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [18723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [18725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [18727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15858),
  [18729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10492),
  [18731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [18733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [18735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [18737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [18739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18830),
  [18741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21433),
  [18743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13551),
  [18745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18304),
  [18747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21072),
  [18749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15790),
  [18751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15792),
  [18753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [18755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15678),
  [18757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [18759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [18761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [18763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [18765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [18767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [18769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15855),
  [18771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [18773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [18775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [18777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [18779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [18781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [18783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [18785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [18787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [18789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [18791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15661),
  [18793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [18795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15070),
  [18797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15070),
  [18799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19374),
  [18801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [18803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [18805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [18807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [18809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [18811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [18813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [18815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [18817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [18819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15848),
  [18821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [18823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [18825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [18827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [18829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [18831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [18833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [18835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [18837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [18839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [18841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [18843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [18845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [18847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16370),
  [18849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [18851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [18853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [18855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [18857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [18859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [18861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [18863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [18865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [18867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [18869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [18871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [18873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [18875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15806),
  [18877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8284),
  [18879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [18881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [18883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [18885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [18887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [18889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [18891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [18893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [18895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [18897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [18899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [18903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [18905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15683),
  [18907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [18909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17152),
  [18912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [18914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [18916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [18918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [18922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [18924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [18930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15815),
  [18932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [18934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [18936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15003),
  [18938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [18940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15839),
  [18942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18778),
  [18944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21326),
  [18946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13473),
  [18948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [18950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [18952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [18956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [18958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [18960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [18964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [18968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [18970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [18972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [18974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [18976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [18978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15719),
  [18984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9725),
  [18986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10553),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [18990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [18992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18443),
  [18996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21109),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12469),
  [19000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [19004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [19012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [19018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [19020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [19022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [19024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [19026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [19028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [19032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field, 1, 0, 0),
  [19034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [19036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [19038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [19040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14883),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [19048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [19056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [19058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18746),
  [19062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21251),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13049),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [19070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [19072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [19074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [19076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [19078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [19080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [19082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [19084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14627),
  [19086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8127),
  [19088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [19090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [19092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [19094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [19096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15797),
  [19098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [19100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [19102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [19104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [19106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [19108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [19110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [19112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [19114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [19118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [19120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [19122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [19124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [19126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [19128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [19130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [19134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [19136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [19142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [19150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [19152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [19154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [19156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 1, 0, 0),
  [19158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [19160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15759),
  [19162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [19164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [19166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [19168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [19170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [19172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [19174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [19176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9831),
  [19178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10409),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11231),
  [19182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 1, 0, 0),
  [19184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field_specification, 1, 0, 0),
  [19186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11213),
  [19188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9642),
  [19190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10271),
  [19192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12293),
  [19194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9639),
  [19196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10420),
  [19198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12330),
  [19200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11537),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9662),
  [19204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [19206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10684),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11138),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9692),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10429),
  [19214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11501),
  [19216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [19218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14014),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [19224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13222),
  [19226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [19228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10491),
  [19230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13805),
  [19232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10433),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14165),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12147),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9685),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12131),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [19244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12014),
  [19246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10436),
  [19248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12054),
  [19250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10258),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9704),
  [19254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10440),
  [19256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10278),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10905),
  [19260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9714),
  [19262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10364),
  [19264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12170),
  [19266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10445),
  [19268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [19270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14229),
  [19272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9724),
  [19274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [19276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [19278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [19280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11569),
  [19282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10450),
  [19284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14225),
  [19286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11195),
  [19288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9766),
  [19290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(15070),
  [19293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(15070),
  [19296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0),
  [19298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14556),
  [19300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [19302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10454),
  [19304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14546),
  [19306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12042),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9767),
  [19310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15705),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10459),
  [19314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11984),
  [19316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10320),
  [19318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13162),
  [19320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10797),
  [19322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9651),
  [19324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9915),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10591),
  [19328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10355),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [19332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11287),
  [19334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11289),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10463),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10801),
  [19340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [19342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10384),
  [19344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [19346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string_content, 1, 0, 0),
  [19348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11957),
  [19350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9727),
  [19352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [19354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9801),
  [19356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12327),
  [19358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [19362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10561),
  [19364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10391),
  [19366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12269),
  [19368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [19370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11951),
  [19372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15460),
  [19374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [19376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [19378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12144),
  [19380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15705),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10658),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9661),
  [19387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14255),
  [19389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9750),
  [19391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [19393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [19395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9915),
  [19398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10447),
  [19400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [19402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10619),
  [19404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15249),
  [19406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12008),
  [19408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10373),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11233),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [19420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5623),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16362),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [19432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [19434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [19438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15844),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [19442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [19444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [19446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [19448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [19450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [19452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [19454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [19456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16338),
  [19458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [19460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [19466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14883),
  [19468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18464),
  [19470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11450),
  [19472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19254),
  [19474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [19476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9862),
  [19478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [19480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [19482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15542),
  [19484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15006),
  [19486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18907),
  [19488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12496),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [19492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18764),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [19496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18822),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [19502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [19504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16412),
  [19508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [19518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15953),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [19526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19113),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12085),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15689),
  [19542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10090),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [19552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19027),
  [19554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [19556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [19558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12501),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12535),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10708),
  [19574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18195),
  [19576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [19578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [19580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [19582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [19584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [19586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 3, 0, 0),
  [19588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18721),
  [19590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9953),
  [19592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18408),
  [19594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [19596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [19598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18892),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11510),
  [19602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [19604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [19606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12799),
  [19608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [19610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [19616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18509),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [19620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17774),
  [19624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16317),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10434),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12961),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12977),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11570),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [19646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12858),
  [19654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13242),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12694),
  [19658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12542),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12833),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [19666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19185),
  [19668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12693),
  [19672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [19674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15183),
  [19676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18319),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13042),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13044),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11582),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12474),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14817),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14777),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12715),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14787),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12793),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14488),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14507),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14527),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12839),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12517),
  [19716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 4, 0, 0),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [19720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18720),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14804),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12975),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12652),
  [19728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [19730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18842),
  [19732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14449),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12978),
  [19736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [19738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18863),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14698),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12859),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12888),
  [19746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19122),
  [19748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9890),
  [19750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12547),
  [19754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18924),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14415),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12560),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12664),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12669),
  [19764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12768),
  [19766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [19768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [19770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12777),
  [19772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12920),
  [19774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18222),
  [19776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [19778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12937),
  [19780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13055),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12576),
  [19784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12679),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12814),
  [19790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18178),
  [19792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [19794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12726),
  [19796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [19798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13053),
  [19800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12805),
  [19802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [19804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [19806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12660),
  [19808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12829),
  [19810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18365),
  [19812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [19814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12878),
  [19816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12825),
  [19818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [19820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12656),
  [19822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12691),
  [19824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12590),
  [19826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [19828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12599),
  [19830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [19832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12771),
  [19834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12982),
  [19836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12998),
  [19838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12482),
  [19840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12720),
  [19842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [19844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12890),
  [19846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [19848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12551),
  [19850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12575),
  [19852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [19854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19263),
  [19856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [19858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12638),
  [19860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12675),
  [19862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12966),
  [19864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13033),
  [19866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18724),
  [19868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [19870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [19872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12838),
  [19874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12500),
  [19876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12835),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12860),
  [19880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [19882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15193),
  [19884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18311),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12581),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12611),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12729),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12739),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12857),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12883),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12897),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12981),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15370),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12991),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15373),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15385),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12483),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12525),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12527),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12556),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12569),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12596),
  [19940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12602),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12624),
  [19944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18493),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15480),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12628),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12657),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12666),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12696),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12706),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12742),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12759),
  [19964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18703),
  [19966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [19968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12810),
  [19970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12817),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12905),
  [19974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18733),
  [19976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15601),
  [19978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12912),
  [19980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12932),
  [19982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12938),
  [19984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12957),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13178),
  [19990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18776),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [19998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [20000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15198),
  [20002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18926),
  [20004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10179),
  [20012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10195),
  [20018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 2, 0, 0),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15547),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15548),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15551),
  [20034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19084),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10151),
  [20038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19125),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15363),
  [20042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19131),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [20046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19207),
  [20048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15284),
  [20050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19240),
  [20052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10070),
  [20054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [20056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [20058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15245),
  [20060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19206),
  [20062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [20064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [20066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18125),
  [20068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16581),
  [20070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [20072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18128),
  [20074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16584),
  [20076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11249),
  [20078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18130),
  [20080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16587),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11363),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12637),
  [20086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11846),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13217),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [20094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [20096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [20098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [20100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [20108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [20112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [20114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [20116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [20120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [20122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [20124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [20126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [20130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [20132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [20138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [20140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [20150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [20156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [20160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8110),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10073),
  [20198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_spec, 1, 0, 0),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16341),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [20204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [20206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9776),
  [20208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [20210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [20212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [20214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [20216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [20220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [20222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [20224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [20226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [20228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10442),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [20236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [20244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10519),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [20262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 3, 0, 59),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10528),
  [20272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10537),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10541),
  [20282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [20288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14117),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15652),
  [20292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16647),
  [20294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [20296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [20298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 0),
  [20300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [20302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [20304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [20306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17106),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14310),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [20342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [20346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [20348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [20350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [20352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [20360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [20362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [20364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [20366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [20368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [20370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [20372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [20374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [20376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [20378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [20380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [20382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [20384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [20386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [20388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [20390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16157),
  [20392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [20394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [20396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [20398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [20400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [20402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [20404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [20406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [20408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [20410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [20412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [20414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [20416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [20418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [20420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [20422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [20424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [20426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [20428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [20430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11057),
  [20432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [20434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [20436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [20438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [20440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [20442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [20444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [20446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_typed, 2, 0, 0),
  [20448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [20450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [20452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [20454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10972),
  [20456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [20458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11002),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [20472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11011),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11015),
  [20476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 4, 0, 0),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [20480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [20482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [20484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16927),
  [20487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [20489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [20491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [20493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [20495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [20497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [20499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15826),
  [20501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15826),
  [20504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [20506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [20508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [20510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [20512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [20514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [20516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 4, 0, 80),
  [20518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [20520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [20522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [20524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20073),
  [20526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14915),
  [20528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18791),
  [20530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [20532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [20534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [20542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [20544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [20546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [20548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [20554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [20556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [20558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [20560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [20562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [20564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [20566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [20568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [20570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [20572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [20574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [20576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [20578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [20580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [20582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [20584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [20586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [20588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [20590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [20592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [20594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [20596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [20598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [20600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [20602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [20604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [20606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [20608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [20610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [20612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [20614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [20616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [20618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [20620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [20622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [20624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [20626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [20628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [20630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [20632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [20634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [20636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [20638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [20640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14117),
  [20642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20248),
  [20644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [20646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [20648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21398),
  [20650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [20652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21730),
  [20654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [20656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 24),
  [20658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 0),
  [20660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16002),
  [20662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20165),
  [20664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [20666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [20668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9978),
  [20670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 1, 0, 0),
  [20672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21186),
  [20674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [20676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16475),
  [20678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21795),
  [20680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [20682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20720),
  [20684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [20686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12316),
  [20688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16400),
  [20690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14282),
  [20692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21866),
  [20694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [20696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20103),
  [20698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [20700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16200),
  [20702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16088),
  [20704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [20706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 1, 0, 0),
  [20708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22307),
  [20710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [20712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14238),
  [20714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16643),
  [20716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13275),
  [20718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20866),
  [20720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [20722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21190),
  [20724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [20726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22411),
  [20728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [20730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11423),
  [20732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16358),
  [20734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15948),
  [20736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20724),
  [20738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20948),
  [20740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [20742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10630),
  [20744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21719),
  [20746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [20748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10644),
  [20750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10202),
  [20752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [20754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11452),
  [20756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14786),
  [20758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14276),
  [20760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16756),
  [20762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21032),
  [20764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [20766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19666),
  [20768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [20770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16092),
  [20772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14431),
  [20774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18463),
  [20776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20669),
  [20778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [20780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16244),
  [20782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 42),
  [20784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 0),
  [20786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16421),
  [20788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19521),
  [20790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10504),
  [20792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 0),
  [20794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21977),
  [20796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [20798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10270),
  [20800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22415),
  [20802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [20804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20942),
  [20806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [20808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20349),
  [20810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [20812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16863),
  [20815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10209),
  [20817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20610),
  [20819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [20821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15961),
  [20823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 5, 0, 0),
  [20825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11421),
  [20827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(9953),
  [20830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [20832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21670),
  [20834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8314),
  [20836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19892),
  [20838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21968),
  [20840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [20842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16176),
  [20844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19905),
  [20846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [20848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [20850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20116),
  [20852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [20854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15918),
  [20856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19810),
  [20858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [20860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16309),
  [20862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20792),
  [20864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [20866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20206),
  [20868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [20870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20848),
  [20872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [20874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10680),
  [20876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [20878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19490),
  [20880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [20882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [20884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15907),
  [20886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20432),
  [20888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [20890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [20892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16852),
  [20894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16301),
  [20896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10191),
  [20898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21081),
  [20900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [20902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10897),
  [20904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16493),
  [20906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11729),
  [20908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15669),
  [20910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10583),
  [20912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10235),
  [20914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19939),
  [20916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [20918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20756),
  [20920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10933),
  [20922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15670),
  [20924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10584),
  [20926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10263),
  [20928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11772),
  [20930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11378),
  [20932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11583),
  [20934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21700),
  [20936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [20938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15626),
  [20940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0),
  [20942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16286),
  [20944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16384),
  [20946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19668),
  [20948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [20950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [20952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10493),
  [20954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16539),
  [20956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12152),
  [20958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15870),
  [20960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [20962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14240),
  [20964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18131),
  [20966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21261),
  [20968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [20970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16211),
  [20972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14253),
  [20974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18106),
  [20976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16394),
  [20978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20454),
  [20980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [20982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14285),
  [20984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16592),
  [20986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14291),
  [20988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17349),
  [20990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16312),
  [20992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21851),
  [20994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [20996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16262),
  [20998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21527),
  [21000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [21002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20299),
  [21004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [21006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21729),
  [21008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [21010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16972),
  [21012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15634),
  [21014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [21016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13083),
  [21018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [21020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [21022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 1, 0, 13),
  [21024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 9),
  [21026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [21028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19558),
  [21030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [21032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21082),
  [21034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [21036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19393),
  [21038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [21040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16168),
  [21042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15679),
  [21044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10587),
  [21046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10233),
  [21048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14705),
  [21050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16008),
  [21052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22144),
  [21054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [21056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14142),
  [21058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10187),
  [21060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15307),
  [21062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16267),
  [21064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13080),
  [21066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9919),
  [21068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16502),
  [21070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16058),
  [21072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22512),
  [21074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [21076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18384),
  [21078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [21080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [21082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11338),
  [21084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [21086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17346),
  [21088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17373),
  [21090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12357),
  [21092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [21094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11335),
  [21096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17143),
  [21098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10695),
  [21100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10427),
  [21102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10428),
  [21104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [21106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10430),
  [21108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10809),
  [21110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17382),
  [21112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14023),
  [21114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12083),
  [21116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [21118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17281),
  [21120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14794),
  [21122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10378),
  [21124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16757),
  [21126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13124),
  [21128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14555),
  [21130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17347),
  [21132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [21134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11960),
  [21136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [21138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10814),
  [21140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17383),
  [21142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [21144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [21146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [21148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [21150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0), SHIFT_REPEAT(16807),
  [21153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10818),
  [21157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18189),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18295),
  [21161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20090),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17065),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9810),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10820),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14550),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17348),
  [21175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18404),
  [21178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [21180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16762),
  [21182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [21184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [21186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9831),
  [21188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10082),
  [21190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [21192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14582),
  [21194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18803),
  [21196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14552),
  [21198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18833),
  [21200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10333),
  [21202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10400),
  [21204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9917),
  [21206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [21208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [21210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11351),
  [21212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17144),
  [21214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [21216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10334),
  [21218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10719),
  [21220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [21222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12351),
  [21224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17219),
  [21226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [21228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [21230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10586),
  [21232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9866),
  [21234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10506),
  [21236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11369),
  [21238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10336),
  [21240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [21242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [21244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11087),
  [21246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [21248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [21250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [21252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [21254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12176),
  [21256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [21258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9970),
  [21260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [21262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [21264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [21266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [21268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10522),
  [21270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [21272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [21274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [21276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17190),
  [21278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [21280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [21282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [21284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17398),
  [21286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [21288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9799),
  [21290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [21292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12450),
  [21294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10530),
  [21296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10729),
  [21298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [21300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10570),
  [21302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17399),
  [21304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0),
  [21306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(16647),
  [21309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5567),
  [21311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [21313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17090),
  [21315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [21317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10575),
  [21319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17400),
  [21321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10699),
  [21323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [21325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [21327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17288),
  [21329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [21331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [21333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13758),
  [21335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [21337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [21339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10579),
  [21341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10581),
  [21343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11860),
  [21345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [21347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10087),
  [21349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [21351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12073),
  [21353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17290),
  [21355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [21357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5567),
  [21360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5567),
  [21363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [21365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17269),
  [21367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10107),
  [21369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [21371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [21373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [21375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0),
  [21377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(19123),
  [21380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10052),
  [21382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [21384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [21386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12210),
  [21388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17291),
  [21390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16989),
  [21392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [21394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [21396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12109),
  [21398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9962),
  [21400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [21402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [21404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [21406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12116),
  [21408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [21410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9936),
  [21412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [21414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12017),
  [21416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10348),
  [21418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9939),
  [21420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [21422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14246),
  [21424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [21426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [21428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [21430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [21432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13205),
  [21434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0),
  [21436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0), SHIFT_REPEAT(14920),
  [21439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17761),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8331),
  [21445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [21447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10656),
  [21449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [21451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16998),
  [21453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [21455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13127),
  [21457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11304),
  [21459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17047),
  [21461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [21463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [21465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15242),
  [21467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [21469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10351),
  [21471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [21473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10019),
  [21475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [21477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17175),
  [21479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13194),
  [21481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [21483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16791),
  [21485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11460),
  [21487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10038),
  [21489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [21491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [21493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11575),
  [21495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9956),
  [21497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [21499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17363),
  [21501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9804),
  [21503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9790),
  [21505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [21507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [21509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10589),
  [21511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [21513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9824),
  [21515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [21517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10590),
  [21519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16800),
  [21521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11551),
  [21523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11342),
  [21525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12289),
  [21527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [21529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10706),
  [21531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14047),
  [21533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17270),
  [21535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9971),
  [21537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [21539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [21541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10592),
  [21543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13555),
  [21545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10362),
  [21547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [21549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10363),
  [21551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10265),
  [21553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10080),
  [21555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8154),
  [21557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [21559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18404),
  [21561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [21563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [21565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10029),
  [21567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [21569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [21571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10365),
  [21573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [21575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11273),
  [21577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17191),
  [21579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [21581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [21583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [21585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [21587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11994),
  [21589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17365),
  [21591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11119),
  [21593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17306),
  [21595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [21597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [21599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [21601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13201),
  [21603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [21605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [21607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [21609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12001),
  [21611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17366),
  [21613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17145),
  [21615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10478),
  [21617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10230),
  [21619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17307),
  [21621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13660),
  [21623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10291),
  [21625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17308),
  [21627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11354),
  [21630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14084),
  [21632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17271),
  [21634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10302),
  [21636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10284),
  [21638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17169),
  [21640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [21642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [21644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [21646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [21648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [21650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10371),
  [21652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14545),
  [21654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10372),
  [21656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12007),
  [21658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [21660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17246),
  [21662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9856),
  [21664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17920),
  [21666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10085),
  [21668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [21670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [21672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0),
  [21674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(16852),
  [21677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10013),
  [21679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [21681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10056),
  [21683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10935),
  [21685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [21687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14088),
  [21689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10319),
  [21691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [21693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16890),
  [21695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [21697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11500),
  [21699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13963),
  [21701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16830),
  [21703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [21705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [21707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16807),
  [21709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_type, 2, 0, 0),
  [21711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13352),
  [21713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10105),
  [21715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [21717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14090),
  [21719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [21721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17586),
  [21723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [21725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [21727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13145),
  [21729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17112),
  [21731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17141),
  [21733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [21735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [21737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10174),
  [21739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [21741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10499),
  [21743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [21745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [21747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10987),
  [21749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0), SHIFT_REPEAT(10073),
  [21752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15754),
  [21754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [21756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11311),
  [21758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17048),
  [21760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9283),
  [21763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0),
  [21765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17217),
  [21767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [21769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11004),
  [21771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13622),
  [21773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17172),
  [21775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11614),
  [21777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16894),
  [21779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10900),
  [21781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17539),
  [21783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [21785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [21787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14932),
  [21789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12335),
  [21791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17170),
  [21793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10001),
  [21795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [21797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [21799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [21801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17319),
  [21803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [21805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [21807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12410),
  [21809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17171),
  [21811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [21813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [21815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10389),
  [21817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9948),
  [21819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [21821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12434),
  [21823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [21825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [21827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12439),
  [21829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10862),
  [21831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17320),
  [21833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [21835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [21837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [21839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15829),
  [21841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [21843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [21845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11686),
  [21847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16896),
  [21849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11349),
  [21851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10479),
  [21853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11320),
  [21855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [21857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12136),
  [21859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10392),
  [21861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [21863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10880),
  [21865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17321),
  [21867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15863),
  [21869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [21871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [21873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17248),
  [21875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17568),
  [21877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [21879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11727),
  [21881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13714),
  [21883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10884),
  [21885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10062),
  [21887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [21889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [21891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [21893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [21895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13143),
  [21897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10886),
  [21899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15474),
  [21901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13104),
  [21903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11277),
  [21905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12141),
  [21907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15639),
  [21909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13174),
  [21911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17001),
  [21913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11771),
  [21915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [21917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [21919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10603),
  [21921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10604),
  [21923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0),
  [21925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0), SHIFT_REPEAT(18908),
  [21928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10009),
  [21930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [21932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15651),
  [21934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15387),
  [21936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [21938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [21940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17003),
  [21942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11397),
  [21944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17249),
  [21946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [21948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15659),
  [21950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [21952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10606),
  [21954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12068),
  [21956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17114),
  [21958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [21960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [21962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15664),
  [21964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [21966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15667),
  [21968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15673),
  [21970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10035),
  [21972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [21974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15677),
  [21976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15681),
  [21978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15686),
  [21980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9997),
  [21982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [21984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18108),
  [21986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15691),
  [21988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [21990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15698),
  [21992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15703),
  [21994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [21996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15708),
  [21998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [22000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10119),
  [22002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [22004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15714),
  [22006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15718),
  [22008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [22010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10407),
  [22012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15721),
  [22014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10408),
  [22016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11428),
  [22018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [22020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15725),
  [22022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15726),
  [22024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15731),
  [22026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [22028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [22030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [22032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15736),
  [22034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10410),
  [22036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10689),
  [22038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17092),
  [22040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15742),
  [22042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [22044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15745),
  [22046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15747),
  [22048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12024),
  [22050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17115),
  [22052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15748),
  [22054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15750),
  [22056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [22058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [22060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10075),
  [22062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [22064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [22066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15751),
  [22068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15752),
  [22070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [22072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15755),
  [22074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9950),
  [22076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15758),
  [22078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15707),
  [22080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15764),
  [22082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17044),
  [22084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15767),
  [22086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9922),
  [22088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15771),
  [22090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16949),
  [22092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12067),
  [22094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15772),
  [22096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [22098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [22100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15773),
  [22102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11366),
  [22104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [22106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15775),
  [22108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16750),
  [22110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [22112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15776),
  [22114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15780),
  [22116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16737),
  [22118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15784),
  [22120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15788),
  [22122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17334),
  [22124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15791),
  [22126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9850),
  [22128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [22130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14998),
  [22132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16954),
  [22134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15796),
  [22136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13216),
  [22138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [22140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15798),
  [22142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17919),
  [22144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11279),
  [22146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [22148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15801),
  [22150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15804),
  [22152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12164),
  [22154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [22156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [22158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15807),
  [22160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15809),
  [22162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15088),
  [22164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16958),
  [22166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15212),
  [22168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13432),
  [22170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [22172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [22174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [22176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12153),
  [22178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10418),
  [22180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10419),
  [22182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10078),
  [22184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [22186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [22188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 1, 0, 0),
  [22190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [22192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10617),
  [22194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10618),
  [22196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10458),
  [22198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14289),
  [22200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17335),
  [22202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [22204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10421),
  [22206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [22208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [22210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [22212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10621),
  [22214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12343),
  [22216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17218),
  [22218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17093),
  [22220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14272),
  [22222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17336),
  [22224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12184),
  [22226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12189),
  [22228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14267),
  [22230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14234),
  [22232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12193),
  [22234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18115),
  [22236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [22238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [22240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18119),
  [22242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [22244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [22246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17381),
  [22248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18122),
  [22250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12471),
  [22252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [22254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [22256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13156),
  [22258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17188),
  [22260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16585),
  [22262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15909),
  [22264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [22266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17351),
  [22268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [22270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15303),
  [22272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15302),
  [22274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [22276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14021),
  [22278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16161),
  [22280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [22282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [22284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15556),
  [22286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10304),
  [22288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [22290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15425),
  [22292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [22294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15309),
  [22296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [22298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15610),
  [22300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16186),
  [22302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14072),
  [22304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [22306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15311),
  [22308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16061),
  [22310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [22312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [22314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [22316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15313),
  [22318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14086),
  [22320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [22322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [22324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [22326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15443),
  [22328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15320),
  [22330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [22332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16506),
  [22334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [22336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15451),
  [22338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [22340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15322),
  [22342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15086),
  [22344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [22346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17916),
  [22348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15885),
  [22350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16146),
  [22352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [22354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [22356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15327),
  [22358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14919),
  [22360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [22362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [22364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [22366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15331),
  [22368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15995),
  [22370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10088),
  [22372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15338),
  [22374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [22376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15942),
  [22378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [22380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 1, 0, 0),
  [22382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [22384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15343),
  [22386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [22388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [22390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15618),
  [22392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [22394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15955),
  [22396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15350),
  [22398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [22400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [22402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15345),
  [22404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15401),
  [22406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15062),
  [22408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [22410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [22412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [22414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15347),
  [22416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16106),
  [22418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [22420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15987),
  [22422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [22424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [22426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15353),
  [22428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [22430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [22432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [22434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15362),
  [22436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15978),
  [22438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [22440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [22442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [22444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15356),
  [22446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [22448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [22450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [22452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15991),
  [22454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [22456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15344),
  [22458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [22460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15358),
  [22462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [22464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [22466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [22468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15359),
  [22470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16022),
  [22472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [22474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [22476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [22478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15364),
  [22480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10171),
  [22482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [22484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15488),
  [22486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [22488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [22490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16136),
  [22492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [22494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [22496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15366),
  [22498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12070),
  [22500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15415),
  [22502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [22504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10437),
  [22506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14920),
  [22508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21018),
  [22510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12088),
  [22512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [22514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15375),
  [22516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12099),
  [22518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15395),
  [22520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [22522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21928),
  [22524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [22526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16030),
  [22528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [22530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [22532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15383),
  [22534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16188),
  [22536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [22538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18208),
  [22540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11911),
  [22542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16319),
  [22544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21898),
  [22546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [22548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [22550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [22552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15404),
  [22554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [22556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9806),
  [22558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15435),
  [22560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [22562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22282),
  [22564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16149),
  [22566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [22568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [22570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(5625),
  [22573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [22575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [22577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19316),
  [22579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15416),
  [22581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15701),
  [22583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15930),
  [22585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15515),
  [22587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4149),
  [22590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [22592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [22594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16148),
  [22596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [22598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [22600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15436),
  [22602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [22604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16164),
  [22606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14969),
  [22608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [22610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [22612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15420),
  [22614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [22616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16303),
  [22618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [22620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16154),
  [22622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13281),
  [22624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [22626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [22628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15421),
  [22630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15519),
  [22632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [22634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [22636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10224),
  [22638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10441),
  [22640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10231),
  [22642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10275),
  [22644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10296),
  [22646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10196),
  [22648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15511),
  [22650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [22652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15447),
  [22654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [22656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16272),
  [22658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [22660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19144),
  [22662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [22664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [22666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [22668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11275),
  [22670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15465),
  [22672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16333),
  [22674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15122),
  [22676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 1, 0, 11),
  [22678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [22680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16300),
  [22682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15458),
  [22684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14584),
  [22686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15444),
  [22688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [22690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [22692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [22694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16273),
  [22696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [22698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13618),
  [22700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [22702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11447),
  [22704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [22706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14986),
  [22708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15968),
  [22710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [22712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [22714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [22716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15450),
  [22718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [22720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15629),
  [22722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [22724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(10927),
  [22727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13628),
  [22729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16291),
  [22731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14917),
  [22733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [22735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15453),
  [22737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [22739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [22741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [22743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 2, 0, 0),
  [22745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [22747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [22749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15456),
  [22751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [22753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10859),
  [22755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 1, 0, 0),
  [22757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [22759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10446),
  [22761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15264),
  [22763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [22765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10873),
  [22767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14928),
  [22769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [22771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18242),
  [22773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10882),
  [22775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [22777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20716),
  [22779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15492),
  [22781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [22783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [22785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12339),
  [22787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9778),
  [22789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15259),
  [22791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [22793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21103),
  [22795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15598),
  [22797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [22799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [22801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10422),
  [22803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16418),
  [22805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [22807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [22809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15032),
  [22811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [22813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21244),
  [22815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11979),
  [22817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15825),
  [22819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16308),
  [22821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [22823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [22825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9765),
  [22827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [22829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15293),
  [22831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19221),
  [22833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19258),
  [22835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19261),
  [22837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [22839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15503),
  [22841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [22843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11997),
  [22845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16459),
  [22847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [22849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16041),
  [22851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [22853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15510),
  [22855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12035),
  [22857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [22859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16513),
  [22861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [22863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 2, 0, 0),
  [22865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12348),
  [22867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [22869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [22871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15529),
  [22873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15315),
  [22875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [22877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16216),
  [22879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [22881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18642),
  [22883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21939),
  [22885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [22887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [22889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [22891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [22893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [22895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15536),
  [22897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9822),
  [22899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15290),
  [22901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [22903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15336),
  [22905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22063),
  [22907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14297),
  [22909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10451),
  [22911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [22913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22143),
  [22915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15864),
  [22917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16520),
  [22919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [22921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2619),
  [22924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14293),
  [22926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9654),
  [22928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12354),
  [22930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14239),
  [22932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15462),
  [22934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15499),
  [22936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19080),
  [22938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11519),
  [22940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [22942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [22944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15702),
  [22946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15272),
  [22948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16121),
  [22950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15372),
  [22952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [22954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15074),
  [22956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [22958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4155),
  [22961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16108),
  [22963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [22965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15587),
  [22967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [22969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [22971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18928),
  [22973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16511),
  [22975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [22977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15799),
  [22980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0),
  [22982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(17330),
  [22985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0),
  [22987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [22989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [22991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [22993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [22995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15379),
  [22997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [22999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [23001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15597),
  [23003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [23005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [23007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15857),
  [23009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16091),
  [23011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [23013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9721),
  [23015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [23017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(15852),
  [23020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0),
  [23022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15892),
  [23024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [23026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15602),
  [23028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16245),
  [23030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14972),
  [23032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [23034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [23036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [23038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15611),
  [23040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14540),
  [23042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13955),
  [23044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [23046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10455),
  [23048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15392),
  [23050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14558),
  [23052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19146),
  [23054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16246),
  [23056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20517),
  [23058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14589),
  [23060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [23062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15260),
  [23064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [23066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10005),
  [23068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [23070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [23072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15397),
  [23074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [23076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [23078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17916),
  [23081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15814),
  [23083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16280),
  [23085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [23087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [23089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14929),
  [23091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16145),
  [23093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [23095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15983),
  [23097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [23099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9676),
  [23101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19042),
  [23103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18143),
  [23105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [23107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(17153),
  [23110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0),
  [23112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [23114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15289),
  [23116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [23118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15288),
  [23120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15266),
  [23122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [23124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [23126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10125),
  [23128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [23130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [23132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18713),
  [23134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16085),
  [23136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [23138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [23140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22414),
  [23142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18185),
  [23144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [23146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15271),
  [23148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15099),
  [23150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [23152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [23154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10076),
  [23156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [23158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [23160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [23162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [23164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16586),
  [23166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [23168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15433),
  [23170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [23172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15646),
  [23174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [23176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16117),
  [23178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15559),
  [23180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15468),
  [23182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [23184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15277),
  [23186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12288),
  [23188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15963),
  [23190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [23192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18306),
  [23194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15287),
  [23196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [23198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [23200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [23202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [23204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18190),
  [23206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [23208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15850),
  [23210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [23212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [23214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15279),
  [23216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15438),
  [23218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16367),
  [23220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11992),
  [23222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10460),
  [23224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16364),
  [23226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [23228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [23230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11998),
  [23232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18419),
  [23234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [23236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15979),
  [23238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15052),
  [23240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14785),
  [23242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [23244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9982),
  [23246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [23248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15295),
  [23250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15440),
  [23252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15706),
  [23254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [23256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9928),
  [23258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [23260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [23262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15305),
  [23264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [23266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15306),
  [23268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14950),
  [23270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18334),
  [23272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15377),
  [23274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [23276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [23278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15056),
  [23280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14516),
  [23282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [23284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18512),
  [23286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15442),
  [23288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [23290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [23292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15819),
  [23294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15879),
  [23296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15304),
  [23298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [23300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11481),
  [23302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16481),
  [23304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [23306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [23308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15059),
  [23310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [23312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18608),
  [23314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [23316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15466),
  [23318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [23320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [23322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [23324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [23326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15746),
  [23328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15312),
  [23330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [23332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14729),
  [23334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15318),
  [23336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [23338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15332),
  [23340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15455),
  [23342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [23344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15880),
  [23346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18676),
  [23348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16072),
  [23350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [23352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [23354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [23356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15317),
  [23358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [23360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16137),
  [23362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [23364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15065),
  [23366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [23368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [23370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15636),
  [23372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [23374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [23376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15459),
  [23378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11332),
  [23380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [23382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11515),
  [23384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [23386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [23388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [23390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18753),
  [23392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [23394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [23396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15917),
  [23398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18888),
  [23400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15323),
  [23402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16082),
  [23404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15328),
  [23406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10807),
  [23408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15833),
  [23410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [23412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15019),
  [23414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15461),
  [23416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10464),
  [23418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15813),
  [23420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10376),
  [23422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [23424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10593),
  [23426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18838),
  [23428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10375),
  [23430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10811),
  [23432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [23434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10816),
  [23436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15666),
  [23438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [23440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15464),
  [23442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15935),
  [23444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18887),
  [23446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14935),
  [23448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11321),
  [23451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14600),
  [23453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [23455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16175),
  [23457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10387),
  [23459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15489),
  [23461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15738),
  [23463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10397),
  [23465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [23467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18935),
  [23469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15238),
  [23471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [23473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [23475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9726),
  [23477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18816),
  [23479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14595),
  [23481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11346),
  [23483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15786),
  [23485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [23487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18975),
  [23489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11356),
  [23491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15127),
  [23493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15477),
  [23495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
  [23497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15827),
  [23499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [23501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [23503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19013),
  [23505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16139),
  [23507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [23509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15352),
  [23511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10508),
  [23513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(5616),
  [23516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15268),
  [23518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [23520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15874),
  [23522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15980),
  [23524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10511),
  [23526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [23528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19050),
  [23530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [23532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [23534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15361),
  [23536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15481),
  [23538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15650),
  [23540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16589),
  [23542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(15810),
  [23545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0),
  [23547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [23549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [23551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [23553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16229),
  [23555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19088),
  [23557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15994),
  [23559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15431),
  [23561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15571),
  [23563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16142),
  [23565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10526),
  [23567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15365),
  [23569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15665),
  [23571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [23573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8869),
  [23575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15482),
  [23577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19120),
  [23579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9112),
  [23581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [23583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10536),
  [23585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15367),
  [23587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10568),
  [23589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15693),
  [23591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [23593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19157),
  [23595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [23597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [23599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10572),
  [23601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [23603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13198),
  [23605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15485),
  [23607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [23609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15727),
  [23611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [23613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15330),
  [23615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [23617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [23619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19184),
  [23621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15543),
  [23623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [23625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15325),
  [23627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [23629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [23631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 13),
  [23633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8242),
  [23635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19205),
  [23637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15457),
  [23639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16332),
  [23641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [23643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [23645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14948),
  [23647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [23649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [23651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19234),
  [23653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10161),
  [23655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15389),
  [23657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [23659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15532),
  [23661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [23663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19257),
  [23665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16059),
  [23667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [23669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11301),
  [23671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19285),
  [23673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [23675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15394),
  [23677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16239),
  [23679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [23681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [23683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [23685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16066),
  [23687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18141),
  [23689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [23691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15398),
  [23693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18156),
  [23695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [23697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [23699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15538),
  [23701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [23703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15399),
  [23705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18172),
  [23707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [23709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [23711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13191),
  [23713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15414),
  [23715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [23717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16256),
  [23719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10337),
  [23721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18192),
  [23723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16094),
  [23725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11567),
  [23727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16159),
  [23729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [23731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [23733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [23735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18212),
  [23737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15541),
  [23739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [23741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [23743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [23745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18230),
  [23747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [23749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15423),
  [23751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [23753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [23755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15454),
  [23757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [23759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [23761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16126),
  [23763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [23765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15544),
  [23767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18249),
  [23769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15371),
  [23771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15569),
  [23773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [23775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15434),
  [23777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18265),
  [23779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [23781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [23783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [23785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18282),
  [23787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11478),
  [23789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15977),
  [23791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [23793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16144),
  [23795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16009),
  [23797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18298),
  [23799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14368),
  [23801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [23803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15441),
  [23805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18310),
  [23807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15452),
  [23809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [23811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15265),
  [23813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [23815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10431),
  [23817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9719),
  [23819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18241),
  [23821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15573),
  [23823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [23825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18328),
  [23827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [23829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [23831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16189),
  [23833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [23835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15448),
  [23837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [23839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18341),
  [23841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16363),
  [23843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [23845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15164),
  [23847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15382),
  [23849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18354),
  [23851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16431),
  [23853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16213),
  [23855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [23857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [23859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15475),
  [23861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15576),
  [23863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [23865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18372),
  [23867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [23869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11579),
  [23871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [23873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15494),
  [23875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16372),
  [23877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15173),
  [23879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [23881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18388),
  [23883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [23885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [23887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15954),
  [23889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [23891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [23893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15282),
  [23895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18407),
  [23897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15580),
  [23899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [23901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14962),
  [23903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [23905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16231),
  [23907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11415),
  [23909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15449),
  [23911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14487),
  [23913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18422),
  [23915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [23917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [23919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15177),
  [23921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [23923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [23925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18438),
  [23927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15581),
  [23929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [23931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [23933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11308),
  [23935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15495),
  [23937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15490),
  [23939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10937),
  [23941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18451),
  [23943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10687),
  [23945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18467),
  [23947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11086),
  [23949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16247),
  [23951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10942),
  [23953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [23955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15190),
  [23957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [23959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [23961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18481),
  [23963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14880),
  [23965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18490),
  [23967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [23969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14464),
  [23971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [23973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [23975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18504),
  [23977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [23979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15603),
  [23981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [23983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18513),
  [23985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15498),
  [23987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18520),
  [23989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18526),
  [23991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18532),
  [23993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18538),
  [23995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [23997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18545),
  [23999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [24001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18552),
  [24003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [24005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18559),
  [24007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18566),
  [24009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [24011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18573),
  [24013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15513),
  [24015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18580),
  [24017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18586),
  [24019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18592),
  [24021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18598),
  [24023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18601),
  [24025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18604),
  [24027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18607),
  [24029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18610),
  [24031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18613),
  [24033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18616),
  [24035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18619),
  [24037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18622),
  [24039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18625),
  [24041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18628),
  [24043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18631),
  [24045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18634),
  [24047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18637),
  [24049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18640),
  [24051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18643),
  [24053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18646),
  [24055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18649),
  [24057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18652),
  [24059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18655),
  [24061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18658),
  [24063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18661),
  [24065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18664),
  [24067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16523),
  [24069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [24071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15516),
  [24073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16132),
  [24075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16257),
  [24077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15500),
  [24079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10998),
  [24081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15463),
  [24083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15504),
  [24085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18694),
  [24087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11925),
  [24089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18245),
  [24091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18273),
  [24093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18275),
  [24095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12333),
  [24097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [24099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15607),
  [24101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [24103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [24105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [24107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [24109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [24111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11010),
  [24113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [24115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15505),
  [24117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2335),
  [24120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11313),
  [24122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16546),
  [24124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [24126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10352),
  [24128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [24130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15439),
  [24132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12384),
  [24134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15609),
  [24136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12413),
  [24138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [24140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15522),
  [24142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [24144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [24146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15301),
  [24148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [24150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15616),
  [24152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11674),
  [24154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [24156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18258),
  [24158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18260),
  [24160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18266),
  [24162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16315),
  [24164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [24166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [24168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [24170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [24172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11691),
  [24174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15424),
  [24176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [24178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15528),
  [24180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [24182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16327),
  [24184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [24186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18659),
  [24188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18660),
  [24190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18662),
  [24192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15531),
  [24194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [24196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10670),
  [24198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13172),
  [24200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [24202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [24204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [24206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11032),
  [24208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [24210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15534),
  [24212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10411),
  [24214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15625),
  [24216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [24218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16165),
  [24220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15914),
  [24222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [24224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18947),
  [24226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18949),
  [24228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18955),
  [24230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [24232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [24234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [24236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [24238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [24240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18918),
  [24242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [24244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15627),
  [24246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10322),
  [24248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16131),
  [24250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [24252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [24254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 1, 0, 0),
  [24256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19153),
  [24258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19154),
  [24260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19155),
  [24262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [24264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [24266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [24268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [24270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15965),
  [24272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18201),
  [24274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18202),
  [24276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18203),
  [24278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [24280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [24282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [24284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [24286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [24288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [24290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [24292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [24294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [24296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15262),
  [24298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15560),
  [24300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [24302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18309),
  [24304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18312),
  [24306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18318),
  [24308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18402),
  [24310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [24312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [24314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [24316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18485),
  [24318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18423),
  [24320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18424),
  [24322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18430),
  [24324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [24326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [24328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [24330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16401),
  [24332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [24334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18524),
  [24336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18525),
  [24338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18530),
  [24340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [24342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [24344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [24346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [24348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18611),
  [24350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18612),
  [24352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18614),
  [24354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [24356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [24358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [24360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [24362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [24364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18680),
  [24366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18681),
  [24368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18682),
  [24370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15566),
  [24372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [24374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [24376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [24378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15263),
  [24380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [24382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18762),
  [24384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18763),
  [24386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18766),
  [24388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [24390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [24392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [24394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [24396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16425),
  [24398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18844),
  [24400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18845),
  [24402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18847),
  [24404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [24406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [24408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [24410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15274),
  [24412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9066),
  [24414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18889),
  [24416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18890),
  [24418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18891),
  [24420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [24422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [24424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [24426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15591),
  [24428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [24430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18942),
  [24432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18944),
  [24434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18945),
  [24436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [24438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [24440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [24442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [24444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15594),
  [24446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [24448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18978),
  [24450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18980),
  [24452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18981),
  [24454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [24456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [24458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [24460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15575),
  [24462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [24464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19015),
  [24466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19016),
  [24468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19017),
  [24470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [24472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [24474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [24476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [24478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15572),
  [24480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [24482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18641),
  [24484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19054),
  [24486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19055),
  [24488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19058),
  [24490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [24492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [24494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [24496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19090),
  [24498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19092),
  [24500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19093),
  [24502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [24504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [24506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [24508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16456),
  [24510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [24512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19126),
  [24514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19127),
  [24516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19128),
  [24518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [24520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [24522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [24524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15982),
  [24526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [24528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19160),
  [24530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19161),
  [24532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19162),
  [24534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [24536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [24538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [24540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15232),
  [24542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10137),
  [24544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15273),
  [24546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [24548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [24550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19188),
  [24552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19189),
  [24554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19190),
  [24556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [24558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [24560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [24562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [24564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10692),
  [24566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19219),
  [24568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19220),
  [24570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19222),
  [24572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15582),
  [24574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [24576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [24578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [24580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [24582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15586),
  [24584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19236),
  [24586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19237),
  [24588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19239),
  [24590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15898),
  [24592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [24594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [24596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [24598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [24600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19260),
  [24602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19262),
  [24604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19264),
  [24606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [24608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [24610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [24612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19290),
  [24614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19291),
  [24616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19294),
  [24618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15234),
  [24620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15549),
  [24622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [24624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [24626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [24628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [24630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [24632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18144),
  [24634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18145),
  [24636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18146),
  [24638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [24640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [24642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [24644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15275),
  [24646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10543),
  [24648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [24650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18158),
  [24652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18159),
  [24654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18160),
  [24656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [24658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [24660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [24662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [24664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16485),
  [24666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18174),
  [24668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18175),
  [24670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18176),
  [24672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [24674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [24676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [24678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16547),
  [24680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [24682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15604),
  [24684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18196),
  [24686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18197),
  [24688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18198),
  [24690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [24692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [24694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [24696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [24698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15286),
  [24700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15235),
  [24702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16438),
  [24704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [24706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [24708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18215),
  [24710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18216),
  [24712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18217),
  [24714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [24716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [24718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [24720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15912),
  [24722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [24724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18232),
  [24726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18233),
  [24728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18234),
  [24730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [24732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [24734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [24736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18939),
  [24738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15593),
  [24740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18250),
  [24742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18251),
  [24744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18252),
  [24746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [24748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [24750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [24752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19586),
  [24754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18267),
  [24756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18268),
  [24758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18269),
  [24760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [24762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [24764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [24766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [24768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15276),
  [24770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18286),
  [24772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18287),
  [24774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18288),
  [24776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [24778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [24780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [24782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [24784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10697),
  [24786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18299),
  [24788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18300),
  [24790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18301),
  [24792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [24794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [24796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [24798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [24800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15236),
  [24802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [24804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [24806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18313),
  [24808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18314),
  [24810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18315),
  [24812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [24814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [24816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [24818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [24820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [24822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18330),
  [24824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18331),
  [24826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18332),
  [24828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [24830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [24832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [24834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [24836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18343),
  [24838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18344),
  [24840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18345),
  [24842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [24844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [24846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [24848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15419),
  [24850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [24852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18356),
  [24854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18357),
  [24856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18358),
  [24858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15280),
  [24860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [24862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [24864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [24866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [24868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [24870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18375),
  [24872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18376),
  [24874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18377),
  [24876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [24878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [24880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [24882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15600),
  [24884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15621),
  [24886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18391),
  [24888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18392),
  [24890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18393),
  [24892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [24894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [24896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [24898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14993),
  [24900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18410),
  [24902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18411),
  [24904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18412),
  [24906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [24908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [24910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [24912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10622),
  [24914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18425),
  [24916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18426),
  [24918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18427),
  [24920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15605),
  [24922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [24924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [24926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [24928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [24930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18440),
  [24932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18441),
  [24934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18442),
  [24936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [24938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [24940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [24942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18453),
  [24944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18454),
  [24946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18455),
  [24948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [24950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [24952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [24954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16197),
  [24956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18469),
  [24958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18470),
  [24960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18471),
  [24962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [24964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [24966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [24968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [24970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18482),
  [24972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18483),
  [24974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18484),
  [24976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16540),
  [24978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [24980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [24982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [24984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [24986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15072),
  [24988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16048),
  [24990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18494),
  [24992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18495),
  [24994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18496),
  [24996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [24998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [25000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [25002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18505),
  [25004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18506),
  [25006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18507),
  [25008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15092),
  [25010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18514),
  [25012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18515),
  [25014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18516),
  [25016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18521),
  [25018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18522),
  [25020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18523),
  [25022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18527),
  [25024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18528),
  [25026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18529),
  [25028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18533),
  [25030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18534),
  [25032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18535),
  [25034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18539),
  [25036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18540),
  [25038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18541),
  [25040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18546),
  [25042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18547),
  [25044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18548),
  [25046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18553),
  [25048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18554),
  [25050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18555),
  [25052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18560),
  [25054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18561),
  [25056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18562),
  [25058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18567),
  [25060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18568),
  [25062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18569),
  [25064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18574),
  [25066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18575),
  [25068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18576),
  [25070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18581),
  [25072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18582),
  [25074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18583),
  [25076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18587),
  [25078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18588),
  [25080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18589),
  [25082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18593),
  [25084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18594),
  [25086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18595),
  [25088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15292),
  [25090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [25092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [25094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [25096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15612),
  [25098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16033),
  [25100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [25102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [25104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [25106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15300),
  [25108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16544),
  [25110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15608),
  [25112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [25114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15613),
  [25116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22279),
  [25118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22287),
  [25120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22291),
  [25122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [25124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [25126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [25128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15614),
  [25130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15294),
  [25132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16346),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20330),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [25140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16545),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16042),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [25146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [25150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15584),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15297),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [25156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15351),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15278),
  [25162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [25166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16533),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [25170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [25172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15298),
  [25174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16582),
  [25176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [25178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [25180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [25182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [25184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [25186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10221),
  [25188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19216),
  [25190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [25192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12160),
  [25194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [25196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 4, 0, 0),
  [25198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19244),
  [25200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21845),
  [25202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21846),
  [25204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21847),
  [25206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19170),
  [25208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10109),
  [25210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [25212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18359),
  [25214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [25216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [25218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18466),
  [25220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [25222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [25224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21720),
  [25226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [25228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10311),
  [25230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20596),
  [25232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19102),
  [25234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21860),
  [25236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21861),
  [25238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21862),
  [25240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [25242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20055),
  [25244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14859),
  [25246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [25248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [25250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10588),
  [25252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18727),
  [25254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [25256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9961),
  [25258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [25260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [25262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19245),
  [25264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21875),
  [25266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21876),
  [25268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21877),
  [25270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [25272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20074),
  [25274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19984),
  [25276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [25278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [25280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10717),
  [25282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [25284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10028),
  [25286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [25288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14843),
  [25290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14863),
  [25292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18806),
  [25294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17407),
  [25296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [25298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [25300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22454),
  [25302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18371),
  [25304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21890),
  [25306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21891),
  [25308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21892),
  [25310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [25312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18263),
  [25314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21482),
  [25316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21483),
  [25318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21484),
  [25320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [25322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21548),
  [25324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18193),
  [25326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [25328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [25330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [25332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21444),
  [25334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18711),
  [25336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15518),
  [25338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20488),
  [25340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18475),
  [25342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18508),
  [25344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21905),
  [25346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21906),
  [25348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21907),
  [25350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [25352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9782),
  [25354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [25356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21199),
  [25358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [25360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19133),
  [25362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17228),
  [25364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14707),
  [25366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [25368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19315),
  [25370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19019),
  [25372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21920),
  [25374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21921),
  [25376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21922),
  [25378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [25380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [25382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [25384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20243),
  [25386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [25388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11446),
  [25390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17608),
  [25392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [25394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18747),
  [25396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21167),
  [25398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [25400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21783),
  [25402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9865),
  [25404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19150),
  [25406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21935),
  [25408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21936),
  [25410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21937),
  [25412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11050),
  [25414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9887),
  [25416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [25418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [25420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18498),
  [25422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21284),
  [25424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17309),
  [25426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21285),
  [25428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [25430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21406),
  [25432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14881),
  [25434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [25436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21488),
  [25438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [25440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20274),
  [25442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21286),
  [25444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19083),
  [25446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21950),
  [25448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21951),
  [25450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21952),
  [25452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [25454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12273),
  [25456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21168),
  [25458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21169),
  [25460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [25462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [25464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [25466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [25468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18219),
  [25470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [25472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [25474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [25476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [25478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18636),
  [25480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21965),
  [25482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21966),
  [25484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21967),
  [25486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10211),
  [25488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [25490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [25492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [25494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [25496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [25498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21993),
  [25500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19164),
  [25502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21980),
  [25504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21981),
  [25506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21982),
  [25508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [25510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15851),
  [25512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11317),
  [25514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16848),
  [25516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19227),
  [25518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21507),
  [25520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [25522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15195),
  [25524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21508),
  [25526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18497),
  [25528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21995),
  [25530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21996),
  [25532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21997),
  [25534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [25536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21509),
  [25538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [25540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15184),
  [25542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14887),
  [25544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [25546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [25548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [25550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [25552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [25554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18397),
  [25556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12213),
  [25558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9981),
  [25560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20476),
  [25562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18849),
  [25564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22009),
  [25566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22010),
  [25568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22011),
  [25570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [25572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21204),
  [25574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18691),
  [25576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18804),
  [25578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [25580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21269),
  [25582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [25584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [25586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11795),
  [25588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19156),
  [25590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22023),
  [25592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22024),
  [25594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22025),
  [25596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [25598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [25600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20484),
  [25602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [25604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10041),
  [25606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [25608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10068),
  [25610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [25612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [25614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18238),
  [25616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22037),
  [25618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22038),
  [25620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22039),
  [25622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11555),
  [25624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14875),
  [25626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [25628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18825),
  [25630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [25632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14835),
  [25634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21206),
  [25636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [25638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [25640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [25642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [25644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [25646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11593),
  [25648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22506),
  [25650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [25652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [25654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21652),
  [25656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18429),
  [25658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22051),
  [25660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22052),
  [25662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22053),
  [25664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [25666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [25668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14878),
  [25670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [25672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14568),
  [25674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [25676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21654),
  [25678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9160),
  [25680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [25682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21137),
  [25684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [25686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21963),
  [25688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [25690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9812),
  [25692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [25694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18739),
  [25696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22065),
  [25698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22066),
  [25700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22067),
  [25702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [25704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19266),
  [25706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [25708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10724),
  [25710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [25712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21271),
  [25714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [25716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [25718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [25720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16963),
  [25722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [25724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19863),
  [25726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [25728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19600),
  [25730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [25732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18878),
  [25734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22079),
  [25736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22080),
  [25738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22081),
  [25740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [25742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [25744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [25746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21873),
  [25748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15525),
  [25750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20744),
  [25752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [25754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21304),
  [25756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [25758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [25760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [25762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17184),
  [25764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18624),
  [25766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21531),
  [25768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21532),
  [25770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19082),
  [25772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22093),
  [25774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22094),
  [25776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22095),
  [25778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [25780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [25782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20705),
  [25784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21533),
  [25786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [25788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [25790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [25792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9805),
  [25794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [25796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18853),
  [25798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11594),
  [25800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10627),
  [25802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [25804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19288),
  [25806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22107),
  [25808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22108),
  [25810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22109),
  [25812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12472),
  [25814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10054),
  [25816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10891),
  [25818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [25820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14847),
  [25822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14850),
  [25824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [25826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20732),
  [25828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [25830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18405),
  [25832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22121),
  [25834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22122),
  [25836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22123),
  [25838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [25840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [25842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21330),
  [25844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [25846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21688),
  [25848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [25850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19469),
  [25852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11525),
  [25854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10022),
  [25856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [25858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19072),
  [25860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22135),
  [25862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22136),
  [25864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22137),
  [25866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [25868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [25870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [25872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14895),
  [25874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [25876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21798),
  [25878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18678),
  [25880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22149),
  [25882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22150),
  [25884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22151),
  [25886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [25888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [25890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [25892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18224),
  [25894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10069),
  [25896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10970),
  [25898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21226),
  [25900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18399),
  [25902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22163),
  [25904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22164),
  [25906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22165),
  [25908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [25910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21562),
  [25912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [25914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21229),
  [25916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14855),
  [25918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9794),
  [25920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [25922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [25924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21182),
  [25926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18597),
  [25928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22170),
  [25930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22171),
  [25932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22172),
  [25934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [25936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21185),
  [25938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19682),
  [25940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [25942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [25944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19716),
  [25946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [25948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18668),
  [25950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22177),
  [25952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22178),
  [25954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22179),
  [25956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [25958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17607),
  [25960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18683),
  [25962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22182),
  [25964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22183),
  [25966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22184),
  [25968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18502),
  [25970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21551),
  [25972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21552),
  [25974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18697),
  [25976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22187),
  [25978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22188),
  [25980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22189),
  [25982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21553),
  [25984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [25986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18717),
  [25988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22192),
  [25990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22193),
  [25992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22194),
  [25994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18712),
  [25996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18743),
  [25998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22197),
  [26000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22198),
  [26002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22199),
  [26004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [26006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13347),
  [26008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18785),
  [26010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22202),
  [26012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22203),
  [26014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22204),
  [26016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [26018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21604),
  [26020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [26022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21059),
  [26024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18831),
  [26026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22207),
  [26028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22208),
  [26030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22209),
  [26032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18864),
  [26034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22212),
  [26036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22213),
  [26038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22214),
  [26040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [26042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [26044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18904),
  [26046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22217),
  [26048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22218),
  [26050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22219),
  [26052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [26054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11429),
  [26056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14891),
  [26058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18936),
  [26060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22222),
  [26062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22223),
  [26064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22224),
  [26066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11895),
  [26068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [26070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [26072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18973),
  [26074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22227),
  [26076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22228),
  [26078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22229),
  [26080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [26082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19063),
  [26084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18995),
  [26086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22232),
  [26088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22233),
  [26090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22234),
  [26092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18968),
  [26094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19025),
  [26096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22237),
  [26098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22238),
  [26100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22239),
  [26102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10126),
  [26104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20325),
  [26106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [26108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21695),
  [26110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [26112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [26114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21279),
  [26116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [26118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [26120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21736),
  [26122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [26124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17049),
  [26126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19233),
  [26128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21570),
  [26130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21571),
  [26132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21572),
  [26134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [26136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21744),
  [26138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [26140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [26142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [26144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20258),
  [26146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19117),
  [26148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [26150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [26152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19349),
  [26154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [26156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [26158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21929),
  [26160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10117),
  [26162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [26164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19882),
  [26166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14868),
  [26168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [26170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19880),
  [26172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17973),
  [26174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [26176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [26178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [26180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [26182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19091),
  [26184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21358),
  [26186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21359),
  [26188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21360),
  [26190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18325),
  [26192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [26194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14834),
  [26196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [26198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21904),
  [26200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11407),
  [26202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20757),
  [26204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [26206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19677),
  [26208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [26210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21973),
  [26212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18632),
  [26214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 1, 0, 0),
  [26216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11731),
  [26218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [26220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [26222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21208),
  [26224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [26226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20653),
  [26228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16842),
  [26230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19172),
  [26232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21589),
  [26234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21590),
  [26236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21591),
  [26238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [26240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22129),
  [26242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [26244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22140),
  [26246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [26248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [26250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14899),
  [26252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18355),
  [26254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [26256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9943),
  [26258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [26260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [26262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [26264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21152),
  [26266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [26268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [26270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10715),
  [26272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [26274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22243),
  [26276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19116),
  [26278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [26280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22257),
  [26282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21319),
  [26284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [26286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21170),
  [26288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [26290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [26292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [26294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10904),
  [26296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [26298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21948),
  [26300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [26302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11348),
  [26304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11162),
  [26306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [26308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9800),
  [26310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [26312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11978),
  [26314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [26316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22428),
  [26318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14848),
  [26320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [26322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22446),
  [26324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22510),
  [26326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9983),
  [26328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [26330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18875),
  [26332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21268),
  [26334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [26336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [26338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21219),
  [26340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [26342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21254),
  [26344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [26346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [26348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21277),
  [26350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [26352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12262),
  [26354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21329),
  [26356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15270),
  [26358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [26360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21275),
  [26362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [26364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22325),
  [26366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [26368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21888),
  [26370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [26372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22526),
  [26374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13054),
  [26376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [26378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22527),
  [26380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [26382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [26384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [26386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [26388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [26390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19302),
  [26392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7963),
  [26394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17471),
  [26396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [26398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21813),
  [26400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [26402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [26404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [26406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18213),
  [26408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21606),
  [26410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21607),
  [26412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22049),
  [26414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [26416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21293),
  [26418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21608),
  [26420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [26422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19948),
  [26424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [26426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [26428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21297),
  [26430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [26432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [26434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [26436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [26438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19945),
  [26440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [26442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18327),
  [26444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21392),
  [26446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [26448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13479),
  [26450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [26452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [26454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [26456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21397),
  [26458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [26460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19992),
  [26462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [26464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19360),
  [26466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [26468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11445),
  [26470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [26472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21603),
  [26474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [26476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [26478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19370),
  [26480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14259),
  [26482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21350),
  [26484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14910),
  [26486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [26488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21372),
  [26490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [26492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [26494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19556),
  [26496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18815),
  [26498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 12),
  [26500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [26502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 2, 0, 71),
  [26504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10118),
  [26506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [26508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [26510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21378),
  [26512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15028),
  [26514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14793),
  [26516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11971),
  [26518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14594),
  [26520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [26522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12025),
  [26524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15530),
  [26526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10842),
  [26528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [26530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [26532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10672),
  [26534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10267),
  [26536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14733),
  [26538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [26540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18989),
  [26542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [26544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21475),
  [26546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [26548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10111),
  [26550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [26552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22097),
  [26554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [26556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [26558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20081),
  [26560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [26562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [26564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14839),
  [26566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14941),
  [26568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9974),
  [26570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9808),
  [26572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [26574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13557),
  [26576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [26578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19406),
  [26580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [26582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19498),
  [26584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [26586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [26588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [26590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [26592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [26594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19411),
  [26596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12081),
  [26598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19358),
  [26600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [26602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [26604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19115),
  [26606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21623),
  [26608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21624),
  [26610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [26612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21625),
  [26614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [26616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20711),
  [26618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [26620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19314),
  [26622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18435),
  [26624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13048),
  [26626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12127),
  [26628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [26630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14068),
  [26632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11977),
  [26634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 101),
  [26636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [26638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19367),
  [26640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14762),
  [26642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [26644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19471),
  [26646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [26648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [26650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19307),
  [26652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12173),
  [26654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10166),
  [26656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19081),
  [26658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [26660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [26662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21828),
  [26664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [26666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12509),
  [26668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [26670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21626),
  [26672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14299),
  [26674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [26676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19478),
  [26678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [26680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [26682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [26684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [26686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19212),
  [26688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18670),
  [26690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21640),
  [26692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21641),
  [26694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21642),
  [26696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19551),
  [26698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [26700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [26702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [26704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11907),
  [26706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11022),
  [26708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18855),
  [26710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11077),
  [26712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [26714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19343),
  [26716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [26718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21437),
  [26720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [26722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19559),
  [26724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [26726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14918),
  [26728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [26730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [26732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19566),
  [26734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [26736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21647),
  [26738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [26740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [26742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21978),
  [26744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8878),
  [26746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [26748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21704),
  [26750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18414),
  [26752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [26754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14784),
  [26756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19408),
  [26758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14522),
  [26760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [26762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15200),
  [26764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14573),
  [26766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [26768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19410),
  [26770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [26772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [26774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [26776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19612),
  [26778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [26780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17423),
  [26782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [26784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19618),
  [26786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18677),
  [26788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21657),
  [26790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21658),
  [26792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21659),
  [26794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9885),
  [26796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18369),
  [26798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21413),
  [26800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [26802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21343),
  [26804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21414),
  [26806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18716),
  [26808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12876),
  [26810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [26812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [26814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21415),
  [26816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9827),
  [26818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [26820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [26822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [26824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [26826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21821),
  [26828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [26830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14889),
  [26832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10074),
  [26834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [26836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9986),
  [26838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [26840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11987),
  [26842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18827),
  [26844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19070),
  [26846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10764),
  [26848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21586),
  [26850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [26852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21620),
  [26854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [26856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19671),
  [26858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14837),
  [26860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10247),
  [26862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19192),
  [26864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21674),
  [26866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14892),
  [26868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21675),
  [26870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21676),
  [26872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [26874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [26876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19514),
  [26878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18136),
  [26880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [26882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19673),
  [26884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9879),
  [26886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [26888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9773),
  [26890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [26892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [26894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11507),
  [26896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [26898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [26900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [26902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19731),
  [26904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14861),
  [26906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [26908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19750),
  [26910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8961),
  [26912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18472),
  [26914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 4, 0, 33),
  [26916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10826),
  [26918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [26920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [26922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18645),
  [26924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21691),
  [26926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21692),
  [26928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21693),
  [26930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [26932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9933),
  [26934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [26936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21023),
  [26938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9641),
  [26940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18708),
  [26942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [26944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21909),
  [26946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [26948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19779),
  [26950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [26952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20039),
  [26954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13373),
  [26956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19541),
  [26958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [26960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19787),
  [26962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [26964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [26966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21637),
  [26968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 0),
  [26970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [26972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21752),
  [26974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [26976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18965),
  [26978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [26980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [26982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21567),
  [26984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12132),
  [26986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13915),
  [26988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [26990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [26992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9980),
  [26994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [26996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9946),
  [26998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10517),
  [27000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [27002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10449),
  [27004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14842),
  [27006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [27008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21671),
  [27010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [27012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19075),
  [27014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21707),
  [27016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21708),
  [27018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9845),
  [27020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [27022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18228),
  [27024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21709),
  [27026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [27028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21933),
  [27030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [27032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [27034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19104),
  [27036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10064),
  [27038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14876),
  [27040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9927),
  [27042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [27044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [27046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [27048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [27050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22139),
  [27052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [27054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [27056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20506),
  [27058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8327),
  [27060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20080),
  [27062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18169),
  [27064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [27066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 3, 0, 0),
  [27068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [27070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [27072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22074),
  [27074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [27076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22045),
  [27078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22125),
  [27080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [27082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 1, 0, 0),
  [27084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [27086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21918),
  [27088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14852),
  [27090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18335),
  [27092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21723),
  [27094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10727),
  [27096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22130),
  [27098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21724),
  [27100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21725),
  [27102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [27104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [27106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [27108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [27110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18382),
  [27112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [27114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19572),
  [27116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [27118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [27120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14233),
  [27122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [27124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18511),
  [27126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18623),
  [27128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22493),
  [27130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [27132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [27134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22100),
  [27136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10173),
  [27138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21024),
  [27140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11132),
  [27142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12236),
  [27144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [27146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [27148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [27150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19793),
  [27152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [27154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [27156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19710),
  [27158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22270),
  [27160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18740),
  [27162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21739),
  [27164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21740),
  [27166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21741),
  [27168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [27170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22302),
  [27172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10122),
  [27174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [27176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [27178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18808),
  [27180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [27182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [27184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22281),
  [27186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [27188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11465),
  [27190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [27192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [27194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20590),
  [27196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [27198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [27200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17404),
  [27202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10899),
  [27204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10309),
  [27206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20417),
  [27208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19046),
  [27210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9899),
  [27212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19196),
  [27214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21451),
  [27216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21452),
  [27218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21453),
  [27220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [27222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19754),
  [27224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9687),
  [27226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19124),
  [27228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21755),
  [27230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21756),
  [27232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21757),
  [27234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10836),
  [27236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20710),
  [27238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18194),
  [27240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18439),
  [27242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19149),
  [27244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [27246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9821),
  [27248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [27250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [27252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19497),
  [27254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [27256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [27258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19760),
  [27260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [27262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19278),
  [27264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [27266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [27268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [27270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [27272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [27274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [27276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19781),
  [27278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20442),
  [27280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [27282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18161),
  [27284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21770),
  [27286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21771),
  [27288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21772),
  [27290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18167),
  [27292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [27294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22406),
  [27296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [27298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20536),
  [27300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10838),
  [27302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20759),
  [27304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18256),
  [27306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [27308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21528),
  [27310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [27312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22249),
  [27314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14846),
  [27316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14602),
  [27318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [27320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15246),
  [27322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21677),
  [27324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15517),
  [27326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [27328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [27330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21843),
  [27332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [27334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21043),
  [27336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10181),
  [27338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14888),
  [27340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [27342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [27344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12155),
  [27346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18329),
  [27348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21785),
  [27350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21786),
  [27352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19242),
  [27354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19875),
  [27356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21787),
  [27358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10646),
  [27360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10643),
  [27362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20924),
  [27364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [27366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19520),
  [27368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [27370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [27372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18501),
  [27374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14208),
  [27376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13362),
  [27378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22159),
  [27380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9784),
  [27382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [27384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18692),
  [27386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21800),
  [27388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21801),
  [27390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [27392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21802),
  [27394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20693),
  [27396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9795),
  [27398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [27400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21119),
  [27402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [27404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [27406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22439),
  [27408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [27410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20636),
  [27412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10110),
  [27414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [27416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18760),
  [27418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [27420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22449),
  [27422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9459),
  [27424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21503),
  [27426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [27428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21387),
  [27430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [27432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19891),
  [27434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18792),
  [27436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21815),
  [27438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19900),
  [27440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21816),
  [27442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20758),
  [27444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [27446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21817),
  [27448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [27450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11776),
  [27452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12468),
  [27454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [27456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21768),
  [27458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [27460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14549),
  [27462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [27464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12199),
  [27466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13237),
  [27468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18883),
  [27470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10044),
  [27472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [27474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12203),
  [27476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13238),
  [27478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [27480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21903),
  [27482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12208),
  [27484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [27486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21858),
  [27488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [27490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21140),
  [27492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18959),
  [27494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21830),
  [27496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21831),
  [27498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 3, 0, 72),
  [27500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [27502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21832),
  [27504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19040),
  [27506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [27508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [27510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [27512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [27514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [27516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [27518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10885),
  [27520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [27522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [27524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [27526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [27528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [27530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [27532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [27534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [27536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [27538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [27540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [27542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [27544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16699),
  [27546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [27548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [27550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11027),
  [27552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [27554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [27556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [27558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [27560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [27562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [27564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [27566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [27568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [27570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17604),
  [27572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [27574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [27576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12673),
  [27578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19076),
  [27580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [27582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [27584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [27586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [27588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [27590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [27592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [27594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [27596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [27598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [27600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [27602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14082),
  [27604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [27606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [27608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [27610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [27612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [27614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17695),
  [27616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [27618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18570),
  [27620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11355),
  [27622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [27624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14814),
  [27626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11357),
  [27628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [27630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [27632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [27634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [27636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 2, 0, 0),
  [27638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [27640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [27642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [27644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16775),
  [27646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [27648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [27650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [27652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [27654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14143),
  [27656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11033),
  [27658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [27660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11278),
  [27662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [27664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [27666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [27668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11205),
  [27670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [27672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [27674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11206),
  [27676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10401),
  [27678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12795),
  [27680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18769),
  [27682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15553),
  [27684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11358),
  [27686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [27688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [27690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14509),
  [27692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [27694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [27696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [27698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [27700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [27702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19934),
  [27704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14130),
  [27706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [27708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [27710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [27712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [27714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [27716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [27718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [27720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [27722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19119),
  [27724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [27726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [27728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12873),
  [27730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [27732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [27734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [27736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [27738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [27740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [27742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [27744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22539),
  [27746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [27748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [27750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16845),
  [27752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18782),
  [27754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [27756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11360),
  [27758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [27760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [27762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [27764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12257),
  [27766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12258),
  [27768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11541),
  [27770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [27772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [27774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [27776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [27778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [27780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12260),
  [27782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [27784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12946),
  [27786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18229),
  [27788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [27790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [27792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11543),
  [27794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [27796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [27798] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [27800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [27802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [27804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [27806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [27808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [27810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14015),
  [27812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [27814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [27816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [27818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [27820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [27822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [27824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [27826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18531),
  [27828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [27830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9564),
  [27832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [27834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [27836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [27838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [27840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [27842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [27844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [27846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [27848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11376),
  [27850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [27852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [27854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16931),
  [27856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [27858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [27860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [27862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [27864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [27866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [27868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [27870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [27872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [27874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [27876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [27878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [27880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [27882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [27884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12594),
  [27886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18773),
  [27888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [27890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [27892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [27894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [27896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [27898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [27900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [27902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [27904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14164),
  [27906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10513),
  [27908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12927),
  [27910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13377),
  [27912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [27914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [27916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [27918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19035),
  [27920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [27922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [27924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [27926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [27928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [27930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [27932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [27934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [27936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [27938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [27940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [27942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17015),
  [27944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [27946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [27948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [27950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [27952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [27954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14004),
  [27956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [27958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [27960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [27962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [27964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [27966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [27968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [27970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [27972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [27974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19142),
  [27976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [27978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21015),
  [27980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [27982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [27984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [27986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11683),
  [27988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [27990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [27992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [27994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [27996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [27998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [28000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [28002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18244),
  [28004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 2, 0, 0),
  [28006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10523),
  [28008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [28010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11688),
  [28012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [28014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [28016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17438),
  [28018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [28020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [28022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [28024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [28026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11491),
  [28028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17108),
  [28030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [28032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [28034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [28036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [28038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [28040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [28042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [28044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [28046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13207),
  [28048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13930),
  [28050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13208),
  [28052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [28054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14226),
  [28056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13931),
  [28058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14236),
  [28060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [28062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12819),
  [28064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18417),
  [28066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [28068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [28070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [28072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [28074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [28076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14119),
  [28078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [28080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14138),
  [28082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [28084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [28086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [28088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [28090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18654),
  [28092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14657),
  [28094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [28096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [28098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10531),
  [28100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [28102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12091),
  [28104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10532),
  [28106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10533),
  [28108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [28110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [28112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [28114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10534),
  [28116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10535),
  [28118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17230),
  [28120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [28122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [28124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [28126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [28128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [28130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [28132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [28134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14668),
  [28136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [28138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [28140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [28142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8786),
  [28144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [28146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19004),
  [28148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12662),
  [28150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18867),
  [28152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [28154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13209),
  [28156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [28158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [28160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [28162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [28164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13992),
  [28166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10538),
  [28168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [28170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [28172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10540),
  [28174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [28176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [28178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19079),
  [28180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [28182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [28184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [28186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [28188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [28190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [28192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [28194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [28196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [28198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [28200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [28202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [28204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [28206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [28208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [28210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17374),
  [28212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [28214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13964),
  [28216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [28218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [28220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [28222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [28224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [28226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [28228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [28230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11067),
  [28232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [28234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [28236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [28238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [28240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [28242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [28244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [28246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12701),
  [28248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19174),
  [28250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [28252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [28254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [28256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [28258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [28260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [28262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10580),
  [28264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14115),
  [28266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [28268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17970),
  [28270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [28272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [28274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [28276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [28278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18138),
  [28280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [28282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [28284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [28286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [28288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [28290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [28292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [28294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [28296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [28298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [28300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [28302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17449),
  [28304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [28306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [28308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9843),
  [28310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [28312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11374),
  [28314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [28316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11375),
  [28318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [28320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [28322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [28324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12923),
  [28326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18177),
  [28328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [28330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [28332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [28334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [28336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8173),
  [28338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13996),
  [28340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [28342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [28344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [28346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [28348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [28350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18276),
  [28352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [28354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12438),
  [28356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [28358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [28360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [28362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11075),
  [28364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [28366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [28368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [28370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17521),
  [28372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [28374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [28376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [28378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [28380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [28382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [28384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [28386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [28388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12588),
  [28390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18348),
  [28392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [28394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11549),
  [28396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [28398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [28400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [28402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [28404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [28406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [28408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11377),
  [28410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10123),
  [28412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [28414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [28416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [28418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18665),
  [28420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [28422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [28424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [28426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [28428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [28430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [28432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [28434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [28436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [28438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17714),
  [28440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [28442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [28444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [28446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [28448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [28450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [28452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [28454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [28456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12804),
  [28458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18704),
  [28460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21135),
  [28462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [28464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [28466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [28468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12988),
  [28470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [28472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14080),
  [28474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [28476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [28478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [28480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19226),
  [28482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [28484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [28486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18772),
  [28488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22537),
  [28490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [28492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11380),
  [28494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [28496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [28498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11183),
  [28500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [28502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [28504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21154),
  [28506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17766),
  [28508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [28510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [28512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [28514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [28516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [28518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11295),
  [28520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [28522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12615),
  [28524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18802),
  [28526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9223),
  [28528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [28530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [28532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [28534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [28536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14112),
  [28538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [28540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [28542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [28544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [28546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [28548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [28550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18900),
  [28552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [28554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [28556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [28558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 3, 0, 0),
  [28560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [28562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [28564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [28566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [28568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [28570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17874),
  [28572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14281),
  [28574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11258),
  [28576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [28578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [28580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11259),
  [28582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [28584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [28586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12781),
  [28588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19023),
  [28590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11260),
  [28592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [28594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [28596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [28598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [28600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14139),
  [28602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [28604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12241),
  [28606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11566),
  [28608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [28610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [28612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [28614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19229),
  [28616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [28618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [28620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [28622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [28624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [28626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [28628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [28630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [28632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12242),
  [28634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [28636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [28638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12243),
  [28640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18096),
  [28642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [28644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [28646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [28648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [28650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [28652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [28654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14265),
  [28656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13004),
  [28658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19251),
  [28660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [28662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [28664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [28666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [28668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [28670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9645),
  [28672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14163),
  [28674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [28676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [28678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [28680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [28682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [28684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [28686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19037),
  [28688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [28690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11953),
  [28692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [28694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [28696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [28698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [28700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [28702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [28704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [28706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [28708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11954),
  [28710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [28712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16690),
  [28714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16985),
  [28716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [28718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11955),
  [28720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [28722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14151),
  [28724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [28726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [28728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12741),
  [28730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18823),
  [28732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14153),
  [28734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17699),
  [28736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14154),
  [28738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12110),
  [28740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14179),
  [28742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [28744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [28746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [28748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [28750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [28752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [28754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18993),
  [28756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [28758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [28760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [28762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [28764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [28766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [28768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [28770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [28772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [28774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11552),
  [28776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [28778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16666),
  [28780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [28782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [28784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10833),
  [28786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [28788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [28790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [28792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14033),
  [28794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8917),
  [28796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [28798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12868),
  [28800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18551),
  [28802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [28804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [28806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [28808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [28810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [28812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [28814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14041),
  [28816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [28818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [28820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [28822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18795),
  [28824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [28826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [28828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19097),
  [28830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10245),
  [28832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [28834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [28836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10285),
  [28838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [28840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [28842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [28844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [28846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10303),
  [28848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [28850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [28852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17116),
  [28854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [28856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [28858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [28860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14077),
  [28862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [28864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [28866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12580),
  [28868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18629),
  [28870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14694),
  [28872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [28874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8157),
  [28876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [28878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [28880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14174),
  [28882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10865),
  [28884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10866),
  [28886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [28888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [28890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [28892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18316),
  [28894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10867),
  [28896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9987),
  [28898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14764),
  [28900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [28902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [28904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [28906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [28908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [28910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [28912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [28914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10834),
  [28916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [28918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17609),
  [28920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [28922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19074),
  [28924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [28926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [28928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14269),
  [28930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [28932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14270),
  [28934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [28936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [28938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12714),
  [28940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18728),
  [28942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [28944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [28946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [28948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14288),
  [28950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [28952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [28954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [28956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14583),
  [28958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [28960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [28962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [28964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19297),
  [28966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [28968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [28970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [28972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [28974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [28976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [28978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [28980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14587),
  [28982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [28984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [28986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9975),
  [28988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16622),
  [28990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [28992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10787),
  [28994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14588),
  [28996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [28998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [29000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [29002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [29004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [29006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [29008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13035),
  [29010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18602),
  [29012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [29014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [29016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17419),
  [29018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10329),
  [29020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14029),
  [29022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10876),
  [29024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [29026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [29028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [29030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18584),
  [29032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9990),
  [29034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10877),
  [29036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10878),
  [29038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [29040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [29042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10565),
  [29044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [29046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [29048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10566),
  [29050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [29052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [29054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14682),
  [29056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16720),
  [29058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10567),
  [29060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11319),
  [29062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [29064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [29066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [29068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11340),
  [29070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [29072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [29074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [29076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12540),
  [29078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18157),
  [29080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [29082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [29084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [29086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [29088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14028),
  [29090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [29092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [29094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [29096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [29098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18872),
  [29100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10901),
  [29102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [29104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [29106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14172),
  [29108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [29110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [29112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [29114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [29116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [29118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [29120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16824),
  [29122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [29124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [29126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11100),
  [29128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [29130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14674),
  [29132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [29134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [29136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12880),
  [29138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19202),
  [29140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [29142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [29144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16900),
  [29146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [29148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [29150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14102),
  [29152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [29154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [29156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [29158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18456),
  [29160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [29162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12645),
  [29164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14089),
  [29166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [29168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10177),
  [29170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [29172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [29174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18669),
  [29176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11105),
  [29178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16930),
  [29180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11107),
  [29182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [29184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [29186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [29188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11113),
  [29190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [29192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [29194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [29196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12613),
  [29198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18767),
  [29200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [29202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14726),
  [29204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [29206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10128),
  [29208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [29210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14156),
  [29212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10550),
  [29214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [29216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [29218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [29220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [29222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19053),
  [29224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [29226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [29228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [29230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [29232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [29234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [29236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [29238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [29240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [29242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [29244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17037),
  [29246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [29248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [29250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [29252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [29254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [29256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [29258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12744),
  [29260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19198),
  [29262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18284),
  [29264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [29266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [29268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [29270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14182),
  [29272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [29274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [29276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [29278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [29280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [29282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18406),
  [29284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [29286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9959),
  [29288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [29290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [29292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [29294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [29296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [29298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [29300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18565),
  [29302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17156),
  [29304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [29306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [29308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [29310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [29312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [29314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [29316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [29318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [29320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12862),
  [29322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18549),
  [29324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [29326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10552),
  [29328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [29330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [29332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14169),
  [29334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [29336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [29338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [29340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [29342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [29344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18751),
  [29346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [29348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [29350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [29352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [29354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [29356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10310),
  [29358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [29360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [29362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [29364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [29366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [29368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17266),
  [29370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [29372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [29374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [29376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [29378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [29380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [29382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [29384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12906),
  [29386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18901),
  [29388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [29390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [29392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [29394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14070),
  [29396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [29398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [29400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [29402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [29404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [29406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19085),
  [29408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [29410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [29412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [29414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [29416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [29418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [29420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [29422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [29424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [29426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17388),
  [29428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [29430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [29432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [29434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [29436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [29438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [29440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [29442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13000),
  [29444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19183),
  [29446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [29448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [29450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [29452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [29454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [29456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13982),
  [29458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [29460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [29462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [29464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [29466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [29468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18182),
  [29470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15521),
  [29472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [29474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [29476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [29478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [29480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [29482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [29484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [29486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [29488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [29490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [29492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [29494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17478),
  [29496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14095),
  [29498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [29500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14687),
  [29502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [29504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [29506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [29508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [29510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [29512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12493),
  [29514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18264),
  [29516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [29518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [29520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [29522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [29524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [29526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14016),
  [29528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [29530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14662),
  [29532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [29534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [29536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [29538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18381),
  [29540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [29542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [29544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [29546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [29548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [29550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [29552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [29554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19178),
  [29556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [29558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [29560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17570),
  [29562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [29564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [29566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10931),
  [29568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [29570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [29572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [29574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12530),
  [29576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18450),
  [29578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [29580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12389),
  [29582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [29584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [29586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14073),
  [29588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [29590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [29592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [29594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [29596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [29598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18707),
  [29600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [29602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [29604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [29606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [29608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [29610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [29612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [29614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [29616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [29618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11028),
  [29620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17736),
  [29622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [29624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [29626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14541),
  [29628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [29630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14332),
  [29632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11626),
  [29634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14333),
  [29636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12572),
  [29638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18765),
  [29640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [29642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [29644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [29646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17387),
  [29648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [29650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14114),
  [29652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10312),
  [29654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [29656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [29658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18837),
  [29660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [29662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17227),
  [29664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [29666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [29668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [29670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [29672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [29674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [29676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [29678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [29680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17817),
  [29682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11221),
  [29684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [29686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [29688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [29690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [29692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [29694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [29696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12604),
  [29698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18911),
  [29700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [29702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [29704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10752),
  [29706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [29708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [29710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14150),
  [29712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [29714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [29716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [29718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [29720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [29722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19026),
  [29724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15476),
  [29726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [29728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [29730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [29732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [29734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [29736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [29738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [29740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [29742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [29744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [29746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [29748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17966),
  [29750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [29752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11238),
  [29754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [29756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [29758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [29760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9855),
  [29762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11117),
  [29764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12633),
  [29766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19114),
  [29768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [29770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [29772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [29774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13981),
  [29776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [29778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12893),
  [29780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [29782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [29784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19255),
  [29786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [29788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [29790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [29792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [29794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18730),
  [29796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [29798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [29800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [29802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18123),
  [29804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11254),
  [29806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11256),
  [29808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9807),
  [29810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7937),
  [29812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [29814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [29816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [29818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12670),
  [29820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18796),
  [29822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11267),
  [29824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [29826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [29828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [29830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [29832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14008),
  [29834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10837),
  [29836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [29838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [29840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [29842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18361),
  [29844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [29846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9644),
  [29848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [29850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [29852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [29854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [29856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [29858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [29860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [29862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16617),
  [29864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17240),
  [29866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [29868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [29870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [29872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11322),
  [29874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [29876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [29878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18618),
  [29880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [29882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15527),
  [29884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11324),
  [29886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [29888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14019),
  [29890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [29892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11469),
  [29894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11160),
  [29896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [29898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [29900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18603),
  [29902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [29904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11412),
  [29906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [29908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [29910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [29912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [29914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22262),
  [29916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [29918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [29920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16640),
  [29922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10331),
  [29924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [29926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [29928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [29930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11470),
  [29932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10156),
  [29934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12763),
  [29936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19138),
  [29938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [29940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [29942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [29944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [29946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14036),
  [29948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [29950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [29952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [29954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [29956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18488),
  [29958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [29960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [29962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [29964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [29966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [29968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [29970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [29972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [29974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11603),
  [29976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [29978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12145),
  [29980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16661),
  [29982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [29984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [29986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10653),
  [29988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [29990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [29992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [29994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [29996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12820),
  [29998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18848),
  [30000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [30002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [30004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [30006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10957),
  [30008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14061),
  [30010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [30012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16964),
  [30014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [30016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [30018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18277),
  [30020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [30022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [30024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [30026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14382),
  [30028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [30030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [30032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [30034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [30036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [30038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16683),
  [30040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [30042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [30044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [30046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [30048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12146),
  [30050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [30052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12916),
  [30054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18459),
  [30056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [30058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [30060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10943),
  [30062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [30064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [30066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [30068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [30070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18579),
  [30072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14388),
  [30074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [30076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [30078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16694),
  [30080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14147),
  [30082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14654),
  [30084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12945),
  [30086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18615),
  [30088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10169),
  [30090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [30092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18650),
  [30094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [30096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [30098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [30100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15218),
  [30102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [30104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14826),
  [30106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [30108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12963),
  [30110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18671),
  [30112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [30114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [30116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [30118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [30120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [30122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [30124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19300),
  [30126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18684),
  [30128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [30130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [30132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [30134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [30136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11326),
  [30138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18701),
  [30140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [30142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [30144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [30146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [30148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [30150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [30152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [30154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18719),
  [30156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10853),
  [30158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10647),
  [30160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [30162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11016),
  [30164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [30166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18754),
  [30168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [30170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [30172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [30174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17370),
  [30176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [30178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18789),
  [30180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [30182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [30184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [30186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12553),
  [30188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18840),
  [30190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11103),
  [30192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [30194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11104),
  [30196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [30198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [30200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18880),
  [30202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [30204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11055),
  [30206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [30208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10124),
  [30210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18932),
  [30212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18909),
  [30214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11329),
  [30216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11106),
  [30218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [30220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [30222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18941),
  [30224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [30226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12077),
  [30228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12812),
  [30230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19211),
  [30232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18985),
  [30234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [30236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11109),
  [30238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11110),
  [30240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4707),
  [30242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11111),
  [30244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19002),
  [30246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [30248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [30250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [30252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [30254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [30256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [30258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19029),
  [30260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [30262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [30264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [30266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14161),
  [30268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [30270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11331),
  [30272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19568),
  [30274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [30276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [30278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [30280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10163),
  [30282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [30284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [30286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [30288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [30290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [30292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [30294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [30296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [30298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [30300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [30302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [30304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [30306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14125),
  [30308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [30310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [30312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11530),
  [30314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21079),
  [30316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [30318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14828),
  [30320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [30322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [30324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [30326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [30328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [30330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18813),
  [30332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [30334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [30336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [30338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10846),
  [30340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [30342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14626),
  [30344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [30346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [30348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [30350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [30352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [30354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [30356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [30358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [30360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [30362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [30364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [30366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [30368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14066),
  [30370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16840),
  [30372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10645),
  [30374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [30376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [30378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [30380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11143),
  [30382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10994),
  [30384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11940),
  [30386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11599),
  [30388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [30390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [30392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [30394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [30396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [30398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [30400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [30402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [30404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [30406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [30408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [30410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [30412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [30414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [30416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11146),
  [30418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10129),
  [30420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [30422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [30424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11612),
  [30426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [30428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [30430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11005),
  [30432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [30434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [30436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [30438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11007),
  [30440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [30442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [30444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12597),
  [30446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18510),
  [30448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11008),
  [30450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11097),
  [30452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [30454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18834),
  [30456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11147),
  [30458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18374),
  [30460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11148),
  [30462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [30464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11009),
  [30466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [30468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11149),
  [30470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [30472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [30474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [30476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11012),
  [30478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11013),
  [30480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11014),
  [30482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10347),
  [30484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [30486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [30488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [30490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [30492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9140),
  [30494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [30496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [30498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [30500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [30502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [30504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [30506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10909),
  [30508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20968),
  [30510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20972),
  [30512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20973),
  [30514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [30516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [30518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [30520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [30522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [30524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [30526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [30528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [30530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [30532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [30534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [30536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10628),
  [30538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [30540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [30542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [30544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [30546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [30548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [30550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [30552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [30554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [30556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [30558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [30560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [30562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [30564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [30566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [30568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [30570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [30572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [30574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [30576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [30578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [30580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10910),
  [30582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [30584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [30586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12436),
  [30588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [30590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [30592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [30594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14416),
  [30596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [30598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [30600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [30602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [30604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [30606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [30608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [30610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [30612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [30614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [30616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14175),
  [30618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [30620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [30622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [30624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [30626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [30628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [30630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14807),
  [30632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [30634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [30636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [30638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11318),
  [30640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [30642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [30644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [30646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [30648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [30650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18296),
  [30652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [30654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [30656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [30658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [30660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [30662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [30664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [30666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [30668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [30670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [30672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [30674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [30676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18346),
  [30678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [30680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [30682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [30684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [30686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [30688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [30690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [30692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [30694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [30696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [30698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [30700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [30702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [30704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [30706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19444),
  [30708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19445),
  [30710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19446),
  [30712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11520),
  [30714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10283),
  [30716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [30718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [30720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [30722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [30724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [30726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17180),
  [30728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10709),
  [30730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [30732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [30734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [30736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [30738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [30740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [30742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [30744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [30746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [30748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [30750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [30752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [30754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [30756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [30758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11168),
  [30760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [30762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10919),
  [30764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9973),
  [30766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [30768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11170),
  [30770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [30772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [30774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10598),
  [30776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [30778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15291),
  [30780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [30782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [30784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [30786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [30788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [30790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [30792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [30794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [30796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [30798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11174),
  [30800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18699),
  [30802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [30804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [30806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [30808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [30810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [30812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14140),
  [30814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [30816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [30818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [30820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10023),
  [30822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9236),
  [30824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [30826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [30828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19885),
  [30830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19889),
  [30832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19890),
  [30834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12809),
  [30836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18983),
  [30838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [30840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [30842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [30844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [30846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10711),
  [30848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [30850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [30852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11177),
  [30854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [30856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [30858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [30860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [30862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [30864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13367),
  [30866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [30868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10671),
  [30870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [30872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [30874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [30876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11732),
  [30878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [30880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [30882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [30884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [30886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [30888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [30890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [30892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [30894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14592),
  [30896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [30898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10010),
  [30900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [30902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18977),
  [30904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [30906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [30908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [30910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10011),
  [30912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20303),
  [30914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20304),
  [30916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20305),
  [30918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [30920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [30922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10721),
  [30924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [30926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14619),
  [30928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [30930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14566),
  [30932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [30934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [30936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [30938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [30940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [30942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [30944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [30946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [30948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18289),
  [30950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [30952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [30954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [30956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [30958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19169),
  [30960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14168),
  [30962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [30964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [30966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [30968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9311),
  [30970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [30972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20683),
  [30974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20686),
  [30976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20687),
  [30978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [30980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [30982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [30984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [30986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [30988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [30990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11767),
  [30992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_operator, 1, 0, 0),
  [30994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [30996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [30998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [31000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [31002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [31004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14735),
  [31006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [31008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [31010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [31012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18223),
  [31014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [31016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [31018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [31020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9265),
  [31022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20987),
  [31024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20988),
  [31026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20992),
  [31028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [31030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [31032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [31034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [31036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [31038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18349),
  [31040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [31042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [31044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [31046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [31048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [31050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17155),
  [31052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10164),
  [31054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [31056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [31058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [31060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18333),
  [31062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [31064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [31066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21129),
  [31068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21133),
  [31070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21134),
  [31072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [31074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [31076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [31078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [31080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [31082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [31084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [31086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_content, 1, 0, 0),
  [31088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [31090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [31092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [31094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [31096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [31098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [31100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18436),
  [31102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [31104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [31106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21362),
  [31108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21364),
  [31110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21365),
  [31112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [31114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [31116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [31118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [31120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [31122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17602),
  [31124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [31126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [31128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [31130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [31132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [31134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18542),
  [31136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [31138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9368),
  [31140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21611),
  [31142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21612),
  [31144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21613),
  [31146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [31148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [31150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [31152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [31154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [31156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [31158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11190),
  [31160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [31162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [31164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11191),
  [31166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [31168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [31170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18621),
  [31172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [31174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21853),
  [31176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21854),
  [31178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21855),
  [31180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [31182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [31184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [31186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [31188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [31190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [31192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [31194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18644),
  [31196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [31198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [31200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18688),
  [31202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [31204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9226),
  [31206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22056),
  [31208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22060),
  [31210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22062),
  [31212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13326),
  [31214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [31216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [31218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [31220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [31222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [31224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15508),
  [31226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [31228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18777),
  [31230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [31232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9306),
  [31234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22252),
  [31236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22253),
  [31238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22254),
  [31240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [31242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12647),
  [31244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18725),
  [31246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [31248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [31250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [31252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11196),
  [31254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11197),
  [31256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [31258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18851),
  [31260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11198),
  [31262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [31264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22491),
  [31266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22495),
  [31268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22496),
  [31270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [31272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [31274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [31276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [31278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [31280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [31282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [31284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [31286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [31288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18902),
  [31290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [31292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9240),
  [31294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19338),
  [31296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19339),
  [31298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19340),
  [31300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [31302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [31304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [31306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [31308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [31310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [31312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [31314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [31316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [31318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18951),
  [31320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [31322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [31324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19401),
  [31326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19402),
  [31328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19403),
  [31330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15117),
  [31332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [31334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [31336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [31338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [31340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12477),
  [31342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [31344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18987),
  [31346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [31348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [31350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19464),
  [31352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19465),
  [31354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19466),
  [31356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15588),
  [31358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [31360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [31362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [31364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [31366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [31368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13371),
  [31370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [31372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13348),
  [31374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13715),
  [31376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [31378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19022),
  [31380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [31382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [31384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19527),
  [31386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19528),
  [31388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19529),
  [31390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [31392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [31394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [31396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [31398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [31400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [31402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [31404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [31406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [31408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19064),
  [31410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14669),
  [31412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [31414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19581),
  [31416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19582),
  [31418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19583),
  [31420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [31422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [31424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [31426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [31428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14053),
  [31430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [31432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [31434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [31436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19099),
  [31438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [31440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19636),
  [31442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19637),
  [31444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19638),
  [31446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14732),
  [31448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [31450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [31452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [31454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13387),
  [31456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19135),
  [31458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [31460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [31462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19691),
  [31464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19692),
  [31466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19693),
  [31468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13399),
  [31470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [31472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [31474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [31476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [31478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [31480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [31482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [31484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19238),
  [31486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [31488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19168),
  [31490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [31492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [31494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19746),
  [31496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19747),
  [31498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19748),
  [31500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [31502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14144),
  [31504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [31506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [31508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [31510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [31512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [31514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [31516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14980),
  [31518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19193),
  [31520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10039),
  [31522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19790),
  [31524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19791),
  [31526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19792),
  [31528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [31530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [31532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [31534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [31536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [31538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [31540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13994),
  [31542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9814),
  [31544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [31546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [31548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19223),
  [31550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [31552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19831),
  [31554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19832),
  [31556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19833),
  [31558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [31560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9786),
  [31562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [31564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16971),
  [31566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [31568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [31570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [31572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [31574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19241),
  [31576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19872),
  [31578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19873),
  [31580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19874),
  [31582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [31584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [31586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [31588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [31590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [31592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11218),
  [31594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [31596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19265),
  [31598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [31600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19913),
  [31602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19914),
  [31604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19915),
  [31606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11220),
  [31608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [31610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [31612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [31614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9793),
  [31616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [31618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [31620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [31622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19298),
  [31624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19954),
  [31626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19955),
  [31628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19956),
  [31630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [31632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [31634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [31636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [31638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [31640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11222),
  [31642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [31644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [31646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18147),
  [31648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [31650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19995),
  [31652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19996),
  [31654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19997),
  [31656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [31658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [31660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12695),
  [31662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19028),
  [31664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [31666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [31668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18163),
  [31670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11225),
  [31672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20036),
  [31674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20037),
  [31676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20038),
  [31678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10654),
  [31680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11226),
  [31682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10655),
  [31684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [31686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [31688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11121),
  [31690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [31692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11122),
  [31694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18179),
  [31696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20077),
  [31698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20078),
  [31700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20079),
  [31702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [31704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [31706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10887),
  [31708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [31710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [31712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [31714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [31716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [31718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18200),
  [31720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [31722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20118),
  [31724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20119),
  [31726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20120),
  [31728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [31730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [31732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [31734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [31736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14624),
  [31738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [31740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9949),
  [31742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [31744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18220),
  [31746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [31748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20159),
  [31750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20160),
  [31752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20161),
  [31754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [31756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [31758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [31760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [31762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [31764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [31766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18236),
  [31768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [31770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20200),
  [31772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20201),
  [31774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20202),
  [31776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13376),
  [31778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13378),
  [31780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [31782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [31784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [31786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19386),
  [31788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [31790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [31792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18253),
  [31794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14180),
  [31796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20240),
  [31798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20241),
  [31800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20242),
  [31802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [31804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [31806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [31808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [31810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [31812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [31814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [31816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18271),
  [31818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [31820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20280),
  [31822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20281),
  [31824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20282),
  [31826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [31828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [31830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 3, 0, 0),
  [31832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [31834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19181),
  [31836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [31838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [31840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20913),
  [31842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18290),
  [31844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20319),
  [31846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20320),
  [31848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20321),
  [31850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [31852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [31854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [31856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [31858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [31860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15261),
  [31862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [31864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18302),
  [31866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [31868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20358),
  [31870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20359),
  [31872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20360),
  [31874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [31876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [31878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14739),
  [31880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [31882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14435),
  [31884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [31886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [31888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [31890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [31892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18317),
  [31894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16819),
  [31896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20397),
  [31898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20398),
  [31900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20399),
  [31902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [31904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [31906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [31908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [31910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [31912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [31914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [31916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [31918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10785),
  [31920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11125),
  [31922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [31924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20435),
  [31926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20436),
  [31928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20437),
  [31930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [31932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [31934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11252),
  [31936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [31938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [31940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [31942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16579),
  [31944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [31946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11253),
  [31948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15368),
  [31950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [31952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20473),
  [31954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20474),
  [31956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20475),
  [31958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [31960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [31962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [31964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [31966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [31968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [31970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20511),
  [31972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20512),
  [31974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20513),
  [31976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [31978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [31980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [31982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [31984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [31986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [31988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [31990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [31992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [31994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [31996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20549),
  [31998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20550),
  [32000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20551),
  [32002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12494),
  [32004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [32006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18784),
  [32008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [32010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [32012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [32014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [32016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [32018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20587),
  [32020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20588),
  [32022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20589),
  [32024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11262),
  [32026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [32028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [32030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [32032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [32034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [32036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [32038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [32040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [32042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12104),
  [32044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20625),
  [32046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20626),
  [32048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20627),
  [32050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [32052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14981),
  [32054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [32056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [32058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12106),
  [32060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [32062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [32064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [32066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12108),
  [32068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [32070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20663),
  [32072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20664),
  [32074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20665),
  [32076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [32078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [32080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [32082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [32084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [32086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [32088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [32090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [32092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [32094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [32096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20701),
  [32098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20702),
  [32100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20703),
  [32102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [32104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [32106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [32108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [32110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10601),
  [32112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [32114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [32116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [32118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11091),
  [32120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [32122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [32124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20739),
  [32126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20740),
  [32128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20741),
  [32130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15308),
  [32132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11506),
  [32134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [32136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [32138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [32140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10629),
  [32142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [32144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [32146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14093),
  [32148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20777),
  [32150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20778),
  [32152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20779),
  [32154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [32156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [32158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [32160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [32162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [32164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [32166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [32168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [32170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [32172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [32174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20814),
  [32176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20815),
  [32178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20816),
  [32180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [32182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [32184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [32186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19049),
  [32188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [32190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [32192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [32194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13369),
  [32196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [32198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [32200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20851),
  [32202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20852),
  [32204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20853),
  [32206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4826),
  [32208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14988),
  [32210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20872),
  [32212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20873),
  [32214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20874),
  [32216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [32218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [32220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [32222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20889),
  [32224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20890),
  [32226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20891),
  [32228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [32230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [32232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20899),
  [32234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20900),
  [32236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20901),
  [32238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [32240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [32242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20909),
  [32244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20910),
  [32246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20911),
  [32248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [32250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [32252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20919),
  [32254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20920),
  [32256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20921),
  [32258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [32260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [32262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20929),
  [32264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20930),
  [32266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20931),
  [32268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17455),
  [32270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [32272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20939),
  [32274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20940),
  [32276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20941),
  [32278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [32280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [32282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20949),
  [32284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20950),
  [32286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20951),
  [32288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [32290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20959),
  [32292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20960),
  [32294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20961),
  [32296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11292),
  [32298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [32300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20969),
  [32302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20970),
  [32304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20971),
  [32306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11294),
  [32308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [32310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20979),
  [32312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20980),
  [32314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20981),
  [32316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [32318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20989),
  [32320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20990),
  [32322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20991),
  [32324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [32326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [32328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20999),
  [32330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21000),
  [32332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21001),
  [32334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [32336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21009),
  [32338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21010),
  [32340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21011),
  [32342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [32344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [32346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [32348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11298),
  [32350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [32352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [32354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [32356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [32358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [32360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12997),
  [32362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18416),
  [32364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11303),
  [32366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11306),
  [32368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [32370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11307),
  [32372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [32374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15018),
  [32376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [32378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13552),
  [32380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [32382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15026),
  [32384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17708),
  [32386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14598),
  [32388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [32390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [32392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [32394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14608),
  [32396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10130),
  [32398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [32400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [32402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [32404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10131),
  [32406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [32408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [32410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21183),
  [32412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [32414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [32416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [32418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13435),
  [32420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [32422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14003),
  [32424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [32426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [32428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [32430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [32432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [32434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [32436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [32438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [32440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11178),
  [32442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [32444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17746),
  [32446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14597),
  [32448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14599),
  [32450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10152),
  [32452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [32454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21296),
  [32456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [32458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [32460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [32462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [32464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [32466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [32468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [32470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14039),
  [32472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17759),
  [32474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14616),
  [32476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14618),
  [32478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [32480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [32482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21370),
  [32484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11179),
  [32486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [32488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [32490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [32492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [32494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [32496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14049),
  [32498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [32500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17779),
  [32502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10991),
  [32504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21418),
  [32506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10992),
  [32508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [32510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [32512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [32514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14811),
  [32516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17789),
  [32518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21379),
  [32520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [32522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17794),
  [32524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19136),
  [32526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [32528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17802),
  [32530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [32532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10136),
  [32534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17808),
  [32536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17813),
  [32538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17818),
  [32540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17823),
  [32542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17829),
  [32544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17834),
  [32546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17838),
  [32548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17842),
  [32550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17847),
  [32552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17851),
  [32554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17857),
  [32556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17860),
  [32558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17865),
  [32560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17869),
  [32562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17875),
  [32564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17880),
  [32566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17886),
  [32568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17890),
  [32570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17894),
  [32572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17901),
  [32574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17908),
  [32576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17913),
  [32578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17921),
  [32580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17929),
  [32582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17934),
  [32584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17939),
  [32586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17943),
  [32588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17949),
  [32590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17955),
  [32592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17962),
  [32594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17967),
  [32596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17971),
  [32598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17977),
  [32600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17983),
  [32602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17988),
  [32604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17993),
  [32606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17999),
  [32608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18003),
  [32610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18006),
  [32612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18010),
  [32614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18014),
  [32616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18022),
  [32618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18025),
  [32620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18028),
  [32622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18031),
  [32624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18033),
  [32626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18035),
  [32628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18037),
  [32630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18039),
  [32632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18041),
  [32634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18043),
  [32636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18045),
  [32638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18047),
  [32640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18049),
  [32642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18051),
  [32644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18053),
  [32646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [32648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [32650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [32652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [32654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22284),
  [32656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [32658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [32660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10995),
  [32662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [32664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [32666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [32668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [32670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [32672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [32674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [32676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [32678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [32680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [32682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [32684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [32686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [32688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [32690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [32692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [32694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [32696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [32698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [32700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [32702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [32704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [32706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [32708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [32710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [32712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [32714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [32716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14800),
  [32718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [32720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [32722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16594),
  [32724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [32726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14716),
  [32728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [32730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [32732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [32734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [32736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [32738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [32740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [32742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [32744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [32746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [32748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11263),
  [32750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [32752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10700),
  [32754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [32756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [32758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [32760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [32762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [32764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [32766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [32768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [32770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [32772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18409),
  [32774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [32776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [32778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [32780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [32782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11264),
  [32784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12567),
  [32786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18596),
  [32788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [32790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [32792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [32794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [32796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [32798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [32800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [32802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [32804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [32806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [32808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11403),
  [32810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11406),
  [32812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [32814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [32816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [32818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [32820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [32822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [32824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [32826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [32828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14013),
  [32830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [32832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [32834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [32836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [32838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [32840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [32842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [32844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [32846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [32848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [32850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [32852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [32854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [32856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [32858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [32860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18363),
  [32862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [32864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 0),
  [32866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_comment = 0,
  ts_external_token__left_quoted_string_delimiter = 1,
  ts_external_token__right_quoted_string_delimiter = 2,
  ts_external_token_DQUOTE = 3,
  ts_external_token_line_number_directive = 4,
  ts_external_token__null = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [ts_external_token__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [ts_external_token_DQUOTE] = anon_sym_DQUOTE,
  [ts_external_token_line_number_directive] = sym_line_number_directive,
  [ts_external_token__null] = sym__null,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [3] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [6] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [9] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_ocaml_external_scanner_create(void);
void tree_sitter_ocaml_external_scanner_destroy(void *);
bool tree_sitter_ocaml_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_ocaml_external_scanner_serialize(void *, char *);
void tree_sitter_ocaml_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ocaml(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__lowercase_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_ocaml_external_scanner_create,
      tree_sitter_ocaml_external_scanner_destroy,
      tree_sitter_ocaml_external_scanner_scan,
      tree_sitter_ocaml_external_scanner_serialize,
      tree_sitter_ocaml_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
